#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8243
#define LARGE_STATE_COUNT 2179
#define SYMBOL_COUNT 529
#define ALIAS_COUNT 5
#define TOKEN_COUNT 215
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 217

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_static = 70,
  anon_sym_RBRACK = 71,
  anon_sym_EQ = 72,
  anon_sym_register = 73,
  anon_sym_inline = 74,
  anon_sym___inline = 75,
  anon_sym___inline__ = 76,
  anon_sym___forceinline = 77,
  anon_sym_thread_local = 78,
  anon_sym___thread = 79,
  anon_sym_const = 80,
  anon_sym_constexpr = 81,
  anon_sym_volatile = 82,
  anon_sym_restrict = 83,
  anon_sym___restrict__ = 84,
  anon_sym__Atomic = 85,
  anon_sym__Noreturn = 86,
  anon_sym_noreturn = 87,
  anon_sym_mutable = 88,
  anon_sym_constinit = 89,
  anon_sym_consteval = 90,
  anon_sym_alignas = 91,
  anon_sym__Alignas = 92,
  sym_primitive_type = 93,
  anon_sym_enum = 94,
  anon_sym_class = 95,
  anon_sym_struct = 96,
  anon_sym_union = 97,
  anon_sym_COLON = 98,
  anon_sym_if = 99,
  anon_sym_else = 100,
  anon_sym_switch = 101,
  anon_sym_case = 102,
  anon_sym_default = 103,
  anon_sym_while = 104,
  anon_sym_do = 105,
  anon_sym_for = 106,
  anon_sym_return = 107,
  anon_sym_break = 108,
  anon_sym_continue = 109,
  anon_sym_goto = 110,
  anon_sym___try = 111,
  anon_sym___except = 112,
  anon_sym___finally = 113,
  anon_sym___leave = 114,
  anon_sym_QMARK = 115,
  anon_sym_STAR_EQ = 116,
  anon_sym_SLASH_EQ = 117,
  anon_sym_PERCENT_EQ = 118,
  anon_sym_PLUS_EQ = 119,
  anon_sym_DASH_EQ = 120,
  anon_sym_LT_LT_EQ = 121,
  anon_sym_GT_GT_EQ = 122,
  anon_sym_AMP_EQ = 123,
  anon_sym_CARET_EQ = 124,
  anon_sym_PIPE_EQ = 125,
  anon_sym_and_eq = 126,
  anon_sym_or_eq = 127,
  anon_sym_xor_eq = 128,
  anon_sym_not = 129,
  anon_sym_compl = 130,
  anon_sym_LT_EQ_GT = 131,
  anon_sym_or = 132,
  anon_sym_and = 133,
  anon_sym_bitor = 134,
  anon_sym_xor = 135,
  anon_sym_bitand = 136,
  anon_sym_not_eq = 137,
  anon_sym_DASH_DASH = 138,
  anon_sym_PLUS_PLUS = 139,
  anon_sym_sizeof = 140,
  anon_sym___alignof__ = 141,
  anon_sym___alignof = 142,
  anon_sym__alignof = 143,
  anon_sym_alignof = 144,
  anon_sym__Alignof = 145,
  anon_sym_offsetof = 146,
  anon_sym__Generic = 147,
  anon_sym_asm = 148,
  anon_sym___asm__ = 149,
  anon_sym_DOT = 150,
  anon_sym_DOT_STAR = 151,
  anon_sym_DASH_GT = 152,
  sym_number_literal = 153,
  anon_sym_L_SQUOTE = 154,
  anon_sym_u_SQUOTE = 155,
  anon_sym_U_SQUOTE = 156,
  anon_sym_u8_SQUOTE = 157,
  anon_sym_SQUOTE = 158,
  aux_sym_char_literal_token1 = 159,
  anon_sym_L_DQUOTE = 160,
  anon_sym_u_DQUOTE = 161,
  anon_sym_U_DQUOTE = 162,
  anon_sym_u8_DQUOTE = 163,
  anon_sym_DQUOTE = 164,
  aux_sym_string_literal_token1 = 165,
  sym_escape_sequence = 166,
  sym_system_lib_string = 167,
  sym_true = 168,
  sym_false = 169,
  anon_sym_NULL = 170,
  anon_sym_nullptr = 171,
  sym_comment = 172,
  sym_auto = 173,
  anon_sym_decltype = 174,
  anon_sym_final = 175,
  anon_sym_override = 176,
  sym_virtual = 177,
  anon_sym_explicit = 178,
  anon_sym_typename = 179,
  anon_sym_template = 180,
  anon_sym_GT2 = 181,
  anon_sym_operator = 182,
  anon_sym_try = 183,
  anon_sym_delete = 184,
  anon_sym_0 = 185,
  anon_sym_friend = 186,
  anon_sym_public = 187,
  anon_sym_private = 188,
  anon_sym_protected = 189,
  anon_sym_noexcept = 190,
  anon_sym_throw = 191,
  anon_sym_namespace = 192,
  anon_sym_using = 193,
  anon_sym_static_assert = 194,
  anon_sym_concept = 195,
  anon_sym_co_return = 196,
  anon_sym_co_yield = 197,
  anon_sym_catch = 198,
  anon_sym_R_DQUOTE = 199,
  anon_sym_LR_DQUOTE = 200,
  anon_sym_uR_DQUOTE = 201,
  anon_sym_UR_DQUOTE = 202,
  anon_sym_u8R_DQUOTE = 203,
  anon_sym_co_await = 204,
  anon_sym_new = 205,
  anon_sym_requires = 206,
  anon_sym_DASH_GT_STAR = 207,
  anon_sym_LPAREN_RPAREN = 208,
  anon_sym_LBRACK_RBRACK = 209,
  anon_sym_DQUOTE_DQUOTE = 210,
  sym_this = 211,
  sym_literal_suffix = 212,
  sym_raw_string_delimiter = 213,
  sym_raw_string_content = 214,
  sym_translation_unit = 215,
  sym__top_level_item = 216,
  sym__block_item = 217,
  sym_preproc_include = 218,
  sym_preproc_def = 219,
  sym_preproc_function_def = 220,
  sym_preproc_params = 221,
  sym_preproc_call = 222,
  sym_preproc_if = 223,
  sym_preproc_ifdef = 224,
  sym_preproc_else = 225,
  sym_preproc_elif = 226,
  sym_preproc_elifdef = 227,
  sym_preproc_if_in_field_declaration_list = 228,
  sym_preproc_ifdef_in_field_declaration_list = 229,
  sym_preproc_else_in_field_declaration_list = 230,
  sym_preproc_elif_in_field_declaration_list = 231,
  sym_preproc_elifdef_in_field_declaration_list = 232,
  sym_preproc_if_in_enumerator_list = 233,
  sym_preproc_ifdef_in_enumerator_list = 234,
  sym_preproc_else_in_enumerator_list = 235,
  sym_preproc_elif_in_enumerator_list = 236,
  sym_preproc_elifdef_in_enumerator_list = 237,
  sym_preproc_if_in_enumerator_list_no_comma = 238,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 239,
  sym_preproc_else_in_enumerator_list_no_comma = 240,
  sym_preproc_elif_in_enumerator_list_no_comma = 241,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 242,
  sym__preproc_expression = 243,
  sym_preproc_parenthesized_expression = 244,
  sym_preproc_defined = 245,
  sym_preproc_unary_expression = 246,
  sym_preproc_call_expression = 247,
  sym_preproc_argument_list = 248,
  sym_preproc_binary_expression = 249,
  sym_function_definition = 250,
  sym_declaration = 251,
  sym_type_definition = 252,
  sym__type_definition_type = 253,
  sym__type_definition_declarators = 254,
  sym__declaration_modifiers = 255,
  sym__declaration_specifiers = 256,
  sym_linkage_specification = 257,
  sym_attribute_specifier = 258,
  sym_attribute = 259,
  sym_attribute_declaration = 260,
  sym_ms_declspec_modifier = 261,
  sym_ms_based_modifier = 262,
  sym_ms_call_modifier = 263,
  sym_ms_unaligned_ptr_modifier = 264,
  sym_ms_pointer_modifier = 265,
  sym_declaration_list = 266,
  sym__declarator = 267,
  sym__field_declarator = 268,
  sym__type_declarator = 269,
  sym__abstract_declarator = 270,
  sym_parenthesized_declarator = 271,
  sym_parenthesized_field_declarator = 272,
  sym_parenthesized_type_declarator = 273,
  sym_abstract_parenthesized_declarator = 274,
  sym_attributed_declarator = 275,
  sym_attributed_field_declarator = 276,
  sym_attributed_type_declarator = 277,
  sym_pointer_declarator = 278,
  sym_pointer_field_declarator = 279,
  sym_pointer_type_declarator = 280,
  sym_abstract_pointer_declarator = 281,
  sym_function_declarator = 282,
  sym_function_field_declarator = 283,
  sym_function_type_declarator = 284,
  sym_abstract_function_declarator = 285,
  sym_array_declarator = 286,
  sym_array_field_declarator = 287,
  sym_array_type_declarator = 288,
  sym_abstract_array_declarator = 289,
  sym_init_declarator = 290,
  sym_compound_statement = 291,
  sym_storage_class_specifier = 292,
  sym_type_qualifier = 293,
  sym_alignas_qualifier = 294,
  sym_type_specifier = 295,
  sym_sized_type_specifier = 296,
  sym_enum_specifier = 297,
  sym_enumerator_list = 298,
  sym_struct_specifier = 299,
  sym_union_specifier = 300,
  sym_field_declaration_list = 301,
  sym__field_declaration_list_item = 302,
  sym_field_declaration = 303,
  sym_bitfield_clause = 304,
  sym_enumerator = 305,
  sym_parameter_list = 306,
  sym_parameter_declaration = 307,
  sym_attributed_statement = 308,
  sym_statement = 309,
  sym__top_level_statement = 310,
  sym_labeled_statement = 311,
  sym__top_level_expression_statement = 312,
  sym_expression_statement = 313,
  sym_if_statement = 314,
  sym_else_clause = 315,
  sym_switch_statement = 316,
  sym_case_statement = 317,
  sym_while_statement = 318,
  sym_do_statement = 319,
  sym_for_statement = 320,
  sym__for_statement_body = 321,
  sym_return_statement = 322,
  sym_break_statement = 323,
  sym_continue_statement = 324,
  sym_goto_statement = 325,
  sym_seh_try_statement = 326,
  sym_seh_except_clause = 327,
  sym_seh_finally_clause = 328,
  sym_seh_leave_statement = 329,
  sym_expression = 330,
  sym__string = 331,
  sym_comma_expression = 332,
  sym_conditional_expression = 333,
  sym_assignment_expression = 334,
  sym_pointer_expression = 335,
  sym_unary_expression = 336,
  sym_binary_expression = 337,
  sym_update_expression = 338,
  sym_cast_expression = 339,
  sym_type_descriptor = 340,
  sym_sizeof_expression = 341,
  sym_alignof_expression = 342,
  sym_offsetof_expression = 343,
  sym_generic_expression = 344,
  sym_subscript_expression = 345,
  sym_call_expression = 346,
  sym_gnu_asm_expression = 347,
  sym_gnu_asm_qualifier = 348,
  sym_gnu_asm_output_operand_list = 349,
  sym_gnu_asm_output_operand = 350,
  sym_gnu_asm_input_operand_list = 351,
  sym_gnu_asm_input_operand = 352,
  sym_gnu_asm_clobber_list = 353,
  sym_gnu_asm_goto_list = 354,
  sym_argument_list = 355,
  sym_field_expression = 356,
  sym_compound_literal_expression = 357,
  sym_parenthesized_expression = 358,
  sym_initializer_list = 359,
  sym_initializer_pair = 360,
  sym_subscript_designator = 361,
  sym_subscript_range_designator = 362,
  sym_field_designator = 363,
  sym_char_literal = 364,
  sym_concatenated_string = 365,
  sym_string_literal = 366,
  sym_null = 367,
  sym__empty_declaration = 368,
  sym_placeholder_type_specifier = 369,
  sym_decltype_auto = 370,
  sym_decltype = 371,
  sym__class_declaration = 372,
  sym__class_declaration_item = 373,
  sym_class_specifier = 374,
  sym__class_name = 375,
  sym_virtual_specifier = 376,
  sym_explicit_function_specifier = 377,
  sym_base_class_clause = 378,
  sym__enum_base_clause = 379,
  sym_dependent_type = 380,
  sym_template_declaration = 381,
  sym_template_instantiation = 382,
  sym_template_parameter_list = 383,
  sym_type_parameter_declaration = 384,
  sym_variadic_type_parameter_declaration = 385,
  sym_optional_type_parameter_declaration = 386,
  sym_template_template_parameter_declaration = 387,
  sym_optional_parameter_declaration = 388,
  sym_variadic_parameter_declaration = 389,
  sym_variadic_declarator = 390,
  sym_variadic_reference_declarator = 391,
  sym_operator_cast = 392,
  sym_field_initializer_list = 393,
  sym_field_initializer = 394,
  sym_inline_method_definition = 395,
  sym__constructor_specifiers = 396,
  sym_operator_cast_definition = 397,
  sym_operator_cast_declaration = 398,
  sym_constructor_try_statement = 399,
  sym_constructor_or_destructor_definition = 400,
  sym_constructor_or_destructor_declaration = 401,
  sym_default_method_clause = 402,
  sym_delete_method_clause = 403,
  sym_pure_virtual_clause = 404,
  sym_friend_declaration = 405,
  sym_access_specifier = 406,
  sym_reference_declarator = 407,
  sym_reference_field_declarator = 408,
  sym_reference_type_declarator = 409,
  sym_abstract_reference_declarator = 410,
  sym_structured_binding_declarator = 411,
  sym_ref_qualifier = 412,
  sym__function_declarator_seq = 413,
  sym__function_attributes_start = 414,
  sym__function_exception_specification = 415,
  sym__function_attributes_end = 416,
  sym__function_postfix = 417,
  sym_trailing_return_type = 418,
  sym_noexcept = 419,
  sym_throw_specifier = 420,
  sym_template_type = 421,
  sym_template_method = 422,
  sym_template_function = 423,
  sym_template_argument_list = 424,
  sym_namespace_definition = 425,
  sym_namespace_alias_definition = 426,
  sym__namespace_specifier = 427,
  sym_nested_namespace_specifier = 428,
  sym_using_declaration = 429,
  sym_alias_declaration = 430,
  sym_static_assert_declaration = 431,
  sym_concept_definition = 432,
  sym_for_range_loop = 433,
  sym__for_range_loop_body = 434,
  sym_init_statement = 435,
  sym_condition_clause = 436,
  sym_condition_declaration = 437,
  sym_co_return_statement = 438,
  sym_co_yield_statement = 439,
  sym_throw_statement = 440,
  sym_try_statement = 441,
  sym_catch_clause = 442,
  sym_raw_string_literal = 443,
  sym_subscript_argument_list = 444,
  sym_co_await_expression = 445,
  sym_new_expression = 446,
  sym_new_declarator = 447,
  sym_delete_expression = 448,
  sym_type_requirement = 449,
  sym_compound_requirement = 450,
  sym__requirement = 451,
  sym_requirement_seq = 452,
  sym_constraint_conjunction = 453,
  sym_constraint_disjunction = 454,
  sym__requirement_clause_constraint = 455,
  sym_requires_clause = 456,
  sym_requires_parameter_list = 457,
  sym_requires_expression = 458,
  sym_lambda_expression = 459,
  sym_lambda_capture_specifier = 460,
  sym_lambda_default_capture = 461,
  sym__fold_operator = 462,
  sym__binary_fold_operator = 463,
  sym__unary_left_fold = 464,
  sym__unary_right_fold = 465,
  sym__binary_fold = 466,
  sym_fold_expression = 467,
  sym_parameter_pack_expansion = 468,
  sym_type_parameter_pack_expansion = 469,
  sym_destructor_name = 470,
  sym_dependent_identifier = 471,
  sym_dependent_field_identifier = 472,
  sym_dependent_type_identifier = 473,
  sym__scope_resolution = 474,
  sym_qualified_field_identifier = 475,
  sym_qualified_identifier = 476,
  sym_qualified_type_identifier = 477,
  sym_qualified_operator_cast_identifier = 478,
  sym__assignment_expression_lhs = 479,
  sym_operator_name = 480,
  sym_user_defined_literal = 481,
  aux_sym_translation_unit_repeat1 = 482,
  aux_sym_preproc_params_repeat1 = 483,
  aux_sym_preproc_if_repeat1 = 484,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 485,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 486,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 487,
  aux_sym_preproc_argument_list_repeat1 = 488,
  aux_sym_declaration_repeat1 = 489,
  aux_sym_type_definition_repeat1 = 490,
  aux_sym__type_definition_type_repeat1 = 491,
  aux_sym__type_definition_declarators_repeat1 = 492,
  aux_sym__declaration_specifiers_repeat1 = 493,
  aux_sym_attribute_declaration_repeat1 = 494,
  aux_sym_attributed_declarator_repeat1 = 495,
  aux_sym_pointer_declarator_repeat1 = 496,
  aux_sym_array_declarator_repeat1 = 497,
  aux_sym_sized_type_specifier_repeat1 = 498,
  aux_sym_enumerator_list_repeat1 = 499,
  aux_sym_field_declaration_repeat1 = 500,
  aux_sym_parameter_list_repeat1 = 501,
  aux_sym_case_statement_repeat1 = 502,
  aux_sym_generic_expression_repeat1 = 503,
  aux_sym_gnu_asm_expression_repeat1 = 504,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 505,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 506,
  aux_sym_gnu_asm_clobber_list_repeat1 = 507,
  aux_sym_gnu_asm_goto_list_repeat1 = 508,
  aux_sym_argument_list_repeat1 = 509,
  aux_sym_initializer_list_repeat1 = 510,
  aux_sym_initializer_pair_repeat1 = 511,
  aux_sym_char_literal_repeat1 = 512,
  aux_sym_concatenated_string_repeat1 = 513,
  aux_sym_string_literal_repeat1 = 514,
  aux_sym__class_declaration_repeat1 = 515,
  aux_sym_base_class_clause_repeat1 = 516,
  aux_sym_template_parameter_list_repeat1 = 517,
  aux_sym_field_initializer_list_repeat1 = 518,
  aux_sym_operator_cast_definition_repeat1 = 519,
  aux_sym_constructor_try_statement_repeat1 = 520,
  aux_sym_structured_binding_declarator_repeat1 = 521,
  aux_sym__function_postfix_repeat1 = 522,
  aux_sym_throw_specifier_repeat1 = 523,
  aux_sym_template_argument_list_repeat1 = 524,
  aux_sym_subscript_argument_list_repeat1 = 525,
  aux_sym_requirement_seq_repeat1 = 526,
  aux_sym_requires_parameter_list_repeat1 = 527,
  aux_sym_lambda_capture_specifier_repeat1 = 528,
  alias_sym_field_identifier = 529,
  alias_sym_namespace_identifier = 530,
  alias_sym_simple_requirement = 531,
  alias_sym_statement_identifier = 532,
  alias_sym_type_identifier = 533,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [sym_virtual] = "virtual",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [anon_sym_0] = "0",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_pure_virtual_clause] = "pure_virtual_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_reference_type_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [sym_virtual] = sym_virtual,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_0] = anon_sym_0,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_pure_virtual_clause] = sym_pure_virtual_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_reference_type_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [sym_virtual] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pure_virtual_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 21, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 103, .length = 2},
  [76] = {.index = 105, .length = 2},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 1},
  [79] = {.index = 110, .length = 2},
  [80] = {.index = 112, .length = 2},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 3},
  [83] = {.index = 119, .length = 2},
  [84] = {.index = 121, .length = 1},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 124, .length = 2},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 138, .length = 1},
  [94] = {.index = 136, .length = 2},
  [96] = {.index = 139, .length = 2},
  [97] = {.index = 141, .length = 1},
  [98] = {.index = 141, .length = 1},
  [99] = {.index = 142, .length = 3},
  [101] = {.index = 145, .length = 2},
  [102] = {.index = 147, .length = 2},
  [103] = {.index = 149, .length = 2},
  [104] = {.index = 151, .length = 3},
  [105] = {.index = 154, .length = 1},
  [106] = {.index = 155, .length = 1},
  [108] = {.index = 156, .length = 3},
  [109] = {.index = 159, .length = 3},
  [110] = {.index = 162, .length = 3},
  [111] = {.index = 165, .length = 3},
  [112] = {.index = 168, .length = 2},
  [113] = {.index = 170, .length = 3},
  [114] = {.index = 173, .length = 3},
  [115] = {.index = 176, .length = 2},
  [116] = {.index = 178, .length = 3},
  [117] = {.index = 181, .length = 2},
  [118] = {.index = 19, .length = 2},
  [119] = {.index = 39, .length = 2},
  [120] = {.index = 183, .length = 2},
  [121] = {.index = 185, .length = 2},
  [122] = {.index = 187, .length = 1},
  [123] = {.index = 188, .length = 4},
  [124] = {.index = 192, .length = 4},
  [125] = {.index = 196, .length = 2},
  [126] = {.index = 198, .length = 3},
  [127] = {.index = 201, .length = 2},
  [128] = {.index = 203, .length = 2},
  [129] = {.index = 205, .length = 1},
  [130] = {.index = 206, .length = 2},
  [131] = {.index = 208, .length = 2},
  [132] = {.index = 210, .length = 3},
  [133] = {.index = 213, .length = 3},
  [134] = {.index = 216, .length = 3},
  [135] = {.index = 219, .length = 2},
  [136] = {.index = 219, .length = 2},
  [137] = {.index = 221, .length = 2},
  [138] = {.index = 221, .length = 2},
  [139] = {.index = 223, .length = 2},
  [140] = {.index = 225, .length = 3},
  [141] = {.index = 228, .length = 2},
  [142] = {.index = 230, .length = 2},
  [143] = {.index = 232, .length = 3},
  [144] = {.index = 235, .length = 2},
  [145] = {.index = 237, .length = 3},
  [146] = {.index = 240, .length = 2},
  [147] = {.index = 242, .length = 1},
  [148] = {.index = 243, .length = 2},
  [149] = {.index = 245, .length = 2},
  [150] = {.index = 247, .length = 4},
  [151] = {.index = 251, .length = 5},
  [152] = {.index = 256, .length = 1},
  [153] = {.index = 257, .length = 1},
  [154] = {.index = 258, .length = 2},
  [155] = {.index = 260, .length = 1},
  [157] = {.index = 261, .length = 1},
  [158] = {.index = 262, .length = 2},
  [159] = {.index = 264, .length = 2},
  [160] = {.index = 11, .length = 1},
  [161] = {.index = 11, .length = 1},
  [162] = {.index = 266, .length = 2},
  [163] = {.index = 268, .length = 1},
  [164] = {.index = 269, .length = 1},
  [165] = {.index = 270, .length = 4},
  [166] = {.index = 274, .length = 2},
  [167] = {.index = 276, .length = 4},
  [168] = {.index = 280, .length = 1},
  [169] = {.index = 281, .length = 3},
  [170] = {.index = 284, .length = 2},
  [171] = {.index = 286, .length = 3},
  [172] = {.index = 289, .length = 1},
  [173] = {.index = 290, .length = 5},
  [174] = {.index = 295, .length = 2},
  [175] = {.index = 297, .length = 2},
  [176] = {.index = 299, .length = 4},
  [177] = {.index = 303, .length = 2},
  [178] = {.index = 305, .length = 3},
  [179] = {.index = 308, .length = 4},
  [180] = {.index = 312, .length = 4},
  [181] = {.index = 316, .length = 3},
  [182] = {.index = 319, .length = 2},
  [183] = {.index = 321, .length = 3},
  [184] = {.index = 324, .length = 3},
  [185] = {.index = 327, .length = 2},
  [186] = {.index = 329, .length = 2},
  [187] = {.index = 331, .length = 2},
  [188] = {.index = 333, .length = 2},
  [189] = {.index = 335, .length = 3},
  [190] = {.index = 338, .length = 2},
  [191] = {.index = 340, .length = 2},
  [192] = {.index = 342, .length = 3},
  [193] = {.index = 345, .length = 2},
  [194] = {.index = 347, .length = 2},
  [195] = {.index = 349, .length = 2},
  [196] = {.index = 351, .length = 4},
  [197] = {.index = 355, .length = 5},
  [198] = {.index = 360, .length = 3},
  [199] = {.index = 363, .length = 4},
  [200] = {.index = 367, .length = 2},
  [201] = {.index = 369, .length = 1},
  [202] = {.index = 370, .length = 4},
  [203] = {.index = 374, .length = 3},
  [204] = {.index = 377, .length = 2},
  [205] = {.index = 379, .length = 1},
  [206] = {.index = 380, .length = 5},
  [207] = {.index = 385, .length = 2},
  [208] = {.index = 387, .length = 2},
  [209] = {.index = 65, .length = 1},
  [210] = {.index = 389, .length = 5},
  [211] = {.index = 394, .length = 4},
  [212] = {.index = 398, .length = 2},
  [213] = {.index = 400, .length = 2},
  [214] = {.index = 402, .length = 5},
  [215] = {.index = 407, .length = 2},
  [216] = {.index = 409, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_parameters, 0},
  [25] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [27] =
    {field_body, 1},
    {field_declarator, 0},
  [29] =
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_body, 3},
  [139] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [141] =
    {field_base, 1},
  [142] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [145] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [147] =
    {field_body, 2},
    {field_name, 0},
  [149] =
    {field_condition, 2},
    {field_consequence, 3},
  [151] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [154] =
    {field_initializer, 0},
  [155] =
    {field_assembly_code, 2},
  [156] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [159] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [162] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [173] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [176] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [178] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [181] =
    {field_declarator, 0},
    {field_size, 2},
  [183] =
    {field_alternative, 3},
    {field_condition, 0},
  [185] =
    {field_declarator, 0},
    {field_default_value, 2},
  [187] =
    {field_size, 1},
  [188] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [192] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [196] =
    {field_body, 3},
    {field_declarator, 1},
  [198] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [201] =
    {field_alternative, 3},
    {field_condition, 1},
  [203] =
    {field_alternative, 3},
    {field_name, 1},
  [205] =
    {field_operator, 0},
  [206] =
    {field_declarator, 3},
    {field_type, 1},
  [208] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [210] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [213] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [219] =
    {field_body, 4},
    {field_name, 3},
  [221] =
    {field_designator, 0},
    {field_value, 2},
  [223] =
    {field_name, 0},
    {field_value, 2},
  [225] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [228] =
    {field_body, 3},
    {field_name, 0},
  [230] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [232] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [235] =
    {field_initializer, 1},
    {field_value, 2},
  [237] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [240] =
    {field_body, 1},
    {field_condition, 3},
  [242] =
    {field_update, 2},
  [243] =
    {field_initializer, 0},
    {field_update, 2},
  [245] =
    {field_condition, 1},
    {field_initializer, 0},
  [247] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [251] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [256] =
    {field_value, 3},
  [257] =
    {field_operand, 1},
  [258] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [260] =
    {field_assembly_code, 3},
  [261] =
    {field_default_type, 2},
  [262] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [264] =
    {field_body, 2},
    {field_parameters, 1},
  [266] =
    {field_name, 1},
    {field_type, 3},
  [268] =
    {field_condition, 2},
  [269] =
    {field_length, 1},
  [270] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [274] =
    {field_declarator, 1},
    {field_declarator, 2},
  [276] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [280] =
    {field_declarator, 4},
  [281] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [284] =
    {field_declarator, 0},
    {field_size, 3},
  [286] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [289] =
    {field_size, 2},
  [290] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [295] =
    {field_declarator, 1},
    {field_default_value, 3},
  [297] =
    {field_alternative, 4},
    {field_condition, 1},
  [299] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [303] =
    {field_body, 2},
    {field_filter, 1},
  [305] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [308] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [312] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [316] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [319] =
    {field_condition, 1},
    {field_update, 3},
  [321] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [324] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [327] =
    {field_initializer, 0},
    {field_update, 3},
  [329] =
    {field_condition, 2},
    {field_initializer, 0},
  [331] =
    {field_member, 4},
    {field_type, 2},
  [333] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [335] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [338] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [340] =
    {field_default_type, 3},
    {field_name, 1},
  [342] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [345] =
    {field_name, 1},
    {field_type, 4},
  [347] =
    {field_end, 3},
    {field_start, 1},
  [349] =
    {field_declarator, 1},
    {field_default_value, 2},
  [351] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [355] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [360] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [363] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [367] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [369] =
    {field_register, 1},
  [370] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [374] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [377] =
    {field_condition, 2},
    {field_message, 4},
  [379] =
    {field_delimiter, 1},
  [380] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [385] =
    {field_constraint, 0},
    {field_value, 2},
  [387] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [389] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [394] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [398] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [400] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [402] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [407] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [409] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_namespace_identifier,
  },
  [95] = {
    [1] = alias_sym_field_identifier,
  },
  [98] = {
    [1] = alias_sym_type_identifier,
  },
  [100] = {
    [0] = alias_sym_field_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [118] = {
    [0] = alias_sym_field_identifier,
  },
  [119] = {
    [1] = alias_sym_field_identifier,
  },
  [135] = {
    [3] = alias_sym_namespace_identifier,
  },
  [137] = {
    [0] = alias_sym_field_identifier,
  },
  [156] = {
    [2] = alias_sym_type_identifier,
  },
  [160] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [161] = {
    [1] = alias_sym_namespace_identifier,
  },
  [162] = {
    [1] = alias_sym_type_identifier,
  },
  [187] = {
    [4] = alias_sym_field_identifier,
  },
  [191] = {
    [1] = alias_sym_type_identifier,
  },
  [193] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 13,
  [20] = 20,
  [21] = 20,
  [22] = 22,
  [23] = 14,
  [24] = 22,
  [25] = 14,
  [26] = 22,
  [27] = 22,
  [28] = 13,
  [29] = 14,
  [30] = 13,
  [31] = 20,
  [32] = 20,
  [33] = 33,
  [34] = 34,
  [35] = 33,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 37,
  [40] = 36,
  [41] = 41,
  [42] = 36,
  [43] = 38,
  [44] = 37,
  [45] = 34,
  [46] = 33,
  [47] = 36,
  [48] = 38,
  [49] = 38,
  [50] = 37,
  [51] = 38,
  [52] = 36,
  [53] = 38,
  [54] = 34,
  [55] = 36,
  [56] = 38,
  [57] = 36,
  [58] = 38,
  [59] = 36,
  [60] = 38,
  [61] = 36,
  [62] = 38,
  [63] = 63,
  [64] = 36,
  [65] = 38,
  [66] = 36,
  [67] = 38,
  [68] = 36,
  [69] = 38,
  [70] = 36,
  [71] = 38,
  [72] = 36,
  [73] = 38,
  [74] = 36,
  [75] = 38,
  [76] = 36,
  [77] = 38,
  [78] = 36,
  [79] = 34,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 82,
  [88] = 82,
  [89] = 86,
  [90] = 83,
  [91] = 82,
  [92] = 83,
  [93] = 84,
  [94] = 84,
  [95] = 85,
  [96] = 86,
  [97] = 84,
  [98] = 85,
  [99] = 86,
  [100] = 85,
  [101] = 83,
  [102] = 84,
  [103] = 85,
  [104] = 82,
  [105] = 86,
  [106] = 83,
  [107] = 107,
  [108] = 107,
  [109] = 107,
  [110] = 107,
  [111] = 107,
  [112] = 107,
  [113] = 113,
  [114] = 114,
  [115] = 114,
  [116] = 114,
  [117] = 117,
  [118] = 117,
  [119] = 117,
  [120] = 117,
  [121] = 117,
  [122] = 117,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 127,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 132,
  [134] = 134,
  [135] = 130,
  [136] = 136,
  [137] = 130,
  [138] = 132,
  [139] = 130,
  [140] = 140,
  [141] = 134,
  [142] = 136,
  [143] = 127,
  [144] = 144,
  [145] = 144,
  [146] = 140,
  [147] = 134,
  [148] = 136,
  [149] = 144,
  [150] = 131,
  [151] = 151,
  [152] = 131,
  [153] = 153,
  [154] = 132,
  [155] = 155,
  [156] = 130,
  [157] = 140,
  [158] = 153,
  [159] = 136,
  [160] = 153,
  [161] = 144,
  [162] = 132,
  [163] = 153,
  [164] = 151,
  [165] = 151,
  [166] = 131,
  [167] = 140,
  [168] = 153,
  [169] = 127,
  [170] = 130,
  [171] = 132,
  [172] = 136,
  [173] = 144,
  [174] = 134,
  [175] = 155,
  [176] = 140,
  [177] = 151,
  [178] = 140,
  [179] = 134,
  [180] = 136,
  [181] = 131,
  [182] = 144,
  [183] = 153,
  [184] = 151,
  [185] = 151,
  [186] = 131,
  [187] = 155,
  [188] = 155,
  [189] = 155,
  [190] = 134,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 192,
  [196] = 192,
  [197] = 127,
  [198] = 191,
  [199] = 191,
  [200] = 191,
  [201] = 192,
  [202] = 191,
  [203] = 192,
  [204] = 191,
  [205] = 192,
  [206] = 191,
  [207] = 192,
  [208] = 191,
  [209] = 191,
  [210] = 191,
  [211] = 192,
  [212] = 192,
  [213] = 191,
  [214] = 192,
  [215] = 191,
  [216] = 192,
  [217] = 127,
  [218] = 191,
  [219] = 192,
  [220] = 192,
  [221] = 221,
  [222] = 222,
  [223] = 127,
  [224] = 224,
  [225] = 225,
  [226] = 125,
  [227] = 126,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 194,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 193,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 194,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 194,
  [319] = 319,
  [320] = 320,
  [321] = 317,
  [322] = 322,
  [323] = 323,
  [324] = 317,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 317,
  [329] = 329,
  [330] = 317,
  [331] = 331,
  [332] = 332,
  [333] = 317,
  [334] = 193,
  [335] = 335,
  [336] = 317,
  [337] = 337,
  [338] = 317,
  [339] = 317,
  [340] = 317,
  [341] = 317,
  [342] = 317,
  [343] = 317,
  [344] = 317,
  [345] = 317,
  [346] = 317,
  [347] = 317,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 193,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 222,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 221,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 366,
  [370] = 367,
  [371] = 371,
  [372] = 371,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 222,
  [378] = 221,
  [379] = 368,
  [380] = 368,
  [381] = 366,
  [382] = 367,
  [383] = 383,
  [384] = 371,
  [385] = 383,
  [386] = 126,
  [387] = 225,
  [388] = 388,
  [389] = 125,
  [390] = 228,
  [391] = 125,
  [392] = 388,
  [393] = 126,
  [394] = 228,
  [395] = 388,
  [396] = 388,
  [397] = 388,
  [398] = 224,
  [399] = 228,
  [400] = 224,
  [401] = 225,
  [402] = 388,
  [403] = 224,
  [404] = 225,
  [405] = 230,
  [406] = 250,
  [407] = 262,
  [408] = 263,
  [409] = 264,
  [410] = 265,
  [411] = 230,
  [412] = 229,
  [413] = 236,
  [414] = 253,
  [415] = 254,
  [416] = 233,
  [417] = 249,
  [418] = 250,
  [419] = 234,
  [420] = 237,
  [421] = 256,
  [422] = 257,
  [423] = 258,
  [424] = 233,
  [425] = 256,
  [426] = 245,
  [427] = 237,
  [428] = 239,
  [429] = 235,
  [430] = 251,
  [431] = 260,
  [432] = 261,
  [433] = 235,
  [434] = 236,
  [435] = 257,
  [436] = 258,
  [437] = 437,
  [438] = 256,
  [439] = 257,
  [440] = 258,
  [441] = 255,
  [442] = 260,
  [443] = 261,
  [444] = 245,
  [445] = 262,
  [446] = 263,
  [447] = 264,
  [448] = 265,
  [449] = 230,
  [450] = 229,
  [451] = 233,
  [452] = 259,
  [453] = 235,
  [454] = 236,
  [455] = 239,
  [456] = 245,
  [457] = 260,
  [458] = 261,
  [459] = 262,
  [460] = 232,
  [461] = 240,
  [462] = 238,
  [463] = 266,
  [464] = 253,
  [465] = 254,
  [466] = 255,
  [467] = 259,
  [468] = 238,
  [469] = 266,
  [470] = 231,
  [471] = 241,
  [472] = 232,
  [473] = 251,
  [474] = 234,
  [475] = 237,
  [476] = 238,
  [477] = 266,
  [478] = 253,
  [479] = 255,
  [480] = 240,
  [481] = 242,
  [482] = 243,
  [483] = 241,
  [484] = 259,
  [485] = 242,
  [486] = 243,
  [487] = 244,
  [488] = 231,
  [489] = 246,
  [490] = 234,
  [491] = 247,
  [492] = 263,
  [493] = 248,
  [494] = 249,
  [495] = 240,
  [496] = 250,
  [497] = 252,
  [498] = 241,
  [499] = 242,
  [500] = 251,
  [501] = 243,
  [502] = 239,
  [503] = 252,
  [504] = 244,
  [505] = 264,
  [506] = 246,
  [507] = 244,
  [508] = 247,
  [509] = 254,
  [510] = 248,
  [511] = 265,
  [512] = 252,
  [513] = 246,
  [514] = 231,
  [515] = 247,
  [516] = 248,
  [517] = 249,
  [518] = 229,
  [519] = 232,
  [520] = 357,
  [521] = 281,
  [522] = 307,
  [523] = 269,
  [524] = 270,
  [525] = 353,
  [526] = 272,
  [527] = 314,
  [528] = 222,
  [529] = 359,
  [530] = 316,
  [531] = 319,
  [532] = 273,
  [533] = 274,
  [534] = 275,
  [535] = 276,
  [536] = 320,
  [537] = 277,
  [538] = 283,
  [539] = 322,
  [540] = 282,
  [541] = 290,
  [542] = 295,
  [543] = 349,
  [544] = 308,
  [545] = 309,
  [546] = 353,
  [547] = 291,
  [548] = 289,
  [549] = 352,
  [550] = 268,
  [551] = 269,
  [552] = 281,
  [553] = 329,
  [554] = 270,
  [555] = 350,
  [556] = 313,
  [557] = 282,
  [558] = 296,
  [559] = 356,
  [560] = 352,
  [561] = 271,
  [562] = 272,
  [563] = 278,
  [564] = 273,
  [565] = 274,
  [566] = 292,
  [567] = 354,
  [568] = 284,
  [569] = 267,
  [570] = 297,
  [571] = 300,
  [572] = 305,
  [573] = 355,
  [574] = 298,
  [575] = 303,
  [576] = 358,
  [577] = 337,
  [578] = 292,
  [579] = 289,
  [580] = 308,
  [581] = 309,
  [582] = 298,
  [583] = 329,
  [584] = 311,
  [585] = 312,
  [586] = 357,
  [587] = 313,
  [588] = 299,
  [589] = 290,
  [590] = 279,
  [591] = 293,
  [592] = 280,
  [593] = 284,
  [594] = 297,
  [595] = 305,
  [596] = 285,
  [597] = 295,
  [598] = 355,
  [599] = 287,
  [600] = 288,
  [601] = 337,
  [602] = 296,
  [603] = 291,
  [604] = 299,
  [605] = 302,
  [606] = 301,
  [607] = 315,
  [608] = 304,
  [609] = 302,
  [610] = 307,
  [611] = 239,
  [612] = 314,
  [613] = 359,
  [614] = 316,
  [615] = 303,
  [616] = 319,
  [617] = 320,
  [618] = 322,
  [619] = 293,
  [620] = 323,
  [621] = 326,
  [622] = 283,
  [623] = 327,
  [624] = 275,
  [625] = 358,
  [626] = 350,
  [627] = 356,
  [628] = 271,
  [629] = 331,
  [630] = 332,
  [631] = 279,
  [632] = 335,
  [633] = 633,
  [634] = 325,
  [635] = 311,
  [636] = 285,
  [637] = 286,
  [638] = 221,
  [639] = 287,
  [640] = 312,
  [641] = 278,
  [642] = 267,
  [643] = 301,
  [644] = 304,
  [645] = 323,
  [646] = 326,
  [647] = 327,
  [648] = 300,
  [649] = 276,
  [650] = 277,
  [651] = 331,
  [652] = 332,
  [653] = 335,
  [654] = 325,
  [655] = 315,
  [656] = 280,
  [657] = 268,
  [658] = 354,
  [659] = 288,
  [660] = 348,
  [661] = 348,
  [662] = 349,
  [663] = 286,
  [664] = 283,
  [665] = 300,
  [666] = 127,
  [667] = 304,
  [668] = 668,
  [669] = 335,
  [670] = 332,
  [671] = 349,
  [672] = 352,
  [673] = 353,
  [674] = 308,
  [675] = 309,
  [676] = 354,
  [677] = 355,
  [678] = 305,
  [679] = 358,
  [680] = 315,
  [681] = 268,
  [682] = 269,
  [683] = 270,
  [684] = 272,
  [685] = 273,
  [686] = 274,
  [687] = 275,
  [688] = 276,
  [689] = 277,
  [690] = 337,
  [691] = 281,
  [692] = 282,
  [693] = 311,
  [694] = 312,
  [695] = 329,
  [696] = 289,
  [697] = 290,
  [698] = 291,
  [699] = 292,
  [700] = 293,
  [701] = 313,
  [702] = 295,
  [703] = 296,
  [704] = 350,
  [705] = 298,
  [706] = 299,
  [707] = 356,
  [708] = 357,
  [709] = 271,
  [710] = 302,
  [711] = 279,
  [712] = 280,
  [713] = 303,
  [714] = 278,
  [715] = 285,
  [716] = 286,
  [717] = 287,
  [718] = 288,
  [719] = 719,
  [720] = 284,
  [721] = 267,
  [722] = 301,
  [723] = 297,
  [724] = 307,
  [725] = 314,
  [726] = 359,
  [727] = 316,
  [728] = 319,
  [729] = 320,
  [730] = 322,
  [731] = 323,
  [732] = 326,
  [733] = 327,
  [734] = 331,
  [735] = 348,
  [736] = 736,
  [737] = 737,
  [738] = 633,
  [739] = 739,
  [740] = 740,
  [741] = 737,
  [742] = 740,
  [743] = 737,
  [744] = 740,
  [745] = 740,
  [746] = 737,
  [747] = 740,
  [748] = 737,
  [749] = 737,
  [750] = 740,
  [751] = 737,
  [752] = 737,
  [753] = 740,
  [754] = 737,
  [755] = 740,
  [756] = 127,
  [757] = 740,
  [758] = 633,
  [759] = 740,
  [760] = 737,
  [761] = 127,
  [762] = 127,
  [763] = 127,
  [764] = 127,
  [765] = 765,
  [766] = 766,
  [767] = 766,
  [768] = 768,
  [769] = 768,
  [770] = 768,
  [771] = 771,
  [772] = 768,
  [773] = 768,
  [774] = 768,
  [775] = 768,
  [776] = 776,
  [777] = 777,
  [778] = 777,
  [779] = 777,
  [780] = 777,
  [781] = 777,
  [782] = 777,
  [783] = 777,
  [784] = 784,
  [785] = 784,
  [786] = 786,
  [787] = 787,
  [788] = 786,
  [789] = 789,
  [790] = 790,
  [791] = 787,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 793,
  [797] = 797,
  [798] = 784,
  [799] = 795,
  [800] = 797,
  [801] = 797,
  [802] = 797,
  [803] = 803,
  [804] = 784,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 807,
  [809] = 807,
  [810] = 193,
  [811] = 194,
  [812] = 812,
  [813] = 224,
  [814] = 126,
  [815] = 225,
  [816] = 228,
  [817] = 125,
  [818] = 818,
  [819] = 258,
  [820] = 805,
  [821] = 771,
  [822] = 260,
  [823] = 261,
  [824] = 262,
  [825] = 263,
  [826] = 249,
  [827] = 264,
  [828] = 233,
  [829] = 250,
  [830] = 245,
  [831] = 265,
  [832] = 232,
  [833] = 230,
  [834] = 229,
  [835] = 238,
  [836] = 266,
  [837] = 237,
  [838] = 255,
  [839] = 259,
  [840] = 231,
  [841] = 234,
  [842] = 256,
  [843] = 240,
  [844] = 257,
  [845] = 241,
  [846] = 242,
  [847] = 243,
  [848] = 244,
  [849] = 246,
  [850] = 818,
  [851] = 247,
  [852] = 248,
  [853] = 236,
  [854] = 235,
  [855] = 251,
  [856] = 252,
  [857] = 254,
  [858] = 776,
  [859] = 253,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 861,
  [864] = 862,
  [865] = 862,
  [866] = 862,
  [867] = 862,
  [868] = 868,
  [869] = 869,
  [870] = 869,
  [871] = 868,
  [872] = 872,
  [873] = 873,
  [874] = 869,
  [875] = 869,
  [876] = 872,
  [877] = 872,
  [878] = 872,
  [879] = 869,
  [880] = 869,
  [881] = 872,
  [882] = 868,
  [883] = 869,
  [884] = 868,
  [885] = 872,
  [886] = 869,
  [887] = 872,
  [888] = 872,
  [889] = 869,
  [890] = 868,
  [891] = 868,
  [892] = 872,
  [893] = 893,
  [894] = 861,
  [895] = 895,
  [896] = 895,
  [897] = 897,
  [898] = 895,
  [899] = 895,
  [900] = 895,
  [901] = 895,
  [902] = 897,
  [903] = 897,
  [904] = 897,
  [905] = 897,
  [906] = 897,
  [907] = 907,
  [908] = 908,
  [909] = 908,
  [910] = 908,
  [911] = 908,
  [912] = 908,
  [913] = 908,
  [914] = 908,
  [915] = 915,
  [916] = 915,
  [917] = 917,
  [918] = 915,
  [919] = 917,
  [920] = 920,
  [921] = 915,
  [922] = 917,
  [923] = 917,
  [924] = 917,
  [925] = 917,
  [926] = 917,
  [927] = 917,
  [928] = 915,
  [929] = 920,
  [930] = 917,
  [931] = 920,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 933,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 934,
  [940] = 936,
  [941] = 938,
  [942] = 938,
  [943] = 943,
  [944] = 944,
  [945] = 933,
  [946] = 933,
  [947] = 947,
  [948] = 948,
  [949] = 936,
  [950] = 950,
  [951] = 951,
  [952] = 937,
  [953] = 938,
  [954] = 954,
  [955] = 955,
  [956] = 936,
  [957] = 934,
  [958] = 938,
  [959] = 933,
  [960] = 933,
  [961] = 938,
  [962] = 962,
  [963] = 933,
  [964] = 936,
  [965] = 938,
  [966] = 933,
  [967] = 938,
  [968] = 934,
  [969] = 933,
  [970] = 970,
  [971] = 933,
  [972] = 933,
  [973] = 936,
  [974] = 934,
  [975] = 934,
  [976] = 936,
  [977] = 938,
  [978] = 936,
  [979] = 979,
  [980] = 938,
  [981] = 936,
  [982] = 982,
  [983] = 983,
  [984] = 934,
  [985] = 937,
  [986] = 936,
  [987] = 938,
  [988] = 934,
  [989] = 934,
  [990] = 933,
  [991] = 934,
  [992] = 933,
  [993] = 934,
  [994] = 936,
  [995] = 936,
  [996] = 938,
  [997] = 997,
  [998] = 934,
  [999] = 936,
  [1000] = 938,
  [1001] = 1001,
  [1002] = 934,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1003,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1003,
  [1010] = 1006,
  [1011] = 1006,
  [1012] = 1012,
  [1013] = 1006,
  [1014] = 1003,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1003,
  [1018] = 1018,
  [1019] = 1007,
  [1020] = 1020,
  [1021] = 1006,
  [1022] = 1022,
  [1023] = 1007,
  [1024] = 1007,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1006,
  [1028] = 1028,
  [1029] = 1006,
  [1030] = 1003,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1006,
  [1034] = 1006,
  [1035] = 1007,
  [1036] = 1006,
  [1037] = 1003,
  [1038] = 1003,
  [1039] = 1039,
  [1040] = 1006,
  [1041] = 1003,
  [1042] = 1003,
  [1043] = 1043,
  [1044] = 1007,
  [1045] = 1003,
  [1046] = 1007,
  [1047] = 1006,
  [1048] = 1003,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1003,
  [1053] = 1006,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1054,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1074,
  [1082] = 1075,
  [1083] = 1076,
  [1084] = 1077,
  [1085] = 1078,
  [1086] = 1079,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1088,
  [1095] = 1095,
  [1096] = 1080,
  [1097] = 1097,
  [1098] = 1091,
  [1099] = 1092,
  [1100] = 1093,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1088,
  [1105] = 1095,
  [1106] = 1080,
  [1107] = 1093,
  [1108] = 1102,
  [1109] = 1103,
  [1110] = 1088,
  [1111] = 1095,
  [1112] = 1080,
  [1113] = 1095,
  [1114] = 1114,
  [1115] = 1101,
  [1116] = 1093,
  [1117] = 1102,
  [1118] = 1102,
  [1119] = 1088,
  [1120] = 1095,
  [1121] = 1080,
  [1122] = 1097,
  [1123] = 1123,
  [1124] = 1103,
  [1125] = 1088,
  [1126] = 1056,
  [1127] = 1057,
  [1128] = 1058,
  [1129] = 1059,
  [1130] = 1088,
  [1131] = 1060,
  [1132] = 1132,
  [1133] = 1088,
  [1134] = 1061,
  [1135] = 1062,
  [1136] = 1088,
  [1137] = 1088,
  [1138] = 1063,
  [1139] = 1064,
  [1140] = 1065,
  [1141] = 1066,
  [1142] = 1067,
  [1143] = 1055,
  [1144] = 1068,
  [1145] = 1087,
  [1146] = 1055,
  [1147] = 1055,
  [1148] = 1055,
  [1149] = 1069,
  [1150] = 1055,
  [1151] = 1055,
  [1152] = 1055,
  [1153] = 1070,
  [1154] = 1055,
  [1155] = 1055,
  [1156] = 1088,
  [1157] = 1072,
  [1158] = 1073,
  [1159] = 1088,
  [1160] = 1088,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1164,
  [1172] = 1172,
  [1173] = 1166,
  [1174] = 1174,
  [1175] = 1170,
  [1176] = 1162,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1161,
  [1181] = 1166,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1164,
  [1186] = 1172,
  [1187] = 1187,
  [1188] = 1166,
  [1189] = 1162,
  [1190] = 1164,
  [1191] = 1166,
  [1192] = 1172,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1169,
  [1198] = 1169,
  [1199] = 1199,
  [1200] = 1167,
  [1201] = 1170,
  [1202] = 1202,
  [1203] = 1164,
  [1204] = 1204,
  [1205] = 1167,
  [1206] = 1174,
  [1207] = 1177,
  [1208] = 1178,
  [1209] = 1179,
  [1210] = 1161,
  [1211] = 1182,
  [1212] = 1183,
  [1213] = 1184,
  [1214] = 1187,
  [1215] = 1172,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1195,
  [1219] = 1219,
  [1220] = 1162,
  [1221] = 1174,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1166,
  [1225] = 1177,
  [1226] = 1178,
  [1227] = 1179,
  [1228] = 1161,
  [1229] = 1182,
  [1230] = 1183,
  [1231] = 1167,
  [1232] = 1174,
  [1233] = 1177,
  [1234] = 1178,
  [1235] = 1179,
  [1236] = 1161,
  [1237] = 1182,
  [1238] = 1183,
  [1239] = 1184,
  [1240] = 1187,
  [1241] = 1194,
  [1242] = 1169,
  [1243] = 1170,
  [1244] = 1164,
  [1245] = 1172,
  [1246] = 1162,
  [1247] = 1166,
  [1248] = 1194,
  [1249] = 1195,
  [1250] = 1196,
  [1251] = 1162,
  [1252] = 1169,
  [1253] = 1184,
  [1254] = 1167,
  [1255] = 1170,
  [1256] = 1202,
  [1257] = 1164,
  [1258] = 1169,
  [1259] = 1170,
  [1260] = 1164,
  [1261] = 1261,
  [1262] = 1167,
  [1263] = 1174,
  [1264] = 1177,
  [1265] = 1178,
  [1266] = 1179,
  [1267] = 1161,
  [1268] = 1182,
  [1269] = 1183,
  [1270] = 1184,
  [1271] = 1187,
  [1272] = 1172,
  [1273] = 1273,
  [1274] = 1216,
  [1275] = 1217,
  [1276] = 1162,
  [1277] = 1277,
  [1278] = 1169,
  [1279] = 1167,
  [1280] = 1166,
  [1281] = 1174,
  [1282] = 1174,
  [1283] = 1177,
  [1284] = 1178,
  [1285] = 1179,
  [1286] = 1177,
  [1287] = 1287,
  [1288] = 1178,
  [1289] = 1167,
  [1290] = 1174,
  [1291] = 1177,
  [1292] = 1178,
  [1293] = 1179,
  [1294] = 1161,
  [1295] = 1182,
  [1296] = 1183,
  [1297] = 1184,
  [1298] = 1187,
  [1299] = 1169,
  [1300] = 1170,
  [1301] = 1194,
  [1302] = 1182,
  [1303] = 1183,
  [1304] = 1196,
  [1305] = 1179,
  [1306] = 1161,
  [1307] = 1182,
  [1308] = 1184,
  [1309] = 1187,
  [1310] = 1172,
  [1311] = 1202,
  [1312] = 1202,
  [1313] = 1183,
  [1314] = 1287,
  [1315] = 1184,
  [1316] = 1187,
  [1317] = 1317,
  [1318] = 1162,
  [1319] = 1172,
  [1320] = 1167,
  [1321] = 1174,
  [1322] = 1177,
  [1323] = 1178,
  [1324] = 1161,
  [1325] = 1182,
  [1326] = 1183,
  [1327] = 1184,
  [1328] = 1187,
  [1329] = 1194,
  [1330] = 1330,
  [1331] = 1196,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1187,
  [1335] = 1335,
  [1336] = 1166,
  [1337] = 1167,
  [1338] = 1174,
  [1339] = 1177,
  [1340] = 1178,
  [1341] = 1179,
  [1342] = 1161,
  [1343] = 1182,
  [1344] = 1183,
  [1345] = 1184,
  [1346] = 1187,
  [1347] = 1194,
  [1348] = 1196,
  [1349] = 1172,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1162,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1194,
  [1358] = 1196,
  [1359] = 1194,
  [1360] = 1196,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1170,
  [1364] = 1194,
  [1365] = 1196,
  [1366] = 1194,
  [1367] = 1196,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1169,
  [1371] = 1170,
  [1372] = 1169,
  [1373] = 1170,
  [1374] = 1202,
  [1375] = 1166,
  [1376] = 1164,
  [1377] = 1165,
  [1378] = 1335,
  [1379] = 1164,
  [1380] = 1164,
  [1381] = 1381,
  [1382] = 1167,
  [1383] = 1174,
  [1384] = 1177,
  [1385] = 1178,
  [1386] = 1179,
  [1387] = 1161,
  [1388] = 1182,
  [1389] = 1183,
  [1390] = 1184,
  [1391] = 1187,
  [1392] = 1172,
  [1393] = 1204,
  [1394] = 1394,
  [1395] = 1261,
  [1396] = 1273,
  [1397] = 1162,
  [1398] = 1356,
  [1399] = 1166,
  [1400] = 1353,
  [1401] = 1165,
  [1402] = 1335,
  [1403] = 1204,
  [1404] = 1394,
  [1405] = 1261,
  [1406] = 1273,
  [1407] = 1356,
  [1408] = 1353,
  [1409] = 1165,
  [1410] = 1335,
  [1411] = 1172,
  [1412] = 1204,
  [1413] = 1394,
  [1414] = 1261,
  [1415] = 1273,
  [1416] = 1356,
  [1417] = 1353,
  [1418] = 1165,
  [1419] = 1335,
  [1420] = 1168,
  [1421] = 1204,
  [1422] = 1394,
  [1423] = 1261,
  [1424] = 1273,
  [1425] = 1356,
  [1426] = 1353,
  [1427] = 1204,
  [1428] = 1394,
  [1429] = 1261,
  [1430] = 1273,
  [1431] = 1356,
  [1432] = 1353,
  [1433] = 1162,
  [1434] = 1204,
  [1435] = 1394,
  [1436] = 1261,
  [1437] = 1356,
  [1438] = 1438,
  [1439] = 1394,
  [1440] = 1196,
  [1441] = 1194,
  [1442] = 1196,
  [1443] = 1443,
  [1444] = 1169,
  [1445] = 1170,
  [1446] = 1438,
  [1447] = 1223,
  [1448] = 1194,
  [1449] = 1196,
  [1450] = 1450,
  [1451] = 1174,
  [1452] = 1438,
  [1453] = 1438,
  [1454] = 1438,
  [1455] = 1438,
  [1456] = 1438,
  [1457] = 1202,
  [1458] = 1167,
  [1459] = 1174,
  [1460] = 1177,
  [1461] = 1178,
  [1462] = 1179,
  [1463] = 1161,
  [1464] = 1182,
  [1465] = 1183,
  [1466] = 1184,
  [1467] = 1187,
  [1468] = 1169,
  [1469] = 1170,
  [1470] = 1164,
  [1471] = 1172,
  [1472] = 1162,
  [1473] = 1166,
  [1474] = 1164,
  [1475] = 1167,
  [1476] = 1177,
  [1477] = 1178,
  [1478] = 1179,
  [1479] = 1161,
  [1480] = 1182,
  [1481] = 1183,
  [1482] = 1184,
  [1483] = 1187,
  [1484] = 1172,
  [1485] = 1162,
  [1486] = 1166,
  [1487] = 1194,
  [1488] = 1196,
  [1489] = 1489,
  [1490] = 1169,
  [1491] = 1170,
  [1492] = 1287,
  [1493] = 1287,
  [1494] = 1287,
  [1495] = 1287,
  [1496] = 1179,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1498,
  [1500] = 1500,
  [1501] = 1500,
  [1502] = 1500,
  [1503] = 302,
  [1504] = 291,
  [1505] = 1500,
  [1506] = 1506,
  [1507] = 1222,
  [1508] = 1508,
  [1509] = 1222,
  [1510] = 1497,
  [1511] = 1352,
  [1512] = 1222,
  [1513] = 1497,
  [1514] = 1330,
  [1515] = 1355,
  [1516] = 1332,
  [1517] = 1351,
  [1518] = 1333,
  [1519] = 1163,
  [1520] = 861,
  [1521] = 1330,
  [1522] = 1352,
  [1523] = 1333,
  [1524] = 1351,
  [1525] = 1163,
  [1526] = 1332,
  [1527] = 861,
  [1528] = 1497,
  [1529] = 1355,
  [1530] = 861,
  [1531] = 1497,
  [1532] = 1330,
  [1533] = 1163,
  [1534] = 1332,
  [1535] = 1333,
  [1536] = 1351,
  [1537] = 1352,
  [1538] = 1355,
  [1539] = 1355,
  [1540] = 1352,
  [1541] = 1351,
  [1542] = 1333,
  [1543] = 1332,
  [1544] = 1163,
  [1545] = 1330,
  [1546] = 1497,
  [1547] = 1547,
  [1548] = 1547,
  [1549] = 1547,
  [1550] = 1547,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1552,
  [1554] = 1552,
  [1555] = 1552,
  [1556] = 1552,
  [1557] = 1552,
  [1558] = 1552,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1577,
  [1580] = 1497,
  [1581] = 1355,
  [1582] = 1352,
  [1583] = 1332,
  [1584] = 1584,
  [1585] = 1497,
  [1586] = 1333,
  [1587] = 1587,
  [1588] = 1163,
  [1589] = 1351,
  [1590] = 1330,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1330,
  [1594] = 1332,
  [1595] = 1163,
  [1596] = 1333,
  [1597] = 1351,
  [1598] = 1352,
  [1599] = 1355,
  [1600] = 1222,
  [1601] = 194,
  [1602] = 222,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1606,
  [1609] = 221,
  [1610] = 1610,
  [1611] = 1606,
  [1612] = 193,
  [1613] = 1497,
  [1614] = 1606,
  [1615] = 239,
  [1616] = 1616,
  [1617] = 1573,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1584,
  [1621] = 1222,
  [1622] = 239,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1355,
  [1626] = 1222,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1630,
  [1632] = 1630,
  [1633] = 1624,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1624,
  [1637] = 1630,
  [1638] = 225,
  [1639] = 1163,
  [1640] = 1352,
  [1641] = 1624,
  [1642] = 1351,
  [1643] = 1624,
  [1644] = 1624,
  [1645] = 1497,
  [1646] = 1330,
  [1647] = 1332,
  [1648] = 1333,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 125,
  [1652] = 1624,
  [1653] = 126,
  [1654] = 1654,
  [1655] = 261,
  [1656] = 291,
  [1657] = 235,
  [1658] = 302,
  [1659] = 1222,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1497,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 308,
  [1722] = 1722,
  [1723] = 309,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 260,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 311,
  [1735] = 312,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 313,
  [1740] = 283,
  [1741] = 350,
  [1742] = 356,
  [1743] = 357,
  [1744] = 271,
  [1745] = 278,
  [1746] = 267,
  [1747] = 300,
  [1748] = 1748,
  [1749] = 280,
  [1750] = 288,
  [1751] = 301,
  [1752] = 304,
  [1753] = 307,
  [1754] = 1754,
  [1755] = 314,
  [1756] = 359,
  [1757] = 316,
  [1758] = 319,
  [1759] = 320,
  [1760] = 322,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 349,
  [1764] = 1764,
  [1765] = 353,
  [1766] = 354,
  [1767] = 355,
  [1768] = 358,
  [1769] = 315,
  [1770] = 268,
  [1771] = 269,
  [1772] = 270,
  [1773] = 272,
  [1774] = 273,
  [1775] = 274,
  [1776] = 292,
  [1777] = 293,
  [1778] = 1778,
  [1779] = 295,
  [1780] = 296,
  [1781] = 298,
  [1782] = 303,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 249,
  [1788] = 250,
  [1789] = 256,
  [1790] = 257,
  [1791] = 258,
  [1792] = 233,
  [1793] = 251,
  [1794] = 1794,
  [1795] = 1551,
  [1796] = 1796,
  [1797] = 194,
  [1798] = 1634,
  [1799] = 1635,
  [1800] = 1778,
  [1801] = 1650,
  [1802] = 1551,
  [1803] = 1497,
  [1804] = 194,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1661,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1573,
  [1812] = 1805,
  [1813] = 1649,
  [1814] = 1814,
  [1815] = 221,
  [1816] = 193,
  [1817] = 1809,
  [1818] = 1806,
  [1819] = 1663,
  [1820] = 1664,
  [1821] = 1805,
  [1822] = 221,
  [1823] = 222,
  [1824] = 193,
  [1825] = 222,
  [1826] = 239,
  [1827] = 1827,
  [1828] = 1575,
  [1829] = 1573,
  [1830] = 1830,
  [1831] = 1578,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1576,
  [1835] = 1573,
  [1836] = 239,
  [1837] = 1575,
  [1838] = 1573,
  [1839] = 1810,
  [1840] = 1840,
  [1841] = 1810,
  [1842] = 1842,
  [1843] = 1810,
  [1844] = 1689,
  [1845] = 1845,
  [1846] = 1810,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1576,
  [1851] = 1851,
  [1852] = 1827,
  [1853] = 1827,
  [1854] = 1578,
  [1855] = 1827,
  [1856] = 239,
  [1857] = 1827,
  [1858] = 1858,
  [1859] = 1827,
  [1860] = 1573,
  [1861] = 1861,
  [1862] = 1832,
  [1863] = 239,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1810,
  [1867] = 1867,
  [1868] = 1827,
  [1869] = 125,
  [1870] = 1870,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1687,
  [1875] = 1875,
  [1876] = 1603,
  [1877] = 1616,
  [1878] = 1717,
  [1879] = 1576,
  [1880] = 1623,
  [1881] = 1764,
  [1882] = 1882,
  [1883] = 1575,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1604,
  [1890] = 1830,
  [1891] = 1891,
  [1892] = 225,
  [1893] = 1893,
  [1894] = 1605,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 125,
  [1898] = 1578,
  [1899] = 1895,
  [1900] = 1900,
  [1901] = 1717,
  [1902] = 1895,
  [1903] = 126,
  [1904] = 1764,
  [1905] = 1905,
  [1906] = 1607,
  [1907] = 1907,
  [1908] = 225,
  [1909] = 1629,
  [1910] = 1888,
  [1911] = 1573,
  [1912] = 1627,
  [1913] = 1895,
  [1914] = 1584,
  [1915] = 1915,
  [1916] = 1573,
  [1917] = 1573,
  [1918] = 126,
  [1919] = 1708,
  [1920] = 1573,
  [1921] = 274,
  [1922] = 1686,
  [1923] = 274,
  [1924] = 269,
  [1925] = 1671,
  [1926] = 776,
  [1927] = 301,
  [1928] = 304,
  [1929] = 1672,
  [1930] = 291,
  [1931] = 1761,
  [1932] = 235,
  [1933] = 1664,
  [1934] = 302,
  [1935] = 271,
  [1936] = 278,
  [1937] = 268,
  [1938] = 1849,
  [1939] = 256,
  [1940] = 1703,
  [1941] = 291,
  [1942] = 1814,
  [1943] = 354,
  [1944] = 355,
  [1945] = 292,
  [1946] = 1704,
  [1947] = 358,
  [1948] = 315,
  [1949] = 260,
  [1950] = 1584,
  [1951] = 1654,
  [1952] = 1705,
  [1953] = 1706,
  [1954] = 280,
  [1955] = 1222,
  [1956] = 270,
  [1957] = 1833,
  [1958] = 293,
  [1959] = 267,
  [1960] = 1676,
  [1961] = 295,
  [1962] = 300,
  [1963] = 296,
  [1964] = 311,
  [1965] = 1851,
  [1966] = 1966,
  [1967] = 298,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1783,
  [1971] = 1784,
  [1972] = 288,
  [1973] = 1785,
  [1974] = 235,
  [1975] = 261,
  [1976] = 1688,
  [1977] = 1977,
  [1978] = 1786,
  [1979] = 1690,
  [1980] = 1697,
  [1981] = 1691,
  [1982] = 1692,
  [1983] = 313,
  [1984] = 302,
  [1985] = 303,
  [1986] = 1762,
  [1987] = 1693,
  [1988] = 1694,
  [1989] = 1695,
  [1990] = 1865,
  [1991] = 1847,
  [1992] = 257,
  [1993] = 1993,
  [1994] = 1677,
  [1995] = 1696,
  [1996] = 1702,
  [1997] = 1584,
  [1998] = 307,
  [1999] = 1678,
  [2000] = 2000,
  [2001] = 1698,
  [2002] = 1699,
  [2003] = 314,
  [2004] = 249,
  [2005] = 1679,
  [2006] = 1700,
  [2007] = 250,
  [2008] = 1701,
  [2009] = 2009,
  [2010] = 1702,
  [2011] = 1703,
  [2012] = 359,
  [2013] = 1704,
  [2014] = 1654,
  [2015] = 1705,
  [2016] = 1706,
  [2017] = 1680,
  [2018] = 1681,
  [2019] = 1727,
  [2020] = 1682,
  [2021] = 1728,
  [2022] = 1707,
  [2023] = 1709,
  [2024] = 1710,
  [2025] = 1711,
  [2026] = 1712,
  [2027] = 1683,
  [2028] = 1809,
  [2029] = 316,
  [2030] = 283,
  [2031] = 1713,
  [2032] = 1714,
  [2033] = 1715,
  [2034] = 319,
  [2035] = 320,
  [2036] = 1716,
  [2037] = 322,
  [2038] = 2038,
  [2039] = 312,
  [2040] = 1858,
  [2041] = 1707,
  [2042] = 1867,
  [2043] = 1663,
  [2044] = 251,
  [2045] = 1842,
  [2046] = 251,
  [2047] = 233,
  [2048] = 1660,
  [2049] = 1673,
  [2050] = 256,
  [2051] = 257,
  [2052] = 258,
  [2053] = 1674,
  [2054] = 1848,
  [2055] = 258,
  [2056] = 1709,
  [2057] = 2057,
  [2058] = 1710,
  [2059] = 1711,
  [2060] = 350,
  [2061] = 356,
  [2062] = 1712,
  [2063] = 233,
  [2064] = 1849,
  [2065] = 2065,
  [2066] = 1718,
  [2067] = 1719,
  [2068] = 1675,
  [2069] = 1720,
  [2070] = 1764,
  [2071] = 283,
  [2072] = 1676,
  [2073] = 1677,
  [2074] = 1678,
  [2075] = 1663,
  [2076] = 1679,
  [2077] = 1680,
  [2078] = 1681,
  [2079] = 1682,
  [2080] = 1848,
  [2081] = 357,
  [2082] = 1683,
  [2083] = 1794,
  [2084] = 2084,
  [2085] = 1662,
  [2086] = 1724,
  [2087] = 350,
  [2088] = 356,
  [2089] = 357,
  [2090] = 1725,
  [2091] = 271,
  [2092] = 278,
  [2093] = 1726,
  [2094] = 1717,
  [2095] = 267,
  [2096] = 300,
  [2097] = 1736,
  [2098] = 1713,
  [2099] = 1729,
  [2100] = 1796,
  [2101] = 1731,
  [2102] = 272,
  [2103] = 280,
  [2104] = 2104,
  [2105] = 288,
  [2106] = 1732,
  [2107] = 1684,
  [2108] = 301,
  [2109] = 304,
  [2110] = 307,
  [2111] = 1733,
  [2112] = 1714,
  [2113] = 308,
  [2114] = 2114,
  [2115] = 314,
  [2116] = 359,
  [2117] = 316,
  [2118] = 319,
  [2119] = 320,
  [2120] = 2120,
  [2121] = 322,
  [2122] = 308,
  [2123] = 309,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 1727,
  [2127] = 1664,
  [2128] = 260,
  [2129] = 1665,
  [2130] = 349,
  [2131] = 353,
  [2132] = 1715,
  [2133] = 354,
  [2134] = 355,
  [2135] = 1685,
  [2136] = 261,
  [2137] = 1666,
  [2138] = 358,
  [2139] = 315,
  [2140] = 268,
  [2141] = 269,
  [2142] = 270,
  [2143] = 1738,
  [2144] = 272,
  [2145] = 771,
  [2146] = 273,
  [2147] = 1701,
  [2148] = 349,
  [2149] = 311,
  [2150] = 312,
  [2151] = 1690,
  [2152] = 309,
  [2153] = 1691,
  [2154] = 1692,
  [2155] = 353,
  [2156] = 1693,
  [2157] = 1694,
  [2158] = 1728,
  [2159] = 1695,
  [2160] = 1716,
  [2161] = 292,
  [2162] = 293,
  [2163] = 295,
  [2164] = 296,
  [2165] = 1667,
  [2166] = 298,
  [2167] = 1696,
  [2168] = 313,
  [2169] = 303,
  [2170] = 1668,
  [2171] = 1698,
  [2172] = 1699,
  [2173] = 1700,
  [2174] = 273,
  [2175] = 1669,
  [2176] = 249,
  [2177] = 250,
  [2178] = 2178,
  [2179] = 1867,
  [2180] = 1650,
  [2181] = 1845,
  [2182] = 1163,
  [2183] = 1330,
  [2184] = 1332,
  [2185] = 1849,
  [2186] = 1664,
  [2187] = 1689,
  [2188] = 1840,
  [2189] = 1689,
  [2190] = 2190,
  [2191] = 1333,
  [2192] = 1604,
  [2193] = 1865,
  [2194] = 1351,
  [2195] = 1847,
  [2196] = 1649,
  [2197] = 1649,
  [2198] = 1858,
  [2199] = 1352,
  [2200] = 1578,
  [2201] = 1864,
  [2202] = 126,
  [2203] = 1842,
  [2204] = 1497,
  [2205] = 1634,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 1605,
  [2211] = 1833,
  [2212] = 1575,
  [2213] = 2213,
  [2214] = 1355,
  [2215] = 1576,
  [2216] = 1864,
  [2217] = 1650,
  [2218] = 2218,
  [2219] = 1635,
  [2220] = 1603,
  [2221] = 1634,
  [2222] = 2222,
  [2223] = 1605,
  [2224] = 1607,
  [2225] = 1635,
  [2226] = 1848,
  [2227] = 1851,
  [2228] = 1607,
  [2229] = 1604,
  [2230] = 125,
  [2231] = 1663,
  [2232] = 1603,
  [2233] = 2233,
  [2234] = 1915,
  [2235] = 1905,
  [2236] = 1833,
  [2237] = 2237,
  [2238] = 1870,
  [2239] = 1605,
  [2240] = 1851,
  [2241] = 1616,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 1873,
  [2245] = 1865,
  [2246] = 1847,
  [2247] = 2247,
  [2248] = 1603,
  [2249] = 1616,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 1884,
  [2253] = 1717,
  [2254] = 1885,
  [2255] = 1603,
  [2256] = 2256,
  [2257] = 776,
  [2258] = 1858,
  [2259] = 1867,
  [2260] = 2260,
  [2261] = 1830,
  [2262] = 1604,
  [2263] = 1872,
  [2264] = 1842,
  [2265] = 1604,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 1607,
  [2269] = 1605,
  [2270] = 1607,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 1603,
  [2275] = 1604,
  [2276] = 1896,
  [2277] = 1886,
  [2278] = 1764,
  [2279] = 1584,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 771,
  [2284] = 1605,
  [2285] = 1607,
  [2286] = 1887,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 1900,
  [2290] = 2290,
  [2291] = 1882,
  [2292] = 1565,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 1605,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 1574,
  [2303] = 2303,
  [2304] = 125,
  [2305] = 2305,
  [2306] = 1584,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 1567,
  [2315] = 1764,
  [2316] = 1604,
  [2317] = 2317,
  [2318] = 1603,
  [2319] = 1564,
  [2320] = 2218,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 1570,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 1888,
  [2330] = 2207,
  [2331] = 1864,
  [2332] = 1568,
  [2333] = 1569,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2190,
  [2338] = 1607,
  [2339] = 2339,
  [2340] = 1571,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 1566,
  [2346] = 2346,
  [2347] = 2206,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 1663,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 1664,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 1717,
  [2361] = 2361,
  [2362] = 1560,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 1561,
  [2367] = 1559,
  [2368] = 2368,
  [2369] = 1616,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 126,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 1830,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 1572,
  [2382] = 2382,
  [2383] = 1562,
  [2384] = 2384,
  [2385] = 1563,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 1623,
  [2389] = 1629,
  [2390] = 1578,
  [2391] = 1616,
  [2392] = 1607,
  [2393] = 1842,
  [2394] = 1627,
  [2395] = 1858,
  [2396] = 1851,
  [2397] = 1867,
  [2398] = 1865,
  [2399] = 1708,
  [2400] = 1576,
  [2401] = 1604,
  [2402] = 1603,
  [2403] = 1687,
  [2404] = 1847,
  [2405] = 1830,
  [2406] = 1888,
  [2407] = 1575,
  [2408] = 1833,
  [2409] = 1605,
  [2410] = 1668,
  [2411] = 2411,
  [2412] = 1764,
  [2413] = 1660,
  [2414] = 1673,
  [2415] = 1674,
  [2416] = 1675,
  [2417] = 1584,
  [2418] = 1736,
  [2419] = 1684,
  [2420] = 1685,
  [2421] = 1686,
  [2422] = 2422,
  [2423] = 1764,
  [2424] = 1717,
  [2425] = 1163,
  [2426] = 2426,
  [2427] = 1330,
  [2428] = 1332,
  [2429] = 1333,
  [2430] = 1351,
  [2431] = 1352,
  [2432] = 1355,
  [2433] = 1605,
  [2434] = 1607,
  [2435] = 1551,
  [2436] = 1708,
  [2437] = 1845,
  [2438] = 1783,
  [2439] = 1840,
  [2440] = 1784,
  [2441] = 1785,
  [2442] = 1786,
  [2443] = 1833,
  [2444] = 1687,
  [2445] = 1603,
  [2446] = 1616,
  [2447] = 1634,
  [2448] = 1635,
  [2449] = 1865,
  [2450] = 1847,
  [2451] = 1650,
  [2452] = 1604,
  [2453] = 1858,
  [2454] = 1867,
  [2455] = 1842,
  [2456] = 1830,
  [2457] = 2206,
  [2458] = 1688,
  [2459] = 1697,
  [2460] = 2207,
  [2461] = 1761,
  [2462] = 1718,
  [2463] = 1719,
  [2464] = 1720,
  [2465] = 1724,
  [2466] = 1725,
  [2467] = 1726,
  [2468] = 1729,
  [2469] = 1796,
  [2470] = 1731,
  [2471] = 1732,
  [2472] = 1733,
  [2473] = 1794,
  [2474] = 1662,
  [2475] = 1665,
  [2476] = 1666,
  [2477] = 1762,
  [2478] = 1667,
  [2479] = 1669,
  [2480] = 1649,
  [2481] = 1671,
  [2482] = 1672,
  [2483] = 1738,
  [2484] = 1649,
  [2485] = 1864,
  [2486] = 1717,
  [2487] = 1634,
  [2488] = 1635,
  [2489] = 1650,
  [2490] = 1551,
  [2491] = 2491,
  [2492] = 1851,
  [2493] = 1900,
  [2494] = 1842,
  [2495] = 1905,
  [2496] = 1896,
  [2497] = 1748,
  [2498] = 1634,
  [2499] = 1584,
  [2500] = 1833,
  [2501] = 1864,
  [2502] = 1754,
  [2503] = 1635,
  [2504] = 1649,
  [2505] = 1888,
  [2506] = 1687,
  [2507] = 1915,
  [2508] = 2206,
  [2509] = 1885,
  [2510] = 1551,
  [2511] = 1650,
  [2512] = 1737,
  [2513] = 2207,
  [2514] = 1887,
  [2515] = 1858,
  [2516] = 1689,
  [2517] = 1865,
  [2518] = 1847,
  [2519] = 1872,
  [2520] = 1551,
  [2521] = 1722,
  [2522] = 1886,
  [2523] = 1867,
  [2524] = 1689,
  [2525] = 1873,
  [2526] = 1708,
  [2527] = 1882,
  [2528] = 1851,
  [2529] = 1884,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 1870,
  [2533] = 1163,
  [2534] = 1867,
  [2535] = 1842,
  [2536] = 1629,
  [2537] = 1754,
  [2538] = 1840,
  [2539] = 1627,
  [2540] = 2540,
  [2541] = 1833,
  [2542] = 1623,
  [2543] = 1689,
  [2544] = 1687,
  [2545] = 1851,
  [2546] = 1794,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 1865,
  [2561] = 1660,
  [2562] = 1864,
  [2563] = 1847,
  [2564] = 1605,
  [2565] = 2565,
  [2566] = 1607,
  [2567] = 1718,
  [2568] = 1708,
  [2569] = 1724,
  [2570] = 1748,
  [2571] = 1809,
  [2572] = 1729,
  [2573] = 2540,
  [2574] = 1330,
  [2575] = 1332,
  [2576] = 1333,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2540,
  [2581] = 1845,
  [2582] = 2540,
  [2583] = 1351,
  [2584] = 1352,
  [2585] = 1355,
  [2586] = 1858,
  [2587] = 1603,
  [2588] = 1722,
  [2589] = 1737,
  [2590] = 1604,
  [2591] = 1666,
  [2592] = 1732,
  [2593] = 2593,
  [2594] = 2342,
  [2595] = 1784,
  [2596] = 1785,
  [2597] = 1786,
  [2598] = 2207,
  [2599] = 1736,
  [2600] = 1845,
  [2601] = 1688,
  [2602] = 2348,
  [2603] = 2351,
  [2604] = 2352,
  [2605] = 2605,
  [2606] = 2530,
  [2607] = 1697,
  [2608] = 2531,
  [2609] = 2609,
  [2610] = 2206,
  [2611] = 1634,
  [2612] = 1662,
  [2613] = 2613,
  [2614] = 1885,
  [2615] = 2615,
  [2616] = 1778,
  [2617] = 1673,
  [2618] = 1675,
  [2619] = 2619,
  [2620] = 1649,
  [2621] = 2530,
  [2622] = 1873,
  [2623] = 1684,
  [2624] = 1905,
  [2625] = 1840,
  [2626] = 1896,
  [2627] = 1665,
  [2628] = 1689,
  [2629] = 2629,
  [2630] = 2293,
  [2631] = 1761,
  [2632] = 1667,
  [2633] = 2629,
  [2634] = 2353,
  [2635] = 1668,
  [2636] = 1669,
  [2637] = 2354,
  [2638] = 1762,
  [2639] = 1674,
  [2640] = 1882,
  [2641] = 1635,
  [2642] = 2335,
  [2643] = 1671,
  [2644] = 2629,
  [2645] = 1672,
  [2646] = 1649,
  [2647] = 1650,
  [2648] = 1783,
  [2649] = 1870,
  [2650] = 1809,
  [2651] = 1864,
  [2652] = 245,
  [2653] = 2629,
  [2654] = 1719,
  [2655] = 1720,
  [2656] = 2374,
  [2657] = 2629,
  [2658] = 2658,
  [2659] = 237,
  [2660] = 2629,
  [2661] = 1497,
  [2662] = 1163,
  [2663] = 2663,
  [2664] = 1725,
  [2665] = 1726,
  [2666] = 1330,
  [2667] = 1332,
  [2668] = 1333,
  [2669] = 1796,
  [2670] = 1351,
  [2671] = 1352,
  [2672] = 1355,
  [2673] = 2303,
  [2674] = 1163,
  [2675] = 1330,
  [2676] = 1332,
  [2677] = 1900,
  [2678] = 1887,
  [2679] = 1333,
  [2680] = 1872,
  [2681] = 1886,
  [2682] = 1351,
  [2683] = 1352,
  [2684] = 1355,
  [2685] = 2356,
  [2686] = 1731,
  [2687] = 1884,
  [2688] = 1551,
  [2689] = 1685,
  [2690] = 1733,
  [2691] = 1738,
  [2692] = 1814,
  [2693] = 2629,
  [2694] = 1634,
  [2695] = 1635,
  [2696] = 2696,
  [2697] = 1650,
  [2698] = 1551,
  [2699] = 1686,
  [2700] = 2531,
  [2701] = 1915,
  [2702] = 2554,
  [2703] = 1870,
  [2704] = 1222,
  [2705] = 2705,
  [2706] = 1689,
  [2707] = 1718,
  [2708] = 1871,
  [2709] = 2557,
  [2710] = 2705,
  [2711] = 1907,
  [2712] = 1845,
  [2713] = 1900,
  [2714] = 1887,
  [2715] = 2609,
  [2716] = 2716,
  [2717] = 2530,
  [2718] = 1627,
  [2719] = 2531,
  [2720] = 2313,
  [2721] = 2613,
  [2722] = 1724,
  [2723] = 1872,
  [2724] = 1886,
  [2725] = 1629,
  [2726] = 2556,
  [2727] = 2558,
  [2728] = 2716,
  [2729] = 1623,
  [2730] = 1222,
  [2731] = 1722,
  [2732] = 2565,
  [2733] = 1875,
  [2734] = 2716,
  [2735] = 2705,
  [2736] = 1737,
  [2737] = 2716,
  [2738] = 2716,
  [2739] = 1660,
  [2740] = 1748,
  [2741] = 1754,
  [2742] = 2658,
  [2743] = 1873,
  [2744] = 1840,
  [2745] = 2547,
  [2746] = 1729,
  [2747] = 1882,
  [2748] = 1794,
  [2749] = 1884,
  [2750] = 1666,
  [2751] = 1885,
  [2752] = 2716,
  [2753] = 1915,
  [2754] = 2548,
  [2755] = 1891,
  [2756] = 1905,
  [2757] = 1896,
  [2758] = 1893,
  [2759] = 2577,
  [2760] = 2549,
  [2761] = 2550,
  [2762] = 2551,
  [2763] = 2552,
  [2764] = 2553,
  [2765] = 2559,
  [2766] = 2555,
  [2767] = 2578,
  [2768] = 2579,
  [2769] = 2716,
  [2770] = 1733,
  [2771] = 1888,
  [2772] = 2772,
  [2773] = 1993,
  [2774] = 1731,
  [2775] = 2775,
  [2776] = 1732,
  [2777] = 1726,
  [2778] = 1736,
  [2779] = 2779,
  [2780] = 2779,
  [2781] = 2781,
  [2782] = 1623,
  [2783] = 2772,
  [2784] = 2781,
  [2785] = 2775,
  [2786] = 2786,
  [2787] = 1845,
  [2788] = 1629,
  [2789] = 2057,
  [2790] = 1719,
  [2791] = 2772,
  [2792] = 1966,
  [2793] = 1673,
  [2794] = 1697,
  [2795] = 2772,
  [2796] = 1674,
  [2797] = 1720,
  [2798] = 1809,
  [2799] = 2038,
  [2800] = 1675,
  [2801] = 2801,
  [2802] = 2781,
  [2803] = 1840,
  [2804] = 2786,
  [2805] = 1718,
  [2806] = 2178,
  [2807] = 1666,
  [2808] = 1893,
  [2809] = 1875,
  [2810] = 1724,
  [2811] = 2779,
  [2812] = 1729,
  [2813] = 2781,
  [2814] = 1814,
  [2815] = 1662,
  [2816] = 1665,
  [2817] = 2817,
  [2818] = 2801,
  [2819] = 2781,
  [2820] = 2775,
  [2821] = 1664,
  [2822] = 1762,
  [2823] = 1668,
  [2824] = 1669,
  [2825] = 2779,
  [2826] = 1891,
  [2827] = 1671,
  [2828] = 1907,
  [2829] = 2801,
  [2830] = 1672,
  [2831] = 2801,
  [2832] = 1684,
  [2833] = 1738,
  [2834] = 2009,
  [2835] = 2801,
  [2836] = 1685,
  [2837] = 2772,
  [2838] = 1871,
  [2839] = 2801,
  [2840] = 2781,
  [2841] = 1814,
  [2842] = 1686,
  [2843] = 1794,
  [2844] = 1660,
  [2845] = 1627,
  [2846] = 1796,
  [2847] = 1783,
  [2848] = 1784,
  [2849] = 1725,
  [2850] = 1497,
  [2851] = 1785,
  [2852] = 2775,
  [2853] = 1786,
  [2854] = 1222,
  [2855] = 1830,
  [2856] = 1497,
  [2857] = 2775,
  [2858] = 2775,
  [2859] = 1761,
  [2860] = 2779,
  [2861] = 2772,
  [2862] = 2779,
  [2863] = 1688,
  [2864] = 1663,
  [2865] = 2865,
  [2866] = 1667,
  [2867] = 1736,
  [2868] = 2557,
  [2869] = 2290,
  [2870] = 2558,
  [2871] = 1673,
  [2872] = 1674,
  [2873] = 2786,
  [2874] = 1675,
  [2875] = 1684,
  [2876] = 1685,
  [2877] = 1686,
  [2878] = 1222,
  [2879] = 1717,
  [2880] = 2557,
  [2881] = 2290,
  [2882] = 2559,
  [2883] = 1688,
  [2884] = 2558,
  [2885] = 1697,
  [2886] = 2237,
  [2887] = 1873,
  [2888] = 1882,
  [2889] = 1761,
  [2890] = 2290,
  [2891] = 1497,
  [2892] = 1762,
  [2893] = 2178,
  [2894] = 2222,
  [2895] = 1884,
  [2896] = 1885,
  [2897] = 2290,
  [2898] = 2559,
  [2899] = 1905,
  [2900] = 2565,
  [2901] = 2577,
  [2902] = 2578,
  [2903] = 2579,
  [2904] = 2009,
  [2905] = 1783,
  [2906] = 1784,
  [2907] = 1785,
  [2908] = 1786,
  [2909] = 1809,
  [2910] = 1900,
  [2911] = 2548,
  [2912] = 1887,
  [2913] = 1708,
  [2914] = 2547,
  [2915] = 1664,
  [2916] = 2213,
  [2917] = 2250,
  [2918] = 2280,
  [2919] = 1687,
  [2920] = 1915,
  [2921] = 1993,
  [2922] = 1872,
  [2923] = 1886,
  [2924] = 2547,
  [2925] = 1662,
  [2926] = 1665,
  [2927] = 1667,
  [2928] = 1870,
  [2929] = 1668,
  [2930] = 1669,
  [2931] = 2556,
  [2932] = 1915,
  [2933] = 1671,
  [2934] = 1870,
  [2935] = 1672,
  [2936] = 2548,
  [2937] = 2233,
  [2938] = 1896,
  [2939] = 2242,
  [2940] = 2549,
  [2941] = 2550,
  [2942] = 2247,
  [2943] = 1689,
  [2944] = 2551,
  [2945] = 2552,
  [2946] = 2553,
  [2947] = 2554,
  [2948] = 2555,
  [2949] = 2565,
  [2950] = 1900,
  [2951] = 1887,
  [2952] = 1872,
  [2953] = 1886,
  [2954] = 1966,
  [2955] = 2256,
  [2956] = 1719,
  [2957] = 1720,
  [2958] = 1873,
  [2959] = 1882,
  [2960] = 1884,
  [2961] = 1885,
  [2962] = 1725,
  [2963] = 1726,
  [2964] = 1796,
  [2965] = 1764,
  [2966] = 1731,
  [2967] = 2057,
  [2968] = 1663,
  [2969] = 1732,
  [2970] = 1733,
  [2971] = 2577,
  [2972] = 2287,
  [2973] = 2549,
  [2974] = 1738,
  [2975] = 2556,
  [2976] = 2550,
  [2977] = 1905,
  [2978] = 2551,
  [2979] = 1896,
  [2980] = 2552,
  [2981] = 2553,
  [2982] = 2554,
  [2983] = 2555,
  [2984] = 1814,
  [2985] = 2233,
  [2986] = 2786,
  [2987] = 2578,
  [2988] = 1497,
  [2989] = 2579,
  [2990] = 2208,
  [2991] = 2038,
  [2992] = 2550,
  [2993] = 2993,
  [2994] = 2786,
  [2995] = 2065,
  [2996] = 2251,
  [2997] = 2786,
  [2998] = 2998,
  [2999] = 2290,
  [3000] = 2114,
  [3001] = 2209,
  [3002] = 1575,
  [3003] = 2084,
  [3004] = 1968,
  [3005] = 1969,
  [3006] = 1977,
  [3007] = 2120,
  [3008] = 3008,
  [3009] = 2786,
  [3010] = 2207,
  [3011] = 2548,
  [3012] = 2281,
  [3013] = 1578,
  [3014] = 2288,
  [3015] = 2000,
  [3016] = 2609,
  [3017] = 2125,
  [3018] = 2213,
  [3019] = 2313,
  [3020] = 1830,
  [3021] = 3021,
  [3022] = 1497,
  [3023] = 2998,
  [3024] = 2613,
  [3025] = 3025,
  [3026] = 1661,
  [3027] = 2411,
  [3028] = 2609,
  [3029] = 1814,
  [3030] = 2206,
  [3031] = 2613,
  [3032] = 3032,
  [3033] = 2328,
  [3034] = 2998,
  [3035] = 2290,
  [3036] = 2290,
  [3037] = 771,
  [3038] = 2280,
  [3039] = 3039,
  [3040] = 2577,
  [3041] = 2556,
  [3042] = 1627,
  [3043] = 2287,
  [3044] = 2293,
  [3045] = 3025,
  [3046] = 2559,
  [3047] = 2104,
  [3048] = 1623,
  [3049] = 2336,
  [3050] = 2549,
  [3051] = 2124,
  [3052] = 2233,
  [3053] = 2786,
  [3054] = 2551,
  [3055] = 2552,
  [3056] = 3025,
  [3057] = 2317,
  [3058] = 2553,
  [3059] = 2554,
  [3060] = 1794,
  [3061] = 2555,
  [3062] = 2578,
  [3063] = 1666,
  [3064] = 2557,
  [3065] = 3025,
  [3066] = 2579,
  [3067] = 2328,
  [3068] = 3025,
  [3069] = 776,
  [3070] = 3025,
  [3071] = 2290,
  [3072] = 3032,
  [3073] = 1718,
  [3074] = 3074,
  [3075] = 2558,
  [3076] = 1724,
  [3077] = 1729,
  [3078] = 1629,
  [3079] = 2786,
  [3080] = 2786,
  [3081] = 3025,
  [3082] = 2342,
  [3083] = 3021,
  [3084] = 3032,
  [3085] = 2786,
  [3086] = 1616,
  [3087] = 1576,
  [3088] = 3032,
  [3089] = 1660,
  [3090] = 2348,
  [3091] = 2351,
  [3092] = 2352,
  [3093] = 2353,
  [3094] = 2786,
  [3095] = 2354,
  [3096] = 2658,
  [3097] = 2250,
  [3098] = 2242,
  [3099] = 2247,
  [3100] = 2565,
  [3101] = 2256,
  [3102] = 2547,
  [3103] = 2548,
  [3104] = 2577,
  [3105] = 2287,
  [3106] = 2549,
  [3107] = 2550,
  [3108] = 2551,
  [3109] = 2552,
  [3110] = 2553,
  [3111] = 2554,
  [3112] = 2555,
  [3113] = 2578,
  [3114] = 2579,
  [3115] = 2237,
  [3116] = 2556,
  [3117] = 2557,
  [3118] = 2558,
  [3119] = 2559,
  [3120] = 3120,
  [3121] = 2658,
  [3122] = 2250,
  [3123] = 3123,
  [3124] = 2237,
  [3125] = 2993,
  [3126] = 2280,
  [3127] = 2242,
  [3128] = 2247,
  [3129] = 2267,
  [3130] = 2336,
  [3131] = 2565,
  [3132] = 2256,
  [3133] = 1888,
  [3134] = 3025,
  [3135] = 2222,
  [3136] = 2208,
  [3137] = 2317,
  [3138] = 2547,
  [3139] = 2993,
  [3140] = 2993,
  [3141] = 2993,
  [3142] = 2993,
  [3143] = 2993,
  [3144] = 3025,
  [3145] = 1574,
  [3146] = 2358,
  [3147] = 2359,
  [3148] = 2342,
  [3149] = 2348,
  [3150] = 2351,
  [3151] = 2352,
  [3152] = 2325,
  [3153] = 2353,
  [3154] = 2354,
  [3155] = 2786,
  [3156] = 2865,
  [3157] = 2382,
  [3158] = 2290,
  [3159] = 2104,
  [3160] = 2124,
  [3161] = 2374,
  [3162] = 126,
  [3163] = 2218,
  [3164] = 776,
  [3165] = 2355,
  [3166] = 1561,
  [3167] = 1559,
  [3168] = 1662,
  [3169] = 1665,
  [3170] = 2308,
  [3171] = 2322,
  [3172] = 2327,
  [3173] = 1667,
  [3174] = 1668,
  [3175] = 1669,
  [3176] = 1671,
  [3177] = 2243,
  [3178] = 1672,
  [3179] = 1570,
  [3180] = 2370,
  [3181] = 1569,
  [3182] = 2371,
  [3183] = 1572,
  [3184] = 1865,
  [3185] = 2190,
  [3186] = 1575,
  [3187] = 2786,
  [3188] = 2339,
  [3189] = 1567,
  [3190] = 1809,
  [3191] = 2282,
  [3192] = 1564,
  [3193] = 1993,
  [3194] = 1565,
  [3195] = 2365,
  [3196] = 1568,
  [3197] = 771,
  [3198] = 1568,
  [3199] = 2293,
  [3200] = 1570,
  [3201] = 1603,
  [3202] = 1604,
  [3203] = 2009,
  [3204] = 2378,
  [3205] = 2658,
  [3206] = 1719,
  [3207] = 1720,
  [3208] = 1847,
  [3209] = 1572,
  [3210] = 1687,
  [3211] = 1830,
  [3212] = 2321,
  [3213] = 1725,
  [3214] = 1726,
  [3215] = 1842,
  [3216] = 1796,
  [3217] = 1731,
  [3218] = 2288,
  [3219] = 1732,
  [3220] = 1733,
  [3221] = 2334,
  [3222] = 2317,
  [3223] = 2233,
  [3224] = 2368,
  [3225] = 2364,
  [3226] = 1578,
  [3227] = 1738,
  [3228] = 1708,
  [3229] = 2363,
  [3230] = 2038,
  [3231] = 2356,
  [3232] = 1574,
  [3233] = 126,
  [3234] = 1566,
  [3235] = 1571,
  [3236] = 2309,
  [3237] = 2065,
  [3238] = 2084,
  [3239] = 2310,
  [3240] = 2373,
  [3241] = 2305,
  [3242] = 2267,
  [3243] = 1562,
  [3244] = 2323,
  [3245] = 2251,
  [3246] = 2379,
  [3247] = 2786,
  [3248] = 2290,
  [3249] = 2380,
  [3250] = 1858,
  [3251] = 2057,
  [3252] = 1564,
  [3253] = 2312,
  [3254] = 1888,
  [3255] = 1673,
  [3256] = 1674,
  [3257] = 1867,
  [3258] = 1562,
  [3259] = 1675,
  [3260] = 1968,
  [3261] = 1607,
  [3262] = 1684,
  [3263] = 1567,
  [3264] = 1685,
  [3265] = 1686,
  [3266] = 2297,
  [3267] = 1969,
  [3268] = 1977,
  [3269] = 1560,
  [3270] = 1764,
  [3271] = 1559,
  [3272] = 2307,
  [3273] = 1888,
  [3274] = 2343,
  [3275] = 2295,
  [3276] = 1569,
  [3277] = 2328,
  [3278] = 1688,
  [3279] = 1697,
  [3280] = 1717,
  [3281] = 2271,
  [3282] = 1833,
  [3283] = 2386,
  [3284] = 125,
  [3285] = 2260,
  [3286] = 2120,
  [3287] = 2000,
  [3288] = 2125,
  [3289] = 1761,
  [3290] = 2786,
  [3291] = 1762,
  [3292] = 2303,
  [3293] = 3293,
  [3294] = 2266,
  [3295] = 2344,
  [3296] = 2313,
  [3297] = 1563,
  [3298] = 1616,
  [3299] = 1560,
  [3300] = 1605,
  [3301] = 2300,
  [3302] = 771,
  [3303] = 1814,
  [3304] = 2335,
  [3305] = 125,
  [3306] = 2609,
  [3307] = 1851,
  [3308] = 2298,
  [3309] = 2613,
  [3310] = 3310,
  [3311] = 1571,
  [3312] = 1783,
  [3313] = 1565,
  [3314] = 1566,
  [3315] = 1784,
  [3316] = 1785,
  [3317] = 1786,
  [3318] = 2290,
  [3319] = 1576,
  [3320] = 2281,
  [3321] = 2313,
  [3322] = 3008,
  [3323] = 2272,
  [3324] = 2296,
  [3325] = 2376,
  [3326] = 2619,
  [3327] = 2114,
  [3328] = 2349,
  [3329] = 2336,
  [3330] = 2311,
  [3331] = 2361,
  [3332] = 1563,
  [3333] = 2313,
  [3334] = 2273,
  [3335] = 2301,
  [3336] = 776,
  [3337] = 1736,
  [3338] = 2346,
  [3339] = 2387,
  [3340] = 2209,
  [3341] = 1561,
  [3342] = 1864,
  [3343] = 1560,
  [3344] = 2218,
  [3345] = 2558,
  [3346] = 2272,
  [3347] = 1584,
  [3348] = 2273,
  [3349] = 2577,
  [3350] = 2287,
  [3351] = 2549,
  [3352] = 2550,
  [3353] = 2551,
  [3354] = 2552,
  [3355] = 2553,
  [3356] = 2554,
  [3357] = 2555,
  [3358] = 2578,
  [3359] = 2579,
  [3360] = 3360,
  [3361] = 2323,
  [3362] = 2380,
  [3363] = 2349,
  [3364] = 2305,
  [3365] = 2190,
  [3366] = 1566,
  [3367] = 1663,
  [3368] = 2271,
  [3369] = 2237,
  [3370] = 2346,
  [3371] = 2361,
  [3372] = 1833,
  [3373] = 2222,
  [3374] = 2355,
  [3375] = 1851,
  [3376] = 1562,
  [3377] = 2547,
  [3378] = 2559,
  [3379] = 1865,
  [3380] = 2325,
  [3381] = 2491,
  [3382] = 1561,
  [3383] = 1847,
  [3384] = 2206,
  [3385] = 2378,
  [3386] = 2207,
  [3387] = 2328,
  [3388] = 1563,
  [3389] = 2242,
  [3390] = 2247,
  [3391] = 2243,
  [3392] = 2307,
  [3393] = 2296,
  [3394] = 2321,
  [3395] = 2322,
  [3396] = 1567,
  [3397] = 2373,
  [3398] = 1564,
  [3399] = 2310,
  [3400] = 2327,
  [3401] = 1687,
  [3402] = 2565,
  [3403] = 2308,
  [3404] = 2339,
  [3405] = 2282,
  [3406] = 2256,
  [3407] = 2311,
  [3408] = 2371,
  [3409] = 2344,
  [3410] = 1568,
  [3411] = 2358,
  [3412] = 2359,
  [3413] = 1570,
  [3414] = 2317,
  [3415] = 1559,
  [3416] = 1708,
  [3417] = 2250,
  [3418] = 2313,
  [3419] = 2309,
  [3420] = 3420,
  [3421] = 2343,
  [3422] = 2298,
  [3423] = 2313,
  [3424] = 1687,
  [3425] = 2386,
  [3426] = 2300,
  [3427] = 1708,
  [3428] = 1163,
  [3429] = 2786,
  [3430] = 2368,
  [3431] = 1858,
  [3432] = 2303,
  [3433] = 2786,
  [3434] = 2363,
  [3435] = 2370,
  [3436] = 2356,
  [3437] = 1867,
  [3438] = 1569,
  [3439] = 2548,
  [3440] = 1664,
  [3441] = 1842,
  [3442] = 2365,
  [3443] = 1330,
  [3444] = 2334,
  [3445] = 1332,
  [3446] = 1333,
  [3447] = 1571,
  [3448] = 1351,
  [3449] = 2342,
  [3450] = 1352,
  [3451] = 2348,
  [3452] = 2351,
  [3453] = 2352,
  [3454] = 1355,
  [3455] = 2353,
  [3456] = 1497,
  [3457] = 2354,
  [3458] = 125,
  [3459] = 2312,
  [3460] = 2290,
  [3461] = 2376,
  [3462] = 2336,
  [3463] = 2313,
  [3464] = 2364,
  [3465] = 1572,
  [3466] = 2313,
  [3467] = 1574,
  [3468] = 2382,
  [3469] = 2335,
  [3470] = 1565,
  [3471] = 2295,
  [3472] = 3472,
  [3473] = 2374,
  [3474] = 2301,
  [3475] = 2387,
  [3476] = 2557,
  [3477] = 2297,
  [3478] = 2260,
  [3479] = 2379,
  [3480] = 2266,
  [3481] = 126,
  [3482] = 2293,
  [3483] = 2556,
  [3484] = 3484,
  [3485] = 1222,
  [3486] = 3484,
  [3487] = 3487,
  [3488] = 1634,
  [3489] = 1163,
  [3490] = 1330,
  [3491] = 1332,
  [3492] = 1333,
  [3493] = 1351,
  [3494] = 1352,
  [3495] = 1355,
  [3496] = 1605,
  [3497] = 1607,
  [3498] = 1635,
  [3499] = 2609,
  [3500] = 1864,
  [3501] = 1650,
  [3502] = 1603,
  [3503] = 1604,
  [3504] = 2658,
  [3505] = 1603,
  [3506] = 1497,
  [3507] = 2222,
  [3508] = 1888,
  [3509] = 1604,
  [3510] = 3510,
  [3511] = 1663,
  [3512] = 1664,
  [3513] = 1649,
  [3514] = 2206,
  [3515] = 3515,
  [3516] = 3484,
  [3517] = 2207,
  [3518] = 3487,
  [3519] = 3519,
  [3520] = 3487,
  [3521] = 2288,
  [3522] = 2613,
  [3523] = 2287,
  [3524] = 3524,
  [3525] = 1748,
  [3526] = 1754,
  [3527] = 1687,
  [3528] = 1604,
  [3529] = 2378,
  [3530] = 2344,
  [3531] = 3484,
  [3532] = 2339,
  [3533] = 2382,
  [3534] = 3534,
  [3535] = 3487,
  [3536] = 3534,
  [3537] = 2242,
  [3538] = 2386,
  [3539] = 3524,
  [3540] = 1569,
  [3541] = 2247,
  [3542] = 3542,
  [3543] = 2365,
  [3544] = 2334,
  [3545] = 3534,
  [3546] = 1571,
  [3547] = 1567,
  [3548] = 3548,
  [3549] = 2250,
  [3550] = 1572,
  [3551] = 1574,
  [3552] = 1560,
  [3553] = 2218,
  [3554] = 2356,
  [3555] = 3555,
  [3556] = 2297,
  [3557] = 2288,
  [3558] = 3558,
  [3559] = 3534,
  [3560] = 1570,
  [3561] = 2237,
  [3562] = 3534,
  [3563] = 2297,
  [3564] = 2305,
  [3565] = 2387,
  [3566] = 1561,
  [3567] = 1559,
  [3568] = 3534,
  [3569] = 1562,
  [3570] = 1563,
  [3571] = 2364,
  [3572] = 2296,
  [3573] = 2303,
  [3574] = 2339,
  [3575] = 3542,
  [3576] = 1603,
  [3577] = 1708,
  [3578] = 2343,
  [3579] = 2295,
  [3580] = 3580,
  [3581] = 3534,
  [3582] = 2311,
  [3583] = 2312,
  [3584] = 3555,
  [3585] = 1564,
  [3586] = 3534,
  [3587] = 2786,
  [3588] = 1605,
  [3589] = 1607,
  [3590] = 3542,
  [3591] = 1565,
  [3592] = 1566,
  [3593] = 3593,
  [3594] = 3580,
  [3595] = 3534,
  [3596] = 2358,
  [3597] = 2359,
  [3598] = 3555,
  [3599] = 2374,
  [3600] = 3534,
  [3601] = 3534,
  [3602] = 3602,
  [3603] = 2382,
  [3604] = 3542,
  [3605] = 3580,
  [3606] = 3534,
  [3607] = 3555,
  [3608] = 3542,
  [3609] = 2309,
  [3610] = 2310,
  [3611] = 2323,
  [3612] = 3580,
  [3613] = 3555,
  [3614] = 3542,
  [3615] = 1603,
  [3616] = 2321,
  [3617] = 3580,
  [3618] = 3555,
  [3619] = 1568,
  [3620] = 3620,
  [3621] = 2346,
  [3622] = 3580,
  [3623] = 2335,
  [3624] = 2355,
  [3625] = 3555,
  [3626] = 3580,
  [3627] = 2865,
  [3628] = 3555,
  [3629] = 3580,
  [3630] = 3555,
  [3631] = 2373,
  [3632] = 2379,
  [3633] = 3593,
  [3634] = 2380,
  [3635] = 2786,
  [3636] = 2349,
  [3637] = 2361,
  [3638] = 3620,
  [3639] = 2308,
  [3640] = 2322,
  [3641] = 2327,
  [3642] = 2370,
  [3643] = 2786,
  [3644] = 2371,
  [3645] = 1845,
  [3646] = 1840,
  [3647] = 1604,
  [3648] = 125,
  [3649] = 2786,
  [3650] = 126,
  [3651] = 3580,
  [3652] = 3593,
  [3653] = 3620,
  [3654] = 3593,
  [3655] = 3655,
  [3656] = 3620,
  [3657] = 1605,
  [3658] = 3593,
  [3659] = 1607,
  [3660] = 3620,
  [3661] = 3593,
  [3662] = 3620,
  [3663] = 3593,
  [3664] = 3620,
  [3665] = 3593,
  [3666] = 3620,
  [3667] = 3593,
  [3668] = 3620,
  [3669] = 3548,
  [3670] = 3524,
  [3671] = 2355,
  [3672] = 2190,
  [3673] = 1722,
  [3674] = 2256,
  [3675] = 1737,
  [3676] = 3548,
  [3677] = 3524,
  [3678] = 3548,
  [3679] = 3524,
  [3680] = 3548,
  [3681] = 3524,
  [3682] = 3548,
  [3683] = 1689,
  [3684] = 1887,
  [3685] = 3484,
  [3686] = 2378,
  [3687] = 3687,
  [3688] = 1603,
  [3689] = 3687,
  [3690] = 2296,
  [3691] = 2379,
  [3692] = 2380,
  [3693] = 1830,
  [3694] = 3687,
  [3695] = 2323,
  [3696] = 3687,
  [3697] = 2309,
  [3698] = 3687,
  [3699] = 1840,
  [3700] = 2308,
  [3701] = 1607,
  [3702] = 2311,
  [3703] = 2295,
  [3704] = 3687,
  [3705] = 1497,
  [3706] = 2312,
  [3707] = 2364,
  [3708] = 1845,
  [3709] = 3687,
  [3710] = 3687,
  [3711] = 1604,
  [3712] = 3712,
  [3713] = 3713,
  [3714] = 2344,
  [3715] = 2346,
  [3716] = 1915,
  [3717] = 2322,
  [3718] = 1870,
  [3719] = 2321,
  [3720] = 3687,
  [3721] = 2327,
  [3722] = 1900,
  [3723] = 2206,
  [3724] = 2207,
  [3725] = 1886,
  [3726] = 1873,
  [3727] = 1882,
  [3728] = 1884,
  [3729] = 1885,
  [3730] = 1905,
  [3731] = 1896,
  [3732] = 3120,
  [3733] = 3123,
  [3734] = 3484,
  [3735] = 2358,
  [3736] = 2365,
  [3737] = 2359,
  [3738] = 3487,
  [3739] = 2370,
  [3740] = 2371,
  [3741] = 2386,
  [3742] = 3687,
  [3743] = 3687,
  [3744] = 2343,
  [3745] = 2387,
  [3746] = 2349,
  [3747] = 3687,
  [3748] = 2361,
  [3749] = 3487,
  [3750] = 2310,
  [3751] = 1605,
  [3752] = 2334,
  [3753] = 3687,
  [3754] = 2305,
  [3755] = 2373,
  [3756] = 3687,
  [3757] = 1872,
  [3758] = 1748,
  [3759] = 1722,
  [3760] = 1900,
  [3761] = 1222,
  [3762] = 3762,
  [3763] = 1887,
  [3764] = 1884,
  [3765] = 3484,
  [3766] = 1873,
  [3767] = 1993,
  [3768] = 1888,
  [3769] = 2865,
  [3770] = 3762,
  [3771] = 3771,
  [3772] = 3772,
  [3773] = 1872,
  [3774] = 1886,
  [3775] = 1915,
  [3776] = 3762,
  [3777] = 3777,
  [3778] = 1885,
  [3779] = 1870,
  [3780] = 3772,
  [3781] = 1905,
  [3782] = 3762,
  [3783] = 3777,
  [3784] = 2009,
  [3785] = 3777,
  [3786] = 3777,
  [3787] = 2038,
  [3788] = 3788,
  [3789] = 3772,
  [3790] = 3772,
  [3791] = 3772,
  [3792] = 1896,
  [3793] = 3777,
  [3794] = 2057,
  [3795] = 3772,
  [3796] = 1737,
  [3797] = 1882,
  [3798] = 3762,
  [3799] = 3487,
  [3800] = 3762,
  [3801] = 3777,
  [3802] = 1754,
  [3803] = 2206,
  [3804] = 1629,
  [3805] = 1794,
  [3806] = 3487,
  [3807] = 1627,
  [3808] = 1660,
  [3809] = 2207,
  [3810] = 1666,
  [3811] = 1718,
  [3812] = 3484,
  [3813] = 1616,
  [3814] = 3515,
  [3815] = 1708,
  [3816] = 1729,
  [3817] = 1497,
  [3818] = 1623,
  [3819] = 1687,
  [3820] = 1724,
  [3821] = 1675,
  [3822] = 3822,
  [3823] = 1662,
  [3824] = 1783,
  [3825] = 3825,
  [3826] = 1784,
  [3827] = 1725,
  [3828] = 1796,
  [3829] = 1731,
  [3830] = 3830,
  [3831] = 1673,
  [3832] = 1674,
  [3833] = 1748,
  [3834] = 3830,
  [3835] = 3835,
  [3836] = 1736,
  [3837] = 1719,
  [3838] = 1667,
  [3839] = 1668,
  [3840] = 1754,
  [3841] = 1672,
  [3842] = 1726,
  [3843] = 1669,
  [3844] = 3830,
  [3845] = 3822,
  [3846] = 3846,
  [3847] = 1737,
  [3848] = 1684,
  [3849] = 3835,
  [3850] = 3846,
  [3851] = 1761,
  [3852] = 3852,
  [3853] = 3822,
  [3854] = 3822,
  [3855] = 3825,
  [3856] = 1732,
  [3857] = 1786,
  [3858] = 2206,
  [3859] = 3830,
  [3860] = 1685,
  [3861] = 1785,
  [3862] = 3822,
  [3863] = 1686,
  [3864] = 3852,
  [3865] = 3825,
  [3866] = 3822,
  [3867] = 1722,
  [3868] = 3830,
  [3869] = 1665,
  [3870] = 3852,
  [3871] = 3484,
  [3872] = 3487,
  [3873] = 3822,
  [3874] = 3846,
  [3875] = 1688,
  [3876] = 1697,
  [3877] = 3846,
  [3878] = 1720,
  [3879] = 1762,
  [3880] = 3830,
  [3881] = 3830,
  [3882] = 3835,
  [3883] = 1733,
  [3884] = 2207,
  [3885] = 3835,
  [3886] = 3846,
  [3887] = 3835,
  [3888] = 1671,
  [3889] = 3846,
  [3890] = 3835,
  [3891] = 1738,
  [3892] = 3835,
  [3893] = 3846,
  [3894] = 2356,
  [3895] = 3895,
  [3896] = 2554,
  [3897] = 2335,
  [3898] = 2557,
  [3899] = 1722,
  [3900] = 2555,
  [3901] = 2578,
  [3902] = 2558,
  [3903] = 1222,
  [3904] = 1754,
  [3905] = 2565,
  [3906] = 2559,
  [3907] = 3907,
  [3908] = 2579,
  [3909] = 2326,
  [3910] = 1737,
  [3911] = 3911,
  [3912] = 2577,
  [3913] = 2375,
  [3914] = 2549,
  [3915] = 2550,
  [3916] = 1748,
  [3917] = 2551,
  [3918] = 3911,
  [3919] = 3484,
  [3920] = 3487,
  [3921] = 2303,
  [3922] = 2374,
  [3923] = 3923,
  [3924] = 2552,
  [3925] = 2553,
  [3926] = 2556,
  [3927] = 2547,
  [3928] = 2993,
  [3929] = 3825,
  [3930] = 2993,
  [3931] = 2548,
  [3932] = 3852,
  [3933] = 3933,
  [3934] = 1888,
  [3935] = 3852,
  [3936] = 3936,
  [3937] = 2613,
  [3938] = 2009,
  [3939] = 3939,
  [3940] = 2658,
  [3941] = 3939,
  [3942] = 3942,
  [3943] = 235,
  [3944] = 3484,
  [3945] = 3487,
  [3946] = 3484,
  [3947] = 2038,
  [3948] = 3933,
  [3949] = 3788,
  [3950] = 291,
  [3951] = 3936,
  [3952] = 3825,
  [3953] = 3852,
  [3954] = 1506,
  [3955] = 3487,
  [3956] = 3771,
  [3957] = 302,
  [3958] = 1888,
  [3959] = 1993,
  [3960] = 2206,
  [3961] = 1687,
  [3962] = 2057,
  [3963] = 3825,
  [3964] = 1830,
  [3965] = 3942,
  [3966] = 2609,
  [3967] = 260,
  [3968] = 1708,
  [3969] = 251,
  [3970] = 2207,
  [3971] = 261,
  [3972] = 3972,
  [3973] = 3907,
  [3974] = 3487,
  [3975] = 3975,
  [3976] = 2218,
  [3977] = 3977,
  [3978] = 3972,
  [3979] = 3979,
  [3980] = 1764,
  [3981] = 3979,
  [3982] = 3982,
  [3983] = 3982,
  [3984] = 2190,
  [3985] = 3975,
  [3986] = 2218,
  [3987] = 2658,
  [3988] = 3484,
  [3989] = 3972,
  [3990] = 3487,
  [3991] = 1584,
  [3992] = 3979,
  [3993] = 1717,
  [3994] = 3994,
  [3995] = 3825,
  [3996] = 3982,
  [3997] = 2613,
  [3998] = 3994,
  [3999] = 2190,
  [4000] = 3852,
  [4001] = 3975,
  [4002] = 3994,
  [4003] = 1222,
  [4004] = 2609,
  [4005] = 3484,
  [4006] = 3979,
  [4007] = 2422,
  [4008] = 4008,
  [4009] = 4009,
  [4010] = 2491,
  [4011] = 2558,
  [4012] = 2555,
  [4013] = 2548,
  [4014] = 3982,
  [4015] = 2426,
  [4016] = 2554,
  [4017] = 2550,
  [4018] = 2579,
  [4019] = 4019,
  [4020] = 2547,
  [4021] = 2553,
  [4022] = 2577,
  [4023] = 2578,
  [4024] = 4024,
  [4025] = 2556,
  [4026] = 2549,
  [4027] = 3852,
  [4028] = 1830,
  [4029] = 3994,
  [4030] = 2557,
  [4031] = 2551,
  [4032] = 2552,
  [4033] = 2559,
  [4034] = 4034,
  [4035] = 2565,
  [4036] = 3825,
  [4037] = 3975,
  [4038] = 2549,
  [4039] = 4039,
  [4040] = 4040,
  [4041] = 3484,
  [4042] = 4042,
  [4043] = 4043,
  [4044] = 4044,
  [4045] = 1571,
  [4046] = 4046,
  [4047] = 4043,
  [4048] = 4040,
  [4049] = 4049,
  [4050] = 2206,
  [4051] = 2207,
  [4052] = 4046,
  [4053] = 1864,
  [4054] = 1717,
  [4055] = 1858,
  [4056] = 4056,
  [4057] = 4042,
  [4058] = 4046,
  [4059] = 4040,
  [4060] = 1833,
  [4061] = 1888,
  [4062] = 4043,
  [4063] = 2547,
  [4064] = 4043,
  [4065] = 4043,
  [4066] = 125,
  [4067] = 4042,
  [4068] = 4044,
  [4069] = 3977,
  [4070] = 1993,
  [4071] = 2009,
  [4072] = 4072,
  [4073] = 1561,
  [4074] = 1559,
  [4075] = 4040,
  [4076] = 4040,
  [4077] = 2548,
  [4078] = 1569,
  [4079] = 4079,
  [4080] = 4046,
  [4081] = 3975,
  [4082] = 4079,
  [4083] = 4040,
  [4084] = 4046,
  [4085] = 4085,
  [4086] = 2577,
  [4087] = 2057,
  [4088] = 1687,
  [4089] = 2550,
  [4090] = 3975,
  [4091] = 1842,
  [4092] = 2558,
  [4093] = 2551,
  [4094] = 1497,
  [4095] = 2552,
  [4096] = 3852,
  [4097] = 2553,
  [4098] = 4040,
  [4099] = 3979,
  [4100] = 2554,
  [4101] = 4101,
  [4102] = 3982,
  [4103] = 3994,
  [4104] = 4104,
  [4105] = 3994,
  [4106] = 4040,
  [4107] = 2555,
  [4108] = 2578,
  [4109] = 4079,
  [4110] = 4040,
  [4111] = 1572,
  [4112] = 4040,
  [4113] = 4113,
  [4114] = 3825,
  [4115] = 2579,
  [4116] = 4040,
  [4117] = 4117,
  [4118] = 4046,
  [4119] = 1574,
  [4120] = 4040,
  [4121] = 4040,
  [4122] = 4040,
  [4123] = 4123,
  [4124] = 4042,
  [4125] = 1764,
  [4126] = 1560,
  [4127] = 4040,
  [4128] = 3977,
  [4129] = 1708,
  [4130] = 2038,
  [4131] = 1567,
  [4132] = 1564,
  [4133] = 1570,
  [4134] = 1851,
  [4135] = 4043,
  [4136] = 4136,
  [4137] = 4043,
  [4138] = 1584,
  [4139] = 4042,
  [4140] = 4044,
  [4141] = 1865,
  [4142] = 4044,
  [4143] = 1565,
  [4144] = 1566,
  [4145] = 2559,
  [4146] = 3487,
  [4147] = 1562,
  [4148] = 4040,
  [4149] = 2565,
  [4150] = 1867,
  [4151] = 1563,
  [4152] = 4042,
  [4153] = 2556,
  [4154] = 3982,
  [4155] = 4044,
  [4156] = 126,
  [4157] = 4157,
  [4158] = 2557,
  [4159] = 4042,
  [4160] = 3979,
  [4161] = 4044,
  [4162] = 1568,
  [4163] = 4163,
  [4164] = 4040,
  [4165] = 1847,
  [4166] = 2556,
  [4167] = 2579,
  [4168] = 4168,
  [4169] = 3021,
  [4170] = 4170,
  [4171] = 4171,
  [4172] = 2558,
  [4173] = 2547,
  [4174] = 2548,
  [4175] = 2577,
  [4176] = 2549,
  [4177] = 2550,
  [4178] = 2551,
  [4179] = 2552,
  [4180] = 2553,
  [4181] = 2554,
  [4182] = 2555,
  [4183] = 2578,
  [4184] = 2579,
  [4185] = 4171,
  [4186] = 2556,
  [4187] = 2557,
  [4188] = 2558,
  [4189] = 2559,
  [4190] = 2658,
  [4191] = 4171,
  [4192] = 4170,
  [4193] = 4193,
  [4194] = 2548,
  [4195] = 2565,
  [4196] = 4196,
  [4197] = 4197,
  [4198] = 4198,
  [4199] = 3975,
  [4200] = 2287,
  [4201] = 4171,
  [4202] = 2237,
  [4203] = 4203,
  [4204] = 4204,
  [4205] = 2559,
  [4206] = 2577,
  [4207] = 2553,
  [4208] = 2547,
  [4209] = 1497,
  [4210] = 4203,
  [4211] = 4171,
  [4212] = 2287,
  [4213] = 4213,
  [4214] = 2554,
  [4215] = 2555,
  [4216] = 4198,
  [4217] = 2549,
  [4218] = 4218,
  [4219] = 2550,
  [4220] = 3994,
  [4221] = 2250,
  [4222] = 3982,
  [4223] = 2242,
  [4224] = 4224,
  [4225] = 2247,
  [4226] = 2548,
  [4227] = 2256,
  [4228] = 4228,
  [4229] = 4203,
  [4230] = 4230,
  [4231] = 2551,
  [4232] = 2577,
  [4233] = 2552,
  [4234] = 2556,
  [4235] = 1830,
  [4236] = 2553,
  [4237] = 2256,
  [4238] = 4198,
  [4239] = 3825,
  [4240] = 4240,
  [4241] = 2565,
  [4242] = 4242,
  [4243] = 4198,
  [4244] = 4170,
  [4245] = 2557,
  [4246] = 4246,
  [4247] = 2549,
  [4248] = 4248,
  [4249] = 4224,
  [4250] = 4250,
  [4251] = 4204,
  [4252] = 2554,
  [4253] = 4171,
  [4254] = 3895,
  [4255] = 4255,
  [4256] = 4203,
  [4257] = 4257,
  [4258] = 2555,
  [4259] = 4171,
  [4260] = 2242,
  [4261] = 2557,
  [4262] = 2247,
  [4263] = 2578,
  [4264] = 2250,
  [4265] = 4170,
  [4266] = 2578,
  [4267] = 2222,
  [4268] = 2579,
  [4269] = 4269,
  [4270] = 2613,
  [4271] = 4170,
  [4272] = 4272,
  [4273] = 2550,
  [4274] = 4170,
  [4275] = 2552,
  [4276] = 4019,
  [4277] = 4049,
  [4278] = 4203,
  [4279] = 4279,
  [4280] = 4171,
  [4281] = 2609,
  [4282] = 4170,
  [4283] = 3979,
  [4284] = 4171,
  [4285] = 4285,
  [4286] = 4171,
  [4287] = 3977,
  [4288] = 4288,
  [4289] = 4289,
  [4290] = 4230,
  [4291] = 4171,
  [4292] = 2559,
  [4293] = 2237,
  [4294] = 4198,
  [4295] = 4171,
  [4296] = 4171,
  [4297] = 2551,
  [4298] = 2565,
  [4299] = 4203,
  [4300] = 2547,
  [4301] = 4301,
  [4302] = 4302,
  [4303] = 1616,
  [4304] = 2558,
  [4305] = 3852,
  [4306] = 4306,
  [4307] = 1616,
  [4308] = 1551,
  [4309] = 1649,
  [4310] = 1634,
  [4311] = 1635,
  [4312] = 1650,
  [4313] = 4019,
  [4314] = 1833,
  [4315] = 1851,
  [4316] = 1865,
  [4317] = 1847,
  [4318] = 1858,
  [4319] = 1867,
  [4320] = 1842,
  [4321] = 1163,
  [4322] = 1330,
  [4323] = 1332,
  [4324] = 1333,
  [4325] = 1351,
  [4326] = 1352,
  [4327] = 1355,
  [4328] = 4328,
  [4329] = 2288,
  [4330] = 4330,
  [4331] = 4328,
  [4332] = 4332,
  [4333] = 4333,
  [4334] = 4334,
  [4335] = 4306,
  [4336] = 4336,
  [4337] = 4337,
  [4338] = 4334,
  [4339] = 1778,
  [4340] = 4340,
  [4341] = 4341,
  [4342] = 4342,
  [4343] = 4332,
  [4344] = 4333,
  [4345] = 2281,
  [4346] = 4337,
  [4347] = 4347,
  [4348] = 4348,
  [4349] = 4349,
  [4350] = 4350,
  [4351] = 4351,
  [4352] = 4039,
  [4353] = 4353,
  [4354] = 4354,
  [4355] = 4355,
  [4356] = 4347,
  [4357] = 4348,
  [4358] = 3852,
  [4359] = 4350,
  [4360] = 4351,
  [4361] = 4330,
  [4362] = 4328,
  [4363] = 4332,
  [4364] = 4333,
  [4365] = 4365,
  [4366] = 3975,
  [4367] = 4334,
  [4368] = 4336,
  [4369] = 4369,
  [4370] = 4341,
  [4371] = 3979,
  [4372] = 3982,
  [4373] = 4306,
  [4374] = 4337,
  [4375] = 3994,
  [4376] = 4350,
  [4377] = 4351,
  [4378] = 4336,
  [4379] = 4354,
  [4380] = 4380,
  [4381] = 4330,
  [4382] = 4328,
  [4383] = 4332,
  [4384] = 4333,
  [4385] = 4334,
  [4386] = 4330,
  [4387] = 4336,
  [4388] = 4341,
  [4389] = 4306,
  [4390] = 4337,
  [4391] = 4350,
  [4392] = 4351,
  [4393] = 4354,
  [4394] = 2658,
  [4395] = 2251,
  [4396] = 4330,
  [4397] = 4328,
  [4398] = 4332,
  [4399] = 4333,
  [4400] = 4400,
  [4401] = 4334,
  [4402] = 4336,
  [4403] = 4341,
  [4404] = 4306,
  [4405] = 4337,
  [4406] = 4350,
  [4407] = 4353,
  [4408] = 4334,
  [4409] = 4336,
  [4410] = 4354,
  [4411] = 4341,
  [4412] = 4306,
  [4413] = 4337,
  [4414] = 4350,
  [4415] = 4415,
  [4416] = 3825,
  [4417] = 4336,
  [4418] = 4341,
  [4419] = 4306,
  [4420] = 4350,
  [4421] = 4336,
  [4422] = 4336,
  [4423] = 2267,
  [4424] = 4424,
  [4425] = 4425,
  [4426] = 4355,
  [4427] = 1809,
  [4428] = 4117,
  [4429] = 4429,
  [4430] = 4355,
  [4431] = 4431,
  [4432] = 4432,
  [4433] = 4355,
  [4434] = 4434,
  [4435] = 4341,
  [4436] = 4355,
  [4437] = 4355,
  [4438] = 4355,
  [4439] = 4342,
  [4440] = 2206,
  [4441] = 4441,
  [4442] = 2207,
  [4443] = 2609,
  [4444] = 2613,
  [4445] = 1888,
  [4446] = 4446,
  [4447] = 1661,
  [4448] = 1830,
  [4449] = 4449,
  [4450] = 4369,
  [4451] = 4451,
  [4452] = 4452,
  [4453] = 4369,
  [4454] = 4369,
  [4455] = 4369,
  [4456] = 4369,
  [4457] = 4457,
  [4458] = 2190,
  [4459] = 1687,
  [4460] = 2295,
  [4461] = 1864,
  [4462] = 3852,
  [4463] = 2311,
  [4464] = 2312,
  [4465] = 4465,
  [4466] = 4466,
  [4467] = 2364,
  [4468] = 2218,
  [4469] = 1845,
  [4470] = 3825,
  [4471] = 2206,
  [4472] = 4472,
  [4473] = 4473,
  [4474] = 2296,
  [4475] = 2387,
  [4476] = 2207,
  [4477] = 4466,
  [4478] = 4213,
  [4479] = 4479,
  [4480] = 1840,
  [4481] = 2339,
  [4482] = 3852,
  [4483] = 2358,
  [4484] = 2359,
  [4485] = 4485,
  [4486] = 4472,
  [4487] = 2382,
  [4488] = 2309,
  [4489] = 1687,
  [4490] = 4472,
  [4491] = 4473,
  [4492] = 4492,
  [4493] = 2310,
  [4494] = 4494,
  [4495] = 4494,
  [4496] = 1708,
  [4497] = 2356,
  [4498] = 4473,
  [4499] = 4479,
  [4500] = 4473,
  [4501] = 4472,
  [4502] = 4479,
  [4503] = 2303,
  [4504] = 3975,
  [4505] = 3979,
  [4506] = 3982,
  [4507] = 3994,
  [4508] = 4472,
  [4509] = 2323,
  [4510] = 4494,
  [4511] = 2321,
  [4512] = 4473,
  [4513] = 4472,
  [4514] = 4479,
  [4515] = 1708,
  [4516] = 4479,
  [4517] = 3825,
  [4518] = 2374,
  [4519] = 4494,
  [4520] = 4479,
  [4521] = 2346,
  [4522] = 4494,
  [4523] = 4479,
  [4524] = 2355,
  [4525] = 2335,
  [4526] = 4494,
  [4527] = 2373,
  [4528] = 4494,
  [4529] = 2379,
  [4530] = 2380,
  [4531] = 4473,
  [4532] = 1689,
  [4533] = 2378,
  [4534] = 2344,
  [4535] = 1616,
  [4536] = 4473,
  [4537] = 2349,
  [4538] = 4538,
  [4539] = 2343,
  [4540] = 2361,
  [4541] = 2386,
  [4542] = 2308,
  [4543] = 2322,
  [4544] = 2305,
  [4545] = 2365,
  [4546] = 2327,
  [4547] = 2334,
  [4548] = 2370,
  [4549] = 2371,
  [4550] = 2297,
  [4551] = 4472,
  [4552] = 1885,
  [4553] = 4466,
  [4554] = 1887,
  [4555] = 1778,
  [4556] = 1623,
  [4557] = 1872,
  [4558] = 3975,
  [4559] = 3979,
  [4560] = 3982,
  [4561] = 3994,
  [4562] = 1886,
  [4563] = 1915,
  [4564] = 1900,
  [4565] = 1687,
  [4566] = 1708,
  [4567] = 1870,
  [4568] = 4466,
  [4569] = 1905,
  [4570] = 1896,
  [4571] = 1873,
  [4572] = 4572,
  [4573] = 1882,
  [4574] = 1884,
  [4575] = 1888,
  [4576] = 1661,
  [4577] = 3979,
  [4578] = 1729,
  [4579] = 4466,
  [4580] = 1796,
  [4581] = 1731,
  [4582] = 1669,
  [4583] = 1732,
  [4584] = 4466,
  [4585] = 1733,
  [4586] = 1738,
  [4587] = 4587,
  [4588] = 1840,
  [4589] = 1671,
  [4590] = 1672,
  [4591] = 4591,
  [4592] = 4587,
  [4593] = 1784,
  [4594] = 4466,
  [4595] = 3825,
  [4596] = 4596,
  [4597] = 1794,
  [4598] = 1785,
  [4599] = 4466,
  [4600] = 3975,
  [4601] = 1736,
  [4602] = 1660,
  [4603] = 1673,
  [4604] = 1674,
  [4605] = 3994,
  [4606] = 1675,
  [4607] = 1684,
  [4608] = 1786,
  [4609] = 4609,
  [4610] = 1685,
  [4611] = 1686,
  [4612] = 1662,
  [4613] = 1668,
  [4614] = 3994,
  [4615] = 1688,
  [4616] = 1697,
  [4617] = 1665,
  [4618] = 1845,
  [4619] = 4591,
  [4620] = 1783,
  [4621] = 4609,
  [4622] = 4466,
  [4623] = 4466,
  [4624] = 3979,
  [4625] = 1666,
  [4626] = 1718,
  [4627] = 1719,
  [4628] = 1720,
  [4629] = 1888,
  [4630] = 1667,
  [4631] = 1724,
  [4632] = 4466,
  [4633] = 3852,
  [4634] = 1725,
  [4635] = 4466,
  [4636] = 1761,
  [4637] = 1726,
  [4638] = 1762,
  [4639] = 4639,
  [4640] = 4640,
  [4641] = 3982,
  [4642] = 2206,
  [4643] = 4643,
  [4644] = 3975,
  [4645] = 4645,
  [4646] = 4019,
  [4647] = 4466,
  [4648] = 1900,
  [4649] = 2206,
  [4650] = 2207,
  [4651] = 2207,
  [4652] = 3982,
  [4653] = 1887,
  [4654] = 1915,
  [4655] = 1830,
  [4656] = 1872,
  [4657] = 1886,
  [4658] = 4643,
  [4659] = 3979,
  [4660] = 3994,
  [4661] = 4645,
  [4662] = 4019,
  [4663] = 3994,
  [4664] = 1873,
  [4665] = 2206,
  [4666] = 3979,
  [4667] = 1882,
  [4668] = 3982,
  [4669] = 1884,
  [4670] = 4466,
  [4671] = 2207,
  [4672] = 1885,
  [4673] = 1905,
  [4674] = 1896,
  [4675] = 3975,
  [4676] = 1870,
  [4677] = 4466,
  [4678] = 4466,
  [4679] = 4679,
  [4680] = 4680,
  [4681] = 4679,
  [4682] = 4643,
  [4683] = 1666,
  [4684] = 4679,
  [4685] = 1724,
  [4686] = 4680,
  [4687] = 1794,
  [4688] = 1729,
  [4689] = 4643,
  [4690] = 4680,
  [4691] = 4466,
  [4692] = 4680,
  [4693] = 4466,
  [4694] = 4679,
  [4695] = 1623,
  [4696] = 1660,
  [4697] = 4680,
  [4698] = 4680,
  [4699] = 4679,
  [4700] = 4679,
  [4701] = 4645,
  [4702] = 4679,
  [4703] = 4680,
  [4704] = 1627,
  [4705] = 4645,
  [4706] = 1718,
  [4707] = 4679,
  [4708] = 4679,
  [4709] = 2411,
  [4710] = 4680,
  [4711] = 1629,
  [4712] = 4680,
  [4713] = 1814,
  [4714] = 4645,
  [4715] = 4643,
  [4716] = 3979,
  [4717] = 4643,
  [4718] = 4643,
  [4719] = 1725,
  [4720] = 1726,
  [4721] = 1671,
  [4722] = 4645,
  [4723] = 4645,
  [4724] = 3515,
  [4725] = 1672,
  [4726] = 1796,
  [4727] = 1731,
  [4728] = 4728,
  [4729] = 4645,
  [4730] = 1761,
  [4731] = 1732,
  [4732] = 2206,
  [4733] = 2207,
  [4734] = 4643,
  [4735] = 1809,
  [4736] = 1733,
  [4737] = 1738,
  [4738] = 4645,
  [4739] = 1785,
  [4740] = 1845,
  [4741] = 1720,
  [4742] = 4645,
  [4743] = 1840,
  [4744] = 1736,
  [4745] = 1888,
  [4746] = 1762,
  [4747] = 4643,
  [4748] = 1674,
  [4749] = 4643,
  [4750] = 1675,
  [4751] = 1684,
  [4752] = 4752,
  [4753] = 1662,
  [4754] = 4645,
  [4755] = 4643,
  [4756] = 1685,
  [4757] = 1665,
  [4758] = 1686,
  [4759] = 1688,
  [4760] = 1667,
  [4761] = 1697,
  [4762] = 4643,
  [4763] = 3975,
  [4764] = 4645,
  [4765] = 1783,
  [4766] = 3994,
  [4767] = 3982,
  [4768] = 1719,
  [4769] = 1668,
  [4770] = 1784,
  [4771] = 1669,
  [4772] = 1786,
  [4773] = 1673,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4775,
  [4777] = 4777,
  [4778] = 4778,
  [4779] = 4779,
  [4780] = 1865,
  [4781] = 1847,
  [4782] = 1717,
  [4783] = 4466,
  [4784] = 4777,
  [4785] = 4785,
  [4786] = 4786,
  [4787] = 4787,
  [4788] = 4643,
  [4789] = 4777,
  [4790] = 4778,
  [4791] = 4779,
  [4792] = 4775,
  [4793] = 4775,
  [4794] = 4785,
  [4795] = 4786,
  [4796] = 4796,
  [4797] = 4466,
  [4798] = 4777,
  [4799] = 4777,
  [4800] = 4778,
  [4801] = 4779,
  [4802] = 4778,
  [4803] = 4779,
  [4804] = 4804,
  [4805] = 4775,
  [4806] = 4785,
  [4807] = 4786,
  [4808] = 4774,
  [4809] = 4778,
  [4810] = 4777,
  [4811] = 4778,
  [4812] = 4779,
  [4813] = 4813,
  [4814] = 4814,
  [4815] = 4815,
  [4816] = 4785,
  [4817] = 4786,
  [4818] = 4785,
  [4819] = 4643,
  [4820] = 4820,
  [4821] = 4777,
  [4822] = 4778,
  [4823] = 4779,
  [4824] = 4777,
  [4825] = 4778,
  [4826] = 4779,
  [4827] = 4777,
  [4828] = 4778,
  [4829] = 4779,
  [4830] = 4777,
  [4831] = 4778,
  [4832] = 4779,
  [4833] = 4777,
  [4834] = 4778,
  [4835] = 4779,
  [4836] = 4777,
  [4837] = 4778,
  [4838] = 4779,
  [4839] = 4775,
  [4840] = 4777,
  [4841] = 4778,
  [4842] = 4779,
  [4843] = 4777,
  [4844] = 4778,
  [4845] = 4779,
  [4846] = 1858,
  [4847] = 1867,
  [4848] = 4786,
  [4849] = 4777,
  [4850] = 4778,
  [4851] = 4779,
  [4852] = 4775,
  [4853] = 4777,
  [4854] = 4778,
  [4855] = 4779,
  [4856] = 4775,
  [4857] = 4774,
  [4858] = 4785,
  [4859] = 4785,
  [4860] = 1842,
  [4861] = 4786,
  [4862] = 4786,
  [4863] = 4466,
  [4864] = 4813,
  [4865] = 4815,
  [4866] = 4645,
  [4867] = 4774,
  [4868] = 4645,
  [4869] = 4775,
  [4870] = 4645,
  [4871] = 4775,
  [4872] = 4466,
  [4873] = 1764,
  [4874] = 4775,
  [4875] = 4775,
  [4876] = 4775,
  [4877] = 4779,
  [4878] = 4813,
  [4879] = 4815,
  [4880] = 4820,
  [4881] = 4775,
  [4882] = 4777,
  [4883] = 4778,
  [4884] = 4779,
  [4885] = 4813,
  [4886] = 4815,
  [4887] = 4820,
  [4888] = 1833,
  [4889] = 4645,
  [4890] = 4813,
  [4891] = 4815,
  [4892] = 4820,
  [4893] = 4813,
  [4894] = 4815,
  [4895] = 4820,
  [4896] = 4775,
  [4897] = 4813,
  [4898] = 4815,
  [4899] = 4820,
  [4900] = 4775,
  [4901] = 4786,
  [4902] = 4643,
  [4903] = 4785,
  [4904] = 1851,
  [4905] = 4786,
  [4906] = 4906,
  [4907] = 2411,
  [4908] = 4775,
  [4909] = 4774,
  [4910] = 4785,
  [4911] = 4775,
  [4912] = 4777,
  [4913] = 4778,
  [4914] = 4779,
  [4915] = 4643,
  [4916] = 4775,
  [4917] = 2411,
  [4918] = 4820,
  [4919] = 1900,
  [4920] = 4920,
  [4921] = 4920,
  [4922] = 4643,
  [4923] = 4645,
  [4924] = 4924,
  [4925] = 4925,
  [4926] = 4926,
  [4927] = 4926,
  [4928] = 4926,
  [4929] = 4920,
  [4930] = 4924,
  [4931] = 4925,
  [4932] = 4926,
  [4933] = 4933,
  [4934] = 4924,
  [4935] = 4935,
  [4936] = 4924,
  [4937] = 4643,
  [4938] = 4925,
  [4939] = 4645,
  [4940] = 4926,
  [4941] = 4926,
  [4942] = 4935,
  [4943] = 1915,
  [4944] = 1870,
  [4945] = 4926,
  [4946] = 4926,
  [4947] = 4926,
  [4948] = 1872,
  [4949] = 1886,
  [4950] = 4926,
  [4951] = 4951,
  [4952] = 1873,
  [4953] = 4926,
  [4954] = 1882,
  [4955] = 1884,
  [4956] = 1885,
  [4957] = 4920,
  [4958] = 1905,
  [4959] = 1896,
  [4960] = 4924,
  [4961] = 4935,
  [4962] = 4924,
  [4963] = 4925,
  [4964] = 4920,
  [4965] = 4926,
  [4966] = 4966,
  [4967] = 4926,
  [4968] = 4920,
  [4969] = 4926,
  [4970] = 4926,
  [4971] = 4926,
  [4972] = 4935,
  [4973] = 4925,
  [4974] = 4924,
  [4975] = 4925,
  [4976] = 4926,
  [4977] = 4925,
  [4978] = 4926,
  [4979] = 1887,
  [4980] = 4980,
  [4981] = 4981,
  [4982] = 4982,
  [4983] = 4983,
  [4984] = 4983,
  [4985] = 3771,
  [4986] = 3788,
  [4987] = 4987,
  [4988] = 1966,
  [4989] = 1864,
  [4990] = 4982,
  [4991] = 4981,
  [4992] = 4645,
  [4993] = 4643,
  [4994] = 4645,
  [4995] = 4982,
  [4996] = 4981,
  [4997] = 4643,
  [4998] = 4645,
  [4999] = 4643,
  [5000] = 4645,
  [5001] = 4643,
  [5002] = 4982,
  [5003] = 3120,
  [5004] = 4981,
  [5005] = 4983,
  [5006] = 4983,
  [5007] = 4019,
  [5008] = 4982,
  [5009] = 4981,
  [5010] = 4983,
  [5011] = 4982,
  [5012] = 4982,
  [5013] = 4982,
  [5014] = 4981,
  [5015] = 5015,
  [5016] = 4983,
  [5017] = 4981,
  [5018] = 4983,
  [5019] = 4982,
  [5020] = 5015,
  [5021] = 5015,
  [5022] = 4983,
  [5023] = 4981,
  [5024] = 4983,
  [5025] = 4982,
  [5026] = 4982,
  [5027] = 4981,
  [5028] = 4982,
  [5029] = 3123,
  [5030] = 4981,
  [5031] = 5015,
  [5032] = 4983,
  [5033] = 4981,
  [5034] = 4983,
  [5035] = 4983,
  [5036] = 4981,
  [5037] = 4981,
  [5038] = 4981,
  [5039] = 4982,
  [5040] = 4983,
  [5041] = 4981,
  [5042] = 5042,
  [5043] = 5042,
  [5044] = 5042,
  [5045] = 4983,
  [5046] = 5042,
  [5047] = 4981,
  [5048] = 5042,
  [5049] = 4982,
  [5050] = 4983,
  [5051] = 4983,
  [5052] = 4982,
  [5053] = 5042,
  [5054] = 5042,
  [5055] = 4982,
  [5056] = 5056,
  [5057] = 4982,
  [5058] = 5058,
  [5059] = 4981,
  [5060] = 4983,
  [5061] = 4981,
  [5062] = 5056,
  [5063] = 4983,
  [5064] = 5056,
  [5065] = 4982,
  [5066] = 5056,
  [5067] = 1778,
  [5068] = 5068,
  [5069] = 1661,
  [5070] = 5068,
  [5071] = 5068,
  [5072] = 5072,
  [5073] = 4983,
  [5074] = 5074,
  [5075] = 5072,
  [5076] = 5076,
  [5077] = 5076,
  [5078] = 4981,
  [5079] = 5076,
  [5080] = 4983,
  [5081] = 4982,
  [5082] = 5072,
  [5083] = 5074,
  [5084] = 5084,
  [5085] = 4982,
  [5086] = 4982,
  [5087] = 5087,
  [5088] = 5076,
  [5089] = 5072,
  [5090] = 5076,
  [5091] = 5074,
  [5092] = 5076,
  [5093] = 5074,
  [5094] = 5056,
  [5095] = 5072,
  [5096] = 5074,
  [5097] = 5056,
  [5098] = 5072,
  [5099] = 5076,
  [5100] = 5074,
  [5101] = 5072,
  [5102] = 5072,
  [5103] = 5072,
  [5104] = 5074,
  [5105] = 5072,
  [5106] = 5074,
  [5107] = 5107,
  [5108] = 5074,
  [5109] = 5109,
  [5110] = 5072,
  [5111] = 5072,
  [5112] = 5074,
  [5113] = 5072,
  [5114] = 5076,
  [5115] = 4983,
  [5116] = 5074,
  [5117] = 4981,
  [5118] = 5074,
  [5119] = 5072,
  [5120] = 5072,
  [5121] = 5076,
  [5122] = 5074,
  [5123] = 5074,
  [5124] = 4983,
  [5125] = 5072,
  [5126] = 5074,
  [5127] = 4981,
  [5128] = 4982,
  [5129] = 5109,
  [5130] = 5074,
  [5131] = 4981,
  [5132] = 5109,
  [5133] = 5133,
  [5134] = 5134,
  [5135] = 5135,
  [5136] = 5136,
  [5137] = 5133,
  [5138] = 5138,
  [5139] = 5107,
  [5140] = 5135,
  [5141] = 5135,
  [5142] = 5138,
  [5143] = 5138,
  [5144] = 5136,
  [5145] = 5134,
  [5146] = 5133,
  [5147] = 5133,
  [5148] = 5135,
  [5149] = 5136,
  [5150] = 5135,
  [5151] = 5134,
  [5152] = 5133,
  [5153] = 5138,
  [5154] = 5136,
  [5155] = 5135,
  [5156] = 5138,
  [5157] = 5134,
  [5158] = 5158,
  [5159] = 5135,
  [5160] = 5135,
  [5161] = 5136,
  [5162] = 5138,
  [5163] = 5135,
  [5164] = 5138,
  [5165] = 5138,
  [5166] = 5134,
  [5167] = 5138,
  [5168] = 5136,
  [5169] = 5134,
  [5170] = 5133,
  [5171] = 5133,
  [5172] = 5138,
  [5173] = 5138,
  [5174] = 5174,
  [5175] = 5133,
  [5176] = 5136,
  [5177] = 5136,
  [5178] = 5136,
  [5179] = 5158,
  [5180] = 5134,
  [5181] = 5133,
  [5182] = 5136,
  [5183] = 5134,
  [5184] = 5135,
  [5185] = 5136,
  [5186] = 5056,
  [5187] = 5135,
  [5188] = 5133,
  [5189] = 5135,
  [5190] = 5138,
  [5191] = 5136,
  [5192] = 5134,
  [5193] = 5134,
  [5194] = 5133,
  [5195] = 5195,
  [5196] = 5195,
  [5197] = 5136,
  [5198] = 5133,
  [5199] = 5138,
  [5200] = 5136,
  [5201] = 5134,
  [5202] = 5136,
  [5203] = 5134,
  [5204] = 5133,
  [5205] = 5136,
  [5206] = 5135,
  [5207] = 5136,
  [5208] = 5134,
  [5209] = 5134,
  [5210] = 5134,
  [5211] = 5133,
  [5212] = 5138,
  [5213] = 5135,
  [5214] = 5138,
  [5215] = 5158,
  [5216] = 5133,
  [5217] = 5135,
  [5218] = 5134,
  [5219] = 5138,
  [5220] = 5135,
  [5221] = 5134,
  [5222] = 5136,
  [5223] = 5195,
  [5224] = 5134,
  [5225] = 5133,
  [5226] = 5133,
  [5227] = 5138,
  [5228] = 5228,
  [5229] = 5135,
  [5230] = 5138,
  [5231] = 5133,
  [5232] = 5135,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 5236,
  [5237] = 5237,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 5242,
  [5243] = 5243,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 5234,
  [5247] = 5247,
  [5248] = 5248,
  [5249] = 5238,
  [5250] = 5084,
  [5251] = 5251,
  [5252] = 5087,
  [5253] = 5253,
  [5254] = 5234,
  [5255] = 5255,
  [5256] = 5238,
  [5257] = 2658,
  [5258] = 5235,
  [5259] = 5234,
  [5260] = 5234,
  [5261] = 5261,
  [5262] = 5238,
  [5263] = 5263,
  [5264] = 5264,
  [5265] = 5265,
  [5266] = 5234,
  [5267] = 5267,
  [5268] = 5268,
  [5269] = 5269,
  [5270] = 5234,
  [5271] = 5238,
  [5272] = 5234,
  [5273] = 5234,
  [5274] = 5234,
  [5275] = 5234,
  [5276] = 5234,
  [5277] = 5277,
  [5278] = 5278,
  [5279] = 5234,
  [5280] = 5280,
  [5281] = 5236,
  [5282] = 5282,
  [5283] = 5241,
  [5284] = 5234,
  [5285] = 5285,
  [5286] = 5056,
  [5287] = 5287,
  [5288] = 5282,
  [5289] = 5289,
  [5290] = 5290,
  [5291] = 5282,
  [5292] = 5235,
  [5293] = 5241,
  [5294] = 5278,
  [5295] = 5295,
  [5296] = 5282,
  [5297] = 5241,
  [5298] = 5282,
  [5299] = 5241,
  [5300] = 5300,
  [5301] = 5282,
  [5302] = 5241,
  [5303] = 5282,
  [5304] = 5241,
  [5305] = 5282,
  [5306] = 5241,
  [5307] = 5240,
  [5308] = 5282,
  [5309] = 5241,
  [5310] = 5233,
  [5311] = 5243,
  [5312] = 5244,
  [5313] = 5245,
  [5314] = 5248,
  [5315] = 5253,
  [5316] = 5251,
  [5317] = 5261,
  [5318] = 5264,
  [5319] = 5238,
  [5320] = 5320,
  [5321] = 5265,
  [5322] = 5268,
  [5323] = 5323,
  [5324] = 5324,
  [5325] = 5325,
  [5326] = 5233,
  [5327] = 5253,
  [5328] = 5233,
  [5329] = 5329,
  [5330] = 5330,
  [5331] = 5331,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 5334,
  [5335] = 5335,
  [5336] = 5238,
  [5337] = 5337,
  [5338] = 5338,
  [5339] = 5339,
  [5340] = 5340,
  [5341] = 5341,
  [5342] = 5342,
  [5343] = 5338,
  [5344] = 5344,
  [5345] = 125,
  [5346] = 5346,
  [5347] = 5347,
  [5348] = 5348,
  [5349] = 5290,
  [5350] = 126,
  [5351] = 5339,
  [5352] = 5352,
  [5353] = 5353,
  [5354] = 5340,
  [5355] = 5267,
  [5356] = 5356,
  [5357] = 5357,
  [5358] = 5341,
  [5359] = 5357,
  [5360] = 2190,
  [5361] = 5361,
  [5362] = 5362,
  [5363] = 5340,
  [5364] = 5364,
  [5365] = 5365,
  [5366] = 5342,
  [5367] = 5357,
  [5368] = 5368,
  [5369] = 5369,
  [5370] = 5347,
  [5371] = 5347,
  [5372] = 5372,
  [5373] = 5373,
  [5374] = 5364,
  [5375] = 5369,
  [5376] = 5372,
  [5377] = 5373,
  [5378] = 5365,
  [5379] = 5364,
  [5380] = 5369,
  [5381] = 5372,
  [5382] = 5373,
  [5383] = 5364,
  [5384] = 5369,
  [5385] = 5372,
  [5386] = 5373,
  [5387] = 5300,
  [5388] = 2218,
  [5389] = 5340,
  [5390] = 5348,
  [5391] = 5357,
  [5392] = 5392,
  [5393] = 5340,
  [5394] = 5394,
  [5395] = 2190,
  [5396] = 5056,
  [5397] = 2658,
  [5398] = 5341,
  [5399] = 5357,
  [5400] = 5400,
  [5401] = 5340,
  [5402] = 1567,
  [5403] = 2218,
  [5404] = 1570,
  [5405] = 5364,
  [5406] = 5361,
  [5407] = 5365,
  [5408] = 5342,
  [5409] = 5409,
  [5410] = 5369,
  [5411] = 5338,
  [5412] = 5372,
  [5413] = 5339,
  [5414] = 5347,
  [5415] = 5373,
  [5416] = 5348,
  [5417] = 5364,
  [5418] = 5369,
  [5419] = 5372,
  [5420] = 5373,
  [5421] = 5421,
  [5422] = 5341,
  [5423] = 5365,
  [5424] = 5237,
  [5425] = 5425,
  [5426] = 5348,
  [5427] = 5427,
  [5428] = 5361,
  [5429] = 5239,
  [5430] = 5430,
  [5431] = 5340,
  [5432] = 5339,
  [5433] = 5357,
  [5434] = 1569,
  [5435] = 1571,
  [5436] = 1572,
  [5437] = 1574,
  [5438] = 1560,
  [5439] = 5338,
  [5440] = 5247,
  [5441] = 5280,
  [5442] = 1561,
  [5443] = 1559,
  [5444] = 1562,
  [5445] = 1563,
  [5446] = 5320,
  [5447] = 1564,
  [5448] = 5323,
  [5449] = 5324,
  [5450] = 5329,
  [5451] = 1565,
  [5452] = 1566,
  [5453] = 5330,
  [5454] = 5331,
  [5455] = 5332,
  [5456] = 5333,
  [5457] = 5334,
  [5458] = 5335,
  [5459] = 5285,
  [5460] = 5460,
  [5461] = 1568,
  [5462] = 5462,
  [5463] = 5463,
  [5464] = 5361,
  [5465] = 5409,
  [5466] = 5466,
  [5467] = 5467,
  [5468] = 5373,
  [5469] = 5364,
  [5470] = 5470,
  [5471] = 5462,
  [5472] = 1966,
  [5473] = 5466,
  [5474] = 5056,
  [5475] = 5475,
  [5476] = 5364,
  [5477] = 5344,
  [5478] = 5369,
  [5479] = 5479,
  [5480] = 5372,
  [5481] = 5369,
  [5482] = 5482,
  [5483] = 5372,
  [5484] = 5373,
  [5485] = 5485,
  [5486] = 5373,
  [5487] = 5487,
  [5488] = 5488,
  [5489] = 5489,
  [5490] = 5490,
  [5491] = 5491,
  [5492] = 5485,
  [5493] = 5493,
  [5494] = 5494,
  [5495] = 5495,
  [5496] = 5496,
  [5497] = 5497,
  [5498] = 5373,
  [5499] = 5488,
  [5500] = 5488,
  [5501] = 5501,
  [5502] = 5372,
  [5503] = 5495,
  [5504] = 5495,
  [5505] = 5372,
  [5506] = 5506,
  [5507] = 5495,
  [5508] = 1578,
  [5509] = 5509,
  [5510] = 5510,
  [5511] = 5511,
  [5512] = 5512,
  [5513] = 5369,
  [5514] = 5488,
  [5515] = 5515,
  [5516] = 5495,
  [5517] = 5495,
  [5518] = 5518,
  [5519] = 5369,
  [5520] = 5520,
  [5521] = 5495,
  [5522] = 5522,
  [5523] = 5485,
  [5524] = 5495,
  [5525] = 5525,
  [5526] = 5364,
  [5527] = 5373,
  [5528] = 5369,
  [5529] = 5529,
  [5530] = 5364,
  [5531] = 1576,
  [5532] = 5488,
  [5533] = 5488,
  [5534] = 5488,
  [5535] = 5372,
  [5536] = 5488,
  [5537] = 5373,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5056,
  [5541] = 1687,
  [5542] = 1575,
  [5543] = 5543,
  [5544] = 5485,
  [5545] = 5488,
  [5546] = 5546,
  [5547] = 1708,
  [5548] = 5548,
  [5549] = 5364,
  [5550] = 5495,
  [5551] = 5551,
  [5552] = 5369,
  [5553] = 5056,
  [5554] = 5372,
  [5555] = 5495,
  [5556] = 5551,
  [5557] = 5488,
  [5558] = 5485,
  [5559] = 5364,
  [5560] = 1572,
  [5561] = 2233,
  [5562] = 5056,
  [5563] = 5369,
  [5564] = 5564,
  [5565] = 5564,
  [5566] = 5338,
  [5567] = 771,
  [5568] = 776,
  [5569] = 5569,
  [5570] = 5372,
  [5571] = 5339,
  [5572] = 5361,
  [5573] = 5372,
  [5574] = 5564,
  [5575] = 5373,
  [5576] = 5564,
  [5577] = 5338,
  [5578] = 5578,
  [5579] = 5564,
  [5580] = 5347,
  [5581] = 5373,
  [5582] = 125,
  [5583] = 5056,
  [5584] = 5348,
  [5585] = 5585,
  [5586] = 126,
  [5587] = 5564,
  [5588] = 5564,
  [5589] = 5364,
  [5590] = 5361,
  [5591] = 5463,
  [5592] = 5564,
  [5593] = 5593,
  [5594] = 5564,
  [5595] = 5564,
  [5596] = 5564,
  [5597] = 2218,
  [5598] = 1567,
  [5599] = 5564,
  [5600] = 5339,
  [5601] = 1566,
  [5602] = 1568,
  [5603] = 1565,
  [5604] = 1564,
  [5605] = 5369,
  [5606] = 5564,
  [5607] = 5564,
  [5608] = 1570,
  [5609] = 5564,
  [5610] = 5610,
  [5611] = 5362,
  [5612] = 5347,
  [5613] = 5364,
  [5614] = 1569,
  [5615] = 2190,
  [5616] = 1571,
  [5617] = 1574,
  [5618] = 1560,
  [5619] = 5564,
  [5620] = 5564,
  [5621] = 1561,
  [5622] = 1559,
  [5623] = 5564,
  [5624] = 1562,
  [5625] = 1563,
  [5626] = 5348,
  [5627] = 5627,
  [5628] = 5628,
  [5629] = 5629,
  [5630] = 1893,
  [5631] = 1875,
  [5632] = 5632,
  [5633] = 5633,
  [5634] = 2336,
  [5635] = 5372,
  [5636] = 5628,
  [5637] = 5637,
  [5638] = 5629,
  [5639] = 5639,
  [5640] = 5369,
  [5641] = 5641,
  [5642] = 5642,
  [5643] = 1966,
  [5644] = 5628,
  [5645] = 5641,
  [5646] = 5627,
  [5647] = 5647,
  [5648] = 5641,
  [5649] = 5641,
  [5650] = 5633,
  [5651] = 5641,
  [5652] = 5652,
  [5653] = 5652,
  [5654] = 5654,
  [5655] = 5628,
  [5656] = 5633,
  [5657] = 2328,
  [5658] = 5658,
  [5659] = 5659,
  [5660] = 5652,
  [5661] = 5628,
  [5662] = 5373,
  [5663] = 5659,
  [5664] = 5372,
  [5665] = 5633,
  [5666] = 5641,
  [5667] = 5647,
  [5668] = 5641,
  [5669] = 5364,
  [5670] = 5670,
  [5671] = 5642,
  [5672] = 5672,
  [5673] = 5673,
  [5674] = 5364,
  [5675] = 5642,
  [5676] = 5658,
  [5677] = 5633,
  [5678] = 1891,
  [5679] = 5633,
  [5680] = 5373,
  [5681] = 1907,
  [5682] = 5637,
  [5683] = 5628,
  [5684] = 1871,
  [5685] = 5633,
  [5686] = 5637,
  [5687] = 5658,
  [5688] = 5633,
  [5689] = 5659,
  [5690] = 5369,
  [5691] = 5639,
  [5692] = 5628,
  [5693] = 5693,
  [5694] = 5633,
  [5695] = 5629,
  [5696] = 5642,
  [5697] = 5639,
  [5698] = 5627,
  [5699] = 5647,
  [5700] = 5633,
  [5701] = 2290,
  [5702] = 5702,
  [5703] = 5369,
  [5704] = 5529,
  [5705] = 5361,
  [5706] = 1603,
  [5707] = 5707,
  [5708] = 5708,
  [5709] = 5361,
  [5710] = 5501,
  [5711] = 5708,
  [5712] = 5712,
  [5713] = 5512,
  [5714] = 5510,
  [5715] = 5493,
  [5716] = 5708,
  [5717] = 5717,
  [5718] = 5718,
  [5719] = 5719,
  [5720] = 1497,
  [5721] = 5708,
  [5722] = 5361,
  [5723] = 5708,
  [5724] = 5338,
  [5725] = 5339,
  [5726] = 5708,
  [5727] = 5708,
  [5728] = 5347,
  [5729] = 5348,
  [5730] = 5708,
  [5731] = 2190,
  [5732] = 5732,
  [5733] = 5708,
  [5734] = 5543,
  [5735] = 5708,
  [5736] = 5708,
  [5737] = 2218,
  [5738] = 5708,
  [5739] = 5708,
  [5740] = 5708,
  [5741] = 5708,
  [5742] = 5742,
  [5743] = 5743,
  [5744] = 2178,
  [5745] = 5745,
  [5746] = 2190,
  [5747] = 5747,
  [5748] = 5742,
  [5749] = 5743,
  [5750] = 5361,
  [5751] = 5338,
  [5752] = 5637,
  [5753] = 1607,
  [5754] = 5339,
  [5755] = 5506,
  [5756] = 5339,
  [5757] = 5347,
  [5758] = 5348,
  [5759] = 5489,
  [5760] = 5718,
  [5761] = 5364,
  [5762] = 5372,
  [5763] = 5373,
  [5764] = 5629,
  [5765] = 5639,
  [5766] = 5717,
  [5767] = 5717,
  [5768] = 5338,
  [5769] = 5364,
  [5770] = 5647,
  [5771] = 5369,
  [5772] = 5372,
  [5773] = 5373,
  [5774] = 5717,
  [5775] = 5652,
  [5776] = 5707,
  [5777] = 5658,
  [5778] = 5538,
  [5779] = 5659,
  [5780] = 1604,
  [5781] = 5708,
  [5782] = 5548,
  [5783] = 5487,
  [5784] = 5490,
  [5785] = 5785,
  [5786] = 5718,
  [5787] = 1605,
  [5788] = 5525,
  [5789] = 5347,
  [5790] = 5718,
  [5791] = 5791,
  [5792] = 5708,
  [5793] = 5509,
  [5794] = 5520,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5494,
  [5798] = 5348,
  [5799] = 5338,
  [5800] = 5712,
  [5801] = 5718,
  [5802] = 5802,
  [5803] = 5511,
  [5804] = 5339,
  [5805] = 5515,
  [5806] = 5806,
  [5807] = 5717,
  [5808] = 5718,
  [5809] = 5809,
  [5810] = 5719,
  [5811] = 5717,
  [5812] = 5518,
  [5813] = 5347,
  [5814] = 5791,
  [5815] = 5708,
  [5816] = 5348,
  [5817] = 5817,
  [5818] = 2218,
  [5819] = 5522,
  [5820] = 5717,
  [5821] = 5719,
  [5822] = 5719,
  [5823] = 5719,
  [5824] = 5719,
  [5825] = 5719,
  [5826] = 5056,
  [5827] = 5539,
  [5828] = 5708,
  [5829] = 5718,
  [5830] = 5627,
  [5831] = 5659,
  [5832] = 5659,
  [5833] = 5833,
  [5834] = 2317,
  [5835] = 2065,
  [5836] = 2084,
  [5837] = 2120,
  [5838] = 2125,
  [5839] = 5839,
  [5840] = 5839,
  [5841] = 5841,
  [5842] = 5629,
  [5843] = 5841,
  [5844] = 5833,
  [5845] = 5639,
  [5846] = 5637,
  [5847] = 5629,
  [5848] = 5639,
  [5849] = 5627,
  [5850] = 5647,
  [5851] = 5652,
  [5852] = 5658,
  [5853] = 1875,
  [5854] = 5854,
  [5855] = 5833,
  [5856] = 1893,
  [5857] = 1907,
  [5858] = 5841,
  [5859] = 5841,
  [5860] = 5839,
  [5861] = 2104,
  [5862] = 5862,
  [5863] = 2124,
  [5864] = 2114,
  [5865] = 5839,
  [5866] = 5866,
  [5867] = 5841,
  [5868] = 2293,
  [5869] = 5862,
  [5870] = 5870,
  [5871] = 5871,
  [5872] = 5627,
  [5873] = 5839,
  [5874] = 5871,
  [5875] = 5875,
  [5876] = 5364,
  [5877] = 5839,
  [5878] = 5369,
  [5879] = 5870,
  [5880] = 5372,
  [5881] = 5373,
  [5882] = 5364,
  [5883] = 5369,
  [5884] = 5372,
  [5885] = 5885,
  [5886] = 5839,
  [5887] = 5887,
  [5888] = 5888,
  [5889] = 5870,
  [5890] = 1968,
  [5891] = 1969,
  [5892] = 1977,
  [5893] = 5871,
  [5894] = 5870,
  [5895] = 5841,
  [5896] = 5841,
  [5897] = 5897,
  [5898] = 5871,
  [5899] = 5870,
  [5900] = 5900,
  [5901] = 2000,
  [5902] = 5875,
  [5903] = 5637,
  [5904] = 5839,
  [5905] = 5658,
  [5906] = 5906,
  [5907] = 5647,
  [5908] = 5862,
  [5909] = 5909,
  [5910] = 5652,
  [5911] = 5911,
  [5912] = 5870,
  [5913] = 5862,
  [5914] = 1891,
  [5915] = 5871,
  [5916] = 5916,
  [5917] = 1871,
  [5918] = 5839,
  [5919] = 5870,
  [5920] = 5841,
  [5921] = 5839,
  [5922] = 5922,
  [5923] = 5923,
  [5924] = 5841,
  [5925] = 2342,
  [5926] = 2348,
  [5927] = 2351,
  [5928] = 2352,
  [5929] = 2353,
  [5930] = 2354,
  [5931] = 5833,
  [5932] = 5841,
  [5933] = 5373,
  [5934] = 5934,
  [5935] = 5339,
  [5936] = 5347,
  [5937] = 5937,
  [5938] = 5934,
  [5939] = 5373,
  [5940] = 1893,
  [5941] = 5742,
  [5942] = 5743,
  [5943] = 5707,
  [5944] = 5944,
  [5945] = 5348,
  [5946] = 2218,
  [5947] = 5712,
  [5948] = 5934,
  [5949] = 2178,
  [5950] = 1871,
  [5951] = 5791,
  [5952] = 5934,
  [5953] = 5934,
  [5954] = 1907,
  [5955] = 5747,
  [5956] = 5647,
  [5957] = 5637,
  [5958] = 5934,
  [5959] = 1891,
  [5960] = 5960,
  [5961] = 5347,
  [5962] = 1875,
  [5963] = 3712,
  [5964] = 5934,
  [5965] = 5934,
  [5966] = 5934,
  [5967] = 5659,
  [5968] = 5652,
  [5969] = 5934,
  [5970] = 2190,
  [5971] = 5348,
  [5972] = 5629,
  [5973] = 5338,
  [5974] = 5339,
  [5975] = 5364,
  [5976] = 5934,
  [5977] = 5369,
  [5978] = 5934,
  [5979] = 5639,
  [5980] = 5980,
  [5981] = 5372,
  [5982] = 5373,
  [5983] = 5364,
  [5984] = 5934,
  [5985] = 5934,
  [5986] = 5361,
  [5987] = 5658,
  [5988] = 5934,
  [5989] = 5361,
  [5990] = 5369,
  [5991] = 5934,
  [5992] = 5627,
  [5993] = 5934,
  [5994] = 5338,
  [5995] = 5372,
  [5996] = 5934,
  [5997] = 5934,
  [5998] = 5998,
  [5999] = 5999,
  [6000] = 6000,
  [6001] = 6001,
  [6002] = 6002,
  [6003] = 6003,
  [6004] = 6004,
  [6005] = 6005,
  [6006] = 6006,
  [6007] = 5659,
  [6008] = 6008,
  [6009] = 6003,
  [6010] = 6004,
  [6011] = 6006,
  [6012] = 5742,
  [6013] = 6008,
  [6014] = 5361,
  [6015] = 5338,
  [6016] = 6008,
  [6017] = 5629,
  [6018] = 5339,
  [6019] = 5347,
  [6020] = 6020,
  [6021] = 2178,
  [6022] = 6003,
  [6023] = 5629,
  [6024] = 5639,
  [6025] = 6008,
  [6026] = 6004,
  [6027] = 6027,
  [6028] = 6028,
  [6029] = 5348,
  [6030] = 6006,
  [6031] = 6031,
  [6032] = 6003,
  [6033] = 6033,
  [6034] = 6034,
  [6035] = 5627,
  [6036] = 5647,
  [6037] = 6037,
  [6038] = 6008,
  [6039] = 6004,
  [6040] = 6004,
  [6041] = 6041,
  [6042] = 6003,
  [6043] = 5652,
  [6044] = 6003,
  [6045] = 6004,
  [6046] = 2218,
  [6047] = 6047,
  [6048] = 6048,
  [6049] = 6008,
  [6050] = 5707,
  [6051] = 5361,
  [6052] = 6006,
  [6053] = 5338,
  [6054] = 5339,
  [6055] = 5347,
  [6056] = 5348,
  [6057] = 6006,
  [6058] = 5652,
  [6059] = 5658,
  [6060] = 6060,
  [6061] = 6006,
  [6062] = 6062,
  [6063] = 5637,
  [6064] = 6064,
  [6065] = 6065,
  [6066] = 5659,
  [6067] = 6067,
  [6068] = 2190,
  [6069] = 2273,
  [6070] = 6004,
  [6071] = 5639,
  [6072] = 5743,
  [6073] = 6073,
  [6074] = 5791,
  [6075] = 6075,
  [6076] = 6076,
  [6077] = 6077,
  [6078] = 6006,
  [6079] = 6079,
  [6080] = 6080,
  [6081] = 6081,
  [6082] = 5712,
  [6083] = 6008,
  [6084] = 6003,
  [6085] = 6085,
  [6086] = 1351,
  [6087] = 6087,
  [6088] = 6088,
  [6089] = 6089,
  [6090] = 6089,
  [6091] = 6091,
  [6092] = 6092,
  [6093] = 6089,
  [6094] = 6089,
  [6095] = 6089,
  [6096] = 6096,
  [6097] = 6089,
  [6098] = 1352,
  [6099] = 1330,
  [6100] = 1332,
  [6101] = 1355,
  [6102] = 1163,
  [6103] = 6103,
  [6104] = 6089,
  [6105] = 6089,
  [6106] = 6089,
  [6107] = 6096,
  [6108] = 6108,
  [6109] = 6089,
  [6110] = 5637,
  [6111] = 5629,
  [6112] = 6112,
  [6113] = 5639,
  [6114] = 5627,
  [6115] = 5647,
  [6116] = 5652,
  [6117] = 5658,
  [6118] = 5659,
  [6119] = 6089,
  [6120] = 6089,
  [6121] = 6089,
  [6122] = 6122,
  [6123] = 1333,
  [6124] = 6124,
  [6125] = 6125,
  [6126] = 6126,
  [6127] = 6126,
  [6128] = 6124,
  [6129] = 6129,
  [6130] = 6129,
  [6131] = 5637,
  [6132] = 2218,
  [6133] = 5629,
  [6134] = 5639,
  [6135] = 5627,
  [6136] = 5647,
  [6137] = 6125,
  [6138] = 6129,
  [6139] = 5652,
  [6140] = 6140,
  [6141] = 5658,
  [6142] = 6129,
  [6143] = 5659,
  [6144] = 6144,
  [6145] = 5578,
  [6146] = 6146,
  [6147] = 2190,
  [6148] = 6125,
  [6149] = 5585,
  [6150] = 6124,
  [6151] = 6129,
  [6152] = 6125,
  [6153] = 6125,
  [6154] = 6125,
  [6155] = 6125,
  [6156] = 6124,
  [6157] = 6125,
  [6158] = 6125,
  [6159] = 6125,
  [6160] = 6125,
  [6161] = 6125,
  [6162] = 6125,
  [6163] = 6125,
  [6164] = 6144,
  [6165] = 6125,
  [6166] = 6126,
  [6167] = 6125,
  [6168] = 6129,
  [6169] = 6125,
  [6170] = 6144,
  [6171] = 6126,
  [6172] = 6125,
  [6173] = 6125,
  [6174] = 6144,
  [6175] = 6125,
  [6176] = 6125,
  [6177] = 6129,
  [6178] = 6178,
  [6179] = 6178,
  [6180] = 6180,
  [6181] = 5743,
  [6182] = 5578,
  [6183] = 6180,
  [6184] = 6180,
  [6185] = 5585,
  [6186] = 5658,
  [6187] = 6187,
  [6188] = 6188,
  [6189] = 5652,
  [6190] = 6190,
  [6191] = 5796,
  [6192] = 5742,
  [6193] = 6193,
  [6194] = 6180,
  [6195] = 6195,
  [6196] = 6196,
  [6197] = 6178,
  [6198] = 6198,
  [6199] = 5795,
  [6200] = 5732,
  [6201] = 6180,
  [6202] = 6202,
  [6203] = 6203,
  [6204] = 5791,
  [6205] = 2290,
  [6206] = 6188,
  [6207] = 6207,
  [6208] = 5712,
  [6209] = 6180,
  [6210] = 5707,
  [6211] = 5629,
  [6212] = 5639,
  [6213] = 6213,
  [6214] = 6214,
  [6215] = 5637,
  [6216] = 6178,
  [6217] = 6188,
  [6218] = 5627,
  [6219] = 5647,
  [6220] = 6220,
  [6221] = 6180,
  [6222] = 5802,
  [6223] = 6188,
  [6224] = 6224,
  [6225] = 5785,
  [6226] = 5659,
  [6227] = 6227,
  [6228] = 6228,
  [6229] = 6228,
  [6230] = 2384,
  [6231] = 6231,
  [6232] = 6228,
  [6233] = 6227,
  [6234] = 5629,
  [6235] = 5658,
  [6236] = 6236,
  [6237] = 6237,
  [6238] = 1891,
  [6239] = 5658,
  [6240] = 6236,
  [6241] = 5639,
  [6242] = 6236,
  [6243] = 6227,
  [6244] = 1871,
  [6245] = 6245,
  [6246] = 6246,
  [6247] = 6247,
  [6248] = 2290,
  [6249] = 6237,
  [6250] = 1875,
  [6251] = 5652,
  [6252] = 6252,
  [6253] = 6253,
  [6254] = 2294,
  [6255] = 5627,
  [6256] = 6256,
  [6257] = 5629,
  [6258] = 5639,
  [6259] = 1893,
  [6260] = 5652,
  [6261] = 5659,
  [6262] = 1907,
  [6263] = 5647,
  [6264] = 6264,
  [6265] = 5659,
  [6266] = 6237,
  [6267] = 5637,
  [6268] = 5627,
  [6269] = 5647,
  [6270] = 6236,
  [6271] = 6228,
  [6272] = 6227,
  [6273] = 6273,
  [6274] = 2341,
  [6275] = 6275,
  [6276] = 5637,
  [6277] = 6237,
  [6278] = 6278,
  [6279] = 6279,
  [6280] = 6280,
  [6281] = 6281,
  [6282] = 2290,
  [6283] = 6283,
  [6284] = 6278,
  [6285] = 6278,
  [6286] = 5944,
  [6287] = 6287,
  [6288] = 6278,
  [6289] = 2178,
  [6290] = 6290,
  [6291] = 6291,
  [6292] = 6292,
  [6293] = 6291,
  [6294] = 6294,
  [6295] = 6278,
  [6296] = 2290,
  [6297] = 6291,
  [6298] = 6278,
  [6299] = 6294,
  [6300] = 6300,
  [6301] = 6291,
  [6302] = 6278,
  [6303] = 6294,
  [6304] = 6280,
  [6305] = 6305,
  [6306] = 6294,
  [6307] = 6291,
  [6308] = 6294,
  [6309] = 6309,
  [6310] = 6291,
  [6311] = 6294,
  [6312] = 6294,
  [6313] = 6280,
  [6314] = 6314,
  [6315] = 6279,
  [6316] = 6287,
  [6317] = 5980,
  [6318] = 5960,
  [6319] = 6280,
  [6320] = 6320,
  [6321] = 6321,
  [6322] = 6322,
  [6323] = 6280,
  [6324] = 6324,
  [6325] = 6280,
  [6326] = 6326,
  [6327] = 6280,
  [6328] = 6328,
  [6329] = 6329,
  [6330] = 6291,
  [6331] = 6331,
  [6332] = 6332,
  [6333] = 2290,
  [6334] = 6332,
  [6335] = 5629,
  [6336] = 6336,
  [6337] = 6337,
  [6338] = 6338,
  [6339] = 6339,
  [6340] = 6340,
  [6341] = 6331,
  [6342] = 6342,
  [6343] = 6343,
  [6344] = 6342,
  [6345] = 2213,
  [6346] = 6346,
  [6347] = 6347,
  [6348] = 5639,
  [6349] = 6349,
  [6350] = 6347,
  [6351] = 6349,
  [6352] = 6352,
  [6353] = 6349,
  [6354] = 6354,
  [6355] = 6354,
  [6356] = 5637,
  [6357] = 6354,
  [6358] = 6358,
  [6359] = 6359,
  [6360] = 6354,
  [6361] = 5659,
  [6362] = 6340,
  [6363] = 6363,
  [6364] = 6332,
  [6365] = 6343,
  [6366] = 6359,
  [6367] = 6332,
  [6368] = 6338,
  [6369] = 6369,
  [6370] = 6340,
  [6371] = 6337,
  [6372] = 5652,
  [6373] = 6331,
  [6374] = 6354,
  [6375] = 6375,
  [6376] = 6376,
  [6377] = 6363,
  [6378] = 6342,
  [6379] = 6379,
  [6380] = 6363,
  [6381] = 5627,
  [6382] = 6359,
  [6383] = 6379,
  [6384] = 6379,
  [6385] = 5647,
  [6386] = 6347,
  [6387] = 2290,
  [6388] = 5658,
  [6389] = 6389,
  [6390] = 6390,
  [6391] = 6391,
  [6392] = 6392,
  [6393] = 6393,
  [6394] = 6394,
  [6395] = 6395,
  [6396] = 6396,
  [6397] = 6395,
  [6398] = 6398,
  [6399] = 6391,
  [6400] = 6390,
  [6401] = 6401,
  [6402] = 6402,
  [6403] = 6393,
  [6404] = 6393,
  [6405] = 6405,
  [6406] = 6406,
  [6407] = 6396,
  [6408] = 6408,
  [6409] = 6392,
  [6410] = 6391,
  [6411] = 6401,
  [6412] = 6392,
  [6413] = 6413,
  [6414] = 5585,
  [6415] = 6415,
  [6416] = 6395,
  [6417] = 6392,
  [6418] = 6418,
  [6419] = 6391,
  [6420] = 6401,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 6391,
  [6424] = 6402,
  [6425] = 6396,
  [6426] = 6415,
  [6427] = 6418,
  [6428] = 6401,
  [6429] = 6393,
  [6430] = 6405,
  [6431] = 6431,
  [6432] = 6415,
  [6433] = 6433,
  [6434] = 6415,
  [6435] = 6435,
  [6436] = 6422,
  [6437] = 6392,
  [6438] = 6391,
  [6439] = 6439,
  [6440] = 6396,
  [6441] = 6441,
  [6442] = 6393,
  [6443] = 6443,
  [6444] = 6405,
  [6445] = 6392,
  [6446] = 6391,
  [6447] = 6422,
  [6448] = 6431,
  [6449] = 6422,
  [6450] = 6413,
  [6451] = 6405,
  [6452] = 6391,
  [6453] = 6415,
  [6454] = 6421,
  [6455] = 6415,
  [6456] = 6443,
  [6457] = 6439,
  [6458] = 6421,
  [6459] = 6431,
  [6460] = 6391,
  [6461] = 6418,
  [6462] = 6398,
  [6463] = 6390,
  [6464] = 6464,
  [6465] = 6405,
  [6466] = 6466,
  [6467] = 6467,
  [6468] = 6468,
  [6469] = 6396,
  [6470] = 6391,
  [6471] = 6390,
  [6472] = 6422,
  [6473] = 6431,
  [6474] = 6393,
  [6475] = 6475,
  [6476] = 6466,
  [6477] = 6477,
  [6478] = 6443,
  [6479] = 6418,
  [6480] = 6392,
  [6481] = 6418,
  [6482] = 6439,
  [6483] = 6443,
  [6484] = 6405,
  [6485] = 6405,
  [6486] = 6402,
  [6487] = 6418,
  [6488] = 6405,
  [6489] = 6489,
  [6490] = 6431,
  [6491] = 6422,
  [6492] = 6439,
  [6493] = 6401,
  [6494] = 6391,
  [6495] = 6439,
  [6496] = 6496,
  [6497] = 6497,
  [6498] = 6489,
  [6499] = 6499,
  [6500] = 6439,
  [6501] = 6443,
  [6502] = 6489,
  [6503] = 6503,
  [6504] = 6504,
  [6505] = 6504,
  [6506] = 6418,
  [6507] = 6391,
  [6508] = 6398,
  [6509] = 6390,
  [6510] = 6466,
  [6511] = 6443,
  [6512] = 6467,
  [6513] = 6513,
  [6514] = 6405,
  [6515] = 6431,
  [6516] = 6431,
  [6517] = 6392,
  [6518] = 6392,
  [6519] = 6402,
  [6520] = 6401,
  [6521] = 6521,
  [6522] = 6405,
  [6523] = 6390,
  [6524] = 6418,
  [6525] = 6390,
  [6526] = 6402,
  [6527] = 6504,
  [6528] = 6391,
  [6529] = 6392,
  [6530] = 6418,
  [6531] = 6392,
  [6532] = 6392,
  [6533] = 6396,
  [6534] = 6422,
  [6535] = 6467,
  [6536] = 6489,
  [6537] = 6431,
  [6538] = 6394,
  [6539] = 6393,
  [6540] = 6391,
  [6541] = 6466,
  [6542] = 6542,
  [6543] = 6415,
  [6544] = 6395,
  [6545] = 6418,
  [6546] = 6405,
  [6547] = 6422,
  [6548] = 6504,
  [6549] = 6402,
  [6550] = 6413,
  [6551] = 6421,
  [6552] = 6552,
  [6553] = 6394,
  [6554] = 6489,
  [6555] = 6405,
  [6556] = 6443,
  [6557] = 6557,
  [6558] = 6558,
  [6559] = 6391,
  [6560] = 6402,
  [6561] = 6413,
  [6562] = 6421,
  [6563] = 6394,
  [6564] = 6405,
  [6565] = 6390,
  [6566] = 6439,
  [6567] = 6567,
  [6568] = 6568,
  [6569] = 6391,
  [6570] = 6413,
  [6571] = 6421,
  [6572] = 6415,
  [6573] = 6573,
  [6574] = 6415,
  [6575] = 6396,
  [6576] = 6391,
  [6577] = 6402,
  [6578] = 6402,
  [6579] = 6413,
  [6580] = 6421,
  [6581] = 6489,
  [6582] = 6392,
  [6583] = 6396,
  [6584] = 6418,
  [6585] = 6405,
  [6586] = 6402,
  [6587] = 6413,
  [6588] = 6421,
  [6589] = 6489,
  [6590] = 6590,
  [6591] = 6466,
  [6592] = 6413,
  [6593] = 6421,
  [6594] = 6405,
  [6595] = 6393,
  [6596] = 6413,
  [6597] = 6393,
  [6598] = 6394,
  [6599] = 6390,
  [6600] = 6418,
  [6601] = 6422,
  [6602] = 6398,
  [6603] = 6398,
  [6604] = 6390,
  [6605] = 6443,
  [6606] = 6606,
  [6607] = 6394,
  [6608] = 6402,
  [6609] = 6405,
  [6610] = 6504,
  [6611] = 6489,
  [6612] = 6439,
  [6613] = 6439,
  [6614] = 6439,
  [6615] = 6405,
  [6616] = 6415,
  [6617] = 6392,
  [6618] = 6391,
  [6619] = 6619,
  [6620] = 6489,
  [6621] = 6621,
  [6622] = 6466,
  [6623] = 6394,
  [6624] = 6392,
  [6625] = 6625,
  [6626] = 6443,
  [6627] = 6467,
  [6628] = 6402,
  [6629] = 6398,
  [6630] = 6405,
  [6631] = 6443,
  [6632] = 6391,
  [6633] = 6390,
  [6634] = 6396,
  [6635] = 6466,
  [6636] = 6431,
  [6637] = 6392,
  [6638] = 6638,
  [6639] = 6392,
  [6640] = 6405,
  [6641] = 6395,
  [6642] = 6642,
  [6643] = 6643,
  [6644] = 6644,
  [6645] = 6504,
  [6646] = 6395,
  [6647] = 6395,
  [6648] = 6390,
  [6649] = 6398,
  [6650] = 6650,
  [6651] = 6651,
  [6652] = 6652,
  [6653] = 6653,
  [6654] = 6654,
  [6655] = 6655,
  [6656] = 6656,
  [6657] = 6198,
  [6658] = 6658,
  [6659] = 6659,
  [6660] = 6660,
  [6661] = 6661,
  [6662] = 6662,
  [6663] = 6663,
  [6664] = 6664,
  [6665] = 6665,
  [6666] = 6662,
  [6667] = 6667,
  [6668] = 6668,
  [6669] = 6669,
  [6670] = 6670,
  [6671] = 224,
  [6672] = 6672,
  [6673] = 6654,
  [6674] = 6670,
  [6675] = 6658,
  [6676] = 6676,
  [6677] = 6677,
  [6678] = 6663,
  [6679] = 6663,
  [6680] = 6664,
  [6681] = 6665,
  [6682] = 6664,
  [6683] = 6665,
  [6684] = 6653,
  [6685] = 6685,
  [6686] = 6686,
  [6687] = 6687,
  [6688] = 6651,
  [6689] = 6665,
  [6690] = 6690,
  [6691] = 6654,
  [6692] = 6692,
  [6693] = 6693,
  [6694] = 6694,
  [6695] = 6695,
  [6696] = 6696,
  [6697] = 6654,
  [6698] = 6658,
  [6699] = 6663,
  [6700] = 6664,
  [6701] = 6665,
  [6702] = 6655,
  [6703] = 6703,
  [6704] = 6704,
  [6705] = 6705,
  [6706] = 6706,
  [6707] = 6654,
  [6708] = 6708,
  [6709] = 6658,
  [6710] = 6663,
  [6711] = 6664,
  [6712] = 6665,
  [6713] = 6713,
  [6714] = 6654,
  [6715] = 6715,
  [6716] = 6658,
  [6717] = 6663,
  [6718] = 6664,
  [6719] = 6665,
  [6720] = 6650,
  [6721] = 6658,
  [6722] = 6667,
  [6723] = 6723,
  [6724] = 6654,
  [6725] = 6658,
  [6726] = 6663,
  [6727] = 6664,
  [6728] = 6665,
  [6729] = 6729,
  [6730] = 6653,
  [6731] = 6731,
  [6732] = 6659,
  [6733] = 6660,
  [6734] = 6661,
  [6735] = 6735,
  [6736] = 6654,
  [6737] = 6690,
  [6738] = 6658,
  [6739] = 6663,
  [6740] = 6664,
  [6741] = 6665,
  [6742] = 6662,
  [6743] = 6743,
  [6744] = 6744,
  [6745] = 6654,
  [6746] = 6731,
  [6747] = 6658,
  [6748] = 6663,
  [6749] = 6664,
  [6750] = 6665,
  [6751] = 6751,
  [6752] = 6703,
  [6753] = 6753,
  [6754] = 6654,
  [6755] = 6755,
  [6756] = 6658,
  [6757] = 6663,
  [6758] = 6664,
  [6759] = 6665,
  [6760] = 6760,
  [6761] = 6704,
  [6762] = 6762,
  [6763] = 6652,
  [6764] = 6654,
  [6765] = 6656,
  [6766] = 6658,
  [6767] = 6663,
  [6768] = 6664,
  [6769] = 6665,
  [6770] = 6654,
  [6771] = 6654,
  [6772] = 6654,
  [6773] = 6676,
  [6774] = 6677,
  [6775] = 6663,
  [6776] = 6664,
  [6777] = 6665,
  [6778] = 6668,
  [6779] = 6779,
  [6780] = 6662,
  [6781] = 6781,
  [6782] = 6731,
  [6783] = 6755,
  [6784] = 6670,
  [6785] = 6785,
  [6786] = 6652,
  [6787] = 6706,
  [6788] = 6788,
  [6789] = 6789,
  [6790] = 6790,
  [6791] = 6791,
  [6792] = 6685,
  [6793] = 6687,
  [6794] = 6794,
  [6795] = 6686,
  [6796] = 6796,
  [6797] = 6797,
  [6798] = 6798,
  [6799] = 6799,
  [6800] = 6654,
  [6801] = 6651,
  [6802] = 6654,
  [6803] = 6803,
  [6804] = 6653,
  [6805] = 6805,
  [6806] = 6706,
  [6807] = 6807,
  [6808] = 6796,
  [6809] = 6654,
  [6810] = 6797,
  [6811] = 6811,
  [6812] = 6743,
  [6813] = 6813,
  [6814] = 6814,
  [6815] = 6815,
  [6816] = 6816,
  [6817] = 6685,
  [6818] = 6687,
  [6819] = 6705,
  [6820] = 6820,
  [6821] = 6667,
  [6822] = 6655,
  [6823] = 6703,
  [6824] = 6705,
  [6825] = 6708,
  [6826] = 6826,
  [6827] = 6670,
  [6828] = 6653,
  [6829] = 6829,
  [6830] = 6655,
  [6831] = 6654,
  [6832] = 6832,
  [6833] = 6650,
  [6834] = 6703,
  [6835] = 6655,
  [6836] = 6658,
  [6837] = 6703,
  [6838] = 6708,
  [6839] = 6839,
  [6840] = 6705,
  [6841] = 6796,
  [6842] = 6797,
  [6843] = 6650,
  [6844] = 6658,
  [6845] = 6650,
  [6846] = 6659,
  [6847] = 6660,
  [6848] = 6661,
  [6849] = 6659,
  [6850] = 6660,
  [6851] = 6743,
  [6852] = 6661,
  [6853] = 6690,
  [6854] = 6762,
  [6855] = 6654,
  [6856] = 6656,
  [6857] = 6743,
  [6858] = 6676,
  [6859] = 6677,
  [6860] = 6663,
  [6861] = 6664,
  [6862] = 6665,
  [6863] = 6668,
  [6864] = 6779,
  [6865] = 6662,
  [6866] = 6866,
  [6867] = 6755,
  [6868] = 6868,
  [6869] = 6708,
  [6870] = 6706,
  [6871] = 6798,
  [6872] = 6872,
  [6873] = 6873,
  [6874] = 6685,
  [6875] = 6687,
  [6876] = 6796,
  [6877] = 6797,
  [6878] = 6686,
  [6879] = 6879,
  [6880] = 6798,
  [6881] = 6799,
  [6882] = 6879,
  [6883] = 6799,
  [6884] = 6670,
  [6885] = 6885,
  [6886] = 6886,
  [6887] = 6887,
  [6888] = 6888,
  [6889] = 6656,
  [6890] = 6755,
  [6891] = 6668,
  [6892] = 6892,
  [6893] = 6760,
  [6894] = 6762,
  [6895] = 6652,
  [6896] = 228,
  [6897] = 6656,
  [6898] = 6898,
  [6899] = 6899,
  [6900] = 6668,
  [6901] = 6779,
  [6902] = 6667,
  [6903] = 6903,
  [6904] = 6658,
  [6905] = 6686,
  [6906] = 6667,
  [6907] = 6676,
  [6908] = 6677,
  [6909] = 6663,
  [6910] = 6664,
  [6911] = 6665,
  [6912] = 6650,
  [6913] = 6798,
  [6914] = 6670,
  [6915] = 6658,
  [6916] = 6662,
  [6917] = 6917,
  [6918] = 6779,
  [6919] = 6653,
  [6920] = 6920,
  [6921] = 6731,
  [6922] = 6755,
  [6923] = 6654,
  [6924] = 6760,
  [6925] = 6686,
  [6926] = 6926,
  [6927] = 6655,
  [6928] = 6928,
  [6929] = 6703,
  [6930] = 6708,
  [6931] = 6779,
  [6932] = 6791,
  [6933] = 6686,
  [6934] = 6650,
  [6935] = 6658,
  [6936] = 6706,
  [6937] = 6659,
  [6938] = 6660,
  [6939] = 6661,
  [6940] = 6779,
  [6941] = 6743,
  [6942] = 6686,
  [6943] = 6943,
  [6944] = 6944,
  [6945] = 6945,
  [6946] = 6659,
  [6947] = 6685,
  [6948] = 6687,
  [6949] = 6660,
  [6950] = 6762,
  [6951] = 6779,
  [6952] = 6659,
  [6953] = 6656,
  [6954] = 6779,
  [6955] = 6661,
  [6956] = 6676,
  [6957] = 6779,
  [6958] = 6779,
  [6959] = 6779,
  [6960] = 6677,
  [6961] = 6663,
  [6962] = 6664,
  [6963] = 6665,
  [6964] = 6964,
  [6965] = 6965,
  [6966] = 6799,
  [6967] = 6762,
  [6968] = 6662,
  [6969] = 6969,
  [6970] = 6970,
  [6971] = 6971,
  [6972] = 6755,
  [6973] = 6690,
  [6974] = 6974,
  [6975] = 6706,
  [6976] = 6976,
  [6977] = 6660,
  [6978] = 6685,
  [6979] = 6687,
  [6980] = 6796,
  [6981] = 6797,
  [6982] = 6798,
  [6983] = 6799,
  [6984] = 6984,
  [6985] = 6796,
  [6986] = 6797,
  [6987] = 6987,
  [6988] = 6743,
  [6989] = 6661,
  [6990] = 6990,
  [6991] = 6798,
  [6992] = 6799,
  [6993] = 6667,
  [6994] = 6994,
  [6995] = 6995,
  [6996] = 6996,
  [6997] = 6997,
  [6998] = 6670,
  [6999] = 6879,
  [7000] = 6676,
  [7001] = 7001,
  [7002] = 6779,
  [7003] = 7003,
  [7004] = 6653,
  [7005] = 7005,
  [7006] = 7006,
  [7007] = 6654,
  [7008] = 6677,
  [7009] = 7009,
  [7010] = 6667,
  [7011] = 6655,
  [7012] = 6703,
  [7013] = 6655,
  [7014] = 6663,
  [7015] = 6708,
  [7016] = 6658,
  [7017] = 6928,
  [7018] = 6659,
  [7019] = 6660,
  [7020] = 6661,
  [7021] = 6743,
  [7022] = 6664,
  [7023] = 6762,
  [7024] = 2290,
  [7025] = 6676,
  [7026] = 6677,
  [7027] = 6663,
  [7028] = 6664,
  [7029] = 6665,
  [7030] = 6662,
  [7031] = 6653,
  [7032] = 6755,
  [7033] = 7033,
  [7034] = 6706,
  [7035] = 7035,
  [7036] = 6685,
  [7037] = 6687,
  [7038] = 6796,
  [7039] = 6797,
  [7040] = 6798,
  [7041] = 6670,
  [7042] = 6791,
  [7043] = 7043,
  [7044] = 6668,
  [7045] = 6667,
  [7046] = 6762,
  [7047] = 6651,
  [7048] = 7048,
  [7049] = 7049,
  [7050] = 7050,
  [7051] = 7051,
  [7052] = 7052,
  [7053] = 7053,
  [7054] = 7054,
  [7055] = 7055,
  [7056] = 2361,
  [7057] = 7057,
  [7058] = 7058,
  [7059] = 7059,
  [7060] = 7055,
  [7061] = 7061,
  [7062] = 7062,
  [7063] = 7063,
  [7064] = 7064,
  [7065] = 7065,
  [7066] = 7066,
  [7067] = 7067,
  [7068] = 7068,
  [7069] = 7069,
  [7070] = 7070,
  [7071] = 7071,
  [7072] = 7072,
  [7073] = 7073,
  [7074] = 7066,
  [7075] = 7057,
  [7076] = 7059,
  [7077] = 7077,
  [7078] = 7078,
  [7079] = 7057,
  [7080] = 7064,
  [7081] = 7081,
  [7082] = 7059,
  [7083] = 7083,
  [7084] = 7084,
  [7085] = 7085,
  [7086] = 7086,
  [7087] = 7055,
  [7088] = 7088,
  [7089] = 7055,
  [7090] = 7078,
  [7091] = 7058,
  [7092] = 7065,
  [7093] = 7050,
  [7094] = 7094,
  [7095] = 7095,
  [7096] = 7096,
  [7097] = 7051,
  [7098] = 7052,
  [7099] = 7061,
  [7100] = 7058,
  [7101] = 7054,
  [7102] = 7065,
  [7103] = 7058,
  [7104] = 7072,
  [7105] = 7073,
  [7106] = 7064,
  [7107] = 7094,
  [7108] = 7066,
  [7109] = 7088,
  [7110] = 2322,
  [7111] = 7052,
  [7112] = 7065,
  [7113] = 7061,
  [7114] = 2327,
  [7115] = 7062,
  [7116] = 7083,
  [7117] = 7053,
  [7118] = 7050,
  [7119] = 7085,
  [7120] = 7120,
  [7121] = 7121,
  [7122] = 7077,
  [7123] = 7067,
  [7124] = 7124,
  [7125] = 7069,
  [7126] = 2323,
  [7127] = 7052,
  [7128] = 7128,
  [7129] = 7129,
  [7130] = 7053,
  [7131] = 7073,
  [7132] = 7132,
  [7133] = 7094,
  [7134] = 7051,
  [7135] = 7050,
  [7136] = 7120,
  [7137] = 7054,
  [7138] = 7083,
  [7139] = 2295,
  [7140] = 7140,
  [7141] = 7053,
  [7142] = 7072,
  [7143] = 7073,
  [7144] = 7144,
  [7145] = 7145,
  [7146] = 7061,
  [7147] = 7147,
  [7148] = 7086,
  [7149] = 7062,
  [7150] = 7150,
  [7151] = 7068,
  [7152] = 7065,
  [7153] = 7072,
  [7154] = 7063,
  [7155] = 7061,
  [7156] = 7145,
  [7157] = 7062,
  [7158] = 7158,
  [7159] = 7159,
  [7160] = 7068,
  [7161] = 7058,
  [7162] = 7067,
  [7163] = 7069,
  [7164] = 7085,
  [7165] = 7049,
  [7166] = 7094,
  [7167] = 7067,
  [7168] = 7054,
  [7169] = 7169,
  [7170] = 7065,
  [7171] = 7072,
  [7172] = 7057,
  [7173] = 7059,
  [7174] = 7066,
  [7175] = 7058,
  [7176] = 7054,
  [7177] = 7063,
  [7178] = 2371,
  [7179] = 7062,
  [7180] = 7058,
  [7181] = 7067,
  [7182] = 7078,
  [7183] = 7069,
  [7184] = 7083,
  [7185] = 7185,
  [7186] = 7068,
  [7187] = 7067,
  [7188] = 7094,
  [7189] = 7077,
  [7190] = 7054,
  [7191] = 7191,
  [7192] = 7072,
  [7193] = 7193,
  [7194] = 7194,
  [7195] = 7069,
  [7196] = 7150,
  [7197] = 7062,
  [7198] = 7070,
  [7199] = 7065,
  [7200] = 7067,
  [7201] = 7068,
  [7202] = 7202,
  [7203] = 7065,
  [7204] = 7058,
  [7205] = 7078,
  [7206] = 7084,
  [7207] = 7094,
  [7208] = 7120,
  [7209] = 7054,
  [7210] = 7065,
  [7211] = 7072,
  [7212] = 7058,
  [7213] = 7062,
  [7214] = 7055,
  [7215] = 7215,
  [7216] = 7086,
  [7217] = 7072,
  [7218] = 7066,
  [7219] = 7120,
  [7220] = 7049,
  [7221] = 7072,
  [7222] = 7185,
  [7223] = 7223,
  [7224] = 7224,
  [7225] = 7225,
  [7226] = 7120,
  [7227] = 7071,
  [7228] = 7085,
  [7229] = 7229,
  [7230] = 7150,
  [7231] = 7124,
  [7232] = 7065,
  [7233] = 7049,
  [7234] = 7234,
  [7235] = 7073,
  [7236] = 7058,
  [7237] = 7124,
  [7238] = 7050,
  [7239] = 7057,
  [7240] = 7057,
  [7241] = 7059,
  [7242] = 7242,
  [7243] = 7053,
  [7244] = 7059,
  [7245] = 7083,
  [7246] = 7246,
  [7247] = 2379,
  [7248] = 7051,
  [7249] = 7249,
  [7250] = 7068,
  [7251] = 7069,
  [7252] = 7065,
  [7253] = 7053,
  [7254] = 7120,
  [7255] = 7255,
  [7256] = 7256,
  [7257] = 7120,
  [7258] = 7055,
  [7259] = 7185,
  [7260] = 7077,
  [7261] = 7070,
  [7262] = 7066,
  [7263] = 7263,
  [7264] = 7264,
  [7265] = 7064,
  [7266] = 7049,
  [7267] = 7058,
  [7268] = 7077,
  [7269] = 7050,
  [7270] = 2310,
  [7271] = 7065,
  [7272] = 7057,
  [7273] = 7059,
  [7274] = 7050,
  [7275] = 7120,
  [7276] = 2380,
  [7277] = 7049,
  [7278] = 7278,
  [7279] = 7049,
  [7280] = 7050,
  [7281] = 7281,
  [7282] = 7150,
  [7283] = 7058,
  [7284] = 7071,
  [7285] = 7285,
  [7286] = 7065,
  [7287] = 7053,
  [7288] = 7070,
  [7289] = 7058,
  [7290] = 7058,
  [7291] = 7185,
  [7292] = 7064,
  [7293] = 7120,
  [7294] = 7068,
  [7295] = 7057,
  [7296] = 7059,
  [7297] = 7065,
  [7298] = 7066,
  [7299] = 7057,
  [7300] = 7150,
  [7301] = 7084,
  [7302] = 7302,
  [7303] = 7071,
  [7304] = 7120,
  [7305] = 7086,
  [7306] = 7059,
  [7307] = 7049,
  [7308] = 7065,
  [7309] = 7088,
  [7310] = 7070,
  [7311] = 7311,
  [7312] = 7057,
  [7313] = 7059,
  [7314] = 7077,
  [7315] = 7065,
  [7316] = 7084,
  [7317] = 7317,
  [7318] = 7070,
  [7319] = 7085,
  [7320] = 7052,
  [7321] = 7055,
  [7322] = 7185,
  [7323] = 7066,
  [7324] = 7070,
  [7325] = 7049,
  [7326] = 7055,
  [7327] = 7055,
  [7328] = 7066,
  [7329] = 7084,
  [7330] = 7066,
  [7331] = 7063,
  [7332] = 7055,
  [7333] = 7085,
  [7334] = 7085,
  [7335] = 7094,
  [7336] = 7078,
  [7337] = 7051,
  [7338] = 7052,
  [7339] = 7242,
  [7340] = 7088,
  [7341] = 7341,
  [7342] = 7054,
  [7343] = 7066,
  [7344] = 7120,
  [7345] = 2349,
  [7346] = 7094,
  [7347] = 7050,
  [7348] = 7057,
  [7349] = 7059,
  [7350] = 7066,
  [7351] = 7058,
  [7352] = 7057,
  [7353] = 7077,
  [7354] = 7124,
  [7355] = 7355,
  [7356] = 7356,
  [7357] = 7357,
  [7358] = 7062,
  [7359] = 7083,
  [7360] = 7059,
  [7361] = 7361,
  [7362] = 7058,
  [7363] = 7242,
  [7364] = 7242,
  [7365] = 7242,
  [7366] = 7242,
  [7367] = 7072,
  [7368] = 7242,
  [7369] = 7369,
  [7370] = 7242,
  [7371] = 7078,
  [7372] = 7242,
  [7373] = 7242,
  [7374] = 7242,
  [7375] = 7242,
  [7376] = 7242,
  [7377] = 7242,
  [7378] = 7242,
  [7379] = 7242,
  [7380] = 7242,
  [7381] = 7073,
  [7382] = 7085,
  [7383] = 7064,
  [7384] = 7120,
  [7385] = 7049,
  [7386] = 7084,
  [7387] = 7387,
  [7388] = 7388,
  [7389] = 7389,
  [7390] = 7390,
  [7391] = 5247,
  [7392] = 7392,
  [7393] = 7393,
  [7394] = 7394,
  [7395] = 7395,
  [7396] = 7396,
  [7397] = 7397,
  [7398] = 7398,
  [7399] = 7399,
  [7400] = 7400,
  [7401] = 7401,
  [7402] = 7402,
  [7403] = 7403,
  [7404] = 7404,
  [7405] = 7405,
  [7406] = 7406,
  [7407] = 7407,
  [7408] = 7408,
  [7409] = 7409,
  [7410] = 7410,
  [7411] = 7394,
  [7412] = 7412,
  [7413] = 7413,
  [7414] = 7414,
  [7415] = 7415,
  [7416] = 7416,
  [7417] = 7404,
  [7418] = 7418,
  [7419] = 7409,
  [7420] = 7420,
  [7421] = 7421,
  [7422] = 7422,
  [7423] = 7423,
  [7424] = 7424,
  [7425] = 7392,
  [7426] = 7426,
  [7427] = 7427,
  [7428] = 7428,
  [7429] = 7415,
  [7430] = 7430,
  [7431] = 7431,
  [7432] = 7415,
  [7433] = 7433,
  [7434] = 7434,
  [7435] = 7428,
  [7436] = 7436,
  [7437] = 7416,
  [7438] = 7423,
  [7439] = 7439,
  [7440] = 7440,
  [7441] = 7441,
  [7442] = 7442,
  [7443] = 7422,
  [7444] = 7444,
  [7445] = 7398,
  [7446] = 7446,
  [7447] = 7447,
  [7448] = 7448,
  [7449] = 7449,
  [7450] = 7389,
  [7451] = 6389,
  [7452] = 7397,
  [7453] = 7399,
  [7454] = 7454,
  [7455] = 7436,
  [7456] = 7456,
  [7457] = 7401,
  [7458] = 7458,
  [7459] = 7400,
  [7460] = 7460,
  [7461] = 7399,
  [7462] = 7462,
  [7463] = 7404,
  [7464] = 7464,
  [7465] = 7398,
  [7466] = 7466,
  [7467] = 7467,
  [7468] = 7468,
  [7469] = 7469,
  [7470] = 7470,
  [7471] = 7402,
  [7472] = 7472,
  [7473] = 7473,
  [7474] = 7474,
  [7475] = 7440,
  [7476] = 7476,
  [7477] = 7477,
  [7478] = 7478,
  [7479] = 7479,
  [7480] = 7468,
  [7481] = 7481,
  [7482] = 7482,
  [7483] = 7396,
  [7484] = 7423,
  [7485] = 7485,
  [7486] = 7486,
  [7487] = 7487,
  [7488] = 7488,
  [7489] = 7409,
  [7490] = 7477,
  [7491] = 7491,
  [7492] = 7412,
  [7493] = 7493,
  [7494] = 7494,
  [7495] = 7495,
  [7496] = 7496,
  [7497] = 7497,
  [7498] = 7470,
  [7499] = 7499,
  [7500] = 7408,
  [7501] = 7402,
  [7502] = 7390,
  [7503] = 7494,
  [7504] = 7504,
  [7505] = 7454,
  [7506] = 7413,
  [7507] = 7413,
  [7508] = 7454,
  [7509] = 7420,
  [7510] = 7510,
  [7511] = 7511,
  [7512] = 7512,
  [7513] = 7412,
  [7514] = 7398,
  [7515] = 7515,
  [7516] = 7447,
  [7517] = 5300,
  [7518] = 7518,
  [7519] = 7482,
  [7520] = 7413,
  [7521] = 7414,
  [7522] = 7412,
  [7523] = 7413,
  [7524] = 7414,
  [7525] = 7511,
  [7526] = 7526,
  [7527] = 7426,
  [7528] = 7528,
  [7529] = 7529,
  [7530] = 7530,
  [7531] = 7421,
  [7532] = 7400,
  [7533] = 7533,
  [7534] = 7418,
  [7535] = 7535,
  [7536] = 7421,
  [7537] = 7401,
  [7538] = 7538,
  [7539] = 7407,
  [7540] = 7540,
  [7541] = 7426,
  [7542] = 7462,
  [7543] = 7440,
  [7544] = 7544,
  [7545] = 7428,
  [7546] = 7400,
  [7547] = 7448,
  [7548] = 7512,
  [7549] = 7389,
  [7550] = 7550,
  [7551] = 7423,
  [7552] = 7400,
  [7553] = 7427,
  [7554] = 7449,
  [7555] = 7399,
  [7556] = 7467,
  [7557] = 7476,
  [7558] = 7400,
  [7559] = 7482,
  [7560] = 7472,
  [7561] = 7481,
  [7562] = 7486,
  [7563] = 7494,
  [7564] = 7420,
  [7565] = 7396,
  [7566] = 7409,
  [7567] = 7526,
  [7568] = 7493,
  [7569] = 7569,
  [7570] = 7570,
  [7571] = 7571,
  [7572] = 7415,
  [7573] = 7495,
  [7574] = 7415,
  [7575] = 7397,
  [7576] = 7418,
  [7577] = 7510,
  [7578] = 7399,
  [7579] = 7570,
  [7580] = 7428,
  [7581] = 7581,
  [7582] = 7396,
  [7583] = 7398,
  [7584] = 7584,
  [7585] = 7585,
  [7586] = 7407,
  [7587] = 7587,
  [7588] = 7526,
  [7589] = 7570,
  [7590] = 7414,
  [7591] = 7494,
  [7592] = 7428,
  [7593] = 7593,
  [7594] = 7526,
  [7595] = 7395,
  [7596] = 7421,
  [7597] = 7597,
  [7598] = 7598,
  [7599] = 7599,
  [7600] = 7600,
  [7601] = 7418,
  [7602] = 7482,
  [7603] = 7603,
  [7604] = 7604,
  [7605] = 7440,
  [7606] = 7606,
  [7607] = 7607,
  [7608] = 7448,
  [7609] = 7440,
  [7610] = 7389,
  [7611] = 7611,
  [7612] = 7476,
  [7613] = 7418,
  [7614] = 7418,
  [7615] = 7615,
  [7616] = 7449,
  [7617] = 7550,
  [7618] = 7618,
  [7619] = 7493,
  [7620] = 7402,
  [7621] = 7621,
  [7622] = 7433,
  [7623] = 7550,
  [7624] = 7624,
  [7625] = 7603,
  [7626] = 7626,
  [7627] = 7400,
  [7628] = 7604,
  [7629] = 7511,
  [7630] = 7530,
  [7631] = 7399,
  [7632] = 7416,
  [7633] = 7398,
  [7634] = 7634,
  [7635] = 7635,
  [7636] = 7593,
  [7637] = 7396,
  [7638] = 7468,
  [7639] = 7414,
  [7640] = 7427,
  [7641] = 7448,
  [7642] = 7642,
  [7643] = 7643,
  [7644] = 7644,
  [7645] = 7421,
  [7646] = 7468,
  [7647] = 7423,
  [7648] = 7389,
  [7649] = 7649,
  [7650] = 7392,
  [7651] = 7399,
  [7652] = 7494,
  [7653] = 7495,
  [7654] = 7440,
  [7655] = 7499,
  [7656] = 7396,
  [7657] = 7448,
  [7658] = 7495,
  [7659] = 7389,
  [7660] = 7660,
  [7661] = 7476,
  [7662] = 7390,
  [7663] = 7494,
  [7664] = 7495,
  [7665] = 7400,
  [7666] = 7467,
  [7667] = 7472,
  [7668] = 7392,
  [7669] = 7481,
  [7670] = 7670,
  [7671] = 7570,
  [7672] = 7535,
  [7673] = 7415,
  [7674] = 7674,
  [7675] = 7675,
  [7676] = 7398,
  [7677] = 7499,
  [7678] = 7510,
  [7679] = 7679,
  [7680] = 7420,
  [7681] = 7439,
  [7682] = 7390,
  [7683] = 7526,
  [7684] = 7499,
  [7685] = 7421,
  [7686] = 7439,
  [7687] = 7442,
  [7688] = 7390,
  [7689] = 7416,
  [7690] = 7407,
  [7691] = 7691,
  [7692] = 7414,
  [7693] = 7482,
  [7694] = 7448,
  [7695] = 7695,
  [7696] = 7389,
  [7697] = 7499,
  [7698] = 7698,
  [7699] = 7444,
  [7700] = 7700,
  [7701] = 7701,
  [7702] = 7393,
  [7703] = 7398,
  [7704] = 7526,
  [7705] = 7399,
  [7706] = 7511,
  [7707] = 7421,
  [7708] = 7402,
  [7709] = 7478,
  [7710] = 7389,
  [7711] = 7512,
  [7712] = 7599,
  [7713] = 7395,
  [7714] = 7390,
  [7715] = 7398,
  [7716] = 7716,
  [7717] = 7447,
  [7718] = 7421,
  [7719] = 7603,
  [7720] = 7389,
  [7721] = 7604,
  [7722] = 7394,
  [7723] = 7406,
  [7724] = 7398,
  [7725] = 7421,
  [7726] = 7389,
  [7727] = 7422,
  [7728] = 7421,
  [7729] = 7389,
  [7730] = 7730,
  [7731] = 7421,
  [7732] = 7389,
  [7733] = 7421,
  [7734] = 7389,
  [7735] = 7421,
  [7736] = 7389,
  [7737] = 7421,
  [7738] = 7389,
  [7739] = 7421,
  [7740] = 7389,
  [7741] = 7421,
  [7742] = 7389,
  [7743] = 7407,
  [7744] = 7499,
  [7745] = 7418,
  [7746] = 7746,
  [7747] = 7698,
  [7748] = 7528,
  [7749] = 7749,
  [7750] = 7504,
  [7751] = 7512,
  [7752] = 7400,
  [7753] = 7607,
  [7754] = 7426,
  [7755] = 7598,
  [7756] = 7408,
  [7757] = 7540,
  [7758] = 7462,
  [7759] = 7494,
  [7760] = 7392,
  [7761] = 7511,
  [7762] = 7400,
  [7763] = 7427,
  [7764] = 7764,
  [7765] = 7765,
  [7766] = 7766,
  [7767] = 7436,
  [7768] = 7530,
  [7769] = 7769,
  [7770] = 7587,
  [7771] = 7526,
  [7772] = 7772,
  [7773] = 7399,
  [7774] = 7396,
  [7775] = 7447,
  [7776] = 7776,
  [7777] = 7772,
  [7778] = 7778,
  [7779] = 7776,
  [7780] = 7764,
  [7781] = 7698,
  [7782] = 7493,
  [7783] = 7409,
  [7784] = 7394,
  [7785] = 7785,
  [7786] = 7786,
  [7787] = 7416,
  [7788] = 7404,
  [7789] = 7427,
  [7790] = 7482,
  [7791] = 7392,
  [7792] = 7428,
  [7793] = 7793,
  [7794] = 7511,
  [7795] = 7785,
  [7796] = 7603,
  [7797] = 7604,
  [7798] = 7397,
  [7799] = 7399,
  [7800] = 7415,
  [7801] = 7769,
  [7802] = 7802,
  [7803] = 7401,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 7412,
  [7807] = 7413,
  [7808] = 7511,
  [7809] = 7404,
  [7810] = 7467,
  [7811] = 7472,
  [7812] = 7544,
  [7813] = 7481,
  [7814] = 7814,
  [7815] = 7815,
  [7816] = 7530,
  [7817] = 7485,
  [7818] = 7818,
  [7819] = 7392,
  [7820] = 7526,
  [7821] = 7821,
  [7822] = 7822,
  [7823] = 7769,
  [7824] = 7824,
  [7825] = 7570,
  [7826] = 7826,
  [7827] = 7397,
  [7828] = 7399,
  [7829] = 7479,
  [7830] = 7830,
  [7831] = 7570,
  [7832] = 7405,
  [7833] = 7833,
  [7834] = 7570,
  [7835] = 7410,
  [7836] = 7836,
  [7837] = 7431,
  [7838] = 7441,
  [7839] = 7839,
  [7840] = 7401,
  [7841] = 7841,
  [7842] = 7423,
  [7843] = 7814,
  [7844] = 7396,
  [7845] = 7494,
  [7846] = 7495,
  [7847] = 7499,
  [7848] = 7390,
  [7849] = 7393,
  [7850] = 7406,
  [7851] = 7603,
  [7852] = 7404,
  [7853] = 7853,
  [7854] = 7604,
  [7855] = 7855,
  [7856] = 7427,
  [7857] = 7400,
  [7858] = 7858,
  [7859] = 7859,
  [7860] = 7860,
  [7861] = 7399,
  [7862] = 7862,
  [7863] = 7418,
  [7864] = 7526,
  [7865] = 7402,
  [7866] = 7866,
  [7867] = 7867,
  [7868] = 7821,
  [7869] = 7869,
  [7870] = 7818,
  [7871] = 7871,
  [7872] = 7872,
  [7873] = 7427,
  [7874] = 7478,
  [7875] = 7875,
  [7876] = 7821,
  [7877] = 7402,
  [7878] = 7878,
  [7879] = 7422,
  [7880] = 7880,
  [7881] = 7415,
  [7882] = 7415,
  [7883] = 7593,
  [7884] = 7884,
  [7885] = 7511,
  [7886] = 7530,
  [7887] = 7887,
  [7888] = 7400,
  [7889] = 7448,
  [7890] = 7468,
  [7891] = 7399,
  [7892] = 7428,
  [7893] = 7396,
  [7894] = 7454,
  [7895] = 7599,
  [7896] = 7896,
  [7897] = 7397,
  [7898] = 7495,
  [7899] = 7899,
  [7900] = 7468,
  [7901] = 7449,
  [7902] = 7511,
  [7903] = 7526,
  [7904] = 5280,
  [7905] = 7399,
  [7906] = 7476,
  [7907] = 7830,
  [7908] = 7477,
  [7909] = 7909,
  [7910] = 7447,
  [7911] = 7911,
  [7912] = 7418,
  [7913] = 7439,
  [7914] = 7778,
  [7915] = 7390,
  [7916] = 7916,
  [7917] = 7749,
  [7918] = 7442,
  [7919] = 7418,
  [7920] = 7426,
  [7921] = 7400,
  [7922] = 7922,
  [7923] = 7467,
  [7924] = 7746,
  [7925] = 7749,
  [7926] = 7504,
  [7927] = 7607,
  [7928] = 7394,
  [7929] = 7598,
  [7930] = 7472,
  [7931] = 7494,
  [7932] = 7481,
  [7933] = 7511,
  [7934] = 7587,
  [7935] = 7422,
  [7936] = 7772,
  [7937] = 7937,
  [7938] = 7420,
  [7939] = 7570,
  [7940] = 7778,
  [7941] = 7776,
  [7942] = 7409,
  [7943] = 7396,
  [7944] = 7511,
  [7945] = 7785,
  [7946] = 1604,
  [7947] = 7486,
  [7948] = 7415,
  [7949] = 7544,
  [7950] = 7485,
  [7951] = 7468,
  [7952] = 7478,
  [7953] = 7746,
  [7954] = 7749,
  [7955] = 7607,
  [7956] = 7786,
  [7957] = 7598,
  [7958] = 7439,
  [7959] = 7959,
  [7960] = 7587,
  [7961] = 7603,
  [7962] = 7772,
  [7963] = 7395,
  [7964] = 7916,
  [7965] = 7778,
  [7966] = 7776,
  [7967] = 7785,
  [7968] = 7467,
  [7969] = 7472,
  [7970] = 7481,
  [7971] = 7544,
  [7972] = 7485,
  [7973] = 7535,
  [7974] = 7746,
  [7975] = 7749,
  [7976] = 7607,
  [7977] = 7570,
  [7978] = 7598,
  [7979] = 7979,
  [7980] = 7415,
  [7981] = 7587,
  [7982] = 7772,
  [7983] = 7442,
  [7984] = 7392,
  [7985] = 7778,
  [7986] = 7776,
  [7987] = 7785,
  [7988] = 7593,
  [7989] = 7439,
  [7990] = 7439,
  [7991] = 7544,
  [7992] = 7485,
  [7993] = 7444,
  [7994] = 7746,
  [7995] = 7749,
  [7996] = 7607,
  [7997] = 7997,
  [7998] = 7598,
  [7999] = 7476,
  [8000] = 7467,
  [8001] = 7772,
  [8002] = 8002,
  [8003] = 7402,
  [8004] = 7778,
  [8005] = 7776,
  [8006] = 7785,
  [8007] = 7478,
  [8008] = 7472,
  [8009] = 7481,
  [8010] = 7544,
  [8011] = 7485,
  [8012] = 7405,
  [8013] = 7746,
  [8014] = 7540,
  [8015] = 7598,
  [8016] = 7409,
  [8017] = 7444,
  [8018] = 7399,
  [8019] = 7540,
  [8020] = 7778,
  [8021] = 7776,
  [8022] = 7599,
  [8023] = 7426,
  [8024] = 7462,
  [8025] = 7544,
  [8026] = 8026,
  [8027] = 7746,
  [8028] = 7598,
  [8029] = 7400,
  [8030] = 7776,
  [8031] = 7486,
  [8032] = 7426,
  [8033] = 7544,
  [8034] = 7402,
  [8035] = 7746,
  [8036] = 7598,
  [8037] = 7478,
  [8038] = 7776,
  [8039] = 7746,
  [8040] = 7544,
  [8041] = 7746,
  [8042] = 7598,
  [8043] = 7776,
  [8044] = 7544,
  [8045] = 7776,
  [8046] = 7544,
  [8047] = 7776,
  [8048] = 7544,
  [8049] = 7776,
  [8050] = 7544,
  [8051] = 7776,
  [8052] = 7544,
  [8053] = 7776,
  [8054] = 7544,
  [8055] = 7776,
  [8056] = 7544,
  [8057] = 7776,
  [8058] = 7544,
  [8059] = 8059,
  [8060] = 8060,
  [8061] = 7504,
  [8062] = 8062,
  [8063] = 7911,
  [8064] = 7426,
  [8065] = 7462,
  [8066] = 7511,
  [8067] = 7454,
  [8068] = 7447,
  [8069] = 8069,
  [8070] = 7400,
  [8071] = 8071,
  [8072] = 8072,
  [8073] = 7392,
  [8074] = 7412,
  [8075] = 7421,
  [8076] = 7493,
  [8077] = 7814,
  [8078] = 7793,
  [8079] = 7909,
  [8080] = 7476,
  [8081] = 8081,
  [8082] = 8082,
  [8083] = 7397,
  [8084] = 7399,
  [8085] = 7401,
  [8086] = 7477,
  [8087] = 7404,
  [8088] = 7426,
  [8089] = 7462,
  [8090] = 7512,
  [8091] = 7830,
  [8092] = 8092,
  [8093] = 8093,
  [8094] = 8094,
  [8095] = 8095,
  [8096] = 8096,
  [8097] = 8097,
  [8098] = 5290,
  [8099] = 7570,
  [8100] = 8100,
  [8101] = 7462,
  [8102] = 7494,
  [8103] = 8103,
  [8104] = 8104,
  [8105] = 7593,
  [8106] = 8106,
  [8107] = 8107,
  [8108] = 8108,
  [8109] = 7415,
  [8110] = 7400,
  [8111] = 7395,
  [8112] = 8112,
  [8113] = 7599,
  [8114] = 7479,
  [8115] = 7478,
  [8116] = 8116,
  [8117] = 8117,
  [8118] = 8118,
  [8119] = 8119,
  [8120] = 1603,
  [8121] = 7604,
  [8122] = 8122,
  [8123] = 8123,
  [8124] = 8124,
  [8125] = 8062,
  [8126] = 8126,
  [8127] = 8127,
  [8128] = 8128,
  [8129] = 8129,
  [8130] = 8130,
  [8131] = 8131,
  [8132] = 8132,
  [8133] = 8133,
  [8134] = 8134,
  [8135] = 8135,
  [8136] = 8136,
  [8137] = 7486,
  [8138] = 7415,
  [8139] = 8139,
  [8140] = 8140,
  [8141] = 7504,
  [8142] = 8062,
  [8143] = 7911,
  [8144] = 7494,
  [8145] = 8145,
  [8146] = 8146,
  [8147] = 7793,
  [8148] = 7909,
  [8149] = 8149,
  [8150] = 7494,
  [8151] = 7423,
  [8152] = 7504,
  [8153] = 8062,
  [8154] = 7911,
  [8155] = 8155,
  [8156] = 8156,
  [8157] = 7793,
  [8158] = 7909,
  [8159] = 8159,
  [8160] = 8160,
  [8161] = 7495,
  [8162] = 8062,
  [8163] = 7911,
  [8164] = 7495,
  [8165] = 7473,
  [8166] = 7793,
  [8167] = 7909,
  [8168] = 7499,
  [8169] = 7390,
  [8170] = 8062,
  [8171] = 7911,
  [8172] = 7473,
  [8173] = 7433,
  [8174] = 7793,
  [8175] = 7909,
  [8176] = 7818,
  [8177] = 8177,
  [8178] = 8062,
  [8179] = 7911,
  [8180] = 7410,
  [8181] = 7793,
  [8182] = 7909,
  [8183] = 7493,
  [8184] = 7764,
  [8185] = 7793,
  [8186] = 7909,
  [8187] = 7400,
  [8188] = 7597,
  [8189] = 7909,
  [8190] = 7494,
  [8191] = 7909,
  [8192] = 7431,
  [8193] = 7909,
  [8194] = 7441,
  [8195] = 7909,
  [8196] = 7512,
  [8197] = 7909,
  [8198] = 7401,
  [8199] = 7909,
  [8200] = 7399,
  [8201] = 7909,
  [8202] = 7511,
  [8203] = 7909,
  [8204] = 7433,
  [8205] = 7909,
  [8206] = 7670,
  [8207] = 8207,
  [8208] = 7402,
  [8209] = 7670,
  [8210] = 8207,
  [8211] = 8211,
  [8212] = 7670,
  [8213] = 8207,
  [8214] = 7420,
  [8215] = 7670,
  [8216] = 8207,
  [8217] = 7979,
  [8218] = 7670,
  [8219] = 8207,
  [8220] = 7473,
  [8221] = 8207,
  [8222] = 8207,
  [8223] = 8207,
  [8224] = 8207,
  [8225] = 8207,
  [8226] = 8207,
  [8227] = 8207,
  [8228] = 8207,
  [8229] = 8207,
  [8230] = 8207,
  [8231] = 8207,
  [8232] = 7530,
  [8233] = 7499,
  [8234] = 8207,
  [8235] = 7793,
  [8236] = 7416,
  [8237] = 7675,
  [8238] = 7675,
  [8239] = 7675,
  [8240] = 7675,
  [8241] = 7675,
  [8242] = 8242,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(336);
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 283,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 340,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 406,
        '.', 487,
        '/', 425,
        '0', 637,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 2,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(334);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(161);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(161);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(170);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(170);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(169);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(169);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(172);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(172);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(171);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(171);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(173);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(173);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(164);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(164);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(174);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(174);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(165);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(165);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(206);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(206);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(167);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(167);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(186);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(186);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(182);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(182);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(175);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(175);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(193);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(193);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(192);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(192);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(183);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(183);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(187);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(187);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(177);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(177);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(194);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(194);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(207);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(207);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(202);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(202);
      if (lookahead == '\r') SKIP(49);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(214);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(214);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(201);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(201);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(184);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(184);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(59);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(188);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(188);
      if (lookahead == '\r') SKIP(61);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(63);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(228);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(228);
      if (lookahead == '\r') SKIP(65);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(200);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(200);
      if (lookahead == '\r') SKIP(67);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(69);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(210);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(210);
      if (lookahead == '\r') SKIP(71);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(180);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(180);
      if (lookahead == '\r') SKIP(73);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(231);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(231);
      if (lookahead == '\r') SKIP(75);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(168);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(168);
      if (lookahead == '\r') SKIP(77);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(79);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(242);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(242);
      if (lookahead == '\r') SKIP(81);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(83);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(216);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(216);
      if (lookahead == '\r') SKIP(85);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(209);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(209);
      if (lookahead == '\r') SKIP(87);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(243);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(243);
      if (lookahead == '\r') SKIP(89);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(91);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(241);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\r') SKIP(93);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(248);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(248);
      if (lookahead == '\r') SKIP(95);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(99);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(99);
      if (lookahead == '\r') SKIP(97);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '\n', 345,
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 415,
        '-', 405,
        '/', 424,
        '<', 450,
        '=', 271,
        '>', 441,
      );
      if (lookahead == '\\') SKIP(98);
      if (lookahead == '^') ADVANCE(433);
      if (lookahead == '|') ADVANCE(432);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(176);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(176);
      if (lookahead == '\r') SKIP(100);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(232);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(232);
      if (lookahead == '\r') SKIP(102);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(247);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(247);
      if (lookahead == '\r') SKIP(104);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(233);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '\r') SKIP(106);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(234);
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '/') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(526);
      if (lookahead != 0) ADVANCE(527);
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(529);
      if (lookahead == '\r') ADVANCE(528);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      if (lookahead == 'x') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(531);
      if (lookahead != 0) ADVANCE(528);
      END_STATE();
    case 110:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead == '(') ADVANCE(340);
      if (lookahead == '/') ADVANCE(366);
      if (lookahead == '\\') ADVANCE(361);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead == '/') ADVANCE(366);
      if (lookahead == '\\') ADVANCE(361);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 112:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '\r') ADVANCE(113);
      if (lookahead == '(') ADVANCE(401);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 113:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '(') ADVANCE(401);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 114:
      if (lookahead == '\n') ADVANCE(338);
      if (lookahead == '/') ADVANCE(366);
      if (lookahead == '\\') ADVANCE(361);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(244);
      if (lookahead == '\'') ADVANCE(513);
      if (lookahead == '/') ADVANCE(516);
      if (lookahead == '\\') ADVANCE(515);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(517);
      if (lookahead != 0) ADVANCE(514);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(249);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(249);
      if (lookahead == '\r') SKIP(116);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(162);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(162);
      if (lookahead == '\r') SKIP(118);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(166);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(166);
      if (lookahead == '\r') SKIP(120);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(178);
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(178);
      if (lookahead == '\r') SKIP(122);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(196);
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(196);
      if (lookahead == '\r') SKIP(124);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(197);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(197);
      if (lookahead == '\r') SKIP(126);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(208);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(208);
      if (lookahead == '\r') SKIP(128);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(130);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(190);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(190);
      if (lookahead == '\r') SKIP(132);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(218);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(218);
      if (lookahead == '\r') SKIP(134);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(199);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(199);
      if (lookahead == '\r') SKIP(136);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(215);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(215);
      if (lookahead == '\r') SKIP(138);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(220);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(220);
      if (lookahead == '\r') SKIP(140);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(142);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(163);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(163);
      if (lookahead == '\r') SKIP(144);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(203);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(203);
      if (lookahead == '\r') SKIP(146);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(205);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(205);
      if (lookahead == '\r') SKIP(148);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(226);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(226);
      if (lookahead == '\r') SKIP(150);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(221);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(221);
      if (lookahead == '\r') SKIP(152);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(213);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(213);
      if (lookahead == '\r') SKIP(154);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(195);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(195);
      if (lookahead == '\r') SKIP(156);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(230);
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(230);
      if (lookahead == '\r') SKIP(158);
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 160:
      if (lookahead == '\r') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(628);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 283,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 406,
        '.', 487,
        '/', 425,
        '0', 637,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 2,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 292,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 407,
        '.', 487,
        '/', 425,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 119,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 292,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 408,
        '.', 487,
        '/', 424,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 145,
        ']', 465,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 432,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 406,
        '.', 487,
        '/', 425,
        '0', 495,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 14,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 407,
        '.', 487,
        '/', 425,
        '0', 495,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 18,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 401,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 408,
        '.', 487,
        '/', 424,
        '0', 495,
        ':', 268,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 121,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 432,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '!', 403,
        '"', 235,
        '%', 427,
        '&', 437,
        '(', 250,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '/', 425,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 442,
        '[', 280,
        '\\', 26,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '!', 403,
        '"', 235,
        '%', 427,
        '&', 437,
        '(', 250,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '[', 281,
        '\\', 78,
        '^', 434,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 283,
        '&', 436,
        '\'', 513,
        '(', 401,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 312,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 455,
        '<', 269,
        '>', 440,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 6,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 430,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 287,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 489,
        '/', 424,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 4,
        ']', 282,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 306,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 291,
        '&', 435,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        '-', 409,
        '.', 258,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 455,
        '>', 274,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 10,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 285,
        '&', 436,
        '\'', 513,
        '(', 401,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 312,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 455,
        '>', 272,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 8,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '&', 436,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 488,
        '/', 252,
        '0', 495,
        ':', 268,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 12,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '&', 435,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 488,
        '/', 252,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 16,
        ']', 465,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '&', 435,
        '\'', 513,
        '(', 401,
        '*', 422,
        '+', 418,
        '-', 409,
        '.', 312,
        '/', 252,
        '0', 637,
        ':', 268,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 461,
        '\\', 32,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '!', 402,
        '\'', 513,
        '(', 401,
        ')', 343,
        '+', 420,
        '-', 413,
        '.', 312,
        '/', 252,
        '0', 495,
        'L', 554,
        'U', 555,
        '\\', 101,
        'u', 556,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 44,
        ']', 465,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 123,
        ']', 465,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 123,
        ']', 465,
        '^', 434,
        'u', 650,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 74,
        ']', 465,
        '^', 433,
        'u', 544,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 74,
        ']', 465,
        '^', 433,
        'u', 650,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 30,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 38,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 58,
        '^', 434,
        'u', 544,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 58,
        '^', 434,
        'u', 650,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 462,
        '\\', 28,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 268,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 42,
        '^', 434,
        'u', 544,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 62,
        '^', 434,
        'u', 544,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 62,
        '^', 434,
        'u', 650,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        'L', 537,
        'R', 539,
        'U', 541,
        '[', 461,
        '\\', 133,
        '^', 433,
        'u', 544,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '!', 270,
        '"', 522,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        'L', 647,
        'R', 648,
        'U', 649,
        '[', 461,
        '\\', 133,
        '^', 433,
        'u', 650,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '!', 270,
        '#', 303,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 268,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 462,
        '\\', 36,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '0', 636,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 462,
        '\\', 34,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 46,
        ']', 465,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 462,
        '\\', 157,
        ']', 465,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 125,
        ']', 465,
        '^', 434,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 127,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 137,
        ']', 465,
        '^', 434,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 137,
        ']', 465,
        '^', 434,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 464,
        '\\', 68,
        ']', 465,
        '^', 434,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 471,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 56,
        ']', 465,
        '^', 433,
        '{', 459,
        '|', 432,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 50,
        ']', 465,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 147,
        ']', 465,
        '^', 433,
        '{', 459,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 149,
        ']', 465,
        '^', 433,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '!', 270,
        '#', 292,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 149,
        ']', 465,
        '^', 433,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '!', 270,
        '#', 286,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 415,
        ',', 342,
        '-', 405,
        '/', 424,
        ':', 268,
        ';', 455,
        '<', 450,
        '=', 271,
        '>', 441,
        '[', 462,
        '\\', 22,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '|', 432,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 48,
        '^', 434,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        ':', 470,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 129,
        '^', 434,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 463,
        '\\', 88,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 72,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 143,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 461,
        '\\', 143,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 410,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 464,
        '\\', 155,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 471,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 52,
        '^', 434,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ':', 470,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 139,
        '^', 434,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 442,
        '?', 472,
        '[', 463,
        '\\', 86,
        '^', 434,
        '|', 431,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 462,
        '\\', 80,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 135,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 141,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 141,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '(', 401,
        '*', 423,
        '+', 419,
        ',', 342,
        '-', 411,
        '.', 486,
        '/', 425,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        '[', 464,
        '\\', 153,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '!', 270,
        '%', 427,
        '&', 437,
        '*', 423,
        '+', 421,
        ',', 342,
        '-', 414,
        '.', 251,
        '/', 425,
        '<', 448,
        '=', 467,
        '>', 442,
        '\\', 92,
        '^', 434,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 471,
        ';', 455,
        '<', 449,
        '=', 467,
        '>', 441,
        '?', 472,
        '[', 462,
        '\\', 40,
        '^', 433,
        '{', 459,
        '|', 432,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 471,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 54,
        ']', 465,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 268,
        ';', 455,
        '<', 449,
        '=', 271,
        '>', 441,
        '?', 472,
        '[', 461,
        '\\', 131,
        ']', 282,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 432,
        '}', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 471,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 151,
        '^', 433,
        '{', 459,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        ':', 470,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 70,
        '^', 433,
        '{', 459,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 66,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 159,
        '^', 433,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '!', 270,
        '%', 426,
        '&', 436,
        '(', 401,
        '*', 422,
        '+', 416,
        ',', 342,
        '-', 412,
        '.', 486,
        '/', 424,
        '<', 449,
        '=', 271,
        '>', 635,
        '?', 472,
        '[', 461,
        '\\', 159,
        '^', 433,
        '|', 432,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '"', 522,
        '&', 436,
        '(', 401,
        '*', 422,
        '/', 252,
        ':', 268,
        'L', 538,
        'U', 542,
        '[', 462,
        '\\', 76,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 545,
        'v', 605,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '"', 522,
        ')', 343,
        ',', 342,
        '/', 252,
        ':', 470,
        'L', 537,
        'R', 539,
        'U', 541,
        '\\', 103,
        'u', 544,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 233:
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '<') ADVANCE(276);
      if (lookahead == 'L') ADVANCE(538);
      if (lookahead == 'U') ADVANCE(542);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead == 'u') ADVANCE(546);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 234:
      if (lookahead == '"') ADVANCE(522);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      END_STATE();
    case 235:
      if (lookahead == '"') ADVANCE(646);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '#', 288,
        '&', 436,
        '(', 401,
        '*', 422,
        ',', 342,
        '/', 252,
        ':', 268,
        ';', 455,
        '[', 462,
        '\\', 24,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '#', 292,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 461,
        '\\', 60,
        '{', 459,
        '|', 306,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '#', 284,
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 415,
        ',', 342,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 462,
        '\\', 20,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
        '|', 306,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 462,
        '\\', 64,
        '{', 459,
        '|', 306,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '-', 275,
        '.', 257,
        '/', 252,
        ':', 470,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 462,
        '\\', 84,
        '{', 459,
        '|', 306,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '.', 257,
        '/', 252,
        ':', 470,
        ';', 455,
        '=', 466,
        '>', 635,
        '[', 461,
        '\\', 94,
        '{', 459,
        '|', 306,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '/', 252,
        ':', 470,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 462,
        '\\', 82,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '&', 436,
        '(', 401,
        ')', 343,
        '*', 422,
        ',', 342,
        '/', 252,
        ';', 455,
        '=', 466,
        '>', 635,
        '[', 461,
        '\\', 90,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 600,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        'u', 593,
        'v', 605,
        '{', 459,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 244:
      if (lookahead == '\'') ADVANCE(513);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(109);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      END_STATE();
    case 245:
      if (lookahead == '\'') ADVANCE(317);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 246:
      if (lookahead == '\'') ADVANCE(313);
      if (lookahead == '.') ADVANCE(502);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 247:
      ADVANCE_MAP(
        '(', 401,
        ')', 343,
        ',', 342,
        '/', 252,
        ':', 470,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        '[', 463,
        '\\', 105,
        '{', 459,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 248:
      ADVANCE_MAP(
        '(', 401,
        '/', 252,
        ':', 268,
        'F', 562,
        'T', 566,
        '[', 461,
        '\\', 96,
        'f', 572,
        't', 613,
        '{', 459,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 249:
      if (lookahead == '(') ADVANCE(401);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '\\') SKIP(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 250:
      if (lookahead == ')') ADVANCE(644);
      END_STATE();
    case 251:
      if (lookahead == '*') ADVANCE(490);
      END_STATE();
    case 252:
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      END_STATE();
    case 253:
      if (lookahead == '*') ADVANCE(643);
      END_STATE();
    case 254:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead == '/') ADVANCE(626);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 255:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead != 0) ADVANCE(255);
      END_STATE();
    case 256:
      if (lookahead == '*') ADVANCE(254);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 257:
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 258:
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 259:
      if (lookahead == '.') ADVANCE(341);
      END_STATE();
    case 260:
      if (lookahead == '.') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 261:
      if (lookahead == '/') ADVANCE(366);
      if (lookahead == '\\') ADVANCE(361);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 262:
      if (lookahead == '1') ADVANCE(266);
      END_STATE();
    case 263:
      if (lookahead == '2') ADVANCE(493);
      END_STATE();
    case 264:
      if (lookahead == '2') ADVANCE(267);
      if (lookahead == '6') ADVANCE(493);
      END_STATE();
    case 265:
      if (lookahead == '4') ADVANCE(493);
      END_STATE();
    case 266:
      if (lookahead == '6') ADVANCE(493);
      END_STATE();
    case 267:
      if (lookahead == '8') ADVANCE(493);
      END_STATE();
    case 268:
      if (lookahead == ':') ADVANCE(456);
      END_STATE();
    case 269:
      if (lookahead == '<') ADVANCE(451);
      if (lookahead == '=') ADVANCE(444);
      END_STATE();
    case 270:
      if (lookahead == '=') ADVANCE(439);
      END_STATE();
    case 271:
      if (lookahead == '=') ADVANCE(438);
      END_STATE();
    case 272:
      if (lookahead == '=') ADVANCE(443);
      if (lookahead == '>') ADVANCE(453);
      END_STATE();
    case 273:
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 274:
      if (lookahead == '>') ADVANCE(273);
      END_STATE();
    case 275:
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 276:
      if (lookahead == '>') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 277:
      if (lookahead == '>') ADVANCE(533);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 278:
      if (lookahead == 'F') ADVANCE(262);
      END_STATE();
    case 279:
      if (lookahead == 'U') ADVANCE(331);
      if (lookahead == 'u') ADVANCE(323);
      END_STATE();
    case 280:
      if (lookahead == '[') ADVANCE(457);
      if (lookahead == ']') ADVANCE(645);
      END_STATE();
    case 281:
      if (lookahead == ']') ADVANCE(645);
      END_STATE();
    case 282:
      if (lookahead == ']') ADVANCE(458);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'e') ADVANCE(395);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'e') ADVANCE(395);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 285:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'e') ADVANCE(397);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 286:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'e') ADVANCE(397);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 287:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(383);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(288);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 289:
      if (lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 290:
      if (lookahead == 'd') ADVANCE(295);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(305);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(291);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(304);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(292);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 296:
      if (lookahead == 'f') ADVANCE(262);
      END_STATE();
    case 297:
      if (lookahead == 'f') ADVANCE(346);
      END_STATE();
    case 298:
      if (lookahead == 'f') ADVANCE(352);
      END_STATE();
    case 299:
      if (lookahead == 'f') ADVANCE(354);
      END_STATE();
    case 300:
      if (lookahead == 'f') ADVANCE(356);
      END_STATE();
    case 301:
      if (lookahead == 'i') ADVANCE(297);
      END_STATE();
    case 302:
      if (lookahead == 'i') ADVANCE(298);
      if (lookahead == 's') ADVANCE(293);
      END_STATE();
    case 303:
      if (lookahead == 'i') ADVANCE(384);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(303);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(302);
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 306:
      if (lookahead == '|') ADVANCE(428);
      END_STATE();
    case 307:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(314);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 308:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 309:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(497);
      END_STATE();
    case 310:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 311:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 312:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 313:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 314:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 315:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(625);
      END_STATE();
    case 316:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 317:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(245);
      END_STATE();
    case 318:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(528);
      END_STATE();
    case 319:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 320:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 321:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(319);
      END_STATE();
    case 322:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(320);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(321);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(322);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(323);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(324);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(325);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(327);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(328);
      END_STATE();
    case 331:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 332:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(330);
      END_STATE();
    case 333:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(368);
      END_STATE();
    case 334:
      if (eof) ADVANCE(336);
      ADVANCE_MAP(
        '!', 403,
        '"', 522,
        '#', 283,
        '%', 427,
        '&', 437,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 423,
        '+', 417,
        ',', 342,
        '-', 406,
        '.', 487,
        '/', 425,
        '0', 637,
        ':', 471,
        ';', 455,
        '<', 447,
        '=', 467,
        '>', 635,
        '?', 472,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 463,
        '\\', 2,
        ']', 465,
        '^', 434,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 431,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(334);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 335:
      if (eof) ADVANCE(336);
      ADVANCE_MAP(
        '!', 402,
        '"', 522,
        '#', 287,
        '%', 426,
        '&', 436,
        '\'', 513,
        '(', 401,
        ')', 343,
        '*', 422,
        '+', 418,
        ',', 342,
        '-', 409,
        '.', 489,
        '/', 424,
        '0', 495,
        ':', 471,
        ';', 455,
        '<', 446,
        '=', 466,
        '>', 635,
        'F', 562,
        'L', 536,
        'R', 539,
        'T', 566,
        'U', 540,
        '[', 462,
        '\\', 4,
        ']', 282,
        '^', 433,
        'b', 608,
        'c', 587,
        'd', 604,
        'f', 571,
        'i', 601,
        'm', 573,
        'n', 621,
        'p', 618,
        's', 588,
        't', 613,
        'u', 543,
        'v', 605,
        '{', 459,
        '|', 306,
        '}', 460,
        '~', 404,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(335);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(625);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(379);
      if (lookahead == 'n') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(345);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(294);
      if (lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(381);
      if (lookahead == 'n') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(255);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(626);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(255);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(633);
      if (lookahead == '\r') ADVANCE(627);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(629);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '\r') ADVANCE(362);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(369);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(367);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(632);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(629);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(359);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(368);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(358);
      if (lookahead == '/') ADVANCE(256);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead != 0) ADVANCE(359);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(368);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead != 0) ADVANCE(368);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(378);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(385);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(351);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(339);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(337);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(344);
      if (lookahead == 'n') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(344);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(398);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(386);
      if (lookahead == 's') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(387);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(393);
      if (lookahead == 'n') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(400);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(439);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(492);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '>') ADVANCE(491);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(492);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(484);
      if (lookahead == '>') ADVANCE(491);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(477);
      if (lookahead == '>') ADVANCE(253);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(485);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (lookahead == '=') ADVANCE(476);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(312);
      if (lookahead == '0') ADVANCE(495);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      if (lookahead == '=') ADVANCE(474);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(482);
      if (lookahead == '|') ADVANCE(428);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(428);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(481);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(429);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(429);
      if (lookahead == '=') ADVANCE(480);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(443);
      if (lookahead == '>') ADVANCE(453);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(443);
      if (lookahead == '>') ADVANCE(454);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(483);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(452);
      if (lookahead == '=') ADVANCE(445);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(452);
      if (lookahead == '=') ADVANCE(444);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(451);
      if (lookahead == '=') ADVANCE(445);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(451);
      if (lookahead == '=') ADVANCE(444);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(478);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(457);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(457);
      if (lookahead == ']') ADVANCE(645);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(645);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(438);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(561);
      if (lookahead == '3') ADVANCE(559);
      if (lookahead == '6') ADVANCE(560);
      if (lookahead == '8') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(456);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(490);
      if (lookahead == '.') ADVANCE(259);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(490);
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(643);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 312,
        'B', 278,
        'b', 296,
        'E', 307,
        'e', 307,
        'F', 501,
        'f', 501,
        'L', 493,
        'l', 493,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'B', 309,
        'b', 309,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'X', 260,
        'x', 260,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 309,
        'L', 503,
        'l', 506,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
        '0', 497,
        '1', 497,
      );
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 311,
        '.', 502,
        'L', 503,
        'l', 506,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(314);
      if (lookahead == 'B') ADVANCE(278);
      if (lookahead == 'b') ADVANCE(296);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(501);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(493);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(499);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 316,
        '.', 308,
        'L', 503,
        'l', 506,
        'P', 307,
        'p', 307,
        'U', 505,
        'u', 505,
        'Z', 508,
        'z', 508,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(500);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(264);
      if (lookahead == '3') ADVANCE(263);
      if (lookahead == '6') ADVANCE(265);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 278,
        'b', 296,
        'E', 307,
        'e', 307,
        'F', 501,
        'f', 501,
        'L', 493,
        'l', 493,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(494);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(493);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(504);
      if (lookahead == 'l') ADVANCE(507);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(493);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(493);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(529);
      if (lookahead == '\r') ADVANCE(528);
      if (lookahead == 'U') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(324);
      if (lookahead == 'x') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(531);
      if (lookahead != 0) ADVANCE(528);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(255);
      if (lookahead == '/') ADVANCE(633);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(525);
      if (lookahead == '/') ADVANCE(527);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(527);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(524);
      if (lookahead == '/') ADVANCE(527);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(525);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(523);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(526);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(527);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(527);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(109);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(528);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(530);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(276);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == '\'') ADVANCE(509);
      if (lookahead == 'R') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == 'R') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == '\'') ADVANCE(511);
      if (lookahead == 'R') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == 'R') ADVANCE(548);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '\'') ADVANCE(510);
      if (lookahead == '8') ADVANCE(549);
      if (lookahead == 'R') ADVANCE(552);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(550);
      if (lookahead == 'R') ADVANCE(552);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(551);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(551);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(641);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == 'R') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(509);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(511);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(510);
      if (lookahead == '8') ADVANCE(557);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(512);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(561);
      if (lookahead == '3') ADVANCE(559);
      if (lookahead == '6') ADVANCE(560);
      if (lookahead == '8') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '6') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'A') ADVANCE(565);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(534);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'E') ADVANCE(535);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'L') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'R') ADVANCE(568);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'S') ADVANCE(564);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'U') ADVANCE(563);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '_') ADVANCE(576);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == '_') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(594);
      if (lookahead == 'l') ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(594);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(623);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(610);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(616);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'a') ADVANCE(598);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'b') ADVANCE(599);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'd') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'd') ADVANCE(590);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(534);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(535);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'e') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'f') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'f') ADVANCE(584);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'g') ADVANCE(602);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'h') ADVANCE(574);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(624);
      if (lookahead == 's') ADVANCE(589);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(624);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(585);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(578);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(614);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(609);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(596);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(591);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(581);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'l') ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(615);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(617);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(620);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(575);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(595);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(607);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(619);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(468);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(579);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(570);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'r') ADVANCE(622);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 's') ADVANCE(582);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(468);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(558);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(611);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 't') ADVANCE(612);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(577);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(597);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'u') ADVANCE(580);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'x') ADVANCE(569);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (lookahead == 'z') ADVANCE(583);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(633);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(628);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(632);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(629);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(633);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(631);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(631);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead != 0) ADVANCE(631);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(633);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_0);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_0);
      ADVANCE_MAP(
        '\'', 310,
        '.', 502,
        'L', 503,
        'l', 506,
        'B', 309,
        'b', 309,
        'E', 307,
        'e', 307,
        'U', 505,
        'u', 505,
        'X', 260,
        'x', 260,
        'Z', 508,
        'z', 508,
        '8', 246,
        '9', 246,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(496);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(518);
      if (lookahead == 'R') ADVANCE(651);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(638);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(520);
      if (lookahead == 'R') ADVANCE(652);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(519);
      if (lookahead == '8') ADVANCE(653);
      if (lookahead == 'R') ADVANCE(654);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(641);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(521);
      if (lookahead == 'R') ADVANCE(655);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(640);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '\\') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(656);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(625);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 'v') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(65);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 't') ADVANCE(67);
      if (lookahead == 'w') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'h') ADVANCE(70);
      if (lookahead == 'r') ADVANCE(71);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(73);
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(79);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'a', 84,
        'b', 85,
        'c', 86,
        'd', 87,
        'e', 88,
        'f', 89,
        'i', 90,
        'l', 91,
        'r', 92,
        's', 93,
        't', 94,
        'u', 95,
        'v', 96,
      );
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(100);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(101);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(105);
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 40:
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'm') ADVANCE(109);
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'f') ADVANCE(112);
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(114);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(115);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 55:
      if (lookahead == 'w') ADVANCE(126);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(133);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(135);
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(137);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(138);
      if (lookahead == 'q') ADVANCE(139);
      if (lookahead == 's') ADVANCE(140);
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'g') ADVANCE(143);
      if (lookahead == 'z') ADVANCE(144);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(145);
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(147);
      END_STATE();
    case 69:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(149);
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 72:
      if (lookahead == 'p') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 79:
      if (lookahead == 'L') ADVANCE(160);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(163);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(165);
      if (lookahead == 's') ADVANCE(166);
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(169);
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 88:
      if (lookahead == 'x') ADVANCE(172);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'i') ADVANCE(174);
      if (lookahead == 'o') ADVANCE(175);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(176);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(179);
      if (lookahead == 't') ADVANCE(180);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(181);
      if (lookahead == 'r') ADVANCE(182);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(183);
      if (lookahead == 'p') ADVANCE(184);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(187);
      END_STATE();
    case 99:
      if (lookahead == 'g') ADVANCE(188);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(189);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 102:
      if (lookahead == 'o') ADVANCE(190);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(191);
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(193);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(195);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(197);
      if (lookahead == 'r') ADVANCE(198);
      if (lookahead == 'y') ADVANCE(199);
      END_STATE();
    case 109:
      if (lookahead == 'p') ADVANCE(200);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(201);
      if (lookahead == 's') ADVANCE(202);
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(204);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(205);
      if (lookahead == 'i') ADVANCE(206);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 115:
      if (lookahead == 'm') ADVANCE(209);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(214);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(215);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(217);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 127:
      if (lookahead == 'x') ADVANCE(219);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(221);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 135:
      if (lookahead == 'v') ADVANCE(227);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(230);
      END_STATE();
    case 139:
      if (lookahead == 'u') ADVANCE(231);
      END_STATE();
    case 140:
      if (lookahead == 't') ADVANCE(232);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(233);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(235);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 146:
      if (lookahead == 'u') ADVANCE(238);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(239);
      END_STATE();
    case 148:
      if (lookahead == 'p') ADVANCE(240);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(241);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(242);
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 153:
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(247);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(248);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(250);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(251);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 161:
      if (lookahead == 'g') ADVANCE(252);
      END_STATE();
    case 162:
      if (lookahead == 'm') ADVANCE(253);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 165:
      if (lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 166:
      if (lookahead == 'm') ADVANCE(257);
      END_STATE();
    case 167:
      if (lookahead == 't') ADVANCE(258);
      END_STATE();
    case 168:
      if (lookahead == 's') ADVANCE(259);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 170:
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 171:
      if (lookahead == 'c') ADVANCE(262);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(263);
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 173:
      if (lookahead == 's') ADVANCE(265);
      END_STATE();
    case 174:
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 176:
      if (lookahead == 'l') ADVANCE(268);
      END_STATE();
    case 177:
      if (lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 180:
      if (lookahead == 'd') ADVANCE(272);
      END_STATE();
    case 181:
      if (lookahead == 'i') ADVANCE(273);
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 182:
      if (lookahead == 'y') ADVANCE(275);
      END_STATE();
    case 183:
      if (lookahead == 'a') ADVANCE(276);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 186:
      if (lookahead == 'g') ADVANCE(279);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 188:
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 191:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 192:
      if (lookahead == 'r') ADVANCE(284);
      END_STATE();
    case 193:
      if (lookahead == 'k') ADVANCE(285);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 195:
      if (lookahead == 'h') ADVANCE(286);
      END_STATE();
    case 196:
      if (lookahead == 's') ADVANCE(287);
      END_STATE();
    case 197:
      if (lookahead == 'w') ADVANCE(288);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 199:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 200:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(293);
      END_STATE();
    case 203:
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 204:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 205:
      if (lookahead == 'u') ADVANCE(296);
      END_STATE();
    case 206:
      if (lookahead == 'n') ADVANCE(297);
      END_STATE();
    case 207:
      if (lookahead == 't') ADVANCE(298);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 211:
      if (lookahead == 'r') ADVANCE(300);
      END_STATE();
    case 212:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(303);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 217:
      if (lookahead == 'b') ADVANCE(304);
      END_STATE();
    case 218:
      if (lookahead == 's') ADVANCE(305);
      END_STATE();
    case 219:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 220:
      if (lookahead == 't') ADVANCE(307);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 222:
      if (lookahead == 'p') ADVANCE(309);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 224:
      if (lookahead == 'a') ADVANCE(311);
      END_STATE();
    case 225:
      if (lookahead == 'q') ADVANCE(312);
      END_STATE();
    case 226:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 227:
      if (lookahead == 'a') ADVANCE(314);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 229:
      if (lookahead == 'i') ADVANCE(316);
      END_STATE();
    case 230:
      if (lookahead == 's') ADVANCE(317);
      END_STATE();
    case 231:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 232:
      if (lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 233:
      if (lookahead == 'r') ADVANCE(320);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(321);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 236:
      if (lookahead == 'o') ADVANCE(323);
      END_STATE();
    case 237:
      if (lookahead == 'i') ADVANCE(324);
      END_STATE();
    case 238:
      if (lookahead == 'c') ADVANCE(325);
      END_STATE();
    case 239:
      if (lookahead == 'c') ADVANCE(326);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 242:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 243:
      if (lookahead == 'w') ADVANCE(329);
      END_STATE();
    case 244:
      if (lookahead == 'd') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 246:
      if (lookahead == 'g') ADVANCE(333);
      END_STATE();
    case 247:
      if (lookahead == 'g') ADVANCE(334);
      END_STATE();
    case 248:
      if (lookahead == 'u') ADVANCE(335);
      END_STATE();
    case 249:
      if (lookahead == 't') ADVANCE(336);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 252:
      if (lookahead == 'n') ADVANCE(339);
      END_STATE();
    case 253:
      if (lookahead == 'i') ADVANCE(340);
      END_STATE();
    case 254:
      if (lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 255:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 256:
      if (lookahead == 'g') ADVANCE(343);
      END_STATE();
    case 257:
      if (lookahead == '_') ADVANCE(344);
      END_STATE();
    case 258:
      if (lookahead == 'r') ADVANCE(345);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 260:
      if (lookahead == 'c') ADVANCE(347);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(348);
      END_STATE();
    case 262:
      if (lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 265:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 267:
      if (lookahead == 'c') ADVANCE(354);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 269:
      if (lookahead == 'v') ADVANCE(356);
      END_STATE();
    case 270:
      if (lookahead == 't') ADVANCE(357);
      END_STATE();
    case 271:
      if (lookahead == 'r') ADVANCE(358);
      END_STATE();
    case 272:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 273:
      if (lookahead == 's') ADVANCE(360);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(361);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 276:
      if (lookahead == 'l') ADVANCE(362);
      END_STATE();
    case 277:
      if (lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 279:
      if (lookahead == 'n') ADVANCE(365);
      END_STATE();
    case 280:
      if (lookahead == 'i') ADVANCE(366);
      END_STATE();
    case 281:
      if (lookahead == 'a') ADVANCE(367);
      if (lookahead == 'o') ADVANCE(368);
      END_STATE();
    case 282:
      if (lookahead == 'q') ADVANCE(369);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 288:
      if (lookahead == 'a') ADVANCE(371);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(372);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 292:
      if (lookahead == 'p') ADVANCE(374);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(376);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(377);
      END_STATE();
    case 295:
      if (lookahead == 'y') ADVANCE(378);
      END_STATE();
    case 296:
      if (lookahead == 'l') ADVANCE(379);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(381);
      END_STATE();
    case 299:
      if (lookahead == 'c') ADVANCE(382);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 302:
      if (lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(386);
      END_STATE();
    case 305:
      if (lookahead == 'p') ADVANCE(387);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 307:
      if (lookahead == 'u') ADVANCE(389);
      END_STATE();
    case 308:
      if (lookahead == 'q') ADVANCE(390);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 310:
      if (lookahead == 't') ADVANCE(392);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 313:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(395);
      END_STATE();
    case 315:
      if (lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 316:
      if (lookahead == 'c') ADVANCE(397);
      END_STATE();
    case 317:
      if (lookahead == 't') ADVANCE(398);
      END_STATE();
    case 318:
      if (lookahead == 'r') ADVANCE(399);
      END_STATE();
    case 319:
      if (lookahead == 'i') ADVANCE(400);
      END_STATE();
    case 320:
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(402);
      END_STATE();
    case 323:
      if (lookahead == 'f') ADVANCE(403);
      END_STATE();
    case 324:
      if (lookahead == 'c') ADVANCE(404);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(405);
      END_STATE();
    case 326:
      if (lookahead == 'h') ADVANCE(406);
      END_STATE();
    case 327:
      if (lookahead == 'a') ADVANCE(407);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(408);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 330:
      if (lookahead == 'e') ADVANCE(409);
      END_STATE();
    case 331:
      if (lookahead == 'a') ADVANCE(410);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 333:
      if (lookahead == 'n') ADVANCE(411);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 335:
      if (lookahead == 'a') ADVANCE(412);
      END_STATE();
    case 336:
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 338:
      if (lookahead == 'q') ADVANCE(414);
      END_STATE();
    case 339:
      if (lookahead == 'a') ADVANCE(415);
      if (lookahead == 'o') ADVANCE(416);
      END_STATE();
    case 340:
      if (lookahead == 'c') ADVANCE(417);
      END_STATE();
    case 341:
      if (lookahead == 'i') ADVANCE(418);
      END_STATE();
    case 342:
      if (lookahead == 'u') ADVANCE(419);
      END_STATE();
    case 343:
      if (lookahead == 'n') ADVANCE(420);
      END_STATE();
    case 344:
      if (lookahead == '_') ADVANCE(421);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(422);
      END_STATE();
    case 346:
      if (lookahead == 'd') ADVANCE(423);
      END_STATE();
    case 347:
      if (lookahead == 'l') ADVANCE(424);
      END_STATE();
    case 348:
      if (lookahead == 'a') ADVANCE(425);
      END_STATE();
    case 349:
      if (lookahead == 's') ADVANCE(426);
      END_STATE();
    case 350:
      if (lookahead == 'p') ADVANCE(427);
      END_STATE();
    case 351:
      if (lookahead == 'n') ADVANCE(428);
      END_STATE();
    case 352:
      if (lookahead == 'c') ADVANCE(429);
      END_STATE();
    case 353:
      if (lookahead == 'l') ADVANCE(430);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(431);
      END_STATE();
    case 355:
      if (lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(433);
      END_STATE();
    case 357:
      if (lookahead == 'r') ADVANCE(434);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 359:
      if (lookahead == 'a') ADVANCE(435);
      END_STATE();
    case 360:
      if (lookahead == 'c') ADVANCE(436);
      END_STATE();
    case 361:
      if (lookahead == 'a') ADVANCE(437);
      END_STATE();
    case 362:
      if (lookahead == 'i') ADVANCE(438);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 364:
      if (lookahead == 'o') ADVANCE(439);
      END_STATE();
    case 365:
      if (lookahead == 'o') ADVANCE(440);
      END_STATE();
    case 366:
      if (lookahead == 'g') ADVANCE(441);
      END_STATE();
    case 367:
      if (lookahead == 's') ADVANCE(442);
      END_STATE();
    case 368:
      if (lookahead == 'f') ADVANCE(443);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 371:
      if (lookahead == 'i') ADVANCE(444);
      END_STATE();
    case 372:
      if (lookahead == 'u') ADVANCE(445);
      END_STATE();
    case 373:
      if (lookahead == 'l') ADVANCE(446);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(447);
      END_STATE();
    case 375:
      if (lookahead == 'v') ADVANCE(448);
      if (lookahead == 'x') ADVANCE(449);
      END_STATE();
    case 376:
      if (lookahead == 'n') ADVANCE(450);
      END_STATE();
    case 377:
      if (lookahead == 'u') ADVANCE(451);
      END_STATE();
    case 378:
      if (lookahead == 'p') ADVANCE(452);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(453);
      END_STATE();
    case 380:
      if (lookahead == 'd') ADVANCE(454);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 382:
      if (lookahead == 'i') ADVANCE(455);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 386:
      if (lookahead == 'e') ADVANCE(456);
      END_STATE();
    case 387:
      if (lookahead == 'a') ADVANCE(457);
      END_STATE();
    case 388:
      if (lookahead == 'p') ADVANCE(458);
      END_STATE();
    case 389:
      if (lookahead == 'r') ADVANCE(459);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 391:
      if (lookahead == 'r') ADVANCE(460);
      END_STATE();
    case 392:
      if (lookahead == 'o') ADVANCE(461);
      END_STATE();
    case 393:
      if (lookahead == 'o') ADVANCE(462);
      END_STATE();
    case 394:
      if (lookahead == 'd') ADVANCE(463);
      END_STATE();
    case 395:
      if (lookahead == 'e') ADVANCE(464);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(465);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 398:
      if (lookahead == 'e') ADVANCE(466);
      END_STATE();
    case 399:
      if (lookahead == 'e') ADVANCE(467);
      END_STATE();
    case 400:
      if (lookahead == 'c') ADVANCE(468);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(469);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 407:
      if (lookahead == 't') ADVANCE(470);
      END_STATE();
    case 408:
      if (lookahead == '_') ADVANCE(471);
      END_STATE();
    case 409:
      if (lookahead == 'f') ADVANCE(472);
      END_STATE();
    case 410:
      if (lookahead == 'm') ADVANCE(473);
      END_STATE();
    case 411:
      if (lookahead == 'e') ADVANCE(474);
      END_STATE();
    case 412:
      if (lookahead == 'l') ADVANCE(475);
      END_STATE();
    case 413:
      if (lookahead == 'l') ADVANCE(476);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 415:
      if (lookahead == 's') ADVANCE(477);
      END_STATE();
    case 416:
      if (lookahead == 'f') ADVANCE(478);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 418:
      if (lookahead == 'c') ADVANCE(479);
      END_STATE();
    case 419:
      if (lookahead == 'r') ADVANCE(480);
      END_STATE();
    case 420:
      if (lookahead == 'o') ADVANCE(481);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 422:
      if (lookahead == 'b') ADVANCE(482);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 425:
      if (lookahead == 'l') ADVANCE(483);
      END_STATE();
    case 426:
      if (lookahead == 'p') ADVANCE(484);
      END_STATE();
    case 427:
      if (lookahead == 't') ADVANCE(485);
      END_STATE();
    case 428:
      if (lookahead == 's') ADVANCE(486);
      END_STATE();
    case 429:
      if (lookahead == 'a') ADVANCE(487);
      END_STATE();
    case 430:
      if (lookahead == 'l') ADVANCE(488);
      END_STATE();
    case 431:
      if (lookahead == 'i') ADVANCE(489);
      END_STATE();
    case 432:
      if (lookahead == 'e') ADVANCE(490);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 434:
      if (lookahead == 'i') ADVANCE(491);
      END_STATE();
    case 435:
      if (lookahead == 'l') ADVANCE(492);
      END_STATE();
    case 436:
      if (lookahead == 'a') ADVANCE(493);
      END_STATE();
    case 437:
      if (lookahead == 'd') ADVANCE(494);
      END_STATE();
    case 438:
      if (lookahead == 'g') ADVANCE(495);
      END_STATE();
    case 439:
      if (lookahead == 'r') ADVANCE(496);
      END_STATE();
    case 440:
      if (lookahead == 'f') ADVANCE(497);
      END_STATE();
    case 441:
      if (lookahead == 'n') ADVANCE(498);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 444:
      if (lookahead == 't') ADVANCE(499);
      END_STATE();
    case 445:
      if (lookahead == 'r') ADVANCE(500);
      END_STATE();
    case 446:
      if (lookahead == 'd') ADVANCE(501);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 448:
      if (lookahead == 'a') ADVANCE(502);
      END_STATE();
    case 449:
      if (lookahead == 'p') ADVANCE(503);
      END_STATE();
    case 450:
      if (lookahead == 'i') ADVANCE(504);
      END_STATE();
    case 451:
      if (lookahead == 'e') ADVANCE(505);
      END_STATE();
    case 452:
      if (lookahead == 'e') ADVANCE(506);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 455:
      if (lookahead == 't') ADVANCE(507);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 457:
      if (lookahead == 'c') ADVANCE(508);
      END_STATE();
    case 458:
      if (lookahead == 't') ADVANCE(509);
      END_STATE();
    case 459:
      if (lookahead == 'n') ADVANCE(510);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 461:
      if (lookahead == 'f') ADVANCE(511);
      END_STATE();
    case 462:
      if (lookahead == 'r') ADVANCE(512);
      END_STATE();
    case 463:
      if (lookahead == 'e') ADVANCE(513);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 465:
      if (lookahead == 'e') ADVANCE(514);
      END_STATE();
    case 466:
      if (lookahead == 'r') ADVANCE(515);
      END_STATE();
    case 467:
      if (lookahead == 's') ADVANCE(516);
      END_STATE();
    case 468:
      if (lookahead == 't') ADVANCE(517);
      END_STATE();
    case 469:
      if (lookahead == 'a') ADVANCE(518);
      END_STATE();
    case 470:
      if (lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 471:
      if (lookahead == 'l') ADVANCE(520);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 473:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 474:
      if (lookahead == 'd') ADVANCE(522);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_virtual);
      END_STATE();
    case 476:
      if (lookahead == 'e') ADVANCE(523);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 480:
      if (lookahead == 'n') ADVANCE(524);
      END_STATE();
    case 481:
      if (lookahead == 'f') ADVANCE(525);
      END_STATE();
    case 482:
      if (lookahead == 'u') ADVANCE(526);
      END_STATE();
    case 483:
      if (lookahead == 'l') ADVANCE(527);
      END_STATE();
    case 484:
      if (lookahead == 'e') ADVANCE(528);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 486:
      if (lookahead == 'i') ADVANCE(529);
      END_STATE();
    case 487:
      if (lookahead == 'l') ADVANCE(530);
      END_STATE();
    case 488:
      if (lookahead == 'y') ADVANCE(531);
      END_STATE();
    case 489:
      if (lookahead == 'n') ADVANCE(532);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(533);
      END_STATE();
    case 491:
      if (lookahead == 'c') ADVANCE(534);
      END_STATE();
    case 492:
      if (lookahead == 'l') ADVANCE(535);
      END_STATE();
    case 493:
      if (lookahead == 'l') ADVANCE(536);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 495:
      if (lookahead == 'n') ADVANCE(537);
      END_STATE();
    case 496:
      if (lookahead == 'c') ADVANCE(538);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 498:
      if (lookahead == 'e') ADVANCE(539);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 500:
      if (lookahead == 'n') ADVANCE(540);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 502:
      if (lookahead == 'l') ADVANCE(541);
      END_STATE();
    case 503:
      if (lookahead == 'r') ADVANCE(542);
      END_STATE();
    case 504:
      if (lookahead == 't') ADVANCE(543);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 508:
      if (lookahead == 'e') ADVANCE(544);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 514:
      if (lookahead == 'd') ADVANCE(545);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 518:
      if (lookahead == 's') ADVANCE(546);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 520:
      if (lookahead == 'o') ADVANCE(547);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(548);
      END_STATE();
    case 526:
      if (lookahead == 't') ADVANCE(549);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 528:
      if (lookahead == 'c') ADVANCE(550);
      END_STATE();
    case 529:
      if (lookahead == 'o') ADVANCE(551);
      END_STATE();
    case 530:
      if (lookahead == 'l') ADVANCE(552);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 532:
      if (lookahead == 'l') ADVANCE(553);
      END_STATE();
    case 533:
      if (lookahead == '_') ADVANCE(554);
      END_STATE();
    case 534:
      if (lookahead == 't') ADVANCE(555);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 536:
      if (lookahead == 'l') ADVANCE(556);
      END_STATE();
    case 537:
      if (lookahead == 'e') ADVANCE(557);
      END_STATE();
    case 538:
      if (lookahead == 'a') ADVANCE(558);
      END_STATE();
    case 539:
      if (lookahead == 'd') ADVANCE(559);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 546:
      if (lookahead == 's') ADVANCE(560);
      END_STATE();
    case 547:
      if (lookahead == 'c') ADVANCE(561);
      END_STATE();
    case 548:
      if (lookahead == '_') ADVANCE(562);
      END_STATE();
    case 549:
      if (lookahead == 'e') ADVANCE(563);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 551:
      if (lookahead == 'n') ADVANCE(564);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 553:
      if (lookahead == 'i') ADVANCE(565);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(566);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 557:
      if (lookahead == 'd') ADVANCE(567);
      END_STATE();
    case 558:
      if (lookahead == 'l') ADVANCE(568);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 560:
      if (lookahead == 'e') ADVANCE(569);
      END_STATE();
    case 561:
      if (lookahead == 'a') ADVANCE(570);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 563:
      if (lookahead == '_') ADVANCE(571);
      END_STATE();
    case 564:
      if (lookahead == '_') ADVANCE(572);
      END_STATE();
    case 565:
      if (lookahead == 'n') ADVANCE(573);
      END_STATE();
    case 566:
      if (lookahead == '_') ADVANCE(574);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 568:
      if (lookahead == 'l') ADVANCE(575);
      END_STATE();
    case 569:
      if (lookahead == 'r') ADVANCE(576);
      END_STATE();
    case 570:
      if (lookahead == 'l') ADVANCE(577);
      END_STATE();
    case 571:
      if (lookahead == '_') ADVANCE(578);
      END_STATE();
    case 572:
      if (lookahead == '_') ADVANCE(579);
      END_STATE();
    case 573:
      if (lookahead == 'e') ADVANCE(580);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 576:
      if (lookahead == 't') ADVANCE(581);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 335},
  [2] = {.lex_state = 335},
  [3] = {.lex_state = 335},
  [4] = {.lex_state = 335},
  [5] = {.lex_state = 335},
  [6] = {.lex_state = 335},
  [7] = {.lex_state = 335},
  [8] = {.lex_state = 335},
  [9] = {.lex_state = 335},
  [10] = {.lex_state = 335},
  [11] = {.lex_state = 335},
  [12] = {.lex_state = 335},
  [13] = {.lex_state = 169},
  [14] = {.lex_state = 169},
  [15] = {.lex_state = 169},
  [16] = {.lex_state = 169},
  [17] = {.lex_state = 169},
  [18] = {.lex_state = 169},
  [19] = {.lex_state = 169},
  [20] = {.lex_state = 169},
  [21] = {.lex_state = 169},
  [22] = {.lex_state = 169},
  [23] = {.lex_state = 169},
  [24] = {.lex_state = 169},
  [25] = {.lex_state = 169},
  [26] = {.lex_state = 169},
  [27] = {.lex_state = 169},
  [28] = {.lex_state = 169},
  [29] = {.lex_state = 169},
  [30] = {.lex_state = 169},
  [31] = {.lex_state = 169},
  [32] = {.lex_state = 169},
  [33] = {.lex_state = 169},
  [34] = {.lex_state = 335},
  [35] = {.lex_state = 172},
  [36] = {.lex_state = 335},
  [37] = {.lex_state = 335},
  [38] = {.lex_state = 335},
  [39] = {.lex_state = 335},
  [40] = {.lex_state = 335},
  [41] = {.lex_state = 172},
  [42] = {.lex_state = 335},
  [43] = {.lex_state = 335},
  [44] = {.lex_state = 335},
  [45] = {.lex_state = 335},
  [46] = {.lex_state = 335},
  [47] = {.lex_state = 335},
  [48] = {.lex_state = 335},
  [49] = {.lex_state = 335},
  [50] = {.lex_state = 335},
  [51] = {.lex_state = 335},
  [52] = {.lex_state = 335},
  [53] = {.lex_state = 335},
  [54] = {.lex_state = 335},
  [55] = {.lex_state = 335},
  [56] = {.lex_state = 335},
  [57] = {.lex_state = 335},
  [58] = {.lex_state = 335},
  [59] = {.lex_state = 335},
  [60] = {.lex_state = 335},
  [61] = {.lex_state = 335},
  [62] = {.lex_state = 335},
  [63] = {.lex_state = 172},
  [64] = {.lex_state = 335},
  [65] = {.lex_state = 335},
  [66] = {.lex_state = 335},
  [67] = {.lex_state = 335},
  [68] = {.lex_state = 335},
  [69] = {.lex_state = 335},
  [70] = {.lex_state = 335},
  [71] = {.lex_state = 335},
  [72] = {.lex_state = 335},
  [73] = {.lex_state = 335},
  [74] = {.lex_state = 335},
  [75] = {.lex_state = 335},
  [76] = {.lex_state = 335},
  [77] = {.lex_state = 335},
  [78] = {.lex_state = 335},
  [79] = {.lex_state = 335},
  [80] = {.lex_state = 335},
  [81] = {.lex_state = 335},
  [82] = {.lex_state = 169},
  [83] = {.lex_state = 169},
  [84] = {.lex_state = 169},
  [85] = {.lex_state = 169},
  [86] = {.lex_state = 169},
  [87] = {.lex_state = 335},
  [88] = {.lex_state = 172},
  [89] = {.lex_state = 335},
  [90] = {.lex_state = 172},
  [91] = {.lex_state = 335},
  [92] = {.lex_state = 335},
  [93] = {.lex_state = 335},
  [94] = {.lex_state = 335},
  [95] = {.lex_state = 335},
  [96] = {.lex_state = 335},
  [97] = {.lex_state = 172},
  [98] = {.lex_state = 172},
  [99] = {.lex_state = 172},
  [100] = {.lex_state = 335},
  [101] = {.lex_state = 335},
  [102] = {.lex_state = 171},
  [103] = {.lex_state = 171},
  [104] = {.lex_state = 171},
  [105] = {.lex_state = 171},
  [106] = {.lex_state = 171},
  [107] = {.lex_state = 171},
  [108] = {.lex_state = 171},
  [109] = {.lex_state = 171},
  [110] = {.lex_state = 171},
  [111] = {.lex_state = 171},
  [112] = {.lex_state = 171},
  [113] = {.lex_state = 171},
  [114] = {.lex_state = 173},
  [115] = {.lex_state = 173},
  [116] = {.lex_state = 173},
  [117] = {.lex_state = 171},
  [118] = {.lex_state = 171},
  [119] = {.lex_state = 171},
  [120] = {.lex_state = 171},
  [121] = {.lex_state = 171},
  [122] = {.lex_state = 171},
  [123] = {.lex_state = 171},
  [124] = {.lex_state = 171},
  [125] = {.lex_state = 335},
  [126] = {.lex_state = 335},
  [127] = {.lex_state = 162},
  [128] = {.lex_state = 162},
  [129] = {.lex_state = 171},
  [130] = {.lex_state = 171},
  [131] = {.lex_state = 171},
  [132] = {.lex_state = 171},
  [133] = {.lex_state = 171},
  [134] = {.lex_state = 171},
  [135] = {.lex_state = 171},
  [136] = {.lex_state = 171},
  [137] = {.lex_state = 171},
  [138] = {.lex_state = 171},
  [139] = {.lex_state = 171},
  [140] = {.lex_state = 171},
  [141] = {.lex_state = 171},
  [142] = {.lex_state = 171},
  [143] = {.lex_state = 164},
  [144] = {.lex_state = 171},
  [145] = {.lex_state = 171},
  [146] = {.lex_state = 171},
  [147] = {.lex_state = 171},
  [148] = {.lex_state = 171},
  [149] = {.lex_state = 171},
  [150] = {.lex_state = 171},
  [151] = {.lex_state = 171},
  [152] = {.lex_state = 171},
  [153] = {.lex_state = 171},
  [154] = {.lex_state = 171},
  [155] = {.lex_state = 171},
  [156] = {.lex_state = 171},
  [157] = {.lex_state = 171},
  [158] = {.lex_state = 171},
  [159] = {.lex_state = 171},
  [160] = {.lex_state = 171},
  [161] = {.lex_state = 171},
  [162] = {.lex_state = 171},
  [163] = {.lex_state = 171},
  [164] = {.lex_state = 171},
  [165] = {.lex_state = 171},
  [166] = {.lex_state = 171},
  [167] = {.lex_state = 171},
  [168] = {.lex_state = 171},
  [169] = {.lex_state = 162},
  [170] = {.lex_state = 171},
  [171] = {.lex_state = 171},
  [172] = {.lex_state = 171},
  [173] = {.lex_state = 171},
  [174] = {.lex_state = 171},
  [175] = {.lex_state = 171},
  [176] = {.lex_state = 171},
  [177] = {.lex_state = 171},
  [178] = {.lex_state = 171},
  [179] = {.lex_state = 171},
  [180] = {.lex_state = 171},
  [181] = {.lex_state = 171},
  [182] = {.lex_state = 171},
  [183] = {.lex_state = 171},
  [184] = {.lex_state = 171},
  [185] = {.lex_state = 171},
  [186] = {.lex_state = 171},
  [187] = {.lex_state = 171},
  [188] = {.lex_state = 171},
  [189] = {.lex_state = 171},
  [190] = {.lex_state = 171},
  [191] = {.lex_state = 174},
  [192] = {.lex_state = 174},
  [193] = {.lex_state = 169},
  [194] = {.lex_state = 169},
  [195] = {.lex_state = 174},
  [196] = {.lex_state = 174},
  [197] = {.lex_state = 165},
  [198] = {.lex_state = 174},
  [199] = {.lex_state = 174},
  [200] = {.lex_state = 174},
  [201] = {.lex_state = 174},
  [202] = {.lex_state = 174},
  [203] = {.lex_state = 174},
  [204] = {.lex_state = 174},
  [205] = {.lex_state = 174},
  [206] = {.lex_state = 174},
  [207] = {.lex_state = 174},
  [208] = {.lex_state = 174},
  [209] = {.lex_state = 174},
  [210] = {.lex_state = 174},
  [211] = {.lex_state = 174},
  [212] = {.lex_state = 174},
  [213] = {.lex_state = 174},
  [214] = {.lex_state = 174},
  [215] = {.lex_state = 174},
  [216] = {.lex_state = 174},
  [217] = {.lex_state = 162},
  [218] = {.lex_state = 174},
  [219] = {.lex_state = 174},
  [220] = {.lex_state = 174},
  [221] = {.lex_state = 169},
  [222] = {.lex_state = 169},
  [223] = {.lex_state = 164},
  [224] = {.lex_state = 169},
  [225] = {.lex_state = 169},
  [226] = {.lex_state = 169},
  [227] = {.lex_state = 169},
  [228] = {.lex_state = 169},
  [229] = {.lex_state = 169},
  [230] = {.lex_state = 169},
  [231] = {.lex_state = 169},
  [232] = {.lex_state = 169},
  [233] = {.lex_state = 169},
  [234] = {.lex_state = 169},
  [235] = {.lex_state = 169},
  [236] = {.lex_state = 169},
  [237] = {.lex_state = 169},
  [238] = {.lex_state = 169},
  [239] = {.lex_state = 169},
  [240] = {.lex_state = 169},
  [241] = {.lex_state = 169},
  [242] = {.lex_state = 169},
  [243] = {.lex_state = 169},
  [244] = {.lex_state = 169},
  [245] = {.lex_state = 169},
  [246] = {.lex_state = 169},
  [247] = {.lex_state = 169},
  [248] = {.lex_state = 169},
  [249] = {.lex_state = 169},
  [250] = {.lex_state = 169},
  [251] = {.lex_state = 169},
  [252] = {.lex_state = 169},
  [253] = {.lex_state = 169},
  [254] = {.lex_state = 169},
  [255] = {.lex_state = 169},
  [256] = {.lex_state = 169},
  [257] = {.lex_state = 169},
  [258] = {.lex_state = 169},
  [259] = {.lex_state = 169},
  [260] = {.lex_state = 169},
  [261] = {.lex_state = 169},
  [262] = {.lex_state = 169},
  [263] = {.lex_state = 169},
  [264] = {.lex_state = 169},
  [265] = {.lex_state = 169},
  [266] = {.lex_state = 169},
  [267] = {.lex_state = 169},
  [268] = {.lex_state = 169},
  [269] = {.lex_state = 169},
  [270] = {.lex_state = 169},
  [271] = {.lex_state = 169},
  [272] = {.lex_state = 169},
  [273] = {.lex_state = 169},
  [274] = {.lex_state = 169},
  [275] = {.lex_state = 169},
  [276] = {.lex_state = 169},
  [277] = {.lex_state = 169},
  [278] = {.lex_state = 169},
  [279] = {.lex_state = 169},
  [280] = {.lex_state = 169},
  [281] = {.lex_state = 169},
  [282] = {.lex_state = 169},
  [283] = {.lex_state = 169},
  [284] = {.lex_state = 169},
  [285] = {.lex_state = 169},
  [286] = {.lex_state = 169},
  [287] = {.lex_state = 169},
  [288] = {.lex_state = 169},
  [289] = {.lex_state = 169},
  [290] = {.lex_state = 169},
  [291] = {.lex_state = 169},
  [292] = {.lex_state = 169},
  [293] = {.lex_state = 169},
  [294] = {.lex_state = 335},
  [295] = {.lex_state = 169},
  [296] = {.lex_state = 169},
  [297] = {.lex_state = 169},
  [298] = {.lex_state = 169},
  [299] = {.lex_state = 169},
  [300] = {.lex_state = 169},
  [301] = {.lex_state = 169},
  [302] = {.lex_state = 169},
  [303] = {.lex_state = 169},
  [304] = {.lex_state = 169},
  [305] = {.lex_state = 169},
  [306] = {.lex_state = 172},
  [307] = {.lex_state = 169},
  [308] = {.lex_state = 169},
  [309] = {.lex_state = 169},
  [310] = {.lex_state = 172},
  [311] = {.lex_state = 169},
  [312] = {.lex_state = 169},
  [313] = {.lex_state = 169},
  [314] = {.lex_state = 169},
  [315] = {.lex_state = 169},
  [316] = {.lex_state = 169},
  [317] = {.lex_state = 174},
  [318] = {.lex_state = 335},
  [319] = {.lex_state = 169},
  [320] = {.lex_state = 169},
  [321] = {.lex_state = 174},
  [322] = {.lex_state = 169},
  [323] = {.lex_state = 169},
  [324] = {.lex_state = 174},
  [325] = {.lex_state = 169},
  [326] = {.lex_state = 169},
  [327] = {.lex_state = 169},
  [328] = {.lex_state = 174},
  [329] = {.lex_state = 169},
  [330] = {.lex_state = 174},
  [331] = {.lex_state = 169},
  [332] = {.lex_state = 169},
  [333] = {.lex_state = 174},
  [334] = {.lex_state = 335},
  [335] = {.lex_state = 169},
  [336] = {.lex_state = 174},
  [337] = {.lex_state = 169},
  [338] = {.lex_state = 174},
  [339] = {.lex_state = 174},
  [340] = {.lex_state = 174},
  [341] = {.lex_state = 174},
  [342] = {.lex_state = 174},
  [343] = {.lex_state = 174},
  [344] = {.lex_state = 174},
  [345] = {.lex_state = 174},
  [346] = {.lex_state = 174},
  [347] = {.lex_state = 174},
  [348] = {.lex_state = 169},
  [349] = {.lex_state = 169},
  [350] = {.lex_state = 169},
  [351] = {.lex_state = 335},
  [352] = {.lex_state = 169},
  [353] = {.lex_state = 169},
  [354] = {.lex_state = 169},
  [355] = {.lex_state = 169},
  [356] = {.lex_state = 169},
  [357] = {.lex_state = 169},
  [358] = {.lex_state = 169},
  [359] = {.lex_state = 169},
  [360] = {.lex_state = 335},
  [361] = {.lex_state = 171},
  [362] = {.lex_state = 171},
  [363] = {.lex_state = 171},
  [364] = {.lex_state = 174},
  [365] = {.lex_state = 172},
  [366] = {.lex_state = 238},
  [367] = {.lex_state = 238},
  [368] = {.lex_state = 238},
  [369] = {.lex_state = 238},
  [370] = {.lex_state = 238},
  [371] = {.lex_state = 238},
  [372] = {.lex_state = 238},
  [373] = {.lex_state = 238},
  [374] = {.lex_state = 238},
  [375] = {.lex_state = 238},
  [376] = {.lex_state = 238},
  [377] = {.lex_state = 172},
  [378] = {.lex_state = 335},
  [379] = {.lex_state = 238},
  [380] = {.lex_state = 238},
  [381] = {.lex_state = 238},
  [382] = {.lex_state = 238},
  [383] = {.lex_state = 173},
  [384] = {.lex_state = 238},
  [385] = {.lex_state = 173},
  [386] = {.lex_state = 335},
  [387] = {.lex_state = 335},
  [388] = {.lex_state = 174},
  [389] = {.lex_state = 335},
  [390] = {.lex_state = 335},
  [391] = {.lex_state = 172},
  [392] = {.lex_state = 174},
  [393] = {.lex_state = 172},
  [394] = {.lex_state = 335},
  [395] = {.lex_state = 174},
  [396] = {.lex_state = 174},
  [397] = {.lex_state = 174},
  [398] = {.lex_state = 335},
  [399] = {.lex_state = 172},
  [400] = {.lex_state = 172},
  [401] = {.lex_state = 335},
  [402] = {.lex_state = 174},
  [403] = {.lex_state = 335},
  [404] = {.lex_state = 172},
  [405] = {.lex_state = 335},
  [406] = {.lex_state = 335},
  [407] = {.lex_state = 172},
  [408] = {.lex_state = 172},
  [409] = {.lex_state = 172},
  [410] = {.lex_state = 172},
  [411] = {.lex_state = 172},
  [412] = {.lex_state = 172},
  [413] = {.lex_state = 172},
  [414] = {.lex_state = 335},
  [415] = {.lex_state = 335},
  [416] = {.lex_state = 335},
  [417] = {.lex_state = 172},
  [418] = {.lex_state = 172},
  [419] = {.lex_state = 335},
  [420] = {.lex_state = 335},
  [421] = {.lex_state = 172},
  [422] = {.lex_state = 172},
  [423] = {.lex_state = 172},
  [424] = {.lex_state = 172},
  [425] = {.lex_state = 335},
  [426] = {.lex_state = 172},
  [427] = {.lex_state = 172},
  [428] = {.lex_state = 172},
  [429] = {.lex_state = 335},
  [430] = {.lex_state = 172},
  [431] = {.lex_state = 172},
  [432] = {.lex_state = 172},
  [433] = {.lex_state = 172},
  [434] = {.lex_state = 335},
  [435] = {.lex_state = 335},
  [436] = {.lex_state = 335},
  [437] = {.lex_state = 171},
  [438] = {.lex_state = 335},
  [439] = {.lex_state = 335},
  [440] = {.lex_state = 335},
  [441] = {.lex_state = 335},
  [442] = {.lex_state = 335},
  [443] = {.lex_state = 335},
  [444] = {.lex_state = 335},
  [445] = {.lex_state = 335},
  [446] = {.lex_state = 335},
  [447] = {.lex_state = 335},
  [448] = {.lex_state = 335},
  [449] = {.lex_state = 335},
  [450] = {.lex_state = 335},
  [451] = {.lex_state = 335},
  [452] = {.lex_state = 335},
  [453] = {.lex_state = 335},
  [454] = {.lex_state = 335},
  [455] = {.lex_state = 335},
  [456] = {.lex_state = 335},
  [457] = {.lex_state = 335},
  [458] = {.lex_state = 335},
  [459] = {.lex_state = 335},
  [460] = {.lex_state = 335},
  [461] = {.lex_state = 335},
  [462] = {.lex_state = 335},
  [463] = {.lex_state = 335},
  [464] = {.lex_state = 335},
  [465] = {.lex_state = 172},
  [466] = {.lex_state = 335},
  [467] = {.lex_state = 335},
  [468] = {.lex_state = 335},
  [469] = {.lex_state = 335},
  [470] = {.lex_state = 335},
  [471] = {.lex_state = 335},
  [472] = {.lex_state = 172},
  [473] = {.lex_state = 335},
  [474] = {.lex_state = 335},
  [475] = {.lex_state = 335},
  [476] = {.lex_state = 172},
  [477] = {.lex_state = 172},
  [478] = {.lex_state = 172},
  [479] = {.lex_state = 172},
  [480] = {.lex_state = 335},
  [481] = {.lex_state = 335},
  [482] = {.lex_state = 335},
  [483] = {.lex_state = 335},
  [484] = {.lex_state = 172},
  [485] = {.lex_state = 335},
  [486] = {.lex_state = 335},
  [487] = {.lex_state = 335},
  [488] = {.lex_state = 172},
  [489] = {.lex_state = 335},
  [490] = {.lex_state = 172},
  [491] = {.lex_state = 335},
  [492] = {.lex_state = 335},
  [493] = {.lex_state = 335},
  [494] = {.lex_state = 335},
  [495] = {.lex_state = 172},
  [496] = {.lex_state = 335},
  [497] = {.lex_state = 335},
  [498] = {.lex_state = 172},
  [499] = {.lex_state = 172},
  [500] = {.lex_state = 335},
  [501] = {.lex_state = 172},
  [502] = {.lex_state = 335},
  [503] = {.lex_state = 335},
  [504] = {.lex_state = 172},
  [505] = {.lex_state = 335},
  [506] = {.lex_state = 172},
  [507] = {.lex_state = 335},
  [508] = {.lex_state = 172},
  [509] = {.lex_state = 335},
  [510] = {.lex_state = 172},
  [511] = {.lex_state = 335},
  [512] = {.lex_state = 172},
  [513] = {.lex_state = 335},
  [514] = {.lex_state = 335},
  [515] = {.lex_state = 335},
  [516] = {.lex_state = 335},
  [517] = {.lex_state = 335},
  [518] = {.lex_state = 335},
  [519] = {.lex_state = 335},
  [520] = {.lex_state = 335},
  [521] = {.lex_state = 172},
  [522] = {.lex_state = 172},
  [523] = {.lex_state = 335},
  [524] = {.lex_state = 335},
  [525] = {.lex_state = 335},
  [526] = {.lex_state = 335},
  [527] = {.lex_state = 172},
  [528] = {.lex_state = 335},
  [529] = {.lex_state = 172},
  [530] = {.lex_state = 172},
  [531] = {.lex_state = 172},
  [532] = {.lex_state = 335},
  [533] = {.lex_state = 335},
  [534] = {.lex_state = 335},
  [535] = {.lex_state = 335},
  [536] = {.lex_state = 172},
  [537] = {.lex_state = 335},
  [538] = {.lex_state = 335},
  [539] = {.lex_state = 172},
  [540] = {.lex_state = 172},
  [541] = {.lex_state = 335},
  [542] = {.lex_state = 335},
  [543] = {.lex_state = 172},
  [544] = {.lex_state = 335},
  [545] = {.lex_state = 335},
  [546] = {.lex_state = 172},
  [547] = {.lex_state = 335},
  [548] = {.lex_state = 335},
  [549] = {.lex_state = 172},
  [550] = {.lex_state = 172},
  [551] = {.lex_state = 172},
  [552] = {.lex_state = 335},
  [553] = {.lex_state = 335},
  [554] = {.lex_state = 172},
  [555] = {.lex_state = 335},
  [556] = {.lex_state = 335},
  [557] = {.lex_state = 335},
  [558] = {.lex_state = 335},
  [559] = {.lex_state = 335},
  [560] = {.lex_state = 335},
  [561] = {.lex_state = 335},
  [562] = {.lex_state = 172},
  [563] = {.lex_state = 335},
  [564] = {.lex_state = 172},
  [565] = {.lex_state = 172},
  [566] = {.lex_state = 172},
  [567] = {.lex_state = 172},
  [568] = {.lex_state = 335},
  [569] = {.lex_state = 335},
  [570] = {.lex_state = 335},
  [571] = {.lex_state = 335},
  [572] = {.lex_state = 335},
  [573] = {.lex_state = 172},
  [574] = {.lex_state = 172},
  [575] = {.lex_state = 172},
  [576] = {.lex_state = 172},
  [577] = {.lex_state = 335},
  [578] = {.lex_state = 335},
  [579] = {.lex_state = 172},
  [580] = {.lex_state = 172},
  [581] = {.lex_state = 172},
  [582] = {.lex_state = 335},
  [583] = {.lex_state = 172},
  [584] = {.lex_state = 172},
  [585] = {.lex_state = 172},
  [586] = {.lex_state = 172},
  [587] = {.lex_state = 172},
  [588] = {.lex_state = 335},
  [589] = {.lex_state = 172},
  [590] = {.lex_state = 335},
  [591] = {.lex_state = 172},
  [592] = {.lex_state = 335},
  [593] = {.lex_state = 172},
  [594] = {.lex_state = 172},
  [595] = {.lex_state = 172},
  [596] = {.lex_state = 335},
  [597] = {.lex_state = 172},
  [598] = {.lex_state = 335},
  [599] = {.lex_state = 335},
  [600] = {.lex_state = 335},
  [601] = {.lex_state = 172},
  [602] = {.lex_state = 172},
  [603] = {.lex_state = 172},
  [604] = {.lex_state = 172},
  [605] = {.lex_state = 172},
  [606] = {.lex_state = 335},
  [607] = {.lex_state = 172},
  [608] = {.lex_state = 335},
  [609] = {.lex_state = 335},
  [610] = {.lex_state = 335},
  [611] = {.lex_state = 335},
  [612] = {.lex_state = 335},
  [613] = {.lex_state = 335},
  [614] = {.lex_state = 335},
  [615] = {.lex_state = 335},
  [616] = {.lex_state = 335},
  [617] = {.lex_state = 335},
  [618] = {.lex_state = 335},
  [619] = {.lex_state = 335},
  [620] = {.lex_state = 335},
  [621] = {.lex_state = 335},
  [622] = {.lex_state = 172},
  [623] = {.lex_state = 335},
  [624] = {.lex_state = 172},
  [625] = {.lex_state = 335},
  [626] = {.lex_state = 172},
  [627] = {.lex_state = 172},
  [628] = {.lex_state = 172},
  [629] = {.lex_state = 335},
  [630] = {.lex_state = 335},
  [631] = {.lex_state = 172},
  [632] = {.lex_state = 335},
  [633] = {.lex_state = 238},
  [634] = {.lex_state = 172},
  [635] = {.lex_state = 335},
  [636] = {.lex_state = 172},
  [637] = {.lex_state = 172},
  [638] = {.lex_state = 335},
  [639] = {.lex_state = 172},
  [640] = {.lex_state = 335},
  [641] = {.lex_state = 172},
  [642] = {.lex_state = 172},
  [643] = {.lex_state = 172},
  [644] = {.lex_state = 172},
  [645] = {.lex_state = 172},
  [646] = {.lex_state = 172},
  [647] = {.lex_state = 172},
  [648] = {.lex_state = 172},
  [649] = {.lex_state = 172},
  [650] = {.lex_state = 172},
  [651] = {.lex_state = 172},
  [652] = {.lex_state = 172},
  [653] = {.lex_state = 172},
  [654] = {.lex_state = 335},
  [655] = {.lex_state = 335},
  [656] = {.lex_state = 172},
  [657] = {.lex_state = 335},
  [658] = {.lex_state = 335},
  [659] = {.lex_state = 172},
  [660] = {.lex_state = 335},
  [661] = {.lex_state = 172},
  [662] = {.lex_state = 335},
  [663] = {.lex_state = 335},
  [664] = {.lex_state = 335},
  [665] = {.lex_state = 335},
  [666] = {.lex_state = 163},
  [667] = {.lex_state = 335},
  [668] = {.lex_state = 335},
  [669] = {.lex_state = 335},
  [670] = {.lex_state = 335},
  [671] = {.lex_state = 335},
  [672] = {.lex_state = 335},
  [673] = {.lex_state = 335},
  [674] = {.lex_state = 335},
  [675] = {.lex_state = 335},
  [676] = {.lex_state = 335},
  [677] = {.lex_state = 335},
  [678] = {.lex_state = 335},
  [679] = {.lex_state = 335},
  [680] = {.lex_state = 335},
  [681] = {.lex_state = 335},
  [682] = {.lex_state = 335},
  [683] = {.lex_state = 335},
  [684] = {.lex_state = 335},
  [685] = {.lex_state = 335},
  [686] = {.lex_state = 335},
  [687] = {.lex_state = 335},
  [688] = {.lex_state = 335},
  [689] = {.lex_state = 335},
  [690] = {.lex_state = 335},
  [691] = {.lex_state = 335},
  [692] = {.lex_state = 335},
  [693] = {.lex_state = 335},
  [694] = {.lex_state = 335},
  [695] = {.lex_state = 335},
  [696] = {.lex_state = 335},
  [697] = {.lex_state = 335},
  [698] = {.lex_state = 335},
  [699] = {.lex_state = 335},
  [700] = {.lex_state = 335},
  [701] = {.lex_state = 335},
  [702] = {.lex_state = 335},
  [703] = {.lex_state = 335},
  [704] = {.lex_state = 335},
  [705] = {.lex_state = 335},
  [706] = {.lex_state = 335},
  [707] = {.lex_state = 335},
  [708] = {.lex_state = 335},
  [709] = {.lex_state = 335},
  [710] = {.lex_state = 335},
  [711] = {.lex_state = 335},
  [712] = {.lex_state = 335},
  [713] = {.lex_state = 335},
  [714] = {.lex_state = 335},
  [715] = {.lex_state = 335},
  [716] = {.lex_state = 335},
  [717] = {.lex_state = 335},
  [718] = {.lex_state = 335},
  [719] = {.lex_state = 335},
  [720] = {.lex_state = 335},
  [721] = {.lex_state = 335},
  [722] = {.lex_state = 335},
  [723] = {.lex_state = 335},
  [724] = {.lex_state = 335},
  [725] = {.lex_state = 335},
  [726] = {.lex_state = 335},
  [727] = {.lex_state = 335},
  [728] = {.lex_state = 335},
  [729] = {.lex_state = 335},
  [730] = {.lex_state = 335},
  [731] = {.lex_state = 335},
  [732] = {.lex_state = 335},
  [733] = {.lex_state = 335},
  [734] = {.lex_state = 335},
  [735] = {.lex_state = 335},
  [736] = {.lex_state = 206},
  [737] = {.lex_state = 236},
  [738] = {.lex_state = 236},
  [739] = {.lex_state = 206},
  [740] = {.lex_state = 236},
  [741] = {.lex_state = 236},
  [742] = {.lex_state = 236},
  [743] = {.lex_state = 236},
  [744] = {.lex_state = 236},
  [745] = {.lex_state = 236},
  [746] = {.lex_state = 236},
  [747] = {.lex_state = 236},
  [748] = {.lex_state = 236},
  [749] = {.lex_state = 236},
  [750] = {.lex_state = 236},
  [751] = {.lex_state = 236},
  [752] = {.lex_state = 236},
  [753] = {.lex_state = 236},
  [754] = {.lex_state = 236},
  [755] = {.lex_state = 236},
  [756] = {.lex_state = 163},
  [757] = {.lex_state = 236},
  [758] = {.lex_state = 206},
  [759] = {.lex_state = 236},
  [760] = {.lex_state = 236},
  [761] = {.lex_state = 163},
  [762] = {.lex_state = 166},
  [763] = {.lex_state = 163},
  [764] = {.lex_state = 163},
  [765] = {.lex_state = 163},
  [766] = {.lex_state = 167},
  [767] = {.lex_state = 167},
  [768] = {.lex_state = 238},
  [769] = {.lex_state = 238},
  [770] = {.lex_state = 238},
  [771] = {.lex_state = 335},
  [772] = {.lex_state = 238},
  [773] = {.lex_state = 238},
  [774] = {.lex_state = 238},
  [775] = {.lex_state = 238},
  [776] = {.lex_state = 335},
  [777] = {.lex_state = 238},
  [778] = {.lex_state = 238},
  [779] = {.lex_state = 238},
  [780] = {.lex_state = 238},
  [781] = {.lex_state = 238},
  [782] = {.lex_state = 238},
  [783] = {.lex_state = 238},
  [784] = {.lex_state = 174},
  [785] = {.lex_state = 174},
  [786] = {.lex_state = 174},
  [787] = {.lex_state = 174},
  [788] = {.lex_state = 174},
  [789] = {.lex_state = 174},
  [790] = {.lex_state = 174},
  [791] = {.lex_state = 174},
  [792] = {.lex_state = 174},
  [793] = {.lex_state = 174},
  [794] = {.lex_state = 174},
  [795] = {.lex_state = 174},
  [796] = {.lex_state = 174},
  [797] = {.lex_state = 174},
  [798] = {.lex_state = 174},
  [799] = {.lex_state = 174},
  [800] = {.lex_state = 174},
  [801] = {.lex_state = 174},
  [802] = {.lex_state = 174},
  [803] = {.lex_state = 174},
  [804] = {.lex_state = 174},
  [805] = {.lex_state = 335},
  [806] = {.lex_state = 186},
  [807] = {.lex_state = 186},
  [808] = {.lex_state = 186},
  [809] = {.lex_state = 186},
  [810] = {.lex_state = 171},
  [811] = {.lex_state = 171},
  [812] = {.lex_state = 186},
  [813] = {.lex_state = 171},
  [814] = {.lex_state = 171},
  [815] = {.lex_state = 171},
  [816] = {.lex_state = 171},
  [817] = {.lex_state = 171},
  [818] = {.lex_state = 173},
  [819] = {.lex_state = 171},
  [820] = {.lex_state = 171},
  [821] = {.lex_state = 171},
  [822] = {.lex_state = 171},
  [823] = {.lex_state = 171},
  [824] = {.lex_state = 171},
  [825] = {.lex_state = 171},
  [826] = {.lex_state = 171},
  [827] = {.lex_state = 171},
  [828] = {.lex_state = 171},
  [829] = {.lex_state = 171},
  [830] = {.lex_state = 171},
  [831] = {.lex_state = 171},
  [832] = {.lex_state = 171},
  [833] = {.lex_state = 171},
  [834] = {.lex_state = 171},
  [835] = {.lex_state = 171},
  [836] = {.lex_state = 171},
  [837] = {.lex_state = 171},
  [838] = {.lex_state = 171},
  [839] = {.lex_state = 171},
  [840] = {.lex_state = 171},
  [841] = {.lex_state = 171},
  [842] = {.lex_state = 171},
  [843] = {.lex_state = 171},
  [844] = {.lex_state = 171},
  [845] = {.lex_state = 171},
  [846] = {.lex_state = 171},
  [847] = {.lex_state = 171},
  [848] = {.lex_state = 171},
  [849] = {.lex_state = 171},
  [850] = {.lex_state = 173},
  [851] = {.lex_state = 171},
  [852] = {.lex_state = 171},
  [853] = {.lex_state = 171},
  [854] = {.lex_state = 171},
  [855] = {.lex_state = 171},
  [856] = {.lex_state = 171},
  [857] = {.lex_state = 171},
  [858] = {.lex_state = 171},
  [859] = {.lex_state = 171},
  [860] = {.lex_state = 238},
  [861] = {.lex_state = 182},
  [862] = {.lex_state = 186},
  [863] = {.lex_state = 186},
  [864] = {.lex_state = 186},
  [865] = {.lex_state = 186},
  [866] = {.lex_state = 186},
  [867] = {.lex_state = 186},
  [868] = {.lex_state = 174},
  [869] = {.lex_state = 174},
  [870] = {.lex_state = 174},
  [871] = {.lex_state = 174},
  [872] = {.lex_state = 174},
  [873] = {.lex_state = 174},
  [874] = {.lex_state = 174},
  [875] = {.lex_state = 174},
  [876] = {.lex_state = 174},
  [877] = {.lex_state = 174},
  [878] = {.lex_state = 174},
  [879] = {.lex_state = 174},
  [880] = {.lex_state = 174},
  [881] = {.lex_state = 174},
  [882] = {.lex_state = 174},
  [883] = {.lex_state = 174},
  [884] = {.lex_state = 174},
  [885] = {.lex_state = 174},
  [886] = {.lex_state = 174},
  [887] = {.lex_state = 174},
  [888] = {.lex_state = 174},
  [889] = {.lex_state = 174},
  [890] = {.lex_state = 174},
  [891] = {.lex_state = 174},
  [892] = {.lex_state = 174},
  [893] = {.lex_state = 174},
  [894] = {.lex_state = 186},
  [895] = {.lex_state = 174},
  [896] = {.lex_state = 174},
  [897] = {.lex_state = 174},
  [898] = {.lex_state = 174},
  [899] = {.lex_state = 174},
  [900] = {.lex_state = 174},
  [901] = {.lex_state = 174},
  [902] = {.lex_state = 174},
  [903] = {.lex_state = 174},
  [904] = {.lex_state = 174},
  [905] = {.lex_state = 174},
  [906] = {.lex_state = 174},
  [907] = {.lex_state = 174},
  [908] = {.lex_state = 174},
  [909] = {.lex_state = 174},
  [910] = {.lex_state = 174},
  [911] = {.lex_state = 174},
  [912] = {.lex_state = 174},
  [913] = {.lex_state = 174},
  [914] = {.lex_state = 174},
  [915] = {.lex_state = 174},
  [916] = {.lex_state = 174},
  [917] = {.lex_state = 174},
  [918] = {.lex_state = 174},
  [919] = {.lex_state = 174},
  [920] = {.lex_state = 175},
  [921] = {.lex_state = 174},
  [922] = {.lex_state = 174},
  [923] = {.lex_state = 174},
  [924] = {.lex_state = 174},
  [925] = {.lex_state = 174},
  [926] = {.lex_state = 174},
  [927] = {.lex_state = 174},
  [928] = {.lex_state = 174},
  [929] = {.lex_state = 175},
  [930] = {.lex_state = 174},
  [931] = {.lex_state = 175},
  [932] = {.lex_state = 174},
  [933] = {.lex_state = 173},
  [934] = {.lex_state = 173},
  [935] = {.lex_state = 173},
  [936] = {.lex_state = 174},
  [937] = {.lex_state = 174},
  [938] = {.lex_state = 174},
  [939] = {.lex_state = 173},
  [940] = {.lex_state = 174},
  [941] = {.lex_state = 174},
  [942] = {.lex_state = 174},
  [943] = {.lex_state = 174},
  [944] = {.lex_state = 174},
  [945] = {.lex_state = 173},
  [946] = {.lex_state = 173},
  [947] = {.lex_state = 174},
  [948] = {.lex_state = 174},
  [949] = {.lex_state = 174},
  [950] = {.lex_state = 174},
  [951] = {.lex_state = 174},
  [952] = {.lex_state = 174},
  [953] = {.lex_state = 174},
  [954] = {.lex_state = 174},
  [955] = {.lex_state = 174},
  [956] = {.lex_state = 174},
  [957] = {.lex_state = 173},
  [958] = {.lex_state = 174},
  [959] = {.lex_state = 173},
  [960] = {.lex_state = 173},
  [961] = {.lex_state = 174},
  [962] = {.lex_state = 174},
  [963] = {.lex_state = 173},
  [964] = {.lex_state = 174},
  [965] = {.lex_state = 174},
  [966] = {.lex_state = 173},
  [967] = {.lex_state = 174},
  [968] = {.lex_state = 173},
  [969] = {.lex_state = 173},
  [970] = {.lex_state = 174},
  [971] = {.lex_state = 173},
  [972] = {.lex_state = 173},
  [973] = {.lex_state = 174},
  [974] = {.lex_state = 173},
  [975] = {.lex_state = 173},
  [976] = {.lex_state = 174},
  [977] = {.lex_state = 174},
  [978] = {.lex_state = 174},
  [979] = {.lex_state = 174},
  [980] = {.lex_state = 174},
  [981] = {.lex_state = 174},
  [982] = {.lex_state = 174},
  [983] = {.lex_state = 174},
  [984] = {.lex_state = 173},
  [985] = {.lex_state = 174},
  [986] = {.lex_state = 174},
  [987] = {.lex_state = 174},
  [988] = {.lex_state = 173},
  [989] = {.lex_state = 173},
  [990] = {.lex_state = 173},
  [991] = {.lex_state = 173},
  [992] = {.lex_state = 173},
  [993] = {.lex_state = 173},
  [994] = {.lex_state = 174},
  [995] = {.lex_state = 174},
  [996] = {.lex_state = 174},
  [997] = {.lex_state = 174},
  [998] = {.lex_state = 173},
  [999] = {.lex_state = 174},
  [1000] = {.lex_state = 174},
  [1001] = {.lex_state = 174},
  [1002] = {.lex_state = 173},
  [1003] = {.lex_state = 174},
  [1004] = {.lex_state = 174},
  [1005] = {.lex_state = 174},
  [1006] = {.lex_state = 174},
  [1007] = {.lex_state = 174},
  [1008] = {.lex_state = 174},
  [1009] = {.lex_state = 174},
  [1010] = {.lex_state = 174},
  [1011] = {.lex_state = 174},
  [1012] = {.lex_state = 174},
  [1013] = {.lex_state = 174},
  [1014] = {.lex_state = 174},
  [1015] = {.lex_state = 174},
  [1016] = {.lex_state = 174},
  [1017] = {.lex_state = 174},
  [1018] = {.lex_state = 174},
  [1019] = {.lex_state = 174},
  [1020] = {.lex_state = 174},
  [1021] = {.lex_state = 174},
  [1022] = {.lex_state = 174},
  [1023] = {.lex_state = 174},
  [1024] = {.lex_state = 174},
  [1025] = {.lex_state = 174},
  [1026] = {.lex_state = 174},
  [1027] = {.lex_state = 174},
  [1028] = {.lex_state = 174},
  [1029] = {.lex_state = 174},
  [1030] = {.lex_state = 174},
  [1031] = {.lex_state = 174},
  [1032] = {.lex_state = 174},
  [1033] = {.lex_state = 174},
  [1034] = {.lex_state = 174},
  [1035] = {.lex_state = 174},
  [1036] = {.lex_state = 174},
  [1037] = {.lex_state = 174},
  [1038] = {.lex_state = 174},
  [1039] = {.lex_state = 174},
  [1040] = {.lex_state = 174},
  [1041] = {.lex_state = 174},
  [1042] = {.lex_state = 174},
  [1043] = {.lex_state = 174},
  [1044] = {.lex_state = 174},
  [1045] = {.lex_state = 174},
  [1046] = {.lex_state = 174},
  [1047] = {.lex_state = 174},
  [1048] = {.lex_state = 174},
  [1049] = {.lex_state = 174},
  [1050] = {.lex_state = 174},
  [1051] = {.lex_state = 174},
  [1052] = {.lex_state = 174},
  [1053] = {.lex_state = 174},
  [1054] = {.lex_state = 174},
  [1055] = {.lex_state = 174},
  [1056] = {.lex_state = 174},
  [1057] = {.lex_state = 174},
  [1058] = {.lex_state = 174},
  [1059] = {.lex_state = 174},
  [1060] = {.lex_state = 174},
  [1061] = {.lex_state = 174},
  [1062] = {.lex_state = 174},
  [1063] = {.lex_state = 174},
  [1064] = {.lex_state = 174},
  [1065] = {.lex_state = 174},
  [1066] = {.lex_state = 174},
  [1067] = {.lex_state = 174},
  [1068] = {.lex_state = 174},
  [1069] = {.lex_state = 174},
  [1070] = {.lex_state = 174},
  [1071] = {.lex_state = 174},
  [1072] = {.lex_state = 174},
  [1073] = {.lex_state = 174},
  [1074] = {.lex_state = 174},
  [1075] = {.lex_state = 174},
  [1076] = {.lex_state = 174},
  [1077] = {.lex_state = 174},
  [1078] = {.lex_state = 174},
  [1079] = {.lex_state = 174},
  [1080] = {.lex_state = 174},
  [1081] = {.lex_state = 174},
  [1082] = {.lex_state = 174},
  [1083] = {.lex_state = 174},
  [1084] = {.lex_state = 174},
  [1085] = {.lex_state = 174},
  [1086] = {.lex_state = 174},
  [1087] = {.lex_state = 174},
  [1088] = {.lex_state = 174},
  [1089] = {.lex_state = 174},
  [1090] = {.lex_state = 174},
  [1091] = {.lex_state = 174},
  [1092] = {.lex_state = 174},
  [1093] = {.lex_state = 174},
  [1094] = {.lex_state = 174},
  [1095] = {.lex_state = 174},
  [1096] = {.lex_state = 174},
  [1097] = {.lex_state = 174},
  [1098] = {.lex_state = 174},
  [1099] = {.lex_state = 174},
  [1100] = {.lex_state = 174},
  [1101] = {.lex_state = 174},
  [1102] = {.lex_state = 174},
  [1103] = {.lex_state = 174},
  [1104] = {.lex_state = 174},
  [1105] = {.lex_state = 174},
  [1106] = {.lex_state = 174},
  [1107] = {.lex_state = 174},
  [1108] = {.lex_state = 174},
  [1109] = {.lex_state = 174},
  [1110] = {.lex_state = 174},
  [1111] = {.lex_state = 174},
  [1112] = {.lex_state = 174},
  [1113] = {.lex_state = 174},
  [1114] = {.lex_state = 174},
  [1115] = {.lex_state = 174},
  [1116] = {.lex_state = 174},
  [1117] = {.lex_state = 174},
  [1118] = {.lex_state = 174},
  [1119] = {.lex_state = 174},
  [1120] = {.lex_state = 174},
  [1121] = {.lex_state = 174},
  [1122] = {.lex_state = 174},
  [1123] = {.lex_state = 174},
  [1124] = {.lex_state = 174},
  [1125] = {.lex_state = 174},
  [1126] = {.lex_state = 174},
  [1127] = {.lex_state = 174},
  [1128] = {.lex_state = 174},
  [1129] = {.lex_state = 174},
  [1130] = {.lex_state = 174},
  [1131] = {.lex_state = 174},
  [1132] = {.lex_state = 174},
  [1133] = {.lex_state = 174},
  [1134] = {.lex_state = 174},
  [1135] = {.lex_state = 174},
  [1136] = {.lex_state = 174},
  [1137] = {.lex_state = 174},
  [1138] = {.lex_state = 174},
  [1139] = {.lex_state = 174},
  [1140] = {.lex_state = 174},
  [1141] = {.lex_state = 174},
  [1142] = {.lex_state = 174},
  [1143] = {.lex_state = 174},
  [1144] = {.lex_state = 174},
  [1145] = {.lex_state = 174},
  [1146] = {.lex_state = 174},
  [1147] = {.lex_state = 174},
  [1148] = {.lex_state = 174},
  [1149] = {.lex_state = 174},
  [1150] = {.lex_state = 174},
  [1151] = {.lex_state = 174},
  [1152] = {.lex_state = 174},
  [1153] = {.lex_state = 174},
  [1154] = {.lex_state = 174},
  [1155] = {.lex_state = 174},
  [1156] = {.lex_state = 174},
  [1157] = {.lex_state = 174},
  [1158] = {.lex_state = 174},
  [1159] = {.lex_state = 174},
  [1160] = {.lex_state = 174},
  [1161] = {.lex_state = 174},
  [1162] = {.lex_state = 174},
  [1163] = {.lex_state = 193},
  [1164] = {.lex_state = 174},
  [1165] = {.lex_state = 174},
  [1166] = {.lex_state = 174},
  [1167] = {.lex_state = 174},
  [1168] = {.lex_state = 174},
  [1169] = {.lex_state = 174},
  [1170] = {.lex_state = 174},
  [1171] = {.lex_state = 174},
  [1172] = {.lex_state = 174},
  [1173] = {.lex_state = 174},
  [1174] = {.lex_state = 174},
  [1175] = {.lex_state = 174},
  [1176] = {.lex_state = 174},
  [1177] = {.lex_state = 174},
  [1178] = {.lex_state = 174},
  [1179] = {.lex_state = 174},
  [1180] = {.lex_state = 174},
  [1181] = {.lex_state = 174},
  [1182] = {.lex_state = 174},
  [1183] = {.lex_state = 174},
  [1184] = {.lex_state = 174},
  [1185] = {.lex_state = 174},
  [1186] = {.lex_state = 174},
  [1187] = {.lex_state = 174},
  [1188] = {.lex_state = 174},
  [1189] = {.lex_state = 174},
  [1190] = {.lex_state = 174},
  [1191] = {.lex_state = 174},
  [1192] = {.lex_state = 174},
  [1193] = {.lex_state = 174},
  [1194] = {.lex_state = 174},
  [1195] = {.lex_state = 174},
  [1196] = {.lex_state = 174},
  [1197] = {.lex_state = 174},
  [1198] = {.lex_state = 174},
  [1199] = {.lex_state = 174},
  [1200] = {.lex_state = 174},
  [1201] = {.lex_state = 174},
  [1202] = {.lex_state = 174},
  [1203] = {.lex_state = 174},
  [1204] = {.lex_state = 174},
  [1205] = {.lex_state = 174},
  [1206] = {.lex_state = 174},
  [1207] = {.lex_state = 174},
  [1208] = {.lex_state = 174},
  [1209] = {.lex_state = 174},
  [1210] = {.lex_state = 174},
  [1211] = {.lex_state = 174},
  [1212] = {.lex_state = 174},
  [1213] = {.lex_state = 174},
  [1214] = {.lex_state = 174},
  [1215] = {.lex_state = 174},
  [1216] = {.lex_state = 174},
  [1217] = {.lex_state = 174},
  [1218] = {.lex_state = 174},
  [1219] = {.lex_state = 174},
  [1220] = {.lex_state = 174},
  [1221] = {.lex_state = 174},
  [1222] = {.lex_state = 193},
  [1223] = {.lex_state = 174},
  [1224] = {.lex_state = 174},
  [1225] = {.lex_state = 174},
  [1226] = {.lex_state = 174},
  [1227] = {.lex_state = 174},
  [1228] = {.lex_state = 174},
  [1229] = {.lex_state = 174},
  [1230] = {.lex_state = 174},
  [1231] = {.lex_state = 174},
  [1232] = {.lex_state = 174},
  [1233] = {.lex_state = 174},
  [1234] = {.lex_state = 174},
  [1235] = {.lex_state = 174},
  [1236] = {.lex_state = 174},
  [1237] = {.lex_state = 174},
  [1238] = {.lex_state = 174},
  [1239] = {.lex_state = 174},
  [1240] = {.lex_state = 174},
  [1241] = {.lex_state = 174},
  [1242] = {.lex_state = 174},
  [1243] = {.lex_state = 174},
  [1244] = {.lex_state = 174},
  [1245] = {.lex_state = 174},
  [1246] = {.lex_state = 174},
  [1247] = {.lex_state = 174},
  [1248] = {.lex_state = 174},
  [1249] = {.lex_state = 174},
  [1250] = {.lex_state = 174},
  [1251] = {.lex_state = 174},
  [1252] = {.lex_state = 174},
  [1253] = {.lex_state = 174},
  [1254] = {.lex_state = 174},
  [1255] = {.lex_state = 174},
  [1256] = {.lex_state = 174},
  [1257] = {.lex_state = 174},
  [1258] = {.lex_state = 174},
  [1259] = {.lex_state = 174},
  [1260] = {.lex_state = 174},
  [1261] = {.lex_state = 174},
  [1262] = {.lex_state = 174},
  [1263] = {.lex_state = 174},
  [1264] = {.lex_state = 174},
  [1265] = {.lex_state = 174},
  [1266] = {.lex_state = 174},
  [1267] = {.lex_state = 174},
  [1268] = {.lex_state = 174},
  [1269] = {.lex_state = 174},
  [1270] = {.lex_state = 174},
  [1271] = {.lex_state = 174},
  [1272] = {.lex_state = 174},
  [1273] = {.lex_state = 174},
  [1274] = {.lex_state = 174},
  [1275] = {.lex_state = 174},
  [1276] = {.lex_state = 174},
  [1277] = {.lex_state = 174},
  [1278] = {.lex_state = 174},
  [1279] = {.lex_state = 174},
  [1280] = {.lex_state = 174},
  [1281] = {.lex_state = 174},
  [1282] = {.lex_state = 174},
  [1283] = {.lex_state = 174},
  [1284] = {.lex_state = 174},
  [1285] = {.lex_state = 174},
  [1286] = {.lex_state = 174},
  [1287] = {.lex_state = 174},
  [1288] = {.lex_state = 174},
  [1289] = {.lex_state = 174},
  [1290] = {.lex_state = 174},
  [1291] = {.lex_state = 174},
  [1292] = {.lex_state = 174},
  [1293] = {.lex_state = 174},
  [1294] = {.lex_state = 174},
  [1295] = {.lex_state = 174},
  [1296] = {.lex_state = 174},
  [1297] = {.lex_state = 174},
  [1298] = {.lex_state = 174},
  [1299] = {.lex_state = 174},
  [1300] = {.lex_state = 174},
  [1301] = {.lex_state = 174},
  [1302] = {.lex_state = 174},
  [1303] = {.lex_state = 174},
  [1304] = {.lex_state = 174},
  [1305] = {.lex_state = 174},
  [1306] = {.lex_state = 174},
  [1307] = {.lex_state = 174},
  [1308] = {.lex_state = 174},
  [1309] = {.lex_state = 174},
  [1310] = {.lex_state = 174},
  [1311] = {.lex_state = 174},
  [1312] = {.lex_state = 174},
  [1313] = {.lex_state = 174},
  [1314] = {.lex_state = 174},
  [1315] = {.lex_state = 174},
  [1316] = {.lex_state = 174},
  [1317] = {.lex_state = 174},
  [1318] = {.lex_state = 174},
  [1319] = {.lex_state = 174},
  [1320] = {.lex_state = 174},
  [1321] = {.lex_state = 174},
  [1322] = {.lex_state = 174},
  [1323] = {.lex_state = 174},
  [1324] = {.lex_state = 174},
  [1325] = {.lex_state = 174},
  [1326] = {.lex_state = 174},
  [1327] = {.lex_state = 174},
  [1328] = {.lex_state = 174},
  [1329] = {.lex_state = 174},
  [1330] = {.lex_state = 193},
  [1331] = {.lex_state = 174},
  [1332] = {.lex_state = 193},
  [1333] = {.lex_state = 193},
  [1334] = {.lex_state = 174},
  [1335] = {.lex_state = 174},
  [1336] = {.lex_state = 174},
  [1337] = {.lex_state = 174},
  [1338] = {.lex_state = 174},
  [1339] = {.lex_state = 174},
  [1340] = {.lex_state = 174},
  [1341] = {.lex_state = 174},
  [1342] = {.lex_state = 174},
  [1343] = {.lex_state = 174},
  [1344] = {.lex_state = 174},
  [1345] = {.lex_state = 174},
  [1346] = {.lex_state = 174},
  [1347] = {.lex_state = 174},
  [1348] = {.lex_state = 174},
  [1349] = {.lex_state = 174},
  [1350] = {.lex_state = 174},
  [1351] = {.lex_state = 193},
  [1352] = {.lex_state = 193},
  [1353] = {.lex_state = 174},
  [1354] = {.lex_state = 174},
  [1355] = {.lex_state = 193},
  [1356] = {.lex_state = 174},
  [1357] = {.lex_state = 174},
  [1358] = {.lex_state = 174},
  [1359] = {.lex_state = 174},
  [1360] = {.lex_state = 174},
  [1361] = {.lex_state = 174},
  [1362] = {.lex_state = 174},
  [1363] = {.lex_state = 174},
  [1364] = {.lex_state = 174},
  [1365] = {.lex_state = 174},
  [1366] = {.lex_state = 174},
  [1367] = {.lex_state = 174},
  [1368] = {.lex_state = 174},
  [1369] = {.lex_state = 174},
  [1370] = {.lex_state = 174},
  [1371] = {.lex_state = 174},
  [1372] = {.lex_state = 174},
  [1373] = {.lex_state = 174},
  [1374] = {.lex_state = 174},
  [1375] = {.lex_state = 174},
  [1376] = {.lex_state = 174},
  [1377] = {.lex_state = 174},
  [1378] = {.lex_state = 174},
  [1379] = {.lex_state = 174},
  [1380] = {.lex_state = 174},
  [1381] = {.lex_state = 174},
  [1382] = {.lex_state = 174},
  [1383] = {.lex_state = 174},
  [1384] = {.lex_state = 174},
  [1385] = {.lex_state = 174},
  [1386] = {.lex_state = 174},
  [1387] = {.lex_state = 174},
  [1388] = {.lex_state = 174},
  [1389] = {.lex_state = 174},
  [1390] = {.lex_state = 174},
  [1391] = {.lex_state = 174},
  [1392] = {.lex_state = 174},
  [1393] = {.lex_state = 174},
  [1394] = {.lex_state = 174},
  [1395] = {.lex_state = 174},
  [1396] = {.lex_state = 174},
  [1397] = {.lex_state = 174},
  [1398] = {.lex_state = 174},
  [1399] = {.lex_state = 174},
  [1400] = {.lex_state = 174},
  [1401] = {.lex_state = 174},
  [1402] = {.lex_state = 174},
  [1403] = {.lex_state = 174},
  [1404] = {.lex_state = 174},
  [1405] = {.lex_state = 174},
  [1406] = {.lex_state = 174},
  [1407] = {.lex_state = 174},
  [1408] = {.lex_state = 174},
  [1409] = {.lex_state = 174},
  [1410] = {.lex_state = 174},
  [1411] = {.lex_state = 174},
  [1412] = {.lex_state = 174},
  [1413] = {.lex_state = 174},
  [1414] = {.lex_state = 174},
  [1415] = {.lex_state = 174},
  [1416] = {.lex_state = 174},
  [1417] = {.lex_state = 174},
  [1418] = {.lex_state = 174},
  [1419] = {.lex_state = 174},
  [1420] = {.lex_state = 174},
  [1421] = {.lex_state = 174},
  [1422] = {.lex_state = 174},
  [1423] = {.lex_state = 174},
  [1424] = {.lex_state = 174},
  [1425] = {.lex_state = 174},
  [1426] = {.lex_state = 174},
  [1427] = {.lex_state = 174},
  [1428] = {.lex_state = 174},
  [1429] = {.lex_state = 174},
  [1430] = {.lex_state = 174},
  [1431] = {.lex_state = 174},
  [1432] = {.lex_state = 174},
  [1433] = {.lex_state = 174},
  [1434] = {.lex_state = 174},
  [1435] = {.lex_state = 174},
  [1436] = {.lex_state = 174},
  [1437] = {.lex_state = 174},
  [1438] = {.lex_state = 174},
  [1439] = {.lex_state = 174},
  [1440] = {.lex_state = 174},
  [1441] = {.lex_state = 174},
  [1442] = {.lex_state = 174},
  [1443] = {.lex_state = 174},
  [1444] = {.lex_state = 174},
  [1445] = {.lex_state = 174},
  [1446] = {.lex_state = 174},
  [1447] = {.lex_state = 174},
  [1448] = {.lex_state = 174},
  [1449] = {.lex_state = 174},
  [1450] = {.lex_state = 174},
  [1451] = {.lex_state = 174},
  [1452] = {.lex_state = 174},
  [1453] = {.lex_state = 174},
  [1454] = {.lex_state = 174},
  [1455] = {.lex_state = 174},
  [1456] = {.lex_state = 174},
  [1457] = {.lex_state = 174},
  [1458] = {.lex_state = 174},
  [1459] = {.lex_state = 174},
  [1460] = {.lex_state = 174},
  [1461] = {.lex_state = 174},
  [1462] = {.lex_state = 174},
  [1463] = {.lex_state = 174},
  [1464] = {.lex_state = 174},
  [1465] = {.lex_state = 174},
  [1466] = {.lex_state = 174},
  [1467] = {.lex_state = 174},
  [1468] = {.lex_state = 174},
  [1469] = {.lex_state = 174},
  [1470] = {.lex_state = 174},
  [1471] = {.lex_state = 174},
  [1472] = {.lex_state = 174},
  [1473] = {.lex_state = 174},
  [1474] = {.lex_state = 174},
  [1475] = {.lex_state = 174},
  [1476] = {.lex_state = 174},
  [1477] = {.lex_state = 174},
  [1478] = {.lex_state = 174},
  [1479] = {.lex_state = 174},
  [1480] = {.lex_state = 174},
  [1481] = {.lex_state = 174},
  [1482] = {.lex_state = 174},
  [1483] = {.lex_state = 174},
  [1484] = {.lex_state = 174},
  [1485] = {.lex_state = 174},
  [1486] = {.lex_state = 174},
  [1487] = {.lex_state = 174},
  [1488] = {.lex_state = 174},
  [1489] = {.lex_state = 174},
  [1490] = {.lex_state = 174},
  [1491] = {.lex_state = 174},
  [1492] = {.lex_state = 174},
  [1493] = {.lex_state = 174},
  [1494] = {.lex_state = 174},
  [1495] = {.lex_state = 174},
  [1496] = {.lex_state = 174},
  [1497] = {.lex_state = 193},
  [1498] = {.lex_state = 238},
  [1499] = {.lex_state = 238},
  [1500] = {.lex_state = 238},
  [1501] = {.lex_state = 238},
  [1502] = {.lex_state = 238},
  [1503] = {.lex_state = 171},
  [1504] = {.lex_state = 171},
  [1505] = {.lex_state = 238},
  [1506] = {.lex_state = 171},
  [1507] = {.lex_state = 192},
  [1508] = {.lex_state = 182},
  [1509] = {.lex_state = 193},
  [1510] = {.lex_state = 193},
  [1511] = {.lex_state = 192},
  [1512] = {.lex_state = 193},
  [1513] = {.lex_state = 192},
  [1514] = {.lex_state = 192},
  [1515] = {.lex_state = 192},
  [1516] = {.lex_state = 192},
  [1517] = {.lex_state = 192},
  [1518] = {.lex_state = 192},
  [1519] = {.lex_state = 192},
  [1520] = {.lex_state = 183},
  [1521] = {.lex_state = 223},
  [1522] = {.lex_state = 223},
  [1523] = {.lex_state = 223},
  [1524] = {.lex_state = 223},
  [1525] = {.lex_state = 223},
  [1526] = {.lex_state = 223},
  [1527] = {.lex_state = 187},
  [1528] = {.lex_state = 193},
  [1529] = {.lex_state = 223},
  [1530] = {.lex_state = 177},
  [1531] = {.lex_state = 192},
  [1532] = {.lex_state = 192},
  [1533] = {.lex_state = 192},
  [1534] = {.lex_state = 192},
  [1535] = {.lex_state = 192},
  [1536] = {.lex_state = 192},
  [1537] = {.lex_state = 192},
  [1538] = {.lex_state = 192},
  [1539] = {.lex_state = 194},
  [1540] = {.lex_state = 194},
  [1541] = {.lex_state = 194},
  [1542] = {.lex_state = 194},
  [1543] = {.lex_state = 194},
  [1544] = {.lex_state = 194},
  [1545] = {.lex_state = 194},
  [1546] = {.lex_state = 223},
  [1547] = {.lex_state = 238},
  [1548] = {.lex_state = 238},
  [1549] = {.lex_state = 238},
  [1550] = {.lex_state = 238},
  [1551] = {.lex_state = 238},
  [1552] = {.lex_state = 238},
  [1553] = {.lex_state = 238},
  [1554] = {.lex_state = 238},
  [1555] = {.lex_state = 238},
  [1556] = {.lex_state = 238},
  [1557] = {.lex_state = 238},
  [1558] = {.lex_state = 238},
  [1559] = {.lex_state = 238},
  [1560] = {.lex_state = 238},
  [1561] = {.lex_state = 238},
  [1562] = {.lex_state = 238},
  [1563] = {.lex_state = 238},
  [1564] = {.lex_state = 238},
  [1565] = {.lex_state = 238},
  [1566] = {.lex_state = 238},
  [1567] = {.lex_state = 238},
  [1568] = {.lex_state = 238},
  [1569] = {.lex_state = 238},
  [1570] = {.lex_state = 238},
  [1571] = {.lex_state = 238},
  [1572] = {.lex_state = 238},
  [1573] = {.lex_state = 177},
  [1574] = {.lex_state = 238},
  [1575] = {.lex_state = 179},
  [1576] = {.lex_state = 179},
  [1577] = {.lex_state = 238},
  [1578] = {.lex_state = 179},
  [1579] = {.lex_state = 238},
  [1580] = {.lex_state = 223},
  [1581] = {.lex_state = 207},
  [1582] = {.lex_state = 207},
  [1583] = {.lex_state = 207},
  [1584] = {.lex_state = 202},
  [1585] = {.lex_state = 223},
  [1586] = {.lex_state = 207},
  [1587] = {.lex_state = 238},
  [1588] = {.lex_state = 207},
  [1589] = {.lex_state = 207},
  [1590] = {.lex_state = 207},
  [1591] = {.lex_state = 171},
  [1592] = {.lex_state = 171},
  [1593] = {.lex_state = 214},
  [1594] = {.lex_state = 214},
  [1595] = {.lex_state = 214},
  [1596] = {.lex_state = 214},
  [1597] = {.lex_state = 214},
  [1598] = {.lex_state = 214},
  [1599] = {.lex_state = 214},
  [1600] = {.lex_state = 192},
  [1601] = {.lex_state = 238},
  [1602] = {.lex_state = 238},
  [1603] = {.lex_state = 179},
  [1604] = {.lex_state = 179},
  [1605] = {.lex_state = 179},
  [1606] = {.lex_state = 238},
  [1607] = {.lex_state = 179},
  [1608] = {.lex_state = 238},
  [1609] = {.lex_state = 238},
  [1610] = {.lex_state = 174},
  [1611] = {.lex_state = 238},
  [1612] = {.lex_state = 238},
  [1613] = {.lex_state = 192},
  [1614] = {.lex_state = 238},
  [1615] = {.lex_state = 238},
  [1616] = {.lex_state = 196},
  [1617] = {.lex_state = 177},
  [1618] = {.lex_state = 238},
  [1619] = {.lex_state = 238},
  [1620] = {.lex_state = 197},
  [1621] = {.lex_state = 207},
  [1622] = {.lex_state = 238},
  [1623] = {.lex_state = 202},
  [1624] = {.lex_state = 223},
  [1625] = {.lex_state = 224},
  [1626] = {.lex_state = 214},
  [1627] = {.lex_state = 224},
  [1628] = {.lex_state = 238},
  [1629] = {.lex_state = 224},
  [1630] = {.lex_state = 223},
  [1631] = {.lex_state = 223},
  [1632] = {.lex_state = 223},
  [1633] = {.lex_state = 223},
  [1634] = {.lex_state = 224},
  [1635] = {.lex_state = 224},
  [1636] = {.lex_state = 223},
  [1637] = {.lex_state = 223},
  [1638] = {.lex_state = 238},
  [1639] = {.lex_state = 224},
  [1640] = {.lex_state = 224},
  [1641] = {.lex_state = 223},
  [1642] = {.lex_state = 224},
  [1643] = {.lex_state = 223},
  [1644] = {.lex_state = 223},
  [1645] = {.lex_state = 207},
  [1646] = {.lex_state = 224},
  [1647] = {.lex_state = 224},
  [1648] = {.lex_state = 224},
  [1649] = {.lex_state = 224},
  [1650] = {.lex_state = 224},
  [1651] = {.lex_state = 238},
  [1652] = {.lex_state = 223},
  [1653] = {.lex_state = 238},
  [1654] = {.lex_state = 238},
  [1655] = {.lex_state = 238},
  [1656] = {.lex_state = 238},
  [1657] = {.lex_state = 238},
  [1658] = {.lex_state = 238},
  [1659] = {.lex_state = 194},
  [1660] = {.lex_state = 202},
  [1661] = {.lex_state = 174},
  [1662] = {.lex_state = 202},
  [1663] = {.lex_state = 179},
  [1664] = {.lex_state = 179},
  [1665] = {.lex_state = 202},
  [1666] = {.lex_state = 202},
  [1667] = {.lex_state = 202},
  [1668] = {.lex_state = 202},
  [1669] = {.lex_state = 202},
  [1670] = {.lex_state = 214},
  [1671] = {.lex_state = 202},
  [1672] = {.lex_state = 202},
  [1673] = {.lex_state = 202},
  [1674] = {.lex_state = 202},
  [1675] = {.lex_state = 202},
  [1676] = {.lex_state = 238},
  [1677] = {.lex_state = 238},
  [1678] = {.lex_state = 238},
  [1679] = {.lex_state = 238},
  [1680] = {.lex_state = 238},
  [1681] = {.lex_state = 238},
  [1682] = {.lex_state = 238},
  [1683] = {.lex_state = 238},
  [1684] = {.lex_state = 202},
  [1685] = {.lex_state = 202},
  [1686] = {.lex_state = 202},
  [1687] = {.lex_state = 194},
  [1688] = {.lex_state = 202},
  [1689] = {.lex_state = 202},
  [1690] = {.lex_state = 238},
  [1691] = {.lex_state = 238},
  [1692] = {.lex_state = 238},
  [1693] = {.lex_state = 238},
  [1694] = {.lex_state = 238},
  [1695] = {.lex_state = 238},
  [1696] = {.lex_state = 238},
  [1697] = {.lex_state = 202},
  [1698] = {.lex_state = 238},
  [1699] = {.lex_state = 238},
  [1700] = {.lex_state = 238},
  [1701] = {.lex_state = 238},
  [1702] = {.lex_state = 238},
  [1703] = {.lex_state = 238},
  [1704] = {.lex_state = 238},
  [1705] = {.lex_state = 238},
  [1706] = {.lex_state = 238},
  [1707] = {.lex_state = 238},
  [1708] = {.lex_state = 194},
  [1709] = {.lex_state = 238},
  [1710] = {.lex_state = 238},
  [1711] = {.lex_state = 238},
  [1712] = {.lex_state = 238},
  [1713] = {.lex_state = 238},
  [1714] = {.lex_state = 238},
  [1715] = {.lex_state = 238},
  [1716] = {.lex_state = 238},
  [1717] = {.lex_state = 202},
  [1718] = {.lex_state = 202},
  [1719] = {.lex_state = 202},
  [1720] = {.lex_state = 202},
  [1721] = {.lex_state = 238},
  [1722] = {.lex_state = 196},
  [1723] = {.lex_state = 238},
  [1724] = {.lex_state = 202},
  [1725] = {.lex_state = 202},
  [1726] = {.lex_state = 202},
  [1727] = {.lex_state = 238},
  [1728] = {.lex_state = 238},
  [1729] = {.lex_state = 202},
  [1730] = {.lex_state = 238},
  [1731] = {.lex_state = 202},
  [1732] = {.lex_state = 202},
  [1733] = {.lex_state = 202},
  [1734] = {.lex_state = 238},
  [1735] = {.lex_state = 238},
  [1736] = {.lex_state = 202},
  [1737] = {.lex_state = 196},
  [1738] = {.lex_state = 202},
  [1739] = {.lex_state = 238},
  [1740] = {.lex_state = 238},
  [1741] = {.lex_state = 238},
  [1742] = {.lex_state = 238},
  [1743] = {.lex_state = 238},
  [1744] = {.lex_state = 238},
  [1745] = {.lex_state = 238},
  [1746] = {.lex_state = 238},
  [1747] = {.lex_state = 238},
  [1748] = {.lex_state = 196},
  [1749] = {.lex_state = 238},
  [1750] = {.lex_state = 238},
  [1751] = {.lex_state = 238},
  [1752] = {.lex_state = 238},
  [1753] = {.lex_state = 238},
  [1754] = {.lex_state = 196},
  [1755] = {.lex_state = 238},
  [1756] = {.lex_state = 238},
  [1757] = {.lex_state = 238},
  [1758] = {.lex_state = 238},
  [1759] = {.lex_state = 238},
  [1760] = {.lex_state = 238},
  [1761] = {.lex_state = 202},
  [1762] = {.lex_state = 202},
  [1763] = {.lex_state = 238},
  [1764] = {.lex_state = 202},
  [1765] = {.lex_state = 238},
  [1766] = {.lex_state = 238},
  [1767] = {.lex_state = 238},
  [1768] = {.lex_state = 238},
  [1769] = {.lex_state = 238},
  [1770] = {.lex_state = 238},
  [1771] = {.lex_state = 238},
  [1772] = {.lex_state = 238},
  [1773] = {.lex_state = 238},
  [1774] = {.lex_state = 238},
  [1775] = {.lex_state = 238},
  [1776] = {.lex_state = 238},
  [1777] = {.lex_state = 238},
  [1778] = {.lex_state = 174},
  [1779] = {.lex_state = 238},
  [1780] = {.lex_state = 238},
  [1781] = {.lex_state = 238},
  [1782] = {.lex_state = 238},
  [1783] = {.lex_state = 202},
  [1784] = {.lex_state = 202},
  [1785] = {.lex_state = 202},
  [1786] = {.lex_state = 202},
  [1787] = {.lex_state = 238},
  [1788] = {.lex_state = 238},
  [1789] = {.lex_state = 238},
  [1790] = {.lex_state = 238},
  [1791] = {.lex_state = 238},
  [1792] = {.lex_state = 238},
  [1793] = {.lex_state = 238},
  [1794] = {.lex_state = 202},
  [1795] = {.lex_state = 201},
  [1796] = {.lex_state = 202},
  [1797] = {.lex_state = 206},
  [1798] = {.lex_state = 194},
  [1799] = {.lex_state = 194},
  [1800] = {.lex_state = 238},
  [1801] = {.lex_state = 194},
  [1802] = {.lex_state = 194},
  [1803] = {.lex_state = 194},
  [1804] = {.lex_state = 236},
  [1805] = {.lex_state = 182},
  [1806] = {.lex_state = 182},
  [1807] = {.lex_state = 177},
  [1808] = {.lex_state = 238},
  [1809] = {.lex_state = 203},
  [1810] = {.lex_state = 177},
  [1811] = {.lex_state = 177},
  [1812] = {.lex_state = 186},
  [1813] = {.lex_state = 194},
  [1814] = {.lex_state = 203},
  [1815] = {.lex_state = 236},
  [1816] = {.lex_state = 236},
  [1817] = {.lex_state = 238},
  [1818] = {.lex_state = 186},
  [1819] = {.lex_state = 179},
  [1820] = {.lex_state = 179},
  [1821] = {.lex_state = 186},
  [1822] = {.lex_state = 206},
  [1823] = {.lex_state = 206},
  [1824] = {.lex_state = 206},
  [1825] = {.lex_state = 236},
  [1826] = {.lex_state = 236},
  [1827] = {.lex_state = 238},
  [1828] = {.lex_state = 179},
  [1829] = {.lex_state = 177},
  [1830] = {.lex_state = 194},
  [1831] = {.lex_state = 185},
  [1832] = {.lex_state = 177},
  [1833] = {.lex_state = 203},
  [1834] = {.lex_state = 179},
  [1835] = {.lex_state = 183},
  [1836] = {.lex_state = 206},
  [1837] = {.lex_state = 185},
  [1838] = {.lex_state = 183},
  [1839] = {.lex_state = 177},
  [1840] = {.lex_state = 196},
  [1841] = {.lex_state = 177},
  [1842] = {.lex_state = 203},
  [1843] = {.lex_state = 177},
  [1844] = {.lex_state = 196},
  [1845] = {.lex_state = 196},
  [1846] = {.lex_state = 177},
  [1847] = {.lex_state = 203},
  [1848] = {.lex_state = 237},
  [1849] = {.lex_state = 237},
  [1850] = {.lex_state = 185},
  [1851] = {.lex_state = 203},
  [1852] = {.lex_state = 238},
  [1853] = {.lex_state = 238},
  [1854] = {.lex_state = 179},
  [1855] = {.lex_state = 238},
  [1856] = {.lex_state = 206},
  [1857] = {.lex_state = 238},
  [1858] = {.lex_state = 203},
  [1859] = {.lex_state = 238},
  [1860] = {.lex_state = 177},
  [1861] = {.lex_state = 238},
  [1862] = {.lex_state = 177},
  [1863] = {.lex_state = 236},
  [1864] = {.lex_state = 203},
  [1865] = {.lex_state = 203},
  [1866] = {.lex_state = 177},
  [1867] = {.lex_state = 203},
  [1868] = {.lex_state = 238},
  [1869] = {.lex_state = 236},
  [1870] = {.lex_state = 196},
  [1871] = {.lex_state = 195},
  [1872] = {.lex_state = 196},
  [1873] = {.lex_state = 196},
  [1874] = {.lex_state = 238},
  [1875] = {.lex_state = 195},
  [1876] = {.lex_state = 179},
  [1877] = {.lex_state = 203},
  [1878] = {.lex_state = 197},
  [1879] = {.lex_state = 189},
  [1880] = {.lex_state = 196},
  [1881] = {.lex_state = 197},
  [1882] = {.lex_state = 196},
  [1883] = {.lex_state = 189},
  [1884] = {.lex_state = 196},
  [1885] = {.lex_state = 196},
  [1886] = {.lex_state = 196},
  [1887] = {.lex_state = 196},
  [1888] = {.lex_state = 194},
  [1889] = {.lex_state = 179},
  [1890] = {.lex_state = 194},
  [1891] = {.lex_state = 195},
  [1892] = {.lex_state = 206},
  [1893] = {.lex_state = 195},
  [1894] = {.lex_state = 179},
  [1895] = {.lex_state = 238},
  [1896] = {.lex_state = 196},
  [1897] = {.lex_state = 206},
  [1898] = {.lex_state = 189},
  [1899] = {.lex_state = 238},
  [1900] = {.lex_state = 196},
  [1901] = {.lex_state = 197},
  [1902] = {.lex_state = 238},
  [1903] = {.lex_state = 206},
  [1904] = {.lex_state = 197},
  [1905] = {.lex_state = 196},
  [1906] = {.lex_state = 179},
  [1907] = {.lex_state = 195},
  [1908] = {.lex_state = 236},
  [1909] = {.lex_state = 194},
  [1910] = {.lex_state = 194},
  [1911] = {.lex_state = 187},
  [1912] = {.lex_state = 194},
  [1913] = {.lex_state = 238},
  [1914] = {.lex_state = 238},
  [1915] = {.lex_state = 196},
  [1916] = {.lex_state = 187},
  [1917] = {.lex_state = 177},
  [1918] = {.lex_state = 236},
  [1919] = {.lex_state = 238},
  [1920] = {.lex_state = 177},
  [1921] = {.lex_state = 206},
  [1922] = {.lex_state = 196},
  [1923] = {.lex_state = 236},
  [1924] = {.lex_state = 236},
  [1925] = {.lex_state = 196},
  [1926] = {.lex_state = 239},
  [1927] = {.lex_state = 236},
  [1928] = {.lex_state = 236},
  [1929] = {.lex_state = 196},
  [1930] = {.lex_state = 206},
  [1931] = {.lex_state = 196},
  [1932] = {.lex_state = 206},
  [1933] = {.lex_state = 185},
  [1934] = {.lex_state = 206},
  [1935] = {.lex_state = 236},
  [1936] = {.lex_state = 236},
  [1937] = {.lex_state = 236},
  [1938] = {.lex_state = 237},
  [1939] = {.lex_state = 206},
  [1940] = {.lex_state = 206},
  [1941] = {.lex_state = 236},
  [1942] = {.lex_state = 196},
  [1943] = {.lex_state = 236},
  [1944] = {.lex_state = 236},
  [1945] = {.lex_state = 236},
  [1946] = {.lex_state = 206},
  [1947] = {.lex_state = 236},
  [1948] = {.lex_state = 236},
  [1949] = {.lex_state = 236},
  [1950] = {.lex_state = 194},
  [1951] = {.lex_state = 206},
  [1952] = {.lex_state = 206},
  [1953] = {.lex_state = 206},
  [1954] = {.lex_state = 236},
  [1955] = {.lex_state = 194},
  [1956] = {.lex_state = 236},
  [1957] = {.lex_state = 194},
  [1958] = {.lex_state = 236},
  [1959] = {.lex_state = 236},
  [1960] = {.lex_state = 236},
  [1961] = {.lex_state = 236},
  [1962] = {.lex_state = 236},
  [1963] = {.lex_state = 236},
  [1964] = {.lex_state = 236},
  [1965] = {.lex_state = 194},
  [1966] = {.lex_state = 195},
  [1967] = {.lex_state = 236},
  [1968] = {.lex_state = 195},
  [1969] = {.lex_state = 195},
  [1970] = {.lex_state = 196},
  [1971] = {.lex_state = 196},
  [1972] = {.lex_state = 236},
  [1973] = {.lex_state = 196},
  [1974] = {.lex_state = 236},
  [1975] = {.lex_state = 236},
  [1976] = {.lex_state = 196},
  [1977] = {.lex_state = 195},
  [1978] = {.lex_state = 196},
  [1979] = {.lex_state = 236},
  [1980] = {.lex_state = 196},
  [1981] = {.lex_state = 236},
  [1982] = {.lex_state = 236},
  [1983] = {.lex_state = 236},
  [1984] = {.lex_state = 236},
  [1985] = {.lex_state = 236},
  [1986] = {.lex_state = 196},
  [1987] = {.lex_state = 236},
  [1988] = {.lex_state = 236},
  [1989] = {.lex_state = 236},
  [1990] = {.lex_state = 194},
  [1991] = {.lex_state = 194},
  [1992] = {.lex_state = 206},
  [1993] = {.lex_state = 196},
  [1994] = {.lex_state = 236},
  [1995] = {.lex_state = 236},
  [1996] = {.lex_state = 206},
  [1997] = {.lex_state = 228},
  [1998] = {.lex_state = 236},
  [1999] = {.lex_state = 236},
  [2000] = {.lex_state = 195},
  [2001] = {.lex_state = 236},
  [2002] = {.lex_state = 236},
  [2003] = {.lex_state = 236},
  [2004] = {.lex_state = 236},
  [2005] = {.lex_state = 236},
  [2006] = {.lex_state = 236},
  [2007] = {.lex_state = 236},
  [2008] = {.lex_state = 236},
  [2009] = {.lex_state = 196},
  [2010] = {.lex_state = 236},
  [2011] = {.lex_state = 236},
  [2012] = {.lex_state = 236},
  [2013] = {.lex_state = 236},
  [2014] = {.lex_state = 236},
  [2015] = {.lex_state = 236},
  [2016] = {.lex_state = 236},
  [2017] = {.lex_state = 236},
  [2018] = {.lex_state = 236},
  [2019] = {.lex_state = 206},
  [2020] = {.lex_state = 236},
  [2021] = {.lex_state = 206},
  [2022] = {.lex_state = 236},
  [2023] = {.lex_state = 236},
  [2024] = {.lex_state = 236},
  [2025] = {.lex_state = 236},
  [2026] = {.lex_state = 236},
  [2027] = {.lex_state = 236},
  [2028] = {.lex_state = 196},
  [2029] = {.lex_state = 236},
  [2030] = {.lex_state = 236},
  [2031] = {.lex_state = 236},
  [2032] = {.lex_state = 236},
  [2033] = {.lex_state = 236},
  [2034] = {.lex_state = 236},
  [2035] = {.lex_state = 236},
  [2036] = {.lex_state = 236},
  [2037] = {.lex_state = 236},
  [2038] = {.lex_state = 196},
  [2039] = {.lex_state = 236},
  [2040] = {.lex_state = 194},
  [2041] = {.lex_state = 206},
  [2042] = {.lex_state = 194},
  [2043] = {.lex_state = 185},
  [2044] = {.lex_state = 236},
  [2045] = {.lex_state = 194},
  [2046] = {.lex_state = 206},
  [2047] = {.lex_state = 206},
  [2048] = {.lex_state = 196},
  [2049] = {.lex_state = 196},
  [2050] = {.lex_state = 236},
  [2051] = {.lex_state = 236},
  [2052] = {.lex_state = 236},
  [2053] = {.lex_state = 196},
  [2054] = {.lex_state = 201},
  [2055] = {.lex_state = 206},
  [2056] = {.lex_state = 206},
  [2057] = {.lex_state = 196},
  [2058] = {.lex_state = 206},
  [2059] = {.lex_state = 206},
  [2060] = {.lex_state = 236},
  [2061] = {.lex_state = 236},
  [2062] = {.lex_state = 206},
  [2063] = {.lex_state = 236},
  [2064] = {.lex_state = 201},
  [2065] = {.lex_state = 195},
  [2066] = {.lex_state = 196},
  [2067] = {.lex_state = 196},
  [2068] = {.lex_state = 196},
  [2069] = {.lex_state = 196},
  [2070] = {.lex_state = 228},
  [2071] = {.lex_state = 206},
  [2072] = {.lex_state = 206},
  [2073] = {.lex_state = 206},
  [2074] = {.lex_state = 206},
  [2075] = {.lex_state = 179},
  [2076] = {.lex_state = 206},
  [2077] = {.lex_state = 206},
  [2078] = {.lex_state = 206},
  [2079] = {.lex_state = 206},
  [2080] = {.lex_state = 237},
  [2081] = {.lex_state = 236},
  [2082] = {.lex_state = 206},
  [2083] = {.lex_state = 196},
  [2084] = {.lex_state = 195},
  [2085] = {.lex_state = 196},
  [2086] = {.lex_state = 196},
  [2087] = {.lex_state = 206},
  [2088] = {.lex_state = 206},
  [2089] = {.lex_state = 206},
  [2090] = {.lex_state = 196},
  [2091] = {.lex_state = 206},
  [2092] = {.lex_state = 206},
  [2093] = {.lex_state = 196},
  [2094] = {.lex_state = 228},
  [2095] = {.lex_state = 206},
  [2096] = {.lex_state = 206},
  [2097] = {.lex_state = 196},
  [2098] = {.lex_state = 206},
  [2099] = {.lex_state = 196},
  [2100] = {.lex_state = 196},
  [2101] = {.lex_state = 196},
  [2102] = {.lex_state = 236},
  [2103] = {.lex_state = 206},
  [2104] = {.lex_state = 195},
  [2105] = {.lex_state = 206},
  [2106] = {.lex_state = 196},
  [2107] = {.lex_state = 196},
  [2108] = {.lex_state = 206},
  [2109] = {.lex_state = 206},
  [2110] = {.lex_state = 206},
  [2111] = {.lex_state = 196},
  [2112] = {.lex_state = 206},
  [2113] = {.lex_state = 236},
  [2114] = {.lex_state = 195},
  [2115] = {.lex_state = 206},
  [2116] = {.lex_state = 206},
  [2117] = {.lex_state = 206},
  [2118] = {.lex_state = 206},
  [2119] = {.lex_state = 206},
  [2120] = {.lex_state = 195},
  [2121] = {.lex_state = 206},
  [2122] = {.lex_state = 206},
  [2123] = {.lex_state = 206},
  [2124] = {.lex_state = 195},
  [2125] = {.lex_state = 195},
  [2126] = {.lex_state = 236},
  [2127] = {.lex_state = 179},
  [2128] = {.lex_state = 206},
  [2129] = {.lex_state = 196},
  [2130] = {.lex_state = 206},
  [2131] = {.lex_state = 206},
  [2132] = {.lex_state = 206},
  [2133] = {.lex_state = 206},
  [2134] = {.lex_state = 206},
  [2135] = {.lex_state = 196},
  [2136] = {.lex_state = 206},
  [2137] = {.lex_state = 196},
  [2138] = {.lex_state = 206},
  [2139] = {.lex_state = 206},
  [2140] = {.lex_state = 206},
  [2141] = {.lex_state = 206},
  [2142] = {.lex_state = 206},
  [2143] = {.lex_state = 196},
  [2144] = {.lex_state = 206},
  [2145] = {.lex_state = 239},
  [2146] = {.lex_state = 206},
  [2147] = {.lex_state = 206},
  [2148] = {.lex_state = 236},
  [2149] = {.lex_state = 206},
  [2150] = {.lex_state = 206},
  [2151] = {.lex_state = 206},
  [2152] = {.lex_state = 236},
  [2153] = {.lex_state = 206},
  [2154] = {.lex_state = 206},
  [2155] = {.lex_state = 236},
  [2156] = {.lex_state = 206},
  [2157] = {.lex_state = 206},
  [2158] = {.lex_state = 236},
  [2159] = {.lex_state = 206},
  [2160] = {.lex_state = 206},
  [2161] = {.lex_state = 206},
  [2162] = {.lex_state = 206},
  [2163] = {.lex_state = 206},
  [2164] = {.lex_state = 206},
  [2165] = {.lex_state = 196},
  [2166] = {.lex_state = 206},
  [2167] = {.lex_state = 206},
  [2168] = {.lex_state = 206},
  [2169] = {.lex_state = 206},
  [2170] = {.lex_state = 196},
  [2171] = {.lex_state = 206},
  [2172] = {.lex_state = 206},
  [2173] = {.lex_state = 206},
  [2174] = {.lex_state = 236},
  [2175] = {.lex_state = 196},
  [2176] = {.lex_state = 206},
  [2177] = {.lex_state = 206},
  [2178] = {.lex_state = 195},
  [2179] = {.lex_state = 196},
  [2180] = {.lex_state = 239},
  [2181] = {.lex_state = 203},
  [2182] = {.lex_state = 238},
  [2183] = {.lex_state = 238},
  [2184] = {.lex_state = 238},
  [2185] = {.lex_state = 201},
  [2186] = {.lex_state = 189},
  [2187] = {.lex_state = 239},
  [2188] = {.lex_state = 203},
  [2189] = {.lex_state = 238},
  [2190] = {.lex_state = 238},
  [2191] = {.lex_state = 238},
  [2192] = {.lex_state = 185},
  [2193] = {.lex_state = 196},
  [2194] = {.lex_state = 238},
  [2195] = {.lex_state = 196},
  [2196] = {.lex_state = 238},
  [2197] = {.lex_state = 239},
  [2198] = {.lex_state = 196},
  [2199] = {.lex_state = 238},
  [2200] = {.lex_state = 185},
  [2201] = {.lex_state = 196},
  [2202] = {.lex_state = 238},
  [2203] = {.lex_state = 196},
  [2204] = {.lex_state = 194},
  [2205] = {.lex_state = 239},
  [2206] = {.lex_state = 196},
  [2207] = {.lex_state = 196},
  [2208] = {.lex_state = 194},
  [2209] = {.lex_state = 194},
  [2210] = {.lex_state = 185},
  [2211] = {.lex_state = 196},
  [2212] = {.lex_state = 185},
  [2213] = {.lex_state = 194},
  [2214] = {.lex_state = 238},
  [2215] = {.lex_state = 185},
  [2216] = {.lex_state = 194},
  [2217] = {.lex_state = 238},
  [2218] = {.lex_state = 238},
  [2219] = {.lex_state = 239},
  [2220] = {.lex_state = 185},
  [2221] = {.lex_state = 238},
  [2222] = {.lex_state = 196},
  [2223] = {.lex_state = 179},
  [2224] = {.lex_state = 179},
  [2225] = {.lex_state = 238},
  [2226] = {.lex_state = 201},
  [2227] = {.lex_state = 196},
  [2228] = {.lex_state = 185},
  [2229] = {.lex_state = 179},
  [2230] = {.lex_state = 238},
  [2231] = {.lex_state = 189},
  [2232] = {.lex_state = 179},
  [2233] = {.lex_state = 200},
  [2234] = {.lex_state = 203},
  [2235] = {.lex_state = 203},
  [2236] = {.lex_state = 227},
  [2237] = {.lex_state = 194},
  [2238] = {.lex_state = 203},
  [2239] = {.lex_state = 185},
  [2240] = {.lex_state = 227},
  [2241] = {.lex_state = 227},
  [2242] = {.lex_state = 194},
  [2243] = {.lex_state = 196},
  [2244] = {.lex_state = 203},
  [2245] = {.lex_state = 227},
  [2246] = {.lex_state = 227},
  [2247] = {.lex_state = 194},
  [2248] = {.lex_state = 185},
  [2249] = {.lex_state = 208},
  [2250] = {.lex_state = 194},
  [2251] = {.lex_state = 195},
  [2252] = {.lex_state = 203},
  [2253] = {.lex_state = 210},
  [2254] = {.lex_state = 203},
  [2255] = {.lex_state = 189},
  [2256] = {.lex_state = 194},
  [2257] = {.lex_state = 195},
  [2258] = {.lex_state = 227},
  [2259] = {.lex_state = 227},
  [2260] = {.lex_state = 196},
  [2261] = {.lex_state = 207},
  [2262] = {.lex_state = 185},
  [2263] = {.lex_state = 203},
  [2264] = {.lex_state = 227},
  [2265] = {.lex_state = 189},
  [2266] = {.lex_state = 196},
  [2267] = {.lex_state = 195},
  [2268] = {.lex_state = 185},
  [2269] = {.lex_state = 179},
  [2270] = {.lex_state = 179},
  [2271] = {.lex_state = 196},
  [2272] = {.lex_state = 196},
  [2273] = {.lex_state = 196},
  [2274] = {.lex_state = 179},
  [2275] = {.lex_state = 179},
  [2276] = {.lex_state = 203},
  [2277] = {.lex_state = 203},
  [2278] = {.lex_state = 210},
  [2279] = {.lex_state = 210},
  [2280] = {.lex_state = 194},
  [2281] = {.lex_state = 195},
  [2282] = {.lex_state = 196},
  [2283] = {.lex_state = 195},
  [2284] = {.lex_state = 189},
  [2285] = {.lex_state = 189},
  [2286] = {.lex_state = 203},
  [2287] = {.lex_state = 194},
  [2288] = {.lex_state = 196},
  [2289] = {.lex_state = 203},
  [2290] = {.lex_state = 196},
  [2291] = {.lex_state = 203},
  [2292] = {.lex_state = 196},
  [2293] = {.lex_state = 196},
  [2294] = {.lex_state = 238},
  [2295] = {.lex_state = 196},
  [2296] = {.lex_state = 196},
  [2297] = {.lex_state = 196},
  [2298] = {.lex_state = 196},
  [2299] = {.lex_state = 189},
  [2300] = {.lex_state = 196},
  [2301] = {.lex_state = 196},
  [2302] = {.lex_state = 196},
  [2303] = {.lex_state = 196},
  [2304] = {.lex_state = 196},
  [2305] = {.lex_state = 196},
  [2306] = {.lex_state = 218},
  [2307] = {.lex_state = 196},
  [2308] = {.lex_state = 196},
  [2309] = {.lex_state = 196},
  [2310] = {.lex_state = 196},
  [2311] = {.lex_state = 196},
  [2312] = {.lex_state = 196},
  [2313] = {.lex_state = 196},
  [2314] = {.lex_state = 196},
  [2315] = {.lex_state = 218},
  [2316] = {.lex_state = 189},
  [2317] = {.lex_state = 196},
  [2318] = {.lex_state = 189},
  [2319] = {.lex_state = 196},
  [2320] = {.lex_state = 196},
  [2321] = {.lex_state = 196},
  [2322] = {.lex_state = 196},
  [2323] = {.lex_state = 196},
  [2324] = {.lex_state = 196},
  [2325] = {.lex_state = 196},
  [2326] = {.lex_state = 239},
  [2327] = {.lex_state = 196},
  [2328] = {.lex_state = 196},
  [2329] = {.lex_state = 207},
  [2330] = {.lex_state = 196},
  [2331] = {.lex_state = 227},
  [2332] = {.lex_state = 196},
  [2333] = {.lex_state = 196},
  [2334] = {.lex_state = 196},
  [2335] = {.lex_state = 196},
  [2336] = {.lex_state = 196},
  [2337] = {.lex_state = 196},
  [2338] = {.lex_state = 189},
  [2339] = {.lex_state = 196},
  [2340] = {.lex_state = 196},
  [2341] = {.lex_state = 238},
  [2342] = {.lex_state = 196},
  [2343] = {.lex_state = 196},
  [2344] = {.lex_state = 196},
  [2345] = {.lex_state = 196},
  [2346] = {.lex_state = 196},
  [2347] = {.lex_state = 196},
  [2348] = {.lex_state = 196},
  [2349] = {.lex_state = 196},
  [2350] = {.lex_state = 185},
  [2351] = {.lex_state = 196},
  [2352] = {.lex_state = 196},
  [2353] = {.lex_state = 196},
  [2354] = {.lex_state = 196},
  [2355] = {.lex_state = 196},
  [2356] = {.lex_state = 196},
  [2357] = {.lex_state = 185},
  [2358] = {.lex_state = 196},
  [2359] = {.lex_state = 196},
  [2360] = {.lex_state = 218},
  [2361] = {.lex_state = 196},
  [2362] = {.lex_state = 196},
  [2363] = {.lex_state = 196},
  [2364] = {.lex_state = 196},
  [2365] = {.lex_state = 196},
  [2366] = {.lex_state = 196},
  [2367] = {.lex_state = 196},
  [2368] = {.lex_state = 196},
  [2369] = {.lex_state = 215},
  [2370] = {.lex_state = 196},
  [2371] = {.lex_state = 196},
  [2372] = {.lex_state = 196},
  [2373] = {.lex_state = 196},
  [2374] = {.lex_state = 196},
  [2375] = {.lex_state = 239},
  [2376] = {.lex_state = 196},
  [2377] = {.lex_state = 214},
  [2378] = {.lex_state = 196},
  [2379] = {.lex_state = 196},
  [2380] = {.lex_state = 196},
  [2381] = {.lex_state = 196},
  [2382] = {.lex_state = 196},
  [2383] = {.lex_state = 196},
  [2384] = {.lex_state = 238},
  [2385] = {.lex_state = 196},
  [2386] = {.lex_state = 196},
  [2387] = {.lex_state = 196},
  [2388] = {.lex_state = 239},
  [2389] = {.lex_state = 239},
  [2390] = {.lex_state = 181},
  [2391] = {.lex_state = 239},
  [2392] = {.lex_state = 185},
  [2393] = {.lex_state = 207},
  [2394] = {.lex_state = 239},
  [2395] = {.lex_state = 207},
  [2396] = {.lex_state = 207},
  [2397] = {.lex_state = 207},
  [2398] = {.lex_state = 207},
  [2399] = {.lex_state = 207},
  [2400] = {.lex_state = 181},
  [2401] = {.lex_state = 185},
  [2402] = {.lex_state = 185},
  [2403] = {.lex_state = 207},
  [2404] = {.lex_state = 207},
  [2405] = {.lex_state = 239},
  [2406] = {.lex_state = 214},
  [2407] = {.lex_state = 181},
  [2408] = {.lex_state = 207},
  [2409] = {.lex_state = 185},
  [2410] = {.lex_state = 239},
  [2411] = {.lex_state = 239},
  [2412] = {.lex_state = 238},
  [2413] = {.lex_state = 239},
  [2414] = {.lex_state = 239},
  [2415] = {.lex_state = 239},
  [2416] = {.lex_state = 239},
  [2417] = {.lex_state = 210},
  [2418] = {.lex_state = 239},
  [2419] = {.lex_state = 239},
  [2420] = {.lex_state = 239},
  [2421] = {.lex_state = 239},
  [2422] = {.lex_state = 239},
  [2423] = {.lex_state = 210},
  [2424] = {.lex_state = 210},
  [2425] = {.lex_state = 226},
  [2426] = {.lex_state = 239},
  [2427] = {.lex_state = 226},
  [2428] = {.lex_state = 226},
  [2429] = {.lex_state = 226},
  [2430] = {.lex_state = 226},
  [2431] = {.lex_state = 226},
  [2432] = {.lex_state = 226},
  [2433] = {.lex_state = 185},
  [2434] = {.lex_state = 185},
  [2435] = {.lex_state = 226},
  [2436] = {.lex_state = 214},
  [2437] = {.lex_state = 227},
  [2438] = {.lex_state = 239},
  [2439] = {.lex_state = 227},
  [2440] = {.lex_state = 239},
  [2441] = {.lex_state = 239},
  [2442] = {.lex_state = 239},
  [2443] = {.lex_state = 214},
  [2444] = {.lex_state = 214},
  [2445] = {.lex_state = 185},
  [2446] = {.lex_state = 208},
  [2447] = {.lex_state = 226},
  [2448] = {.lex_state = 226},
  [2449] = {.lex_state = 214},
  [2450] = {.lex_state = 214},
  [2451] = {.lex_state = 226},
  [2452] = {.lex_state = 185},
  [2453] = {.lex_state = 214},
  [2454] = {.lex_state = 214},
  [2455] = {.lex_state = 214},
  [2456] = {.lex_state = 207},
  [2457] = {.lex_state = 208},
  [2458] = {.lex_state = 239},
  [2459] = {.lex_state = 239},
  [2460] = {.lex_state = 208},
  [2461] = {.lex_state = 239},
  [2462] = {.lex_state = 239},
  [2463] = {.lex_state = 239},
  [2464] = {.lex_state = 239},
  [2465] = {.lex_state = 239},
  [2466] = {.lex_state = 239},
  [2467] = {.lex_state = 239},
  [2468] = {.lex_state = 239},
  [2469] = {.lex_state = 239},
  [2470] = {.lex_state = 239},
  [2471] = {.lex_state = 239},
  [2472] = {.lex_state = 239},
  [2473] = {.lex_state = 239},
  [2474] = {.lex_state = 239},
  [2475] = {.lex_state = 239},
  [2476] = {.lex_state = 239},
  [2477] = {.lex_state = 239},
  [2478] = {.lex_state = 239},
  [2479] = {.lex_state = 239},
  [2480] = {.lex_state = 207},
  [2481] = {.lex_state = 239},
  [2482] = {.lex_state = 239},
  [2483] = {.lex_state = 239},
  [2484] = {.lex_state = 226},
  [2485] = {.lex_state = 207},
  [2486] = {.lex_state = 238},
  [2487] = {.lex_state = 207},
  [2488] = {.lex_state = 207},
  [2489] = {.lex_state = 207},
  [2490] = {.lex_state = 207},
  [2491] = {.lex_state = 239},
  [2492] = {.lex_state = 214},
  [2493] = {.lex_state = 227},
  [2494] = {.lex_state = 239},
  [2495] = {.lex_state = 227},
  [2496] = {.lex_state = 227},
  [2497] = {.lex_state = 207},
  [2498] = {.lex_state = 214},
  [2499] = {.lex_state = 239},
  [2500] = {.lex_state = 239},
  [2501] = {.lex_state = 214},
  [2502] = {.lex_state = 207},
  [2503] = {.lex_state = 214},
  [2504] = {.lex_state = 214},
  [2505] = {.lex_state = 207},
  [2506] = {.lex_state = 174},
  [2507] = {.lex_state = 227},
  [2508] = {.lex_state = 215},
  [2509] = {.lex_state = 227},
  [2510] = {.lex_state = 214},
  [2511] = {.lex_state = 214},
  [2512] = {.lex_state = 207},
  [2513] = {.lex_state = 215},
  [2514] = {.lex_state = 227},
  [2515] = {.lex_state = 239},
  [2516] = {.lex_state = 227},
  [2517] = {.lex_state = 239},
  [2518] = {.lex_state = 239},
  [2519] = {.lex_state = 227},
  [2520] = {.lex_state = 207},
  [2521] = {.lex_state = 207},
  [2522] = {.lex_state = 227},
  [2523] = {.lex_state = 239},
  [2524] = {.lex_state = 208},
  [2525] = {.lex_state = 227},
  [2526] = {.lex_state = 174},
  [2527] = {.lex_state = 227},
  [2528] = {.lex_state = 239},
  [2529] = {.lex_state = 227},
  [2530] = {.lex_state = 237},
  [2531] = {.lex_state = 237},
  [2532] = {.lex_state = 227},
  [2533] = {.lex_state = 239},
  [2534] = {.lex_state = 207},
  [2535] = {.lex_state = 207},
  [2536] = {.lex_state = 226},
  [2537] = {.lex_state = 214},
  [2538] = {.lex_state = 207},
  [2539] = {.lex_state = 226},
  [2540] = {.lex_state = 231},
  [2541] = {.lex_state = 207},
  [2542] = {.lex_state = 227},
  [2543] = {.lex_state = 215},
  [2544] = {.lex_state = 207},
  [2545] = {.lex_state = 207},
  [2546] = {.lex_state = 227},
  [2547] = {.lex_state = 194},
  [2548] = {.lex_state = 194},
  [2549] = {.lex_state = 194},
  [2550] = {.lex_state = 194},
  [2551] = {.lex_state = 194},
  [2552] = {.lex_state = 194},
  [2553] = {.lex_state = 194},
  [2554] = {.lex_state = 194},
  [2555] = {.lex_state = 194},
  [2556] = {.lex_state = 194},
  [2557] = {.lex_state = 194},
  [2558] = {.lex_state = 194},
  [2559] = {.lex_state = 194},
  [2560] = {.lex_state = 207},
  [2561] = {.lex_state = 227},
  [2562] = {.lex_state = 239},
  [2563] = {.lex_state = 207},
  [2564] = {.lex_state = 181},
  [2565] = {.lex_state = 194},
  [2566] = {.lex_state = 181},
  [2567] = {.lex_state = 227},
  [2568] = {.lex_state = 207},
  [2569] = {.lex_state = 227},
  [2570] = {.lex_state = 214},
  [2571] = {.lex_state = 239},
  [2572] = {.lex_state = 227},
  [2573] = {.lex_state = 231},
  [2574] = {.lex_state = 239},
  [2575] = {.lex_state = 239},
  [2576] = {.lex_state = 239},
  [2577] = {.lex_state = 194},
  [2578] = {.lex_state = 194},
  [2579] = {.lex_state = 194},
  [2580] = {.lex_state = 231},
  [2581] = {.lex_state = 207},
  [2582] = {.lex_state = 231},
  [2583] = {.lex_state = 239},
  [2584] = {.lex_state = 239},
  [2585] = {.lex_state = 239},
  [2586] = {.lex_state = 207},
  [2587] = {.lex_state = 181},
  [2588] = {.lex_state = 214},
  [2589] = {.lex_state = 214},
  [2590] = {.lex_state = 181},
  [2591] = {.lex_state = 227},
  [2592] = {.lex_state = 227},
  [2593] = {.lex_state = 174},
  [2594] = {.lex_state = 195},
  [2595] = {.lex_state = 227},
  [2596] = {.lex_state = 227},
  [2597] = {.lex_state = 227},
  [2598] = {.lex_state = 208},
  [2599] = {.lex_state = 227},
  [2600] = {.lex_state = 214},
  [2601] = {.lex_state = 227},
  [2602] = {.lex_state = 195},
  [2603] = {.lex_state = 195},
  [2604] = {.lex_state = 195},
  [2605] = {.lex_state = 174},
  [2606] = {.lex_state = 201},
  [2607] = {.lex_state = 227},
  [2608] = {.lex_state = 201},
  [2609] = {.lex_state = 198},
  [2610] = {.lex_state = 208},
  [2611] = {.lex_state = 174},
  [2612] = {.lex_state = 227},
  [2613] = {.lex_state = 198},
  [2614] = {.lex_state = 207},
  [2615] = {.lex_state = 174},
  [2616] = {.lex_state = 239},
  [2617] = {.lex_state = 227},
  [2618] = {.lex_state = 227},
  [2619] = {.lex_state = 239},
  [2620] = {.lex_state = 207},
  [2621] = {.lex_state = 237},
  [2622] = {.lex_state = 207},
  [2623] = {.lex_state = 227},
  [2624] = {.lex_state = 207},
  [2625] = {.lex_state = 214},
  [2626] = {.lex_state = 207},
  [2627] = {.lex_state = 227},
  [2628] = {.lex_state = 174},
  [2629] = {.lex_state = 223},
  [2630] = {.lex_state = 195},
  [2631] = {.lex_state = 227},
  [2632] = {.lex_state = 227},
  [2633] = {.lex_state = 223},
  [2634] = {.lex_state = 195},
  [2635] = {.lex_state = 227},
  [2636] = {.lex_state = 227},
  [2637] = {.lex_state = 195},
  [2638] = {.lex_state = 227},
  [2639] = {.lex_state = 227},
  [2640] = {.lex_state = 207},
  [2641] = {.lex_state = 174},
  [2642] = {.lex_state = 225},
  [2643] = {.lex_state = 227},
  [2644] = {.lex_state = 223},
  [2645] = {.lex_state = 227},
  [2646] = {.lex_state = 174},
  [2647] = {.lex_state = 174},
  [2648] = {.lex_state = 227},
  [2649] = {.lex_state = 207},
  [2650] = {.lex_state = 227},
  [2651] = {.lex_state = 207},
  [2652] = {.lex_state = 174},
  [2653] = {.lex_state = 223},
  [2654] = {.lex_state = 227},
  [2655] = {.lex_state = 227},
  [2656] = {.lex_state = 225},
  [2657] = {.lex_state = 223},
  [2658] = {.lex_state = 198},
  [2659] = {.lex_state = 174},
  [2660] = {.lex_state = 223},
  [2661] = {.lex_state = 193},
  [2662] = {.lex_state = 207},
  [2663] = {.lex_state = 174},
  [2664] = {.lex_state = 227},
  [2665] = {.lex_state = 227},
  [2666] = {.lex_state = 207},
  [2667] = {.lex_state = 207},
  [2668] = {.lex_state = 207},
  [2669] = {.lex_state = 227},
  [2670] = {.lex_state = 207},
  [2671] = {.lex_state = 207},
  [2672] = {.lex_state = 207},
  [2673] = {.lex_state = 225},
  [2674] = {.lex_state = 174},
  [2675] = {.lex_state = 174},
  [2676] = {.lex_state = 174},
  [2677] = {.lex_state = 207},
  [2678] = {.lex_state = 207},
  [2679] = {.lex_state = 174},
  [2680] = {.lex_state = 207},
  [2681] = {.lex_state = 207},
  [2682] = {.lex_state = 174},
  [2683] = {.lex_state = 174},
  [2684] = {.lex_state = 174},
  [2685] = {.lex_state = 225},
  [2686] = {.lex_state = 227},
  [2687] = {.lex_state = 207},
  [2688] = {.lex_state = 239},
  [2689] = {.lex_state = 227},
  [2690] = {.lex_state = 227},
  [2691] = {.lex_state = 227},
  [2692] = {.lex_state = 227},
  [2693] = {.lex_state = 223},
  [2694] = {.lex_state = 207},
  [2695] = {.lex_state = 207},
  [2696] = {.lex_state = 174},
  [2697] = {.lex_state = 207},
  [2698] = {.lex_state = 174},
  [2699] = {.lex_state = 227},
  [2700] = {.lex_state = 237},
  [2701] = {.lex_state = 207},
  [2702] = {.lex_state = 194},
  [2703] = {.lex_state = 214},
  [2704] = {.lex_state = 192},
  [2705] = {.lex_state = 207},
  [2706] = {.lex_state = 208},
  [2707] = {.lex_state = 207},
  [2708] = {.lex_state = 192},
  [2709] = {.lex_state = 194},
  [2710] = {.lex_state = 207},
  [2711] = {.lex_state = 192},
  [2712] = {.lex_state = 239},
  [2713] = {.lex_state = 214},
  [2714] = {.lex_state = 214},
  [2715] = {.lex_state = 198},
  [2716] = {.lex_state = 223},
  [2717] = {.lex_state = 201},
  [2718] = {.lex_state = 207},
  [2719] = {.lex_state = 201},
  [2720] = {.lex_state = 194},
  [2721] = {.lex_state = 198},
  [2722] = {.lex_state = 207},
  [2723] = {.lex_state = 214},
  [2724] = {.lex_state = 214},
  [2725] = {.lex_state = 207},
  [2726] = {.lex_state = 194},
  [2727] = {.lex_state = 194},
  [2728] = {.lex_state = 223},
  [2729] = {.lex_state = 207},
  [2730] = {.lex_state = 193},
  [2731] = {.lex_state = 207},
  [2732] = {.lex_state = 194},
  [2733] = {.lex_state = 192},
  [2734] = {.lex_state = 223},
  [2735] = {.lex_state = 207},
  [2736] = {.lex_state = 207},
  [2737] = {.lex_state = 223},
  [2738] = {.lex_state = 223},
  [2739] = {.lex_state = 207},
  [2740] = {.lex_state = 207},
  [2741] = {.lex_state = 207},
  [2742] = {.lex_state = 198},
  [2743] = {.lex_state = 214},
  [2744] = {.lex_state = 239},
  [2745] = {.lex_state = 194},
  [2746] = {.lex_state = 207},
  [2747] = {.lex_state = 214},
  [2748] = {.lex_state = 207},
  [2749] = {.lex_state = 214},
  [2750] = {.lex_state = 207},
  [2751] = {.lex_state = 214},
  [2752] = {.lex_state = 223},
  [2753] = {.lex_state = 214},
  [2754] = {.lex_state = 194},
  [2755] = {.lex_state = 192},
  [2756] = {.lex_state = 214},
  [2757] = {.lex_state = 214},
  [2758] = {.lex_state = 192},
  [2759] = {.lex_state = 194},
  [2760] = {.lex_state = 194},
  [2761] = {.lex_state = 194},
  [2762] = {.lex_state = 194},
  [2763] = {.lex_state = 194},
  [2764] = {.lex_state = 194},
  [2765] = {.lex_state = 194},
  [2766] = {.lex_state = 194},
  [2767] = {.lex_state = 194},
  [2768] = {.lex_state = 194},
  [2769] = {.lex_state = 223},
  [2770] = {.lex_state = 207},
  [2771] = {.lex_state = 239},
  [2772] = {.lex_state = 201},
  [2773] = {.lex_state = 207},
  [2774] = {.lex_state = 207},
  [2775] = {.lex_state = 201},
  [2776] = {.lex_state = 207},
  [2777] = {.lex_state = 207},
  [2778] = {.lex_state = 207},
  [2779] = {.lex_state = 168},
  [2780] = {.lex_state = 168},
  [2781] = {.lex_state = 201},
  [2782] = {.lex_state = 214},
  [2783] = {.lex_state = 201},
  [2784] = {.lex_state = 201},
  [2785] = {.lex_state = 201},
  [2786] = {.lex_state = 239},
  [2787] = {.lex_state = 207},
  [2788] = {.lex_state = 214},
  [2789] = {.lex_state = 207},
  [2790] = {.lex_state = 207},
  [2791] = {.lex_state = 201},
  [2792] = {.lex_state = 192},
  [2793] = {.lex_state = 207},
  [2794] = {.lex_state = 207},
  [2795] = {.lex_state = 201},
  [2796] = {.lex_state = 207},
  [2797] = {.lex_state = 207},
  [2798] = {.lex_state = 207},
  [2799] = {.lex_state = 207},
  [2800] = {.lex_state = 207},
  [2801] = {.lex_state = 201},
  [2802] = {.lex_state = 201},
  [2803] = {.lex_state = 207},
  [2804] = {.lex_state = 239},
  [2805] = {.lex_state = 214},
  [2806] = {.lex_state = 192},
  [2807] = {.lex_state = 214},
  [2808] = {.lex_state = 217},
  [2809] = {.lex_state = 217},
  [2810] = {.lex_state = 214},
  [2811] = {.lex_state = 168},
  [2812] = {.lex_state = 214},
  [2813] = {.lex_state = 201},
  [2814] = {.lex_state = 207},
  [2815] = {.lex_state = 207},
  [2816] = {.lex_state = 207},
  [2817] = {.lex_state = 239},
  [2818] = {.lex_state = 201},
  [2819] = {.lex_state = 201},
  [2820] = {.lex_state = 201},
  [2821] = {.lex_state = 181},
  [2822] = {.lex_state = 207},
  [2823] = {.lex_state = 207},
  [2824] = {.lex_state = 207},
  [2825] = {.lex_state = 168},
  [2826] = {.lex_state = 217},
  [2827] = {.lex_state = 207},
  [2828] = {.lex_state = 217},
  [2829] = {.lex_state = 201},
  [2830] = {.lex_state = 207},
  [2831] = {.lex_state = 201},
  [2832] = {.lex_state = 207},
  [2833] = {.lex_state = 207},
  [2834] = {.lex_state = 207},
  [2835] = {.lex_state = 201},
  [2836] = {.lex_state = 207},
  [2837] = {.lex_state = 201},
  [2838] = {.lex_state = 217},
  [2839] = {.lex_state = 201},
  [2840] = {.lex_state = 201},
  [2841] = {.lex_state = 242},
  [2842] = {.lex_state = 207},
  [2843] = {.lex_state = 214},
  [2844] = {.lex_state = 214},
  [2845] = {.lex_state = 214},
  [2846] = {.lex_state = 207},
  [2847] = {.lex_state = 207},
  [2848] = {.lex_state = 207},
  [2849] = {.lex_state = 207},
  [2850] = {.lex_state = 226},
  [2851] = {.lex_state = 207},
  [2852] = {.lex_state = 201},
  [2853] = {.lex_state = 207},
  [2854] = {.lex_state = 207},
  [2855] = {.lex_state = 239},
  [2856] = {.lex_state = 192},
  [2857] = {.lex_state = 201},
  [2858] = {.lex_state = 201},
  [2859] = {.lex_state = 207},
  [2860] = {.lex_state = 168},
  [2861] = {.lex_state = 201},
  [2862] = {.lex_state = 168},
  [2863] = {.lex_state = 207},
  [2864] = {.lex_state = 181},
  [2865] = {.lex_state = 239},
  [2866] = {.lex_state = 207},
  [2867] = {.lex_state = 214},
  [2868] = {.lex_state = 194},
  [2869] = {.lex_state = 192},
  [2870] = {.lex_state = 194},
  [2871] = {.lex_state = 214},
  [2872] = {.lex_state = 214},
  [2873] = {.lex_state = 240},
  [2874] = {.lex_state = 214},
  [2875] = {.lex_state = 214},
  [2876] = {.lex_state = 214},
  [2877] = {.lex_state = 214},
  [2878] = {.lex_state = 214},
  [2879] = {.lex_state = 238},
  [2880] = {.lex_state = 207},
  [2881] = {.lex_state = 193},
  [2882] = {.lex_state = 194},
  [2883] = {.lex_state = 214},
  [2884] = {.lex_state = 207},
  [2885] = {.lex_state = 214},
  [2886] = {.lex_state = 207},
  [2887] = {.lex_state = 239},
  [2888] = {.lex_state = 239},
  [2889] = {.lex_state = 214},
  [2890] = {.lex_state = 193},
  [2891] = {.lex_state = 207},
  [2892] = {.lex_state = 214},
  [2893] = {.lex_state = 217},
  [2894] = {.lex_state = 207},
  [2895] = {.lex_state = 239},
  [2896] = {.lex_state = 239},
  [2897] = {.lex_state = 192},
  [2898] = {.lex_state = 207},
  [2899] = {.lex_state = 239},
  [2900] = {.lex_state = 194},
  [2901] = {.lex_state = 194},
  [2902] = {.lex_state = 194},
  [2903] = {.lex_state = 194},
  [2904] = {.lex_state = 214},
  [2905] = {.lex_state = 214},
  [2906] = {.lex_state = 214},
  [2907] = {.lex_state = 214},
  [2908] = {.lex_state = 214},
  [2909] = {.lex_state = 214},
  [2910] = {.lex_state = 239},
  [2911] = {.lex_state = 207},
  [2912] = {.lex_state = 239},
  [2913] = {.lex_state = 239},
  [2914] = {.lex_state = 207},
  [2915] = {.lex_state = 181},
  [2916] = {.lex_state = 207},
  [2917] = {.lex_state = 207},
  [2918] = {.lex_state = 207},
  [2919] = {.lex_state = 239},
  [2920] = {.lex_state = 239},
  [2921] = {.lex_state = 214},
  [2922] = {.lex_state = 239},
  [2923] = {.lex_state = 239},
  [2924] = {.lex_state = 194},
  [2925] = {.lex_state = 214},
  [2926] = {.lex_state = 214},
  [2927] = {.lex_state = 214},
  [2928] = {.lex_state = 239},
  [2929] = {.lex_state = 214},
  [2930] = {.lex_state = 214},
  [2931] = {.lex_state = 207},
  [2932] = {.lex_state = 207},
  [2933] = {.lex_state = 214},
  [2934] = {.lex_state = 207},
  [2935] = {.lex_state = 214},
  [2936] = {.lex_state = 194},
  [2937] = {.lex_state = 216},
  [2938] = {.lex_state = 239},
  [2939] = {.lex_state = 207},
  [2940] = {.lex_state = 194},
  [2941] = {.lex_state = 194},
  [2942] = {.lex_state = 207},
  [2943] = {.lex_state = 240},
  [2944] = {.lex_state = 194},
  [2945] = {.lex_state = 194},
  [2946] = {.lex_state = 194},
  [2947] = {.lex_state = 194},
  [2948] = {.lex_state = 194},
  [2949] = {.lex_state = 207},
  [2950] = {.lex_state = 207},
  [2951] = {.lex_state = 207},
  [2952] = {.lex_state = 207},
  [2953] = {.lex_state = 207},
  [2954] = {.lex_state = 217},
  [2955] = {.lex_state = 207},
  [2956] = {.lex_state = 214},
  [2957] = {.lex_state = 214},
  [2958] = {.lex_state = 207},
  [2959] = {.lex_state = 207},
  [2960] = {.lex_state = 207},
  [2961] = {.lex_state = 207},
  [2962] = {.lex_state = 214},
  [2963] = {.lex_state = 214},
  [2964] = {.lex_state = 214},
  [2965] = {.lex_state = 238},
  [2966] = {.lex_state = 214},
  [2967] = {.lex_state = 214},
  [2968] = {.lex_state = 181},
  [2969] = {.lex_state = 214},
  [2970] = {.lex_state = 214},
  [2971] = {.lex_state = 207},
  [2972] = {.lex_state = 207},
  [2973] = {.lex_state = 207},
  [2974] = {.lex_state = 214},
  [2975] = {.lex_state = 194},
  [2976] = {.lex_state = 207},
  [2977] = {.lex_state = 207},
  [2978] = {.lex_state = 207},
  [2979] = {.lex_state = 207},
  [2980] = {.lex_state = 207},
  [2981] = {.lex_state = 207},
  [2982] = {.lex_state = 207},
  [2983] = {.lex_state = 207},
  [2984] = {.lex_state = 214},
  [2985] = {.lex_state = 209},
  [2986] = {.lex_state = 240},
  [2987] = {.lex_state = 207},
  [2988] = {.lex_state = 201},
  [2989] = {.lex_state = 207},
  [2990] = {.lex_state = 207},
  [2991] = {.lex_state = 214},
  [2992] = {.lex_state = 214},
  [2993] = {.lex_state = 238},
  [2994] = {.lex_state = 239},
  [2995] = {.lex_state = 192},
  [2996] = {.lex_state = 192},
  [2997] = {.lex_state = 240},
  [2998] = {.lex_state = 192},
  [2999] = {.lex_state = 207},
  [3000] = {.lex_state = 192},
  [3001] = {.lex_state = 207},
  [3002] = {.lex_state = 181},
  [3003] = {.lex_state = 192},
  [3004] = {.lex_state = 192},
  [3005] = {.lex_state = 192},
  [3006] = {.lex_state = 192},
  [3007] = {.lex_state = 192},
  [3008] = {.lex_state = 239},
  [3009] = {.lex_state = 240},
  [3010] = {.lex_state = 223},
  [3011] = {.lex_state = 214},
  [3012] = {.lex_state = 192},
  [3013] = {.lex_state = 181},
  [3014] = {.lex_state = 207},
  [3015] = {.lex_state = 192},
  [3016] = {.lex_state = 211},
  [3017] = {.lex_state = 192},
  [3018] = {.lex_state = 214},
  [3019] = {.lex_state = 194},
  [3020] = {.lex_state = 201},
  [3021] = {.lex_state = 193},
  [3022] = {.lex_state = 214},
  [3023] = {.lex_state = 193},
  [3024] = {.lex_state = 211},
  [3025] = {.lex_state = 207},
  [3026] = {.lex_state = 239},
  [3027] = {.lex_state = 239},
  [3028] = {.lex_state = 198},
  [3029] = {.lex_state = 239},
  [3030] = {.lex_state = 223},
  [3031] = {.lex_state = 198},
  [3032] = {.lex_state = 238},
  [3033] = {.lex_state = 192},
  [3034] = {.lex_state = 193},
  [3035] = {.lex_state = 194},
  [3036] = {.lex_state = 207},
  [3037] = {.lex_state = 192},
  [3038] = {.lex_state = 214},
  [3039] = {.lex_state = 174},
  [3040] = {.lex_state = 214},
  [3041] = {.lex_state = 214},
  [3042] = {.lex_state = 207},
  [3043] = {.lex_state = 214},
  [3044] = {.lex_state = 192},
  [3045] = {.lex_state = 207},
  [3046] = {.lex_state = 214},
  [3047] = {.lex_state = 192},
  [3048] = {.lex_state = 207},
  [3049] = {.lex_state = 193},
  [3050] = {.lex_state = 214},
  [3051] = {.lex_state = 192},
  [3052] = {.lex_state = 213},
  [3053] = {.lex_state = 239},
  [3054] = {.lex_state = 214},
  [3055] = {.lex_state = 214},
  [3056] = {.lex_state = 207},
  [3057] = {.lex_state = 193},
  [3058] = {.lex_state = 214},
  [3059] = {.lex_state = 214},
  [3060] = {.lex_state = 207},
  [3061] = {.lex_state = 214},
  [3062] = {.lex_state = 214},
  [3063] = {.lex_state = 207},
  [3064] = {.lex_state = 214},
  [3065] = {.lex_state = 207},
  [3066] = {.lex_state = 214},
  [3067] = {.lex_state = 193},
  [3068] = {.lex_state = 207},
  [3069] = {.lex_state = 192},
  [3070] = {.lex_state = 207},
  [3071] = {.lex_state = 207},
  [3072] = {.lex_state = 238},
  [3073] = {.lex_state = 207},
  [3074] = {.lex_state = 194},
  [3075] = {.lex_state = 214},
  [3076] = {.lex_state = 207},
  [3077] = {.lex_state = 207},
  [3078] = {.lex_state = 207},
  [3079] = {.lex_state = 239},
  [3080] = {.lex_state = 239},
  [3081] = {.lex_state = 207},
  [3082] = {.lex_state = 192},
  [3083] = {.lex_state = 192},
  [3084] = {.lex_state = 238},
  [3085] = {.lex_state = 240},
  [3086] = {.lex_state = 203},
  [3087] = {.lex_state = 181},
  [3088] = {.lex_state = 238},
  [3089] = {.lex_state = 207},
  [3090] = {.lex_state = 192},
  [3091] = {.lex_state = 192},
  [3092] = {.lex_state = 192},
  [3093] = {.lex_state = 192},
  [3094] = {.lex_state = 240},
  [3095] = {.lex_state = 192},
  [3096] = {.lex_state = 211},
  [3097] = {.lex_state = 196},
  [3098] = {.lex_state = 196},
  [3099] = {.lex_state = 196},
  [3100] = {.lex_state = 196},
  [3101] = {.lex_state = 196},
  [3102] = {.lex_state = 196},
  [3103] = {.lex_state = 196},
  [3104] = {.lex_state = 196},
  [3105] = {.lex_state = 196},
  [3106] = {.lex_state = 196},
  [3107] = {.lex_state = 196},
  [3108] = {.lex_state = 196},
  [3109] = {.lex_state = 196},
  [3110] = {.lex_state = 196},
  [3111] = {.lex_state = 196},
  [3112] = {.lex_state = 196},
  [3113] = {.lex_state = 196},
  [3114] = {.lex_state = 196},
  [3115] = {.lex_state = 196},
  [3116] = {.lex_state = 196},
  [3117] = {.lex_state = 196},
  [3118] = {.lex_state = 196},
  [3119] = {.lex_state = 196},
  [3120] = {.lex_state = 239},
  [3121] = {.lex_state = 198},
  [3122] = {.lex_state = 214},
  [3123] = {.lex_state = 239},
  [3124] = {.lex_state = 214},
  [3125] = {.lex_state = 238},
  [3126] = {.lex_state = 196},
  [3127] = {.lex_state = 214},
  [3128] = {.lex_state = 214},
  [3129] = {.lex_state = 192},
  [3130] = {.lex_state = 192},
  [3131] = {.lex_state = 214},
  [3132] = {.lex_state = 214},
  [3133] = {.lex_state = 239},
  [3134] = {.lex_state = 207},
  [3135] = {.lex_state = 214},
  [3136] = {.lex_state = 214},
  [3137] = {.lex_state = 192},
  [3138] = {.lex_state = 214},
  [3139] = {.lex_state = 238},
  [3140] = {.lex_state = 238},
  [3141] = {.lex_state = 238},
  [3142] = {.lex_state = 238},
  [3143] = {.lex_state = 238},
  [3144] = {.lex_state = 207},
  [3145] = {.lex_state = 207},
  [3146] = {.lex_state = 207},
  [3147] = {.lex_state = 207},
  [3148] = {.lex_state = 207},
  [3149] = {.lex_state = 207},
  [3150] = {.lex_state = 207},
  [3151] = {.lex_state = 207},
  [3152] = {.lex_state = 207},
  [3153] = {.lex_state = 207},
  [3154] = {.lex_state = 207},
  [3155] = {.lex_state = 223},
  [3156] = {.lex_state = 239},
  [3157] = {.lex_state = 207},
  [3158] = {.lex_state = 214},
  [3159] = {.lex_state = 217},
  [3160] = {.lex_state = 217},
  [3161] = {.lex_state = 207},
  [3162] = {.lex_state = 207},
  [3163] = {.lex_state = 207},
  [3164] = {.lex_state = 238},
  [3165] = {.lex_state = 207},
  [3166] = {.lex_state = 207},
  [3167] = {.lex_state = 207},
  [3168] = {.lex_state = 207},
  [3169] = {.lex_state = 207},
  [3170] = {.lex_state = 207},
  [3171] = {.lex_state = 207},
  [3172] = {.lex_state = 207},
  [3173] = {.lex_state = 207},
  [3174] = {.lex_state = 207},
  [3175] = {.lex_state = 207},
  [3176] = {.lex_state = 207},
  [3177] = {.lex_state = 207},
  [3178] = {.lex_state = 207},
  [3179] = {.lex_state = 207},
  [3180] = {.lex_state = 207},
  [3181] = {.lex_state = 207},
  [3182] = {.lex_state = 207},
  [3183] = {.lex_state = 207},
  [3184] = {.lex_state = 239},
  [3185] = {.lex_state = 207},
  [3186] = {.lex_state = 191},
  [3187] = {.lex_state = 223},
  [3188] = {.lex_state = 207},
  [3189] = {.lex_state = 203},
  [3190] = {.lex_state = 207},
  [3191] = {.lex_state = 207},
  [3192] = {.lex_state = 203},
  [3193] = {.lex_state = 207},
  [3194] = {.lex_state = 207},
  [3195] = {.lex_state = 207},
  [3196] = {.lex_state = 203},
  [3197] = {.lex_state = 217},
  [3198] = {.lex_state = 207},
  [3199] = {.lex_state = 207},
  [3200] = {.lex_state = 203},
  [3201] = {.lex_state = 181},
  [3202] = {.lex_state = 181},
  [3203] = {.lex_state = 207},
  [3204] = {.lex_state = 207},
  [3205] = {.lex_state = 219},
  [3206] = {.lex_state = 207},
  [3207] = {.lex_state = 207},
  [3208] = {.lex_state = 239},
  [3209] = {.lex_state = 203},
  [3210] = {.lex_state = 239},
  [3211] = {.lex_state = 201},
  [3212] = {.lex_state = 207},
  [3213] = {.lex_state = 207},
  [3214] = {.lex_state = 207},
  [3215] = {.lex_state = 239},
  [3216] = {.lex_state = 207},
  [3217] = {.lex_state = 207},
  [3218] = {.lex_state = 214},
  [3219] = {.lex_state = 207},
  [3220] = {.lex_state = 207},
  [3221] = {.lex_state = 207},
  [3222] = {.lex_state = 207},
  [3223] = {.lex_state = 221},
  [3224] = {.lex_state = 207},
  [3225] = {.lex_state = 207},
  [3226] = {.lex_state = 191},
  [3227] = {.lex_state = 207},
  [3228] = {.lex_state = 239},
  [3229] = {.lex_state = 207},
  [3230] = {.lex_state = 207},
  [3231] = {.lex_state = 207},
  [3232] = {.lex_state = 203},
  [3233] = {.lex_state = 203},
  [3234] = {.lex_state = 207},
  [3235] = {.lex_state = 207},
  [3236] = {.lex_state = 207},
  [3237] = {.lex_state = 217},
  [3238] = {.lex_state = 217},
  [3239] = {.lex_state = 207},
  [3240] = {.lex_state = 207},
  [3241] = {.lex_state = 207},
  [3242] = {.lex_state = 217},
  [3243] = {.lex_state = 203},
  [3244] = {.lex_state = 207},
  [3245] = {.lex_state = 217},
  [3246] = {.lex_state = 207},
  [3247] = {.lex_state = 223},
  [3248] = {.lex_state = 214},
  [3249] = {.lex_state = 207},
  [3250] = {.lex_state = 239},
  [3251] = {.lex_state = 207},
  [3252] = {.lex_state = 207},
  [3253] = {.lex_state = 207},
  [3254] = {.lex_state = 201},
  [3255] = {.lex_state = 207},
  [3256] = {.lex_state = 207},
  [3257] = {.lex_state = 239},
  [3258] = {.lex_state = 207},
  [3259] = {.lex_state = 207},
  [3260] = {.lex_state = 217},
  [3261] = {.lex_state = 181},
  [3262] = {.lex_state = 207},
  [3263] = {.lex_state = 207},
  [3264] = {.lex_state = 207},
  [3265] = {.lex_state = 207},
  [3266] = {.lex_state = 207},
  [3267] = {.lex_state = 217},
  [3268] = {.lex_state = 217},
  [3269] = {.lex_state = 203},
  [3270] = {.lex_state = 202},
  [3271] = {.lex_state = 203},
  [3272] = {.lex_state = 207},
  [3273] = {.lex_state = 201},
  [3274] = {.lex_state = 207},
  [3275] = {.lex_state = 207},
  [3276] = {.lex_state = 203},
  [3277] = {.lex_state = 207},
  [3278] = {.lex_state = 207},
  [3279] = {.lex_state = 207},
  [3280] = {.lex_state = 202},
  [3281] = {.lex_state = 207},
  [3282] = {.lex_state = 239},
  [3283] = {.lex_state = 207},
  [3284] = {.lex_state = 203},
  [3285] = {.lex_state = 207},
  [3286] = {.lex_state = 217},
  [3287] = {.lex_state = 217},
  [3288] = {.lex_state = 217},
  [3289] = {.lex_state = 207},
  [3290] = {.lex_state = 223},
  [3291] = {.lex_state = 207},
  [3292] = {.lex_state = 207},
  [3293] = {.lex_state = 238},
  [3294] = {.lex_state = 207},
  [3295] = {.lex_state = 207},
  [3296] = {.lex_state = 207},
  [3297] = {.lex_state = 207},
  [3298] = {.lex_state = 240},
  [3299] = {.lex_state = 207},
  [3300] = {.lex_state = 181},
  [3301] = {.lex_state = 207},
  [3302] = {.lex_state = 238},
  [3303] = {.lex_state = 207},
  [3304] = {.lex_state = 207},
  [3305] = {.lex_state = 207},
  [3306] = {.lex_state = 219},
  [3307] = {.lex_state = 239},
  [3308] = {.lex_state = 207},
  [3309] = {.lex_state = 219},
  [3310] = {.lex_state = 239},
  [3311] = {.lex_state = 203},
  [3312] = {.lex_state = 207},
  [3313] = {.lex_state = 203},
  [3314] = {.lex_state = 203},
  [3315] = {.lex_state = 207},
  [3316] = {.lex_state = 207},
  [3317] = {.lex_state = 207},
  [3318] = {.lex_state = 194},
  [3319] = {.lex_state = 191},
  [3320] = {.lex_state = 217},
  [3321] = {.lex_state = 194},
  [3322] = {.lex_state = 238},
  [3323] = {.lex_state = 207},
  [3324] = {.lex_state = 207},
  [3325] = {.lex_state = 207},
  [3326] = {.lex_state = 238},
  [3327] = {.lex_state = 217},
  [3328] = {.lex_state = 207},
  [3329] = {.lex_state = 207},
  [3330] = {.lex_state = 207},
  [3331] = {.lex_state = 207},
  [3332] = {.lex_state = 203},
  [3333] = {.lex_state = 207},
  [3334] = {.lex_state = 207},
  [3335] = {.lex_state = 207},
  [3336] = {.lex_state = 217},
  [3337] = {.lex_state = 207},
  [3338] = {.lex_state = 207},
  [3339] = {.lex_state = 207},
  [3340] = {.lex_state = 214},
  [3341] = {.lex_state = 203},
  [3342] = {.lex_state = 239},
  [3343] = {.lex_state = 214},
  [3344] = {.lex_state = 214},
  [3345] = {.lex_state = 207},
  [3346] = {.lex_state = 214},
  [3347] = {.lex_state = 201},
  [3348] = {.lex_state = 214},
  [3349] = {.lex_state = 207},
  [3350] = {.lex_state = 207},
  [3351] = {.lex_state = 207},
  [3352] = {.lex_state = 207},
  [3353] = {.lex_state = 207},
  [3354] = {.lex_state = 207},
  [3355] = {.lex_state = 207},
  [3356] = {.lex_state = 207},
  [3357] = {.lex_state = 207},
  [3358] = {.lex_state = 207},
  [3359] = {.lex_state = 207},
  [3360] = {.lex_state = 223},
  [3361] = {.lex_state = 214},
  [3362] = {.lex_state = 214},
  [3363] = {.lex_state = 214},
  [3364] = {.lex_state = 214},
  [3365] = {.lex_state = 214},
  [3366] = {.lex_state = 214},
  [3367] = {.lex_state = 181},
  [3368] = {.lex_state = 214},
  [3369] = {.lex_state = 207},
  [3370] = {.lex_state = 214},
  [3371] = {.lex_state = 214},
  [3372] = {.lex_state = 201},
  [3373] = {.lex_state = 207},
  [3374] = {.lex_state = 214},
  [3375] = {.lex_state = 201},
  [3376] = {.lex_state = 214},
  [3377] = {.lex_state = 207},
  [3378] = {.lex_state = 207},
  [3379] = {.lex_state = 201},
  [3380] = {.lex_state = 214},
  [3381] = {.lex_state = 238},
  [3382] = {.lex_state = 214},
  [3383] = {.lex_state = 201},
  [3384] = {.lex_state = 239},
  [3385] = {.lex_state = 214},
  [3386] = {.lex_state = 239},
  [3387] = {.lex_state = 214},
  [3388] = {.lex_state = 214},
  [3389] = {.lex_state = 207},
  [3390] = {.lex_state = 207},
  [3391] = {.lex_state = 214},
  [3392] = {.lex_state = 214},
  [3393] = {.lex_state = 214},
  [3394] = {.lex_state = 214},
  [3395] = {.lex_state = 214},
  [3396] = {.lex_state = 214},
  [3397] = {.lex_state = 214},
  [3398] = {.lex_state = 214},
  [3399] = {.lex_state = 214},
  [3400] = {.lex_state = 214},
  [3401] = {.lex_state = 239},
  [3402] = {.lex_state = 207},
  [3403] = {.lex_state = 214},
  [3404] = {.lex_state = 214},
  [3405] = {.lex_state = 214},
  [3406] = {.lex_state = 207},
  [3407] = {.lex_state = 214},
  [3408] = {.lex_state = 214},
  [3409] = {.lex_state = 214},
  [3410] = {.lex_state = 214},
  [3411] = {.lex_state = 214},
  [3412] = {.lex_state = 214},
  [3413] = {.lex_state = 214},
  [3414] = {.lex_state = 214},
  [3415] = {.lex_state = 214},
  [3416] = {.lex_state = 239},
  [3417] = {.lex_state = 207},
  [3418] = {.lex_state = 214},
  [3419] = {.lex_state = 214},
  [3420] = {.lex_state = 193},
  [3421] = {.lex_state = 214},
  [3422] = {.lex_state = 214},
  [3423] = {.lex_state = 194},
  [3424] = {.lex_state = 201},
  [3425] = {.lex_state = 214},
  [3426] = {.lex_state = 214},
  [3427] = {.lex_state = 201},
  [3428] = {.lex_state = 196},
  [3429] = {.lex_state = 239},
  [3430] = {.lex_state = 214},
  [3431] = {.lex_state = 201},
  [3432] = {.lex_state = 214},
  [3433] = {.lex_state = 239},
  [3434] = {.lex_state = 214},
  [3435] = {.lex_state = 214},
  [3436] = {.lex_state = 214},
  [3437] = {.lex_state = 201},
  [3438] = {.lex_state = 214},
  [3439] = {.lex_state = 207},
  [3440] = {.lex_state = 181},
  [3441] = {.lex_state = 201},
  [3442] = {.lex_state = 214},
  [3443] = {.lex_state = 196},
  [3444] = {.lex_state = 214},
  [3445] = {.lex_state = 196},
  [3446] = {.lex_state = 196},
  [3447] = {.lex_state = 214},
  [3448] = {.lex_state = 196},
  [3449] = {.lex_state = 214},
  [3450] = {.lex_state = 196},
  [3451] = {.lex_state = 214},
  [3452] = {.lex_state = 214},
  [3453] = {.lex_state = 214},
  [3454] = {.lex_state = 196},
  [3455] = {.lex_state = 214},
  [3456] = {.lex_state = 207},
  [3457] = {.lex_state = 214},
  [3458] = {.lex_state = 214},
  [3459] = {.lex_state = 214},
  [3460] = {.lex_state = 194},
  [3461] = {.lex_state = 214},
  [3462] = {.lex_state = 214},
  [3463] = {.lex_state = 214},
  [3464] = {.lex_state = 214},
  [3465] = {.lex_state = 214},
  [3466] = {.lex_state = 196},
  [3467] = {.lex_state = 214},
  [3468] = {.lex_state = 214},
  [3469] = {.lex_state = 214},
  [3470] = {.lex_state = 214},
  [3471] = {.lex_state = 214},
  [3472] = {.lex_state = 239},
  [3473] = {.lex_state = 214},
  [3474] = {.lex_state = 214},
  [3475] = {.lex_state = 214},
  [3476] = {.lex_state = 207},
  [3477] = {.lex_state = 214},
  [3478] = {.lex_state = 214},
  [3479] = {.lex_state = 214},
  [3480] = {.lex_state = 214},
  [3481] = {.lex_state = 214},
  [3482] = {.lex_state = 214},
  [3483] = {.lex_state = 207},
  [3484] = {.lex_state = 239},
  [3485] = {.lex_state = 239},
  [3486] = {.lex_state = 240},
  [3487] = {.lex_state = 240},
  [3488] = {.lex_state = 201},
  [3489] = {.lex_state = 201},
  [3490] = {.lex_state = 201},
  [3491] = {.lex_state = 201},
  [3492] = {.lex_state = 201},
  [3493] = {.lex_state = 201},
  [3494] = {.lex_state = 201},
  [3495] = {.lex_state = 201},
  [3496] = {.lex_state = 181},
  [3497] = {.lex_state = 181},
  [3498] = {.lex_state = 201},
  [3499] = {.lex_state = 211},
  [3500] = {.lex_state = 201},
  [3501] = {.lex_state = 201},
  [3502] = {.lex_state = 181},
  [3503] = {.lex_state = 181},
  [3504] = {.lex_state = 211},
  [3505] = {.lex_state = 238},
  [3506] = {.lex_state = 201},
  [3507] = {.lex_state = 203},
  [3508] = {.lex_state = 239},
  [3509] = {.lex_state = 238},
  [3510] = {.lex_state = 194},
  [3511] = {.lex_state = 191},
  [3512] = {.lex_state = 191},
  [3513] = {.lex_state = 201},
  [3514] = {.lex_state = 203},
  [3515] = {.lex_state = 242},
  [3516] = {.lex_state = 240},
  [3517] = {.lex_state = 203},
  [3518] = {.lex_state = 240},
  [3519] = {.lex_state = 238},
  [3520] = {.lex_state = 239},
  [3521] = {.lex_state = 207},
  [3522] = {.lex_state = 211},
  [3523] = {.lex_state = 201},
  [3524] = {.lex_state = 238},
  [3525] = {.lex_state = 201},
  [3526] = {.lex_state = 201},
  [3527] = {.lex_state = 201},
  [3528] = {.lex_state = 191},
  [3529] = {.lex_state = 207},
  [3530] = {.lex_state = 207},
  [3531] = {.lex_state = 237},
  [3532] = {.lex_state = 203},
  [3533] = {.lex_state = 203},
  [3534] = {.lex_state = 238},
  [3535] = {.lex_state = 237},
  [3536] = {.lex_state = 238},
  [3537] = {.lex_state = 201},
  [3538] = {.lex_state = 207},
  [3539] = {.lex_state = 238},
  [3540] = {.lex_state = 207},
  [3541] = {.lex_state = 201},
  [3542] = {.lex_state = 238},
  [3543] = {.lex_state = 207},
  [3544] = {.lex_state = 207},
  [3545] = {.lex_state = 238},
  [3546] = {.lex_state = 207},
  [3547] = {.lex_state = 207},
  [3548] = {.lex_state = 238},
  [3549] = {.lex_state = 201},
  [3550] = {.lex_state = 207},
  [3551] = {.lex_state = 207},
  [3552] = {.lex_state = 207},
  [3553] = {.lex_state = 207},
  [3554] = {.lex_state = 207},
  [3555] = {.lex_state = 238},
  [3556] = {.lex_state = 207},
  [3557] = {.lex_state = 203},
  [3558] = {.lex_state = 238},
  [3559] = {.lex_state = 238},
  [3560] = {.lex_state = 207},
  [3561] = {.lex_state = 201},
  [3562] = {.lex_state = 238},
  [3563] = {.lex_state = 203},
  [3564] = {.lex_state = 207},
  [3565] = {.lex_state = 207},
  [3566] = {.lex_state = 207},
  [3567] = {.lex_state = 207},
  [3568] = {.lex_state = 238},
  [3569] = {.lex_state = 207},
  [3570] = {.lex_state = 207},
  [3571] = {.lex_state = 207},
  [3572] = {.lex_state = 207},
  [3573] = {.lex_state = 207},
  [3574] = {.lex_state = 207},
  [3575] = {.lex_state = 238},
  [3576] = {.lex_state = 191},
  [3577] = {.lex_state = 201},
  [3578] = {.lex_state = 207},
  [3579] = {.lex_state = 207},
  [3580] = {.lex_state = 238},
  [3581] = {.lex_state = 238},
  [3582] = {.lex_state = 207},
  [3583] = {.lex_state = 207},
  [3584] = {.lex_state = 238},
  [3585] = {.lex_state = 207},
  [3586] = {.lex_state = 238},
  [3587] = {.lex_state = 240},
  [3588] = {.lex_state = 181},
  [3589] = {.lex_state = 181},
  [3590] = {.lex_state = 238},
  [3591] = {.lex_state = 207},
  [3592] = {.lex_state = 207},
  [3593] = {.lex_state = 238},
  [3594] = {.lex_state = 238},
  [3595] = {.lex_state = 238},
  [3596] = {.lex_state = 207},
  [3597] = {.lex_state = 207},
  [3598] = {.lex_state = 238},
  [3599] = {.lex_state = 207},
  [3600] = {.lex_state = 238},
  [3601] = {.lex_state = 238},
  [3602] = {.lex_state = 238},
  [3603] = {.lex_state = 207},
  [3604] = {.lex_state = 238},
  [3605] = {.lex_state = 238},
  [3606] = {.lex_state = 238},
  [3607] = {.lex_state = 238},
  [3608] = {.lex_state = 238},
  [3609] = {.lex_state = 207},
  [3610] = {.lex_state = 207},
  [3611] = {.lex_state = 207},
  [3612] = {.lex_state = 238},
  [3613] = {.lex_state = 238},
  [3614] = {.lex_state = 238},
  [3615] = {.lex_state = 181},
  [3616] = {.lex_state = 207},
  [3617] = {.lex_state = 238},
  [3618] = {.lex_state = 238},
  [3619] = {.lex_state = 207},
  [3620] = {.lex_state = 238},
  [3621] = {.lex_state = 207},
  [3622] = {.lex_state = 238},
  [3623] = {.lex_state = 207},
  [3624] = {.lex_state = 207},
  [3625] = {.lex_state = 238},
  [3626] = {.lex_state = 238},
  [3627] = {.lex_state = 239},
  [3628] = {.lex_state = 238},
  [3629] = {.lex_state = 238},
  [3630] = {.lex_state = 238},
  [3631] = {.lex_state = 207},
  [3632] = {.lex_state = 207},
  [3633] = {.lex_state = 238},
  [3634] = {.lex_state = 207},
  [3635] = {.lex_state = 240},
  [3636] = {.lex_state = 207},
  [3637] = {.lex_state = 207},
  [3638] = {.lex_state = 238},
  [3639] = {.lex_state = 207},
  [3640] = {.lex_state = 207},
  [3641] = {.lex_state = 207},
  [3642] = {.lex_state = 207},
  [3643] = {.lex_state = 240},
  [3644] = {.lex_state = 207},
  [3645] = {.lex_state = 239},
  [3646] = {.lex_state = 239},
  [3647] = {.lex_state = 181},
  [3648] = {.lex_state = 207},
  [3649] = {.lex_state = 240},
  [3650] = {.lex_state = 207},
  [3651] = {.lex_state = 238},
  [3652] = {.lex_state = 238},
  [3653] = {.lex_state = 238},
  [3654] = {.lex_state = 238},
  [3655] = {.lex_state = 181},
  [3656] = {.lex_state = 238},
  [3657] = {.lex_state = 191},
  [3658] = {.lex_state = 238},
  [3659] = {.lex_state = 191},
  [3660] = {.lex_state = 238},
  [3661] = {.lex_state = 238},
  [3662] = {.lex_state = 238},
  [3663] = {.lex_state = 238},
  [3664] = {.lex_state = 238},
  [3665] = {.lex_state = 238},
  [3666] = {.lex_state = 238},
  [3667] = {.lex_state = 238},
  [3668] = {.lex_state = 238},
  [3669] = {.lex_state = 238},
  [3670] = {.lex_state = 238},
  [3671] = {.lex_state = 203},
  [3672] = {.lex_state = 207},
  [3673] = {.lex_state = 201},
  [3674] = {.lex_state = 201},
  [3675] = {.lex_state = 201},
  [3676] = {.lex_state = 238},
  [3677] = {.lex_state = 238},
  [3678] = {.lex_state = 238},
  [3679] = {.lex_state = 238},
  [3680] = {.lex_state = 238},
  [3681] = {.lex_state = 238},
  [3682] = {.lex_state = 238},
  [3683] = {.lex_state = 203},
  [3684] = {.lex_state = 239},
  [3685] = {.lex_state = 240},
  [3686] = {.lex_state = 203},
  [3687] = {.lex_state = 238},
  [3688] = {.lex_state = 191},
  [3689] = {.lex_state = 238},
  [3690] = {.lex_state = 203},
  [3691] = {.lex_state = 203},
  [3692] = {.lex_state = 203},
  [3693] = {.lex_state = 226},
  [3694] = {.lex_state = 238},
  [3695] = {.lex_state = 203},
  [3696] = {.lex_state = 238},
  [3697] = {.lex_state = 203},
  [3698] = {.lex_state = 238},
  [3699] = {.lex_state = 201},
  [3700] = {.lex_state = 203},
  [3701] = {.lex_state = 191},
  [3702] = {.lex_state = 203},
  [3703] = {.lex_state = 203},
  [3704] = {.lex_state = 238},
  [3705] = {.lex_state = 223},
  [3706] = {.lex_state = 203},
  [3707] = {.lex_state = 203},
  [3708] = {.lex_state = 201},
  [3709] = {.lex_state = 238},
  [3710] = {.lex_state = 238},
  [3711] = {.lex_state = 191},
  [3712] = {.lex_state = 238},
  [3713] = {.lex_state = 238},
  [3714] = {.lex_state = 203},
  [3715] = {.lex_state = 203},
  [3716] = {.lex_state = 239},
  [3717] = {.lex_state = 203},
  [3718] = {.lex_state = 239},
  [3719] = {.lex_state = 203},
  [3720] = {.lex_state = 238},
  [3721] = {.lex_state = 203},
  [3722] = {.lex_state = 239},
  [3723] = {.lex_state = 203},
  [3724] = {.lex_state = 203},
  [3725] = {.lex_state = 239},
  [3726] = {.lex_state = 239},
  [3727] = {.lex_state = 239},
  [3728] = {.lex_state = 239},
  [3729] = {.lex_state = 239},
  [3730] = {.lex_state = 239},
  [3731] = {.lex_state = 239},
  [3732] = {.lex_state = 223},
  [3733] = {.lex_state = 223},
  [3734] = {.lex_state = 239},
  [3735] = {.lex_state = 203},
  [3736] = {.lex_state = 203},
  [3737] = {.lex_state = 203},
  [3738] = {.lex_state = 239},
  [3739] = {.lex_state = 203},
  [3740] = {.lex_state = 203},
  [3741] = {.lex_state = 203},
  [3742] = {.lex_state = 238},
  [3743] = {.lex_state = 238},
  [3744] = {.lex_state = 203},
  [3745] = {.lex_state = 203},
  [3746] = {.lex_state = 203},
  [3747] = {.lex_state = 238},
  [3748] = {.lex_state = 203},
  [3749] = {.lex_state = 240},
  [3750] = {.lex_state = 203},
  [3751] = {.lex_state = 191},
  [3752] = {.lex_state = 203},
  [3753] = {.lex_state = 238},
  [3754] = {.lex_state = 203},
  [3755] = {.lex_state = 203},
  [3756] = {.lex_state = 238},
  [3757] = {.lex_state = 239},
  [3758] = {.lex_state = 201},
  [3759] = {.lex_state = 201},
  [3760] = {.lex_state = 201},
  [3761] = {.lex_state = 239},
  [3762] = {.lex_state = 201},
  [3763] = {.lex_state = 201},
  [3764] = {.lex_state = 201},
  [3765] = {.lex_state = 223},
  [3766] = {.lex_state = 201},
  [3767] = {.lex_state = 203},
  [3768] = {.lex_state = 226},
  [3769] = {.lex_state = 239},
  [3770] = {.lex_state = 201},
  [3771] = {.lex_state = 242},
  [3772] = {.lex_state = 201},
  [3773] = {.lex_state = 201},
  [3774] = {.lex_state = 201},
  [3775] = {.lex_state = 201},
  [3776] = {.lex_state = 201},
  [3777] = {.lex_state = 201},
  [3778] = {.lex_state = 201},
  [3779] = {.lex_state = 201},
  [3780] = {.lex_state = 201},
  [3781] = {.lex_state = 201},
  [3782] = {.lex_state = 201},
  [3783] = {.lex_state = 201},
  [3784] = {.lex_state = 203},
  [3785] = {.lex_state = 201},
  [3786] = {.lex_state = 201},
  [3787] = {.lex_state = 203},
  [3788] = {.lex_state = 242},
  [3789] = {.lex_state = 201},
  [3790] = {.lex_state = 201},
  [3791] = {.lex_state = 201},
  [3792] = {.lex_state = 201},
  [3793] = {.lex_state = 201},
  [3794] = {.lex_state = 203},
  [3795] = {.lex_state = 201},
  [3796] = {.lex_state = 201},
  [3797] = {.lex_state = 201},
  [3798] = {.lex_state = 201},
  [3799] = {.lex_state = 223},
  [3800] = {.lex_state = 201},
  [3801] = {.lex_state = 201},
  [3802] = {.lex_state = 201},
  [3803] = {.lex_state = 240},
  [3804] = {.lex_state = 201},
  [3805] = {.lex_state = 201},
  [3806] = {.lex_state = 201},
  [3807] = {.lex_state = 201},
  [3808] = {.lex_state = 201},
  [3809] = {.lex_state = 240},
  [3810] = {.lex_state = 201},
  [3811] = {.lex_state = 201},
  [3812] = {.lex_state = 201},
  [3813] = {.lex_state = 240},
  [3814] = {.lex_state = 237},
  [3815] = {.lex_state = 226},
  [3816] = {.lex_state = 201},
  [3817] = {.lex_state = 239},
  [3818] = {.lex_state = 201},
  [3819] = {.lex_state = 226},
  [3820] = {.lex_state = 201},
  [3821] = {.lex_state = 201},
  [3822] = {.lex_state = 238},
  [3823] = {.lex_state = 201},
  [3824] = {.lex_state = 201},
  [3825] = {.lex_state = 239},
  [3826] = {.lex_state = 201},
  [3827] = {.lex_state = 201},
  [3828] = {.lex_state = 201},
  [3829] = {.lex_state = 201},
  [3830] = {.lex_state = 238},
  [3831] = {.lex_state = 201},
  [3832] = {.lex_state = 201},
  [3833] = {.lex_state = 203},
  [3834] = {.lex_state = 238},
  [3835] = {.lex_state = 238},
  [3836] = {.lex_state = 201},
  [3837] = {.lex_state = 201},
  [3838] = {.lex_state = 201},
  [3839] = {.lex_state = 201},
  [3840] = {.lex_state = 203},
  [3841] = {.lex_state = 201},
  [3842] = {.lex_state = 201},
  [3843] = {.lex_state = 201},
  [3844] = {.lex_state = 238},
  [3845] = {.lex_state = 238},
  [3846] = {.lex_state = 238},
  [3847] = {.lex_state = 203},
  [3848] = {.lex_state = 201},
  [3849] = {.lex_state = 238},
  [3850] = {.lex_state = 238},
  [3851] = {.lex_state = 201},
  [3852] = {.lex_state = 240},
  [3853] = {.lex_state = 238},
  [3854] = {.lex_state = 238},
  [3855] = {.lex_state = 240},
  [3856] = {.lex_state = 201},
  [3857] = {.lex_state = 201},
  [3858] = {.lex_state = 227},
  [3859] = {.lex_state = 238},
  [3860] = {.lex_state = 201},
  [3861] = {.lex_state = 201},
  [3862] = {.lex_state = 238},
  [3863] = {.lex_state = 201},
  [3864] = {.lex_state = 239},
  [3865] = {.lex_state = 240},
  [3866] = {.lex_state = 238},
  [3867] = {.lex_state = 203},
  [3868] = {.lex_state = 238},
  [3869] = {.lex_state = 201},
  [3870] = {.lex_state = 240},
  [3871] = {.lex_state = 237},
  [3872] = {.lex_state = 237},
  [3873] = {.lex_state = 238},
  [3874] = {.lex_state = 238},
  [3875] = {.lex_state = 201},
  [3876] = {.lex_state = 201},
  [3877] = {.lex_state = 238},
  [3878] = {.lex_state = 201},
  [3879] = {.lex_state = 201},
  [3880] = {.lex_state = 238},
  [3881] = {.lex_state = 238},
  [3882] = {.lex_state = 238},
  [3883] = {.lex_state = 201},
  [3884] = {.lex_state = 227},
  [3885] = {.lex_state = 238},
  [3886] = {.lex_state = 238},
  [3887] = {.lex_state = 238},
  [3888] = {.lex_state = 201},
  [3889] = {.lex_state = 238},
  [3890] = {.lex_state = 238},
  [3891] = {.lex_state = 201},
  [3892] = {.lex_state = 238},
  [3893] = {.lex_state = 238},
  [3894] = {.lex_state = 203},
  [3895] = {.lex_state = 201},
  [3896] = {.lex_state = 201},
  [3897] = {.lex_state = 203},
  [3898] = {.lex_state = 201},
  [3899] = {.lex_state = 227},
  [3900] = {.lex_state = 201},
  [3901] = {.lex_state = 201},
  [3902] = {.lex_state = 201},
  [3903] = {.lex_state = 239},
  [3904] = {.lex_state = 227},
  [3905] = {.lex_state = 201},
  [3906] = {.lex_state = 201},
  [3907] = {.lex_state = 239},
  [3908] = {.lex_state = 201},
  [3909] = {.lex_state = 223},
  [3910] = {.lex_state = 227},
  [3911] = {.lex_state = 237},
  [3912] = {.lex_state = 201},
  [3913] = {.lex_state = 223},
  [3914] = {.lex_state = 201},
  [3915] = {.lex_state = 201},
  [3916] = {.lex_state = 227},
  [3917] = {.lex_state = 201},
  [3918] = {.lex_state = 237},
  [3919] = {.lex_state = 240},
  [3920] = {.lex_state = 240},
  [3921] = {.lex_state = 203},
  [3922] = {.lex_state = 203},
  [3923] = {.lex_state = 237},
  [3924] = {.lex_state = 201},
  [3925] = {.lex_state = 201},
  [3926] = {.lex_state = 201},
  [3927] = {.lex_state = 201},
  [3928] = {.lex_state = 238},
  [3929] = {.lex_state = 237},
  [3930] = {.lex_state = 238},
  [3931] = {.lex_state = 201},
  [3932] = {.lex_state = 237},
  [3933] = {.lex_state = 223},
  [3934] = {.lex_state = 239},
  [3935] = {.lex_state = 240},
  [3936] = {.lex_state = 223},
  [3937] = {.lex_state = 204},
  [3938] = {.lex_state = 201},
  [3939] = {.lex_state = 223},
  [3940] = {.lex_state = 204},
  [3941] = {.lex_state = 223},
  [3942] = {.lex_state = 223},
  [3943] = {.lex_state = 238},
  [3944] = {.lex_state = 203},
  [3945] = {.lex_state = 203},
  [3946] = {.lex_state = 237},
  [3947] = {.lex_state = 201},
  [3948] = {.lex_state = 223},
  [3949] = {.lex_state = 237},
  [3950] = {.lex_state = 238},
  [3951] = {.lex_state = 223},
  [3952] = {.lex_state = 239},
  [3953] = {.lex_state = 239},
  [3954] = {.lex_state = 238},
  [3955] = {.lex_state = 237},
  [3956] = {.lex_state = 237},
  [3957] = {.lex_state = 238},
  [3958] = {.lex_state = 239},
  [3959] = {.lex_state = 201},
  [3960] = {.lex_state = 240},
  [3961] = {.lex_state = 239},
  [3962] = {.lex_state = 201},
  [3963] = {.lex_state = 240},
  [3964] = {.lex_state = 239},
  [3965] = {.lex_state = 223},
  [3966] = {.lex_state = 204},
  [3967] = {.lex_state = 238},
  [3968] = {.lex_state = 239},
  [3969] = {.lex_state = 238},
  [3970] = {.lex_state = 240},
  [3971] = {.lex_state = 238},
  [3972] = {.lex_state = 201},
  [3973] = {.lex_state = 240},
  [3974] = {.lex_state = 237},
  [3975] = {.lex_state = 240},
  [3976] = {.lex_state = 201},
  [3977] = {.lex_state = 237},
  [3978] = {.lex_state = 201},
  [3979] = {.lex_state = 240},
  [3980] = {.lex_state = 242},
  [3981] = {.lex_state = 240},
  [3982] = {.lex_state = 240},
  [3983] = {.lex_state = 240},
  [3984] = {.lex_state = 203},
  [3985] = {.lex_state = 239},
  [3986] = {.lex_state = 203},
  [3987] = {.lex_state = 204},
  [3988] = {.lex_state = 201},
  [3989] = {.lex_state = 201},
  [3990] = {.lex_state = 201},
  [3991] = {.lex_state = 242},
  [3992] = {.lex_state = 239},
  [3993] = {.lex_state = 242},
  [3994] = {.lex_state = 240},
  [3995] = {.lex_state = 223},
  [3996] = {.lex_state = 239},
  [3997] = {.lex_state = 204},
  [3998] = {.lex_state = 239},
  [3999] = {.lex_state = 201},
  [4000] = {.lex_state = 223},
  [4001] = {.lex_state = 240},
  [4002] = {.lex_state = 240},
  [4003] = {.lex_state = 239},
  [4004] = {.lex_state = 204},
  [4005] = {.lex_state = 237},
  [4006] = {.lex_state = 237},
  [4007] = {.lex_state = 223},
  [4008] = {.lex_state = 223},
  [4009] = {.lex_state = 223},
  [4010] = {.lex_state = 223},
  [4011] = {.lex_state = 201},
  [4012] = {.lex_state = 201},
  [4013] = {.lex_state = 201},
  [4014] = {.lex_state = 237},
  [4015] = {.lex_state = 223},
  [4016] = {.lex_state = 201},
  [4017] = {.lex_state = 201},
  [4018] = {.lex_state = 201},
  [4019] = {.lex_state = 239},
  [4020] = {.lex_state = 201},
  [4021] = {.lex_state = 201},
  [4022] = {.lex_state = 201},
  [4023] = {.lex_state = 201},
  [4024] = {.lex_state = 201},
  [4025] = {.lex_state = 201},
  [4026] = {.lex_state = 201},
  [4027] = {.lex_state = 201},
  [4028] = {.lex_state = 237},
  [4029] = {.lex_state = 237},
  [4030] = {.lex_state = 201},
  [4031] = {.lex_state = 201},
  [4032] = {.lex_state = 201},
  [4033] = {.lex_state = 201},
  [4034] = {.lex_state = 223},
  [4035] = {.lex_state = 201},
  [4036] = {.lex_state = 201},
  [4037] = {.lex_state = 237},
  [4038] = {.lex_state = 201},
  [4039] = {.lex_state = 239},
  [4040] = {.lex_state = 227},
  [4041] = {.lex_state = 203},
  [4042] = {.lex_state = 201},
  [4043] = {.lex_state = 201},
  [4044] = {.lex_state = 201},
  [4045] = {.lex_state = 227},
  [4046] = {.lex_state = 201},
  [4047] = {.lex_state = 201},
  [4048] = {.lex_state = 227},
  [4049] = {.lex_state = 201},
  [4050] = {.lex_state = 240},
  [4051] = {.lex_state = 240},
  [4052] = {.lex_state = 201},
  [4053] = {.lex_state = 240},
  [4054] = {.lex_state = 243},
  [4055] = {.lex_state = 240},
  [4056] = {.lex_state = 201},
  [4057] = {.lex_state = 201},
  [4058] = {.lex_state = 201},
  [4059] = {.lex_state = 227},
  [4060] = {.lex_state = 240},
  [4061] = {.lex_state = 237},
  [4062] = {.lex_state = 201},
  [4063] = {.lex_state = 201},
  [4064] = {.lex_state = 201},
  [4065] = {.lex_state = 201},
  [4066] = {.lex_state = 227},
  [4067] = {.lex_state = 201},
  [4068] = {.lex_state = 201},
  [4069] = {.lex_state = 201},
  [4070] = {.lex_state = 227},
  [4071] = {.lex_state = 227},
  [4072] = {.lex_state = 201},
  [4073] = {.lex_state = 227},
  [4074] = {.lex_state = 227},
  [4075] = {.lex_state = 227},
  [4076] = {.lex_state = 227},
  [4077] = {.lex_state = 201},
  [4078] = {.lex_state = 227},
  [4079] = {.lex_state = 201},
  [4080] = {.lex_state = 201},
  [4081] = {.lex_state = 240},
  [4082] = {.lex_state = 201},
  [4083] = {.lex_state = 227},
  [4084] = {.lex_state = 201},
  [4085] = {.lex_state = 201},
  [4086] = {.lex_state = 201},
  [4087] = {.lex_state = 227},
  [4088] = {.lex_state = 237},
  [4089] = {.lex_state = 201},
  [4090] = {.lex_state = 239},
  [4091] = {.lex_state = 240},
  [4092] = {.lex_state = 201},
  [4093] = {.lex_state = 201},
  [4094] = {.lex_state = 223},
  [4095] = {.lex_state = 201},
  [4096] = {.lex_state = 237},
  [4097] = {.lex_state = 201},
  [4098] = {.lex_state = 227},
  [4099] = {.lex_state = 239},
  [4100] = {.lex_state = 201},
  [4101] = {.lex_state = 201},
  [4102] = {.lex_state = 239},
  [4103] = {.lex_state = 240},
  [4104] = {.lex_state = 201},
  [4105] = {.lex_state = 239},
  [4106] = {.lex_state = 227},
  [4107] = {.lex_state = 201},
  [4108] = {.lex_state = 201},
  [4109] = {.lex_state = 201},
  [4110] = {.lex_state = 227},
  [4111] = {.lex_state = 227},
  [4112] = {.lex_state = 227},
  [4113] = {.lex_state = 201},
  [4114] = {.lex_state = 237},
  [4115] = {.lex_state = 201},
  [4116] = {.lex_state = 227},
  [4117] = {.lex_state = 239},
  [4118] = {.lex_state = 201},
  [4119] = {.lex_state = 227},
  [4120] = {.lex_state = 227},
  [4121] = {.lex_state = 227},
  [4122] = {.lex_state = 227},
  [4123] = {.lex_state = 201},
  [4124] = {.lex_state = 201},
  [4125] = {.lex_state = 243},
  [4126] = {.lex_state = 227},
  [4127] = {.lex_state = 227},
  [4128] = {.lex_state = 237},
  [4129] = {.lex_state = 237},
  [4130] = {.lex_state = 227},
  [4131] = {.lex_state = 227},
  [4132] = {.lex_state = 227},
  [4133] = {.lex_state = 227},
  [4134] = {.lex_state = 240},
  [4135] = {.lex_state = 201},
  [4136] = {.lex_state = 222},
  [4137] = {.lex_state = 201},
  [4138] = {.lex_state = 243},
  [4139] = {.lex_state = 201},
  [4140] = {.lex_state = 201},
  [4141] = {.lex_state = 240},
  [4142] = {.lex_state = 201},
  [4143] = {.lex_state = 227},
  [4144] = {.lex_state = 227},
  [4145] = {.lex_state = 201},
  [4146] = {.lex_state = 203},
  [4147] = {.lex_state = 227},
  [4148] = {.lex_state = 227},
  [4149] = {.lex_state = 201},
  [4150] = {.lex_state = 240},
  [4151] = {.lex_state = 227},
  [4152] = {.lex_state = 201},
  [4153] = {.lex_state = 201},
  [4154] = {.lex_state = 240},
  [4155] = {.lex_state = 201},
  [4156] = {.lex_state = 227},
  [4157] = {.lex_state = 201},
  [4158] = {.lex_state = 201},
  [4159] = {.lex_state = 201},
  [4160] = {.lex_state = 240},
  [4161] = {.lex_state = 201},
  [4162] = {.lex_state = 227},
  [4163] = {.lex_state = 201},
  [4164] = {.lex_state = 227},
  [4165] = {.lex_state = 240},
  [4166] = {.lex_state = 201},
  [4167] = {.lex_state = 201},
  [4168] = {.lex_state = 201},
  [4169] = {.lex_state = 223},
  [4170] = {.lex_state = 201},
  [4171] = {.lex_state = 203},
  [4172] = {.lex_state = 201},
  [4173] = {.lex_state = 203},
  [4174] = {.lex_state = 203},
  [4175] = {.lex_state = 203},
  [4176] = {.lex_state = 203},
  [4177] = {.lex_state = 203},
  [4178] = {.lex_state = 203},
  [4179] = {.lex_state = 203},
  [4180] = {.lex_state = 203},
  [4181] = {.lex_state = 203},
  [4182] = {.lex_state = 203},
  [4183] = {.lex_state = 203},
  [4184] = {.lex_state = 203},
  [4185] = {.lex_state = 203},
  [4186] = {.lex_state = 203},
  [4187] = {.lex_state = 203},
  [4188] = {.lex_state = 203},
  [4189] = {.lex_state = 203},
  [4190] = {.lex_state = 204},
  [4191] = {.lex_state = 203},
  [4192] = {.lex_state = 201},
  [4193] = {.lex_state = 201},
  [4194] = {.lex_state = 201},
  [4195] = {.lex_state = 203},
  [4196] = {.lex_state = 201},
  [4197] = {.lex_state = 201},
  [4198] = {.lex_state = 201},
  [4199] = {.lex_state = 223},
  [4200] = {.lex_state = 203},
  [4201] = {.lex_state = 203},
  [4202] = {.lex_state = 203},
  [4203] = {.lex_state = 201},
  [4204] = {.lex_state = 201},
  [4205] = {.lex_state = 201},
  [4206] = {.lex_state = 227},
  [4207] = {.lex_state = 201},
  [4208] = {.lex_state = 201},
  [4209] = {.lex_state = 226},
  [4210] = {.lex_state = 201},
  [4211] = {.lex_state = 203},
  [4212] = {.lex_state = 227},
  [4213] = {.lex_state = 239},
  [4214] = {.lex_state = 201},
  [4215] = {.lex_state = 201},
  [4216] = {.lex_state = 201},
  [4217] = {.lex_state = 227},
  [4218] = {.lex_state = 201},
  [4219] = {.lex_state = 227},
  [4220] = {.lex_state = 223},
  [4221] = {.lex_state = 203},
  [4222] = {.lex_state = 223},
  [4223] = {.lex_state = 203},
  [4224] = {.lex_state = 201},
  [4225] = {.lex_state = 203},
  [4226] = {.lex_state = 227},
  [4227] = {.lex_state = 203},
  [4228] = {.lex_state = 201},
  [4229] = {.lex_state = 201},
  [4230] = {.lex_state = 201},
  [4231] = {.lex_state = 227},
  [4232] = {.lex_state = 201},
  [4233] = {.lex_state = 227},
  [4234] = {.lex_state = 227},
  [4235] = {.lex_state = 237},
  [4236] = {.lex_state = 227},
  [4237] = {.lex_state = 227},
  [4238] = {.lex_state = 201},
  [4239] = {.lex_state = 240},
  [4240] = {.lex_state = 201},
  [4241] = {.lex_state = 201},
  [4242] = {.lex_state = 201},
  [4243] = {.lex_state = 201},
  [4244] = {.lex_state = 201},
  [4245] = {.lex_state = 201},
  [4246] = {.lex_state = 201},
  [4247] = {.lex_state = 201},
  [4248] = {.lex_state = 227},
  [4249] = {.lex_state = 227},
  [4250] = {.lex_state = 201},
  [4251] = {.lex_state = 227},
  [4252] = {.lex_state = 227},
  [4253] = {.lex_state = 203},
  [4254] = {.lex_state = 201},
  [4255] = {.lex_state = 201},
  [4256] = {.lex_state = 201},
  [4257] = {.lex_state = 201},
  [4258] = {.lex_state = 227},
  [4259] = {.lex_state = 203},
  [4260] = {.lex_state = 227},
  [4261] = {.lex_state = 227},
  [4262] = {.lex_state = 227},
  [4263] = {.lex_state = 201},
  [4264] = {.lex_state = 227},
  [4265] = {.lex_state = 201},
  [4266] = {.lex_state = 227},
  [4267] = {.lex_state = 227},
  [4268] = {.lex_state = 227},
  [4269] = {.lex_state = 201},
  [4270] = {.lex_state = 204},
  [4271] = {.lex_state = 201},
  [4272] = {.lex_state = 201},
  [4273] = {.lex_state = 201},
  [4274] = {.lex_state = 201},
  [4275] = {.lex_state = 201},
  [4276] = {.lex_state = 240},
  [4277] = {.lex_state = 203},
  [4278] = {.lex_state = 201},
  [4279] = {.lex_state = 201},
  [4280] = {.lex_state = 203},
  [4281] = {.lex_state = 204},
  [4282] = {.lex_state = 201},
  [4283] = {.lex_state = 223},
  [4284] = {.lex_state = 203},
  [4285] = {.lex_state = 201},
  [4286] = {.lex_state = 203},
  [4287] = {.lex_state = 201},
  [4288] = {.lex_state = 201},
  [4289] = {.lex_state = 201},
  [4290] = {.lex_state = 227},
  [4291] = {.lex_state = 203},
  [4292] = {.lex_state = 227},
  [4293] = {.lex_state = 227},
  [4294] = {.lex_state = 201},
  [4295] = {.lex_state = 203},
  [4296] = {.lex_state = 203},
  [4297] = {.lex_state = 201},
  [4298] = {.lex_state = 227},
  [4299] = {.lex_state = 201},
  [4300] = {.lex_state = 227},
  [4301] = {.lex_state = 201},
  [4302] = {.lex_state = 201},
  [4303] = {.lex_state = 240},
  [4304] = {.lex_state = 227},
  [4305] = {.lex_state = 240},
  [4306] = {.lex_state = 201},
  [4307] = {.lex_state = 241},
  [4308] = {.lex_state = 237},
  [4309] = {.lex_state = 237},
  [4310] = {.lex_state = 237},
  [4311] = {.lex_state = 237},
  [4312] = {.lex_state = 237},
  [4313] = {.lex_state = 238},
  [4314] = {.lex_state = 237},
  [4315] = {.lex_state = 237},
  [4316] = {.lex_state = 237},
  [4317] = {.lex_state = 237},
  [4318] = {.lex_state = 237},
  [4319] = {.lex_state = 237},
  [4320] = {.lex_state = 237},
  [4321] = {.lex_state = 237},
  [4322] = {.lex_state = 237},
  [4323] = {.lex_state = 237},
  [4324] = {.lex_state = 237},
  [4325] = {.lex_state = 237},
  [4326] = {.lex_state = 237},
  [4327] = {.lex_state = 237},
  [4328] = {.lex_state = 201},
  [4329] = {.lex_state = 227},
  [4330] = {.lex_state = 203},
  [4331] = {.lex_state = 201},
  [4332] = {.lex_state = 201},
  [4333] = {.lex_state = 201},
  [4334] = {.lex_state = 201},
  [4335] = {.lex_state = 201},
  [4336] = {.lex_state = 201},
  [4337] = {.lex_state = 201},
  [4338] = {.lex_state = 201},
  [4339] = {.lex_state = 237},
  [4340] = {.lex_state = 201},
  [4341] = {.lex_state = 201},
  [4342] = {.lex_state = 201},
  [4343] = {.lex_state = 201},
  [4344] = {.lex_state = 201},
  [4345] = {.lex_state = 240},
  [4346] = {.lex_state = 201},
  [4347] = {.lex_state = 201},
  [4348] = {.lex_state = 201},
  [4349] = {.lex_state = 201},
  [4350] = {.lex_state = 201},
  [4351] = {.lex_state = 201},
  [4352] = {.lex_state = 240},
  [4353] = {.lex_state = 201},
  [4354] = {.lex_state = 201},
  [4355] = {.lex_state = 201},
  [4356] = {.lex_state = 201},
  [4357] = {.lex_state = 201},
  [4358] = {.lex_state = 203},
  [4359] = {.lex_state = 201},
  [4360] = {.lex_state = 201},
  [4361] = {.lex_state = 203},
  [4362] = {.lex_state = 201},
  [4363] = {.lex_state = 201},
  [4364] = {.lex_state = 201},
  [4365] = {.lex_state = 201},
  [4366] = {.lex_state = 201},
  [4367] = {.lex_state = 201},
  [4368] = {.lex_state = 201},
  [4369] = {.lex_state = 201},
  [4370] = {.lex_state = 201},
  [4371] = {.lex_state = 201},
  [4372] = {.lex_state = 201},
  [4373] = {.lex_state = 201},
  [4374] = {.lex_state = 201},
  [4375] = {.lex_state = 201},
  [4376] = {.lex_state = 201},
  [4377] = {.lex_state = 201},
  [4378] = {.lex_state = 201},
  [4379] = {.lex_state = 201},
  [4380] = {.lex_state = 201},
  [4381] = {.lex_state = 203},
  [4382] = {.lex_state = 201},
  [4383] = {.lex_state = 201},
  [4384] = {.lex_state = 201},
  [4385] = {.lex_state = 201},
  [4386] = {.lex_state = 203},
  [4387] = {.lex_state = 201},
  [4388] = {.lex_state = 201},
  [4389] = {.lex_state = 201},
  [4390] = {.lex_state = 201},
  [4391] = {.lex_state = 201},
  [4392] = {.lex_state = 201},
  [4393] = {.lex_state = 201},
  [4394] = {.lex_state = 229},
  [4395] = {.lex_state = 240},
  [4396] = {.lex_state = 203},
  [4397] = {.lex_state = 201},
  [4398] = {.lex_state = 201},
  [4399] = {.lex_state = 201},
  [4400] = {.lex_state = 201},
  [4401] = {.lex_state = 201},
  [4402] = {.lex_state = 201},
  [4403] = {.lex_state = 201},
  [4404] = {.lex_state = 201},
  [4405] = {.lex_state = 201},
  [4406] = {.lex_state = 201},
  [4407] = {.lex_state = 201},
  [4408] = {.lex_state = 201},
  [4409] = {.lex_state = 201},
  [4410] = {.lex_state = 201},
  [4411] = {.lex_state = 201},
  [4412] = {.lex_state = 201},
  [4413] = {.lex_state = 201},
  [4414] = {.lex_state = 201},
  [4415] = {.lex_state = 201},
  [4416] = {.lex_state = 203},
  [4417] = {.lex_state = 201},
  [4418] = {.lex_state = 201},
  [4419] = {.lex_state = 201},
  [4420] = {.lex_state = 201},
  [4421] = {.lex_state = 201},
  [4422] = {.lex_state = 201},
  [4423] = {.lex_state = 240},
  [4424] = {.lex_state = 201},
  [4425] = {.lex_state = 201},
  [4426] = {.lex_state = 201},
  [4427] = {.lex_state = 240},
  [4428] = {.lex_state = 240},
  [4429] = {.lex_state = 201},
  [4430] = {.lex_state = 201},
  [4431] = {.lex_state = 201},
  [4432] = {.lex_state = 201},
  [4433] = {.lex_state = 201},
  [4434] = {.lex_state = 201},
  [4435] = {.lex_state = 201},
  [4436] = {.lex_state = 201},
  [4437] = {.lex_state = 201},
  [4438] = {.lex_state = 201},
  [4439] = {.lex_state = 201},
  [4440] = {.lex_state = 240},
  [4441] = {.lex_state = 201},
  [4442] = {.lex_state = 240},
  [4443] = {.lex_state = 229},
  [4444] = {.lex_state = 229},
  [4445] = {.lex_state = 237},
  [4446] = {.lex_state = 201},
  [4447] = {.lex_state = 237},
  [4448] = {.lex_state = 237},
  [4449] = {.lex_state = 201},
  [4450] = {.lex_state = 201},
  [4451] = {.lex_state = 201},
  [4452] = {.lex_state = 201},
  [4453] = {.lex_state = 201},
  [4454] = {.lex_state = 201},
  [4455] = {.lex_state = 201},
  [4456] = {.lex_state = 201},
  [4457] = {.lex_state = 201},
  [4458] = {.lex_state = 227},
  [4459] = {.lex_state = 237},
  [4460] = {.lex_state = 227},
  [4461] = {.lex_state = 237},
  [4462] = {.lex_state = 237},
  [4463] = {.lex_state = 227},
  [4464] = {.lex_state = 227},
  [4465] = {.lex_state = 201},
  [4466] = {.lex_state = 239},
  [4467] = {.lex_state = 227},
  [4468] = {.lex_state = 227},
  [4469] = {.lex_state = 240},
  [4470] = {.lex_state = 201},
  [4471] = {.lex_state = 241},
  [4472] = {.lex_state = 238},
  [4473] = {.lex_state = 238},
  [4474] = {.lex_state = 227},
  [4475] = {.lex_state = 227},
  [4476] = {.lex_state = 241},
  [4477] = {.lex_state = 239},
  [4478] = {.lex_state = 240},
  [4479] = {.lex_state = 238},
  [4480] = {.lex_state = 240},
  [4481] = {.lex_state = 227},
  [4482] = {.lex_state = 201},
  [4483] = {.lex_state = 227},
  [4484] = {.lex_state = 227},
  [4485] = {.lex_state = 223},
  [4486] = {.lex_state = 238},
  [4487] = {.lex_state = 227},
  [4488] = {.lex_state = 227},
  [4489] = {.lex_state = 237},
  [4490] = {.lex_state = 238},
  [4491] = {.lex_state = 238},
  [4492] = {.lex_state = 201},
  [4493] = {.lex_state = 227},
  [4494] = {.lex_state = 201},
  [4495] = {.lex_state = 201},
  [4496] = {.lex_state = 237},
  [4497] = {.lex_state = 227},
  [4498] = {.lex_state = 238},
  [4499] = {.lex_state = 238},
  [4500] = {.lex_state = 238},
  [4501] = {.lex_state = 238},
  [4502] = {.lex_state = 238},
  [4503] = {.lex_state = 227},
  [4504] = {.lex_state = 237},
  [4505] = {.lex_state = 237},
  [4506] = {.lex_state = 237},
  [4507] = {.lex_state = 237},
  [4508] = {.lex_state = 238},
  [4509] = {.lex_state = 227},
  [4510] = {.lex_state = 201},
  [4511] = {.lex_state = 227},
  [4512] = {.lex_state = 238},
  [4513] = {.lex_state = 238},
  [4514] = {.lex_state = 238},
  [4515] = {.lex_state = 237},
  [4516] = {.lex_state = 238},
  [4517] = {.lex_state = 237},
  [4518] = {.lex_state = 227},
  [4519] = {.lex_state = 201},
  [4520] = {.lex_state = 238},
  [4521] = {.lex_state = 227},
  [4522] = {.lex_state = 201},
  [4523] = {.lex_state = 238},
  [4524] = {.lex_state = 227},
  [4525] = {.lex_state = 227},
  [4526] = {.lex_state = 201},
  [4527] = {.lex_state = 227},
  [4528] = {.lex_state = 201},
  [4529] = {.lex_state = 227},
  [4530] = {.lex_state = 227},
  [4531] = {.lex_state = 238},
  [4532] = {.lex_state = 241},
  [4533] = {.lex_state = 227},
  [4534] = {.lex_state = 227},
  [4535] = {.lex_state = 202},
  [4536] = {.lex_state = 238},
  [4537] = {.lex_state = 227},
  [4538] = {.lex_state = 204},
  [4539] = {.lex_state = 227},
  [4540] = {.lex_state = 227},
  [4541] = {.lex_state = 227},
  [4542] = {.lex_state = 227},
  [4543] = {.lex_state = 227},
  [4544] = {.lex_state = 227},
  [4545] = {.lex_state = 227},
  [4546] = {.lex_state = 227},
  [4547] = {.lex_state = 227},
  [4548] = {.lex_state = 227},
  [4549] = {.lex_state = 227},
  [4550] = {.lex_state = 227},
  [4551] = {.lex_state = 238},
  [4552] = {.lex_state = 240},
  [4553] = {.lex_state = 240},
  [4554] = {.lex_state = 240},
  [4555] = {.lex_state = 240},
  [4556] = {.lex_state = 240},
  [4557] = {.lex_state = 240},
  [4558] = {.lex_state = 240},
  [4559] = {.lex_state = 240},
  [4560] = {.lex_state = 240},
  [4561] = {.lex_state = 240},
  [4562] = {.lex_state = 240},
  [4563] = {.lex_state = 240},
  [4564] = {.lex_state = 240},
  [4565] = {.lex_state = 238},
  [4566] = {.lex_state = 238},
  [4567] = {.lex_state = 240},
  [4568] = {.lex_state = 240},
  [4569] = {.lex_state = 240},
  [4570] = {.lex_state = 240},
  [4571] = {.lex_state = 240},
  [4572] = {.lex_state = 201},
  [4573] = {.lex_state = 240},
  [4574] = {.lex_state = 240},
  [4575] = {.lex_state = 237},
  [4576] = {.lex_state = 240},
  [4577] = {.lex_state = 203},
  [4578] = {.lex_state = 240},
  [4579] = {.lex_state = 239},
  [4580] = {.lex_state = 240},
  [4581] = {.lex_state = 240},
  [4582] = {.lex_state = 240},
  [4583] = {.lex_state = 240},
  [4584] = {.lex_state = 239},
  [4585] = {.lex_state = 240},
  [4586] = {.lex_state = 240},
  [4587] = {.lex_state = 223},
  [4588] = {.lex_state = 237},
  [4589] = {.lex_state = 240},
  [4590] = {.lex_state = 240},
  [4591] = {.lex_state = 223},
  [4592] = {.lex_state = 223},
  [4593] = {.lex_state = 240},
  [4594] = {.lex_state = 239},
  [4595] = {.lex_state = 203},
  [4596] = {.lex_state = 240},
  [4597] = {.lex_state = 240},
  [4598] = {.lex_state = 240},
  [4599] = {.lex_state = 240},
  [4600] = {.lex_state = 203},
  [4601] = {.lex_state = 240},
  [4602] = {.lex_state = 240},
  [4603] = {.lex_state = 240},
  [4604] = {.lex_state = 240},
  [4605] = {.lex_state = 237},
  [4606] = {.lex_state = 240},
  [4607] = {.lex_state = 240},
  [4608] = {.lex_state = 240},
  [4609] = {.lex_state = 223},
  [4610] = {.lex_state = 240},
  [4611] = {.lex_state = 240},
  [4612] = {.lex_state = 240},
  [4613] = {.lex_state = 240},
  [4614] = {.lex_state = 203},
  [4615] = {.lex_state = 240},
  [4616] = {.lex_state = 240},
  [4617] = {.lex_state = 240},
  [4618] = {.lex_state = 237},
  [4619] = {.lex_state = 223},
  [4620] = {.lex_state = 240},
  [4621] = {.lex_state = 223},
  [4622] = {.lex_state = 240},
  [4623] = {.lex_state = 240},
  [4624] = {.lex_state = 237},
  [4625] = {.lex_state = 240},
  [4626] = {.lex_state = 240},
  [4627] = {.lex_state = 240},
  [4628] = {.lex_state = 240},
  [4629] = {.lex_state = 239},
  [4630] = {.lex_state = 240},
  [4631] = {.lex_state = 240},
  [4632] = {.lex_state = 240},
  [4633] = {.lex_state = 203},
  [4634] = {.lex_state = 240},
  [4635] = {.lex_state = 239},
  [4636] = {.lex_state = 240},
  [4637] = {.lex_state = 240},
  [4638] = {.lex_state = 240},
  [4639] = {.lex_state = 239},
  [4640] = {.lex_state = 238},
  [4641] = {.lex_state = 203},
  [4642] = {.lex_state = 203},
  [4643] = {.lex_state = 239},
  [4644] = {.lex_state = 237},
  [4645] = {.lex_state = 239},
  [4646] = {.lex_state = 237},
  [4647] = {.lex_state = 223},
  [4648] = {.lex_state = 237},
  [4649] = {.lex_state = 202},
  [4650] = {.lex_state = 227},
  [4651] = {.lex_state = 203},
  [4652] = {.lex_state = 237},
  [4653] = {.lex_state = 237},
  [4654] = {.lex_state = 237},
  [4655] = {.lex_state = 238},
  [4656] = {.lex_state = 237},
  [4657] = {.lex_state = 237},
  [4658] = {.lex_state = 239},
  [4659] = {.lex_state = 237},
  [4660] = {.lex_state = 237},
  [4661] = {.lex_state = 239},
  [4662] = {.lex_state = 237},
  [4663] = {.lex_state = 201},
  [4664] = {.lex_state = 237},
  [4665] = {.lex_state = 227},
  [4666] = {.lex_state = 201},
  [4667] = {.lex_state = 237},
  [4668] = {.lex_state = 201},
  [4669] = {.lex_state = 237},
  [4670] = {.lex_state = 223},
  [4671] = {.lex_state = 202},
  [4672] = {.lex_state = 237},
  [4673] = {.lex_state = 237},
  [4674] = {.lex_state = 237},
  [4675] = {.lex_state = 201},
  [4676] = {.lex_state = 237},
  [4677] = {.lex_state = 223},
  [4678] = {.lex_state = 223},
  [4679] = {.lex_state = 238},
  [4680] = {.lex_state = 238},
  [4681] = {.lex_state = 238},
  [4682] = {.lex_state = 240},
  [4683] = {.lex_state = 237},
  [4684] = {.lex_state = 238},
  [4685] = {.lex_state = 237},
  [4686] = {.lex_state = 238},
  [4687] = {.lex_state = 237},
  [4688] = {.lex_state = 237},
  [4689] = {.lex_state = 240},
  [4690] = {.lex_state = 238},
  [4691] = {.lex_state = 239},
  [4692] = {.lex_state = 238},
  [4693] = {.lex_state = 239},
  [4694] = {.lex_state = 238},
  [4695] = {.lex_state = 237},
  [4696] = {.lex_state = 237},
  [4697] = {.lex_state = 238},
  [4698] = {.lex_state = 238},
  [4699] = {.lex_state = 238},
  [4700] = {.lex_state = 238},
  [4701] = {.lex_state = 240},
  [4702] = {.lex_state = 238},
  [4703] = {.lex_state = 238},
  [4704] = {.lex_state = 237},
  [4705] = {.lex_state = 240},
  [4706] = {.lex_state = 237},
  [4707] = {.lex_state = 238},
  [4708] = {.lex_state = 238},
  [4709] = {.lex_state = 237},
  [4710] = {.lex_state = 238},
  [4711] = {.lex_state = 237},
  [4712] = {.lex_state = 238},
  [4713] = {.lex_state = 237},
  [4714] = {.lex_state = 240},
  [4715] = {.lex_state = 240},
  [4716] = {.lex_state = 203},
  [4717] = {.lex_state = 240},
  [4718] = {.lex_state = 239},
  [4719] = {.lex_state = 237},
  [4720] = {.lex_state = 237},
  [4721] = {.lex_state = 237},
  [4722] = {.lex_state = 240},
  [4723] = {.lex_state = 239},
  [4724] = {.lex_state = 203},
  [4725] = {.lex_state = 237},
  [4726] = {.lex_state = 237},
  [4727] = {.lex_state = 237},
  [4728] = {.lex_state = 238},
  [4729] = {.lex_state = 239},
  [4730] = {.lex_state = 237},
  [4731] = {.lex_state = 237},
  [4732] = {.lex_state = 240},
  [4733] = {.lex_state = 240},
  [4734] = {.lex_state = 239},
  [4735] = {.lex_state = 237},
  [4736] = {.lex_state = 237},
  [4737] = {.lex_state = 237},
  [4738] = {.lex_state = 239},
  [4739] = {.lex_state = 237},
  [4740] = {.lex_state = 238},
  [4741] = {.lex_state = 237},
  [4742] = {.lex_state = 239},
  [4743] = {.lex_state = 238},
  [4744] = {.lex_state = 237},
  [4745] = {.lex_state = 238},
  [4746] = {.lex_state = 237},
  [4747] = {.lex_state = 240},
  [4748] = {.lex_state = 237},
  [4749] = {.lex_state = 239},
  [4750] = {.lex_state = 237},
  [4751] = {.lex_state = 237},
  [4752] = {.lex_state = 238},
  [4753] = {.lex_state = 237},
  [4754] = {.lex_state = 240},
  [4755] = {.lex_state = 240},
  [4756] = {.lex_state = 237},
  [4757] = {.lex_state = 237},
  [4758] = {.lex_state = 237},
  [4759] = {.lex_state = 237},
  [4760] = {.lex_state = 237},
  [4761] = {.lex_state = 237},
  [4762] = {.lex_state = 239},
  [4763] = {.lex_state = 203},
  [4764] = {.lex_state = 240},
  [4765] = {.lex_state = 237},
  [4766] = {.lex_state = 203},
  [4767] = {.lex_state = 203},
  [4768] = {.lex_state = 237},
  [4769] = {.lex_state = 237},
  [4770] = {.lex_state = 237},
  [4771] = {.lex_state = 237},
  [4772] = {.lex_state = 237},
  [4773] = {.lex_state = 237},
  [4774] = {.lex_state = 201},
  [4775] = {.lex_state = 238},
  [4776] = {.lex_state = 238},
  [4777] = {.lex_state = 193},
  [4778] = {.lex_state = 193},
  [4779] = {.lex_state = 193},
  [4780] = {.lex_state = 238},
  [4781] = {.lex_state = 238},
  [4782] = {.lex_state = 238},
  [4783] = {.lex_state = 240},
  [4784] = {.lex_state = 193},
  [4785] = {.lex_state = 238},
  [4786] = {.lex_state = 238},
  [4787] = {.lex_state = 238},
  [4788] = {.lex_state = 193},
  [4789] = {.lex_state = 193},
  [4790] = {.lex_state = 193},
  [4791] = {.lex_state = 193},
  [4792] = {.lex_state = 238},
  [4793] = {.lex_state = 238},
  [4794] = {.lex_state = 238},
  [4795] = {.lex_state = 238},
  [4796] = {.lex_state = 201},
  [4797] = {.lex_state = 240},
  [4798] = {.lex_state = 193},
  [4799] = {.lex_state = 193},
  [4800] = {.lex_state = 193},
  [4801] = {.lex_state = 193},
  [4802] = {.lex_state = 193},
  [4803] = {.lex_state = 193},
  [4804] = {.lex_state = 201},
  [4805] = {.lex_state = 238},
  [4806] = {.lex_state = 238},
  [4807] = {.lex_state = 238},
  [4808] = {.lex_state = 201},
  [4809] = {.lex_state = 193},
  [4810] = {.lex_state = 193},
  [4811] = {.lex_state = 193},
  [4812] = {.lex_state = 193},
  [4813] = {.lex_state = 193},
  [4814] = {.lex_state = 201},
  [4815] = {.lex_state = 193},
  [4816] = {.lex_state = 238},
  [4817] = {.lex_state = 238},
  [4818] = {.lex_state = 238},
  [4819] = {.lex_state = 193},
  [4820] = {.lex_state = 193},
  [4821] = {.lex_state = 193},
  [4822] = {.lex_state = 193},
  [4823] = {.lex_state = 193},
  [4824] = {.lex_state = 193},
  [4825] = {.lex_state = 193},
  [4826] = {.lex_state = 193},
  [4827] = {.lex_state = 193},
  [4828] = {.lex_state = 193},
  [4829] = {.lex_state = 193},
  [4830] = {.lex_state = 193},
  [4831] = {.lex_state = 193},
  [4832] = {.lex_state = 193},
  [4833] = {.lex_state = 193},
  [4834] = {.lex_state = 193},
  [4835] = {.lex_state = 193},
  [4836] = {.lex_state = 193},
  [4837] = {.lex_state = 193},
  [4838] = {.lex_state = 193},
  [4839] = {.lex_state = 238},
  [4840] = {.lex_state = 193},
  [4841] = {.lex_state = 193},
  [4842] = {.lex_state = 193},
  [4843] = {.lex_state = 193},
  [4844] = {.lex_state = 193},
  [4845] = {.lex_state = 193},
  [4846] = {.lex_state = 238},
  [4847] = {.lex_state = 238},
  [4848] = {.lex_state = 238},
  [4849] = {.lex_state = 193},
  [4850] = {.lex_state = 193},
  [4851] = {.lex_state = 193},
  [4852] = {.lex_state = 238},
  [4853] = {.lex_state = 193},
  [4854] = {.lex_state = 193},
  [4855] = {.lex_state = 193},
  [4856] = {.lex_state = 238},
  [4857] = {.lex_state = 201},
  [4858] = {.lex_state = 238},
  [4859] = {.lex_state = 238},
  [4860] = {.lex_state = 238},
  [4861] = {.lex_state = 238},
  [4862] = {.lex_state = 238},
  [4863] = {.lex_state = 240},
  [4864] = {.lex_state = 193},
  [4865] = {.lex_state = 193},
  [4866] = {.lex_state = 193},
  [4867] = {.lex_state = 201},
  [4868] = {.lex_state = 193},
  [4869] = {.lex_state = 238},
  [4870] = {.lex_state = 193},
  [4871] = {.lex_state = 238},
  [4872] = {.lex_state = 240},
  [4873] = {.lex_state = 238},
  [4874] = {.lex_state = 238},
  [4875] = {.lex_state = 238},
  [4876] = {.lex_state = 238},
  [4877] = {.lex_state = 193},
  [4878] = {.lex_state = 193},
  [4879] = {.lex_state = 193},
  [4880] = {.lex_state = 193},
  [4881] = {.lex_state = 238},
  [4882] = {.lex_state = 193},
  [4883] = {.lex_state = 193},
  [4884] = {.lex_state = 193},
  [4885] = {.lex_state = 193},
  [4886] = {.lex_state = 193},
  [4887] = {.lex_state = 193},
  [4888] = {.lex_state = 238},
  [4889] = {.lex_state = 193},
  [4890] = {.lex_state = 193},
  [4891] = {.lex_state = 193},
  [4892] = {.lex_state = 193},
  [4893] = {.lex_state = 193},
  [4894] = {.lex_state = 193},
  [4895] = {.lex_state = 193},
  [4896] = {.lex_state = 238},
  [4897] = {.lex_state = 193},
  [4898] = {.lex_state = 193},
  [4899] = {.lex_state = 193},
  [4900] = {.lex_state = 238},
  [4901] = {.lex_state = 238},
  [4902] = {.lex_state = 193},
  [4903] = {.lex_state = 238},
  [4904] = {.lex_state = 238},
  [4905] = {.lex_state = 238},
  [4906] = {.lex_state = 238},
  [4907] = {.lex_state = 201},
  [4908] = {.lex_state = 238},
  [4909] = {.lex_state = 201},
  [4910] = {.lex_state = 238},
  [4911] = {.lex_state = 238},
  [4912] = {.lex_state = 193},
  [4913] = {.lex_state = 193},
  [4914] = {.lex_state = 193},
  [4915] = {.lex_state = 193},
  [4916] = {.lex_state = 238},
  [4917] = {.lex_state = 201},
  [4918] = {.lex_state = 193},
  [4919] = {.lex_state = 238},
  [4920] = {.lex_state = 201},
  [4921] = {.lex_state = 201},
  [4922] = {.lex_state = 239},
  [4923] = {.lex_state = 239},
  [4924] = {.lex_state = 201},
  [4925] = {.lex_state = 201},
  [4926] = {.lex_state = 193},
  [4927] = {.lex_state = 193},
  [4928] = {.lex_state = 193},
  [4929] = {.lex_state = 201},
  [4930] = {.lex_state = 201},
  [4931] = {.lex_state = 201},
  [4932] = {.lex_state = 193},
  [4933] = {.lex_state = 201},
  [4934] = {.lex_state = 201},
  [4935] = {.lex_state = 201},
  [4936] = {.lex_state = 201},
  [4937] = {.lex_state = 239},
  [4938] = {.lex_state = 201},
  [4939] = {.lex_state = 239},
  [4940] = {.lex_state = 193},
  [4941] = {.lex_state = 193},
  [4942] = {.lex_state = 201},
  [4943] = {.lex_state = 238},
  [4944] = {.lex_state = 238},
  [4945] = {.lex_state = 193},
  [4946] = {.lex_state = 193},
  [4947] = {.lex_state = 193},
  [4948] = {.lex_state = 238},
  [4949] = {.lex_state = 238},
  [4950] = {.lex_state = 193},
  [4951] = {.lex_state = 201},
  [4952] = {.lex_state = 238},
  [4953] = {.lex_state = 193},
  [4954] = {.lex_state = 238},
  [4955] = {.lex_state = 238},
  [4956] = {.lex_state = 238},
  [4957] = {.lex_state = 201},
  [4958] = {.lex_state = 238},
  [4959] = {.lex_state = 238},
  [4960] = {.lex_state = 201},
  [4961] = {.lex_state = 201},
  [4962] = {.lex_state = 201},
  [4963] = {.lex_state = 201},
  [4964] = {.lex_state = 201},
  [4965] = {.lex_state = 193},
  [4966] = {.lex_state = 201},
  [4967] = {.lex_state = 193},
  [4968] = {.lex_state = 201},
  [4969] = {.lex_state = 193},
  [4970] = {.lex_state = 193},
  [4971] = {.lex_state = 193},
  [4972] = {.lex_state = 201},
  [4973] = {.lex_state = 201},
  [4974] = {.lex_state = 201},
  [4975] = {.lex_state = 201},
  [4976] = {.lex_state = 193},
  [4977] = {.lex_state = 201},
  [4978] = {.lex_state = 193},
  [4979] = {.lex_state = 238},
  [4980] = {.lex_state = 238},
  [4981] = {.lex_state = 239},
  [4982] = {.lex_state = 239},
  [4983] = {.lex_state = 239},
  [4984] = {.lex_state = 239},
  [4985] = {.lex_state = 203},
  [4986] = {.lex_state = 203},
  [4987] = {.lex_state = 238},
  [4988] = {.lex_state = 239},
  [4989] = {.lex_state = 238},
  [4990] = {.lex_state = 239},
  [4991] = {.lex_state = 239},
  [4992] = {.lex_state = 195},
  [4993] = {.lex_state = 195},
  [4994] = {.lex_state = 195},
  [4995] = {.lex_state = 240},
  [4996] = {.lex_state = 240},
  [4997] = {.lex_state = 195},
  [4998] = {.lex_state = 195},
  [4999] = {.lex_state = 195},
  [5000] = {.lex_state = 195},
  [5001] = {.lex_state = 195},
  [5002] = {.lex_state = 240},
  [5003] = {.lex_state = 237},
  [5004] = {.lex_state = 240},
  [5005] = {.lex_state = 240},
  [5006] = {.lex_state = 240},
  [5007] = {.lex_state = 203},
  [5008] = {.lex_state = 239},
  [5009] = {.lex_state = 239},
  [5010] = {.lex_state = 239},
  [5011] = {.lex_state = 240},
  [5012] = {.lex_state = 239},
  [5013] = {.lex_state = 239},
  [5014] = {.lex_state = 239},
  [5015] = {.lex_state = 238},
  [5016] = {.lex_state = 240},
  [5017] = {.lex_state = 240},
  [5018] = {.lex_state = 239},
  [5019] = {.lex_state = 239},
  [5020] = {.lex_state = 238},
  [5021] = {.lex_state = 238},
  [5022] = {.lex_state = 240},
  [5023] = {.lex_state = 239},
  [5024] = {.lex_state = 239},
  [5025] = {.lex_state = 240},
  [5026] = {.lex_state = 240},
  [5027] = {.lex_state = 240},
  [5028] = {.lex_state = 240},
  [5029] = {.lex_state = 237},
  [5030] = {.lex_state = 240},
  [5031] = {.lex_state = 238},
  [5032] = {.lex_state = 240},
  [5033] = {.lex_state = 240},
  [5034] = {.lex_state = 240},
  [5035] = {.lex_state = 239},
  [5036] = {.lex_state = 239},
  [5037] = {.lex_state = 193},
  [5038] = {.lex_state = 193},
  [5039] = {.lex_state = 193},
  [5040] = {.lex_state = 193},
  [5041] = {.lex_state = 193},
  [5042] = {.lex_state = 248},
  [5043] = {.lex_state = 248},
  [5044] = {.lex_state = 248},
  [5045] = {.lex_state = 193},
  [5046] = {.lex_state = 248},
  [5047] = {.lex_state = 193},
  [5048] = {.lex_state = 248},
  [5049] = {.lex_state = 193},
  [5050] = {.lex_state = 193},
  [5051] = {.lex_state = 193},
  [5052] = {.lex_state = 193},
  [5053] = {.lex_state = 248},
  [5054] = {.lex_state = 248},
  [5055] = {.lex_state = 193},
  [5056] = {.lex_state = 240},
  [5057] = {.lex_state = 239},
  [5058] = {.lex_state = 223},
  [5059] = {.lex_state = 239},
  [5060] = {.lex_state = 239},
  [5061] = {.lex_state = 239},
  [5062] = {.lex_state = 239},
  [5063] = {.lex_state = 239},
  [5064] = {.lex_state = 240},
  [5065] = {.lex_state = 239},
  [5066] = {.lex_state = 237},
  [5067] = {.lex_state = 203},
  [5068] = {.lex_state = 240},
  [5069] = {.lex_state = 203},
  [5070] = {.lex_state = 240},
  [5071] = {.lex_state = 240},
  [5072] = {.lex_state = 248},
  [5073] = {.lex_state = 195},
  [5074] = {.lex_state = 248},
  [5075] = {.lex_state = 248},
  [5076] = {.lex_state = 248},
  [5077] = {.lex_state = 248},
  [5078] = {.lex_state = 195},
  [5079] = {.lex_state = 248},
  [5080] = {.lex_state = 195},
  [5081] = {.lex_state = 195},
  [5082] = {.lex_state = 248},
  [5083] = {.lex_state = 248},
  [5084] = {.lex_state = 239},
  [5085] = {.lex_state = 195},
  [5086] = {.lex_state = 195},
  [5087] = {.lex_state = 239},
  [5088] = {.lex_state = 248},
  [5089] = {.lex_state = 248},
  [5090] = {.lex_state = 248},
  [5091] = {.lex_state = 248},
  [5092] = {.lex_state = 248},
  [5093] = {.lex_state = 248},
  [5094] = {.lex_state = 239},
  [5095] = {.lex_state = 248},
  [5096] = {.lex_state = 248},
  [5097] = {.lex_state = 240},
  [5098] = {.lex_state = 248},
  [5099] = {.lex_state = 248},
  [5100] = {.lex_state = 248},
  [5101] = {.lex_state = 248},
  [5102] = {.lex_state = 248},
  [5103] = {.lex_state = 248},
  [5104] = {.lex_state = 248},
  [5105] = {.lex_state = 248},
  [5106] = {.lex_state = 248},
  [5107] = {.lex_state = 206},
  [5108] = {.lex_state = 248},
  [5109] = {.lex_state = 223},
  [5110] = {.lex_state = 248},
  [5111] = {.lex_state = 248},
  [5112] = {.lex_state = 248},
  [5113] = {.lex_state = 248},
  [5114] = {.lex_state = 248},
  [5115] = {.lex_state = 195},
  [5116] = {.lex_state = 248},
  [5117] = {.lex_state = 195},
  [5118] = {.lex_state = 248},
  [5119] = {.lex_state = 248},
  [5120] = {.lex_state = 248},
  [5121] = {.lex_state = 248},
  [5122] = {.lex_state = 248},
  [5123] = {.lex_state = 248},
  [5124] = {.lex_state = 195},
  [5125] = {.lex_state = 248},
  [5126] = {.lex_state = 248},
  [5127] = {.lex_state = 195},
  [5128] = {.lex_state = 195},
  [5129] = {.lex_state = 223},
  [5130] = {.lex_state = 248},
  [5131] = {.lex_state = 195},
  [5132] = {.lex_state = 223},
  [5133] = {.lex_state = 193},
  [5134] = {.lex_state = 193},
  [5135] = {.lex_state = 193},
  [5136] = {.lex_state = 193},
  [5137] = {.lex_state = 193},
  [5138] = {.lex_state = 193},
  [5139] = {.lex_state = 99},
  [5140] = {.lex_state = 193},
  [5141] = {.lex_state = 193},
  [5142] = {.lex_state = 193},
  [5143] = {.lex_state = 193},
  [5144] = {.lex_state = 193},
  [5145] = {.lex_state = 193},
  [5146] = {.lex_state = 193},
  [5147] = {.lex_state = 193},
  [5148] = {.lex_state = 193},
  [5149] = {.lex_state = 193},
  [5150] = {.lex_state = 193},
  [5151] = {.lex_state = 193},
  [5152] = {.lex_state = 193},
  [5153] = {.lex_state = 193},
  [5154] = {.lex_state = 193},
  [5155] = {.lex_state = 193},
  [5156] = {.lex_state = 193},
  [5157] = {.lex_state = 193},
  [5158] = {.lex_state = 176},
  [5159] = {.lex_state = 193},
  [5160] = {.lex_state = 193},
  [5161] = {.lex_state = 193},
  [5162] = {.lex_state = 193},
  [5163] = {.lex_state = 193},
  [5164] = {.lex_state = 193},
  [5165] = {.lex_state = 193},
  [5166] = {.lex_state = 193},
  [5167] = {.lex_state = 193},
  [5168] = {.lex_state = 193},
  [5169] = {.lex_state = 193},
  [5170] = {.lex_state = 193},
  [5171] = {.lex_state = 193},
  [5172] = {.lex_state = 193},
  [5173] = {.lex_state = 193},
  [5174] = {.lex_state = 223},
  [5175] = {.lex_state = 193},
  [5176] = {.lex_state = 193},
  [5177] = {.lex_state = 193},
  [5178] = {.lex_state = 193},
  [5179] = {.lex_state = 176},
  [5180] = {.lex_state = 193},
  [5181] = {.lex_state = 193},
  [5182] = {.lex_state = 193},
  [5183] = {.lex_state = 193},
  [5184] = {.lex_state = 193},
  [5185] = {.lex_state = 193},
  [5186] = {.lex_state = 223},
  [5187] = {.lex_state = 193},
  [5188] = {.lex_state = 193},
  [5189] = {.lex_state = 193},
  [5190] = {.lex_state = 193},
  [5191] = {.lex_state = 193},
  [5192] = {.lex_state = 193},
  [5193] = {.lex_state = 193},
  [5194] = {.lex_state = 193},
  [5195] = {.lex_state = 206},
  [5196] = {.lex_state = 206},
  [5197] = {.lex_state = 193},
  [5198] = {.lex_state = 193},
  [5199] = {.lex_state = 193},
  [5200] = {.lex_state = 193},
  [5201] = {.lex_state = 193},
  [5202] = {.lex_state = 193},
  [5203] = {.lex_state = 193},
  [5204] = {.lex_state = 193},
  [5205] = {.lex_state = 193},
  [5206] = {.lex_state = 193},
  [5207] = {.lex_state = 193},
  [5208] = {.lex_state = 193},
  [5209] = {.lex_state = 193},
  [5210] = {.lex_state = 193},
  [5211] = {.lex_state = 193},
  [5212] = {.lex_state = 193},
  [5213] = {.lex_state = 193},
  [5214] = {.lex_state = 193},
  [5215] = {.lex_state = 176},
  [5216] = {.lex_state = 193},
  [5217] = {.lex_state = 193},
  [5218] = {.lex_state = 193},
  [5219] = {.lex_state = 193},
  [5220] = {.lex_state = 193},
  [5221] = {.lex_state = 193},
  [5222] = {.lex_state = 193},
  [5223] = {.lex_state = 206},
  [5224] = {.lex_state = 193},
  [5225] = {.lex_state = 193},
  [5226] = {.lex_state = 193},
  [5227] = {.lex_state = 193},
  [5228] = {.lex_state = 240},
  [5229] = {.lex_state = 193},
  [5230] = {.lex_state = 193},
  [5231] = {.lex_state = 193},
  [5232] = {.lex_state = 193},
  [5233] = {.lex_state = 176},
  [5234] = {.lex_state = 223},
  [5235] = {.lex_state = 223},
  [5236] = {.lex_state = 176},
  [5237] = {.lex_state = 206},
  [5238] = {.lex_state = 239},
  [5239] = {.lex_state = 206},
  [5240] = {.lex_state = 176},
  [5241] = {.lex_state = 238},
  [5242] = {.lex_state = 176},
  [5243] = {.lex_state = 176},
  [5244] = {.lex_state = 176},
  [5245] = {.lex_state = 176},
  [5246] = {.lex_state = 223},
  [5247] = {.lex_state = 206},
  [5248] = {.lex_state = 176},
  [5249] = {.lex_state = 239},
  [5250] = {.lex_state = 240},
  [5251] = {.lex_state = 176},
  [5252] = {.lex_state = 240},
  [5253] = {.lex_state = 176},
  [5254] = {.lex_state = 223},
  [5255] = {.lex_state = 206},
  [5256] = {.lex_state = 239},
  [5257] = {.lex_state = 206},
  [5258] = {.lex_state = 223},
  [5259] = {.lex_state = 223},
  [5260] = {.lex_state = 223},
  [5261] = {.lex_state = 176},
  [5262] = {.lex_state = 239},
  [5263] = {.lex_state = 176},
  [5264] = {.lex_state = 176},
  [5265] = {.lex_state = 176},
  [5266] = {.lex_state = 223},
  [5267] = {.lex_state = 206},
  [5268] = {.lex_state = 176},
  [5269] = {.lex_state = 176},
  [5270] = {.lex_state = 223},
  [5271] = {.lex_state = 239},
  [5272] = {.lex_state = 223},
  [5273] = {.lex_state = 223},
  [5274] = {.lex_state = 223},
  [5275] = {.lex_state = 223},
  [5276] = {.lex_state = 223},
  [5277] = {.lex_state = 176},
  [5278] = {.lex_state = 176},
  [5279] = {.lex_state = 223},
  [5280] = {.lex_state = 206},
  [5281] = {.lex_state = 176},
  [5282] = {.lex_state = 238},
  [5283] = {.lex_state = 238},
  [5284] = {.lex_state = 223},
  [5285] = {.lex_state = 206},
  [5286] = {.lex_state = 201},
  [5287] = {.lex_state = 176},
  [5288] = {.lex_state = 238},
  [5289] = {.lex_state = 176},
  [5290] = {.lex_state = 206},
  [5291] = {.lex_state = 238},
  [5292] = {.lex_state = 223},
  [5293] = {.lex_state = 238},
  [5294] = {.lex_state = 176},
  [5295] = {.lex_state = 176},
  [5296] = {.lex_state = 238},
  [5297] = {.lex_state = 238},
  [5298] = {.lex_state = 238},
  [5299] = {.lex_state = 238},
  [5300] = {.lex_state = 206},
  [5301] = {.lex_state = 238},
  [5302] = {.lex_state = 238},
  [5303] = {.lex_state = 238},
  [5304] = {.lex_state = 238},
  [5305] = {.lex_state = 238},
  [5306] = {.lex_state = 238},
  [5307] = {.lex_state = 176},
  [5308] = {.lex_state = 238},
  [5309] = {.lex_state = 238},
  [5310] = {.lex_state = 176},
  [5311] = {.lex_state = 176},
  [5312] = {.lex_state = 176},
  [5313] = {.lex_state = 176},
  [5314] = {.lex_state = 176},
  [5315] = {.lex_state = 176},
  [5316] = {.lex_state = 176},
  [5317] = {.lex_state = 176},
  [5318] = {.lex_state = 176},
  [5319] = {.lex_state = 239},
  [5320] = {.lex_state = 206},
  [5321] = {.lex_state = 176},
  [5322] = {.lex_state = 176},
  [5323] = {.lex_state = 206},
  [5324] = {.lex_state = 206},
  [5325] = {.lex_state = 176},
  [5326] = {.lex_state = 176},
  [5327] = {.lex_state = 176},
  [5328] = {.lex_state = 176},
  [5329] = {.lex_state = 206},
  [5330] = {.lex_state = 206},
  [5331] = {.lex_state = 206},
  [5332] = {.lex_state = 206},
  [5333] = {.lex_state = 206},
  [5334] = {.lex_state = 206},
  [5335] = {.lex_state = 206},
  [5336] = {.lex_state = 239},
  [5337] = {.lex_state = 240},
  [5338] = {.lex_state = 239},
  [5339] = {.lex_state = 239},
  [5340] = {.lex_state = 238},
  [5341] = {.lex_state = 99},
  [5342] = {.lex_state = 99},
  [5343] = {.lex_state = 240},
  [5344] = {.lex_state = 239},
  [5345] = {.lex_state = 240},
  [5346] = {.lex_state = 99},
  [5347] = {.lex_state = 239},
  [5348] = {.lex_state = 239},
  [5349] = {.lex_state = 99},
  [5350] = {.lex_state = 240},
  [5351] = {.lex_state = 240},
  [5352] = {.lex_state = 99},
  [5353] = {.lex_state = 99},
  [5354] = {.lex_state = 238},
  [5355] = {.lex_state = 99},
  [5356] = {.lex_state = 240},
  [5357] = {.lex_state = 223},
  [5358] = {.lex_state = 99},
  [5359] = {.lex_state = 223},
  [5360] = {.lex_state = 240},
  [5361] = {.lex_state = 240},
  [5362] = {.lex_state = 240},
  [5363] = {.lex_state = 238},
  [5364] = {.lex_state = 240},
  [5365] = {.lex_state = 238},
  [5366] = {.lex_state = 99},
  [5367] = {.lex_state = 223},
  [5368] = {.lex_state = 240},
  [5369] = {.lex_state = 240},
  [5370] = {.lex_state = 240},
  [5371] = {.lex_state = 240},
  [5372] = {.lex_state = 240},
  [5373] = {.lex_state = 240},
  [5374] = {.lex_state = 239},
  [5375] = {.lex_state = 239},
  [5376] = {.lex_state = 239},
  [5377] = {.lex_state = 239},
  [5378] = {.lex_state = 238},
  [5379] = {.lex_state = 240},
  [5380] = {.lex_state = 240},
  [5381] = {.lex_state = 240},
  [5382] = {.lex_state = 240},
  [5383] = {.lex_state = 239},
  [5384] = {.lex_state = 239},
  [5385] = {.lex_state = 239},
  [5386] = {.lex_state = 239},
  [5387] = {.lex_state = 99},
  [5388] = {.lex_state = 239},
  [5389] = {.lex_state = 238},
  [5390] = {.lex_state = 240},
  [5391] = {.lex_state = 223},
  [5392] = {.lex_state = 99},
  [5393] = {.lex_state = 238},
  [5394] = {.lex_state = 99},
  [5395] = {.lex_state = 239},
  [5396] = {.lex_state = 237},
  [5397] = {.lex_state = 99},
  [5398] = {.lex_state = 99},
  [5399] = {.lex_state = 223},
  [5400] = {.lex_state = 99},
  [5401] = {.lex_state = 238},
  [5402] = {.lex_state = 240},
  [5403] = {.lex_state = 240},
  [5404] = {.lex_state = 240},
  [5405] = {.lex_state = 240},
  [5406] = {.lex_state = 239},
  [5407] = {.lex_state = 238},
  [5408] = {.lex_state = 99},
  [5409] = {.lex_state = 206},
  [5410] = {.lex_state = 240},
  [5411] = {.lex_state = 239},
  [5412] = {.lex_state = 240},
  [5413] = {.lex_state = 239},
  [5414] = {.lex_state = 239},
  [5415] = {.lex_state = 240},
  [5416] = {.lex_state = 239},
  [5417] = {.lex_state = 240},
  [5418] = {.lex_state = 240},
  [5419] = {.lex_state = 240},
  [5420] = {.lex_state = 240},
  [5421] = {.lex_state = 238},
  [5422] = {.lex_state = 99},
  [5423] = {.lex_state = 238},
  [5424] = {.lex_state = 99},
  [5425] = {.lex_state = 240},
  [5426] = {.lex_state = 240},
  [5427] = {.lex_state = 240},
  [5428] = {.lex_state = 240},
  [5429] = {.lex_state = 99},
  [5430] = {.lex_state = 240},
  [5431] = {.lex_state = 238},
  [5432] = {.lex_state = 240},
  [5433] = {.lex_state = 223},
  [5434] = {.lex_state = 240},
  [5435] = {.lex_state = 240},
  [5436] = {.lex_state = 240},
  [5437] = {.lex_state = 240},
  [5438] = {.lex_state = 240},
  [5439] = {.lex_state = 240},
  [5440] = {.lex_state = 99},
  [5441] = {.lex_state = 99},
  [5442] = {.lex_state = 240},
  [5443] = {.lex_state = 240},
  [5444] = {.lex_state = 240},
  [5445] = {.lex_state = 240},
  [5446] = {.lex_state = 99},
  [5447] = {.lex_state = 240},
  [5448] = {.lex_state = 99},
  [5449] = {.lex_state = 99},
  [5450] = {.lex_state = 99},
  [5451] = {.lex_state = 240},
  [5452] = {.lex_state = 240},
  [5453] = {.lex_state = 99},
  [5454] = {.lex_state = 99},
  [5455] = {.lex_state = 99},
  [5456] = {.lex_state = 99},
  [5457] = {.lex_state = 99},
  [5458] = {.lex_state = 99},
  [5459] = {.lex_state = 99},
  [5460] = {.lex_state = 99},
  [5461] = {.lex_state = 240},
  [5462] = {.lex_state = 239},
  [5463] = {.lex_state = 240},
  [5464] = {.lex_state = 239},
  [5465] = {.lex_state = 206},
  [5466] = {.lex_state = 239},
  [5467] = {.lex_state = 240},
  [5468] = {.lex_state = 237},
  [5469] = {.lex_state = 237},
  [5470] = {.lex_state = 193},
  [5471] = {.lex_state = 240},
  [5472] = {.lex_state = 240},
  [5473] = {.lex_state = 240},
  [5474] = {.lex_state = 240},
  [5475] = {.lex_state = 193},
  [5476] = {.lex_state = 237},
  [5477] = {.lex_state = 240},
  [5478] = {.lex_state = 237},
  [5479] = {.lex_state = 193},
  [5480] = {.lex_state = 237},
  [5481] = {.lex_state = 237},
  [5482] = {.lex_state = 193},
  [5483] = {.lex_state = 237},
  [5484] = {.lex_state = 237},
  [5485] = {.lex_state = 239},
  [5486] = {.lex_state = 239},
  [5487] = {.lex_state = 240},
  [5488] = {.lex_state = 173},
  [5489] = {.lex_state = 240},
  [5490] = {.lex_state = 240},
  [5491] = {.lex_state = 223},
  [5492] = {.lex_state = 239},
  [5493] = {.lex_state = 240},
  [5494] = {.lex_state = 240},
  [5495] = {.lex_state = 201},
  [5496] = {.lex_state = 239},
  [5497] = {.lex_state = 223},
  [5498] = {.lex_state = 240},
  [5499] = {.lex_state = 173},
  [5500] = {.lex_state = 173},
  [5501] = {.lex_state = 240},
  [5502] = {.lex_state = 240},
  [5503] = {.lex_state = 201},
  [5504] = {.lex_state = 201},
  [5505] = {.lex_state = 240},
  [5506] = {.lex_state = 240},
  [5507] = {.lex_state = 201},
  [5508] = {.lex_state = 232},
  [5509] = {.lex_state = 240},
  [5510] = {.lex_state = 240},
  [5511] = {.lex_state = 240},
  [5512] = {.lex_state = 240},
  [5513] = {.lex_state = 240},
  [5514] = {.lex_state = 173},
  [5515] = {.lex_state = 240},
  [5516] = {.lex_state = 201},
  [5517] = {.lex_state = 201},
  [5518] = {.lex_state = 240},
  [5519] = {.lex_state = 240},
  [5520] = {.lex_state = 240},
  [5521] = {.lex_state = 201},
  [5522] = {.lex_state = 240},
  [5523] = {.lex_state = 239},
  [5524] = {.lex_state = 201},
  [5525] = {.lex_state = 240},
  [5526] = {.lex_state = 239},
  [5527] = {.lex_state = 240},
  [5528] = {.lex_state = 239},
  [5529] = {.lex_state = 240},
  [5530] = {.lex_state = 240},
  [5531] = {.lex_state = 232},
  [5532] = {.lex_state = 173},
  [5533] = {.lex_state = 173},
  [5534] = {.lex_state = 173},
  [5535] = {.lex_state = 239},
  [5536] = {.lex_state = 173},
  [5537] = {.lex_state = 239},
  [5538] = {.lex_state = 240},
  [5539] = {.lex_state = 240},
  [5540] = {.lex_state = 203},
  [5541] = {.lex_state = 237},
  [5542] = {.lex_state = 232},
  [5543] = {.lex_state = 240},
  [5544] = {.lex_state = 239},
  [5545] = {.lex_state = 173},
  [5546] = {.lex_state = 232},
  [5547] = {.lex_state = 237},
  [5548] = {.lex_state = 240},
  [5549] = {.lex_state = 239},
  [5550] = {.lex_state = 201},
  [5551] = {.lex_state = 223},
  [5552] = {.lex_state = 239},
  [5553] = {.lex_state = 237},
  [5554] = {.lex_state = 239},
  [5555] = {.lex_state = 201},
  [5556] = {.lex_state = 223},
  [5557] = {.lex_state = 173},
  [5558] = {.lex_state = 239},
  [5559] = {.lex_state = 240},
  [5560] = {.lex_state = 237},
  [5561] = {.lex_state = 247},
  [5562] = {.lex_state = 173},
  [5563] = {.lex_state = 193},
  [5564] = {.lex_state = 238},
  [5565] = {.lex_state = 238},
  [5566] = {.lex_state = 237},
  [5567] = {.lex_state = 240},
  [5568] = {.lex_state = 240},
  [5569] = {.lex_state = 193},
  [5570] = {.lex_state = 193},
  [5571] = {.lex_state = 237},
  [5572] = {.lex_state = 237},
  [5573] = {.lex_state = 193},
  [5574] = {.lex_state = 238},
  [5575] = {.lex_state = 193},
  [5576] = {.lex_state = 238},
  [5577] = {.lex_state = 237},
  [5578] = {.lex_state = 239},
  [5579] = {.lex_state = 238},
  [5580] = {.lex_state = 237},
  [5581] = {.lex_state = 193},
  [5582] = {.lex_state = 237},
  [5583] = {.lex_state = 173},
  [5584] = {.lex_state = 237},
  [5585] = {.lex_state = 239},
  [5586] = {.lex_state = 237},
  [5587] = {.lex_state = 238},
  [5588] = {.lex_state = 238},
  [5589] = {.lex_state = 193},
  [5590] = {.lex_state = 237},
  [5591] = {.lex_state = 241},
  [5592] = {.lex_state = 238},
  [5593] = {.lex_state = 239},
  [5594] = {.lex_state = 238},
  [5595] = {.lex_state = 238},
  [5596] = {.lex_state = 238},
  [5597] = {.lex_state = 237},
  [5598] = {.lex_state = 237},
  [5599] = {.lex_state = 238},
  [5600] = {.lex_state = 237},
  [5601] = {.lex_state = 237},
  [5602] = {.lex_state = 237},
  [5603] = {.lex_state = 237},
  [5604] = {.lex_state = 237},
  [5605] = {.lex_state = 193},
  [5606] = {.lex_state = 238},
  [5607] = {.lex_state = 238},
  [5608] = {.lex_state = 237},
  [5609] = {.lex_state = 238},
  [5610] = {.lex_state = 193},
  [5611] = {.lex_state = 241},
  [5612] = {.lex_state = 237},
  [5613] = {.lex_state = 193},
  [5614] = {.lex_state = 237},
  [5615] = {.lex_state = 237},
  [5616] = {.lex_state = 237},
  [5617] = {.lex_state = 237},
  [5618] = {.lex_state = 237},
  [5619] = {.lex_state = 238},
  [5620] = {.lex_state = 238},
  [5621] = {.lex_state = 237},
  [5622] = {.lex_state = 237},
  [5623] = {.lex_state = 238},
  [5624] = {.lex_state = 237},
  [5625] = {.lex_state = 237},
  [5626] = {.lex_state = 237},
  [5627] = {.lex_state = 240},
  [5628] = {.lex_state = 186},
  [5629] = {.lex_state = 240},
  [5630] = {.lex_state = 239},
  [5631] = {.lex_state = 239},
  [5632] = {.lex_state = 179},
  [5633] = {.lex_state = 173},
  [5634] = {.lex_state = 240},
  [5635] = {.lex_state = 194},
  [5636] = {.lex_state = 186},
  [5637] = {.lex_state = 240},
  [5638] = {.lex_state = 240},
  [5639] = {.lex_state = 240},
  [5640] = {.lex_state = 194},
  [5641] = {.lex_state = 186},
  [5642] = {.lex_state = 193},
  [5643] = {.lex_state = 239},
  [5644] = {.lex_state = 186},
  [5645] = {.lex_state = 186},
  [5646] = {.lex_state = 240},
  [5647] = {.lex_state = 240},
  [5648] = {.lex_state = 186},
  [5649] = {.lex_state = 186},
  [5650] = {.lex_state = 173},
  [5651] = {.lex_state = 186},
  [5652] = {.lex_state = 240},
  [5653] = {.lex_state = 240},
  [5654] = {.lex_state = 193},
  [5655] = {.lex_state = 186},
  [5656] = {.lex_state = 173},
  [5657] = {.lex_state = 240},
  [5658] = {.lex_state = 240},
  [5659] = {.lex_state = 240},
  [5660] = {.lex_state = 239},
  [5661] = {.lex_state = 186},
  [5662] = {.lex_state = 194},
  [5663] = {.lex_state = 239},
  [5664] = {.lex_state = 194},
  [5665] = {.lex_state = 173},
  [5666] = {.lex_state = 186},
  [5667] = {.lex_state = 240},
  [5668] = {.lex_state = 186},
  [5669] = {.lex_state = 194},
  [5670] = {.lex_state = 193},
  [5671] = {.lex_state = 193},
  [5672] = {.lex_state = 193},
  [5673] = {.lex_state = 240},
  [5674] = {.lex_state = 194},
  [5675] = {.lex_state = 193},
  [5676] = {.lex_state = 240},
  [5677] = {.lex_state = 173},
  [5678] = {.lex_state = 239},
  [5679] = {.lex_state = 173},
  [5680] = {.lex_state = 194},
  [5681] = {.lex_state = 239},
  [5682] = {.lex_state = 240},
  [5683] = {.lex_state = 186},
  [5684] = {.lex_state = 239},
  [5685] = {.lex_state = 173},
  [5686] = {.lex_state = 239},
  [5687] = {.lex_state = 239},
  [5688] = {.lex_state = 173},
  [5689] = {.lex_state = 240},
  [5690] = {.lex_state = 194},
  [5691] = {.lex_state = 240},
  [5692] = {.lex_state = 186},
  [5693] = {.lex_state = 186},
  [5694] = {.lex_state = 173},
  [5695] = {.lex_state = 239},
  [5696] = {.lex_state = 193},
  [5697] = {.lex_state = 239},
  [5698] = {.lex_state = 239},
  [5699] = {.lex_state = 239},
  [5700] = {.lex_state = 173},
  [5701] = {.lex_state = 240},
  [5702] = {.lex_state = 193},
  [5703] = {.lex_state = 214},
  [5704] = {.lex_state = 241},
  [5705] = {.lex_state = 196},
  [5706] = {.lex_state = 232},
  [5707] = {.lex_state = 239},
  [5708] = {.lex_state = 193},
  [5709] = {.lex_state = 196},
  [5710] = {.lex_state = 241},
  [5711] = {.lex_state = 193},
  [5712] = {.lex_state = 239},
  [5713] = {.lex_state = 241},
  [5714] = {.lex_state = 241},
  [5715] = {.lex_state = 241},
  [5716] = {.lex_state = 193},
  [5717] = {.lex_state = 240},
  [5718] = {.lex_state = 240},
  [5719] = {.lex_state = 186},
  [5720] = {.lex_state = 239},
  [5721] = {.lex_state = 193},
  [5722] = {.lex_state = 193},
  [5723] = {.lex_state = 193},
  [5724] = {.lex_state = 193},
  [5725] = {.lex_state = 193},
  [5726] = {.lex_state = 193},
  [5727] = {.lex_state = 193},
  [5728] = {.lex_state = 193},
  [5729] = {.lex_state = 193},
  [5730] = {.lex_state = 193},
  [5731] = {.lex_state = 193},
  [5732] = {.lex_state = 240},
  [5733] = {.lex_state = 193},
  [5734] = {.lex_state = 241},
  [5735] = {.lex_state = 193},
  [5736] = {.lex_state = 193},
  [5737] = {.lex_state = 196},
  [5738] = {.lex_state = 193},
  [5739] = {.lex_state = 193},
  [5740] = {.lex_state = 193},
  [5741] = {.lex_state = 193},
  [5742] = {.lex_state = 239},
  [5743] = {.lex_state = 239},
  [5744] = {.lex_state = 239},
  [5745] = {.lex_state = 193},
  [5746] = {.lex_state = 196},
  [5747] = {.lex_state = 239},
  [5748] = {.lex_state = 240},
  [5749] = {.lex_state = 240},
  [5750] = {.lex_state = 193},
  [5751] = {.lex_state = 193},
  [5752] = {.lex_state = 237},
  [5753] = {.lex_state = 232},
  [5754] = {.lex_state = 193},
  [5755] = {.lex_state = 241},
  [5756] = {.lex_state = 196},
  [5757] = {.lex_state = 193},
  [5758] = {.lex_state = 193},
  [5759] = {.lex_state = 241},
  [5760] = {.lex_state = 240},
  [5761] = {.lex_state = 214},
  [5762] = {.lex_state = 214},
  [5763] = {.lex_state = 214},
  [5764] = {.lex_state = 237},
  [5765] = {.lex_state = 237},
  [5766] = {.lex_state = 240},
  [5767] = {.lex_state = 240},
  [5768] = {.lex_state = 196},
  [5769] = {.lex_state = 214},
  [5770] = {.lex_state = 237},
  [5771] = {.lex_state = 214},
  [5772] = {.lex_state = 214},
  [5773] = {.lex_state = 214},
  [5774] = {.lex_state = 240},
  [5775] = {.lex_state = 237},
  [5776] = {.lex_state = 240},
  [5777] = {.lex_state = 237},
  [5778] = {.lex_state = 241},
  [5779] = {.lex_state = 237},
  [5780] = {.lex_state = 232},
  [5781] = {.lex_state = 193},
  [5782] = {.lex_state = 241},
  [5783] = {.lex_state = 241},
  [5784] = {.lex_state = 241},
  [5785] = {.lex_state = 240},
  [5786] = {.lex_state = 240},
  [5787] = {.lex_state = 232},
  [5788] = {.lex_state = 241},
  [5789] = {.lex_state = 196},
  [5790] = {.lex_state = 240},
  [5791] = {.lex_state = 239},
  [5792] = {.lex_state = 193},
  [5793] = {.lex_state = 241},
  [5794] = {.lex_state = 241},
  [5795] = {.lex_state = 240},
  [5796] = {.lex_state = 240},
  [5797] = {.lex_state = 241},
  [5798] = {.lex_state = 196},
  [5799] = {.lex_state = 196},
  [5800] = {.lex_state = 240},
  [5801] = {.lex_state = 240},
  [5802] = {.lex_state = 240},
  [5803] = {.lex_state = 241},
  [5804] = {.lex_state = 196},
  [5805] = {.lex_state = 241},
  [5806] = {.lex_state = 193},
  [5807] = {.lex_state = 240},
  [5808] = {.lex_state = 240},
  [5809] = {.lex_state = 193},
  [5810] = {.lex_state = 186},
  [5811] = {.lex_state = 240},
  [5812] = {.lex_state = 241},
  [5813] = {.lex_state = 196},
  [5814] = {.lex_state = 240},
  [5815] = {.lex_state = 193},
  [5816] = {.lex_state = 196},
  [5817] = {.lex_state = 193},
  [5818] = {.lex_state = 193},
  [5819] = {.lex_state = 241},
  [5820] = {.lex_state = 240},
  [5821] = {.lex_state = 186},
  [5822] = {.lex_state = 186},
  [5823] = {.lex_state = 186},
  [5824] = {.lex_state = 186},
  [5825] = {.lex_state = 186},
  [5826] = {.lex_state = 202},
  [5827] = {.lex_state = 241},
  [5828] = {.lex_state = 193},
  [5829] = {.lex_state = 240},
  [5830] = {.lex_state = 237},
  [5831] = {.lex_state = 239},
  [5832] = {.lex_state = 240},
  [5833] = {.lex_state = 240},
  [5834] = {.lex_state = 240},
  [5835] = {.lex_state = 240},
  [5836] = {.lex_state = 240},
  [5837] = {.lex_state = 240},
  [5838] = {.lex_state = 240},
  [5839] = {.lex_state = 192},
  [5840] = {.lex_state = 192},
  [5841] = {.lex_state = 192},
  [5842] = {.lex_state = 240},
  [5843] = {.lex_state = 192},
  [5844] = {.lex_state = 240},
  [5845] = {.lex_state = 240},
  [5846] = {.lex_state = 239},
  [5847] = {.lex_state = 239},
  [5848] = {.lex_state = 239},
  [5849] = {.lex_state = 239},
  [5850] = {.lex_state = 239},
  [5851] = {.lex_state = 239},
  [5852] = {.lex_state = 239},
  [5853] = {.lex_state = 240},
  [5854] = {.lex_state = 240},
  [5855] = {.lex_state = 240},
  [5856] = {.lex_state = 240},
  [5857] = {.lex_state = 240},
  [5858] = {.lex_state = 192},
  [5859] = {.lex_state = 192},
  [5860] = {.lex_state = 192},
  [5861] = {.lex_state = 240},
  [5862] = {.lex_state = 240},
  [5863] = {.lex_state = 240},
  [5864] = {.lex_state = 240},
  [5865] = {.lex_state = 192},
  [5866] = {.lex_state = 240},
  [5867] = {.lex_state = 192},
  [5868] = {.lex_state = 240},
  [5869] = {.lex_state = 240},
  [5870] = {.lex_state = 0},
  [5871] = {.lex_state = 193},
  [5872] = {.lex_state = 240},
  [5873] = {.lex_state = 192},
  [5874] = {.lex_state = 193},
  [5875] = {.lex_state = 173},
  [5876] = {.lex_state = 195},
  [5877] = {.lex_state = 192},
  [5878] = {.lex_state = 195},
  [5879] = {.lex_state = 0},
  [5880] = {.lex_state = 195},
  [5881] = {.lex_state = 195},
  [5882] = {.lex_state = 195},
  [5883] = {.lex_state = 195},
  [5884] = {.lex_state = 195},
  [5885] = {.lex_state = 240},
  [5886] = {.lex_state = 192},
  [5887] = {.lex_state = 193},
  [5888] = {.lex_state = 240},
  [5889] = {.lex_state = 0},
  [5890] = {.lex_state = 240},
  [5891] = {.lex_state = 240},
  [5892] = {.lex_state = 240},
  [5893] = {.lex_state = 193},
  [5894] = {.lex_state = 0},
  [5895] = {.lex_state = 192},
  [5896] = {.lex_state = 192},
  [5897] = {.lex_state = 240},
  [5898] = {.lex_state = 193},
  [5899] = {.lex_state = 0},
  [5900] = {.lex_state = 193},
  [5901] = {.lex_state = 240},
  [5902] = {.lex_state = 173},
  [5903] = {.lex_state = 240},
  [5904] = {.lex_state = 192},
  [5905] = {.lex_state = 240},
  [5906] = {.lex_state = 240},
  [5907] = {.lex_state = 240},
  [5908] = {.lex_state = 240},
  [5909] = {.lex_state = 240},
  [5910] = {.lex_state = 240},
  [5911] = {.lex_state = 173},
  [5912] = {.lex_state = 0},
  [5913] = {.lex_state = 240},
  [5914] = {.lex_state = 240},
  [5915] = {.lex_state = 193},
  [5916] = {.lex_state = 240},
  [5917] = {.lex_state = 240},
  [5918] = {.lex_state = 192},
  [5919] = {.lex_state = 0},
  [5920] = {.lex_state = 192},
  [5921] = {.lex_state = 192},
  [5922] = {.lex_state = 240},
  [5923] = {.lex_state = 240},
  [5924] = {.lex_state = 192},
  [5925] = {.lex_state = 240},
  [5926] = {.lex_state = 240},
  [5927] = {.lex_state = 240},
  [5928] = {.lex_state = 240},
  [5929] = {.lex_state = 240},
  [5930] = {.lex_state = 240},
  [5931] = {.lex_state = 240},
  [5932] = {.lex_state = 192},
  [5933] = {.lex_state = 195},
  [5934] = {.lex_state = 193},
  [5935] = {.lex_state = 214},
  [5936] = {.lex_state = 214},
  [5937] = {.lex_state = 0},
  [5938] = {.lex_state = 193},
  [5939] = {.lex_state = 196},
  [5940] = {.lex_state = 193},
  [5941] = {.lex_state = 335},
  [5942] = {.lex_state = 335},
  [5943] = {.lex_state = 335},
  [5944] = {.lex_state = 240},
  [5945] = {.lex_state = 214},
  [5946] = {.lex_state = 214},
  [5947] = {.lex_state = 335},
  [5948] = {.lex_state = 193},
  [5949] = {.lex_state = 240},
  [5950] = {.lex_state = 193},
  [5951] = {.lex_state = 335},
  [5952] = {.lex_state = 193},
  [5953] = {.lex_state = 193},
  [5954] = {.lex_state = 193},
  [5955] = {.lex_state = 240},
  [5956] = {.lex_state = 193},
  [5957] = {.lex_state = 193},
  [5958] = {.lex_state = 193},
  [5959] = {.lex_state = 193},
  [5960] = {.lex_state = 240},
  [5961] = {.lex_state = 214},
  [5962] = {.lex_state = 193},
  [5963] = {.lex_state = 201},
  [5964] = {.lex_state = 193},
  [5965] = {.lex_state = 193},
  [5966] = {.lex_state = 193},
  [5967] = {.lex_state = 193},
  [5968] = {.lex_state = 193},
  [5969] = {.lex_state = 193},
  [5970] = {.lex_state = 214},
  [5971] = {.lex_state = 214},
  [5972] = {.lex_state = 193},
  [5973] = {.lex_state = 214},
  [5974] = {.lex_state = 214},
  [5975] = {.lex_state = 196},
  [5976] = {.lex_state = 193},
  [5977] = {.lex_state = 196},
  [5978] = {.lex_state = 193},
  [5979] = {.lex_state = 193},
  [5980] = {.lex_state = 240},
  [5981] = {.lex_state = 196},
  [5982] = {.lex_state = 196},
  [5983] = {.lex_state = 196},
  [5984] = {.lex_state = 193},
  [5985] = {.lex_state = 193},
  [5986] = {.lex_state = 214},
  [5987] = {.lex_state = 193},
  [5988] = {.lex_state = 193},
  [5989] = {.lex_state = 214},
  [5990] = {.lex_state = 196},
  [5991] = {.lex_state = 193},
  [5992] = {.lex_state = 193},
  [5993] = {.lex_state = 193},
  [5994] = {.lex_state = 214},
  [5995] = {.lex_state = 196},
  [5996] = {.lex_state = 193},
  [5997] = {.lex_state = 193},
  [5998] = {.lex_state = 193},
  [5999] = {.lex_state = 240},
  [6000] = {.lex_state = 240},
  [6001] = {.lex_state = 240},
  [6002] = {.lex_state = 240},
  [6003] = {.lex_state = 193},
  [6004] = {.lex_state = 193},
  [6005] = {.lex_state = 193},
  [6006] = {.lex_state = 193},
  [6007] = {.lex_state = 237},
  [6008] = {.lex_state = 193},
  [6009] = {.lex_state = 193},
  [6010] = {.lex_state = 193},
  [6011] = {.lex_state = 193},
  [6012] = {.lex_state = 193},
  [6013] = {.lex_state = 193},
  [6014] = {.lex_state = 195},
  [6015] = {.lex_state = 195},
  [6016] = {.lex_state = 193},
  [6017] = {.lex_state = 237},
  [6018] = {.lex_state = 195},
  [6019] = {.lex_state = 195},
  [6020] = {.lex_state = 240},
  [6021] = {.lex_state = 193},
  [6022] = {.lex_state = 193},
  [6023] = {.lex_state = 194},
  [6024] = {.lex_state = 194},
  [6025] = {.lex_state = 193},
  [6026] = {.lex_state = 193},
  [6027] = {.lex_state = 193},
  [6028] = {.lex_state = 192},
  [6029] = {.lex_state = 195},
  [6030] = {.lex_state = 193},
  [6031] = {.lex_state = 193},
  [6032] = {.lex_state = 193},
  [6033] = {.lex_state = 193},
  [6034] = {.lex_state = 193},
  [6035] = {.lex_state = 194},
  [6036] = {.lex_state = 194},
  [6037] = {.lex_state = 193},
  [6038] = {.lex_state = 193},
  [6039] = {.lex_state = 193},
  [6040] = {.lex_state = 193},
  [6041] = {.lex_state = 240},
  [6042] = {.lex_state = 193},
  [6043] = {.lex_state = 237},
  [6044] = {.lex_state = 193},
  [6045] = {.lex_state = 193},
  [6046] = {.lex_state = 195},
  [6047] = {.lex_state = 240},
  [6048] = {.lex_state = 193},
  [6049] = {.lex_state = 193},
  [6050] = {.lex_state = 193},
  [6051] = {.lex_state = 195},
  [6052] = {.lex_state = 193},
  [6053] = {.lex_state = 195},
  [6054] = {.lex_state = 195},
  [6055] = {.lex_state = 195},
  [6056] = {.lex_state = 195},
  [6057] = {.lex_state = 193},
  [6058] = {.lex_state = 194},
  [6059] = {.lex_state = 194},
  [6060] = {.lex_state = 240},
  [6061] = {.lex_state = 193},
  [6062] = {.lex_state = 240},
  [6063] = {.lex_state = 194},
  [6064] = {.lex_state = 193},
  [6065] = {.lex_state = 193},
  [6066] = {.lex_state = 194},
  [6067] = {.lex_state = 193},
  [6068] = {.lex_state = 195},
  [6069] = {.lex_state = 240},
  [6070] = {.lex_state = 193},
  [6071] = {.lex_state = 237},
  [6072] = {.lex_state = 193},
  [6073] = {.lex_state = 193},
  [6074] = {.lex_state = 193},
  [6075] = {.lex_state = 193},
  [6076] = {.lex_state = 193},
  [6077] = {.lex_state = 193},
  [6078] = {.lex_state = 193},
  [6079] = {.lex_state = 193},
  [6080] = {.lex_state = 193},
  [6081] = {.lex_state = 193},
  [6082] = {.lex_state = 193},
  [6083] = {.lex_state = 193},
  [6084] = {.lex_state = 193},
  [6085] = {.lex_state = 179},
  [6086] = {.lex_state = 240},
  [6087] = {.lex_state = 193},
  [6088] = {.lex_state = 193},
  [6089] = {.lex_state = 223},
  [6090] = {.lex_state = 223},
  [6091] = {.lex_state = 179},
  [6092] = {.lex_state = 193},
  [6093] = {.lex_state = 223},
  [6094] = {.lex_state = 223},
  [6095] = {.lex_state = 223},
  [6096] = {.lex_state = 335},
  [6097] = {.lex_state = 223},
  [6098] = {.lex_state = 240},
  [6099] = {.lex_state = 240},
  [6100] = {.lex_state = 240},
  [6101] = {.lex_state = 240},
  [6102] = {.lex_state = 240},
  [6103] = {.lex_state = 193},
  [6104] = {.lex_state = 223},
  [6105] = {.lex_state = 223},
  [6106] = {.lex_state = 223},
  [6107] = {.lex_state = 335},
  [6108] = {.lex_state = 193},
  [6109] = {.lex_state = 223},
  [6110] = {.lex_state = 214},
  [6111] = {.lex_state = 214},
  [6112] = {.lex_state = 193},
  [6113] = {.lex_state = 214},
  [6114] = {.lex_state = 214},
  [6115] = {.lex_state = 214},
  [6116] = {.lex_state = 214},
  [6117] = {.lex_state = 214},
  [6118] = {.lex_state = 214},
  [6119] = {.lex_state = 223},
  [6120] = {.lex_state = 223},
  [6121] = {.lex_state = 223},
  [6122] = {.lex_state = 335},
  [6123] = {.lex_state = 240},
  [6124] = {.lex_state = 193},
  [6125] = {.lex_state = 193},
  [6126] = {.lex_state = 233},
  [6127] = {.lex_state = 233},
  [6128] = {.lex_state = 193},
  [6129] = {.lex_state = 193},
  [6130] = {.lex_state = 193},
  [6131] = {.lex_state = 195},
  [6132] = {.lex_state = 201},
  [6133] = {.lex_state = 195},
  [6134] = {.lex_state = 195},
  [6135] = {.lex_state = 195},
  [6136] = {.lex_state = 195},
  [6137] = {.lex_state = 193},
  [6138] = {.lex_state = 193},
  [6139] = {.lex_state = 195},
  [6140] = {.lex_state = 173},
  [6141] = {.lex_state = 195},
  [6142] = {.lex_state = 193},
  [6143] = {.lex_state = 195},
  [6144] = {.lex_state = 193},
  [6145] = {.lex_state = 335},
  [6146] = {.lex_state = 193},
  [6147] = {.lex_state = 201},
  [6148] = {.lex_state = 193},
  [6149] = {.lex_state = 335},
  [6150] = {.lex_state = 193},
  [6151] = {.lex_state = 193},
  [6152] = {.lex_state = 193},
  [6153] = {.lex_state = 193},
  [6154] = {.lex_state = 193},
  [6155] = {.lex_state = 193},
  [6156] = {.lex_state = 193},
  [6157] = {.lex_state = 193},
  [6158] = {.lex_state = 193},
  [6159] = {.lex_state = 193},
  [6160] = {.lex_state = 193},
  [6161] = {.lex_state = 193},
  [6162] = {.lex_state = 193},
  [6163] = {.lex_state = 193},
  [6164] = {.lex_state = 193},
  [6165] = {.lex_state = 193},
  [6166] = {.lex_state = 233},
  [6167] = {.lex_state = 193},
  [6168] = {.lex_state = 193},
  [6169] = {.lex_state = 193},
  [6170] = {.lex_state = 193},
  [6171] = {.lex_state = 233},
  [6172] = {.lex_state = 193},
  [6173] = {.lex_state = 193},
  [6174] = {.lex_state = 193},
  [6175] = {.lex_state = 193},
  [6176] = {.lex_state = 193},
  [6177] = {.lex_state = 193},
  [6178] = {.lex_state = 335},
  [6179] = {.lex_state = 335},
  [6180] = {.lex_state = 335},
  [6181] = {.lex_state = 195},
  [6182] = {.lex_state = 239},
  [6183] = {.lex_state = 335},
  [6184] = {.lex_state = 335},
  [6185] = {.lex_state = 239},
  [6186] = {.lex_state = 196},
  [6187] = {.lex_state = 335},
  [6188] = {.lex_state = 335},
  [6189] = {.lex_state = 196},
  [6190] = {.lex_state = 237},
  [6191] = {.lex_state = 335},
  [6192] = {.lex_state = 195},
  [6193] = {.lex_state = 193},
  [6194] = {.lex_state = 335},
  [6195] = {.lex_state = 335},
  [6196] = {.lex_state = 195},
  [6197] = {.lex_state = 335},
  [6198] = {.lex_state = 237},
  [6199] = {.lex_state = 335},
  [6200] = {.lex_state = 335},
  [6201] = {.lex_state = 335},
  [6202] = {.lex_state = 335},
  [6203] = {.lex_state = 173},
  [6204] = {.lex_state = 195},
  [6205] = {.lex_state = 242},
  [6206] = {.lex_state = 335},
  [6207] = {.lex_state = 193},
  [6208] = {.lex_state = 195},
  [6209] = {.lex_state = 335},
  [6210] = {.lex_state = 195},
  [6211] = {.lex_state = 196},
  [6212] = {.lex_state = 196},
  [6213] = {.lex_state = 173},
  [6214] = {.lex_state = 223},
  [6215] = {.lex_state = 196},
  [6216] = {.lex_state = 335},
  [6217] = {.lex_state = 335},
  [6218] = {.lex_state = 196},
  [6219] = {.lex_state = 196},
  [6220] = {.lex_state = 223},
  [6221] = {.lex_state = 335},
  [6222] = {.lex_state = 335},
  [6223] = {.lex_state = 335},
  [6224] = {.lex_state = 335},
  [6225] = {.lex_state = 335},
  [6226] = {.lex_state = 196},
  [6227] = {.lex_state = 335},
  [6228] = {.lex_state = 193},
  [6229] = {.lex_state = 193},
  [6230] = {.lex_state = 201},
  [6231] = {.lex_state = 173},
  [6232] = {.lex_state = 193},
  [6233] = {.lex_state = 335},
  [6234] = {.lex_state = 173},
  [6235] = {.lex_state = 173},
  [6236] = {.lex_state = 193},
  [6237] = {.lex_state = 335},
  [6238] = {.lex_state = 195},
  [6239] = {.lex_state = 173},
  [6240] = {.lex_state = 193},
  [6241] = {.lex_state = 173},
  [6242] = {.lex_state = 193},
  [6243] = {.lex_state = 335},
  [6244] = {.lex_state = 195},
  [6245] = {.lex_state = 173},
  [6246] = {.lex_state = 335},
  [6247] = {.lex_state = 173},
  [6248] = {.lex_state = 239},
  [6249] = {.lex_state = 335},
  [6250] = {.lex_state = 195},
  [6251] = {.lex_state = 173},
  [6252] = {.lex_state = 193},
  [6253] = {.lex_state = 173},
  [6254] = {.lex_state = 201},
  [6255] = {.lex_state = 173},
  [6256] = {.lex_state = 173},
  [6257] = {.lex_state = 173},
  [6258] = {.lex_state = 173},
  [6259] = {.lex_state = 195},
  [6260] = {.lex_state = 173},
  [6261] = {.lex_state = 173},
  [6262] = {.lex_state = 195},
  [6263] = {.lex_state = 173},
  [6264] = {.lex_state = 173},
  [6265] = {.lex_state = 173},
  [6266] = {.lex_state = 335},
  [6267] = {.lex_state = 173},
  [6268] = {.lex_state = 173},
  [6269] = {.lex_state = 173},
  [6270] = {.lex_state = 193},
  [6271] = {.lex_state = 193},
  [6272] = {.lex_state = 335},
  [6273] = {.lex_state = 335},
  [6274] = {.lex_state = 201},
  [6275] = {.lex_state = 173},
  [6276] = {.lex_state = 173},
  [6277] = {.lex_state = 335},
  [6278] = {.lex_state = 237},
  [6279] = {.lex_state = 193},
  [6280] = {.lex_state = 237},
  [6281] = {.lex_state = 193},
  [6282] = {.lex_state = 335},
  [6283] = {.lex_state = 192},
  [6284] = {.lex_state = 237},
  [6285] = {.lex_state = 237},
  [6286] = {.lex_state = 335},
  [6287] = {.lex_state = 173},
  [6288] = {.lex_state = 237},
  [6289] = {.lex_state = 195},
  [6290] = {.lex_state = 192},
  [6291] = {.lex_state = 193},
  [6292] = {.lex_state = 192},
  [6293] = {.lex_state = 193},
  [6294] = {.lex_state = 193},
  [6295] = {.lex_state = 237},
  [6296] = {.lex_state = 335},
  [6297] = {.lex_state = 193},
  [6298] = {.lex_state = 237},
  [6299] = {.lex_state = 193},
  [6300] = {.lex_state = 192},
  [6301] = {.lex_state = 193},
  [6302] = {.lex_state = 237},
  [6303] = {.lex_state = 193},
  [6304] = {.lex_state = 237},
  [6305] = {.lex_state = 0},
  [6306] = {.lex_state = 193},
  [6307] = {.lex_state = 193},
  [6308] = {.lex_state = 193},
  [6309] = {.lex_state = 192},
  [6310] = {.lex_state = 193},
  [6311] = {.lex_state = 193},
  [6312] = {.lex_state = 193},
  [6313] = {.lex_state = 237},
  [6314] = {.lex_state = 192},
  [6315] = {.lex_state = 193},
  [6316] = {.lex_state = 173},
  [6317] = {.lex_state = 335},
  [6318] = {.lex_state = 335},
  [6319] = {.lex_state = 237},
  [6320] = {.lex_state = 0},
  [6321] = {.lex_state = 192},
  [6322] = {.lex_state = 192},
  [6323] = {.lex_state = 237},
  [6324] = {.lex_state = 192},
  [6325] = {.lex_state = 237},
  [6326] = {.lex_state = 193},
  [6327] = {.lex_state = 237},
  [6328] = {.lex_state = 192},
  [6329] = {.lex_state = 192},
  [6330] = {.lex_state = 193},
  [6331] = {.lex_state = 193},
  [6332] = {.lex_state = 193},
  [6333] = {.lex_state = 335},
  [6334] = {.lex_state = 193},
  [6335] = {.lex_state = 179},
  [6336] = {.lex_state = 193},
  [6337] = {.lex_state = 173},
  [6338] = {.lex_state = 173},
  [6339] = {.lex_state = 193},
  [6340] = {.lex_state = 193},
  [6341] = {.lex_state = 193},
  [6342] = {.lex_state = 193},
  [6343] = {.lex_state = 173},
  [6344] = {.lex_state = 193},
  [6345] = {.lex_state = 335},
  [6346] = {.lex_state = 193},
  [6347] = {.lex_state = 193},
  [6348] = {.lex_state = 179},
  [6349] = {.lex_state = 193},
  [6350] = {.lex_state = 193},
  [6351] = {.lex_state = 193},
  [6352] = {.lex_state = 214},
  [6353] = {.lex_state = 193},
  [6354] = {.lex_state = 193},
  [6355] = {.lex_state = 193},
  [6356] = {.lex_state = 179},
  [6357] = {.lex_state = 193},
  [6358] = {.lex_state = 214},
  [6359] = {.lex_state = 193},
  [6360] = {.lex_state = 193},
  [6361] = {.lex_state = 179},
  [6362] = {.lex_state = 193},
  [6363] = {.lex_state = 193},
  [6364] = {.lex_state = 193},
  [6365] = {.lex_state = 173},
  [6366] = {.lex_state = 193},
  [6367] = {.lex_state = 193},
  [6368] = {.lex_state = 173},
  [6369] = {.lex_state = 193},
  [6370] = {.lex_state = 193},
  [6371] = {.lex_state = 173},
  [6372] = {.lex_state = 179},
  [6373] = {.lex_state = 193},
  [6374] = {.lex_state = 193},
  [6375] = {.lex_state = 237},
  [6376] = {.lex_state = 335},
  [6377] = {.lex_state = 193},
  [6378] = {.lex_state = 193},
  [6379] = {.lex_state = 193},
  [6380] = {.lex_state = 193},
  [6381] = {.lex_state = 179},
  [6382] = {.lex_state = 193},
  [6383] = {.lex_state = 193},
  [6384] = {.lex_state = 193},
  [6385] = {.lex_state = 179},
  [6386] = {.lex_state = 193},
  [6387] = {.lex_state = 335},
  [6388] = {.lex_state = 179},
  [6389] = {.lex_state = 193},
  [6390] = {.lex_state = 179},
  [6391] = {.lex_state = 108},
  [6392] = {.lex_state = 0},
  [6393] = {.lex_state = 193},
  [6394] = {.lex_state = 110},
  [6395] = {.lex_state = 335},
  [6396] = {.lex_state = 193},
  [6397] = {.lex_state = 335},
  [6398] = {.lex_state = 179},
  [6399] = {.lex_state = 108},
  [6400] = {.lex_state = 179},
  [6401] = {.lex_state = 335},
  [6402] = {.lex_state = 115},
  [6403] = {.lex_state = 193},
  [6404] = {.lex_state = 193},
  [6405] = {.lex_state = 108},
  [6406] = {.lex_state = 179},
  [6407] = {.lex_state = 193},
  [6408] = {.lex_state = 193},
  [6409] = {.lex_state = 0},
  [6410] = {.lex_state = 108},
  [6411] = {.lex_state = 335},
  [6412] = {.lex_state = 0},
  [6413] = {.lex_state = 335},
  [6414] = {.lex_state = 335},
  [6415] = {.lex_state = 173},
  [6416] = {.lex_state = 335},
  [6417] = {.lex_state = 0},
  [6418] = {.lex_state = 179},
  [6419] = {.lex_state = 108},
  [6420] = {.lex_state = 335},
  [6421] = {.lex_state = 335},
  [6422] = {.lex_state = 335},
  [6423] = {.lex_state = 108},
  [6424] = {.lex_state = 115},
  [6425] = {.lex_state = 193},
  [6426] = {.lex_state = 173},
  [6427] = {.lex_state = 179},
  [6428] = {.lex_state = 335},
  [6429] = {.lex_state = 193},
  [6430] = {.lex_state = 108},
  [6431] = {.lex_state = 193},
  [6432] = {.lex_state = 173},
  [6433] = {.lex_state = 179},
  [6434] = {.lex_state = 173},
  [6435] = {.lex_state = 179},
  [6436] = {.lex_state = 335},
  [6437] = {.lex_state = 0},
  [6438] = {.lex_state = 108},
  [6439] = {.lex_state = 173},
  [6440] = {.lex_state = 193},
  [6441] = {.lex_state = 179},
  [6442] = {.lex_state = 193},
  [6443] = {.lex_state = 173},
  [6444] = {.lex_state = 108},
  [6445] = {.lex_state = 0},
  [6446] = {.lex_state = 108},
  [6447] = {.lex_state = 335},
  [6448] = {.lex_state = 193},
  [6449] = {.lex_state = 335},
  [6450] = {.lex_state = 335},
  [6451] = {.lex_state = 108},
  [6452] = {.lex_state = 108},
  [6453] = {.lex_state = 173},
  [6454] = {.lex_state = 335},
  [6455] = {.lex_state = 173},
  [6456] = {.lex_state = 173},
  [6457] = {.lex_state = 173},
  [6458] = {.lex_state = 335},
  [6459] = {.lex_state = 193},
  [6460] = {.lex_state = 108},
  [6461] = {.lex_state = 179},
  [6462] = {.lex_state = 179},
  [6463] = {.lex_state = 179},
  [6464] = {.lex_state = 0},
  [6465] = {.lex_state = 108},
  [6466] = {.lex_state = 237},
  [6467] = {.lex_state = 335},
  [6468] = {.lex_state = 335},
  [6469] = {.lex_state = 193},
  [6470] = {.lex_state = 108},
  [6471] = {.lex_state = 179},
  [6472] = {.lex_state = 335},
  [6473] = {.lex_state = 193},
  [6474] = {.lex_state = 193},
  [6475] = {.lex_state = 179},
  [6476] = {.lex_state = 237},
  [6477] = {.lex_state = 179},
  [6478] = {.lex_state = 173},
  [6479] = {.lex_state = 179},
  [6480] = {.lex_state = 0},
  [6481] = {.lex_state = 179},
  [6482] = {.lex_state = 173},
  [6483] = {.lex_state = 173},
  [6484] = {.lex_state = 108},
  [6485] = {.lex_state = 108},
  [6486] = {.lex_state = 115},
  [6487] = {.lex_state = 179},
  [6488] = {.lex_state = 108},
  [6489] = {.lex_state = 193},
  [6490] = {.lex_state = 193},
  [6491] = {.lex_state = 335},
  [6492] = {.lex_state = 173},
  [6493] = {.lex_state = 335},
  [6494] = {.lex_state = 108},
  [6495] = {.lex_state = 173},
  [6496] = {.lex_state = 179},
  [6497] = {.lex_state = 179},
  [6498] = {.lex_state = 193},
  [6499] = {.lex_state = 179},
  [6500] = {.lex_state = 173},
  [6501] = {.lex_state = 173},
  [6502] = {.lex_state = 193},
  [6503] = {.lex_state = 0},
  [6504] = {.lex_state = 193},
  [6505] = {.lex_state = 193},
  [6506] = {.lex_state = 179},
  [6507] = {.lex_state = 108},
  [6508] = {.lex_state = 179},
  [6509] = {.lex_state = 179},
  [6510] = {.lex_state = 237},
  [6511] = {.lex_state = 173},
  [6512] = {.lex_state = 335},
  [6513] = {.lex_state = 115},
  [6514] = {.lex_state = 108},
  [6515] = {.lex_state = 193},
  [6516] = {.lex_state = 193},
  [6517] = {.lex_state = 0},
  [6518] = {.lex_state = 0},
  [6519] = {.lex_state = 115},
  [6520] = {.lex_state = 335},
  [6521] = {.lex_state = 0},
  [6522] = {.lex_state = 108},
  [6523] = {.lex_state = 179},
  [6524] = {.lex_state = 179},
  [6525] = {.lex_state = 179},
  [6526] = {.lex_state = 115},
  [6527] = {.lex_state = 193},
  [6528] = {.lex_state = 108},
  [6529] = {.lex_state = 0},
  [6530] = {.lex_state = 179},
  [6531] = {.lex_state = 0},
  [6532] = {.lex_state = 0},
  [6533] = {.lex_state = 193},
  [6534] = {.lex_state = 335},
  [6535] = {.lex_state = 335},
  [6536] = {.lex_state = 193},
  [6537] = {.lex_state = 193},
  [6538] = {.lex_state = 110},
  [6539] = {.lex_state = 193},
  [6540] = {.lex_state = 108},
  [6541] = {.lex_state = 237},
  [6542] = {.lex_state = 173},
  [6543] = {.lex_state = 173},
  [6544] = {.lex_state = 335},
  [6545] = {.lex_state = 179},
  [6546] = {.lex_state = 108},
  [6547] = {.lex_state = 335},
  [6548] = {.lex_state = 193},
  [6549] = {.lex_state = 115},
  [6550] = {.lex_state = 335},
  [6551] = {.lex_state = 335},
  [6552] = {.lex_state = 214},
  [6553] = {.lex_state = 110},
  [6554] = {.lex_state = 193},
  [6555] = {.lex_state = 108},
  [6556] = {.lex_state = 173},
  [6557] = {.lex_state = 193},
  [6558] = {.lex_state = 193},
  [6559] = {.lex_state = 108},
  [6560] = {.lex_state = 115},
  [6561] = {.lex_state = 335},
  [6562] = {.lex_state = 335},
  [6563] = {.lex_state = 110},
  [6564] = {.lex_state = 108},
  [6565] = {.lex_state = 179},
  [6566] = {.lex_state = 173},
  [6567] = {.lex_state = 237},
  [6568] = {.lex_state = 108},
  [6569] = {.lex_state = 108},
  [6570] = {.lex_state = 335},
  [6571] = {.lex_state = 335},
  [6572] = {.lex_state = 173},
  [6573] = {.lex_state = 193},
  [6574] = {.lex_state = 173},
  [6575] = {.lex_state = 193},
  [6576] = {.lex_state = 108},
  [6577] = {.lex_state = 115},
  [6578] = {.lex_state = 115},
  [6579] = {.lex_state = 335},
  [6580] = {.lex_state = 335},
  [6581] = {.lex_state = 193},
  [6582] = {.lex_state = 0},
  [6583] = {.lex_state = 193},
  [6584] = {.lex_state = 179},
  [6585] = {.lex_state = 108},
  [6586] = {.lex_state = 115},
  [6587] = {.lex_state = 335},
  [6588] = {.lex_state = 335},
  [6589] = {.lex_state = 193},
  [6590] = {.lex_state = 193},
  [6591] = {.lex_state = 237},
  [6592] = {.lex_state = 335},
  [6593] = {.lex_state = 335},
  [6594] = {.lex_state = 108},
  [6595] = {.lex_state = 193},
  [6596] = {.lex_state = 335},
  [6597] = {.lex_state = 193},
  [6598] = {.lex_state = 110},
  [6599] = {.lex_state = 179},
  [6600] = {.lex_state = 179},
  [6601] = {.lex_state = 335},
  [6602] = {.lex_state = 179},
  [6603] = {.lex_state = 179},
  [6604] = {.lex_state = 179},
  [6605] = {.lex_state = 173},
  [6606] = {.lex_state = 0},
  [6607] = {.lex_state = 110},
  [6608] = {.lex_state = 115},
  [6609] = {.lex_state = 108},
  [6610] = {.lex_state = 193},
  [6611] = {.lex_state = 193},
  [6612] = {.lex_state = 173},
  [6613] = {.lex_state = 173},
  [6614] = {.lex_state = 173},
  [6615] = {.lex_state = 108},
  [6616] = {.lex_state = 173},
  [6617] = {.lex_state = 0},
  [6618] = {.lex_state = 108},
  [6619] = {.lex_state = 237},
  [6620] = {.lex_state = 193},
  [6621] = {.lex_state = 193},
  [6622] = {.lex_state = 237},
  [6623] = {.lex_state = 110},
  [6624] = {.lex_state = 0},
  [6625] = {.lex_state = 193},
  [6626] = {.lex_state = 173},
  [6627] = {.lex_state = 335},
  [6628] = {.lex_state = 115},
  [6629] = {.lex_state = 179},
  [6630] = {.lex_state = 108},
  [6631] = {.lex_state = 173},
  [6632] = {.lex_state = 108},
  [6633] = {.lex_state = 179},
  [6634] = {.lex_state = 193},
  [6635] = {.lex_state = 237},
  [6636] = {.lex_state = 193},
  [6637] = {.lex_state = 0},
  [6638] = {.lex_state = 237},
  [6639] = {.lex_state = 0},
  [6640] = {.lex_state = 108},
  [6641] = {.lex_state = 335},
  [6642] = {.lex_state = 335},
  [6643] = {.lex_state = 193},
  [6644] = {.lex_state = 193},
  [6645] = {.lex_state = 193},
  [6646] = {.lex_state = 335},
  [6647] = {.lex_state = 335},
  [6648] = {.lex_state = 179},
  [6649] = {.lex_state = 179},
  [6650] = {.lex_state = 179},
  [6651] = {.lex_state = 112},
  [6652] = {.lex_state = 0},
  [6653] = {.lex_state = 0},
  [6654] = {.lex_state = 193},
  [6655] = {.lex_state = 335},
  [6656] = {.lex_state = 0},
  [6657] = {.lex_state = 335},
  [6658] = {.lex_state = 0},
  [6659] = {.lex_state = 0},
  [6660] = {.lex_state = 0},
  [6661] = {.lex_state = 0},
  [6662] = {.lex_state = 0},
  [6663] = {.lex_state = 0},
  [6664] = {.lex_state = 0},
  [6665] = {.lex_state = 0},
  [6666] = {.lex_state = 0},
  [6667] = {.lex_state = 335},
  [6668] = {.lex_state = 193},
  [6669] = {.lex_state = 0},
  [6670] = {.lex_state = 193},
  [6671] = {.lex_state = 193},
  [6672] = {.lex_state = 0},
  [6673] = {.lex_state = 193},
  [6674] = {.lex_state = 193},
  [6675] = {.lex_state = 0},
  [6676] = {.lex_state = 179},
  [6677] = {.lex_state = 179},
  [6678] = {.lex_state = 0},
  [6679] = {.lex_state = 0},
  [6680] = {.lex_state = 0},
  [6681] = {.lex_state = 0},
  [6682] = {.lex_state = 0},
  [6683] = {.lex_state = 0},
  [6684] = {.lex_state = 0},
  [6685] = {.lex_state = 179},
  [6686] = {.lex_state = 193},
  [6687] = {.lex_state = 179},
  [6688] = {.lex_state = 112},
  [6689] = {.lex_state = 0},
  [6690] = {.lex_state = 0},
  [6691] = {.lex_state = 193},
  [6692] = {.lex_state = 0},
  [6693] = {.lex_state = 0},
  [6694] = {.lex_state = 0},
  [6695] = {.lex_state = 0},
  [6696] = {.lex_state = 0},
  [6697] = {.lex_state = 193},
  [6698] = {.lex_state = 0},
  [6699] = {.lex_state = 0},
  [6700] = {.lex_state = 0},
  [6701] = {.lex_state = 0},
  [6702] = {.lex_state = 335},
  [6703] = {.lex_state = 0},
  [6704] = {.lex_state = 0},
  [6705] = {.lex_state = 0},
  [6706] = {.lex_state = 0},
  [6707] = {.lex_state = 193},
  [6708] = {.lex_state = 0},
  [6709] = {.lex_state = 0},
  [6710] = {.lex_state = 0},
  [6711] = {.lex_state = 0},
  [6712] = {.lex_state = 0},
  [6713] = {.lex_state = 0},
  [6714] = {.lex_state = 193},
  [6715] = {.lex_state = 0},
  [6716] = {.lex_state = 0},
  [6717] = {.lex_state = 0},
  [6718] = {.lex_state = 0},
  [6719] = {.lex_state = 0},
  [6720] = {.lex_state = 179},
  [6721] = {.lex_state = 0},
  [6722] = {.lex_state = 335},
  [6723] = {.lex_state = 0},
  [6724] = {.lex_state = 193},
  [6725] = {.lex_state = 0},
  [6726] = {.lex_state = 0},
  [6727] = {.lex_state = 0},
  [6728] = {.lex_state = 0},
  [6729] = {.lex_state = 0},
  [6730] = {.lex_state = 0},
  [6731] = {.lex_state = 0},
  [6732] = {.lex_state = 0},
  [6733] = {.lex_state = 0},
  [6734] = {.lex_state = 0},
  [6735] = {.lex_state = 0},
  [6736] = {.lex_state = 193},
  [6737] = {.lex_state = 0},
  [6738] = {.lex_state = 0},
  [6739] = {.lex_state = 0},
  [6740] = {.lex_state = 0},
  [6741] = {.lex_state = 0},
  [6742] = {.lex_state = 0},
  [6743] = {.lex_state = 193},
  [6744] = {.lex_state = 0},
  [6745] = {.lex_state = 193},
  [6746] = {.lex_state = 0},
  [6747] = {.lex_state = 0},
  [6748] = {.lex_state = 0},
  [6749] = {.lex_state = 0},
  [6750] = {.lex_state = 0},
  [6751] = {.lex_state = 0},
  [6752] = {.lex_state = 0},
  [6753] = {.lex_state = 0},
  [6754] = {.lex_state = 193},
  [6755] = {.lex_state = 193},
  [6756] = {.lex_state = 0},
  [6757] = {.lex_state = 0},
  [6758] = {.lex_state = 0},
  [6759] = {.lex_state = 0},
  [6760] = {.lex_state = 0},
  [6761] = {.lex_state = 0},
  [6762] = {.lex_state = 0},
  [6763] = {.lex_state = 0},
  [6764] = {.lex_state = 193},
  [6765] = {.lex_state = 0},
  [6766] = {.lex_state = 0},
  [6767] = {.lex_state = 0},
  [6768] = {.lex_state = 0},
  [6769] = {.lex_state = 0},
  [6770] = {.lex_state = 193},
  [6771] = {.lex_state = 193},
  [6772] = {.lex_state = 193},
  [6773] = {.lex_state = 179},
  [6774] = {.lex_state = 179},
  [6775] = {.lex_state = 0},
  [6776] = {.lex_state = 0},
  [6777] = {.lex_state = 0},
  [6778] = {.lex_state = 193},
  [6779] = {.lex_state = 115},
  [6780] = {.lex_state = 0},
  [6781] = {.lex_state = 0},
  [6782] = {.lex_state = 0},
  [6783] = {.lex_state = 193},
  [6784] = {.lex_state = 193},
  [6785] = {.lex_state = 214},
  [6786] = {.lex_state = 0},
  [6787] = {.lex_state = 0},
  [6788] = {.lex_state = 0},
  [6789] = {.lex_state = 0},
  [6790] = {.lex_state = 0},
  [6791] = {.lex_state = 0},
  [6792] = {.lex_state = 179},
  [6793] = {.lex_state = 179},
  [6794] = {.lex_state = 173},
  [6795] = {.lex_state = 193},
  [6796] = {.lex_state = 179},
  [6797] = {.lex_state = 179},
  [6798] = {.lex_state = 179},
  [6799] = {.lex_state = 0},
  [6800] = {.lex_state = 193},
  [6801] = {.lex_state = 112},
  [6802] = {.lex_state = 193},
  [6803] = {.lex_state = 0},
  [6804] = {.lex_state = 0},
  [6805] = {.lex_state = 0},
  [6806] = {.lex_state = 0},
  [6807] = {.lex_state = 0},
  [6808] = {.lex_state = 179},
  [6809] = {.lex_state = 193},
  [6810] = {.lex_state = 179},
  [6811] = {.lex_state = 335},
  [6812] = {.lex_state = 193},
  [6813] = {.lex_state = 162},
  [6814] = {.lex_state = 0},
  [6815] = {.lex_state = 0},
  [6816] = {.lex_state = 0},
  [6817] = {.lex_state = 179},
  [6818] = {.lex_state = 179},
  [6819] = {.lex_state = 0},
  [6820] = {.lex_state = 173},
  [6821] = {.lex_state = 335},
  [6822] = {.lex_state = 335},
  [6823] = {.lex_state = 0},
  [6824] = {.lex_state = 0},
  [6825] = {.lex_state = 0},
  [6826] = {.lex_state = 0},
  [6827] = {.lex_state = 193},
  [6828] = {.lex_state = 0},
  [6829] = {.lex_state = 0},
  [6830] = {.lex_state = 335},
  [6831] = {.lex_state = 193},
  [6832] = {.lex_state = 0},
  [6833] = {.lex_state = 179},
  [6834] = {.lex_state = 0},
  [6835] = {.lex_state = 335},
  [6836] = {.lex_state = 0},
  [6837] = {.lex_state = 0},
  [6838] = {.lex_state = 0},
  [6839] = {.lex_state = 0},
  [6840] = {.lex_state = 0},
  [6841] = {.lex_state = 179},
  [6842] = {.lex_state = 179},
  [6843] = {.lex_state = 179},
  [6844] = {.lex_state = 0},
  [6845] = {.lex_state = 179},
  [6846] = {.lex_state = 0},
  [6847] = {.lex_state = 0},
  [6848] = {.lex_state = 0},
  [6849] = {.lex_state = 0},
  [6850] = {.lex_state = 0},
  [6851] = {.lex_state = 193},
  [6852] = {.lex_state = 0},
  [6853] = {.lex_state = 0},
  [6854] = {.lex_state = 0},
  [6855] = {.lex_state = 193},
  [6856] = {.lex_state = 0},
  [6857] = {.lex_state = 193},
  [6858] = {.lex_state = 179},
  [6859] = {.lex_state = 179},
  [6860] = {.lex_state = 0},
  [6861] = {.lex_state = 0},
  [6862] = {.lex_state = 0},
  [6863] = {.lex_state = 193},
  [6864] = {.lex_state = 115},
  [6865] = {.lex_state = 0},
  [6866] = {.lex_state = 0},
  [6867] = {.lex_state = 193},
  [6868] = {.lex_state = 0},
  [6869] = {.lex_state = 0},
  [6870] = {.lex_state = 0},
  [6871] = {.lex_state = 179},
  [6872] = {.lex_state = 193},
  [6873] = {.lex_state = 193},
  [6874] = {.lex_state = 179},
  [6875] = {.lex_state = 179},
  [6876] = {.lex_state = 179},
  [6877] = {.lex_state = 179},
  [6878] = {.lex_state = 193},
  [6879] = {.lex_state = 0},
  [6880] = {.lex_state = 179},
  [6881] = {.lex_state = 0},
  [6882] = {.lex_state = 0},
  [6883] = {.lex_state = 0},
  [6884] = {.lex_state = 193},
  [6885] = {.lex_state = 0},
  [6886] = {.lex_state = 193},
  [6887] = {.lex_state = 0},
  [6888] = {.lex_state = 0},
  [6889] = {.lex_state = 0},
  [6890] = {.lex_state = 193},
  [6891] = {.lex_state = 193},
  [6892] = {.lex_state = 0},
  [6893] = {.lex_state = 0},
  [6894] = {.lex_state = 0},
  [6895] = {.lex_state = 0},
  [6896] = {.lex_state = 193},
  [6897] = {.lex_state = 0},
  [6898] = {.lex_state = 0},
  [6899] = {.lex_state = 0},
  [6900] = {.lex_state = 193},
  [6901] = {.lex_state = 115},
  [6902] = {.lex_state = 335},
  [6903] = {.lex_state = 179},
  [6904] = {.lex_state = 0},
  [6905] = {.lex_state = 193},
  [6906] = {.lex_state = 335},
  [6907] = {.lex_state = 179},
  [6908] = {.lex_state = 179},
  [6909] = {.lex_state = 0},
  [6910] = {.lex_state = 0},
  [6911] = {.lex_state = 0},
  [6912] = {.lex_state = 179},
  [6913] = {.lex_state = 179},
  [6914] = {.lex_state = 193},
  [6915] = {.lex_state = 0},
  [6916] = {.lex_state = 0},
  [6917] = {.lex_state = 0},
  [6918] = {.lex_state = 115},
  [6919] = {.lex_state = 0},
  [6920] = {.lex_state = 0},
  [6921] = {.lex_state = 0},
  [6922] = {.lex_state = 193},
  [6923] = {.lex_state = 193},
  [6924] = {.lex_state = 0},
  [6925] = {.lex_state = 193},
  [6926] = {.lex_state = 0},
  [6927] = {.lex_state = 335},
  [6928] = {.lex_state = 0},
  [6929] = {.lex_state = 0},
  [6930] = {.lex_state = 0},
  [6931] = {.lex_state = 115},
  [6932] = {.lex_state = 0},
  [6933] = {.lex_state = 193},
  [6934] = {.lex_state = 179},
  [6935] = {.lex_state = 0},
  [6936] = {.lex_state = 0},
  [6937] = {.lex_state = 0},
  [6938] = {.lex_state = 0},
  [6939] = {.lex_state = 0},
  [6940] = {.lex_state = 115},
  [6941] = {.lex_state = 193},
  [6942] = {.lex_state = 193},
  [6943] = {.lex_state = 0},
  [6944] = {.lex_state = 335},
  [6945] = {.lex_state = 193},
  [6946] = {.lex_state = 0},
  [6947] = {.lex_state = 179},
  [6948] = {.lex_state = 179},
  [6949] = {.lex_state = 0},
  [6950] = {.lex_state = 0},
  [6951] = {.lex_state = 115},
  [6952] = {.lex_state = 0},
  [6953] = {.lex_state = 0},
  [6954] = {.lex_state = 115},
  [6955] = {.lex_state = 0},
  [6956] = {.lex_state = 179},
  [6957] = {.lex_state = 115},
  [6958] = {.lex_state = 115},
  [6959] = {.lex_state = 115},
  [6960] = {.lex_state = 179},
  [6961] = {.lex_state = 0},
  [6962] = {.lex_state = 0},
  [6963] = {.lex_state = 0},
  [6964] = {.lex_state = 0},
  [6965] = {.lex_state = 0},
  [6966] = {.lex_state = 0},
  [6967] = {.lex_state = 0},
  [6968] = {.lex_state = 0},
  [6969] = {.lex_state = 179},
  [6970] = {.lex_state = 0},
  [6971] = {.lex_state = 179},
  [6972] = {.lex_state = 193},
  [6973] = {.lex_state = 0},
  [6974] = {.lex_state = 0},
  [6975] = {.lex_state = 0},
  [6976] = {.lex_state = 0},
  [6977] = {.lex_state = 0},
  [6978] = {.lex_state = 179},
  [6979] = {.lex_state = 179},
  [6980] = {.lex_state = 179},
  [6981] = {.lex_state = 179},
  [6982] = {.lex_state = 179},
  [6983] = {.lex_state = 0},
  [6984] = {.lex_state = 0},
  [6985] = {.lex_state = 179},
  [6986] = {.lex_state = 179},
  [6987] = {.lex_state = 0},
  [6988] = {.lex_state = 193},
  [6989] = {.lex_state = 0},
  [6990] = {.lex_state = 179},
  [6991] = {.lex_state = 179},
  [6992] = {.lex_state = 0},
  [6993] = {.lex_state = 335},
  [6994] = {.lex_state = 173},
  [6995] = {.lex_state = 179},
  [6996] = {.lex_state = 0},
  [6997] = {.lex_state = 0},
  [6998] = {.lex_state = 193},
  [6999] = {.lex_state = 0},
  [7000] = {.lex_state = 179},
  [7001] = {.lex_state = 0},
  [7002] = {.lex_state = 115},
  [7003] = {.lex_state = 179},
  [7004] = {.lex_state = 0},
  [7005] = {.lex_state = 179},
  [7006] = {.lex_state = 0},
  [7007] = {.lex_state = 193},
  [7008] = {.lex_state = 179},
  [7009] = {.lex_state = 0},
  [7010] = {.lex_state = 335},
  [7011] = {.lex_state = 335},
  [7012] = {.lex_state = 0},
  [7013] = {.lex_state = 335},
  [7014] = {.lex_state = 0},
  [7015] = {.lex_state = 0},
  [7016] = {.lex_state = 0},
  [7017] = {.lex_state = 0},
  [7018] = {.lex_state = 0},
  [7019] = {.lex_state = 0},
  [7020] = {.lex_state = 0},
  [7021] = {.lex_state = 193},
  [7022] = {.lex_state = 0},
  [7023] = {.lex_state = 0},
  [7024] = {.lex_state = 335},
  [7025] = {.lex_state = 179},
  [7026] = {.lex_state = 179},
  [7027] = {.lex_state = 0},
  [7028] = {.lex_state = 0},
  [7029] = {.lex_state = 0},
  [7030] = {.lex_state = 0},
  [7031] = {.lex_state = 0},
  [7032] = {.lex_state = 193},
  [7033] = {.lex_state = 0},
  [7034] = {.lex_state = 0},
  [7035] = {.lex_state = 179},
  [7036] = {.lex_state = 179},
  [7037] = {.lex_state = 179},
  [7038] = {.lex_state = 179},
  [7039] = {.lex_state = 179},
  [7040] = {.lex_state = 179},
  [7041] = {.lex_state = 193},
  [7042] = {.lex_state = 0},
  [7043] = {.lex_state = 0},
  [7044] = {.lex_state = 193},
  [7045] = {.lex_state = 335},
  [7046] = {.lex_state = 0},
  [7047] = {.lex_state = 112},
  [7048] = {.lex_state = 0},
  [7049] = {.lex_state = 0},
  [7050] = {.lex_state = 0},
  [7051] = {.lex_state = 335},
  [7052] = {.lex_state = 335},
  [7053] = {.lex_state = 0},
  [7054] = {.lex_state = 0},
  [7055] = {.lex_state = 0},
  [7056] = {.lex_state = 193},
  [7057] = {.lex_state = 0},
  [7058] = {.lex_state = 193},
  [7059] = {.lex_state = 0},
  [7060] = {.lex_state = 0},
  [7061] = {.lex_state = 335},
  [7062] = {.lex_state = 335},
  [7063] = {.lex_state = 335},
  [7064] = {.lex_state = 335},
  [7065] = {.lex_state = 335},
  [7066] = {.lex_state = 0},
  [7067] = {.lex_state = 0},
  [7068] = {.lex_state = 111},
  [7069] = {.lex_state = 335},
  [7070] = {.lex_state = 0},
  [7071] = {.lex_state = 0},
  [7072] = {.lex_state = 335},
  [7073] = {.lex_state = 0},
  [7074] = {.lex_state = 0},
  [7075] = {.lex_state = 0},
  [7076] = {.lex_state = 0},
  [7077] = {.lex_state = 111},
  [7078] = {.lex_state = 0},
  [7079] = {.lex_state = 0},
  [7080] = {.lex_state = 335},
  [7081] = {.lex_state = 0},
  [7082] = {.lex_state = 0},
  [7083] = {.lex_state = 0},
  [7084] = {.lex_state = 0},
  [7085] = {.lex_state = 0},
  [7086] = {.lex_state = 0},
  [7087] = {.lex_state = 0},
  [7088] = {.lex_state = 0},
  [7089] = {.lex_state = 0},
  [7090] = {.lex_state = 0},
  [7091] = {.lex_state = 193},
  [7092] = {.lex_state = 335},
  [7093] = {.lex_state = 0},
  [7094] = {.lex_state = 193},
  [7095] = {.lex_state = 0},
  [7096] = {.lex_state = 0},
  [7097] = {.lex_state = 335},
  [7098] = {.lex_state = 335},
  [7099] = {.lex_state = 335},
  [7100] = {.lex_state = 193},
  [7101] = {.lex_state = 0},
  [7102] = {.lex_state = 335},
  [7103] = {.lex_state = 193},
  [7104] = {.lex_state = 335},
  [7105] = {.lex_state = 0},
  [7106] = {.lex_state = 335},
  [7107] = {.lex_state = 193},
  [7108] = {.lex_state = 0},
  [7109] = {.lex_state = 0},
  [7110] = {.lex_state = 193},
  [7111] = {.lex_state = 335},
  [7112] = {.lex_state = 335},
  [7113] = {.lex_state = 335},
  [7114] = {.lex_state = 193},
  [7115] = {.lex_state = 335},
  [7116] = {.lex_state = 0},
  [7117] = {.lex_state = 0},
  [7118] = {.lex_state = 0},
  [7119] = {.lex_state = 0},
  [7120] = {.lex_state = 0},
  [7121] = {.lex_state = 193},
  [7122] = {.lex_state = 111},
  [7123] = {.lex_state = 0},
  [7124] = {.lex_state = 0},
  [7125] = {.lex_state = 335},
  [7126] = {.lex_state = 193},
  [7127] = {.lex_state = 335},
  [7128] = {.lex_state = 335},
  [7129] = {.lex_state = 0},
  [7130] = {.lex_state = 0},
  [7131] = {.lex_state = 0},
  [7132] = {.lex_state = 0},
  [7133] = {.lex_state = 193},
  [7134] = {.lex_state = 335},
  [7135] = {.lex_state = 0},
  [7136] = {.lex_state = 0},
  [7137] = {.lex_state = 0},
  [7138] = {.lex_state = 0},
  [7139] = {.lex_state = 193},
  [7140] = {.lex_state = 0},
  [7141] = {.lex_state = 0},
  [7142] = {.lex_state = 335},
  [7143] = {.lex_state = 0},
  [7144] = {.lex_state = 111},
  [7145] = {.lex_state = 193},
  [7146] = {.lex_state = 335},
  [7147] = {.lex_state = 0},
  [7148] = {.lex_state = 0},
  [7149] = {.lex_state = 335},
  [7150] = {.lex_state = 0},
  [7151] = {.lex_state = 111},
  [7152] = {.lex_state = 335},
  [7153] = {.lex_state = 335},
  [7154] = {.lex_state = 335},
  [7155] = {.lex_state = 335},
  [7156] = {.lex_state = 193},
  [7157] = {.lex_state = 335},
  [7158] = {.lex_state = 193},
  [7159] = {.lex_state = 0},
  [7160] = {.lex_state = 111},
  [7161] = {.lex_state = 193},
  [7162] = {.lex_state = 0},
  [7163] = {.lex_state = 335},
  [7164] = {.lex_state = 0},
  [7165] = {.lex_state = 0},
  [7166] = {.lex_state = 193},
  [7167] = {.lex_state = 0},
  [7168] = {.lex_state = 0},
  [7169] = {.lex_state = 0},
  [7170] = {.lex_state = 335},
  [7171] = {.lex_state = 335},
  [7172] = {.lex_state = 0},
  [7173] = {.lex_state = 0},
  [7174] = {.lex_state = 0},
  [7175] = {.lex_state = 193},
  [7176] = {.lex_state = 0},
  [7177] = {.lex_state = 335},
  [7178] = {.lex_state = 193},
  [7179] = {.lex_state = 335},
  [7180] = {.lex_state = 193},
  [7181] = {.lex_state = 0},
  [7182] = {.lex_state = 0},
  [7183] = {.lex_state = 335},
  [7184] = {.lex_state = 0},
  [7185] = {.lex_state = 335},
  [7186] = {.lex_state = 111},
  [7187] = {.lex_state = 0},
  [7188] = {.lex_state = 193},
  [7189] = {.lex_state = 111},
  [7190] = {.lex_state = 0},
  [7191] = {.lex_state = 0},
  [7192] = {.lex_state = 335},
  [7193] = {.lex_state = 0},
  [7194] = {.lex_state = 0},
  [7195] = {.lex_state = 335},
  [7196] = {.lex_state = 0},
  [7197] = {.lex_state = 335},
  [7198] = {.lex_state = 0},
  [7199] = {.lex_state = 335},
  [7200] = {.lex_state = 0},
  [7201] = {.lex_state = 111},
  [7202] = {.lex_state = 0},
  [7203] = {.lex_state = 335},
  [7204] = {.lex_state = 193},
  [7205] = {.lex_state = 0},
  [7206] = {.lex_state = 0},
  [7207] = {.lex_state = 193},
  [7208] = {.lex_state = 0},
  [7209] = {.lex_state = 0},
  [7210] = {.lex_state = 335},
  [7211] = {.lex_state = 335},
  [7212] = {.lex_state = 193},
  [7213] = {.lex_state = 335},
  [7214] = {.lex_state = 0},
  [7215] = {.lex_state = 0},
  [7216] = {.lex_state = 0},
  [7217] = {.lex_state = 335},
  [7218] = {.lex_state = 0},
  [7219] = {.lex_state = 0},
  [7220] = {.lex_state = 0},
  [7221] = {.lex_state = 335},
  [7222] = {.lex_state = 335},
  [7223] = {.lex_state = 0},
  [7224] = {.lex_state = 0},
  [7225] = {.lex_state = 335},
  [7226] = {.lex_state = 0},
  [7227] = {.lex_state = 0},
  [7228] = {.lex_state = 0},
  [7229] = {.lex_state = 0},
  [7230] = {.lex_state = 0},
  [7231] = {.lex_state = 0},
  [7232] = {.lex_state = 335},
  [7233] = {.lex_state = 0},
  [7234] = {.lex_state = 335},
  [7235] = {.lex_state = 0},
  [7236] = {.lex_state = 193},
  [7237] = {.lex_state = 0},
  [7238] = {.lex_state = 0},
  [7239] = {.lex_state = 0},
  [7240] = {.lex_state = 0},
  [7241] = {.lex_state = 0},
  [7242] = {.lex_state = 335, .external_lex_state = 2},
  [7243] = {.lex_state = 0},
  [7244] = {.lex_state = 0},
  [7245] = {.lex_state = 0},
  [7246] = {.lex_state = 335},
  [7247] = {.lex_state = 193},
  [7248] = {.lex_state = 335},
  [7249] = {.lex_state = 0},
  [7250] = {.lex_state = 111},
  [7251] = {.lex_state = 335},
  [7252] = {.lex_state = 335},
  [7253] = {.lex_state = 0},
  [7254] = {.lex_state = 0},
  [7255] = {.lex_state = 0},
  [7256] = {.lex_state = 0},
  [7257] = {.lex_state = 0},
  [7258] = {.lex_state = 0},
  [7259] = {.lex_state = 335},
  [7260] = {.lex_state = 111},
  [7261] = {.lex_state = 0},
  [7262] = {.lex_state = 0},
  [7263] = {.lex_state = 0},
  [7264] = {.lex_state = 0},
  [7265] = {.lex_state = 335},
  [7266] = {.lex_state = 0},
  [7267] = {.lex_state = 193},
  [7268] = {.lex_state = 111},
  [7269] = {.lex_state = 0},
  [7270] = {.lex_state = 193},
  [7271] = {.lex_state = 335},
  [7272] = {.lex_state = 0},
  [7273] = {.lex_state = 0},
  [7274] = {.lex_state = 0},
  [7275] = {.lex_state = 0},
  [7276] = {.lex_state = 193},
  [7277] = {.lex_state = 0},
  [7278] = {.lex_state = 0},
  [7279] = {.lex_state = 0},
  [7280] = {.lex_state = 0},
  [7281] = {.lex_state = 0},
  [7282] = {.lex_state = 0},
  [7283] = {.lex_state = 193},
  [7284] = {.lex_state = 0},
  [7285] = {.lex_state = 0},
  [7286] = {.lex_state = 335},
  [7287] = {.lex_state = 0},
  [7288] = {.lex_state = 0},
  [7289] = {.lex_state = 193},
  [7290] = {.lex_state = 193},
  [7291] = {.lex_state = 335},
  [7292] = {.lex_state = 335},
  [7293] = {.lex_state = 0},
  [7294] = {.lex_state = 111},
  [7295] = {.lex_state = 0},
  [7296] = {.lex_state = 0},
  [7297] = {.lex_state = 335},
  [7298] = {.lex_state = 0},
  [7299] = {.lex_state = 0},
  [7300] = {.lex_state = 0},
  [7301] = {.lex_state = 0},
  [7302] = {.lex_state = 111},
  [7303] = {.lex_state = 0},
  [7304] = {.lex_state = 0},
  [7305] = {.lex_state = 0},
  [7306] = {.lex_state = 0},
  [7307] = {.lex_state = 0},
  [7308] = {.lex_state = 335},
  [7309] = {.lex_state = 0},
  [7310] = {.lex_state = 0},
  [7311] = {.lex_state = 0},
  [7312] = {.lex_state = 0},
  [7313] = {.lex_state = 0},
  [7314] = {.lex_state = 111},
  [7315] = {.lex_state = 335},
  [7316] = {.lex_state = 0},
  [7317] = {.lex_state = 0},
  [7318] = {.lex_state = 0},
  [7319] = {.lex_state = 0},
  [7320] = {.lex_state = 335},
  [7321] = {.lex_state = 0},
  [7322] = {.lex_state = 335},
  [7323] = {.lex_state = 0},
  [7324] = {.lex_state = 0},
  [7325] = {.lex_state = 0},
  [7326] = {.lex_state = 0},
  [7327] = {.lex_state = 0},
  [7328] = {.lex_state = 0},
  [7329] = {.lex_state = 0},
  [7330] = {.lex_state = 0},
  [7331] = {.lex_state = 335},
  [7332] = {.lex_state = 0},
  [7333] = {.lex_state = 0},
  [7334] = {.lex_state = 0},
  [7335] = {.lex_state = 193},
  [7336] = {.lex_state = 0},
  [7337] = {.lex_state = 335},
  [7338] = {.lex_state = 335},
  [7339] = {.lex_state = 335, .external_lex_state = 2},
  [7340] = {.lex_state = 0},
  [7341] = {.lex_state = 0},
  [7342] = {.lex_state = 0},
  [7343] = {.lex_state = 0},
  [7344] = {.lex_state = 0},
  [7345] = {.lex_state = 193},
  [7346] = {.lex_state = 193},
  [7347] = {.lex_state = 0},
  [7348] = {.lex_state = 0},
  [7349] = {.lex_state = 0},
  [7350] = {.lex_state = 0},
  [7351] = {.lex_state = 193},
  [7352] = {.lex_state = 0},
  [7353] = {.lex_state = 111},
  [7354] = {.lex_state = 0},
  [7355] = {.lex_state = 0},
  [7356] = {.lex_state = 193},
  [7357] = {.lex_state = 111},
  [7358] = {.lex_state = 335},
  [7359] = {.lex_state = 0},
  [7360] = {.lex_state = 0},
  [7361] = {.lex_state = 0},
  [7362] = {.lex_state = 193},
  [7363] = {.lex_state = 335, .external_lex_state = 2},
  [7364] = {.lex_state = 335, .external_lex_state = 2},
  [7365] = {.lex_state = 335, .external_lex_state = 2},
  [7366] = {.lex_state = 335, .external_lex_state = 2},
  [7367] = {.lex_state = 335},
  [7368] = {.lex_state = 335, .external_lex_state = 2},
  [7369] = {.lex_state = 0},
  [7370] = {.lex_state = 335, .external_lex_state = 2},
  [7371] = {.lex_state = 0},
  [7372] = {.lex_state = 335, .external_lex_state = 2},
  [7373] = {.lex_state = 335, .external_lex_state = 2},
  [7374] = {.lex_state = 335, .external_lex_state = 2},
  [7375] = {.lex_state = 335, .external_lex_state = 2},
  [7376] = {.lex_state = 335, .external_lex_state = 2},
  [7377] = {.lex_state = 335, .external_lex_state = 2},
  [7378] = {.lex_state = 335, .external_lex_state = 2},
  [7379] = {.lex_state = 335, .external_lex_state = 2},
  [7380] = {.lex_state = 335, .external_lex_state = 2},
  [7381] = {.lex_state = 0},
  [7382] = {.lex_state = 0},
  [7383] = {.lex_state = 335},
  [7384] = {.lex_state = 0},
  [7385] = {.lex_state = 0},
  [7386] = {.lex_state = 0},
  [7387] = {.lex_state = 0},
  [7388] = {.lex_state = 193},
  [7389] = {.lex_state = 0, .external_lex_state = 2},
  [7390] = {.lex_state = 0},
  [7391] = {.lex_state = 112},
  [7392] = {.lex_state = 0},
  [7393] = {.lex_state = 0},
  [7394] = {.lex_state = 0},
  [7395] = {.lex_state = 0},
  [7396] = {.lex_state = 0},
  [7397] = {.lex_state = 0},
  [7398] = {.lex_state = 335},
  [7399] = {.lex_state = 0},
  [7400] = {.lex_state = 0},
  [7401] = {.lex_state = 0},
  [7402] = {.lex_state = 0},
  [7403] = {.lex_state = 193},
  [7404] = {.lex_state = 0},
  [7405] = {.lex_state = 0},
  [7406] = {.lex_state = 0},
  [7407] = {.lex_state = 0},
  [7408] = {.lex_state = 193},
  [7409] = {.lex_state = 335},
  [7410] = {.lex_state = 0},
  [7411] = {.lex_state = 0},
  [7412] = {.lex_state = 0},
  [7413] = {.lex_state = 0},
  [7414] = {.lex_state = 193},
  [7415] = {.lex_state = 179},
  [7416] = {.lex_state = 0},
  [7417] = {.lex_state = 0},
  [7418] = {.lex_state = 0},
  [7419] = {.lex_state = 335},
  [7420] = {.lex_state = 193},
  [7421] = {.lex_state = 0},
  [7422] = {.lex_state = 0},
  [7423] = {.lex_state = 112},
  [7424] = {.lex_state = 171},
  [7425] = {.lex_state = 0},
  [7426] = {.lex_state = 0},
  [7427] = {.lex_state = 0},
  [7428] = {.lex_state = 112},
  [7429] = {.lex_state = 179},
  [7430] = {.lex_state = 0},
  [7431] = {.lex_state = 0},
  [7432] = {.lex_state = 179},
  [7433] = {.lex_state = 171},
  [7434] = {.lex_state = 0},
  [7435] = {.lex_state = 112},
  [7436] = {.lex_state = 179},
  [7437] = {.lex_state = 0},
  [7438] = {.lex_state = 112},
  [7439] = {.lex_state = 112},
  [7440] = {.lex_state = 193},
  [7441] = {.lex_state = 0},
  [7442] = {.lex_state = 171},
  [7443] = {.lex_state = 0},
  [7444] = {.lex_state = 171},
  [7445] = {.lex_state = 335},
  [7446] = {.lex_state = 171},
  [7447] = {.lex_state = 0},
  [7448] = {.lex_state = 0},
  [7449] = {.lex_state = 171},
  [7450] = {.lex_state = 0, .external_lex_state = 2},
  [7451] = {.lex_state = 179},
  [7452] = {.lex_state = 0},
  [7453] = {.lex_state = 0},
  [7454] = {.lex_state = 0},
  [7455] = {.lex_state = 179},
  [7456] = {.lex_state = 0},
  [7457] = {.lex_state = 0},
  [7458] = {.lex_state = 0},
  [7459] = {.lex_state = 0},
  [7460] = {.lex_state = 193},
  [7461] = {.lex_state = 0},
  [7462] = {.lex_state = 0},
  [7463] = {.lex_state = 0},
  [7464] = {.lex_state = 0},
  [7465] = {.lex_state = 335},
  [7466] = {.lex_state = 0},
  [7467] = {.lex_state = 0},
  [7468] = {.lex_state = 0},
  [7469] = {.lex_state = 0},
  [7470] = {.lex_state = 193},
  [7471] = {.lex_state = 0},
  [7472] = {.lex_state = 0},
  [7473] = {.lex_state = 112},
  [7474] = {.lex_state = 0},
  [7475] = {.lex_state = 193},
  [7476] = {.lex_state = 193},
  [7477] = {.lex_state = 193},
  [7478] = {.lex_state = 0},
  [7479] = {.lex_state = 0},
  [7480] = {.lex_state = 0},
  [7481] = {.lex_state = 0},
  [7482] = {.lex_state = 0},
  [7483] = {.lex_state = 0},
  [7484] = {.lex_state = 112},
  [7485] = {.lex_state = 179},
  [7486] = {.lex_state = 193},
  [7487] = {.lex_state = 0},
  [7488] = {.lex_state = 193},
  [7489] = {.lex_state = 335},
  [7490] = {.lex_state = 193},
  [7491] = {.lex_state = 0},
  [7492] = {.lex_state = 0},
  [7493] = {.lex_state = 335},
  [7494] = {.lex_state = 0},
  [7495] = {.lex_state = 0},
  [7496] = {.lex_state = 0},
  [7497] = {.lex_state = 0},
  [7498] = {.lex_state = 193},
  [7499] = {.lex_state = 0},
  [7500] = {.lex_state = 193},
  [7501] = {.lex_state = 0},
  [7502] = {.lex_state = 0},
  [7503] = {.lex_state = 0},
  [7504] = {.lex_state = 335},
  [7505] = {.lex_state = 0},
  [7506] = {.lex_state = 0},
  [7507] = {.lex_state = 0},
  [7508] = {.lex_state = 0},
  [7509] = {.lex_state = 193},
  [7510] = {.lex_state = 0},
  [7511] = {.lex_state = 0},
  [7512] = {.lex_state = 193},
  [7513] = {.lex_state = 0},
  [7514] = {.lex_state = 335},
  [7515] = {.lex_state = 0},
  [7516] = {.lex_state = 0},
  [7517] = {.lex_state = 112},
  [7518] = {.lex_state = 0},
  [7519] = {.lex_state = 0},
  [7520] = {.lex_state = 0},
  [7521] = {.lex_state = 193},
  [7522] = {.lex_state = 0},
  [7523] = {.lex_state = 0},
  [7524] = {.lex_state = 193},
  [7525] = {.lex_state = 0},
  [7526] = {.lex_state = 0},
  [7527] = {.lex_state = 0},
  [7528] = {.lex_state = 335},
  [7529] = {.lex_state = 193},
  [7530] = {.lex_state = 0},
  [7531] = {.lex_state = 0},
  [7532] = {.lex_state = 0},
  [7533] = {.lex_state = 193},
  [7534] = {.lex_state = 0},
  [7535] = {.lex_state = 171},
  [7536] = {.lex_state = 0},
  [7537] = {.lex_state = 0},
  [7538] = {.lex_state = 335},
  [7539] = {.lex_state = 0},
  [7540] = {.lex_state = 0},
  [7541] = {.lex_state = 0},
  [7542] = {.lex_state = 0},
  [7543] = {.lex_state = 193},
  [7544] = {.lex_state = 0},
  [7545] = {.lex_state = 112},
  [7546] = {.lex_state = 0},
  [7547] = {.lex_state = 0},
  [7548] = {.lex_state = 193},
  [7549] = {.lex_state = 0, .external_lex_state = 2},
  [7550] = {.lex_state = 0},
  [7551] = {.lex_state = 112},
  [7552] = {.lex_state = 0},
  [7553] = {.lex_state = 0},
  [7554] = {.lex_state = 171},
  [7555] = {.lex_state = 0},
  [7556] = {.lex_state = 0},
  [7557] = {.lex_state = 193},
  [7558] = {.lex_state = 0},
  [7559] = {.lex_state = 0},
  [7560] = {.lex_state = 0},
  [7561] = {.lex_state = 0},
  [7562] = {.lex_state = 193},
  [7563] = {.lex_state = 0},
  [7564] = {.lex_state = 193},
  [7565] = {.lex_state = 0},
  [7566] = {.lex_state = 335},
  [7567] = {.lex_state = 0},
  [7568] = {.lex_state = 335},
  [7569] = {.lex_state = 0},
  [7570] = {.lex_state = 193},
  [7571] = {.lex_state = 335},
  [7572] = {.lex_state = 179},
  [7573] = {.lex_state = 0},
  [7574] = {.lex_state = 179},
  [7575] = {.lex_state = 0},
  [7576] = {.lex_state = 0},
  [7577] = {.lex_state = 0},
  [7578] = {.lex_state = 0},
  [7579] = {.lex_state = 193},
  [7580] = {.lex_state = 112},
  [7581] = {.lex_state = 0},
  [7582] = {.lex_state = 0},
  [7583] = {.lex_state = 335},
  [7584] = {.lex_state = 193},
  [7585] = {.lex_state = 0},
  [7586] = {.lex_state = 0},
  [7587] = {.lex_state = 193},
  [7588] = {.lex_state = 0},
  [7589] = {.lex_state = 193},
  [7590] = {.lex_state = 193},
  [7591] = {.lex_state = 0},
  [7592] = {.lex_state = 112},
  [7593] = {.lex_state = 179},
  [7594] = {.lex_state = 0},
  [7595] = {.lex_state = 0},
  [7596] = {.lex_state = 0},
  [7597] = {.lex_state = 335},
  [7598] = {.lex_state = 335},
  [7599] = {.lex_state = 0},
  [7600] = {.lex_state = 0},
  [7601] = {.lex_state = 0},
  [7602] = {.lex_state = 0},
  [7603] = {.lex_state = 0},
  [7604] = {.lex_state = 0},
  [7605] = {.lex_state = 193},
  [7606] = {.lex_state = 171},
  [7607] = {.lex_state = 335},
  [7608] = {.lex_state = 0},
  [7609] = {.lex_state = 193},
  [7610] = {.lex_state = 0, .external_lex_state = 2},
  [7611] = {.lex_state = 171},
  [7612] = {.lex_state = 193},
  [7613] = {.lex_state = 0},
  [7614] = {.lex_state = 0},
  [7615] = {.lex_state = 193},
  [7616] = {.lex_state = 171},
  [7617] = {.lex_state = 0},
  [7618] = {.lex_state = 171},
  [7619] = {.lex_state = 335},
  [7620] = {.lex_state = 0},
  [7621] = {.lex_state = 171},
  [7622] = {.lex_state = 171},
  [7623] = {.lex_state = 0},
  [7624] = {.lex_state = 171},
  [7625] = {.lex_state = 0},
  [7626] = {.lex_state = 0},
  [7627] = {.lex_state = 0},
  [7628] = {.lex_state = 0},
  [7629] = {.lex_state = 0},
  [7630] = {.lex_state = 0},
  [7631] = {.lex_state = 0},
  [7632] = {.lex_state = 0},
  [7633] = {.lex_state = 335},
  [7634] = {.lex_state = 171},
  [7635] = {.lex_state = 0},
  [7636] = {.lex_state = 179},
  [7637] = {.lex_state = 0},
  [7638] = {.lex_state = 0},
  [7639] = {.lex_state = 193},
  [7640] = {.lex_state = 0},
  [7641] = {.lex_state = 0},
  [7642] = {.lex_state = 0},
  [7643] = {.lex_state = 171},
  [7644] = {.lex_state = 171},
  [7645] = {.lex_state = 0},
  [7646] = {.lex_state = 0},
  [7647] = {.lex_state = 112},
  [7648] = {.lex_state = 0, .external_lex_state = 2},
  [7649] = {.lex_state = 0},
  [7650] = {.lex_state = 0},
  [7651] = {.lex_state = 0},
  [7652] = {.lex_state = 0},
  [7653] = {.lex_state = 0},
  [7654] = {.lex_state = 193},
  [7655] = {.lex_state = 0},
  [7656] = {.lex_state = 0},
  [7657] = {.lex_state = 0},
  [7658] = {.lex_state = 0},
  [7659] = {.lex_state = 0, .external_lex_state = 2},
  [7660] = {.lex_state = 171},
  [7661] = {.lex_state = 193},
  [7662] = {.lex_state = 0},
  [7663] = {.lex_state = 0},
  [7664] = {.lex_state = 0},
  [7665] = {.lex_state = 0},
  [7666] = {.lex_state = 0},
  [7667] = {.lex_state = 0},
  [7668] = {.lex_state = 0},
  [7669] = {.lex_state = 0},
  [7670] = {.lex_state = 335},
  [7671] = {.lex_state = 193},
  [7672] = {.lex_state = 171},
  [7673] = {.lex_state = 179},
  [7674] = {.lex_state = 171},
  [7675] = {.lex_state = 335},
  [7676] = {.lex_state = 335},
  [7677] = {.lex_state = 0},
  [7678] = {.lex_state = 0},
  [7679] = {.lex_state = 171},
  [7680] = {.lex_state = 193},
  [7681] = {.lex_state = 112},
  [7682] = {.lex_state = 0},
  [7683] = {.lex_state = 0},
  [7684] = {.lex_state = 0},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 112},
  [7687] = {.lex_state = 171},
  [7688] = {.lex_state = 0},
  [7689] = {.lex_state = 0},
  [7690] = {.lex_state = 0},
  [7691] = {.lex_state = 0},
  [7692] = {.lex_state = 193},
  [7693] = {.lex_state = 0},
  [7694] = {.lex_state = 0},
  [7695] = {.lex_state = 0},
  [7696] = {.lex_state = 0, .external_lex_state = 2},
  [7697] = {.lex_state = 0},
  [7698] = {.lex_state = 0},
  [7699] = {.lex_state = 171},
  [7700] = {.lex_state = 193},
  [7701] = {.lex_state = 171},
  [7702] = {.lex_state = 0},
  [7703] = {.lex_state = 335},
  [7704] = {.lex_state = 0},
  [7705] = {.lex_state = 0},
  [7706] = {.lex_state = 0},
  [7707] = {.lex_state = 0},
  [7708] = {.lex_state = 0},
  [7709] = {.lex_state = 0},
  [7710] = {.lex_state = 0, .external_lex_state = 2},
  [7711] = {.lex_state = 193},
  [7712] = {.lex_state = 0},
  [7713] = {.lex_state = 0},
  [7714] = {.lex_state = 0},
  [7715] = {.lex_state = 335},
  [7716] = {.lex_state = 0},
  [7717] = {.lex_state = 0},
  [7718] = {.lex_state = 0},
  [7719] = {.lex_state = 0},
  [7720] = {.lex_state = 0, .external_lex_state = 2},
  [7721] = {.lex_state = 0},
  [7722] = {.lex_state = 0},
  [7723] = {.lex_state = 0},
  [7724] = {.lex_state = 335},
  [7725] = {.lex_state = 0},
  [7726] = {.lex_state = 0, .external_lex_state = 2},
  [7727] = {.lex_state = 0},
  [7728] = {.lex_state = 0},
  [7729] = {.lex_state = 0, .external_lex_state = 2},
  [7730] = {.lex_state = 0},
  [7731] = {.lex_state = 0},
  [7732] = {.lex_state = 0, .external_lex_state = 2},
  [7733] = {.lex_state = 0},
  [7734] = {.lex_state = 0, .external_lex_state = 2},
  [7735] = {.lex_state = 0},
  [7736] = {.lex_state = 0, .external_lex_state = 2},
  [7737] = {.lex_state = 0},
  [7738] = {.lex_state = 0, .external_lex_state = 2},
  [7739] = {.lex_state = 0},
  [7740] = {.lex_state = 0, .external_lex_state = 2},
  [7741] = {.lex_state = 0},
  [7742] = {.lex_state = 0, .external_lex_state = 2},
  [7743] = {.lex_state = 0},
  [7744] = {.lex_state = 0},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 335},
  [7747] = {.lex_state = 0},
  [7748] = {.lex_state = 335},
  [7749] = {.lex_state = 335},
  [7750] = {.lex_state = 335},
  [7751] = {.lex_state = 193},
  [7752] = {.lex_state = 0},
  [7753] = {.lex_state = 335},
  [7754] = {.lex_state = 0},
  [7755] = {.lex_state = 335},
  [7756] = {.lex_state = 193},
  [7757] = {.lex_state = 0},
  [7758] = {.lex_state = 0},
  [7759] = {.lex_state = 0},
  [7760] = {.lex_state = 0},
  [7761] = {.lex_state = 0},
  [7762] = {.lex_state = 0},
  [7763] = {.lex_state = 0},
  [7764] = {.lex_state = 171},
  [7765] = {.lex_state = 335},
  [7766] = {.lex_state = 0},
  [7767] = {.lex_state = 179},
  [7768] = {.lex_state = 0},
  [7769] = {.lex_state = 171},
  [7770] = {.lex_state = 193},
  [7771] = {.lex_state = 0},
  [7772] = {.lex_state = 335},
  [7773] = {.lex_state = 0},
  [7774] = {.lex_state = 0},
  [7775] = {.lex_state = 0},
  [7776] = {.lex_state = 0, .external_lex_state = 3},
  [7777] = {.lex_state = 335},
  [7778] = {.lex_state = 335},
  [7779] = {.lex_state = 0, .external_lex_state = 3},
  [7780] = {.lex_state = 171},
  [7781] = {.lex_state = 0},
  [7782] = {.lex_state = 335},
  [7783] = {.lex_state = 335},
  [7784] = {.lex_state = 0},
  [7785] = {.lex_state = 0},
  [7786] = {.lex_state = 0},
  [7787] = {.lex_state = 0},
  [7788] = {.lex_state = 0},
  [7789] = {.lex_state = 0},
  [7790] = {.lex_state = 0},
  [7791] = {.lex_state = 0},
  [7792] = {.lex_state = 112},
  [7793] = {.lex_state = 193},
  [7794] = {.lex_state = 0},
  [7795] = {.lex_state = 0},
  [7796] = {.lex_state = 0},
  [7797] = {.lex_state = 0},
  [7798] = {.lex_state = 0},
  [7799] = {.lex_state = 0},
  [7800] = {.lex_state = 179},
  [7801] = {.lex_state = 171},
  [7802] = {.lex_state = 171},
  [7803] = {.lex_state = 0},
  [7804] = {.lex_state = 171},
  [7805] = {.lex_state = 171},
  [7806] = {.lex_state = 0},
  [7807] = {.lex_state = 0},
  [7808] = {.lex_state = 0},
  [7809] = {.lex_state = 0},
  [7810] = {.lex_state = 0},
  [7811] = {.lex_state = 0},
  [7812] = {.lex_state = 0},
  [7813] = {.lex_state = 0},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 179},
  [7816] = {.lex_state = 0},
  [7817] = {.lex_state = 179},
  [7818] = {.lex_state = 0},
  [7819] = {.lex_state = 0},
  [7820] = {.lex_state = 0},
  [7821] = {.lex_state = 0},
  [7822] = {.lex_state = 193},
  [7823] = {.lex_state = 171},
  [7824] = {.lex_state = 335},
  [7825] = {.lex_state = 193},
  [7826] = {.lex_state = 0},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 0},
  [7829] = {.lex_state = 0},
  [7830] = {.lex_state = 171},
  [7831] = {.lex_state = 193},
  [7832] = {.lex_state = 0},
  [7833] = {.lex_state = 335},
  [7834] = {.lex_state = 193},
  [7835] = {.lex_state = 0},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 0},
  [7838] = {.lex_state = 0},
  [7839] = {.lex_state = 0},
  [7840] = {.lex_state = 0},
  [7841] = {.lex_state = 0},
  [7842] = {.lex_state = 112},
  [7843] = {.lex_state = 0},
  [7844] = {.lex_state = 0},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 0},
  [7847] = {.lex_state = 0},
  [7848] = {.lex_state = 0},
  [7849] = {.lex_state = 0},
  [7850] = {.lex_state = 0},
  [7851] = {.lex_state = 0},
  [7852] = {.lex_state = 0},
  [7853] = {.lex_state = 0},
  [7854] = {.lex_state = 0},
  [7855] = {.lex_state = 0},
  [7856] = {.lex_state = 0},
  [7857] = {.lex_state = 0},
  [7858] = {.lex_state = 0},
  [7859] = {.lex_state = 0},
  [7860] = {.lex_state = 193},
  [7861] = {.lex_state = 0},
  [7862] = {.lex_state = 0},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 0},
  [7865] = {.lex_state = 0},
  [7866] = {.lex_state = 0},
  [7867] = {.lex_state = 0},
  [7868] = {.lex_state = 0},
  [7869] = {.lex_state = 0},
  [7870] = {.lex_state = 0},
  [7871] = {.lex_state = 171},
  [7872] = {.lex_state = 0},
  [7873] = {.lex_state = 0},
  [7874] = {.lex_state = 0},
  [7875] = {.lex_state = 0},
  [7876] = {.lex_state = 0},
  [7877] = {.lex_state = 0},
  [7878] = {.lex_state = 171},
  [7879] = {.lex_state = 0},
  [7880] = {.lex_state = 171},
  [7881] = {.lex_state = 179},
  [7882] = {.lex_state = 179},
  [7883] = {.lex_state = 179},
  [7884] = {.lex_state = 0},
  [7885] = {.lex_state = 0},
  [7886] = {.lex_state = 0},
  [7887] = {.lex_state = 193},
  [7888] = {.lex_state = 0},
  [7889] = {.lex_state = 0},
  [7890] = {.lex_state = 0},
  [7891] = {.lex_state = 0},
  [7892] = {.lex_state = 112},
  [7893] = {.lex_state = 0},
  [7894] = {.lex_state = 0},
  [7895] = {.lex_state = 0},
  [7896] = {.lex_state = 171},
  [7897] = {.lex_state = 0},
  [7898] = {.lex_state = 0},
  [7899] = {.lex_state = 193},
  [7900] = {.lex_state = 0},
  [7901] = {.lex_state = 171},
  [7902] = {.lex_state = 0},
  [7903] = {.lex_state = 0},
  [7904] = {.lex_state = 112},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 193},
  [7907] = {.lex_state = 171},
  [7908] = {.lex_state = 193},
  [7909] = {.lex_state = 0, .external_lex_state = 3},
  [7910] = {.lex_state = 0},
  [7911] = {.lex_state = 193},
  [7912] = {.lex_state = 0},
  [7913] = {.lex_state = 112},
  [7914] = {.lex_state = 335},
  [7915] = {.lex_state = 0},
  [7916] = {.lex_state = 0},
  [7917] = {.lex_state = 335},
  [7918] = {.lex_state = 171},
  [7919] = {.lex_state = 0},
  [7920] = {.lex_state = 0},
  [7921] = {.lex_state = 0},
  [7922] = {.lex_state = 0},
  [7923] = {.lex_state = 0},
  [7924] = {.lex_state = 335},
  [7925] = {.lex_state = 335},
  [7926] = {.lex_state = 335},
  [7927] = {.lex_state = 335},
  [7928] = {.lex_state = 0},
  [7929] = {.lex_state = 335},
  [7930] = {.lex_state = 0},
  [7931] = {.lex_state = 0},
  [7932] = {.lex_state = 0},
  [7933] = {.lex_state = 0},
  [7934] = {.lex_state = 193},
  [7935] = {.lex_state = 0},
  [7936] = {.lex_state = 335},
  [7937] = {.lex_state = 0},
  [7938] = {.lex_state = 193},
  [7939] = {.lex_state = 193},
  [7940] = {.lex_state = 335},
  [7941] = {.lex_state = 0, .external_lex_state = 3},
  [7942] = {.lex_state = 335},
  [7943] = {.lex_state = 0},
  [7944] = {.lex_state = 0},
  [7945] = {.lex_state = 0},
  [7946] = {.lex_state = 112},
  [7947] = {.lex_state = 193},
  [7948] = {.lex_state = 179},
  [7949] = {.lex_state = 0},
  [7950] = {.lex_state = 179},
  [7951] = {.lex_state = 0},
  [7952] = {.lex_state = 0},
  [7953] = {.lex_state = 335},
  [7954] = {.lex_state = 335},
  [7955] = {.lex_state = 335},
  [7956] = {.lex_state = 0},
  [7957] = {.lex_state = 335},
  [7958] = {.lex_state = 112},
  [7959] = {.lex_state = 193},
  [7960] = {.lex_state = 193},
  [7961] = {.lex_state = 0},
  [7962] = {.lex_state = 335},
  [7963] = {.lex_state = 0},
  [7964] = {.lex_state = 0},
  [7965] = {.lex_state = 335},
  [7966] = {.lex_state = 0, .external_lex_state = 3},
  [7967] = {.lex_state = 0},
  [7968] = {.lex_state = 0},
  [7969] = {.lex_state = 0},
  [7970] = {.lex_state = 0},
  [7971] = {.lex_state = 0},
  [7972] = {.lex_state = 179},
  [7973] = {.lex_state = 171},
  [7974] = {.lex_state = 335},
  [7975] = {.lex_state = 335},
  [7976] = {.lex_state = 335},
  [7977] = {.lex_state = 193},
  [7978] = {.lex_state = 335},
  [7979] = {.lex_state = 193},
  [7980] = {.lex_state = 179},
  [7981] = {.lex_state = 193},
  [7982] = {.lex_state = 335},
  [7983] = {.lex_state = 171},
  [7984] = {.lex_state = 0},
  [7985] = {.lex_state = 335},
  [7986] = {.lex_state = 0, .external_lex_state = 3},
  [7987] = {.lex_state = 0},
  [7988] = {.lex_state = 179},
  [7989] = {.lex_state = 112},
  [7990] = {.lex_state = 112},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 179},
  [7993] = {.lex_state = 171},
  [7994] = {.lex_state = 335},
  [7995] = {.lex_state = 335},
  [7996] = {.lex_state = 335},
  [7997] = {.lex_state = 0},
  [7998] = {.lex_state = 335},
  [7999] = {.lex_state = 193},
  [8000] = {.lex_state = 0},
  [8001] = {.lex_state = 335},
  [8002] = {.lex_state = 0},
  [8003] = {.lex_state = 0},
  [8004] = {.lex_state = 335},
  [8005] = {.lex_state = 0, .external_lex_state = 3},
  [8006] = {.lex_state = 0},
  [8007] = {.lex_state = 0},
  [8008] = {.lex_state = 0},
  [8009] = {.lex_state = 0},
  [8010] = {.lex_state = 0},
  [8011] = {.lex_state = 179},
  [8012] = {.lex_state = 0},
  [8013] = {.lex_state = 335},
  [8014] = {.lex_state = 0},
  [8015] = {.lex_state = 335},
  [8016] = {.lex_state = 335},
  [8017] = {.lex_state = 171},
  [8018] = {.lex_state = 0},
  [8019] = {.lex_state = 0},
  [8020] = {.lex_state = 335},
  [8021] = {.lex_state = 0, .external_lex_state = 3},
  [8022] = {.lex_state = 0},
  [8023] = {.lex_state = 0},
  [8024] = {.lex_state = 0},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 335},
  [8027] = {.lex_state = 335},
  [8028] = {.lex_state = 335},
  [8029] = {.lex_state = 0},
  [8030] = {.lex_state = 0, .external_lex_state = 3},
  [8031] = {.lex_state = 193},
  [8032] = {.lex_state = 0},
  [8033] = {.lex_state = 0},
  [8034] = {.lex_state = 0},
  [8035] = {.lex_state = 335},
  [8036] = {.lex_state = 335},
  [8037] = {.lex_state = 0},
  [8038] = {.lex_state = 0, .external_lex_state = 3},
  [8039] = {.lex_state = 335},
  [8040] = {.lex_state = 0},
  [8041] = {.lex_state = 335},
  [8042] = {.lex_state = 335},
  [8043] = {.lex_state = 0, .external_lex_state = 3},
  [8044] = {.lex_state = 0},
  [8045] = {.lex_state = 0, .external_lex_state = 3},
  [8046] = {.lex_state = 0},
  [8047] = {.lex_state = 0, .external_lex_state = 3},
  [8048] = {.lex_state = 0},
  [8049] = {.lex_state = 0, .external_lex_state = 3},
  [8050] = {.lex_state = 0},
  [8051] = {.lex_state = 0, .external_lex_state = 3},
  [8052] = {.lex_state = 0},
  [8053] = {.lex_state = 0, .external_lex_state = 3},
  [8054] = {.lex_state = 0},
  [8055] = {.lex_state = 0, .external_lex_state = 3},
  [8056] = {.lex_state = 0},
  [8057] = {.lex_state = 0, .external_lex_state = 3},
  [8058] = {.lex_state = 0},
  [8059] = {.lex_state = 335},
  [8060] = {.lex_state = 0},
  [8061] = {.lex_state = 335},
  [8062] = {.lex_state = 335},
  [8063] = {.lex_state = 193},
  [8064] = {.lex_state = 0},
  [8065] = {.lex_state = 0},
  [8066] = {.lex_state = 0},
  [8067] = {.lex_state = 0},
  [8068] = {.lex_state = 0},
  [8069] = {.lex_state = 193},
  [8070] = {.lex_state = 0},
  [8071] = {.lex_state = 206},
  [8072] = {.lex_state = 238},
  [8073] = {.lex_state = 0},
  [8074] = {.lex_state = 0},
  [8075] = {.lex_state = 0},
  [8076] = {.lex_state = 335},
  [8077] = {.lex_state = 0},
  [8078] = {.lex_state = 193},
  [8079] = {.lex_state = 0, .external_lex_state = 3},
  [8080] = {.lex_state = 193},
  [8081] = {.lex_state = 335},
  [8082] = {.lex_state = 335},
  [8083] = {.lex_state = 0},
  [8084] = {.lex_state = 0},
  [8085] = {.lex_state = 0},
  [8086] = {.lex_state = 193},
  [8087] = {.lex_state = 0},
  [8088] = {.lex_state = 0},
  [8089] = {.lex_state = 0},
  [8090] = {.lex_state = 193},
  [8091] = {.lex_state = 171},
  [8092] = {.lex_state = 0},
  [8093] = {.lex_state = 193},
  [8094] = {.lex_state = 335},
  [8095] = {.lex_state = 0},
  [8096] = {.lex_state = 0},
  [8097] = {.lex_state = 169},
  [8098] = {.lex_state = 112},
  [8099] = {.lex_state = 193},
  [8100] = {.lex_state = 335},
  [8101] = {.lex_state = 0},
  [8102] = {.lex_state = 0},
  [8103] = {.lex_state = 171},
  [8104] = {.lex_state = 0},
  [8105] = {.lex_state = 179},
  [8106] = {.lex_state = 0},
  [8107] = {.lex_state = 169},
  [8108] = {.lex_state = 172},
  [8109] = {.lex_state = 179},
  [8110] = {.lex_state = 0},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 169},
  [8113] = {.lex_state = 0},
  [8114] = {.lex_state = 0},
  [8115] = {.lex_state = 0},
  [8116] = {.lex_state = 335},
  [8117] = {.lex_state = 169},
  [8118] = {.lex_state = 172},
  [8119] = {.lex_state = 335},
  [8120] = {.lex_state = 112},
  [8121] = {.lex_state = 0},
  [8122] = {.lex_state = 0},
  [8123] = {.lex_state = 0},
  [8124] = {.lex_state = 0},
  [8125] = {.lex_state = 335},
  [8126] = {.lex_state = 0},
  [8127] = {.lex_state = 0},
  [8128] = {.lex_state = 193},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 0},
  [8131] = {.lex_state = 0},
  [8132] = {.lex_state = 0},
  [8133] = {.lex_state = 171},
  [8134] = {.lex_state = 0},
  [8135] = {.lex_state = 0},
  [8136] = {.lex_state = 0},
  [8137] = {.lex_state = 193},
  [8138] = {.lex_state = 179},
  [8139] = {.lex_state = 193},
  [8140] = {.lex_state = 193},
  [8141] = {.lex_state = 335},
  [8142] = {.lex_state = 335},
  [8143] = {.lex_state = 193},
  [8144] = {.lex_state = 0},
  [8145] = {.lex_state = 193},
  [8146] = {.lex_state = 193},
  [8147] = {.lex_state = 193},
  [8148] = {.lex_state = 0, .external_lex_state = 3},
  [8149] = {.lex_state = 193},
  [8150] = {.lex_state = 0},
  [8151] = {.lex_state = 112},
  [8152] = {.lex_state = 335},
  [8153] = {.lex_state = 335},
  [8154] = {.lex_state = 193},
  [8155] = {.lex_state = 171},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 193},
  [8158] = {.lex_state = 0, .external_lex_state = 3},
  [8159] = {.lex_state = 0},
  [8160] = {.lex_state = 0},
  [8161] = {.lex_state = 0},
  [8162] = {.lex_state = 335},
  [8163] = {.lex_state = 193},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 112},
  [8166] = {.lex_state = 193},
  [8167] = {.lex_state = 0, .external_lex_state = 3},
  [8168] = {.lex_state = 0},
  [8169] = {.lex_state = 0},
  [8170] = {.lex_state = 335},
  [8171] = {.lex_state = 193},
  [8172] = {.lex_state = 112},
  [8173] = {.lex_state = 171},
  [8174] = {.lex_state = 193},
  [8175] = {.lex_state = 0, .external_lex_state = 3},
  [8176] = {.lex_state = 0},
  [8177] = {.lex_state = 193},
  [8178] = {.lex_state = 335},
  [8179] = {.lex_state = 193},
  [8180] = {.lex_state = 0},
  [8181] = {.lex_state = 193},
  [8182] = {.lex_state = 0, .external_lex_state = 3},
  [8183] = {.lex_state = 335},
  [8184] = {.lex_state = 171},
  [8185] = {.lex_state = 193},
  [8186] = {.lex_state = 0, .external_lex_state = 3},
  [8187] = {.lex_state = 0},
  [8188] = {.lex_state = 335},
  [8189] = {.lex_state = 0, .external_lex_state = 3},
  [8190] = {.lex_state = 0},
  [8191] = {.lex_state = 0, .external_lex_state = 3},
  [8192] = {.lex_state = 0},
  [8193] = {.lex_state = 0, .external_lex_state = 3},
  [8194] = {.lex_state = 0},
  [8195] = {.lex_state = 0, .external_lex_state = 3},
  [8196] = {.lex_state = 193},
  [8197] = {.lex_state = 0, .external_lex_state = 3},
  [8198] = {.lex_state = 0},
  [8199] = {.lex_state = 0, .external_lex_state = 3},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 0, .external_lex_state = 3},
  [8202] = {.lex_state = 0},
  [8203] = {.lex_state = 0, .external_lex_state = 3},
  [8204] = {.lex_state = 171},
  [8205] = {.lex_state = 0, .external_lex_state = 3},
  [8206] = {.lex_state = 335},
  [8207] = {.lex_state = 335},
  [8208] = {.lex_state = 0},
  [8209] = {.lex_state = 335},
  [8210] = {.lex_state = 335},
  [8211] = {.lex_state = 171},
  [8212] = {.lex_state = 335},
  [8213] = {.lex_state = 335},
  [8214] = {.lex_state = 193},
  [8215] = {.lex_state = 335},
  [8216] = {.lex_state = 335},
  [8217] = {.lex_state = 193},
  [8218] = {.lex_state = 335},
  [8219] = {.lex_state = 335},
  [8220] = {.lex_state = 112},
  [8221] = {.lex_state = 335},
  [8222] = {.lex_state = 335},
  [8223] = {.lex_state = 335},
  [8224] = {.lex_state = 335},
  [8225] = {.lex_state = 335},
  [8226] = {.lex_state = 335},
  [8227] = {.lex_state = 335},
  [8228] = {.lex_state = 335},
  [8229] = {.lex_state = 335},
  [8230] = {.lex_state = 335},
  [8231] = {.lex_state = 335},
  [8232] = {.lex_state = 0},
  [8233] = {.lex_state = 0},
  [8234] = {.lex_state = 335},
  [8235] = {.lex_state = 193},
  [8236] = {.lex_state = 0},
  [8237] = {.lex_state = 335},
  [8238] = {.lex_state = 335},
  [8239] = {.lex_state = 335},
  [8240] = {.lex_state = 335},
  [8241] = {.lex_state = 335},
  [8242] = {.lex_state = 171},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [sym_virtual] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(7766),
    [sym__top_level_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4355),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1827),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5908),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2633),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(719),
    [sym__top_level_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym__top_level_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_expression] = STATE(4465),
    [sym__string] = STATE(4572),
    [sym_conditional_expression] = STATE(4572),
    [sym_assignment_expression] = STATE(4572),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4572),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(4572),
    [sym_cast_expression] = STATE(4572),
    [sym_sizeof_expression] = STATE(4572),
    [sym_alignof_expression] = STATE(4572),
    [sym_offsetof_expression] = STATE(4572),
    [sym_generic_expression] = STATE(4572),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4572),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4572),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(4572),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1630),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(6298),
    [sym__constructor_specifiers] = STATE(1630),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4485),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3655),
    [sym_co_await_expression] = STATE(4572),
    [sym_new_expression] = STATE(4572),
    [sym_delete_expression] = STATE(4572),
    [sym_requires_clause] = STATE(4572),
    [sym_requires_expression] = STATE(4572),
    [sym_lambda_expression] = STATE(4572),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(4572),
    [sym_parameter_pack_expansion] = STATE(4572),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3420),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6298),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym_translation_unit_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1630),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(115),
    [sym_false] = ACTIONS(115),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(115),
  },
  [2] = {
    [sym__block_item] = STATE(51),
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(51),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4024),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7015),
    [sym_initializer_pair] = STATE(7015),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [3] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4024),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7015),
    [sym_initializer_pair] = STATE(7015),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [4] = {
    [sym__block_item] = STATE(48),
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(48),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4024),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7015),
    [sym_initializer_pair] = STATE(7015),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [5] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4024),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7015),
    [sym_initializer_pair] = STATE(7015),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [6] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4024),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7015),
    [sym_initializer_pair] = STATE(7015),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [7] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4024),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7015),
    [sym_initializer_pair] = STATE(7015),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [8] = {
    [sym__block_item] = STATE(49),
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(49),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4024),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7015),
    [sym_initializer_pair] = STATE(7015),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [9] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4024),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7015),
    [sym_initializer_pair] = STATE(7015),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [10] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4024),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7015),
    [sym_initializer_pair] = STATE(7015),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [11] = {
    [sym__block_item] = STATE(51),
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(51),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4024),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7015),
    [sym_initializer_pair] = STATE(7015),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [12] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4024),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7015),
    [sym_initializer_pair] = STATE(7015),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [13] = {
    [sym__block_item] = STATE(14),
    [sym_preproc_include] = STATE(14),
    [sym_preproc_def] = STATE(14),
    [sym_preproc_function_def] = STATE(14),
    [sym_preproc_call] = STATE(14),
    [sym_preproc_if] = STATE(14),
    [sym_preproc_ifdef] = STATE(14),
    [sym_preproc_else] = STATE(7918),
    [sym_preproc_elif] = STATE(7918),
    [sym_preproc_elifdef] = STATE(7918),
    [sym_function_definition] = STATE(14),
    [sym_declaration] = STATE(14),
    [sym_type_definition] = STATE(14),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(14),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(14),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(14),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(14),
    [sym_template_instantiation] = STATE(14),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(14),
    [sym_operator_cast_declaration] = STATE(14),
    [sym_constructor_or_destructor_definition] = STATE(14),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(14),
    [sym_namespace_alias_definition] = STATE(14),
    [sym_using_declaration] = STATE(14),
    [sym_alias_declaration] = STATE(14),
    [sym_static_assert_declaration] = STATE(14),
    [sym_concept_definition] = STATE(14),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(14),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [14] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8173),
    [sym_preproc_elif] = STATE(8173),
    [sym_preproc_elifdef] = STATE(8173),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [15] = {
    [sym__block_item] = STATE(17),
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(8211),
    [sym_preproc_elif] = STATE(8211),
    [sym_preproc_elifdef] = STATE(8211),
    [sym_function_definition] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(17),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(17),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(17),
    [sym_template_instantiation] = STATE(17),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(17),
    [sym_operator_cast_declaration] = STATE(17),
    [sym_constructor_or_destructor_definition] = STATE(17),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(17),
    [sym_namespace_alias_definition] = STATE(17),
    [sym_using_declaration] = STATE(17),
    [sym_alias_declaration] = STATE(17),
    [sym_static_assert_declaration] = STATE(17),
    [sym_concept_definition] = STATE(17),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(337),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [16] = {
    [sym__block_item] = STATE(18),
    [sym_preproc_include] = STATE(18),
    [sym_preproc_def] = STATE(18),
    [sym_preproc_function_def] = STATE(18),
    [sym_preproc_call] = STATE(18),
    [sym_preproc_if] = STATE(18),
    [sym_preproc_ifdef] = STATE(18),
    [sym_preproc_else] = STATE(7606),
    [sym_preproc_elif] = STATE(7606),
    [sym_preproc_elifdef] = STATE(7606),
    [sym_function_definition] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_type_definition] = STATE(18),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(18),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(18),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(18),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(18),
    [sym_template_instantiation] = STATE(18),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(18),
    [sym_operator_cast_declaration] = STATE(18),
    [sym_constructor_or_destructor_definition] = STATE(18),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(18),
    [sym_namespace_alias_definition] = STATE(18),
    [sym_using_declaration] = STATE(18),
    [sym_alias_declaration] = STATE(18),
    [sym_static_assert_declaration] = STATE(18),
    [sym_concept_definition] = STATE(18),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(18),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [17] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7621),
    [sym_preproc_elif] = STATE(7621),
    [sym_preproc_elifdef] = STATE(7621),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [18] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7674),
    [sym_preproc_elif] = STATE(7674),
    [sym_preproc_elifdef] = STATE(7674),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [19] = {
    [sym__block_item] = STATE(23),
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(7983),
    [sym_preproc_elif] = STATE(7983),
    [sym_preproc_elifdef] = STATE(7983),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(23),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(23),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(23),
    [sym_template_instantiation] = STATE(23),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(23),
    [sym_operator_cast_declaration] = STATE(23),
    [sym_constructor_or_destructor_definition] = STATE(23),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(23),
    [sym_namespace_alias_definition] = STATE(23),
    [sym_using_declaration] = STATE(23),
    [sym_alias_declaration] = STATE(23),
    [sym_static_assert_declaration] = STATE(23),
    [sym_concept_definition] = STATE(23),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [20] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(7554),
    [sym_preproc_elif] = STATE(7554),
    [sym_preproc_elifdef] = STATE(7554),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(22),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(22),
    [sym_template_instantiation] = STATE(22),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(22),
    [sym_operator_cast_declaration] = STATE(22),
    [sym_constructor_or_destructor_definition] = STATE(22),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(22),
    [sym_namespace_alias_definition] = STATE(22),
    [sym_using_declaration] = STATE(22),
    [sym_alias_declaration] = STATE(22),
    [sym_static_assert_declaration] = STATE(22),
    [sym_concept_definition] = STATE(22),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [21] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(7901),
    [sym_preproc_elif] = STATE(7901),
    [sym_preproc_elifdef] = STATE(7901),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(24),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(24),
    [sym_template_instantiation] = STATE(24),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(24),
    [sym_operator_cast_declaration] = STATE(24),
    [sym_constructor_or_destructor_definition] = STATE(24),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(24),
    [sym_namespace_alias_definition] = STATE(24),
    [sym_using_declaration] = STATE(24),
    [sym_alias_declaration] = STATE(24),
    [sym_static_assert_declaration] = STATE(24),
    [sym_concept_definition] = STATE(24),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [22] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7993),
    [sym_preproc_elif] = STATE(7993),
    [sym_preproc_elifdef] = STATE(7993),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [23] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7433),
    [sym_preproc_elif] = STATE(7433),
    [sym_preproc_elifdef] = STATE(7433),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [24] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8017),
    [sym_preproc_elif] = STATE(8017),
    [sym_preproc_elifdef] = STATE(8017),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [25] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7622),
    [sym_preproc_elif] = STATE(7622),
    [sym_preproc_elifdef] = STATE(7622),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [26] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7444),
    [sym_preproc_elif] = STATE(7444),
    [sym_preproc_elifdef] = STATE(7444),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [27] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(7699),
    [sym_preproc_elif] = STATE(7699),
    [sym_preproc_elifdef] = STATE(7699),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [28] = {
    [sym__block_item] = STATE(29),
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(7687),
    [sym_preproc_elif] = STATE(7687),
    [sym_preproc_elifdef] = STATE(7687),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(29),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(29),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(29),
    [sym_template_instantiation] = STATE(29),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(29),
    [sym_operator_cast_declaration] = STATE(29),
    [sym_constructor_or_destructor_definition] = STATE(29),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(29),
    [sym_namespace_alias_definition] = STATE(29),
    [sym_using_declaration] = STATE(29),
    [sym_alias_declaration] = STATE(29),
    [sym_static_assert_declaration] = STATE(29),
    [sym_concept_definition] = STATE(29),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [29] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8204),
    [sym_preproc_elif] = STATE(8204),
    [sym_preproc_elifdef] = STATE(8204),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [30] = {
    [sym__block_item] = STATE(25),
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(7442),
    [sym_preproc_elif] = STATE(7442),
    [sym_preproc_elifdef] = STATE(7442),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(25),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [31] = {
    [sym__block_item] = STATE(27),
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(7449),
    [sym_preproc_elif] = STATE(7449),
    [sym_preproc_elifdef] = STATE(7449),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(27),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(27),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(27),
    [sym_template_instantiation] = STATE(27),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(27),
    [sym_operator_cast_declaration] = STATE(27),
    [sym_constructor_or_destructor_definition] = STATE(27),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(27),
    [sym_namespace_alias_definition] = STATE(27),
    [sym_using_declaration] = STATE(27),
    [sym_alias_declaration] = STATE(27),
    [sym_static_assert_declaration] = STATE(27),
    [sym_concept_definition] = STATE(27),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [32] = {
    [sym__block_item] = STATE(26),
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(7616),
    [sym_preproc_elif] = STATE(7616),
    [sym_preproc_elifdef] = STATE(7616),
    [sym_function_definition] = STATE(26),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(26),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(26),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(26),
    [sym_template_instantiation] = STATE(26),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(26),
    [sym_operator_cast_declaration] = STATE(26),
    [sym_constructor_or_destructor_definition] = STATE(26),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(26),
    [sym_namespace_alias_definition] = STATE(26),
    [sym_using_declaration] = STATE(26),
    [sym_alias_declaration] = STATE(26),
    [sym_static_assert_declaration] = STATE(26),
    [sym_concept_definition] = STATE(26),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(259),
    [aux_sym_preproc_include_token1] = ACTIONS(261),
    [aux_sym_preproc_def_token1] = ACTIONS(263),
    [aux_sym_preproc_if_token1] = ACTIONS(265),
    [aux_sym_preproc_if_token2] = ACTIONS(371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(271),
    [aux_sym_preproc_elif_token1] = ACTIONS(273),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(275),
    [sym_preproc_directive] = ACTIONS(277),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(285),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(289),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(317),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(325),
    [anon_sym_static_assert] = ACTIONS(327),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [33] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5869),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(232),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(325),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1637),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1637),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1637),
    [sym_identifier] = ACTIONS(373),
    [aux_sym_preproc_include_token1] = ACTIONS(376),
    [aux_sym_preproc_def_token1] = ACTIONS(379),
    [aux_sym_preproc_if_token1] = ACTIONS(382),
    [aux_sym_preproc_if_token2] = ACTIONS(385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(387),
    [aux_sym_preproc_else_token1] = ACTIONS(385),
    [aux_sym_preproc_elif_token1] = ACTIONS(385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(385),
    [sym_preproc_directive] = ACTIONS(390),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(414),
    [anon_sym___extension__] = ACTIONS(417),
    [anon_sym_typedef] = ACTIONS(420),
    [anon_sym_extern] = ACTIONS(423),
    [anon_sym___attribute__] = ACTIONS(426),
    [anon_sym_COLON_COLON] = ACTIONS(429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(432),
    [anon_sym___declspec] = ACTIONS(435),
    [anon_sym___based] = ACTIONS(438),
    [anon_sym___cdecl] = ACTIONS(441),
    [anon_sym___clrcall] = ACTIONS(441),
    [anon_sym___stdcall] = ACTIONS(441),
    [anon_sym___fastcall] = ACTIONS(441),
    [anon_sym___thiscall] = ACTIONS(441),
    [anon_sym___vectorcall] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(444),
    [anon_sym_signed] = ACTIONS(447),
    [anon_sym_unsigned] = ACTIONS(447),
    [anon_sym_long] = ACTIONS(447),
    [anon_sym_short] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(450),
    [anon_sym_static] = ACTIONS(453),
    [anon_sym_register] = ACTIONS(453),
    [anon_sym_inline] = ACTIONS(456),
    [anon_sym___inline] = ACTIONS(453),
    [anon_sym___inline__] = ACTIONS(453),
    [anon_sym___forceinline] = ACTIONS(453),
    [anon_sym_thread_local] = ACTIONS(453),
    [anon_sym___thread] = ACTIONS(453),
    [anon_sym_const] = ACTIONS(459),
    [anon_sym_constexpr] = ACTIONS(459),
    [anon_sym_volatile] = ACTIONS(459),
    [anon_sym_restrict] = ACTIONS(459),
    [anon_sym___restrict__] = ACTIONS(459),
    [anon_sym__Atomic] = ACTIONS(459),
    [anon_sym__Noreturn] = ACTIONS(459),
    [anon_sym_noreturn] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(459),
    [anon_sym_constinit] = ACTIONS(459),
    [anon_sym_consteval] = ACTIONS(459),
    [anon_sym_alignas] = ACTIONS(462),
    [anon_sym__Alignas] = ACTIONS(462),
    [sym_primitive_type] = ACTIONS(465),
    [anon_sym_enum] = ACTIONS(468),
    [anon_sym_class] = ACTIONS(471),
    [anon_sym_struct] = ACTIONS(474),
    [anon_sym_union] = ACTIONS(477),
    [anon_sym_if] = ACTIONS(480),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_case] = ACTIONS(486),
    [anon_sym_default] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(492),
    [anon_sym_do] = ACTIONS(495),
    [anon_sym_for] = ACTIONS(498),
    [anon_sym_return] = ACTIONS(501),
    [anon_sym_break] = ACTIONS(504),
    [anon_sym_continue] = ACTIONS(507),
    [anon_sym_goto] = ACTIONS(510),
    [anon_sym___try] = ACTIONS(513),
    [anon_sym___leave] = ACTIONS(516),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(519),
    [anon_sym_PLUS_PLUS] = ACTIONS(519),
    [anon_sym_sizeof] = ACTIONS(522),
    [anon_sym___alignof__] = ACTIONS(525),
    [anon_sym___alignof] = ACTIONS(525),
    [anon_sym__alignof] = ACTIONS(525),
    [anon_sym_alignof] = ACTIONS(525),
    [anon_sym__Alignof] = ACTIONS(525),
    [anon_sym_offsetof] = ACTIONS(528),
    [anon_sym__Generic] = ACTIONS(531),
    [anon_sym_asm] = ACTIONS(534),
    [anon_sym___asm__] = ACTIONS(534),
    [sym_number_literal] = ACTIONS(537),
    [anon_sym_L_SQUOTE] = ACTIONS(540),
    [anon_sym_u_SQUOTE] = ACTIONS(540),
    [anon_sym_U_SQUOTE] = ACTIONS(540),
    [anon_sym_u8_SQUOTE] = ACTIONS(540),
    [anon_sym_SQUOTE] = ACTIONS(540),
    [anon_sym_L_DQUOTE] = ACTIONS(543),
    [anon_sym_u_DQUOTE] = ACTIONS(543),
    [anon_sym_U_DQUOTE] = ACTIONS(543),
    [anon_sym_u8_DQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(543),
    [sym_true] = ACTIONS(546),
    [sym_false] = ACTIONS(546),
    [anon_sym_NULL] = ACTIONS(549),
    [anon_sym_nullptr] = ACTIONS(549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(552),
    [anon_sym_decltype] = ACTIONS(555),
    [sym_virtual] = ACTIONS(558),
    [anon_sym_explicit] = ACTIONS(561),
    [anon_sym_typename] = ACTIONS(564),
    [anon_sym_template] = ACTIONS(567),
    [anon_sym_operator] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(573),
    [anon_sym_delete] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(579),
    [anon_sym_namespace] = ACTIONS(582),
    [anon_sym_using] = ACTIONS(585),
    [anon_sym_static_assert] = ACTIONS(588),
    [anon_sym_concept] = ACTIONS(591),
    [anon_sym_co_return] = ACTIONS(594),
    [anon_sym_co_yield] = ACTIONS(597),
    [anon_sym_R_DQUOTE] = ACTIONS(600),
    [anon_sym_LR_DQUOTE] = ACTIONS(600),
    [anon_sym_uR_DQUOTE] = ACTIONS(600),
    [anon_sym_UR_DQUOTE] = ACTIONS(600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(600),
    [anon_sym_co_await] = ACTIONS(603),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_requires] = ACTIONS(609),
    [sym_this] = ACTIONS(546),
  },
  [34] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(616),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [35] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4433),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1853),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5862),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(472),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2644),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(634),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(472),
    [sym_expression_statement] = STATE(472),
    [sym_if_statement] = STATE(472),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(472),
    [sym_while_statement] = STATE(472),
    [sym_do_statement] = STATE(472),
    [sym_for_statement] = STATE(472),
    [sym_return_statement] = STATE(472),
    [sym_break_statement] = STATE(472),
    [sym_continue_statement] = STATE(472),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(472),
    [sym_seh_leave_statement] = STATE(472),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1631),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6288),
    [sym__constructor_specifiers] = STATE(1631),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(472),
    [sym_co_yield_statement] = STATE(472),
    [sym_throw_statement] = STATE(472),
    [sym_try_statement] = STATE(472),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6288),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1631),
    [sym_identifier] = ACTIONS(618),
    [aux_sym_preproc_include_token1] = ACTIONS(621),
    [aux_sym_preproc_def_token1] = ACTIONS(624),
    [aux_sym_preproc_if_token1] = ACTIONS(627),
    [aux_sym_preproc_if_token2] = ACTIONS(385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(630),
    [sym_preproc_directive] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(636),
    [anon_sym___extension__] = ACTIONS(639),
    [anon_sym_typedef] = ACTIONS(642),
    [anon_sym_extern] = ACTIONS(645),
    [anon_sym___attribute__] = ACTIONS(426),
    [anon_sym_COLON_COLON] = ACTIONS(429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(432),
    [anon_sym___declspec] = ACTIONS(435),
    [anon_sym___based] = ACTIONS(438),
    [anon_sym___cdecl] = ACTIONS(441),
    [anon_sym___clrcall] = ACTIONS(441),
    [anon_sym___stdcall] = ACTIONS(441),
    [anon_sym___fastcall] = ACTIONS(441),
    [anon_sym___thiscall] = ACTIONS(441),
    [anon_sym___vectorcall] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(648),
    [anon_sym_signed] = ACTIONS(447),
    [anon_sym_unsigned] = ACTIONS(447),
    [anon_sym_long] = ACTIONS(447),
    [anon_sym_short] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(450),
    [anon_sym_static] = ACTIONS(453),
    [anon_sym_register] = ACTIONS(453),
    [anon_sym_inline] = ACTIONS(651),
    [anon_sym___inline] = ACTIONS(453),
    [anon_sym___inline__] = ACTIONS(453),
    [anon_sym___forceinline] = ACTIONS(453),
    [anon_sym_thread_local] = ACTIONS(453),
    [anon_sym___thread] = ACTIONS(453),
    [anon_sym_const] = ACTIONS(459),
    [anon_sym_constexpr] = ACTIONS(459),
    [anon_sym_volatile] = ACTIONS(459),
    [anon_sym_restrict] = ACTIONS(459),
    [anon_sym___restrict__] = ACTIONS(459),
    [anon_sym__Atomic] = ACTIONS(459),
    [anon_sym__Noreturn] = ACTIONS(459),
    [anon_sym_noreturn] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(459),
    [anon_sym_constinit] = ACTIONS(459),
    [anon_sym_consteval] = ACTIONS(459),
    [anon_sym_alignas] = ACTIONS(462),
    [anon_sym__Alignas] = ACTIONS(462),
    [sym_primitive_type] = ACTIONS(465),
    [anon_sym_enum] = ACTIONS(468),
    [anon_sym_class] = ACTIONS(471),
    [anon_sym_struct] = ACTIONS(474),
    [anon_sym_union] = ACTIONS(477),
    [anon_sym_if] = ACTIONS(654),
    [anon_sym_switch] = ACTIONS(657),
    [anon_sym_case] = ACTIONS(660),
    [anon_sym_default] = ACTIONS(663),
    [anon_sym_while] = ACTIONS(666),
    [anon_sym_do] = ACTIONS(669),
    [anon_sym_for] = ACTIONS(672),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_break] = ACTIONS(678),
    [anon_sym_continue] = ACTIONS(681),
    [anon_sym_goto] = ACTIONS(684),
    [anon_sym___try] = ACTIONS(687),
    [anon_sym___leave] = ACTIONS(690),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(519),
    [anon_sym_PLUS_PLUS] = ACTIONS(519),
    [anon_sym_sizeof] = ACTIONS(522),
    [anon_sym___alignof__] = ACTIONS(525),
    [anon_sym___alignof] = ACTIONS(525),
    [anon_sym__alignof] = ACTIONS(525),
    [anon_sym_alignof] = ACTIONS(525),
    [anon_sym__Alignof] = ACTIONS(525),
    [anon_sym_offsetof] = ACTIONS(528),
    [anon_sym__Generic] = ACTIONS(531),
    [anon_sym_asm] = ACTIONS(534),
    [anon_sym___asm__] = ACTIONS(534),
    [sym_number_literal] = ACTIONS(537),
    [anon_sym_L_SQUOTE] = ACTIONS(540),
    [anon_sym_u_SQUOTE] = ACTIONS(540),
    [anon_sym_U_SQUOTE] = ACTIONS(540),
    [anon_sym_u8_SQUOTE] = ACTIONS(540),
    [anon_sym_SQUOTE] = ACTIONS(540),
    [anon_sym_L_DQUOTE] = ACTIONS(543),
    [anon_sym_u_DQUOTE] = ACTIONS(543),
    [anon_sym_U_DQUOTE] = ACTIONS(543),
    [anon_sym_u8_DQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(543),
    [sym_true] = ACTIONS(546),
    [sym_false] = ACTIONS(546),
    [anon_sym_NULL] = ACTIONS(549),
    [anon_sym_nullptr] = ACTIONS(549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(552),
    [anon_sym_decltype] = ACTIONS(555),
    [sym_virtual] = ACTIONS(558),
    [anon_sym_explicit] = ACTIONS(561),
    [anon_sym_typename] = ACTIONS(564),
    [anon_sym_template] = ACTIONS(693),
    [anon_sym_operator] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(696),
    [anon_sym_delete] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(702),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_static_assert] = ACTIONS(708),
    [anon_sym_concept] = ACTIONS(711),
    [anon_sym_co_return] = ACTIONS(714),
    [anon_sym_co_yield] = ACTIONS(717),
    [anon_sym_R_DQUOTE] = ACTIONS(600),
    [anon_sym_LR_DQUOTE] = ACTIONS(600),
    [anon_sym_uR_DQUOTE] = ACTIONS(600),
    [anon_sym_UR_DQUOTE] = ACTIONS(600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(600),
    [anon_sym_co_await] = ACTIONS(603),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_requires] = ACTIONS(609),
    [sym_this] = ACTIONS(546),
  },
  [36] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(720),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [37] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(722),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [38] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(724),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [39] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(726),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [40] = {
    [sym__block_item] = STATE(48),
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(48),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(728),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [41] = {
    [sym__block_item] = STATE(63),
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4433),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1853),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5862),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(472),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2644),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(634),
    [sym_statement] = STATE(63),
    [sym_labeled_statement] = STATE(472),
    [sym_expression_statement] = STATE(472),
    [sym_if_statement] = STATE(472),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(472),
    [sym_while_statement] = STATE(472),
    [sym_do_statement] = STATE(472),
    [sym_for_statement] = STATE(472),
    [sym_return_statement] = STATE(472),
    [sym_break_statement] = STATE(472),
    [sym_continue_statement] = STATE(472),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(472),
    [sym_seh_leave_statement] = STATE(472),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1631),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(6288),
    [sym__constructor_specifiers] = STATE(1631),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(472),
    [sym_co_yield_statement] = STATE(472),
    [sym_throw_statement] = STATE(472),
    [sym_try_statement] = STATE(472),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6288),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1631),
    [sym_identifier] = ACTIONS(730),
    [aux_sym_preproc_include_token1] = ACTIONS(732),
    [aux_sym_preproc_def_token1] = ACTIONS(734),
    [aux_sym_preproc_if_token1] = ACTIONS(736),
    [aux_sym_preproc_if_token2] = ACTIONS(738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(740),
    [sym_preproc_directive] = ACTIONS(742),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym___extension__] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(750),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(754),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(782),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_namespace] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(790),
    [anon_sym_static_assert] = ACTIONS(792),
    [anon_sym_concept] = ACTIONS(794),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [42] = {
    [sym__block_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(43),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [43] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(802),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [44] = {
    [sym__block_item] = STATE(45),
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(45),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(45),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(45),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(45),
    [sym_template_instantiation] = STATE(45),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(45),
    [sym_operator_cast_declaration] = STATE(45),
    [sym_constructor_or_destructor_definition] = STATE(45),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(45),
    [sym_namespace_alias_definition] = STATE(45),
    [sym_using_declaration] = STATE(45),
    [sym_alias_declaration] = STATE(45),
    [sym_static_assert_declaration] = STATE(45),
    [sym_concept_definition] = STATE(45),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(45),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(804),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [45] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(806),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [46] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(808),
    [aux_sym_preproc_include_token1] = ACTIONS(811),
    [aux_sym_preproc_def_token1] = ACTIONS(814),
    [aux_sym_preproc_if_token1] = ACTIONS(817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(820),
    [sym_preproc_directive] = ACTIONS(823),
    [anon_sym_LPAREN2] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_AMP_AMP] = ACTIONS(408),
    [anon_sym_AMP] = ACTIONS(411),
    [anon_sym_SEMI] = ACTIONS(826),
    [anon_sym___extension__] = ACTIONS(829),
    [anon_sym_typedef] = ACTIONS(832),
    [anon_sym_extern] = ACTIONS(835),
    [anon_sym___attribute__] = ACTIONS(426),
    [anon_sym_COLON_COLON] = ACTIONS(429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(432),
    [anon_sym___declspec] = ACTIONS(435),
    [anon_sym___based] = ACTIONS(438),
    [anon_sym___cdecl] = ACTIONS(441),
    [anon_sym___clrcall] = ACTIONS(441),
    [anon_sym___stdcall] = ACTIONS(441),
    [anon_sym___fastcall] = ACTIONS(441),
    [anon_sym___thiscall] = ACTIONS(441),
    [anon_sym___vectorcall] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(838),
    [anon_sym_RBRACE] = ACTIONS(841),
    [anon_sym_signed] = ACTIONS(447),
    [anon_sym_unsigned] = ACTIONS(447),
    [anon_sym_long] = ACTIONS(447),
    [anon_sym_short] = ACTIONS(447),
    [anon_sym_LBRACK] = ACTIONS(450),
    [anon_sym_static] = ACTIONS(453),
    [anon_sym_register] = ACTIONS(453),
    [anon_sym_inline] = ACTIONS(843),
    [anon_sym___inline] = ACTIONS(453),
    [anon_sym___inline__] = ACTIONS(453),
    [anon_sym___forceinline] = ACTIONS(453),
    [anon_sym_thread_local] = ACTIONS(453),
    [anon_sym___thread] = ACTIONS(453),
    [anon_sym_const] = ACTIONS(459),
    [anon_sym_constexpr] = ACTIONS(459),
    [anon_sym_volatile] = ACTIONS(459),
    [anon_sym_restrict] = ACTIONS(459),
    [anon_sym___restrict__] = ACTIONS(459),
    [anon_sym__Atomic] = ACTIONS(459),
    [anon_sym__Noreturn] = ACTIONS(459),
    [anon_sym_noreturn] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(459),
    [anon_sym_constinit] = ACTIONS(459),
    [anon_sym_consteval] = ACTIONS(459),
    [anon_sym_alignas] = ACTIONS(462),
    [anon_sym__Alignas] = ACTIONS(462),
    [sym_primitive_type] = ACTIONS(465),
    [anon_sym_enum] = ACTIONS(468),
    [anon_sym_class] = ACTIONS(471),
    [anon_sym_struct] = ACTIONS(474),
    [anon_sym_union] = ACTIONS(477),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(849),
    [anon_sym_case] = ACTIONS(852),
    [anon_sym_default] = ACTIONS(855),
    [anon_sym_while] = ACTIONS(858),
    [anon_sym_do] = ACTIONS(861),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(867),
    [anon_sym_break] = ACTIONS(870),
    [anon_sym_continue] = ACTIONS(873),
    [anon_sym_goto] = ACTIONS(876),
    [anon_sym___try] = ACTIONS(879),
    [anon_sym___leave] = ACTIONS(882),
    [anon_sym_not] = ACTIONS(402),
    [anon_sym_compl] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(519),
    [anon_sym_PLUS_PLUS] = ACTIONS(519),
    [anon_sym_sizeof] = ACTIONS(522),
    [anon_sym___alignof__] = ACTIONS(525),
    [anon_sym___alignof] = ACTIONS(525),
    [anon_sym__alignof] = ACTIONS(525),
    [anon_sym_alignof] = ACTIONS(525),
    [anon_sym__Alignof] = ACTIONS(525),
    [anon_sym_offsetof] = ACTIONS(528),
    [anon_sym__Generic] = ACTIONS(531),
    [anon_sym_asm] = ACTIONS(534),
    [anon_sym___asm__] = ACTIONS(534),
    [sym_number_literal] = ACTIONS(537),
    [anon_sym_L_SQUOTE] = ACTIONS(540),
    [anon_sym_u_SQUOTE] = ACTIONS(540),
    [anon_sym_U_SQUOTE] = ACTIONS(540),
    [anon_sym_u8_SQUOTE] = ACTIONS(540),
    [anon_sym_SQUOTE] = ACTIONS(540),
    [anon_sym_L_DQUOTE] = ACTIONS(543),
    [anon_sym_u_DQUOTE] = ACTIONS(543),
    [anon_sym_U_DQUOTE] = ACTIONS(543),
    [anon_sym_u8_DQUOTE] = ACTIONS(543),
    [anon_sym_DQUOTE] = ACTIONS(543),
    [sym_true] = ACTIONS(546),
    [sym_false] = ACTIONS(546),
    [anon_sym_NULL] = ACTIONS(549),
    [anon_sym_nullptr] = ACTIONS(549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(552),
    [anon_sym_decltype] = ACTIONS(555),
    [sym_virtual] = ACTIONS(558),
    [anon_sym_explicit] = ACTIONS(561),
    [anon_sym_typename] = ACTIONS(564),
    [anon_sym_template] = ACTIONS(885),
    [anon_sym_operator] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(888),
    [anon_sym_delete] = ACTIONS(576),
    [anon_sym_throw] = ACTIONS(891),
    [anon_sym_namespace] = ACTIONS(894),
    [anon_sym_using] = ACTIONS(897),
    [anon_sym_static_assert] = ACTIONS(900),
    [anon_sym_concept] = ACTIONS(903),
    [anon_sym_co_return] = ACTIONS(906),
    [anon_sym_co_yield] = ACTIONS(909),
    [anon_sym_R_DQUOTE] = ACTIONS(600),
    [anon_sym_LR_DQUOTE] = ACTIONS(600),
    [anon_sym_uR_DQUOTE] = ACTIONS(600),
    [anon_sym_UR_DQUOTE] = ACTIONS(600),
    [anon_sym_u8R_DQUOTE] = ACTIONS(600),
    [anon_sym_co_await] = ACTIONS(603),
    [anon_sym_new] = ACTIONS(606),
    [anon_sym_requires] = ACTIONS(609),
    [sym_this] = ACTIONS(546),
  },
  [47] = {
    [sym__block_item] = STATE(49),
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(49),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(912),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [48] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(914),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [49] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(916),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [50] = {
    [sym__block_item] = STATE(79),
    [sym_preproc_include] = STATE(79),
    [sym_preproc_def] = STATE(79),
    [sym_preproc_function_def] = STATE(79),
    [sym_preproc_call] = STATE(79),
    [sym_preproc_if] = STATE(79),
    [sym_preproc_ifdef] = STATE(79),
    [sym_function_definition] = STATE(79),
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(79),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(79),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(79),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(79),
    [sym_template_instantiation] = STATE(79),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(79),
    [sym_operator_cast_declaration] = STATE(79),
    [sym_constructor_or_destructor_definition] = STATE(79),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(79),
    [sym_namespace_alias_definition] = STATE(79),
    [sym_using_declaration] = STATE(79),
    [sym_alias_declaration] = STATE(79),
    [sym_static_assert_declaration] = STATE(79),
    [sym_concept_definition] = STATE(79),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(79),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(918),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [51] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(920),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [52] = {
    [sym__block_item] = STATE(53),
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(53),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(53),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(53),
    [sym_template_instantiation] = STATE(53),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(53),
    [sym_operator_cast_declaration] = STATE(53),
    [sym_constructor_or_destructor_definition] = STATE(53),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(53),
    [sym_namespace_alias_definition] = STATE(53),
    [sym_using_declaration] = STATE(53),
    [sym_alias_declaration] = STATE(53),
    [sym_static_assert_declaration] = STATE(53),
    [sym_concept_definition] = STATE(53),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(922),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [53] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(924),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [54] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(926),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [55] = {
    [sym__block_item] = STATE(56),
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(56),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [56] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(930),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [57] = {
    [sym__block_item] = STATE(58),
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(58),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(932),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [58] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(934),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [59] = {
    [sym__block_item] = STATE(60),
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(60),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(936),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [60] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(938),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [61] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(940),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [62] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(942),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [63] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4433),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1853),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5862),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(472),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2644),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(634),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(472),
    [sym_expression_statement] = STATE(472),
    [sym_if_statement] = STATE(472),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(472),
    [sym_while_statement] = STATE(472),
    [sym_do_statement] = STATE(472),
    [sym_for_statement] = STATE(472),
    [sym_return_statement] = STATE(472),
    [sym_break_statement] = STATE(472),
    [sym_continue_statement] = STATE(472),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(472),
    [sym_seh_leave_statement] = STATE(472),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1631),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(6288),
    [sym__constructor_specifiers] = STATE(1631),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(472),
    [sym_co_yield_statement] = STATE(472),
    [sym_throw_statement] = STATE(472),
    [sym_try_statement] = STATE(472),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6288),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1631),
    [sym_identifier] = ACTIONS(730),
    [aux_sym_preproc_include_token1] = ACTIONS(732),
    [aux_sym_preproc_def_token1] = ACTIONS(734),
    [aux_sym_preproc_if_token1] = ACTIONS(736),
    [aux_sym_preproc_if_token2] = ACTIONS(944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(740),
    [sym_preproc_directive] = ACTIONS(742),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym___extension__] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(750),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(754),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(782),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_namespace] = ACTIONS(788),
    [anon_sym_using] = ACTIONS(790),
    [anon_sym_static_assert] = ACTIONS(792),
    [anon_sym_concept] = ACTIONS(794),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [64] = {
    [sym__block_item] = STATE(65),
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(65),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(946),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [65] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [66] = {
    [sym__block_item] = STATE(67),
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(67),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [67] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(952),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [68] = {
    [sym__block_item] = STATE(69),
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(69),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(954),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [69] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(956),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [70] = {
    [sym__block_item] = STATE(71),
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(71),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [71] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(960),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [72] = {
    [sym__block_item] = STATE(73),
    [sym_preproc_include] = STATE(73),
    [sym_preproc_def] = STATE(73),
    [sym_preproc_function_def] = STATE(73),
    [sym_preproc_call] = STATE(73),
    [sym_preproc_if] = STATE(73),
    [sym_preproc_ifdef] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(73),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(73),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(73),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(73),
    [sym_template_instantiation] = STATE(73),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(73),
    [sym_operator_cast_declaration] = STATE(73),
    [sym_constructor_or_destructor_definition] = STATE(73),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(73),
    [sym_namespace_alias_definition] = STATE(73),
    [sym_using_declaration] = STATE(73),
    [sym_alias_declaration] = STATE(73),
    [sym_static_assert_declaration] = STATE(73),
    [sym_concept_definition] = STATE(73),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(73),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(962),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [73] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(964),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [74] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [75] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(968),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [76] = {
    [sym__block_item] = STATE(77),
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(77),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(970),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [77] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(972),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [78] = {
    [sym__block_item] = STATE(51),
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(51),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(974),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [79] = {
    [sym__block_item] = STATE(46),
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5913),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(519),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(654),
    [sym_statement] = STATE(46),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1632),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1632),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4169),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3034),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1632),
    [sym_identifier] = ACTIONS(612),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(976),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(221),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(227),
    [anon_sym_using] = ACTIONS(229),
    [anon_sym_static_assert] = ACTIONS(231),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [80] = {
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4355),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1827),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5908),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2633),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(719),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4465),
    [sym__string] = STATE(4572),
    [sym_conditional_expression] = STATE(4572),
    [sym_assignment_expression] = STATE(4572),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4572),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(4572),
    [sym_cast_expression] = STATE(4572),
    [sym_sizeof_expression] = STATE(4572),
    [sym_alignof_expression] = STATE(4572),
    [sym_offsetof_expression] = STATE(4572),
    [sym_generic_expression] = STATE(4572),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4572),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4572),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(4572),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1630),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6298),
    [sym__constructor_specifiers] = STATE(1630),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4485),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3655),
    [sym_co_await_expression] = STATE(4572),
    [sym_new_expression] = STATE(4572),
    [sym_delete_expression] = STATE(4572),
    [sym_requires_clause] = STATE(4572),
    [sym_requires_expression] = STATE(4572),
    [sym_lambda_expression] = STATE(4572),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(4572),
    [sym_parameter_pack_expansion] = STATE(4572),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3420),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6298),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1630),
    [ts_builtin_sym_end] = ACTIONS(978),
    [sym_identifier] = ACTIONS(980),
    [aux_sym_preproc_include_token1] = ACTIONS(983),
    [aux_sym_preproc_def_token1] = ACTIONS(986),
    [aux_sym_preproc_if_token1] = ACTIONS(989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(992),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(992),
    [sym_preproc_directive] = ACTIONS(995),
    [anon_sym_LPAREN2] = ACTIONS(998),
    [anon_sym_BANG] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_STAR] = ACTIONS(1010),
    [anon_sym_AMP_AMP] = ACTIONS(1013),
    [anon_sym_AMP] = ACTIONS(1016),
    [anon_sym___extension__] = ACTIONS(1019),
    [anon_sym_typedef] = ACTIONS(1022),
    [anon_sym_extern] = ACTIONS(1025),
    [anon_sym___attribute__] = ACTIONS(1028),
    [anon_sym_COLON_COLON] = ACTIONS(1031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1034),
    [anon_sym___declspec] = ACTIONS(1037),
    [anon_sym___based] = ACTIONS(1040),
    [anon_sym___cdecl] = ACTIONS(1043),
    [anon_sym___clrcall] = ACTIONS(1043),
    [anon_sym___stdcall] = ACTIONS(1043),
    [anon_sym___fastcall] = ACTIONS(1043),
    [anon_sym___thiscall] = ACTIONS(1043),
    [anon_sym___vectorcall] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_signed] = ACTIONS(1049),
    [anon_sym_unsigned] = ACTIONS(1049),
    [anon_sym_long] = ACTIONS(1049),
    [anon_sym_short] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_register] = ACTIONS(1055),
    [anon_sym_inline] = ACTIONS(1058),
    [anon_sym___inline] = ACTIONS(1055),
    [anon_sym___inline__] = ACTIONS(1055),
    [anon_sym___forceinline] = ACTIONS(1055),
    [anon_sym_thread_local] = ACTIONS(1055),
    [anon_sym___thread] = ACTIONS(1055),
    [anon_sym_const] = ACTIONS(1061),
    [anon_sym_constexpr] = ACTIONS(1061),
    [anon_sym_volatile] = ACTIONS(1061),
    [anon_sym_restrict] = ACTIONS(1061),
    [anon_sym___restrict__] = ACTIONS(1061),
    [anon_sym__Atomic] = ACTIONS(1061),
    [anon_sym__Noreturn] = ACTIONS(1061),
    [anon_sym_noreturn] = ACTIONS(1061),
    [anon_sym_mutable] = ACTIONS(1061),
    [anon_sym_constinit] = ACTIONS(1061),
    [anon_sym_consteval] = ACTIONS(1061),
    [anon_sym_alignas] = ACTIONS(1064),
    [anon_sym__Alignas] = ACTIONS(1064),
    [sym_primitive_type] = ACTIONS(1067),
    [anon_sym_enum] = ACTIONS(1070),
    [anon_sym_class] = ACTIONS(1073),
    [anon_sym_struct] = ACTIONS(1076),
    [anon_sym_union] = ACTIONS(1079),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1088),
    [anon_sym_default] = ACTIONS(1091),
    [anon_sym_while] = ACTIONS(1094),
    [anon_sym_do] = ACTIONS(1097),
    [anon_sym_for] = ACTIONS(1100),
    [anon_sym_return] = ACTIONS(1103),
    [anon_sym_break] = ACTIONS(1106),
    [anon_sym_continue] = ACTIONS(1109),
    [anon_sym_goto] = ACTIONS(1112),
    [anon_sym_not] = ACTIONS(1007),
    [anon_sym_compl] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1115),
    [anon_sym_PLUS_PLUS] = ACTIONS(1115),
    [anon_sym_sizeof] = ACTIONS(1118),
    [anon_sym___alignof__] = ACTIONS(1121),
    [anon_sym___alignof] = ACTIONS(1121),
    [anon_sym__alignof] = ACTIONS(1121),
    [anon_sym_alignof] = ACTIONS(1121),
    [anon_sym__Alignof] = ACTIONS(1121),
    [anon_sym_offsetof] = ACTIONS(1124),
    [anon_sym__Generic] = ACTIONS(1127),
    [anon_sym_asm] = ACTIONS(1130),
    [anon_sym___asm__] = ACTIONS(1130),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1136),
    [anon_sym_u_SQUOTE] = ACTIONS(1136),
    [anon_sym_U_SQUOTE] = ACTIONS(1136),
    [anon_sym_u8_SQUOTE] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_L_DQUOTE] = ACTIONS(1139),
    [anon_sym_u_DQUOTE] = ACTIONS(1139),
    [anon_sym_U_DQUOTE] = ACTIONS(1139),
    [anon_sym_u8_DQUOTE] = ACTIONS(1139),
    [anon_sym_DQUOTE] = ACTIONS(1139),
    [sym_true] = ACTIONS(1142),
    [sym_false] = ACTIONS(1142),
    [anon_sym_NULL] = ACTIONS(1145),
    [anon_sym_nullptr] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1148),
    [anon_sym_decltype] = ACTIONS(1151),
    [sym_virtual] = ACTIONS(1154),
    [anon_sym_explicit] = ACTIONS(1157),
    [anon_sym_typename] = ACTIONS(1160),
    [anon_sym_template] = ACTIONS(1163),
    [anon_sym_operator] = ACTIONS(1166),
    [anon_sym_try] = ACTIONS(1169),
    [anon_sym_delete] = ACTIONS(1172),
    [anon_sym_throw] = ACTIONS(1175),
    [anon_sym_namespace] = ACTIONS(1178),
    [anon_sym_using] = ACTIONS(1181),
    [anon_sym_static_assert] = ACTIONS(1184),
    [anon_sym_concept] = ACTIONS(1187),
    [anon_sym_co_return] = ACTIONS(1190),
    [anon_sym_co_yield] = ACTIONS(1193),
    [anon_sym_R_DQUOTE] = ACTIONS(1196),
    [anon_sym_LR_DQUOTE] = ACTIONS(1196),
    [anon_sym_uR_DQUOTE] = ACTIONS(1196),
    [anon_sym_UR_DQUOTE] = ACTIONS(1196),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1196),
    [anon_sym_co_await] = ACTIONS(1199),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_requires] = ACTIONS(1205),
    [sym_this] = ACTIONS(1142),
  },
  [81] = {
    [sym__top_level_item] = STATE(80),
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4355),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(805),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1827),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5908),
    [sym_array_declarator] = STATE(5906),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2633),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(719),
    [sym__top_level_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym__top_level_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_expression] = STATE(4465),
    [sym__string] = STATE(4572),
    [sym_conditional_expression] = STATE(4572),
    [sym_assignment_expression] = STATE(4572),
    [sym_pointer_expression] = STATE(3510),
    [sym_unary_expression] = STATE(4572),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(4572),
    [sym_cast_expression] = STATE(4572),
    [sym_sizeof_expression] = STATE(4572),
    [sym_alignof_expression] = STATE(4572),
    [sym_offsetof_expression] = STATE(4572),
    [sym_generic_expression] = STATE(4572),
    [sym_subscript_expression] = STATE(3510),
    [sym_call_expression] = STATE(3510),
    [sym_gnu_asm_expression] = STATE(4572),
    [sym_field_expression] = STATE(3510),
    [sym_compound_literal_expression] = STATE(4572),
    [sym_parenthesized_expression] = STATE(3510),
    [sym_char_literal] = STATE(4538),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(4572),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_explicit_function_specifier] = STATE(1630),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(6298),
    [sym__constructor_specifiers] = STATE(1630),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(4485),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3655),
    [sym_co_await_expression] = STATE(4572),
    [sym_new_expression] = STATE(4572),
    [sym_delete_expression] = STATE(4572),
    [sym_requires_clause] = STATE(4572),
    [sym_requires_expression] = STATE(4572),
    [sym_lambda_expression] = STATE(4572),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(4572),
    [sym_parameter_pack_expansion] = STATE(4572),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5132),
    [sym_qualified_identifier] = STATE(3420),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_qualified_operator_cast_identifier] = STATE(6298),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3510),
    [aux_sym_translation_unit_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1630),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(109),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(115),
    [sym_false] = ACTIONS(115),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(115),
  },
  [82] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4909),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [aux_sym_preproc_else_token1] = ACTIONS(1212),
    [aux_sym_preproc_elif_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [83] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4909),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1230),
    [aux_sym_preproc_include_token1] = ACTIONS(1233),
    [aux_sym_preproc_def_token1] = ACTIONS(1233),
    [aux_sym_preproc_if_token1] = ACTIONS(1233),
    [aux_sym_preproc_if_token2] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1233),
    [aux_sym_preproc_else_token1] = ACTIONS(1233),
    [aux_sym_preproc_elif_token1] = ACTIONS(1233),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1233),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1233),
    [sym_preproc_directive] = ACTIONS(1233),
    [anon_sym_LPAREN2] = ACTIONS(1235),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1241),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_AMP_AMP] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1252),
    [anon_sym___extension__] = ACTIONS(1255),
    [anon_sym_typedef] = ACTIONS(1258),
    [anon_sym_extern] = ACTIONS(1261),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1273),
    [anon_sym___based] = ACTIONS(1233),
    [anon_sym___cdecl] = ACTIONS(1233),
    [anon_sym___clrcall] = ACTIONS(1233),
    [anon_sym___stdcall] = ACTIONS(1233),
    [anon_sym___fastcall] = ACTIONS(1233),
    [anon_sym___thiscall] = ACTIONS(1233),
    [anon_sym___vectorcall] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1261),
    [anon_sym_register] = ACTIONS(1261),
    [anon_sym_inline] = ACTIONS(1261),
    [anon_sym___inline] = ACTIONS(1261),
    [anon_sym___inline__] = ACTIONS(1261),
    [anon_sym___forceinline] = ACTIONS(1261),
    [anon_sym_thread_local] = ACTIONS(1261),
    [anon_sym___thread] = ACTIONS(1261),
    [anon_sym_const] = ACTIONS(1285),
    [anon_sym_constexpr] = ACTIONS(1285),
    [anon_sym_volatile] = ACTIONS(1285),
    [anon_sym_restrict] = ACTIONS(1285),
    [anon_sym___restrict__] = ACTIONS(1285),
    [anon_sym__Atomic] = ACTIONS(1285),
    [anon_sym__Noreturn] = ACTIONS(1285),
    [anon_sym_noreturn] = ACTIONS(1285),
    [anon_sym_mutable] = ACTIONS(1285),
    [anon_sym_constinit] = ACTIONS(1285),
    [anon_sym_consteval] = ACTIONS(1285),
    [anon_sym_alignas] = ACTIONS(1288),
    [anon_sym__Alignas] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1294),
    [anon_sym_class] = ACTIONS(1297),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1233),
    [anon_sym_switch] = ACTIONS(1309),
    [anon_sym_case] = ACTIONS(1233),
    [anon_sym_default] = ACTIONS(1233),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1321),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1333),
    [anon_sym___leave] = ACTIONS(1336),
    [anon_sym_not] = ACTIONS(1241),
    [anon_sym_compl] = ACTIONS(1241),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1345),
    [anon_sym___alignof] = ACTIONS(1345),
    [anon_sym__alignof] = ACTIONS(1345),
    [anon_sym_alignof] = ACTIONS(1345),
    [anon_sym__Alignof] = ACTIONS(1345),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1351),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1357),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1369),
    [anon_sym_nullptr] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1372),
    [anon_sym_decltype] = ACTIONS(1375),
    [sym_virtual] = ACTIONS(1378),
    [anon_sym_explicit] = ACTIONS(1233),
    [anon_sym_typename] = ACTIONS(1381),
    [anon_sym_template] = ACTIONS(1384),
    [anon_sym_operator] = ACTIONS(1233),
    [anon_sym_try] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_namespace] = ACTIONS(1233),
    [anon_sym_using] = ACTIONS(1233),
    [anon_sym_static_assert] = ACTIONS(1233),
    [anon_sym_concept] = ACTIONS(1233),
    [anon_sym_co_return] = ACTIONS(1396),
    [anon_sym_co_yield] = ACTIONS(1399),
    [anon_sym_R_DQUOTE] = ACTIONS(1402),
    [anon_sym_LR_DQUOTE] = ACTIONS(1402),
    [anon_sym_uR_DQUOTE] = ACTIONS(1402),
    [anon_sym_UR_DQUOTE] = ACTIONS(1402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1402),
    [anon_sym_co_await] = ACTIONS(1405),
    [anon_sym_new] = ACTIONS(1408),
    [anon_sym_requires] = ACTIONS(1411),
    [sym_this] = ACTIONS(1366),
  },
  [84] = {
    [sym_declaration] = STATE(86),
    [sym_type_definition] = STATE(86),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4909),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(86),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(86),
    [sym_labeled_statement] = STATE(86),
    [sym_expression_statement] = STATE(86),
    [sym_if_statement] = STATE(86),
    [sym_switch_statement] = STATE(86),
    [sym_while_statement] = STATE(86),
    [sym_do_statement] = STATE(86),
    [sym_for_statement] = STATE(86),
    [sym_return_statement] = STATE(86),
    [sym_break_statement] = STATE(86),
    [sym_continue_statement] = STATE(86),
    [sym_goto_statement] = STATE(86),
    [sym_seh_try_statement] = STATE(86),
    [sym_seh_leave_statement] = STATE(86),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(86),
    [sym_co_return_statement] = STATE(86),
    [sym_co_yield_statement] = STATE(86),
    [sym_throw_statement] = STATE(86),
    [sym_try_statement] = STATE(86),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(86),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [85] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4909),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [aux_sym_preproc_else_token1] = ACTIONS(1418),
    [aux_sym_preproc_elif_token1] = ACTIONS(1418),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1418),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1418),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_using] = ACTIONS(1418),
    [anon_sym_static_assert] = ACTIONS(1418),
    [anon_sym_concept] = ACTIONS(1418),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [86] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4909),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [aux_sym_preproc_else_token1] = ACTIONS(1422),
    [aux_sym_preproc_elif_token1] = ACTIONS(1422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym___extension__] = ACTIONS(281),
    [anon_sym_typedef] = ACTIONS(283),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [87] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4808),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [88] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [sym_identifier] = ACTIONS(1434),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token2] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym___extension__] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [89] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4808),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [90] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1233),
    [aux_sym_preproc_def_token1] = ACTIONS(1233),
    [aux_sym_preproc_if_token1] = ACTIONS(1233),
    [aux_sym_preproc_if_token2] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1233),
    [sym_preproc_directive] = ACTIONS(1233),
    [anon_sym_LPAREN2] = ACTIONS(1235),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1241),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_AMP_AMP] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1439),
    [anon_sym___extension__] = ACTIONS(1442),
    [anon_sym_typedef] = ACTIONS(1445),
    [anon_sym_extern] = ACTIONS(1261),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1273),
    [anon_sym___based] = ACTIONS(1233),
    [anon_sym___cdecl] = ACTIONS(1233),
    [anon_sym___clrcall] = ACTIONS(1233),
    [anon_sym___stdcall] = ACTIONS(1233),
    [anon_sym___fastcall] = ACTIONS(1233),
    [anon_sym___thiscall] = ACTIONS(1233),
    [anon_sym___vectorcall] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1261),
    [anon_sym_register] = ACTIONS(1261),
    [anon_sym_inline] = ACTIONS(1261),
    [anon_sym___inline] = ACTIONS(1261),
    [anon_sym___inline__] = ACTIONS(1261),
    [anon_sym___forceinline] = ACTIONS(1261),
    [anon_sym_thread_local] = ACTIONS(1261),
    [anon_sym___thread] = ACTIONS(1261),
    [anon_sym_const] = ACTIONS(1285),
    [anon_sym_constexpr] = ACTIONS(1285),
    [anon_sym_volatile] = ACTIONS(1285),
    [anon_sym_restrict] = ACTIONS(1285),
    [anon_sym___restrict__] = ACTIONS(1285),
    [anon_sym__Atomic] = ACTIONS(1285),
    [anon_sym__Noreturn] = ACTIONS(1285),
    [anon_sym_noreturn] = ACTIONS(1285),
    [anon_sym_mutable] = ACTIONS(1285),
    [anon_sym_constinit] = ACTIONS(1285),
    [anon_sym_consteval] = ACTIONS(1285),
    [anon_sym_alignas] = ACTIONS(1288),
    [anon_sym__Alignas] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1294),
    [anon_sym_class] = ACTIONS(1297),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_else] = ACTIONS(1233),
    [anon_sym_switch] = ACTIONS(1454),
    [anon_sym_case] = ACTIONS(1233),
    [anon_sym_default] = ACTIONS(1233),
    [anon_sym_while] = ACTIONS(1457),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1463),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_break] = ACTIONS(1469),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1475),
    [anon_sym___try] = ACTIONS(1478),
    [anon_sym___leave] = ACTIONS(1481),
    [anon_sym_not] = ACTIONS(1241),
    [anon_sym_compl] = ACTIONS(1241),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1345),
    [anon_sym___alignof] = ACTIONS(1345),
    [anon_sym__alignof] = ACTIONS(1345),
    [anon_sym_alignof] = ACTIONS(1345),
    [anon_sym__Alignof] = ACTIONS(1345),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1351),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1357),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1369),
    [anon_sym_nullptr] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1372),
    [anon_sym_decltype] = ACTIONS(1375),
    [sym_virtual] = ACTIONS(1378),
    [anon_sym_explicit] = ACTIONS(1233),
    [anon_sym_typename] = ACTIONS(1381),
    [anon_sym_template] = ACTIONS(1384),
    [anon_sym_operator] = ACTIONS(1233),
    [anon_sym_try] = ACTIONS(1484),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_namespace] = ACTIONS(1233),
    [anon_sym_using] = ACTIONS(1233),
    [anon_sym_static_assert] = ACTIONS(1233),
    [anon_sym_concept] = ACTIONS(1233),
    [anon_sym_co_return] = ACTIONS(1490),
    [anon_sym_co_yield] = ACTIONS(1493),
    [anon_sym_R_DQUOTE] = ACTIONS(1402),
    [anon_sym_LR_DQUOTE] = ACTIONS(1402),
    [anon_sym_uR_DQUOTE] = ACTIONS(1402),
    [anon_sym_UR_DQUOTE] = ACTIONS(1402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1402),
    [anon_sym_co_await] = ACTIONS(1405),
    [anon_sym_new] = ACTIONS(1408),
    [anon_sym_requires] = ACTIONS(1411),
    [sym_this] = ACTIONS(1366),
  },
  [91] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4867),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1212),
    [aux_sym_preproc_def_token1] = ACTIONS(1212),
    [aux_sym_preproc_if_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1212),
    [sym_preproc_directive] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1218),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1212),
    [anon_sym___cdecl] = ACTIONS(1212),
    [anon_sym___clrcall] = ACTIONS(1212),
    [anon_sym___stdcall] = ACTIONS(1212),
    [anon_sym___fastcall] = ACTIONS(1212),
    [anon_sym___thiscall] = ACTIONS(1212),
    [anon_sym___vectorcall] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1212),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1212),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_using] = ACTIONS(1212),
    [anon_sym_static_assert] = ACTIONS(1212),
    [anon_sym_concept] = ACTIONS(1212),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [92] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4867),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1498),
    [aux_sym_preproc_include_token1] = ACTIONS(1233),
    [aux_sym_preproc_def_token1] = ACTIONS(1233),
    [aux_sym_preproc_if_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1233),
    [sym_preproc_directive] = ACTIONS(1233),
    [anon_sym_LPAREN2] = ACTIONS(1235),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1241),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_AMP_AMP] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1501),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1507),
    [anon_sym_extern] = ACTIONS(1261),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1273),
    [anon_sym___based] = ACTIONS(1233),
    [anon_sym___cdecl] = ACTIONS(1233),
    [anon_sym___clrcall] = ACTIONS(1233),
    [anon_sym___stdcall] = ACTIONS(1233),
    [anon_sym___fastcall] = ACTIONS(1233),
    [anon_sym___thiscall] = ACTIONS(1233),
    [anon_sym___vectorcall] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1247),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1261),
    [anon_sym_register] = ACTIONS(1261),
    [anon_sym_inline] = ACTIONS(1261),
    [anon_sym___inline] = ACTIONS(1261),
    [anon_sym___inline__] = ACTIONS(1261),
    [anon_sym___forceinline] = ACTIONS(1261),
    [anon_sym_thread_local] = ACTIONS(1261),
    [anon_sym___thread] = ACTIONS(1261),
    [anon_sym_const] = ACTIONS(1285),
    [anon_sym_constexpr] = ACTIONS(1285),
    [anon_sym_volatile] = ACTIONS(1285),
    [anon_sym_restrict] = ACTIONS(1285),
    [anon_sym___restrict__] = ACTIONS(1285),
    [anon_sym__Atomic] = ACTIONS(1285),
    [anon_sym__Noreturn] = ACTIONS(1285),
    [anon_sym_noreturn] = ACTIONS(1285),
    [anon_sym_mutable] = ACTIONS(1285),
    [anon_sym_constinit] = ACTIONS(1285),
    [anon_sym_consteval] = ACTIONS(1285),
    [anon_sym_alignas] = ACTIONS(1288),
    [anon_sym__Alignas] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1294),
    [anon_sym_class] = ACTIONS(1297),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1233),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(1233),
    [anon_sym_default] = ACTIONS(1233),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_do] = ACTIONS(1522),
    [anon_sym_for] = ACTIONS(1525),
    [anon_sym_return] = ACTIONS(1528),
    [anon_sym_break] = ACTIONS(1531),
    [anon_sym_continue] = ACTIONS(1534),
    [anon_sym_goto] = ACTIONS(1537),
    [anon_sym___try] = ACTIONS(1540),
    [anon_sym___leave] = ACTIONS(1543),
    [anon_sym_not] = ACTIONS(1241),
    [anon_sym_compl] = ACTIONS(1241),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1345),
    [anon_sym___alignof] = ACTIONS(1345),
    [anon_sym__alignof] = ACTIONS(1345),
    [anon_sym_alignof] = ACTIONS(1345),
    [anon_sym__Alignof] = ACTIONS(1345),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1351),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1357),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1369),
    [anon_sym_nullptr] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1372),
    [anon_sym_decltype] = ACTIONS(1375),
    [sym_virtual] = ACTIONS(1378),
    [anon_sym_explicit] = ACTIONS(1233),
    [anon_sym_typename] = ACTIONS(1381),
    [anon_sym_template] = ACTIONS(1384),
    [anon_sym_operator] = ACTIONS(1233),
    [anon_sym_try] = ACTIONS(1546),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_throw] = ACTIONS(1549),
    [anon_sym_namespace] = ACTIONS(1233),
    [anon_sym_using] = ACTIONS(1233),
    [anon_sym_static_assert] = ACTIONS(1233),
    [anon_sym_concept] = ACTIONS(1233),
    [anon_sym_co_return] = ACTIONS(1552),
    [anon_sym_co_yield] = ACTIONS(1555),
    [anon_sym_R_DQUOTE] = ACTIONS(1402),
    [anon_sym_LR_DQUOTE] = ACTIONS(1402),
    [anon_sym_uR_DQUOTE] = ACTIONS(1402),
    [anon_sym_UR_DQUOTE] = ACTIONS(1402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1402),
    [anon_sym_co_await] = ACTIONS(1405),
    [anon_sym_new] = ACTIONS(1408),
    [anon_sym_requires] = ACTIONS(1411),
    [sym_this] = ACTIONS(1366),
  },
  [93] = {
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4808),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(89),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [94] = {
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4867),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(96),
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [95] = {
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4867),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(91),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(91),
    [sym_co_return_statement] = STATE(91),
    [sym_co_yield_statement] = STATE(91),
    [sym_throw_statement] = STATE(91),
    [sym_try_statement] = STATE(91),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(91),
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1418),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1418),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_using] = ACTIONS(1418),
    [anon_sym_static_assert] = ACTIONS(1418),
    [anon_sym_concept] = ACTIONS(1418),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [96] = {
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4867),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(92),
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [97] = {
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym_seh_try_statement] = STATE(99),
    [sym_seh_leave_statement] = STATE(99),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(99),
    [sym_identifier] = ACTIONS(1434),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym___extension__] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [98] = {
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(88),
    [sym_identifier] = ACTIONS(1434),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym___extension__] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1418),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1418),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_using] = ACTIONS(1418),
    [anon_sym_static_assert] = ACTIONS(1418),
    [anon_sym_concept] = ACTIONS(1418),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [99] = {
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4774),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(90),
    [sym_identifier] = ACTIONS(1434),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym___extension__] = ACTIONS(746),
    [anon_sym_typedef] = ACTIONS(748),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1422),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_namespace] = ACTIONS(1422),
    [anon_sym_using] = ACTIONS(1422),
    [anon_sym_static_assert] = ACTIONS(1422),
    [anon_sym_concept] = ACTIONS(1422),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [100] = {
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4808),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_explicit] = ACTIONS(1418),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1418),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1418),
    [anon_sym_using] = ACTIONS(1418),
    [anon_sym_static_assert] = ACTIONS(1418),
    [anon_sym_concept] = ACTIONS(1418),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [101] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4808),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym_identifier] = ACTIONS(1558),
    [aux_sym_preproc_include_token1] = ACTIONS(1233),
    [aux_sym_preproc_def_token1] = ACTIONS(1233),
    [aux_sym_preproc_if_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1233),
    [sym_preproc_directive] = ACTIONS(1233),
    [anon_sym_LPAREN2] = ACTIONS(1235),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1241),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_AMP_AMP] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1561),
    [anon_sym___extension__] = ACTIONS(1564),
    [anon_sym_typedef] = ACTIONS(1567),
    [anon_sym_extern] = ACTIONS(1261),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1273),
    [anon_sym___based] = ACTIONS(1233),
    [anon_sym___cdecl] = ACTIONS(1233),
    [anon_sym___clrcall] = ACTIONS(1233),
    [anon_sym___stdcall] = ACTIONS(1233),
    [anon_sym___fastcall] = ACTIONS(1233),
    [anon_sym___thiscall] = ACTIONS(1233),
    [anon_sym___vectorcall] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1261),
    [anon_sym_register] = ACTIONS(1261),
    [anon_sym_inline] = ACTIONS(1261),
    [anon_sym___inline] = ACTIONS(1261),
    [anon_sym___inline__] = ACTIONS(1261),
    [anon_sym___forceinline] = ACTIONS(1261),
    [anon_sym_thread_local] = ACTIONS(1261),
    [anon_sym___thread] = ACTIONS(1261),
    [anon_sym_const] = ACTIONS(1285),
    [anon_sym_constexpr] = ACTIONS(1285),
    [anon_sym_volatile] = ACTIONS(1285),
    [anon_sym_restrict] = ACTIONS(1285),
    [anon_sym___restrict__] = ACTIONS(1285),
    [anon_sym__Atomic] = ACTIONS(1285),
    [anon_sym__Noreturn] = ACTIONS(1285),
    [anon_sym_noreturn] = ACTIONS(1285),
    [anon_sym_mutable] = ACTIONS(1285),
    [anon_sym_constinit] = ACTIONS(1285),
    [anon_sym_consteval] = ACTIONS(1285),
    [anon_sym_alignas] = ACTIONS(1288),
    [anon_sym__Alignas] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1294),
    [anon_sym_class] = ACTIONS(1297),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1573),
    [anon_sym_else] = ACTIONS(1233),
    [anon_sym_switch] = ACTIONS(1576),
    [anon_sym_case] = ACTIONS(1233),
    [anon_sym_default] = ACTIONS(1233),
    [anon_sym_while] = ACTIONS(1579),
    [anon_sym_do] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1588),
    [anon_sym_break] = ACTIONS(1591),
    [anon_sym_continue] = ACTIONS(1594),
    [anon_sym_goto] = ACTIONS(1597),
    [anon_sym___try] = ACTIONS(1600),
    [anon_sym___leave] = ACTIONS(1603),
    [anon_sym_not] = ACTIONS(1241),
    [anon_sym_compl] = ACTIONS(1241),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1345),
    [anon_sym___alignof] = ACTIONS(1345),
    [anon_sym__alignof] = ACTIONS(1345),
    [anon_sym_alignof] = ACTIONS(1345),
    [anon_sym__Alignof] = ACTIONS(1345),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1351),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1357),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1369),
    [anon_sym_nullptr] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1372),
    [anon_sym_decltype] = ACTIONS(1375),
    [sym_virtual] = ACTIONS(1378),
    [anon_sym_explicit] = ACTIONS(1233),
    [anon_sym_typename] = ACTIONS(1381),
    [anon_sym_template] = ACTIONS(1384),
    [anon_sym_operator] = ACTIONS(1233),
    [anon_sym_try] = ACTIONS(1606),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_throw] = ACTIONS(1609),
    [anon_sym_namespace] = ACTIONS(1233),
    [anon_sym_using] = ACTIONS(1233),
    [anon_sym_static_assert] = ACTIONS(1233),
    [anon_sym_concept] = ACTIONS(1233),
    [anon_sym_co_return] = ACTIONS(1612),
    [anon_sym_co_yield] = ACTIONS(1615),
    [anon_sym_R_DQUOTE] = ACTIONS(1402),
    [anon_sym_LR_DQUOTE] = ACTIONS(1402),
    [anon_sym_uR_DQUOTE] = ACTIONS(1402),
    [anon_sym_UR_DQUOTE] = ACTIONS(1402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1402),
    [anon_sym_co_await] = ACTIONS(1405),
    [anon_sym_new] = ACTIONS(1408),
    [anon_sym_requires] = ACTIONS(1411),
    [sym_this] = ACTIONS(1366),
  },
  [102] = {
    [sym_declaration] = STATE(105),
    [sym_type_definition] = STATE(105),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4857),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(105),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(105),
    [sym_co_return_statement] = STATE(105),
    [sym_co_yield_statement] = STATE(105),
    [sym_throw_statement] = STATE(105),
    [sym_try_statement] = STATE(105),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(149),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(105),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym___extension__] = ACTIONS(1622),
    [anon_sym_typedef] = ACTIONS(1624),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [103] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4857),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(149),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym___extension__] = ACTIONS(1622),
    [anon_sym_typedef] = ACTIONS(1624),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_else] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [104] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4857),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(149),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym___extension__] = ACTIONS(1622),
    [anon_sym_typedef] = ACTIONS(1624),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [105] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4857),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(149),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1618),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym___extension__] = ACTIONS(1622),
    [anon_sym_typedef] = ACTIONS(1624),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_else] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [106] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4857),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(820),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_attributed_declarator_repeat1] = STATE(149),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1658),
    [anon_sym_LPAREN2] = ACTIONS(1235),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1241),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym___extension__] = ACTIONS(1664),
    [anon_sym_typedef] = ACTIONS(1667),
    [anon_sym_extern] = ACTIONS(1261),
    [anon_sym___attribute__] = ACTIONS(1264),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1270),
    [anon_sym___declspec] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1670),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1261),
    [anon_sym_register] = ACTIONS(1261),
    [anon_sym_inline] = ACTIONS(1261),
    [anon_sym___inline] = ACTIONS(1261),
    [anon_sym___inline__] = ACTIONS(1261),
    [anon_sym___forceinline] = ACTIONS(1261),
    [anon_sym_thread_local] = ACTIONS(1261),
    [anon_sym___thread] = ACTIONS(1261),
    [anon_sym_const] = ACTIONS(1285),
    [anon_sym_constexpr] = ACTIONS(1285),
    [anon_sym_volatile] = ACTIONS(1285),
    [anon_sym_restrict] = ACTIONS(1285),
    [anon_sym___restrict__] = ACTIONS(1285),
    [anon_sym__Atomic] = ACTIONS(1285),
    [anon_sym__Noreturn] = ACTIONS(1285),
    [anon_sym_noreturn] = ACTIONS(1285),
    [anon_sym_mutable] = ACTIONS(1285),
    [anon_sym_constinit] = ACTIONS(1285),
    [anon_sym_consteval] = ACTIONS(1285),
    [anon_sym_alignas] = ACTIONS(1288),
    [anon_sym__Alignas] = ACTIONS(1288),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1294),
    [anon_sym_class] = ACTIONS(1297),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1673),
    [anon_sym_else] = ACTIONS(1233),
    [anon_sym_switch] = ACTIONS(1676),
    [anon_sym_while] = ACTIONS(1679),
    [anon_sym_do] = ACTIONS(1682),
    [anon_sym_for] = ACTIONS(1685),
    [anon_sym_return] = ACTIONS(1688),
    [anon_sym_break] = ACTIONS(1691),
    [anon_sym_continue] = ACTIONS(1694),
    [anon_sym_goto] = ACTIONS(1697),
    [anon_sym___try] = ACTIONS(1700),
    [anon_sym___leave] = ACTIONS(1703),
    [anon_sym_not] = ACTIONS(1241),
    [anon_sym_compl] = ACTIONS(1241),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1345),
    [anon_sym___alignof] = ACTIONS(1345),
    [anon_sym__alignof] = ACTIONS(1345),
    [anon_sym_alignof] = ACTIONS(1345),
    [anon_sym__Alignof] = ACTIONS(1345),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1351),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1357),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1369),
    [anon_sym_nullptr] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1372),
    [anon_sym_decltype] = ACTIONS(1375),
    [sym_virtual] = ACTIONS(1378),
    [anon_sym_typename] = ACTIONS(1381),
    [anon_sym_template] = ACTIONS(1384),
    [anon_sym_try] = ACTIONS(1706),
    [anon_sym_delete] = ACTIONS(1390),
    [anon_sym_throw] = ACTIONS(1709),
    [anon_sym_co_return] = ACTIONS(1712),
    [anon_sym_co_yield] = ACTIONS(1715),
    [anon_sym_R_DQUOTE] = ACTIONS(1402),
    [anon_sym_LR_DQUOTE] = ACTIONS(1402),
    [anon_sym_uR_DQUOTE] = ACTIONS(1402),
    [anon_sym_UR_DQUOTE] = ACTIONS(1402),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1402),
    [anon_sym_co_await] = ACTIONS(1405),
    [anon_sym_new] = ACTIONS(1408),
    [anon_sym_requires] = ACTIONS(1411),
    [sym_this] = ACTIONS(1366),
  },
  [107] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(3954),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4814),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_expression_statement] = STATE(3954),
    [sym__for_statement_body] = STATE(8074),
    [sym_expression] = STATE(4246),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7496),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_alias_declaration] = STATE(3954),
    [sym__for_range_loop_body] = STATE(7507),
    [sym_init_statement] = STATE(1861),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(1722),
    [anon_sym_typedef] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [108] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(3954),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4814),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_expression_statement] = STATE(3954),
    [sym__for_statement_body] = STATE(7492),
    [sym_expression] = STATE(4246),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7496),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_alias_declaration] = STATE(3954),
    [sym__for_range_loop_body] = STATE(7506),
    [sym_init_statement] = STATE(1861),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(1722),
    [anon_sym_typedef] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [109] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(3954),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4814),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_expression_statement] = STATE(3954),
    [sym__for_statement_body] = STATE(7806),
    [sym_expression] = STATE(4246),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7496),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_alias_declaration] = STATE(3954),
    [sym__for_range_loop_body] = STATE(7807),
    [sym_init_statement] = STATE(1861),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(1722),
    [anon_sym_typedef] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [110] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(3954),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4814),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_expression_statement] = STATE(3954),
    [sym__for_statement_body] = STATE(7513),
    [sym_expression] = STATE(4246),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7496),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_alias_declaration] = STATE(3954),
    [sym__for_range_loop_body] = STATE(7520),
    [sym_init_statement] = STATE(1861),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(1722),
    [anon_sym_typedef] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [111] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(3954),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4814),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_expression_statement] = STATE(3954),
    [sym__for_statement_body] = STATE(7412),
    [sym_expression] = STATE(4246),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7496),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_alias_declaration] = STATE(3954),
    [sym__for_range_loop_body] = STATE(7413),
    [sym_init_statement] = STATE(1861),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(1722),
    [anon_sym_typedef] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [112] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(3954),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4814),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_expression_statement] = STATE(3954),
    [sym__for_statement_body] = STATE(7522),
    [sym_expression] = STATE(4246),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7496),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_alias_declaration] = STATE(3954),
    [sym__for_range_loop_body] = STATE(7523),
    [sym_init_statement] = STATE(1861),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1720),
    [anon_sym___extension__] = ACTIONS(1722),
    [anon_sym_typedef] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1728),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [113] = {
    [sym_declaration] = STATE(1506),
    [sym_type_definition] = STATE(1506),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4804),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_expression_statement] = STATE(1506),
    [sym_expression] = STATE(4101),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7223),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_alias_declaration] = STATE(1506),
    [sym_init_statement] = STATE(124),
    [sym_condition_declaration] = STATE(7649),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym___extension__] = ACTIONS(1622),
    [anon_sym_typedef] = ACTIONS(1624),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1730),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [114] = {
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(4933),
    [sym__declarator] = STATE(6202),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(5906),
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2735),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7623),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7663),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3083),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7664),
    [sym__unary_right_fold] = STATE(7684),
    [sym__binary_fold] = STATE(7688),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5259),
    [sym_qualified_identifier] = STATE(2998),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7698),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1750),
    [anon_sym___clrcall] = ACTIONS(1750),
    [anon_sym___stdcall] = ACTIONS(1750),
    [anon_sym___fastcall] = ACTIONS(1750),
    [anon_sym___thiscall] = ACTIONS(1750),
    [anon_sym___vectorcall] = ACTIONS(1750),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [115] = {
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(4933),
    [sym__declarator] = STATE(6202),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(5906),
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7591),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3083),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5259),
    [sym_qualified_identifier] = STATE(2998),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1750),
    [anon_sym___clrcall] = ACTIONS(1750),
    [anon_sym___stdcall] = ACTIONS(1750),
    [anon_sym___fastcall] = ACTIONS(1750),
    [anon_sym___thiscall] = ACTIONS(1750),
    [anon_sym___vectorcall] = ACTIONS(1750),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [116] = {
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(4933),
    [sym__declarator] = STATE(6202),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(5906),
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7563),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3083),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7573),
    [sym__unary_right_fold] = STATE(7697),
    [sym__binary_fold] = STATE(7714),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5259),
    [sym_qualified_identifier] = STATE(2998),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1750),
    [anon_sym___clrcall] = ACTIONS(1750),
    [anon_sym___stdcall] = ACTIONS(1750),
    [anon_sym___fastcall] = ACTIONS(1750),
    [anon_sym___thiscall] = ACTIONS(1750),
    [anon_sym___vectorcall] = ACTIONS(1750),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [117] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6816),
    [sym_expression] = STATE(3144),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7205),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6816),
    [sym_variadic_parameter_declaration] = STATE(6816),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7653),
    [sym__unary_right_fold] = STATE(7655),
    [sym__binary_fold] = STATE(7662),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5273),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3296),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [118] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6816),
    [sym_expression] = STATE(3081),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7205),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6816),
    [sym_variadic_parameter_declaration] = STATE(6816),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7664),
    [sym__unary_right_fold] = STATE(7684),
    [sym__binary_fold] = STATE(7688),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5273),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3296),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [119] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6816),
    [sym_expression] = STATE(3045),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7205),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6816),
    [sym_variadic_parameter_declaration] = STATE(6816),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7898),
    [sym__unary_right_fold] = STATE(7744),
    [sym__binary_fold] = STATE(7915),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5273),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3296),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [120] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6816),
    [sym_expression] = STATE(3068),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7205),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6816),
    [sym_variadic_parameter_declaration] = STATE(6816),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7495),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7502),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5273),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3296),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [121] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6816),
    [sym_expression] = STATE(3134),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7205),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6816),
    [sym_variadic_parameter_declaration] = STATE(6816),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5273),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3296),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [122] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6816),
    [sym_expression] = STATE(3025),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7205),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6816),
    [sym_variadic_parameter_declaration] = STATE(6816),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7573),
    [sym__unary_right_fold] = STATE(7697),
    [sym__binary_fold] = STATE(7714),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5273),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3296),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [123] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_compound_statement] = STATE(6752),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6690),
    [sym_expression] = STATE(4124),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(6752),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6690),
    [sym_variadic_parameter_declaration] = STATE(6690),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5275),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1868),
    [anon_sym_RPAREN] = ACTIONS(1870),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1872),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [124] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4966),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_expression] = STATE(4301),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(8124),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3120),
    [sym_template_function] = STATE(3714),
    [sym_condition_declaration] = STATE(8124),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5270),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(3123),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(65),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [125] = {
    [ts_builtin_sym_end] = ACTIONS(1876),
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(1876),
    [anon_sym_RPAREN] = ACTIONS(1876),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_PIPE_PIPE] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_EQ] = ACTIONS(1876),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_else] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___except] = ACTIONS(1878),
    [anon_sym___finally] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_or] = ACTIONS(1878),
    [anon_sym_and] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [anon_sym_final] = ACTIONS(1878),
    [anon_sym_override] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_GT2] = ACTIONS(1876),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [126] = {
    [ts_builtin_sym_end] = ACTIONS(1880),
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_include_token1] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [anon_sym_COMMA] = ACTIONS(1880),
    [anon_sym_RPAREN] = ACTIONS(1880),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_PIPE_PIPE] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym_SEMI] = ACTIONS(1880),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym___cdecl] = ACTIONS(1882),
    [anon_sym___clrcall] = ACTIONS(1882),
    [anon_sym___stdcall] = ACTIONS(1882),
    [anon_sym___fastcall] = ACTIONS(1882),
    [anon_sym___thiscall] = ACTIONS(1882),
    [anon_sym___vectorcall] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_EQ] = ACTIONS(1880),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [anon_sym_if] = ACTIONS(1882),
    [anon_sym_else] = ACTIONS(1882),
    [anon_sym_switch] = ACTIONS(1882),
    [anon_sym_case] = ACTIONS(1882),
    [anon_sym_default] = ACTIONS(1882),
    [anon_sym_while] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_for] = ACTIONS(1882),
    [anon_sym_return] = ACTIONS(1882),
    [anon_sym_break] = ACTIONS(1882),
    [anon_sym_continue] = ACTIONS(1882),
    [anon_sym_goto] = ACTIONS(1882),
    [anon_sym___try] = ACTIONS(1882),
    [anon_sym___except] = ACTIONS(1882),
    [anon_sym___finally] = ACTIONS(1882),
    [anon_sym___leave] = ACTIONS(1882),
    [anon_sym_not] = ACTIONS(1882),
    [anon_sym_compl] = ACTIONS(1882),
    [anon_sym_or] = ACTIONS(1882),
    [anon_sym_and] = ACTIONS(1882),
    [anon_sym_DASH_DASH] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(1880),
    [anon_sym_sizeof] = ACTIONS(1882),
    [anon_sym___alignof__] = ACTIONS(1882),
    [anon_sym___alignof] = ACTIONS(1882),
    [anon_sym__alignof] = ACTIONS(1882),
    [anon_sym_alignof] = ACTIONS(1882),
    [anon_sym__Alignof] = ACTIONS(1882),
    [anon_sym_offsetof] = ACTIONS(1882),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1882),
    [anon_sym___asm__] = ACTIONS(1882),
    [sym_number_literal] = ACTIONS(1880),
    [anon_sym_L_SQUOTE] = ACTIONS(1880),
    [anon_sym_u_SQUOTE] = ACTIONS(1880),
    [anon_sym_U_SQUOTE] = ACTIONS(1880),
    [anon_sym_u8_SQUOTE] = ACTIONS(1880),
    [anon_sym_SQUOTE] = ACTIONS(1880),
    [anon_sym_L_DQUOTE] = ACTIONS(1880),
    [anon_sym_u_DQUOTE] = ACTIONS(1880),
    [anon_sym_U_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8_DQUOTE] = ACTIONS(1880),
    [anon_sym_DQUOTE] = ACTIONS(1880),
    [sym_true] = ACTIONS(1882),
    [sym_false] = ACTIONS(1882),
    [anon_sym_NULL] = ACTIONS(1882),
    [anon_sym_nullptr] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [anon_sym_final] = ACTIONS(1882),
    [anon_sym_override] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_GT2] = ACTIONS(1880),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_try] = ACTIONS(1882),
    [anon_sym_delete] = ACTIONS(1882),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_namespace] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_concept] = ACTIONS(1882),
    [anon_sym_co_return] = ACTIONS(1882),
    [anon_sym_co_yield] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
    [anon_sym_R_DQUOTE] = ACTIONS(1880),
    [anon_sym_LR_DQUOTE] = ACTIONS(1880),
    [anon_sym_uR_DQUOTE] = ACTIONS(1880),
    [anon_sym_UR_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1880),
    [anon_sym_co_await] = ACTIONS(1882),
    [anon_sym_new] = ACTIONS(1882),
    [anon_sym_requires] = ACTIONS(1882),
    [sym_this] = ACTIONS(1882),
  },
  [127] = {
    [sym_expression] = STATE(2237),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_initializer_list] = STATE(2364),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [aux_sym_preproc_if_token2] = ACTIONS(1886),
    [aux_sym_preproc_else_token1] = ACTIONS(1886),
    [aux_sym_preproc_elif_token1] = ACTIONS(1884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1888),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_and_eq] = ACTIONS(1884),
    [anon_sym_or_eq] = ACTIONS(1884),
    [anon_sym_xor_eq] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [128] = {
    [sym_expression] = STATE(2237),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_initializer_list] = STATE(2364),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_RPAREN] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_SEMI] = ACTIONS(1886),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_RBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_and_eq] = ACTIONS(1884),
    [anon_sym_or_eq] = ACTIONS(1884),
    [anon_sym_xor_eq] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [129] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(487),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4104),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7129),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [130] = {
    [sym_attribute_declaration] = STATE(144),
    [sym_compound_statement] = STATE(472),
    [sym_attributed_statement] = STATE(472),
    [sym_statement] = STATE(400),
    [sym_labeled_statement] = STATE(472),
    [sym_expression_statement] = STATE(472),
    [sym_if_statement] = STATE(472),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(472),
    [sym_while_statement] = STATE(472),
    [sym_do_statement] = STATE(472),
    [sym_for_statement] = STATE(472),
    [sym_return_statement] = STATE(472),
    [sym_break_statement] = STATE(472),
    [sym_continue_statement] = STATE(472),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(472),
    [sym_seh_leave_statement] = STATE(472),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(472),
    [sym_co_yield_statement] = STATE(472),
    [sym_throw_statement] = STATE(472),
    [sym_try_statement] = STATE(472),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [131] = {
    [sym_attribute_declaration] = STATE(145),
    [sym_compound_statement] = STATE(460),
    [sym_attributed_statement] = STATE(460),
    [sym_statement] = STATE(471),
    [sym_labeled_statement] = STATE(460),
    [sym_expression_statement] = STATE(460),
    [sym_if_statement] = STATE(460),
    [sym_switch_statement] = STATE(460),
    [sym_case_statement] = STATE(460),
    [sym_while_statement] = STATE(460),
    [sym_do_statement] = STATE(460),
    [sym_for_statement] = STATE(460),
    [sym_return_statement] = STATE(460),
    [sym_break_statement] = STATE(460),
    [sym_continue_statement] = STATE(460),
    [sym_goto_statement] = STATE(460),
    [sym_seh_try_statement] = STATE(460),
    [sym_seh_leave_statement] = STATE(460),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(460),
    [sym_co_return_statement] = STATE(460),
    [sym_co_yield_statement] = STATE(460),
    [sym_throw_statement] = STATE(460),
    [sym_try_statement] = STATE(460),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [132] = {
    [sym_attribute_declaration] = STATE(132),
    [sym_compound_statement] = STATE(232),
    [sym_attributed_statement] = STATE(232),
    [sym_statement] = STATE(231),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(132),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_LPAREN2] = ACTIONS(1965),
    [anon_sym_BANG] = ACTIONS(1968),
    [anon_sym_TILDE] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_SEMI] = ACTIONS(1977),
    [anon_sym_COLON_COLON] = ACTIONS(1980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [sym_primitive_type] = ACTIONS(1992),
    [anon_sym_if] = ACTIONS(1995),
    [anon_sym_switch] = ACTIONS(1998),
    [anon_sym_case] = ACTIONS(2001),
    [anon_sym_default] = ACTIONS(2004),
    [anon_sym_while] = ACTIONS(2007),
    [anon_sym_do] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2016),
    [anon_sym_break] = ACTIONS(2019),
    [anon_sym_continue] = ACTIONS(2022),
    [anon_sym_goto] = ACTIONS(2025),
    [anon_sym___try] = ACTIONS(2028),
    [anon_sym___leave] = ACTIONS(2031),
    [anon_sym_not] = ACTIONS(1971),
    [anon_sym_compl] = ACTIONS(1971),
    [anon_sym_DASH_DASH] = ACTIONS(2034),
    [anon_sym_PLUS_PLUS] = ACTIONS(2034),
    [anon_sym_sizeof] = ACTIONS(2037),
    [anon_sym___alignof__] = ACTIONS(2040),
    [anon_sym___alignof] = ACTIONS(2040),
    [anon_sym__alignof] = ACTIONS(2040),
    [anon_sym_alignof] = ACTIONS(2040),
    [anon_sym__Alignof] = ACTIONS(2040),
    [anon_sym_offsetof] = ACTIONS(2043),
    [anon_sym__Generic] = ACTIONS(2046),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2052),
    [anon_sym_L_SQUOTE] = ACTIONS(2055),
    [anon_sym_u_SQUOTE] = ACTIONS(2055),
    [anon_sym_U_SQUOTE] = ACTIONS(2055),
    [anon_sym_u8_SQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_L_DQUOTE] = ACTIONS(2058),
    [anon_sym_u_DQUOTE] = ACTIONS(2058),
    [anon_sym_U_DQUOTE] = ACTIONS(2058),
    [anon_sym_u8_DQUOTE] = ACTIONS(2058),
    [anon_sym_DQUOTE] = ACTIONS(2058),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [anon_sym_NULL] = ACTIONS(2064),
    [anon_sym_nullptr] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2067),
    [anon_sym_template] = ACTIONS(2070),
    [anon_sym_try] = ACTIONS(2073),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_co_return] = ACTIONS(2082),
    [anon_sym_co_yield] = ACTIONS(2085),
    [anon_sym_R_DQUOTE] = ACTIONS(2088),
    [anon_sym_LR_DQUOTE] = ACTIONS(2088),
    [anon_sym_uR_DQUOTE] = ACTIONS(2088),
    [anon_sym_UR_DQUOTE] = ACTIONS(2088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2088),
    [anon_sym_co_await] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2094),
    [anon_sym_requires] = ACTIONS(2097),
    [sym_this] = ACTIONS(2061),
  },
  [133] = {
    [sym_attribute_declaration] = STATE(133),
    [sym_compound_statement] = STATE(832),
    [sym_attributed_statement] = STATE(832),
    [sym_statement] = STATE(840),
    [sym_labeled_statement] = STATE(832),
    [sym_expression_statement] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_case_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_goto_statement] = STATE(832),
    [sym_seh_try_statement] = STATE(832),
    [sym_seh_leave_statement] = STATE(832),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(832),
    [sym_co_return_statement] = STATE(832),
    [sym_co_yield_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [sym_identifier] = ACTIONS(2100),
    [anon_sym_LPAREN2] = ACTIONS(1965),
    [anon_sym_BANG] = ACTIONS(1968),
    [anon_sym_TILDE] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_SEMI] = ACTIONS(2103),
    [anon_sym_COLON_COLON] = ACTIONS(1980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [sym_primitive_type] = ACTIONS(1992),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2115),
    [anon_sym_default] = ACTIONS(2118),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2127),
    [anon_sym_return] = ACTIONS(2130),
    [anon_sym_break] = ACTIONS(2133),
    [anon_sym_continue] = ACTIONS(2136),
    [anon_sym_goto] = ACTIONS(2139),
    [anon_sym___try] = ACTIONS(2142),
    [anon_sym___leave] = ACTIONS(2145),
    [anon_sym_not] = ACTIONS(1971),
    [anon_sym_compl] = ACTIONS(1971),
    [anon_sym_DASH_DASH] = ACTIONS(2034),
    [anon_sym_PLUS_PLUS] = ACTIONS(2034),
    [anon_sym_sizeof] = ACTIONS(2037),
    [anon_sym___alignof__] = ACTIONS(2040),
    [anon_sym___alignof] = ACTIONS(2040),
    [anon_sym__alignof] = ACTIONS(2040),
    [anon_sym_alignof] = ACTIONS(2040),
    [anon_sym__Alignof] = ACTIONS(2040),
    [anon_sym_offsetof] = ACTIONS(2043),
    [anon_sym__Generic] = ACTIONS(2046),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2052),
    [anon_sym_L_SQUOTE] = ACTIONS(2055),
    [anon_sym_u_SQUOTE] = ACTIONS(2055),
    [anon_sym_U_SQUOTE] = ACTIONS(2055),
    [anon_sym_u8_SQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_L_DQUOTE] = ACTIONS(2058),
    [anon_sym_u_DQUOTE] = ACTIONS(2058),
    [anon_sym_U_DQUOTE] = ACTIONS(2058),
    [anon_sym_u8_DQUOTE] = ACTIONS(2058),
    [anon_sym_DQUOTE] = ACTIONS(2058),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [anon_sym_NULL] = ACTIONS(2064),
    [anon_sym_nullptr] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2067),
    [anon_sym_template] = ACTIONS(2070),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2151),
    [anon_sym_co_return] = ACTIONS(2154),
    [anon_sym_co_yield] = ACTIONS(2157),
    [anon_sym_R_DQUOTE] = ACTIONS(2088),
    [anon_sym_LR_DQUOTE] = ACTIONS(2088),
    [anon_sym_uR_DQUOTE] = ACTIONS(2088),
    [anon_sym_UR_DQUOTE] = ACTIONS(2088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2088),
    [anon_sym_co_await] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2094),
    [anon_sym_requires] = ACTIONS(2097),
    [sym_this] = ACTIONS(2061),
  },
  [134] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(405),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [135] = {
    [sym_attribute_declaration] = STATE(145),
    [sym_compound_statement] = STATE(460),
    [sym_attributed_statement] = STATE(460),
    [sym_statement] = STATE(398),
    [sym_labeled_statement] = STATE(460),
    [sym_expression_statement] = STATE(460),
    [sym_if_statement] = STATE(460),
    [sym_switch_statement] = STATE(460),
    [sym_case_statement] = STATE(460),
    [sym_while_statement] = STATE(460),
    [sym_do_statement] = STATE(460),
    [sym_for_statement] = STATE(460),
    [sym_return_statement] = STATE(460),
    [sym_break_statement] = STATE(460),
    [sym_continue_statement] = STATE(460),
    [sym_goto_statement] = STATE(460),
    [sym_seh_try_statement] = STATE(460),
    [sym_seh_leave_statement] = STATE(460),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(460),
    [sym_co_return_statement] = STATE(460),
    [sym_co_yield_statement] = STATE(460),
    [sym_throw_statement] = STATE(460),
    [sym_try_statement] = STATE(460),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [136] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(518),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [137] = {
    [sym_attribute_declaration] = STATE(149),
    [sym_compound_statement] = STATE(832),
    [sym_attributed_statement] = STATE(832),
    [sym_statement] = STATE(813),
    [sym_labeled_statement] = STATE(832),
    [sym_expression_statement] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_case_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_goto_statement] = STATE(832),
    [sym_seh_try_statement] = STATE(832),
    [sym_seh_leave_statement] = STATE(832),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(832),
    [sym_co_return_statement] = STATE(832),
    [sym_co_yield_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(149),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [138] = {
    [sym_attribute_declaration] = STATE(138),
    [sym_compound_statement] = STATE(460),
    [sym_attributed_statement] = STATE(460),
    [sym_statement] = STATE(514),
    [sym_labeled_statement] = STATE(460),
    [sym_expression_statement] = STATE(460),
    [sym_if_statement] = STATE(460),
    [sym_switch_statement] = STATE(460),
    [sym_case_statement] = STATE(460),
    [sym_while_statement] = STATE(460),
    [sym_do_statement] = STATE(460),
    [sym_for_statement] = STATE(460),
    [sym_return_statement] = STATE(460),
    [sym_break_statement] = STATE(460),
    [sym_continue_statement] = STATE(460),
    [sym_goto_statement] = STATE(460),
    [sym_seh_try_statement] = STATE(460),
    [sym_seh_leave_statement] = STATE(460),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(460),
    [sym_co_return_statement] = STATE(460),
    [sym_co_yield_statement] = STATE(460),
    [sym_throw_statement] = STATE(460),
    [sym_try_statement] = STATE(460),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(138),
    [sym_identifier] = ACTIONS(2166),
    [anon_sym_LPAREN2] = ACTIONS(1965),
    [anon_sym_BANG] = ACTIONS(1968),
    [anon_sym_TILDE] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_COLON_COLON] = ACTIONS(1980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [sym_primitive_type] = ACTIONS(1992),
    [anon_sym_if] = ACTIONS(2175),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2187),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2196),
    [anon_sym_break] = ACTIONS(2199),
    [anon_sym_continue] = ACTIONS(2202),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2211),
    [anon_sym_not] = ACTIONS(1971),
    [anon_sym_compl] = ACTIONS(1971),
    [anon_sym_DASH_DASH] = ACTIONS(2034),
    [anon_sym_PLUS_PLUS] = ACTIONS(2034),
    [anon_sym_sizeof] = ACTIONS(2037),
    [anon_sym___alignof__] = ACTIONS(2040),
    [anon_sym___alignof] = ACTIONS(2040),
    [anon_sym__alignof] = ACTIONS(2040),
    [anon_sym_alignof] = ACTIONS(2040),
    [anon_sym__Alignof] = ACTIONS(2040),
    [anon_sym_offsetof] = ACTIONS(2043),
    [anon_sym__Generic] = ACTIONS(2046),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2052),
    [anon_sym_L_SQUOTE] = ACTIONS(2055),
    [anon_sym_u_SQUOTE] = ACTIONS(2055),
    [anon_sym_U_SQUOTE] = ACTIONS(2055),
    [anon_sym_u8_SQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_L_DQUOTE] = ACTIONS(2058),
    [anon_sym_u_DQUOTE] = ACTIONS(2058),
    [anon_sym_U_DQUOTE] = ACTIONS(2058),
    [anon_sym_u8_DQUOTE] = ACTIONS(2058),
    [anon_sym_DQUOTE] = ACTIONS(2058),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [anon_sym_NULL] = ACTIONS(2064),
    [anon_sym_nullptr] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2067),
    [anon_sym_template] = ACTIONS(2070),
    [anon_sym_try] = ACTIONS(2214),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2217),
    [anon_sym_co_return] = ACTIONS(2220),
    [anon_sym_co_yield] = ACTIONS(2223),
    [anon_sym_R_DQUOTE] = ACTIONS(2088),
    [anon_sym_LR_DQUOTE] = ACTIONS(2088),
    [anon_sym_uR_DQUOTE] = ACTIONS(2088),
    [anon_sym_UR_DQUOTE] = ACTIONS(2088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2088),
    [anon_sym_co_await] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2094),
    [anon_sym_requires] = ACTIONS(2097),
    [sym_this] = ACTIONS(2061),
  },
  [139] = {
    [sym_attribute_declaration] = STATE(182),
    [sym_compound_statement] = STATE(232),
    [sym_attributed_statement] = STATE(232),
    [sym_statement] = STATE(224),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [sym_identifier] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [140] = {
    [sym_attribute_declaration] = STATE(149),
    [sym_compound_statement] = STATE(832),
    [sym_attributed_statement] = STATE(832),
    [sym_statement] = STATE(827),
    [sym_labeled_statement] = STATE(832),
    [sym_expression_statement] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_case_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_goto_statement] = STATE(832),
    [sym_seh_try_statement] = STATE(832),
    [sym_seh_leave_statement] = STATE(832),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(832),
    [sym_co_return_statement] = STATE(832),
    [sym_co_yield_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(149),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [141] = {
    [sym_attribute_declaration] = STATE(149),
    [sym_compound_statement] = STATE(832),
    [sym_attributed_statement] = STATE(832),
    [sym_statement] = STATE(833),
    [sym_labeled_statement] = STATE(832),
    [sym_expression_statement] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_case_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_goto_statement] = STATE(832),
    [sym_seh_try_statement] = STATE(832),
    [sym_seh_leave_statement] = STATE(832),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(832),
    [sym_co_return_statement] = STATE(832),
    [sym_co_yield_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(149),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [142] = {
    [sym_attribute_declaration] = STATE(149),
    [sym_compound_statement] = STATE(832),
    [sym_attributed_statement] = STATE(832),
    [sym_statement] = STATE(834),
    [sym_labeled_statement] = STATE(832),
    [sym_expression_statement] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_case_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_goto_statement] = STATE(832),
    [sym_seh_try_statement] = STATE(832),
    [sym_seh_leave_statement] = STATE(832),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(832),
    [sym_co_return_statement] = STATE(832),
    [sym_co_yield_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(149),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [143] = {
    [sym_expression] = STATE(2886),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_initializer_list] = STATE(3225),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_RPAREN] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1742),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_and_eq] = ACTIONS(1884),
    [anon_sym_or_eq] = ACTIONS(1884),
    [anon_sym_xor_eq] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1886),
    [sym_this] = ACTIONS(1784),
  },
  [144] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(472),
    [sym_attributed_statement] = STATE(472),
    [sym_statement] = STATE(488),
    [sym_labeled_statement] = STATE(472),
    [sym_expression_statement] = STATE(472),
    [sym_if_statement] = STATE(472),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(472),
    [sym_while_statement] = STATE(472),
    [sym_do_statement] = STATE(472),
    [sym_for_statement] = STATE(472),
    [sym_return_statement] = STATE(472),
    [sym_break_statement] = STATE(472),
    [sym_continue_statement] = STATE(472),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(472),
    [sym_seh_leave_statement] = STATE(472),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(472),
    [sym_co_yield_statement] = STATE(472),
    [sym_throw_statement] = STATE(472),
    [sym_try_statement] = STATE(472),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [145] = {
    [sym_attribute_declaration] = STATE(138),
    [sym_compound_statement] = STATE(460),
    [sym_attributed_statement] = STATE(460),
    [sym_statement] = STATE(514),
    [sym_labeled_statement] = STATE(460),
    [sym_expression_statement] = STATE(460),
    [sym_if_statement] = STATE(460),
    [sym_switch_statement] = STATE(460),
    [sym_case_statement] = STATE(460),
    [sym_while_statement] = STATE(460),
    [sym_do_statement] = STATE(460),
    [sym_for_statement] = STATE(460),
    [sym_return_statement] = STATE(460),
    [sym_break_statement] = STATE(460),
    [sym_continue_statement] = STATE(460),
    [sym_goto_statement] = STATE(460),
    [sym_seh_try_statement] = STATE(460),
    [sym_seh_leave_statement] = STATE(460),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(460),
    [sym_co_return_statement] = STATE(460),
    [sym_co_yield_statement] = STATE(460),
    [sym_throw_statement] = STATE(460),
    [sym_try_statement] = STATE(460),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(138),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [146] = {
    [sym_attribute_declaration] = STATE(182),
    [sym_compound_statement] = STATE(232),
    [sym_attributed_statement] = STATE(232),
    [sym_statement] = STATE(264),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [sym_identifier] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [147] = {
    [sym_attribute_declaration] = STATE(182),
    [sym_compound_statement] = STATE(232),
    [sym_attributed_statement] = STATE(232),
    [sym_statement] = STATE(230),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [sym_identifier] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [148] = {
    [sym_attribute_declaration] = STATE(182),
    [sym_compound_statement] = STATE(232),
    [sym_attributed_statement] = STATE(232),
    [sym_statement] = STATE(229),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [sym_identifier] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [149] = {
    [sym_attribute_declaration] = STATE(133),
    [sym_compound_statement] = STATE(832),
    [sym_attributed_statement] = STATE(832),
    [sym_statement] = STATE(840),
    [sym_labeled_statement] = STATE(832),
    [sym_expression_statement] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_case_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_goto_statement] = STATE(832),
    [sym_seh_try_statement] = STATE(832),
    [sym_seh_leave_statement] = STATE(832),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(832),
    [sym_co_return_statement] = STATE(832),
    [sym_co_yield_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(133),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [150] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(483),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [151] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(6896),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [152] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(471),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [153] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(507),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [154] = {
    [sym_attribute_declaration] = STATE(154),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(514),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_LPAREN2] = ACTIONS(1965),
    [anon_sym_BANG] = ACTIONS(1968),
    [anon_sym_TILDE] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_SEMI] = ACTIONS(2247),
    [anon_sym_COLON_COLON] = ACTIONS(1980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [sym_primitive_type] = ACTIONS(1992),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_case] = ACTIONS(2115),
    [anon_sym_default] = ACTIONS(2118),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2256),
    [anon_sym_return] = ACTIONS(2196),
    [anon_sym_break] = ACTIONS(2199),
    [anon_sym_continue] = ACTIONS(2202),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym___try] = ACTIONS(2259),
    [anon_sym___leave] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(1971),
    [anon_sym_compl] = ACTIONS(1971),
    [anon_sym_DASH_DASH] = ACTIONS(2034),
    [anon_sym_PLUS_PLUS] = ACTIONS(2034),
    [anon_sym_sizeof] = ACTIONS(2037),
    [anon_sym___alignof__] = ACTIONS(2040),
    [anon_sym___alignof] = ACTIONS(2040),
    [anon_sym__alignof] = ACTIONS(2040),
    [anon_sym_alignof] = ACTIONS(2040),
    [anon_sym__Alignof] = ACTIONS(2040),
    [anon_sym_offsetof] = ACTIONS(2043),
    [anon_sym__Generic] = ACTIONS(2046),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2052),
    [anon_sym_L_SQUOTE] = ACTIONS(2055),
    [anon_sym_u_SQUOTE] = ACTIONS(2055),
    [anon_sym_U_SQUOTE] = ACTIONS(2055),
    [anon_sym_u8_SQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_L_DQUOTE] = ACTIONS(2058),
    [anon_sym_u_DQUOTE] = ACTIONS(2058),
    [anon_sym_U_DQUOTE] = ACTIONS(2058),
    [anon_sym_u8_DQUOTE] = ACTIONS(2058),
    [anon_sym_DQUOTE] = ACTIONS(2058),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [anon_sym_NULL] = ACTIONS(2064),
    [anon_sym_nullptr] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2067),
    [anon_sym_template] = ACTIONS(2070),
    [anon_sym_try] = ACTIONS(2214),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2217),
    [anon_sym_co_return] = ACTIONS(2220),
    [anon_sym_co_yield] = ACTIONS(2223),
    [anon_sym_R_DQUOTE] = ACTIONS(2088),
    [anon_sym_LR_DQUOTE] = ACTIONS(2088),
    [anon_sym_uR_DQUOTE] = ACTIONS(2088),
    [anon_sym_UR_DQUOTE] = ACTIONS(2088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2088),
    [anon_sym_co_await] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2094),
    [anon_sym_requires] = ACTIONS(2097),
    [sym_this] = ACTIONS(2061),
  },
  [155] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(7981),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [156] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(6671),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [157] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(447),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [158] = {
    [sym_attribute_declaration] = STATE(149),
    [sym_compound_statement] = STATE(832),
    [sym_attributed_statement] = STATE(832),
    [sym_statement] = STATE(848),
    [sym_labeled_statement] = STATE(832),
    [sym_expression_statement] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_case_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_goto_statement] = STATE(832),
    [sym_seh_try_statement] = STATE(832),
    [sym_seh_leave_statement] = STATE(832),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(832),
    [sym_co_return_statement] = STATE(832),
    [sym_co_yield_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(149),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [159] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(450),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [160] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(487),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [161] = {
    [sym_attribute_declaration] = STATE(154),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(514),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(154),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [162] = {
    [sym_attribute_declaration] = STATE(162),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(470),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [sym_identifier] = ACTIONS(2265),
    [anon_sym_LPAREN2] = ACTIONS(1965),
    [anon_sym_BANG] = ACTIONS(1968),
    [anon_sym_TILDE] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_SEMI] = ACTIONS(2247),
    [anon_sym_COLON_COLON] = ACTIONS(1980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [sym_primitive_type] = ACTIONS(1992),
    [anon_sym_if] = ACTIONS(2271),
    [anon_sym_switch] = ACTIONS(2274),
    [anon_sym_case] = ACTIONS(2277),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2283),
    [anon_sym_do] = ACTIONS(2286),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2295),
    [anon_sym_continue] = ACTIONS(2298),
    [anon_sym_goto] = ACTIONS(2301),
    [anon_sym___try] = ACTIONS(2304),
    [anon_sym___leave] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(1971),
    [anon_sym_compl] = ACTIONS(1971),
    [anon_sym_DASH_DASH] = ACTIONS(2034),
    [anon_sym_PLUS_PLUS] = ACTIONS(2034),
    [anon_sym_sizeof] = ACTIONS(2037),
    [anon_sym___alignof__] = ACTIONS(2040),
    [anon_sym___alignof] = ACTIONS(2040),
    [anon_sym__alignof] = ACTIONS(2040),
    [anon_sym_alignof] = ACTIONS(2040),
    [anon_sym__Alignof] = ACTIONS(2040),
    [anon_sym_offsetof] = ACTIONS(2043),
    [anon_sym__Generic] = ACTIONS(2046),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2052),
    [anon_sym_L_SQUOTE] = ACTIONS(2055),
    [anon_sym_u_SQUOTE] = ACTIONS(2055),
    [anon_sym_U_SQUOTE] = ACTIONS(2055),
    [anon_sym_u8_SQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_L_DQUOTE] = ACTIONS(2058),
    [anon_sym_u_DQUOTE] = ACTIONS(2058),
    [anon_sym_U_DQUOTE] = ACTIONS(2058),
    [anon_sym_u8_DQUOTE] = ACTIONS(2058),
    [anon_sym_DQUOTE] = ACTIONS(2058),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [anon_sym_NULL] = ACTIONS(2064),
    [anon_sym_nullptr] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2067),
    [anon_sym_template] = ACTIONS(2070),
    [anon_sym_try] = ACTIONS(2307),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_co_return] = ACTIONS(2313),
    [anon_sym_co_yield] = ACTIONS(2316),
    [anon_sym_R_DQUOTE] = ACTIONS(2088),
    [anon_sym_LR_DQUOTE] = ACTIONS(2088),
    [anon_sym_uR_DQUOTE] = ACTIONS(2088),
    [anon_sym_UR_DQUOTE] = ACTIONS(2088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2088),
    [anon_sym_co_await] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2094),
    [anon_sym_requires] = ACTIONS(2097),
    [sym_this] = ACTIONS(2061),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(145),
    [sym_compound_statement] = STATE(460),
    [sym_attributed_statement] = STATE(460),
    [sym_statement] = STATE(507),
    [sym_labeled_statement] = STATE(460),
    [sym_expression_statement] = STATE(460),
    [sym_if_statement] = STATE(460),
    [sym_switch_statement] = STATE(460),
    [sym_case_statement] = STATE(460),
    [sym_while_statement] = STATE(460),
    [sym_do_statement] = STATE(460),
    [sym_for_statement] = STATE(460),
    [sym_return_statement] = STATE(460),
    [sym_break_statement] = STATE(460),
    [sym_continue_statement] = STATE(460),
    [sym_goto_statement] = STATE(460),
    [sym_seh_try_statement] = STATE(460),
    [sym_seh_leave_statement] = STATE(460),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(460),
    [sym_co_return_statement] = STATE(460),
    [sym_co_yield_statement] = STATE(460),
    [sym_throw_statement] = STATE(460),
    [sym_try_statement] = STATE(460),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(145),
    [sym_compound_statement] = STATE(460),
    [sym_attributed_statement] = STATE(460),
    [sym_statement] = STATE(394),
    [sym_labeled_statement] = STATE(460),
    [sym_expression_statement] = STATE(460),
    [sym_if_statement] = STATE(460),
    [sym_switch_statement] = STATE(460),
    [sym_case_statement] = STATE(460),
    [sym_while_statement] = STATE(460),
    [sym_do_statement] = STATE(460),
    [sym_for_statement] = STATE(460),
    [sym_return_statement] = STATE(460),
    [sym_break_statement] = STATE(460),
    [sym_continue_statement] = STATE(460),
    [sym_goto_statement] = STATE(460),
    [sym_seh_try_statement] = STATE(460),
    [sym_seh_leave_statement] = STATE(460),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(460),
    [sym_co_return_statement] = STATE(460),
    [sym_co_yield_statement] = STATE(460),
    [sym_throw_statement] = STATE(460),
    [sym_try_statement] = STATE(460),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(144),
    [sym_compound_statement] = STATE(472),
    [sym_attributed_statement] = STATE(472),
    [sym_statement] = STATE(399),
    [sym_labeled_statement] = STATE(472),
    [sym_expression_statement] = STATE(472),
    [sym_if_statement] = STATE(472),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(472),
    [sym_while_statement] = STATE(472),
    [sym_do_statement] = STATE(472),
    [sym_for_statement] = STATE(472),
    [sym_return_statement] = STATE(472),
    [sym_break_statement] = STATE(472),
    [sym_continue_statement] = STATE(472),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(472),
    [sym_seh_leave_statement] = STATE(472),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(472),
    [sym_co_yield_statement] = STATE(472),
    [sym_throw_statement] = STATE(472),
    [sym_try_statement] = STATE(472),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(144),
    [sym_compound_statement] = STATE(472),
    [sym_attributed_statement] = STATE(472),
    [sym_statement] = STATE(498),
    [sym_labeled_statement] = STATE(472),
    [sym_expression_statement] = STATE(472),
    [sym_if_statement] = STATE(472),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(472),
    [sym_while_statement] = STATE(472),
    [sym_do_statement] = STATE(472),
    [sym_for_statement] = STATE(472),
    [sym_return_statement] = STATE(472),
    [sym_break_statement] = STATE(472),
    [sym_continue_statement] = STATE(472),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(472),
    [sym_seh_leave_statement] = STATE(472),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(472),
    [sym_co_yield_statement] = STATE(472),
    [sym_throw_statement] = STATE(472),
    [sym_try_statement] = STATE(472),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(145),
    [sym_compound_statement] = STATE(460),
    [sym_attributed_statement] = STATE(460),
    [sym_statement] = STATE(447),
    [sym_labeled_statement] = STATE(460),
    [sym_expression_statement] = STATE(460),
    [sym_if_statement] = STATE(460),
    [sym_switch_statement] = STATE(460),
    [sym_case_statement] = STATE(460),
    [sym_while_statement] = STATE(460),
    [sym_do_statement] = STATE(460),
    [sym_for_statement] = STATE(460),
    [sym_return_statement] = STATE(460),
    [sym_break_statement] = STATE(460),
    [sym_continue_statement] = STATE(460),
    [sym_goto_statement] = STATE(460),
    [sym_seh_try_statement] = STATE(460),
    [sym_seh_leave_statement] = STATE(460),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(460),
    [sym_co_return_statement] = STATE(460),
    [sym_co_yield_statement] = STATE(460),
    [sym_throw_statement] = STATE(460),
    [sym_try_statement] = STATE(460),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(144),
    [sym_compound_statement] = STATE(472),
    [sym_attributed_statement] = STATE(472),
    [sym_statement] = STATE(504),
    [sym_labeled_statement] = STATE(472),
    [sym_expression_statement] = STATE(472),
    [sym_if_statement] = STATE(472),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(472),
    [sym_while_statement] = STATE(472),
    [sym_do_statement] = STATE(472),
    [sym_for_statement] = STATE(472),
    [sym_return_statement] = STATE(472),
    [sym_break_statement] = STATE(472),
    [sym_continue_statement] = STATE(472),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(472),
    [sym_seh_leave_statement] = STATE(472),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(472),
    [sym_co_yield_statement] = STATE(472),
    [sym_throw_statement] = STATE(472),
    [sym_try_statement] = STATE(472),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [169] = {
    [sym_expression] = STATE(2237),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_initializer_list] = STATE(2364),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_SEMI] = ACTIONS(1886),
    [anon_sym___attribute__] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_and_eq] = ACTIONS(1884),
    [anon_sym_or_eq] = ACTIONS(1884),
    [anon_sym_xor_eq] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(403),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(472),
    [sym_attributed_statement] = STATE(472),
    [sym_statement] = STATE(488),
    [sym_labeled_statement] = STATE(472),
    [sym_expression_statement] = STATE(472),
    [sym_if_statement] = STATE(472),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(472),
    [sym_while_statement] = STATE(472),
    [sym_do_statement] = STATE(472),
    [sym_for_statement] = STATE(472),
    [sym_return_statement] = STATE(472),
    [sym_break_statement] = STATE(472),
    [sym_continue_statement] = STATE(472),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(472),
    [sym_seh_leave_statement] = STATE(472),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(472),
    [sym_co_yield_statement] = STATE(472),
    [sym_throw_statement] = STATE(472),
    [sym_try_statement] = STATE(472),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2341),
    [anon_sym_LPAREN2] = ACTIONS(1965),
    [anon_sym_BANG] = ACTIONS(1968),
    [anon_sym_TILDE] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym_COLON_COLON] = ACTIONS(1980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [sym_primitive_type] = ACTIONS(1992),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2353),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2359),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2365),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2371),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2377),
    [anon_sym_goto] = ACTIONS(2380),
    [anon_sym___try] = ACTIONS(2383),
    [anon_sym___leave] = ACTIONS(2386),
    [anon_sym_not] = ACTIONS(1971),
    [anon_sym_compl] = ACTIONS(1971),
    [anon_sym_DASH_DASH] = ACTIONS(2034),
    [anon_sym_PLUS_PLUS] = ACTIONS(2034),
    [anon_sym_sizeof] = ACTIONS(2037),
    [anon_sym___alignof__] = ACTIONS(2040),
    [anon_sym___alignof] = ACTIONS(2040),
    [anon_sym__alignof] = ACTIONS(2040),
    [anon_sym_alignof] = ACTIONS(2040),
    [anon_sym__Alignof] = ACTIONS(2040),
    [anon_sym_offsetof] = ACTIONS(2043),
    [anon_sym__Generic] = ACTIONS(2046),
    [anon_sym_asm] = ACTIONS(2049),
    [anon_sym___asm__] = ACTIONS(2049),
    [sym_number_literal] = ACTIONS(2052),
    [anon_sym_L_SQUOTE] = ACTIONS(2055),
    [anon_sym_u_SQUOTE] = ACTIONS(2055),
    [anon_sym_U_SQUOTE] = ACTIONS(2055),
    [anon_sym_u8_SQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [anon_sym_L_DQUOTE] = ACTIONS(2058),
    [anon_sym_u_DQUOTE] = ACTIONS(2058),
    [anon_sym_U_DQUOTE] = ACTIONS(2058),
    [anon_sym_u8_DQUOTE] = ACTIONS(2058),
    [anon_sym_DQUOTE] = ACTIONS(2058),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [anon_sym_NULL] = ACTIONS(2064),
    [anon_sym_nullptr] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2067),
    [anon_sym_template] = ACTIONS(2070),
    [anon_sym_try] = ACTIONS(2389),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_throw] = ACTIONS(2392),
    [anon_sym_co_return] = ACTIONS(2395),
    [anon_sym_co_yield] = ACTIONS(2398),
    [anon_sym_R_DQUOTE] = ACTIONS(2088),
    [anon_sym_LR_DQUOTE] = ACTIONS(2088),
    [anon_sym_uR_DQUOTE] = ACTIONS(2088),
    [anon_sym_UR_DQUOTE] = ACTIONS(2088),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2088),
    [anon_sym_co_await] = ACTIONS(2091),
    [anon_sym_new] = ACTIONS(2094),
    [anon_sym_requires] = ACTIONS(2097),
    [sym_this] = ACTIONS(2061),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(145),
    [sym_compound_statement] = STATE(460),
    [sym_attributed_statement] = STATE(460),
    [sym_statement] = STATE(450),
    [sym_labeled_statement] = STATE(460),
    [sym_expression_statement] = STATE(460),
    [sym_if_statement] = STATE(460),
    [sym_switch_statement] = STATE(460),
    [sym_case_statement] = STATE(460),
    [sym_while_statement] = STATE(460),
    [sym_do_statement] = STATE(460),
    [sym_for_statement] = STATE(460),
    [sym_return_statement] = STATE(460),
    [sym_break_statement] = STATE(460),
    [sym_continue_statement] = STATE(460),
    [sym_goto_statement] = STATE(460),
    [sym_seh_try_statement] = STATE(460),
    [sym_seh_leave_statement] = STATE(460),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(460),
    [sym_co_return_statement] = STATE(460),
    [sym_co_yield_statement] = STATE(460),
    [sym_throw_statement] = STATE(460),
    [sym_try_statement] = STATE(460),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(162),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(470),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(145),
    [sym_compound_statement] = STATE(460),
    [sym_attributed_statement] = STATE(460),
    [sym_statement] = STATE(449),
    [sym_labeled_statement] = STATE(460),
    [sym_expression_statement] = STATE(460),
    [sym_if_statement] = STATE(460),
    [sym_switch_statement] = STATE(460),
    [sym_case_statement] = STATE(460),
    [sym_while_statement] = STATE(460),
    [sym_do_statement] = STATE(460),
    [sym_for_statement] = STATE(460),
    [sym_return_statement] = STATE(460),
    [sym_break_statement] = STATE(460),
    [sym_continue_statement] = STATE(460),
    [sym_goto_statement] = STATE(460),
    [sym_seh_try_statement] = STATE(460),
    [sym_seh_leave_statement] = STATE(460),
    [sym_expression] = STATE(4278),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7602),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(460),
    [sym_co_return_statement] = STATE(460),
    [sym_co_yield_statement] = STATE(460),
    [sym_throw_statement] = STATE(460),
    [sym_try_statement] = STATE(460),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(145),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(79),
    [anon_sym_default] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(7587),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [176] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(505),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(182),
    [sym_compound_statement] = STATE(232),
    [sym_attributed_statement] = STATE(232),
    [sym_statement] = STATE(228),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [sym_identifier] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(144),
    [sym_compound_statement] = STATE(472),
    [sym_attributed_statement] = STATE(472),
    [sym_statement] = STATE(409),
    [sym_labeled_statement] = STATE(472),
    [sym_expression_statement] = STATE(472),
    [sym_if_statement] = STATE(472),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(472),
    [sym_while_statement] = STATE(472),
    [sym_do_statement] = STATE(472),
    [sym_for_statement] = STATE(472),
    [sym_return_statement] = STATE(472),
    [sym_break_statement] = STATE(472),
    [sym_continue_statement] = STATE(472),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(472),
    [sym_seh_leave_statement] = STATE(472),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(472),
    [sym_co_yield_statement] = STATE(472),
    [sym_throw_statement] = STATE(472),
    [sym_try_statement] = STATE(472),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(144),
    [sym_compound_statement] = STATE(472),
    [sym_attributed_statement] = STATE(472),
    [sym_statement] = STATE(411),
    [sym_labeled_statement] = STATE(472),
    [sym_expression_statement] = STATE(472),
    [sym_if_statement] = STATE(472),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(472),
    [sym_while_statement] = STATE(472),
    [sym_do_statement] = STATE(472),
    [sym_for_statement] = STATE(472),
    [sym_return_statement] = STATE(472),
    [sym_break_statement] = STATE(472),
    [sym_continue_statement] = STATE(472),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(472),
    [sym_seh_leave_statement] = STATE(472),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(472),
    [sym_co_yield_statement] = STATE(472),
    [sym_throw_statement] = STATE(472),
    [sym_try_statement] = STATE(472),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(144),
    [sym_compound_statement] = STATE(472),
    [sym_attributed_statement] = STATE(472),
    [sym_statement] = STATE(412),
    [sym_labeled_statement] = STATE(472),
    [sym_expression_statement] = STATE(472),
    [sym_if_statement] = STATE(472),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(472),
    [sym_while_statement] = STATE(472),
    [sym_do_statement] = STATE(472),
    [sym_for_statement] = STATE(472),
    [sym_return_statement] = STATE(472),
    [sym_break_statement] = STATE(472),
    [sym_continue_statement] = STATE(472),
    [sym_goto_statement] = STATE(472),
    [sym_seh_try_statement] = STATE(472),
    [sym_seh_leave_statement] = STATE(472),
    [sym_expression] = STATE(4299),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7693),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(472),
    [sym_co_return_statement] = STATE(472),
    [sym_co_yield_statement] = STATE(472),
    [sym_throw_statement] = STATE(472),
    [sym_try_statement] = STATE(472),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(144),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(752),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(762),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(774),
    [anon_sym_goto] = ACTIONS(776),
    [anon_sym___try] = ACTIONS(778),
    [anon_sym___leave] = ACTIONS(780),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(786),
    [anon_sym_co_return] = ACTIONS(796),
    [anon_sym_co_yield] = ACTIONS(798),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(182),
    [sym_compound_statement] = STATE(232),
    [sym_attributed_statement] = STATE(232),
    [sym_statement] = STATE(241),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [sym_identifier] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(132),
    [sym_compound_statement] = STATE(232),
    [sym_attributed_statement] = STATE(232),
    [sym_statement] = STATE(231),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(132),
    [sym_identifier] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(182),
    [sym_compound_statement] = STATE(232),
    [sym_attributed_statement] = STATE(232),
    [sym_statement] = STATE(244),
    [sym_labeled_statement] = STATE(232),
    [sym_expression_statement] = STATE(232),
    [sym_if_statement] = STATE(232),
    [sym_switch_statement] = STATE(232),
    [sym_case_statement] = STATE(232),
    [sym_while_statement] = STATE(232),
    [sym_do_statement] = STATE(232),
    [sym_for_statement] = STATE(232),
    [sym_return_statement] = STATE(232),
    [sym_break_statement] = STATE(232),
    [sym_continue_statement] = STATE(232),
    [sym_goto_statement] = STATE(232),
    [sym_seh_try_statement] = STATE(232),
    [sym_seh_leave_statement] = STATE(232),
    [sym_expression] = STATE(4229),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7482),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(232),
    [sym_co_return_statement] = STATE(232),
    [sym_co_yield_statement] = STATE(232),
    [sym_throw_statement] = STATE(232),
    [sym_try_statement] = STATE(232),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [sym_identifier] = ACTIONS(2226),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(287),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(291),
    [anon_sym_switch] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(295),
    [anon_sym_default] = ACTIONS(297),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(307),
    [anon_sym_continue] = ACTIONS(309),
    [anon_sym_goto] = ACTIONS(311),
    [anon_sym___try] = ACTIONS(313),
    [anon_sym___leave] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(319),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(321),
    [anon_sym_co_return] = ACTIONS(331),
    [anon_sym_co_yield] = ACTIONS(333),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(173),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(390),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(173),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(223),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(225),
    [anon_sym_co_return] = ACTIONS(235),
    [anon_sym_co_yield] = ACTIONS(237),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(149),
    [sym_compound_statement] = STATE(832),
    [sym_attributed_statement] = STATE(832),
    [sym_statement] = STATE(816),
    [sym_labeled_statement] = STATE(832),
    [sym_expression_statement] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_case_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_goto_statement] = STATE(832),
    [sym_seh_try_statement] = STATE(832),
    [sym_seh_leave_statement] = STATE(832),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(832),
    [sym_co_return_statement] = STATE(832),
    [sym_co_yield_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(149),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(149),
    [sym_compound_statement] = STATE(832),
    [sym_attributed_statement] = STATE(832),
    [sym_statement] = STATE(845),
    [sym_labeled_statement] = STATE(832),
    [sym_expression_statement] = STATE(832),
    [sym_if_statement] = STATE(832),
    [sym_switch_statement] = STATE(832),
    [sym_case_statement] = STATE(832),
    [sym_while_statement] = STATE(832),
    [sym_do_statement] = STATE(832),
    [sym_for_statement] = STATE(832),
    [sym_return_statement] = STATE(832),
    [sym_break_statement] = STATE(832),
    [sym_continue_statement] = STATE(832),
    [sym_goto_statement] = STATE(832),
    [sym_seh_try_statement] = STATE(832),
    [sym_seh_leave_statement] = STATE(832),
    [sym_expression] = STATE(4210),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7519),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(832),
    [sym_co_return_statement] = STATE(832),
    [sym_co_yield_statement] = STATE(832),
    [sym_throw_statement] = STATE(832),
    [sym_try_statement] = STATE(832),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(149),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1628),
    [anon_sym_switch] = ACTIONS(1630),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(1632),
    [anon_sym_do] = ACTIONS(1634),
    [anon_sym_for] = ACTIONS(1636),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1640),
    [anon_sym_continue] = ACTIONS(1642),
    [anon_sym_goto] = ACTIONS(1644),
    [anon_sym___try] = ACTIONS(1646),
    [anon_sym___leave] = ACTIONS(1648),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1652),
    [anon_sym_co_return] = ACTIONS(1654),
    [anon_sym_co_yield] = ACTIONS(1656),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(7770),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(7934),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(7960),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(519),
    [sym_statement] = STATE(449),
    [sym_labeled_statement] = STATE(519),
    [sym_expression_statement] = STATE(519),
    [sym_if_statement] = STATE(519),
    [sym_switch_statement] = STATE(519),
    [sym_case_statement] = STATE(519),
    [sym_while_statement] = STATE(519),
    [sym_do_statement] = STATE(519),
    [sym_for_statement] = STATE(519),
    [sym_return_statement] = STATE(519),
    [sym_break_statement] = STATE(519),
    [sym_continue_statement] = STATE(519),
    [sym_goto_statement] = STATE(519),
    [sym_seh_try_statement] = STATE(519),
    [sym_seh_leave_statement] = STATE(519),
    [sym_expression] = STATE(4256),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7559),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_for_range_loop] = STATE(519),
    [sym_co_return_statement] = STATE(519),
    [sym_co_yield_statement] = STATE(519),
    [sym_throw_statement] = STATE(519),
    [sym_try_statement] = STATE(519),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_switch] = ACTIONS(77),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(85),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_goto] = ACTIONS(95),
    [anon_sym___try] = ACTIONS(2242),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [191] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7591),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [192] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7944),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [193] = {
    [sym_catch_clause] = STATE(194),
    [aux_sym_constructor_try_statement_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_include_token1] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token2] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [aux_sym_preproc_else_token1] = ACTIONS(2407),
    [aux_sym_preproc_elif_token1] = ACTIONS(2407),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym___cdecl] = ACTIONS(2407),
    [anon_sym___clrcall] = ACTIONS(2407),
    [anon_sym___stdcall] = ACTIONS(2407),
    [anon_sym___fastcall] = ACTIONS(2407),
    [anon_sym___thiscall] = ACTIONS(2407),
    [anon_sym___vectorcall] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(2407),
    [anon_sym_switch] = ACTIONS(2407),
    [anon_sym_case] = ACTIONS(2407),
    [anon_sym_default] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2407),
    [anon_sym_for] = ACTIONS(2407),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2407),
    [anon_sym_goto] = ACTIONS(2407),
    [anon_sym___try] = ACTIONS(2407),
    [anon_sym___leave] = ACTIONS(2407),
    [anon_sym_not] = ACTIONS(2407),
    [anon_sym_compl] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2409),
    [anon_sym_sizeof] = ACTIONS(2407),
    [anon_sym___alignof__] = ACTIONS(2407),
    [anon_sym___alignof] = ACTIONS(2407),
    [anon_sym__alignof] = ACTIONS(2407),
    [anon_sym_alignof] = ACTIONS(2407),
    [anon_sym__Alignof] = ACTIONS(2407),
    [anon_sym_offsetof] = ACTIONS(2407),
    [anon_sym__Generic] = ACTIONS(2407),
    [anon_sym_asm] = ACTIONS(2407),
    [anon_sym___asm__] = ACTIONS(2407),
    [sym_number_literal] = ACTIONS(2409),
    [anon_sym_L_SQUOTE] = ACTIONS(2409),
    [anon_sym_u_SQUOTE] = ACTIONS(2409),
    [anon_sym_U_SQUOTE] = ACTIONS(2409),
    [anon_sym_u8_SQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_L_DQUOTE] = ACTIONS(2409),
    [anon_sym_u_DQUOTE] = ACTIONS(2409),
    [anon_sym_U_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8_DQUOTE] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2407),
    [anon_sym_nullptr] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_try] = ACTIONS(2407),
    [anon_sym_delete] = ACTIONS(2407),
    [anon_sym_throw] = ACTIONS(2407),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_concept] = ACTIONS(2407),
    [anon_sym_co_return] = ACTIONS(2407),
    [anon_sym_co_yield] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(2411),
    [anon_sym_R_DQUOTE] = ACTIONS(2409),
    [anon_sym_LR_DQUOTE] = ACTIONS(2409),
    [anon_sym_uR_DQUOTE] = ACTIONS(2409),
    [anon_sym_UR_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2409),
    [anon_sym_co_await] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_requires] = ACTIONS(2407),
    [sym_this] = ACTIONS(2407),
  },
  [194] = {
    [sym_catch_clause] = STATE(194),
    [aux_sym_constructor_try_statement_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(2413),
    [aux_sym_preproc_include_token1] = ACTIONS(2413),
    [aux_sym_preproc_def_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token2] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2413),
    [aux_sym_preproc_else_token1] = ACTIONS(2413),
    [aux_sym_preproc_elif_token1] = ACTIONS(2413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2413),
    [sym_preproc_directive] = ACTIONS(2413),
    [anon_sym_LPAREN2] = ACTIONS(2415),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2415),
    [anon_sym_AMP_AMP] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2415),
    [anon_sym___extension__] = ACTIONS(2413),
    [anon_sym_typedef] = ACTIONS(2413),
    [anon_sym_extern] = ACTIONS(2413),
    [anon_sym___attribute__] = ACTIONS(2413),
    [anon_sym_COLON_COLON] = ACTIONS(2415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2415),
    [anon_sym___declspec] = ACTIONS(2413),
    [anon_sym___based] = ACTIONS(2413),
    [anon_sym___cdecl] = ACTIONS(2413),
    [anon_sym___clrcall] = ACTIONS(2413),
    [anon_sym___stdcall] = ACTIONS(2413),
    [anon_sym___fastcall] = ACTIONS(2413),
    [anon_sym___thiscall] = ACTIONS(2413),
    [anon_sym___vectorcall] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2415),
    [anon_sym_signed] = ACTIONS(2413),
    [anon_sym_unsigned] = ACTIONS(2413),
    [anon_sym_long] = ACTIONS(2413),
    [anon_sym_short] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2413),
    [anon_sym_static] = ACTIONS(2413),
    [anon_sym_register] = ACTIONS(2413),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym___inline] = ACTIONS(2413),
    [anon_sym___inline__] = ACTIONS(2413),
    [anon_sym___forceinline] = ACTIONS(2413),
    [anon_sym_thread_local] = ACTIONS(2413),
    [anon_sym___thread] = ACTIONS(2413),
    [anon_sym_const] = ACTIONS(2413),
    [anon_sym_constexpr] = ACTIONS(2413),
    [anon_sym_volatile] = ACTIONS(2413),
    [anon_sym_restrict] = ACTIONS(2413),
    [anon_sym___restrict__] = ACTIONS(2413),
    [anon_sym__Atomic] = ACTIONS(2413),
    [anon_sym__Noreturn] = ACTIONS(2413),
    [anon_sym_noreturn] = ACTIONS(2413),
    [anon_sym_mutable] = ACTIONS(2413),
    [anon_sym_constinit] = ACTIONS(2413),
    [anon_sym_consteval] = ACTIONS(2413),
    [anon_sym_alignas] = ACTIONS(2413),
    [anon_sym__Alignas] = ACTIONS(2413),
    [sym_primitive_type] = ACTIONS(2413),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_class] = ACTIONS(2413),
    [anon_sym_struct] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_case] = ACTIONS(2413),
    [anon_sym_default] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_do] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_return] = ACTIONS(2413),
    [anon_sym_break] = ACTIONS(2413),
    [anon_sym_continue] = ACTIONS(2413),
    [anon_sym_goto] = ACTIONS(2413),
    [anon_sym___try] = ACTIONS(2413),
    [anon_sym___leave] = ACTIONS(2413),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2415),
    [anon_sym_sizeof] = ACTIONS(2413),
    [anon_sym___alignof__] = ACTIONS(2413),
    [anon_sym___alignof] = ACTIONS(2413),
    [anon_sym__alignof] = ACTIONS(2413),
    [anon_sym_alignof] = ACTIONS(2413),
    [anon_sym__Alignof] = ACTIONS(2413),
    [anon_sym_offsetof] = ACTIONS(2413),
    [anon_sym__Generic] = ACTIONS(2413),
    [anon_sym_asm] = ACTIONS(2413),
    [anon_sym___asm__] = ACTIONS(2413),
    [sym_number_literal] = ACTIONS(2415),
    [anon_sym_L_SQUOTE] = ACTIONS(2415),
    [anon_sym_u_SQUOTE] = ACTIONS(2415),
    [anon_sym_U_SQUOTE] = ACTIONS(2415),
    [anon_sym_u8_SQUOTE] = ACTIONS(2415),
    [anon_sym_SQUOTE] = ACTIONS(2415),
    [anon_sym_L_DQUOTE] = ACTIONS(2415),
    [anon_sym_u_DQUOTE] = ACTIONS(2415),
    [anon_sym_U_DQUOTE] = ACTIONS(2415),
    [anon_sym_u8_DQUOTE] = ACTIONS(2415),
    [anon_sym_DQUOTE] = ACTIONS(2415),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [anon_sym_NULL] = ACTIONS(2413),
    [anon_sym_nullptr] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2413),
    [anon_sym_decltype] = ACTIONS(2413),
    [sym_virtual] = ACTIONS(2413),
    [anon_sym_explicit] = ACTIONS(2413),
    [anon_sym_typename] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2413),
    [anon_sym_operator] = ACTIONS(2413),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_delete] = ACTIONS(2413),
    [anon_sym_throw] = ACTIONS(2413),
    [anon_sym_namespace] = ACTIONS(2413),
    [anon_sym_using] = ACTIONS(2413),
    [anon_sym_static_assert] = ACTIONS(2413),
    [anon_sym_concept] = ACTIONS(2413),
    [anon_sym_co_return] = ACTIONS(2413),
    [anon_sym_co_yield] = ACTIONS(2413),
    [anon_sym_catch] = ACTIONS(2417),
    [anon_sym_R_DQUOTE] = ACTIONS(2415),
    [anon_sym_LR_DQUOTE] = ACTIONS(2415),
    [anon_sym_uR_DQUOTE] = ACTIONS(2415),
    [anon_sym_UR_DQUOTE] = ACTIONS(2415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2415),
    [anon_sym_co_await] = ACTIONS(2413),
    [anon_sym_new] = ACTIONS(2413),
    [anon_sym_requires] = ACTIONS(2413),
    [sym_this] = ACTIONS(2413),
  },
  [195] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7902),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7573),
    [sym__unary_right_fold] = STATE(7697),
    [sym__binary_fold] = STATE(7714),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [196] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7761),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [197] = {
    [sym_expression] = STATE(3124),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_initializer_list] = STATE(3464),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1884),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_and_eq] = ACTIONS(1884),
    [anon_sym_or_eq] = ACTIONS(1884),
    [anon_sym_xor_eq] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(1886),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [198] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2735),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7623),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7663),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7664),
    [sym__unary_right_fold] = STATE(7684),
    [sym__binary_fold] = STATE(7688),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7698),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [199] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(8102),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7573),
    [sym__unary_right_fold] = STATE(7697),
    [sym__binary_fold] = STATE(7714),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [200] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7563),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7573),
    [sym__unary_right_fold] = STATE(7697),
    [sym__binary_fold] = STATE(7714),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [201] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7808),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7573),
    [sym__unary_right_fold] = STATE(7697),
    [sym__binary_fold] = STATE(7714),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [202] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2710),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7550),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7503),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7898),
    [sym__unary_right_fold] = STATE(7744),
    [sym__binary_fold] = STATE(7915),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7747),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [203] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2710),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7550),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(8202),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7898),
    [sym__unary_right_fold] = STATE(7744),
    [sym__binary_fold] = STATE(7915),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7747),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [204] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2735),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7623),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7652),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7653),
    [sym__unary_right_fold] = STATE(7655),
    [sym__binary_fold] = STATE(7662),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7698),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [205] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2735),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7623),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7885),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7653),
    [sym__unary_right_fold] = STATE(7655),
    [sym__binary_fold] = STATE(7662),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7698),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [206] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2710),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7550),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7494),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7495),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7502),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7747),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [207] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2710),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7550),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7629),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7495),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7502),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7747),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [208] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7845),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7573),
    [sym__unary_right_fold] = STATE(7697),
    [sym__binary_fold] = STATE(7714),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [209] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(8150),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7573),
    [sym__unary_right_fold] = STATE(7697),
    [sym__binary_fold] = STATE(7714),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [210] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(8144),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [211] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7933),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [212] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(8066),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7573),
    [sym__unary_right_fold] = STATE(7697),
    [sym__binary_fold] = STATE(7714),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [213] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(8190),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [214] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7706),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7573),
    [sym__unary_right_fold] = STATE(7697),
    [sym__binary_fold] = STATE(7714),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [215] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7759),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [216] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7525),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [217] = {
    [sym_expression] = STATE(3115),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_initializer_list] = STATE(2364),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_COLON] = ACTIONS(1884),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_and_eq] = ACTIONS(1884),
    [anon_sym_or_eq] = ACTIONS(1884),
    [anon_sym_xor_eq] = ACTIONS(1884),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [218] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7931),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [219] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2705),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7794),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [220] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(2735),
    [sym__string] = STATE(3295),
    [sym_comma_expression] = STATE(7623),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_type_descriptor] = STATE(7511),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7078),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym__unary_left_fold] = STATE(7664),
    [sym__unary_right_fold] = STATE(7684),
    [sym__binary_fold] = STATE(7688),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5260),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym__assignment_expression_lhs] = STATE(7698),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [221] = {
    [sym_catch_clause] = STATE(194),
    [aux_sym_constructor_try_statement_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [aux_sym_preproc_else_token1] = ACTIONS(2474),
    [aux_sym_preproc_elif_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym___leave] = ACTIONS(2474),
    [anon_sym_not] = ACTIONS(2474),
    [anon_sym_compl] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_concept] = ACTIONS(2474),
    [anon_sym_co_return] = ACTIONS(2474),
    [anon_sym_co_yield] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(2411),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_requires] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
  },
  [222] = {
    [sym_catch_clause] = STATE(194),
    [aux_sym_constructor_try_statement_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [aux_sym_preproc_else_token1] = ACTIONS(2478),
    [aux_sym_preproc_elif_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym___leave] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(2411),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
  },
  [223] = {
    [sym_expression] = STATE(3369),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_initializer_list] = STATE(3571),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_RPAREN] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1814),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1884),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1884),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1884),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1884),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1884),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1884),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1886),
    [sym_this] = ACTIONS(1848),
  },
  [224] = {
    [sym_else_clause] = STATE(263),
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token2] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [aux_sym_preproc_else_token1] = ACTIONS(2488),
    [aux_sym_preproc_elif_token1] = ACTIONS(2488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym__Alignas] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [sym_virtual] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
  },
  [225] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_include_token1] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token2] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [aux_sym_preproc_else_token1] = ACTIONS(2494),
    [aux_sym_preproc_elif_token1] = ACTIONS(2494),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym___cdecl] = ACTIONS(2494),
    [anon_sym___clrcall] = ACTIONS(2494),
    [anon_sym___stdcall] = ACTIONS(2494),
    [anon_sym___fastcall] = ACTIONS(2494),
    [anon_sym___thiscall] = ACTIONS(2494),
    [anon_sym___vectorcall] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_else] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_default] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_concept] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
  },
  [226] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [aux_sym_preproc_else_token1] = ACTIONS(1878),
    [aux_sym_preproc_elif_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_else] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [227] = {
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_include_token1] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token2] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [aux_sym_preproc_else_token1] = ACTIONS(1882),
    [aux_sym_preproc_elif_token1] = ACTIONS(1882),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym_SEMI] = ACTIONS(1880),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym___cdecl] = ACTIONS(1882),
    [anon_sym___clrcall] = ACTIONS(1882),
    [anon_sym___stdcall] = ACTIONS(1882),
    [anon_sym___fastcall] = ACTIONS(1882),
    [anon_sym___thiscall] = ACTIONS(1882),
    [anon_sym___vectorcall] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [anon_sym_if] = ACTIONS(1882),
    [anon_sym_else] = ACTIONS(1882),
    [anon_sym_switch] = ACTIONS(1882),
    [anon_sym_case] = ACTIONS(1882),
    [anon_sym_default] = ACTIONS(1882),
    [anon_sym_while] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_for] = ACTIONS(1882),
    [anon_sym_return] = ACTIONS(1882),
    [anon_sym_break] = ACTIONS(1882),
    [anon_sym_continue] = ACTIONS(1882),
    [anon_sym_goto] = ACTIONS(1882),
    [anon_sym___try] = ACTIONS(1882),
    [anon_sym___leave] = ACTIONS(1882),
    [anon_sym_not] = ACTIONS(1882),
    [anon_sym_compl] = ACTIONS(1882),
    [anon_sym_DASH_DASH] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(1880),
    [anon_sym_sizeof] = ACTIONS(1882),
    [anon_sym___alignof__] = ACTIONS(1882),
    [anon_sym___alignof] = ACTIONS(1882),
    [anon_sym__alignof] = ACTIONS(1882),
    [anon_sym_alignof] = ACTIONS(1882),
    [anon_sym__Alignof] = ACTIONS(1882),
    [anon_sym_offsetof] = ACTIONS(1882),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1882),
    [anon_sym___asm__] = ACTIONS(1882),
    [sym_number_literal] = ACTIONS(1880),
    [anon_sym_L_SQUOTE] = ACTIONS(1880),
    [anon_sym_u_SQUOTE] = ACTIONS(1880),
    [anon_sym_U_SQUOTE] = ACTIONS(1880),
    [anon_sym_u8_SQUOTE] = ACTIONS(1880),
    [anon_sym_SQUOTE] = ACTIONS(1880),
    [anon_sym_L_DQUOTE] = ACTIONS(1880),
    [anon_sym_u_DQUOTE] = ACTIONS(1880),
    [anon_sym_U_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8_DQUOTE] = ACTIONS(1880),
    [anon_sym_DQUOTE] = ACTIONS(1880),
    [sym_true] = ACTIONS(1882),
    [sym_false] = ACTIONS(1882),
    [anon_sym_NULL] = ACTIONS(1882),
    [anon_sym_nullptr] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_try] = ACTIONS(1882),
    [anon_sym_delete] = ACTIONS(1882),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_namespace] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_concept] = ACTIONS(1882),
    [anon_sym_co_return] = ACTIONS(1882),
    [anon_sym_co_yield] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
    [anon_sym_R_DQUOTE] = ACTIONS(1880),
    [anon_sym_LR_DQUOTE] = ACTIONS(1880),
    [anon_sym_uR_DQUOTE] = ACTIONS(1880),
    [anon_sym_UR_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1880),
    [anon_sym_co_await] = ACTIONS(1882),
    [anon_sym_new] = ACTIONS(1882),
    [anon_sym_requires] = ACTIONS(1882),
    [sym_this] = ACTIONS(1882),
  },
  [228] = {
    [sym_else_clause] = STATE(254),
    [sym_identifier] = ACTIONS(2498),
    [aux_sym_preproc_include_token1] = ACTIONS(2498),
    [aux_sym_preproc_def_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token2] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2498),
    [aux_sym_preproc_else_token1] = ACTIONS(2498),
    [aux_sym_preproc_elif_token1] = ACTIONS(2498),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2498),
    [sym_preproc_directive] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym___based] = ACTIONS(2498),
    [anon_sym___cdecl] = ACTIONS(2498),
    [anon_sym___clrcall] = ACTIONS(2498),
    [anon_sym___stdcall] = ACTIONS(2498),
    [anon_sym___fastcall] = ACTIONS(2498),
    [anon_sym___thiscall] = ACTIONS(2498),
    [anon_sym___vectorcall] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_else] = ACTIONS(2492),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [sym_virtual] = ACTIONS(2498),
    [anon_sym_explicit] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_operator] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_static_assert] = ACTIONS(2498),
    [anon_sym_concept] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
  },
  [229] = {
    [sym_identifier] = ACTIONS(2502),
    [aux_sym_preproc_include_token1] = ACTIONS(2502),
    [aux_sym_preproc_def_token1] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(2502),
    [aux_sym_preproc_if_token2] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2502),
    [aux_sym_preproc_else_token1] = ACTIONS(2502),
    [aux_sym_preproc_elif_token1] = ACTIONS(2502),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2502),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2502),
    [sym_preproc_directive] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(2504),
    [anon_sym_BANG] = ACTIONS(2504),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym___extension__] = ACTIONS(2502),
    [anon_sym_typedef] = ACTIONS(2502),
    [anon_sym_extern] = ACTIONS(2502),
    [anon_sym___attribute__] = ACTIONS(2502),
    [anon_sym_COLON_COLON] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2504),
    [anon_sym___declspec] = ACTIONS(2502),
    [anon_sym___based] = ACTIONS(2502),
    [anon_sym___cdecl] = ACTIONS(2502),
    [anon_sym___clrcall] = ACTIONS(2502),
    [anon_sym___stdcall] = ACTIONS(2502),
    [anon_sym___fastcall] = ACTIONS(2502),
    [anon_sym___thiscall] = ACTIONS(2502),
    [anon_sym___vectorcall] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2502),
    [anon_sym_unsigned] = ACTIONS(2502),
    [anon_sym_long] = ACTIONS(2502),
    [anon_sym_short] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_static] = ACTIONS(2502),
    [anon_sym_register] = ACTIONS(2502),
    [anon_sym_inline] = ACTIONS(2502),
    [anon_sym___inline] = ACTIONS(2502),
    [anon_sym___inline__] = ACTIONS(2502),
    [anon_sym___forceinline] = ACTIONS(2502),
    [anon_sym_thread_local] = ACTIONS(2502),
    [anon_sym___thread] = ACTIONS(2502),
    [anon_sym_const] = ACTIONS(2502),
    [anon_sym_constexpr] = ACTIONS(2502),
    [anon_sym_volatile] = ACTIONS(2502),
    [anon_sym_restrict] = ACTIONS(2502),
    [anon_sym___restrict__] = ACTIONS(2502),
    [anon_sym__Atomic] = ACTIONS(2502),
    [anon_sym__Noreturn] = ACTIONS(2502),
    [anon_sym_noreturn] = ACTIONS(2502),
    [anon_sym_mutable] = ACTIONS(2502),
    [anon_sym_constinit] = ACTIONS(2502),
    [anon_sym_consteval] = ACTIONS(2502),
    [anon_sym_alignas] = ACTIONS(2502),
    [anon_sym__Alignas] = ACTIONS(2502),
    [sym_primitive_type] = ACTIONS(2502),
    [anon_sym_enum] = ACTIONS(2502),
    [anon_sym_class] = ACTIONS(2502),
    [anon_sym_struct] = ACTIONS(2502),
    [anon_sym_union] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_else] = ACTIONS(2502),
    [anon_sym_switch] = ACTIONS(2502),
    [anon_sym_case] = ACTIONS(2502),
    [anon_sym_default] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_do] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2502),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_break] = ACTIONS(2502),
    [anon_sym_continue] = ACTIONS(2502),
    [anon_sym_goto] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2502),
    [anon_sym___leave] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2502),
    [anon_sym_compl] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2504),
    [anon_sym_PLUS_PLUS] = ACTIONS(2504),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(2502),
    [anon_sym___alignof] = ACTIONS(2502),
    [anon_sym__alignof] = ACTIONS(2502),
    [anon_sym_alignof] = ACTIONS(2502),
    [anon_sym__Alignof] = ACTIONS(2502),
    [anon_sym_offsetof] = ACTIONS(2502),
    [anon_sym__Generic] = ACTIONS(2502),
    [anon_sym_asm] = ACTIONS(2502),
    [anon_sym___asm__] = ACTIONS(2502),
    [sym_number_literal] = ACTIONS(2504),
    [anon_sym_L_SQUOTE] = ACTIONS(2504),
    [anon_sym_u_SQUOTE] = ACTIONS(2504),
    [anon_sym_U_SQUOTE] = ACTIONS(2504),
    [anon_sym_u8_SQUOTE] = ACTIONS(2504),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_L_DQUOTE] = ACTIONS(2504),
    [anon_sym_u_DQUOTE] = ACTIONS(2504),
    [anon_sym_U_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8_DQUOTE] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [sym_true] = ACTIONS(2502),
    [sym_false] = ACTIONS(2502),
    [anon_sym_NULL] = ACTIONS(2502),
    [anon_sym_nullptr] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2502),
    [anon_sym_decltype] = ACTIONS(2502),
    [sym_virtual] = ACTIONS(2502),
    [anon_sym_explicit] = ACTIONS(2502),
    [anon_sym_typename] = ACTIONS(2502),
    [anon_sym_template] = ACTIONS(2502),
    [anon_sym_operator] = ACTIONS(2502),
    [anon_sym_try] = ACTIONS(2502),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2502),
    [anon_sym_namespace] = ACTIONS(2502),
    [anon_sym_using] = ACTIONS(2502),
    [anon_sym_static_assert] = ACTIONS(2502),
    [anon_sym_concept] = ACTIONS(2502),
    [anon_sym_co_return] = ACTIONS(2502),
    [anon_sym_co_yield] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2504),
    [anon_sym_LR_DQUOTE] = ACTIONS(2504),
    [anon_sym_uR_DQUOTE] = ACTIONS(2504),
    [anon_sym_UR_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2504),
    [anon_sym_co_await] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2502),
    [anon_sym_requires] = ACTIONS(2502),
    [sym_this] = ACTIONS(2502),
  },
  [230] = {
    [sym_identifier] = ACTIONS(2506),
    [aux_sym_preproc_include_token1] = ACTIONS(2506),
    [aux_sym_preproc_def_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token2] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2506),
    [aux_sym_preproc_else_token1] = ACTIONS(2506),
    [aux_sym_preproc_elif_token1] = ACTIONS(2506),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2506),
    [sym_preproc_directive] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2506),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_extern] = ACTIONS(2506),
    [anon_sym___attribute__] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2508),
    [anon_sym___declspec] = ACTIONS(2506),
    [anon_sym___based] = ACTIONS(2506),
    [anon_sym___cdecl] = ACTIONS(2506),
    [anon_sym___clrcall] = ACTIONS(2506),
    [anon_sym___stdcall] = ACTIONS(2506),
    [anon_sym___fastcall] = ACTIONS(2506),
    [anon_sym___thiscall] = ACTIONS(2506),
    [anon_sym___vectorcall] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2506),
    [anon_sym_unsigned] = ACTIONS(2506),
    [anon_sym_long] = ACTIONS(2506),
    [anon_sym_short] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_register] = ACTIONS(2506),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym___inline] = ACTIONS(2506),
    [anon_sym___inline__] = ACTIONS(2506),
    [anon_sym___forceinline] = ACTIONS(2506),
    [anon_sym_thread_local] = ACTIONS(2506),
    [anon_sym___thread] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_constexpr] = ACTIONS(2506),
    [anon_sym_volatile] = ACTIONS(2506),
    [anon_sym_restrict] = ACTIONS(2506),
    [anon_sym___restrict__] = ACTIONS(2506),
    [anon_sym__Atomic] = ACTIONS(2506),
    [anon_sym__Noreturn] = ACTIONS(2506),
    [anon_sym_noreturn] = ACTIONS(2506),
    [anon_sym_mutable] = ACTIONS(2506),
    [anon_sym_constinit] = ACTIONS(2506),
    [anon_sym_consteval] = ACTIONS(2506),
    [anon_sym_alignas] = ACTIONS(2506),
    [anon_sym__Alignas] = ACTIONS(2506),
    [sym_primitive_type] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_struct] = ACTIONS(2506),
    [anon_sym_union] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_else] = ACTIONS(2506),
    [anon_sym_switch] = ACTIONS(2506),
    [anon_sym_case] = ACTIONS(2506),
    [anon_sym_default] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_do] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2506),
    [anon_sym_return] = ACTIONS(2506),
    [anon_sym_break] = ACTIONS(2506),
    [anon_sym_continue] = ACTIONS(2506),
    [anon_sym_goto] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2506),
    [anon_sym___leave] = ACTIONS(2506),
    [anon_sym_not] = ACTIONS(2506),
    [anon_sym_compl] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2508),
    [anon_sym_sizeof] = ACTIONS(2506),
    [anon_sym___alignof__] = ACTIONS(2506),
    [anon_sym___alignof] = ACTIONS(2506),
    [anon_sym__alignof] = ACTIONS(2506),
    [anon_sym_alignof] = ACTIONS(2506),
    [anon_sym__Alignof] = ACTIONS(2506),
    [anon_sym_offsetof] = ACTIONS(2506),
    [anon_sym__Generic] = ACTIONS(2506),
    [anon_sym_asm] = ACTIONS(2506),
    [anon_sym___asm__] = ACTIONS(2506),
    [sym_number_literal] = ACTIONS(2508),
    [anon_sym_L_SQUOTE] = ACTIONS(2508),
    [anon_sym_u_SQUOTE] = ACTIONS(2508),
    [anon_sym_U_SQUOTE] = ACTIONS(2508),
    [anon_sym_u8_SQUOTE] = ACTIONS(2508),
    [anon_sym_SQUOTE] = ACTIONS(2508),
    [anon_sym_L_DQUOTE] = ACTIONS(2508),
    [anon_sym_u_DQUOTE] = ACTIONS(2508),
    [anon_sym_U_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8_DQUOTE] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2508),
    [sym_true] = ACTIONS(2506),
    [sym_false] = ACTIONS(2506),
    [anon_sym_NULL] = ACTIONS(2506),
    [anon_sym_nullptr] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2506),
    [anon_sym_decltype] = ACTIONS(2506),
    [sym_virtual] = ACTIONS(2506),
    [anon_sym_explicit] = ACTIONS(2506),
    [anon_sym_typename] = ACTIONS(2506),
    [anon_sym_template] = ACTIONS(2506),
    [anon_sym_operator] = ACTIONS(2506),
    [anon_sym_try] = ACTIONS(2506),
    [anon_sym_delete] = ACTIONS(2506),
    [anon_sym_throw] = ACTIONS(2506),
    [anon_sym_namespace] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_static_assert] = ACTIONS(2506),
    [anon_sym_concept] = ACTIONS(2506),
    [anon_sym_co_return] = ACTIONS(2506),
    [anon_sym_co_yield] = ACTIONS(2506),
    [anon_sym_R_DQUOTE] = ACTIONS(2508),
    [anon_sym_LR_DQUOTE] = ACTIONS(2508),
    [anon_sym_uR_DQUOTE] = ACTIONS(2508),
    [anon_sym_UR_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2508),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2506),
    [anon_sym_requires] = ACTIONS(2506),
    [sym_this] = ACTIONS(2506),
  },
  [231] = {
    [sym_identifier] = ACTIONS(2510),
    [aux_sym_preproc_include_token1] = ACTIONS(2510),
    [aux_sym_preproc_def_token1] = ACTIONS(2510),
    [aux_sym_preproc_if_token1] = ACTIONS(2510),
    [aux_sym_preproc_if_token2] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2510),
    [aux_sym_preproc_else_token1] = ACTIONS(2510),
    [aux_sym_preproc_elif_token1] = ACTIONS(2510),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2510),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2510),
    [sym_preproc_directive] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(2512),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2510),
    [anon_sym_PLUS] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2510),
    [anon_sym_typedef] = ACTIONS(2510),
    [anon_sym_extern] = ACTIONS(2510),
    [anon_sym___attribute__] = ACTIONS(2510),
    [anon_sym_COLON_COLON] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2512),
    [anon_sym___declspec] = ACTIONS(2510),
    [anon_sym___based] = ACTIONS(2510),
    [anon_sym___cdecl] = ACTIONS(2510),
    [anon_sym___clrcall] = ACTIONS(2510),
    [anon_sym___stdcall] = ACTIONS(2510),
    [anon_sym___fastcall] = ACTIONS(2510),
    [anon_sym___thiscall] = ACTIONS(2510),
    [anon_sym___vectorcall] = ACTIONS(2510),
    [anon_sym_LBRACE] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2510),
    [anon_sym_unsigned] = ACTIONS(2510),
    [anon_sym_long] = ACTIONS(2510),
    [anon_sym_short] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_static] = ACTIONS(2510),
    [anon_sym_register] = ACTIONS(2510),
    [anon_sym_inline] = ACTIONS(2510),
    [anon_sym___inline] = ACTIONS(2510),
    [anon_sym___inline__] = ACTIONS(2510),
    [anon_sym___forceinline] = ACTIONS(2510),
    [anon_sym_thread_local] = ACTIONS(2510),
    [anon_sym___thread] = ACTIONS(2510),
    [anon_sym_const] = ACTIONS(2510),
    [anon_sym_constexpr] = ACTIONS(2510),
    [anon_sym_volatile] = ACTIONS(2510),
    [anon_sym_restrict] = ACTIONS(2510),
    [anon_sym___restrict__] = ACTIONS(2510),
    [anon_sym__Atomic] = ACTIONS(2510),
    [anon_sym__Noreturn] = ACTIONS(2510),
    [anon_sym_noreturn] = ACTIONS(2510),
    [anon_sym_mutable] = ACTIONS(2510),
    [anon_sym_constinit] = ACTIONS(2510),
    [anon_sym_consteval] = ACTIONS(2510),
    [anon_sym_alignas] = ACTIONS(2510),
    [anon_sym__Alignas] = ACTIONS(2510),
    [sym_primitive_type] = ACTIONS(2510),
    [anon_sym_enum] = ACTIONS(2510),
    [anon_sym_class] = ACTIONS(2510),
    [anon_sym_struct] = ACTIONS(2510),
    [anon_sym_union] = ACTIONS(2510),
    [anon_sym_if] = ACTIONS(2510),
    [anon_sym_else] = ACTIONS(2510),
    [anon_sym_switch] = ACTIONS(2510),
    [anon_sym_case] = ACTIONS(2510),
    [anon_sym_default] = ACTIONS(2510),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_do] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2510),
    [anon_sym_return] = ACTIONS(2510),
    [anon_sym_break] = ACTIONS(2510),
    [anon_sym_continue] = ACTIONS(2510),
    [anon_sym_goto] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2510),
    [anon_sym___leave] = ACTIONS(2510),
    [anon_sym_not] = ACTIONS(2510),
    [anon_sym_compl] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_sizeof] = ACTIONS(2510),
    [anon_sym___alignof__] = ACTIONS(2510),
    [anon_sym___alignof] = ACTIONS(2510),
    [anon_sym__alignof] = ACTIONS(2510),
    [anon_sym_alignof] = ACTIONS(2510),
    [anon_sym__Alignof] = ACTIONS(2510),
    [anon_sym_offsetof] = ACTIONS(2510),
    [anon_sym__Generic] = ACTIONS(2510),
    [anon_sym_asm] = ACTIONS(2510),
    [anon_sym___asm__] = ACTIONS(2510),
    [sym_number_literal] = ACTIONS(2512),
    [anon_sym_L_SQUOTE] = ACTIONS(2512),
    [anon_sym_u_SQUOTE] = ACTIONS(2512),
    [anon_sym_U_SQUOTE] = ACTIONS(2512),
    [anon_sym_u8_SQUOTE] = ACTIONS(2512),
    [anon_sym_SQUOTE] = ACTIONS(2512),
    [anon_sym_L_DQUOTE] = ACTIONS(2512),
    [anon_sym_u_DQUOTE] = ACTIONS(2512),
    [anon_sym_U_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8_DQUOTE] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2512),
    [sym_true] = ACTIONS(2510),
    [sym_false] = ACTIONS(2510),
    [anon_sym_NULL] = ACTIONS(2510),
    [anon_sym_nullptr] = ACTIONS(2510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2510),
    [anon_sym_decltype] = ACTIONS(2510),
    [sym_virtual] = ACTIONS(2510),
    [anon_sym_explicit] = ACTIONS(2510),
    [anon_sym_typename] = ACTIONS(2510),
    [anon_sym_template] = ACTIONS(2510),
    [anon_sym_operator] = ACTIONS(2510),
    [anon_sym_try] = ACTIONS(2510),
    [anon_sym_delete] = ACTIONS(2510),
    [anon_sym_throw] = ACTIONS(2510),
    [anon_sym_namespace] = ACTIONS(2510),
    [anon_sym_using] = ACTIONS(2510),
    [anon_sym_static_assert] = ACTIONS(2510),
    [anon_sym_concept] = ACTIONS(2510),
    [anon_sym_co_return] = ACTIONS(2510),
    [anon_sym_co_yield] = ACTIONS(2510),
    [anon_sym_R_DQUOTE] = ACTIONS(2512),
    [anon_sym_LR_DQUOTE] = ACTIONS(2512),
    [anon_sym_uR_DQUOTE] = ACTIONS(2512),
    [anon_sym_UR_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2512),
    [anon_sym_co_await] = ACTIONS(2510),
    [anon_sym_new] = ACTIONS(2510),
    [anon_sym_requires] = ACTIONS(2510),
    [sym_this] = ACTIONS(2510),
  },
  [232] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token2] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [aux_sym_preproc_else_token1] = ACTIONS(2514),
    [aux_sym_preproc_elif_token1] = ACTIONS(2514),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym___cdecl] = ACTIONS(2514),
    [anon_sym___clrcall] = ACTIONS(2514),
    [anon_sym___stdcall] = ACTIONS(2514),
    [anon_sym___fastcall] = ACTIONS(2514),
    [anon_sym___thiscall] = ACTIONS(2514),
    [anon_sym___vectorcall] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_else] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2514),
    [anon_sym___leave] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [sym_virtual] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_concept] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
  },
  [233] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_include_token1] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [aux_sym_preproc_else_token1] = ACTIONS(2518),
    [aux_sym_preproc_elif_token1] = ACTIONS(2518),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym___cdecl] = ACTIONS(2518),
    [anon_sym___clrcall] = ACTIONS(2518),
    [anon_sym___stdcall] = ACTIONS(2518),
    [anon_sym___fastcall] = ACTIONS(2518),
    [anon_sym___thiscall] = ACTIONS(2518),
    [anon_sym___vectorcall] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_else] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2518),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2518),
    [anon_sym___leave] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [sym_virtual] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_namespace] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_concept] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
  },
  [234] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [aux_sym_preproc_else_token1] = ACTIONS(2522),
    [aux_sym_preproc_elif_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_else] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [sym_virtual] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
  },
  [235] = {
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_include_token1] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token2] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [aux_sym_preproc_else_token1] = ACTIONS(2526),
    [aux_sym_preproc_elif_token1] = ACTIONS(2526),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym___cdecl] = ACTIONS(2526),
    [anon_sym___clrcall] = ACTIONS(2526),
    [anon_sym___stdcall] = ACTIONS(2526),
    [anon_sym___fastcall] = ACTIONS(2526),
    [anon_sym___thiscall] = ACTIONS(2526),
    [anon_sym___vectorcall] = ACTIONS(2526),
    [anon_sym_LBRACE] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_else] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2526),
    [anon_sym_case] = ACTIONS(2526),
    [anon_sym_default] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_break] = ACTIONS(2526),
    [anon_sym_continue] = ACTIONS(2526),
    [anon_sym_goto] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2526),
    [anon_sym___leave] = ACTIONS(2526),
    [anon_sym_not] = ACTIONS(2526),
    [anon_sym_compl] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_sizeof] = ACTIONS(2526),
    [anon_sym___alignof__] = ACTIONS(2526),
    [anon_sym___alignof] = ACTIONS(2526),
    [anon_sym__alignof] = ACTIONS(2526),
    [anon_sym_alignof] = ACTIONS(2526),
    [anon_sym__Alignof] = ACTIONS(2526),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2526),
    [anon_sym_asm] = ACTIONS(2526),
    [anon_sym___asm__] = ACTIONS(2526),
    [sym_number_literal] = ACTIONS(2528),
    [anon_sym_L_SQUOTE] = ACTIONS(2528),
    [anon_sym_u_SQUOTE] = ACTIONS(2528),
    [anon_sym_U_SQUOTE] = ACTIONS(2528),
    [anon_sym_u8_SQUOTE] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_L_DQUOTE] = ACTIONS(2528),
    [anon_sym_u_DQUOTE] = ACTIONS(2528),
    [anon_sym_U_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2528),
    [sym_true] = ACTIONS(2526),
    [sym_false] = ACTIONS(2526),
    [anon_sym_NULL] = ACTIONS(2526),
    [anon_sym_nullptr] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [sym_virtual] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_delete] = ACTIONS(2526),
    [anon_sym_throw] = ACTIONS(2526),
    [anon_sym_namespace] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
    [anon_sym_concept] = ACTIONS(2526),
    [anon_sym_co_return] = ACTIONS(2526),
    [anon_sym_co_yield] = ACTIONS(2526),
    [anon_sym_R_DQUOTE] = ACTIONS(2528),
    [anon_sym_LR_DQUOTE] = ACTIONS(2528),
    [anon_sym_uR_DQUOTE] = ACTIONS(2528),
    [anon_sym_UR_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2528),
    [anon_sym_co_await] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_requires] = ACTIONS(2526),
    [sym_this] = ACTIONS(2526),
  },
  [236] = {
    [sym_identifier] = ACTIONS(2530),
    [aux_sym_preproc_include_token1] = ACTIONS(2530),
    [aux_sym_preproc_def_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token2] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2530),
    [aux_sym_preproc_else_token1] = ACTIONS(2530),
    [aux_sym_preproc_elif_token1] = ACTIONS(2530),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2530),
    [sym_preproc_directive] = ACTIONS(2530),
    [anon_sym_LPAREN2] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2530),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym___attribute__] = ACTIONS(2530),
    [anon_sym_COLON_COLON] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2532),
    [anon_sym___declspec] = ACTIONS(2530),
    [anon_sym___based] = ACTIONS(2530),
    [anon_sym___cdecl] = ACTIONS(2530),
    [anon_sym___clrcall] = ACTIONS(2530),
    [anon_sym___stdcall] = ACTIONS(2530),
    [anon_sym___fastcall] = ACTIONS(2530),
    [anon_sym___thiscall] = ACTIONS(2530),
    [anon_sym___vectorcall] = ACTIONS(2530),
    [anon_sym_LBRACE] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2530),
    [anon_sym_unsigned] = ACTIONS(2530),
    [anon_sym_long] = ACTIONS(2530),
    [anon_sym_short] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_register] = ACTIONS(2530),
    [anon_sym_inline] = ACTIONS(2530),
    [anon_sym___inline] = ACTIONS(2530),
    [anon_sym___inline__] = ACTIONS(2530),
    [anon_sym___forceinline] = ACTIONS(2530),
    [anon_sym_thread_local] = ACTIONS(2530),
    [anon_sym___thread] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_constexpr] = ACTIONS(2530),
    [anon_sym_volatile] = ACTIONS(2530),
    [anon_sym_restrict] = ACTIONS(2530),
    [anon_sym___restrict__] = ACTIONS(2530),
    [anon_sym__Atomic] = ACTIONS(2530),
    [anon_sym__Noreturn] = ACTIONS(2530),
    [anon_sym_noreturn] = ACTIONS(2530),
    [anon_sym_mutable] = ACTIONS(2530),
    [anon_sym_constinit] = ACTIONS(2530),
    [anon_sym_consteval] = ACTIONS(2530),
    [anon_sym_alignas] = ACTIONS(2530),
    [anon_sym__Alignas] = ACTIONS(2530),
    [sym_primitive_type] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [anon_sym_if] = ACTIONS(2530),
    [anon_sym_else] = ACTIONS(2530),
    [anon_sym_switch] = ACTIONS(2530),
    [anon_sym_case] = ACTIONS(2530),
    [anon_sym_default] = ACTIONS(2530),
    [anon_sym_while] = ACTIONS(2530),
    [anon_sym_do] = ACTIONS(2530),
    [anon_sym_for] = ACTIONS(2530),
    [anon_sym_return] = ACTIONS(2530),
    [anon_sym_break] = ACTIONS(2530),
    [anon_sym_continue] = ACTIONS(2530),
    [anon_sym_goto] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2530),
    [anon_sym___leave] = ACTIONS(2530),
    [anon_sym_not] = ACTIONS(2530),
    [anon_sym_compl] = ACTIONS(2530),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_sizeof] = ACTIONS(2530),
    [anon_sym___alignof__] = ACTIONS(2530),
    [anon_sym___alignof] = ACTIONS(2530),
    [anon_sym__alignof] = ACTIONS(2530),
    [anon_sym_alignof] = ACTIONS(2530),
    [anon_sym__Alignof] = ACTIONS(2530),
    [anon_sym_offsetof] = ACTIONS(2530),
    [anon_sym__Generic] = ACTIONS(2530),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [sym_number_literal] = ACTIONS(2532),
    [anon_sym_L_SQUOTE] = ACTIONS(2532),
    [anon_sym_u_SQUOTE] = ACTIONS(2532),
    [anon_sym_U_SQUOTE] = ACTIONS(2532),
    [anon_sym_u8_SQUOTE] = ACTIONS(2532),
    [anon_sym_SQUOTE] = ACTIONS(2532),
    [anon_sym_L_DQUOTE] = ACTIONS(2532),
    [anon_sym_u_DQUOTE] = ACTIONS(2532),
    [anon_sym_U_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8_DQUOTE] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2532),
    [sym_true] = ACTIONS(2530),
    [sym_false] = ACTIONS(2530),
    [anon_sym_NULL] = ACTIONS(2530),
    [anon_sym_nullptr] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2530),
    [anon_sym_decltype] = ACTIONS(2530),
    [sym_virtual] = ACTIONS(2530),
    [anon_sym_explicit] = ACTIONS(2530),
    [anon_sym_typename] = ACTIONS(2530),
    [anon_sym_template] = ACTIONS(2530),
    [anon_sym_operator] = ACTIONS(2530),
    [anon_sym_try] = ACTIONS(2530),
    [anon_sym_delete] = ACTIONS(2530),
    [anon_sym_throw] = ACTIONS(2530),
    [anon_sym_namespace] = ACTIONS(2530),
    [anon_sym_using] = ACTIONS(2530),
    [anon_sym_static_assert] = ACTIONS(2530),
    [anon_sym_concept] = ACTIONS(2530),
    [anon_sym_co_return] = ACTIONS(2530),
    [anon_sym_co_yield] = ACTIONS(2530),
    [anon_sym_R_DQUOTE] = ACTIONS(2532),
    [anon_sym_LR_DQUOTE] = ACTIONS(2532),
    [anon_sym_uR_DQUOTE] = ACTIONS(2532),
    [anon_sym_UR_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2532),
    [anon_sym_co_await] = ACTIONS(2530),
    [anon_sym_new] = ACTIONS(2530),
    [anon_sym_requires] = ACTIONS(2530),
    [sym_this] = ACTIONS(2530),
  },
  [237] = {
    [sym_identifier] = ACTIONS(2534),
    [aux_sym_preproc_include_token1] = ACTIONS(2534),
    [aux_sym_preproc_def_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token2] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2534),
    [aux_sym_preproc_else_token1] = ACTIONS(2534),
    [aux_sym_preproc_elif_token1] = ACTIONS(2534),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2534),
    [sym_preproc_directive] = ACTIONS(2534),
    [anon_sym_LPAREN2] = ACTIONS(2536),
    [anon_sym_BANG] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_typedef] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym___based] = ACTIONS(2534),
    [anon_sym___cdecl] = ACTIONS(2534),
    [anon_sym___clrcall] = ACTIONS(2534),
    [anon_sym___stdcall] = ACTIONS(2534),
    [anon_sym___fastcall] = ACTIONS(2534),
    [anon_sym___thiscall] = ACTIONS(2534),
    [anon_sym___vectorcall] = ACTIONS(2534),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2534),
    [anon_sym_switch] = ACTIONS(2534),
    [anon_sym_case] = ACTIONS(2534),
    [anon_sym_default] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2534),
    [anon_sym_do] = ACTIONS(2534),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_break] = ACTIONS(2534),
    [anon_sym_continue] = ACTIONS(2534),
    [anon_sym_goto] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2534),
    [anon_sym___leave] = ACTIONS(2534),
    [anon_sym_not] = ACTIONS(2534),
    [anon_sym_compl] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_sizeof] = ACTIONS(2534),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2534),
    [anon_sym__Generic] = ACTIONS(2534),
    [anon_sym_asm] = ACTIONS(2534),
    [anon_sym___asm__] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2536),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2536),
    [anon_sym_u_DQUOTE] = ACTIONS(2536),
    [anon_sym_U_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8_DQUOTE] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [anon_sym_NULL] = ACTIONS(2534),
    [anon_sym_nullptr] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(2534),
    [sym_virtual] = ACTIONS(2534),
    [anon_sym_explicit] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(2534),
    [anon_sym_operator] = ACTIONS(2534),
    [anon_sym_try] = ACTIONS(2534),
    [anon_sym_delete] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2534),
    [anon_sym_namespace] = ACTIONS(2534),
    [anon_sym_using] = ACTIONS(2534),
    [anon_sym_static_assert] = ACTIONS(2534),
    [anon_sym_concept] = ACTIONS(2534),
    [anon_sym_co_return] = ACTIONS(2534),
    [anon_sym_co_yield] = ACTIONS(2534),
    [anon_sym_R_DQUOTE] = ACTIONS(2536),
    [anon_sym_LR_DQUOTE] = ACTIONS(2536),
    [anon_sym_uR_DQUOTE] = ACTIONS(2536),
    [anon_sym_UR_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2536),
    [anon_sym_co_await] = ACTIONS(2534),
    [anon_sym_new] = ACTIONS(2534),
    [anon_sym_requires] = ACTIONS(2534),
    [sym_this] = ACTIONS(2534),
  },
  [238] = {
    [sym_identifier] = ACTIONS(2538),
    [aux_sym_preproc_include_token1] = ACTIONS(2538),
    [aux_sym_preproc_def_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token2] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2538),
    [aux_sym_preproc_else_token1] = ACTIONS(2538),
    [aux_sym_preproc_elif_token1] = ACTIONS(2538),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2538),
    [sym_preproc_directive] = ACTIONS(2538),
    [anon_sym_LPAREN2] = ACTIONS(2540),
    [anon_sym_BANG] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2538),
    [anon_sym_typedef] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2538),
    [anon_sym___attribute__] = ACTIONS(2538),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2540),
    [anon_sym___declspec] = ACTIONS(2538),
    [anon_sym___based] = ACTIONS(2538),
    [anon_sym___cdecl] = ACTIONS(2538),
    [anon_sym___clrcall] = ACTIONS(2538),
    [anon_sym___stdcall] = ACTIONS(2538),
    [anon_sym___fastcall] = ACTIONS(2538),
    [anon_sym___thiscall] = ACTIONS(2538),
    [anon_sym___vectorcall] = ACTIONS(2538),
    [anon_sym_LBRACE] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2538),
    [anon_sym_unsigned] = ACTIONS(2538),
    [anon_sym_long] = ACTIONS(2538),
    [anon_sym_short] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_register] = ACTIONS(2538),
    [anon_sym_inline] = ACTIONS(2538),
    [anon_sym___inline] = ACTIONS(2538),
    [anon_sym___inline__] = ACTIONS(2538),
    [anon_sym___forceinline] = ACTIONS(2538),
    [anon_sym_thread_local] = ACTIONS(2538),
    [anon_sym___thread] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_constexpr] = ACTIONS(2538),
    [anon_sym_volatile] = ACTIONS(2538),
    [anon_sym_restrict] = ACTIONS(2538),
    [anon_sym___restrict__] = ACTIONS(2538),
    [anon_sym__Atomic] = ACTIONS(2538),
    [anon_sym__Noreturn] = ACTIONS(2538),
    [anon_sym_noreturn] = ACTIONS(2538),
    [anon_sym_mutable] = ACTIONS(2538),
    [anon_sym_constinit] = ACTIONS(2538),
    [anon_sym_consteval] = ACTIONS(2538),
    [anon_sym_alignas] = ACTIONS(2538),
    [anon_sym__Alignas] = ACTIONS(2538),
    [sym_primitive_type] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_struct] = ACTIONS(2538),
    [anon_sym_union] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_else] = ACTIONS(2538),
    [anon_sym_switch] = ACTIONS(2538),
    [anon_sym_case] = ACTIONS(2538),
    [anon_sym_default] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_do] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2538),
    [anon_sym_return] = ACTIONS(2538),
    [anon_sym_break] = ACTIONS(2538),
    [anon_sym_continue] = ACTIONS(2538),
    [anon_sym_goto] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2538),
    [anon_sym___leave] = ACTIONS(2538),
    [anon_sym_not] = ACTIONS(2538),
    [anon_sym_compl] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2540),
    [anon_sym_sizeof] = ACTIONS(2538),
    [anon_sym___alignof__] = ACTIONS(2538),
    [anon_sym___alignof] = ACTIONS(2538),
    [anon_sym__alignof] = ACTIONS(2538),
    [anon_sym_alignof] = ACTIONS(2538),
    [anon_sym__Alignof] = ACTIONS(2538),
    [anon_sym_offsetof] = ACTIONS(2538),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2538),
    [anon_sym___asm__] = ACTIONS(2538),
    [sym_number_literal] = ACTIONS(2540),
    [anon_sym_L_SQUOTE] = ACTIONS(2540),
    [anon_sym_u_SQUOTE] = ACTIONS(2540),
    [anon_sym_U_SQUOTE] = ACTIONS(2540),
    [anon_sym_u8_SQUOTE] = ACTIONS(2540),
    [anon_sym_SQUOTE] = ACTIONS(2540),
    [anon_sym_L_DQUOTE] = ACTIONS(2540),
    [anon_sym_u_DQUOTE] = ACTIONS(2540),
    [anon_sym_U_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8_DQUOTE] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2540),
    [sym_true] = ACTIONS(2538),
    [sym_false] = ACTIONS(2538),
    [anon_sym_NULL] = ACTIONS(2538),
    [anon_sym_nullptr] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2538),
    [anon_sym_decltype] = ACTIONS(2538),
    [sym_virtual] = ACTIONS(2538),
    [anon_sym_explicit] = ACTIONS(2538),
    [anon_sym_typename] = ACTIONS(2538),
    [anon_sym_template] = ACTIONS(2538),
    [anon_sym_operator] = ACTIONS(2538),
    [anon_sym_try] = ACTIONS(2538),
    [anon_sym_delete] = ACTIONS(2538),
    [anon_sym_throw] = ACTIONS(2538),
    [anon_sym_namespace] = ACTIONS(2538),
    [anon_sym_using] = ACTIONS(2538),
    [anon_sym_static_assert] = ACTIONS(2538),
    [anon_sym_concept] = ACTIONS(2538),
    [anon_sym_co_return] = ACTIONS(2538),
    [anon_sym_co_yield] = ACTIONS(2538),
    [anon_sym_R_DQUOTE] = ACTIONS(2540),
    [anon_sym_LR_DQUOTE] = ACTIONS(2540),
    [anon_sym_uR_DQUOTE] = ACTIONS(2540),
    [anon_sym_UR_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2540),
    [anon_sym_co_await] = ACTIONS(2538),
    [anon_sym_new] = ACTIONS(2538),
    [anon_sym_requires] = ACTIONS(2538),
    [sym_this] = ACTIONS(2538),
  },
  [239] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [aux_sym_preproc_else_token1] = ACTIONS(1878),
    [aux_sym_preproc_elif_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [240] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [241] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [aux_sym_preproc_else_token1] = ACTIONS(2548),
    [aux_sym_preproc_elif_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [242] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [aux_sym_preproc_else_token1] = ACTIONS(2552),
    [aux_sym_preproc_elif_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [243] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [244] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [aux_sym_preproc_else_token1] = ACTIONS(2560),
    [aux_sym_preproc_elif_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [245] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [246] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [aux_sym_preproc_else_token1] = ACTIONS(2568),
    [aux_sym_preproc_elif_token1] = ACTIONS(2568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [sym_virtual] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_concept] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
  },
  [247] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token2] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [aux_sym_preproc_else_token1] = ACTIONS(2572),
    [aux_sym_preproc_elif_token1] = ACTIONS(2572),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [sym_virtual] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [248] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [aux_sym_preproc_else_token1] = ACTIONS(2576),
    [aux_sym_preproc_elif_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [sym_virtual] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [249] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [aux_sym_preproc_else_token1] = ACTIONS(2580),
    [aux_sym_preproc_elif_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [250] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [aux_sym_preproc_else_token1] = ACTIONS(2580),
    [aux_sym_preproc_elif_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [251] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token2] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [aux_sym_preproc_else_token1] = ACTIONS(2584),
    [aux_sym_preproc_elif_token1] = ACTIONS(2584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
    [anon_sym_concept] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [252] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token2] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [aux_sym_preproc_else_token1] = ACTIONS(2588),
    [aux_sym_preproc_elif_token1] = ACTIONS(2588),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___based] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym___leave] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2588),
    [anon_sym_compl] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_explicit] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_try] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2588),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_static_assert] = ACTIONS(2588),
    [anon_sym_concept] = ACTIONS(2588),
    [anon_sym_co_return] = ACTIONS(2588),
    [anon_sym_co_yield] = ACTIONS(2588),
    [anon_sym_R_DQUOTE] = ACTIONS(2590),
    [anon_sym_LR_DQUOTE] = ACTIONS(2590),
    [anon_sym_uR_DQUOTE] = ACTIONS(2590),
    [anon_sym_UR_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2590),
    [anon_sym_co_await] = ACTIONS(2588),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_requires] = ACTIONS(2588),
    [sym_this] = ACTIONS(2588),
  },
  [253] = {
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token2] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [aux_sym_preproc_else_token1] = ACTIONS(2592),
    [aux_sym_preproc_elif_token1] = ACTIONS(2592),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2594),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___based] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_mutable] = ACTIONS(2592),
    [anon_sym_constinit] = ACTIONS(2592),
    [anon_sym_consteval] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym___leave] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2592),
    [anon_sym_compl] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2592),
    [anon_sym_decltype] = ACTIONS(2592),
    [sym_virtual] = ACTIONS(2592),
    [anon_sym_explicit] = ACTIONS(2592),
    [anon_sym_typename] = ACTIONS(2592),
    [anon_sym_template] = ACTIONS(2592),
    [anon_sym_operator] = ACTIONS(2592),
    [anon_sym_try] = ACTIONS(2592),
    [anon_sym_delete] = ACTIONS(2592),
    [anon_sym_throw] = ACTIONS(2592),
    [anon_sym_namespace] = ACTIONS(2592),
    [anon_sym_using] = ACTIONS(2592),
    [anon_sym_static_assert] = ACTIONS(2592),
    [anon_sym_concept] = ACTIONS(2592),
    [anon_sym_co_return] = ACTIONS(2592),
    [anon_sym_co_yield] = ACTIONS(2592),
    [anon_sym_R_DQUOTE] = ACTIONS(2594),
    [anon_sym_LR_DQUOTE] = ACTIONS(2594),
    [anon_sym_uR_DQUOTE] = ACTIONS(2594),
    [anon_sym_UR_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2594),
    [anon_sym_co_await] = ACTIONS(2592),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_requires] = ACTIONS(2592),
    [sym_this] = ACTIONS(2592),
  },
  [254] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token2] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [aux_sym_preproc_else_token1] = ACTIONS(2596),
    [aux_sym_preproc_elif_token1] = ACTIONS(2596),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP_AMP] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___based] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym___leave] = ACTIONS(2596),
    [anon_sym_not] = ACTIONS(2596),
    [anon_sym_compl] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_explicit] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_operator] = ACTIONS(2596),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2596),
    [anon_sym_namespace] = ACTIONS(2596),
    [anon_sym_using] = ACTIONS(2596),
    [anon_sym_static_assert] = ACTIONS(2596),
    [anon_sym_concept] = ACTIONS(2596),
    [anon_sym_co_return] = ACTIONS(2596),
    [anon_sym_co_yield] = ACTIONS(2596),
    [anon_sym_R_DQUOTE] = ACTIONS(2598),
    [anon_sym_LR_DQUOTE] = ACTIONS(2598),
    [anon_sym_uR_DQUOTE] = ACTIONS(2598),
    [anon_sym_UR_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2598),
    [anon_sym_co_await] = ACTIONS(2596),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2596),
    [sym_this] = ACTIONS(2596),
  },
  [255] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [aux_sym_preproc_else_token1] = ACTIONS(2600),
    [aux_sym_preproc_elif_token1] = ACTIONS(2600),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [sym_virtual] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
  },
  [256] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [aux_sym_preproc_else_token1] = ACTIONS(2604),
    [aux_sym_preproc_elif_token1] = ACTIONS(2604),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_else] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
  },
  [257] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [aux_sym_preproc_else_token1] = ACTIONS(2608),
    [aux_sym_preproc_elif_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [258] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [aux_sym_preproc_else_token1] = ACTIONS(2608),
    [aux_sym_preproc_elif_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [259] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_include_token1] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token2] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [aux_sym_preproc_else_token1] = ACTIONS(2612),
    [aux_sym_preproc_elif_token1] = ACTIONS(2612),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym___cdecl] = ACTIONS(2612),
    [anon_sym___clrcall] = ACTIONS(2612),
    [anon_sym___stdcall] = ACTIONS(2612),
    [anon_sym___fastcall] = ACTIONS(2612),
    [anon_sym___thiscall] = ACTIONS(2612),
    [anon_sym___vectorcall] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
    [anon_sym_concept] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2616),
    [aux_sym_preproc_include_token1] = ACTIONS(2616),
    [aux_sym_preproc_def_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token2] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2616),
    [aux_sym_preproc_else_token1] = ACTIONS(2616),
    [aux_sym_preproc_elif_token1] = ACTIONS(2616),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2616),
    [sym_preproc_directive] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym___based] = ACTIONS(2616),
    [anon_sym___cdecl] = ACTIONS(2616),
    [anon_sym___clrcall] = ACTIONS(2616),
    [anon_sym___stdcall] = ACTIONS(2616),
    [anon_sym___fastcall] = ACTIONS(2616),
    [anon_sym___thiscall] = ACTIONS(2616),
    [anon_sym___vectorcall] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_else] = ACTIONS(2616),
    [anon_sym_switch] = ACTIONS(2616),
    [anon_sym_case] = ACTIONS(2616),
    [anon_sym_default] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_do] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_break] = ACTIONS(2616),
    [anon_sym_continue] = ACTIONS(2616),
    [anon_sym_goto] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2616),
    [anon_sym___leave] = ACTIONS(2616),
    [anon_sym_not] = ACTIONS(2616),
    [anon_sym_compl] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2616),
    [anon_sym___alignof] = ACTIONS(2616),
    [anon_sym__alignof] = ACTIONS(2616),
    [anon_sym_alignof] = ACTIONS(2616),
    [anon_sym__Alignof] = ACTIONS(2616),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2616),
    [anon_sym_asm] = ACTIONS(2616),
    [anon_sym___asm__] = ACTIONS(2616),
    [sym_number_literal] = ACTIONS(2618),
    [anon_sym_L_SQUOTE] = ACTIONS(2618),
    [anon_sym_u_SQUOTE] = ACTIONS(2618),
    [anon_sym_U_SQUOTE] = ACTIONS(2618),
    [anon_sym_u8_SQUOTE] = ACTIONS(2618),
    [anon_sym_SQUOTE] = ACTIONS(2618),
    [anon_sym_L_DQUOTE] = ACTIONS(2618),
    [anon_sym_u_DQUOTE] = ACTIONS(2618),
    [anon_sym_U_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2616),
    [anon_sym_nullptr] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_explicit] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_operator] = ACTIONS(2616),
    [anon_sym_try] = ACTIONS(2616),
    [anon_sym_delete] = ACTIONS(2616),
    [anon_sym_throw] = ACTIONS(2616),
    [anon_sym_namespace] = ACTIONS(2616),
    [anon_sym_using] = ACTIONS(2616),
    [anon_sym_static_assert] = ACTIONS(2616),
    [anon_sym_concept] = ACTIONS(2616),
    [anon_sym_co_return] = ACTIONS(2616),
    [anon_sym_co_yield] = ACTIONS(2616),
    [anon_sym_R_DQUOTE] = ACTIONS(2618),
    [anon_sym_LR_DQUOTE] = ACTIONS(2618),
    [anon_sym_uR_DQUOTE] = ACTIONS(2618),
    [anon_sym_UR_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2618),
    [anon_sym_co_await] = ACTIONS(2616),
    [anon_sym_new] = ACTIONS(2616),
    [anon_sym_requires] = ACTIONS(2616),
    [sym_this] = ACTIONS(2616),
  },
  [261] = {
    [sym_identifier] = ACTIONS(2620),
    [aux_sym_preproc_include_token1] = ACTIONS(2620),
    [aux_sym_preproc_def_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token2] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2620),
    [aux_sym_preproc_else_token1] = ACTIONS(2620),
    [aux_sym_preproc_elif_token1] = ACTIONS(2620),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2620),
    [sym_preproc_directive] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym___based] = ACTIONS(2620),
    [anon_sym___cdecl] = ACTIONS(2620),
    [anon_sym___clrcall] = ACTIONS(2620),
    [anon_sym___stdcall] = ACTIONS(2620),
    [anon_sym___fastcall] = ACTIONS(2620),
    [anon_sym___thiscall] = ACTIONS(2620),
    [anon_sym___vectorcall] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_goto] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2620),
    [anon_sym___leave] = ACTIONS(2620),
    [anon_sym_not] = ACTIONS(2620),
    [anon_sym_compl] = ACTIONS(2620),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_sizeof] = ACTIONS(2620),
    [anon_sym___alignof__] = ACTIONS(2620),
    [anon_sym___alignof] = ACTIONS(2620),
    [anon_sym__alignof] = ACTIONS(2620),
    [anon_sym_alignof] = ACTIONS(2620),
    [anon_sym__Alignof] = ACTIONS(2620),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2620),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2622),
    [anon_sym_u_SQUOTE] = ACTIONS(2622),
    [anon_sym_U_SQUOTE] = ACTIONS(2622),
    [anon_sym_u8_SQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [anon_sym_L_DQUOTE] = ACTIONS(2622),
    [anon_sym_u_DQUOTE] = ACTIONS(2622),
    [anon_sym_U_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8_DQUOTE] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [anon_sym_NULL] = ACTIONS(2620),
    [anon_sym_nullptr] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_explicit] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_operator] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(2620),
    [anon_sym_static_assert] = ACTIONS(2620),
    [anon_sym_concept] = ACTIONS(2620),
    [anon_sym_co_return] = ACTIONS(2620),
    [anon_sym_co_yield] = ACTIONS(2620),
    [anon_sym_R_DQUOTE] = ACTIONS(2622),
    [anon_sym_LR_DQUOTE] = ACTIONS(2622),
    [anon_sym_uR_DQUOTE] = ACTIONS(2622),
    [anon_sym_UR_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2622),
    [anon_sym_co_await] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_requires] = ACTIONS(2620),
    [sym_this] = ACTIONS(2620),
  },
  [262] = {
    [sym_identifier] = ACTIONS(2624),
    [aux_sym_preproc_include_token1] = ACTIONS(2624),
    [aux_sym_preproc_def_token1] = ACTIONS(2624),
    [aux_sym_preproc_if_token1] = ACTIONS(2624),
    [aux_sym_preproc_if_token2] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2624),
    [aux_sym_preproc_else_token1] = ACTIONS(2624),
    [aux_sym_preproc_elif_token1] = ACTIONS(2624),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2624),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2624),
    [sym_preproc_directive] = ACTIONS(2624),
    [anon_sym_LPAREN2] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym___extension__] = ACTIONS(2624),
    [anon_sym_typedef] = ACTIONS(2624),
    [anon_sym_extern] = ACTIONS(2624),
    [anon_sym___attribute__] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2626),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2626),
    [anon_sym___declspec] = ACTIONS(2624),
    [anon_sym___based] = ACTIONS(2624),
    [anon_sym___cdecl] = ACTIONS(2624),
    [anon_sym___clrcall] = ACTIONS(2624),
    [anon_sym___stdcall] = ACTIONS(2624),
    [anon_sym___fastcall] = ACTIONS(2624),
    [anon_sym___thiscall] = ACTIONS(2624),
    [anon_sym___vectorcall] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_signed] = ACTIONS(2624),
    [anon_sym_unsigned] = ACTIONS(2624),
    [anon_sym_long] = ACTIONS(2624),
    [anon_sym_short] = ACTIONS(2624),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2624),
    [anon_sym_register] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym___inline] = ACTIONS(2624),
    [anon_sym___inline__] = ACTIONS(2624),
    [anon_sym___forceinline] = ACTIONS(2624),
    [anon_sym_thread_local] = ACTIONS(2624),
    [anon_sym___thread] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_constexpr] = ACTIONS(2624),
    [anon_sym_volatile] = ACTIONS(2624),
    [anon_sym_restrict] = ACTIONS(2624),
    [anon_sym___restrict__] = ACTIONS(2624),
    [anon_sym__Atomic] = ACTIONS(2624),
    [anon_sym__Noreturn] = ACTIONS(2624),
    [anon_sym_noreturn] = ACTIONS(2624),
    [anon_sym_mutable] = ACTIONS(2624),
    [anon_sym_constinit] = ACTIONS(2624),
    [anon_sym_consteval] = ACTIONS(2624),
    [anon_sym_alignas] = ACTIONS(2624),
    [anon_sym__Alignas] = ACTIONS(2624),
    [sym_primitive_type] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_class] = ACTIONS(2624),
    [anon_sym_struct] = ACTIONS(2624),
    [anon_sym_union] = ACTIONS(2624),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_case] = ACTIONS(2624),
    [anon_sym_default] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_do] = ACTIONS(2624),
    [anon_sym_for] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_break] = ACTIONS(2624),
    [anon_sym_continue] = ACTIONS(2624),
    [anon_sym_goto] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2624),
    [anon_sym___leave] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2624),
    [anon_sym_compl] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_sizeof] = ACTIONS(2624),
    [anon_sym___alignof__] = ACTIONS(2624),
    [anon_sym___alignof] = ACTIONS(2624),
    [anon_sym__alignof] = ACTIONS(2624),
    [anon_sym_alignof] = ACTIONS(2624),
    [anon_sym__Alignof] = ACTIONS(2624),
    [anon_sym_offsetof] = ACTIONS(2624),
    [anon_sym__Generic] = ACTIONS(2624),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2626),
    [anon_sym_u_SQUOTE] = ACTIONS(2626),
    [anon_sym_U_SQUOTE] = ACTIONS(2626),
    [anon_sym_u8_SQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2624),
    [sym_false] = ACTIONS(2624),
    [anon_sym_NULL] = ACTIONS(2624),
    [anon_sym_nullptr] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2624),
    [anon_sym_decltype] = ACTIONS(2624),
    [sym_virtual] = ACTIONS(2624),
    [anon_sym_explicit] = ACTIONS(2624),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_delete] = ACTIONS(2624),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_namespace] = ACTIONS(2624),
    [anon_sym_using] = ACTIONS(2624),
    [anon_sym_static_assert] = ACTIONS(2624),
    [anon_sym_concept] = ACTIONS(2624),
    [anon_sym_co_return] = ACTIONS(2624),
    [anon_sym_co_yield] = ACTIONS(2624),
    [anon_sym_R_DQUOTE] = ACTIONS(2626),
    [anon_sym_LR_DQUOTE] = ACTIONS(2626),
    [anon_sym_uR_DQUOTE] = ACTIONS(2626),
    [anon_sym_UR_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2626),
    [anon_sym_co_await] = ACTIONS(2624),
    [anon_sym_new] = ACTIONS(2624),
    [anon_sym_requires] = ACTIONS(2624),
    [sym_this] = ACTIONS(2624),
  },
  [263] = {
    [sym_identifier] = ACTIONS(2628),
    [aux_sym_preproc_include_token1] = ACTIONS(2628),
    [aux_sym_preproc_def_token1] = ACTIONS(2628),
    [aux_sym_preproc_if_token1] = ACTIONS(2628),
    [aux_sym_preproc_if_token2] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2628),
    [aux_sym_preproc_else_token1] = ACTIONS(2628),
    [aux_sym_preproc_elif_token1] = ACTIONS(2628),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2628),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2628),
    [sym_preproc_directive] = ACTIONS(2628),
    [anon_sym_LPAREN2] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym___extension__] = ACTIONS(2628),
    [anon_sym_typedef] = ACTIONS(2628),
    [anon_sym_extern] = ACTIONS(2628),
    [anon_sym___attribute__] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2630),
    [anon_sym___declspec] = ACTIONS(2628),
    [anon_sym___based] = ACTIONS(2628),
    [anon_sym___cdecl] = ACTIONS(2628),
    [anon_sym___clrcall] = ACTIONS(2628),
    [anon_sym___stdcall] = ACTIONS(2628),
    [anon_sym___fastcall] = ACTIONS(2628),
    [anon_sym___thiscall] = ACTIONS(2628),
    [anon_sym___vectorcall] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_signed] = ACTIONS(2628),
    [anon_sym_unsigned] = ACTIONS(2628),
    [anon_sym_long] = ACTIONS(2628),
    [anon_sym_short] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_register] = ACTIONS(2628),
    [anon_sym_inline] = ACTIONS(2628),
    [anon_sym___inline] = ACTIONS(2628),
    [anon_sym___inline__] = ACTIONS(2628),
    [anon_sym___forceinline] = ACTIONS(2628),
    [anon_sym_thread_local] = ACTIONS(2628),
    [anon_sym___thread] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_constexpr] = ACTIONS(2628),
    [anon_sym_volatile] = ACTIONS(2628),
    [anon_sym_restrict] = ACTIONS(2628),
    [anon_sym___restrict__] = ACTIONS(2628),
    [anon_sym__Atomic] = ACTIONS(2628),
    [anon_sym__Noreturn] = ACTIONS(2628),
    [anon_sym_noreturn] = ACTIONS(2628),
    [anon_sym_mutable] = ACTIONS(2628),
    [anon_sym_constinit] = ACTIONS(2628),
    [anon_sym_consteval] = ACTIONS(2628),
    [anon_sym_alignas] = ACTIONS(2628),
    [anon_sym__Alignas] = ACTIONS(2628),
    [sym_primitive_type] = ACTIONS(2628),
    [anon_sym_enum] = ACTIONS(2628),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_struct] = ACTIONS(2628),
    [anon_sym_union] = ACTIONS(2628),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_else] = ACTIONS(2628),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_case] = ACTIONS(2628),
    [anon_sym_default] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2628),
    [anon_sym_do] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_return] = ACTIONS(2628),
    [anon_sym_break] = ACTIONS(2628),
    [anon_sym_continue] = ACTIONS(2628),
    [anon_sym_goto] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2628),
    [anon_sym___leave] = ACTIONS(2628),
    [anon_sym_not] = ACTIONS(2628),
    [anon_sym_compl] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_sizeof] = ACTIONS(2628),
    [anon_sym___alignof__] = ACTIONS(2628),
    [anon_sym___alignof] = ACTIONS(2628),
    [anon_sym__alignof] = ACTIONS(2628),
    [anon_sym_alignof] = ACTIONS(2628),
    [anon_sym__Alignof] = ACTIONS(2628),
    [anon_sym_offsetof] = ACTIONS(2628),
    [anon_sym__Generic] = ACTIONS(2628),
    [anon_sym_asm] = ACTIONS(2628),
    [anon_sym___asm__] = ACTIONS(2628),
    [sym_number_literal] = ACTIONS(2630),
    [anon_sym_L_SQUOTE] = ACTIONS(2630),
    [anon_sym_u_SQUOTE] = ACTIONS(2630),
    [anon_sym_U_SQUOTE] = ACTIONS(2630),
    [anon_sym_u8_SQUOTE] = ACTIONS(2630),
    [anon_sym_SQUOTE] = ACTIONS(2630),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2628),
    [anon_sym_nullptr] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2628),
    [anon_sym_decltype] = ACTIONS(2628),
    [sym_virtual] = ACTIONS(2628),
    [anon_sym_explicit] = ACTIONS(2628),
    [anon_sym_typename] = ACTIONS(2628),
    [anon_sym_template] = ACTIONS(2628),
    [anon_sym_operator] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2628),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_throw] = ACTIONS(2628),
    [anon_sym_namespace] = ACTIONS(2628),
    [anon_sym_using] = ACTIONS(2628),
    [anon_sym_static_assert] = ACTIONS(2628),
    [anon_sym_concept] = ACTIONS(2628),
    [anon_sym_co_return] = ACTIONS(2628),
    [anon_sym_co_yield] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2628),
    [anon_sym_requires] = ACTIONS(2628),
    [sym_this] = ACTIONS(2628),
  },
  [264] = {
    [sym_identifier] = ACTIONS(2632),
    [aux_sym_preproc_include_token1] = ACTIONS(2632),
    [aux_sym_preproc_def_token1] = ACTIONS(2632),
    [aux_sym_preproc_if_token1] = ACTIONS(2632),
    [aux_sym_preproc_if_token2] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2632),
    [aux_sym_preproc_else_token1] = ACTIONS(2632),
    [aux_sym_preproc_elif_token1] = ACTIONS(2632),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2632),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2632),
    [sym_preproc_directive] = ACTIONS(2632),
    [anon_sym_LPAREN2] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_TILDE] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym___extension__] = ACTIONS(2632),
    [anon_sym_typedef] = ACTIONS(2632),
    [anon_sym_extern] = ACTIONS(2632),
    [anon_sym___attribute__] = ACTIONS(2632),
    [anon_sym_COLON_COLON] = ACTIONS(2634),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2634),
    [anon_sym___declspec] = ACTIONS(2632),
    [anon_sym___based] = ACTIONS(2632),
    [anon_sym___cdecl] = ACTIONS(2632),
    [anon_sym___clrcall] = ACTIONS(2632),
    [anon_sym___stdcall] = ACTIONS(2632),
    [anon_sym___fastcall] = ACTIONS(2632),
    [anon_sym___thiscall] = ACTIONS(2632),
    [anon_sym___vectorcall] = ACTIONS(2632),
    [anon_sym_LBRACE] = ACTIONS(2634),
    [anon_sym_signed] = ACTIONS(2632),
    [anon_sym_unsigned] = ACTIONS(2632),
    [anon_sym_long] = ACTIONS(2632),
    [anon_sym_short] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_static] = ACTIONS(2632),
    [anon_sym_register] = ACTIONS(2632),
    [anon_sym_inline] = ACTIONS(2632),
    [anon_sym___inline] = ACTIONS(2632),
    [anon_sym___inline__] = ACTIONS(2632),
    [anon_sym___forceinline] = ACTIONS(2632),
    [anon_sym_thread_local] = ACTIONS(2632),
    [anon_sym___thread] = ACTIONS(2632),
    [anon_sym_const] = ACTIONS(2632),
    [anon_sym_constexpr] = ACTIONS(2632),
    [anon_sym_volatile] = ACTIONS(2632),
    [anon_sym_restrict] = ACTIONS(2632),
    [anon_sym___restrict__] = ACTIONS(2632),
    [anon_sym__Atomic] = ACTIONS(2632),
    [anon_sym__Noreturn] = ACTIONS(2632),
    [anon_sym_noreturn] = ACTIONS(2632),
    [anon_sym_mutable] = ACTIONS(2632),
    [anon_sym_constinit] = ACTIONS(2632),
    [anon_sym_consteval] = ACTIONS(2632),
    [anon_sym_alignas] = ACTIONS(2632),
    [anon_sym__Alignas] = ACTIONS(2632),
    [sym_primitive_type] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_struct] = ACTIONS(2632),
    [anon_sym_union] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_case] = ACTIONS(2632),
    [anon_sym_default] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_break] = ACTIONS(2632),
    [anon_sym_continue] = ACTIONS(2632),
    [anon_sym_goto] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2632),
    [anon_sym___leave] = ACTIONS(2632),
    [anon_sym_not] = ACTIONS(2632),
    [anon_sym_compl] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_sizeof] = ACTIONS(2632),
    [anon_sym___alignof__] = ACTIONS(2632),
    [anon_sym___alignof] = ACTIONS(2632),
    [anon_sym__alignof] = ACTIONS(2632),
    [anon_sym_alignof] = ACTIONS(2632),
    [anon_sym__Alignof] = ACTIONS(2632),
    [anon_sym_offsetof] = ACTIONS(2632),
    [anon_sym__Generic] = ACTIONS(2632),
    [anon_sym_asm] = ACTIONS(2632),
    [anon_sym___asm__] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2634),
    [anon_sym_L_SQUOTE] = ACTIONS(2634),
    [anon_sym_u_SQUOTE] = ACTIONS(2634),
    [anon_sym_U_SQUOTE] = ACTIONS(2634),
    [anon_sym_u8_SQUOTE] = ACTIONS(2634),
    [anon_sym_SQUOTE] = ACTIONS(2634),
    [anon_sym_L_DQUOTE] = ACTIONS(2634),
    [anon_sym_u_DQUOTE] = ACTIONS(2634),
    [anon_sym_U_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2632),
    [anon_sym_nullptr] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2632),
    [sym_virtual] = ACTIONS(2632),
    [anon_sym_explicit] = ACTIONS(2632),
    [anon_sym_typename] = ACTIONS(2632),
    [anon_sym_template] = ACTIONS(2632),
    [anon_sym_operator] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_delete] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2632),
    [anon_sym_namespace] = ACTIONS(2632),
    [anon_sym_using] = ACTIONS(2632),
    [anon_sym_static_assert] = ACTIONS(2632),
    [anon_sym_concept] = ACTIONS(2632),
    [anon_sym_co_return] = ACTIONS(2632),
    [anon_sym_co_yield] = ACTIONS(2632),
    [anon_sym_R_DQUOTE] = ACTIONS(2634),
    [anon_sym_LR_DQUOTE] = ACTIONS(2634),
    [anon_sym_uR_DQUOTE] = ACTIONS(2634),
    [anon_sym_UR_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2634),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2632),
    [anon_sym_requires] = ACTIONS(2632),
    [sym_this] = ACTIONS(2632),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2636),
    [aux_sym_preproc_include_token1] = ACTIONS(2636),
    [aux_sym_preproc_def_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token2] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2636),
    [aux_sym_preproc_else_token1] = ACTIONS(2636),
    [aux_sym_preproc_elif_token1] = ACTIONS(2636),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2636),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2636),
    [sym_preproc_directive] = ACTIONS(2636),
    [anon_sym_LPAREN2] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_TILDE] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2636),
    [anon_sym_typedef] = ACTIONS(2636),
    [anon_sym_extern] = ACTIONS(2636),
    [anon_sym___attribute__] = ACTIONS(2636),
    [anon_sym_COLON_COLON] = ACTIONS(2638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2638),
    [anon_sym___declspec] = ACTIONS(2636),
    [anon_sym___based] = ACTIONS(2636),
    [anon_sym___cdecl] = ACTIONS(2636),
    [anon_sym___clrcall] = ACTIONS(2636),
    [anon_sym___stdcall] = ACTIONS(2636),
    [anon_sym___fastcall] = ACTIONS(2636),
    [anon_sym___thiscall] = ACTIONS(2636),
    [anon_sym___vectorcall] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_signed] = ACTIONS(2636),
    [anon_sym_unsigned] = ACTIONS(2636),
    [anon_sym_long] = ACTIONS(2636),
    [anon_sym_short] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2636),
    [anon_sym_register] = ACTIONS(2636),
    [anon_sym_inline] = ACTIONS(2636),
    [anon_sym___inline] = ACTIONS(2636),
    [anon_sym___inline__] = ACTIONS(2636),
    [anon_sym___forceinline] = ACTIONS(2636),
    [anon_sym_thread_local] = ACTIONS(2636),
    [anon_sym___thread] = ACTIONS(2636),
    [anon_sym_const] = ACTIONS(2636),
    [anon_sym_constexpr] = ACTIONS(2636),
    [anon_sym_volatile] = ACTIONS(2636),
    [anon_sym_restrict] = ACTIONS(2636),
    [anon_sym___restrict__] = ACTIONS(2636),
    [anon_sym__Atomic] = ACTIONS(2636),
    [anon_sym__Noreturn] = ACTIONS(2636),
    [anon_sym_noreturn] = ACTIONS(2636),
    [anon_sym_mutable] = ACTIONS(2636),
    [anon_sym_constinit] = ACTIONS(2636),
    [anon_sym_consteval] = ACTIONS(2636),
    [anon_sym_alignas] = ACTIONS(2636),
    [anon_sym__Alignas] = ACTIONS(2636),
    [sym_primitive_type] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2636),
    [anon_sym_struct] = ACTIONS(2636),
    [anon_sym_union] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2636),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2636),
    [anon_sym_default] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2636),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_return] = ACTIONS(2636),
    [anon_sym_break] = ACTIONS(2636),
    [anon_sym_continue] = ACTIONS(2636),
    [anon_sym_goto] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2636),
    [anon_sym___leave] = ACTIONS(2636),
    [anon_sym_not] = ACTIONS(2636),
    [anon_sym_compl] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_sizeof] = ACTIONS(2636),
    [anon_sym___alignof__] = ACTIONS(2636),
    [anon_sym___alignof] = ACTIONS(2636),
    [anon_sym__alignof] = ACTIONS(2636),
    [anon_sym_alignof] = ACTIONS(2636),
    [anon_sym__Alignof] = ACTIONS(2636),
    [anon_sym_offsetof] = ACTIONS(2636),
    [anon_sym__Generic] = ACTIONS(2636),
    [anon_sym_asm] = ACTIONS(2636),
    [anon_sym___asm__] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2638),
    [anon_sym_L_SQUOTE] = ACTIONS(2638),
    [anon_sym_u_SQUOTE] = ACTIONS(2638),
    [anon_sym_U_SQUOTE] = ACTIONS(2638),
    [anon_sym_u8_SQUOTE] = ACTIONS(2638),
    [anon_sym_SQUOTE] = ACTIONS(2638),
    [anon_sym_L_DQUOTE] = ACTIONS(2638),
    [anon_sym_u_DQUOTE] = ACTIONS(2638),
    [anon_sym_U_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [sym_true] = ACTIONS(2636),
    [sym_false] = ACTIONS(2636),
    [anon_sym_NULL] = ACTIONS(2636),
    [anon_sym_nullptr] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2636),
    [sym_virtual] = ACTIONS(2636),
    [anon_sym_explicit] = ACTIONS(2636),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(2636),
    [anon_sym_operator] = ACTIONS(2636),
    [anon_sym_try] = ACTIONS(2636),
    [anon_sym_delete] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2636),
    [anon_sym_namespace] = ACTIONS(2636),
    [anon_sym_using] = ACTIONS(2636),
    [anon_sym_static_assert] = ACTIONS(2636),
    [anon_sym_concept] = ACTIONS(2636),
    [anon_sym_co_return] = ACTIONS(2636),
    [anon_sym_co_yield] = ACTIONS(2636),
    [anon_sym_R_DQUOTE] = ACTIONS(2638),
    [anon_sym_LR_DQUOTE] = ACTIONS(2638),
    [anon_sym_uR_DQUOTE] = ACTIONS(2638),
    [anon_sym_UR_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2638),
    [anon_sym_co_await] = ACTIONS(2636),
    [anon_sym_new] = ACTIONS(2636),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2636),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2640),
    [aux_sym_preproc_include_token1] = ACTIONS(2640),
    [aux_sym_preproc_def_token1] = ACTIONS(2640),
    [aux_sym_preproc_if_token1] = ACTIONS(2640),
    [aux_sym_preproc_if_token2] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2640),
    [aux_sym_preproc_else_token1] = ACTIONS(2640),
    [aux_sym_preproc_elif_token1] = ACTIONS(2640),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2640),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2640),
    [sym_preproc_directive] = ACTIONS(2640),
    [anon_sym_LPAREN2] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_TILDE] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym___extension__] = ACTIONS(2640),
    [anon_sym_typedef] = ACTIONS(2640),
    [anon_sym_extern] = ACTIONS(2640),
    [anon_sym___attribute__] = ACTIONS(2640),
    [anon_sym_COLON_COLON] = ACTIONS(2642),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2642),
    [anon_sym___declspec] = ACTIONS(2640),
    [anon_sym___based] = ACTIONS(2640),
    [anon_sym___cdecl] = ACTIONS(2640),
    [anon_sym___clrcall] = ACTIONS(2640),
    [anon_sym___stdcall] = ACTIONS(2640),
    [anon_sym___fastcall] = ACTIONS(2640),
    [anon_sym___thiscall] = ACTIONS(2640),
    [anon_sym___vectorcall] = ACTIONS(2640),
    [anon_sym_LBRACE] = ACTIONS(2642),
    [anon_sym_signed] = ACTIONS(2640),
    [anon_sym_unsigned] = ACTIONS(2640),
    [anon_sym_long] = ACTIONS(2640),
    [anon_sym_short] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_register] = ACTIONS(2640),
    [anon_sym_inline] = ACTIONS(2640),
    [anon_sym___inline] = ACTIONS(2640),
    [anon_sym___inline__] = ACTIONS(2640),
    [anon_sym___forceinline] = ACTIONS(2640),
    [anon_sym_thread_local] = ACTIONS(2640),
    [anon_sym___thread] = ACTIONS(2640),
    [anon_sym_const] = ACTIONS(2640),
    [anon_sym_constexpr] = ACTIONS(2640),
    [anon_sym_volatile] = ACTIONS(2640),
    [anon_sym_restrict] = ACTIONS(2640),
    [anon_sym___restrict__] = ACTIONS(2640),
    [anon_sym__Atomic] = ACTIONS(2640),
    [anon_sym__Noreturn] = ACTIONS(2640),
    [anon_sym_noreturn] = ACTIONS(2640),
    [anon_sym_mutable] = ACTIONS(2640),
    [anon_sym_constinit] = ACTIONS(2640),
    [anon_sym_consteval] = ACTIONS(2640),
    [anon_sym_alignas] = ACTIONS(2640),
    [anon_sym__Alignas] = ACTIONS(2640),
    [sym_primitive_type] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2640),
    [anon_sym_struct] = ACTIONS(2640),
    [anon_sym_union] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2640),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_case] = ACTIONS(2640),
    [anon_sym_default] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_do] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2640),
    [anon_sym_continue] = ACTIONS(2640),
    [anon_sym_goto] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2640),
    [anon_sym___leave] = ACTIONS(2640),
    [anon_sym_not] = ACTIONS(2640),
    [anon_sym_compl] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_sizeof] = ACTIONS(2640),
    [anon_sym___alignof__] = ACTIONS(2640),
    [anon_sym___alignof] = ACTIONS(2640),
    [anon_sym__alignof] = ACTIONS(2640),
    [anon_sym_alignof] = ACTIONS(2640),
    [anon_sym__Alignof] = ACTIONS(2640),
    [anon_sym_offsetof] = ACTIONS(2640),
    [anon_sym__Generic] = ACTIONS(2640),
    [anon_sym_asm] = ACTIONS(2640),
    [anon_sym___asm__] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2642),
    [anon_sym_L_SQUOTE] = ACTIONS(2642),
    [anon_sym_u_SQUOTE] = ACTIONS(2642),
    [anon_sym_U_SQUOTE] = ACTIONS(2642),
    [anon_sym_u8_SQUOTE] = ACTIONS(2642),
    [anon_sym_SQUOTE] = ACTIONS(2642),
    [anon_sym_L_DQUOTE] = ACTIONS(2642),
    [anon_sym_u_DQUOTE] = ACTIONS(2642),
    [anon_sym_U_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [sym_true] = ACTIONS(2640),
    [sym_false] = ACTIONS(2640),
    [anon_sym_NULL] = ACTIONS(2640),
    [anon_sym_nullptr] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2640),
    [anon_sym_decltype] = ACTIONS(2640),
    [sym_virtual] = ACTIONS(2640),
    [anon_sym_explicit] = ACTIONS(2640),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(2640),
    [anon_sym_operator] = ACTIONS(2640),
    [anon_sym_try] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2640),
    [anon_sym_using] = ACTIONS(2640),
    [anon_sym_static_assert] = ACTIONS(2640),
    [anon_sym_concept] = ACTIONS(2640),
    [anon_sym_co_return] = ACTIONS(2640),
    [anon_sym_co_yield] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2640),
    [anon_sym_requires] = ACTIONS(2640),
    [sym_this] = ACTIONS(2640),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token2] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [aux_sym_preproc_else_token1] = ACTIONS(2644),
    [aux_sym_preproc_elif_token1] = ACTIONS(2644),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_BANG] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2646),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym___cdecl] = ACTIONS(2644),
    [anon_sym___clrcall] = ACTIONS(2644),
    [anon_sym___stdcall] = ACTIONS(2644),
    [anon_sym___fastcall] = ACTIONS(2644),
    [anon_sym___thiscall] = ACTIONS(2644),
    [anon_sym___vectorcall] = ACTIONS(2644),
    [anon_sym_LBRACE] = ACTIONS(2646),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2644),
    [anon_sym_case] = ACTIONS(2644),
    [anon_sym_default] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_return] = ACTIONS(2644),
    [anon_sym_break] = ACTIONS(2644),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_goto] = ACTIONS(2644),
    [anon_sym___try] = ACTIONS(2644),
    [anon_sym___leave] = ACTIONS(2644),
    [anon_sym_not] = ACTIONS(2644),
    [anon_sym_compl] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2646),
    [anon_sym_PLUS_PLUS] = ACTIONS(2646),
    [anon_sym_sizeof] = ACTIONS(2644),
    [anon_sym___alignof__] = ACTIONS(2644),
    [anon_sym___alignof] = ACTIONS(2644),
    [anon_sym__alignof] = ACTIONS(2644),
    [anon_sym_alignof] = ACTIONS(2644),
    [anon_sym__Alignof] = ACTIONS(2644),
    [anon_sym_offsetof] = ACTIONS(2644),
    [anon_sym__Generic] = ACTIONS(2644),
    [anon_sym_asm] = ACTIONS(2644),
    [anon_sym___asm__] = ACTIONS(2644),
    [sym_number_literal] = ACTIONS(2646),
    [anon_sym_L_SQUOTE] = ACTIONS(2646),
    [anon_sym_u_SQUOTE] = ACTIONS(2646),
    [anon_sym_U_SQUOTE] = ACTIONS(2646),
    [anon_sym_u8_SQUOTE] = ACTIONS(2646),
    [anon_sym_SQUOTE] = ACTIONS(2646),
    [anon_sym_L_DQUOTE] = ACTIONS(2646),
    [anon_sym_u_DQUOTE] = ACTIONS(2646),
    [anon_sym_U_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8_DQUOTE] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [sym_true] = ACTIONS(2644),
    [sym_false] = ACTIONS(2644),
    [anon_sym_NULL] = ACTIONS(2644),
    [anon_sym_nullptr] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_try] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2644),
    [anon_sym_namespace] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
    [anon_sym_concept] = ACTIONS(2644),
    [anon_sym_co_return] = ACTIONS(2644),
    [anon_sym_co_yield] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2644),
    [anon_sym_requires] = ACTIONS(2644),
    [sym_this] = ACTIONS(2644),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_include_token1] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token2] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [aux_sym_preproc_else_token1] = ACTIONS(2648),
    [aux_sym_preproc_elif_token1] = ACTIONS(2648),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym___cdecl] = ACTIONS(2648),
    [anon_sym___clrcall] = ACTIONS(2648),
    [anon_sym___stdcall] = ACTIONS(2648),
    [anon_sym___fastcall] = ACTIONS(2648),
    [anon_sym___thiscall] = ACTIONS(2648),
    [anon_sym___vectorcall] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_goto] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2648),
    [anon_sym___leave] = ACTIONS(2648),
    [anon_sym_not] = ACTIONS(2648),
    [anon_sym_compl] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_sizeof] = ACTIONS(2648),
    [anon_sym___alignof__] = ACTIONS(2648),
    [anon_sym___alignof] = ACTIONS(2648),
    [anon_sym__alignof] = ACTIONS(2648),
    [anon_sym_alignof] = ACTIONS(2648),
    [anon_sym__Alignof] = ACTIONS(2648),
    [anon_sym_offsetof] = ACTIONS(2648),
    [anon_sym__Generic] = ACTIONS(2648),
    [anon_sym_asm] = ACTIONS(2648),
    [anon_sym___asm__] = ACTIONS(2648),
    [sym_number_literal] = ACTIONS(2650),
    [anon_sym_L_SQUOTE] = ACTIONS(2650),
    [anon_sym_u_SQUOTE] = ACTIONS(2650),
    [anon_sym_U_SQUOTE] = ACTIONS(2650),
    [anon_sym_u8_SQUOTE] = ACTIONS(2650),
    [anon_sym_SQUOTE] = ACTIONS(2650),
    [anon_sym_L_DQUOTE] = ACTIONS(2650),
    [anon_sym_u_DQUOTE] = ACTIONS(2650),
    [anon_sym_U_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8_DQUOTE] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [anon_sym_NULL] = ACTIONS(2648),
    [anon_sym_nullptr] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
    [anon_sym_concept] = ACTIONS(2648),
    [anon_sym_co_return] = ACTIONS(2648),
    [anon_sym_co_yield] = ACTIONS(2648),
    [anon_sym_R_DQUOTE] = ACTIONS(2650),
    [anon_sym_LR_DQUOTE] = ACTIONS(2650),
    [anon_sym_uR_DQUOTE] = ACTIONS(2650),
    [anon_sym_UR_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2650),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2648),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2652),
    [aux_sym_preproc_include_token1] = ACTIONS(2652),
    [aux_sym_preproc_def_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token2] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2652),
    [aux_sym_preproc_else_token1] = ACTIONS(2652),
    [aux_sym_preproc_elif_token1] = ACTIONS(2652),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2652),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2654),
    [anon_sym___extension__] = ACTIONS(2652),
    [anon_sym_typedef] = ACTIONS(2652),
    [anon_sym_extern] = ACTIONS(2652),
    [anon_sym___attribute__] = ACTIONS(2652),
    [anon_sym_COLON_COLON] = ACTIONS(2654),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2654),
    [anon_sym___declspec] = ACTIONS(2652),
    [anon_sym___based] = ACTIONS(2652),
    [anon_sym___cdecl] = ACTIONS(2652),
    [anon_sym___clrcall] = ACTIONS(2652),
    [anon_sym___stdcall] = ACTIONS(2652),
    [anon_sym___fastcall] = ACTIONS(2652),
    [anon_sym___thiscall] = ACTIONS(2652),
    [anon_sym___vectorcall] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2652),
    [anon_sym_unsigned] = ACTIONS(2652),
    [anon_sym_long] = ACTIONS(2652),
    [anon_sym_short] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_register] = ACTIONS(2652),
    [anon_sym_inline] = ACTIONS(2652),
    [anon_sym___inline] = ACTIONS(2652),
    [anon_sym___inline__] = ACTIONS(2652),
    [anon_sym___forceinline] = ACTIONS(2652),
    [anon_sym_thread_local] = ACTIONS(2652),
    [anon_sym___thread] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_constexpr] = ACTIONS(2652),
    [anon_sym_volatile] = ACTIONS(2652),
    [anon_sym_restrict] = ACTIONS(2652),
    [anon_sym___restrict__] = ACTIONS(2652),
    [anon_sym__Atomic] = ACTIONS(2652),
    [anon_sym__Noreturn] = ACTIONS(2652),
    [anon_sym_noreturn] = ACTIONS(2652),
    [anon_sym_mutable] = ACTIONS(2652),
    [anon_sym_constinit] = ACTIONS(2652),
    [anon_sym_consteval] = ACTIONS(2652),
    [anon_sym_alignas] = ACTIONS(2652),
    [anon_sym__Alignas] = ACTIONS(2652),
    [sym_primitive_type] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_struct] = ACTIONS(2652),
    [anon_sym_union] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_goto] = ACTIONS(2652),
    [anon_sym___try] = ACTIONS(2652),
    [anon_sym___leave] = ACTIONS(2652),
    [anon_sym_not] = ACTIONS(2652),
    [anon_sym_compl] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2654),
    [anon_sym_sizeof] = ACTIONS(2652),
    [anon_sym___alignof__] = ACTIONS(2652),
    [anon_sym___alignof] = ACTIONS(2652),
    [anon_sym__alignof] = ACTIONS(2652),
    [anon_sym_alignof] = ACTIONS(2652),
    [anon_sym__Alignof] = ACTIONS(2652),
    [anon_sym_offsetof] = ACTIONS(2652),
    [anon_sym__Generic] = ACTIONS(2652),
    [anon_sym_asm] = ACTIONS(2652),
    [anon_sym___asm__] = ACTIONS(2652),
    [sym_number_literal] = ACTIONS(2654),
    [anon_sym_L_SQUOTE] = ACTIONS(2654),
    [anon_sym_u_SQUOTE] = ACTIONS(2654),
    [anon_sym_U_SQUOTE] = ACTIONS(2654),
    [anon_sym_u8_SQUOTE] = ACTIONS(2654),
    [anon_sym_SQUOTE] = ACTIONS(2654),
    [anon_sym_L_DQUOTE] = ACTIONS(2654),
    [anon_sym_u_DQUOTE] = ACTIONS(2654),
    [anon_sym_U_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8_DQUOTE] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [anon_sym_NULL] = ACTIONS(2652),
    [anon_sym_nullptr] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2652),
    [anon_sym_decltype] = ACTIONS(2652),
    [sym_virtual] = ACTIONS(2652),
    [anon_sym_explicit] = ACTIONS(2652),
    [anon_sym_typename] = ACTIONS(2652),
    [anon_sym_template] = ACTIONS(2652),
    [anon_sym_operator] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_static_assert] = ACTIONS(2652),
    [anon_sym_concept] = ACTIONS(2652),
    [anon_sym_co_return] = ACTIONS(2652),
    [anon_sym_co_yield] = ACTIONS(2652),
    [anon_sym_R_DQUOTE] = ACTIONS(2654),
    [anon_sym_LR_DQUOTE] = ACTIONS(2654),
    [anon_sym_uR_DQUOTE] = ACTIONS(2654),
    [anon_sym_UR_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2654),
    [anon_sym_co_await] = ACTIONS(2652),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2652),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2656),
    [aux_sym_preproc_include_token1] = ACTIONS(2656),
    [aux_sym_preproc_def_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token2] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2656),
    [aux_sym_preproc_else_token1] = ACTIONS(2656),
    [aux_sym_preproc_elif_token1] = ACTIONS(2656),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2656),
    [sym_preproc_directive] = ACTIONS(2656),
    [anon_sym_LPAREN2] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_AMP_AMP] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2658),
    [anon_sym___extension__] = ACTIONS(2656),
    [anon_sym_typedef] = ACTIONS(2656),
    [anon_sym_extern] = ACTIONS(2656),
    [anon_sym___attribute__] = ACTIONS(2656),
    [anon_sym_COLON_COLON] = ACTIONS(2658),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2658),
    [anon_sym___declspec] = ACTIONS(2656),
    [anon_sym___based] = ACTIONS(2656),
    [anon_sym___cdecl] = ACTIONS(2656),
    [anon_sym___clrcall] = ACTIONS(2656),
    [anon_sym___stdcall] = ACTIONS(2656),
    [anon_sym___fastcall] = ACTIONS(2656),
    [anon_sym___thiscall] = ACTIONS(2656),
    [anon_sym___vectorcall] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2656),
    [anon_sym_unsigned] = ACTIONS(2656),
    [anon_sym_long] = ACTIONS(2656),
    [anon_sym_short] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_register] = ACTIONS(2656),
    [anon_sym_inline] = ACTIONS(2656),
    [anon_sym___inline] = ACTIONS(2656),
    [anon_sym___inline__] = ACTIONS(2656),
    [anon_sym___forceinline] = ACTIONS(2656),
    [anon_sym_thread_local] = ACTIONS(2656),
    [anon_sym___thread] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_constexpr] = ACTIONS(2656),
    [anon_sym_volatile] = ACTIONS(2656),
    [anon_sym_restrict] = ACTIONS(2656),
    [anon_sym___restrict__] = ACTIONS(2656),
    [anon_sym__Atomic] = ACTIONS(2656),
    [anon_sym__Noreturn] = ACTIONS(2656),
    [anon_sym_noreturn] = ACTIONS(2656),
    [anon_sym_mutable] = ACTIONS(2656),
    [anon_sym_constinit] = ACTIONS(2656),
    [anon_sym_consteval] = ACTIONS(2656),
    [anon_sym_alignas] = ACTIONS(2656),
    [anon_sym__Alignas] = ACTIONS(2656),
    [sym_primitive_type] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_struct] = ACTIONS(2656),
    [anon_sym_union] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2656),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2656),
    [anon_sym_default] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2656),
    [anon_sym_do] = ACTIONS(2656),
    [anon_sym_for] = ACTIONS(2656),
    [anon_sym_return] = ACTIONS(2656),
    [anon_sym_break] = ACTIONS(2656),
    [anon_sym_continue] = ACTIONS(2656),
    [anon_sym_goto] = ACTIONS(2656),
    [anon_sym___try] = ACTIONS(2656),
    [anon_sym___leave] = ACTIONS(2656),
    [anon_sym_not] = ACTIONS(2656),
    [anon_sym_compl] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2658),
    [anon_sym_sizeof] = ACTIONS(2656),
    [anon_sym___alignof__] = ACTIONS(2656),
    [anon_sym___alignof] = ACTIONS(2656),
    [anon_sym__alignof] = ACTIONS(2656),
    [anon_sym_alignof] = ACTIONS(2656),
    [anon_sym__Alignof] = ACTIONS(2656),
    [anon_sym_offsetof] = ACTIONS(2656),
    [anon_sym__Generic] = ACTIONS(2656),
    [anon_sym_asm] = ACTIONS(2656),
    [anon_sym___asm__] = ACTIONS(2656),
    [sym_number_literal] = ACTIONS(2658),
    [anon_sym_L_SQUOTE] = ACTIONS(2658),
    [anon_sym_u_SQUOTE] = ACTIONS(2658),
    [anon_sym_U_SQUOTE] = ACTIONS(2658),
    [anon_sym_u8_SQUOTE] = ACTIONS(2658),
    [anon_sym_SQUOTE] = ACTIONS(2658),
    [anon_sym_L_DQUOTE] = ACTIONS(2658),
    [anon_sym_u_DQUOTE] = ACTIONS(2658),
    [anon_sym_U_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8_DQUOTE] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [sym_true] = ACTIONS(2656),
    [sym_false] = ACTIONS(2656),
    [anon_sym_NULL] = ACTIONS(2656),
    [anon_sym_nullptr] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2656),
    [anon_sym_decltype] = ACTIONS(2656),
    [sym_virtual] = ACTIONS(2656),
    [anon_sym_explicit] = ACTIONS(2656),
    [anon_sym_typename] = ACTIONS(2656),
    [anon_sym_template] = ACTIONS(2656),
    [anon_sym_operator] = ACTIONS(2656),
    [anon_sym_try] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2656),
    [anon_sym_namespace] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_static_assert] = ACTIONS(2656),
    [anon_sym_concept] = ACTIONS(2656),
    [anon_sym_co_return] = ACTIONS(2656),
    [anon_sym_co_yield] = ACTIONS(2656),
    [anon_sym_R_DQUOTE] = ACTIONS(2658),
    [anon_sym_LR_DQUOTE] = ACTIONS(2658),
    [anon_sym_uR_DQUOTE] = ACTIONS(2658),
    [anon_sym_UR_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2658),
    [anon_sym_co_await] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2656),
    [anon_sym_requires] = ACTIONS(2656),
    [sym_this] = ACTIONS(2656),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2660),
    [aux_sym_preproc_include_token1] = ACTIONS(2660),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token2] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2660),
    [aux_sym_preproc_else_token1] = ACTIONS(2660),
    [aux_sym_preproc_elif_token1] = ACTIONS(2660),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2660),
    [sym_preproc_directive] = ACTIONS(2660),
    [anon_sym_LPAREN2] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym___extension__] = ACTIONS(2660),
    [anon_sym_typedef] = ACTIONS(2660),
    [anon_sym_extern] = ACTIONS(2660),
    [anon_sym___attribute__] = ACTIONS(2660),
    [anon_sym_COLON_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2660),
    [anon_sym___based] = ACTIONS(2660),
    [anon_sym___cdecl] = ACTIONS(2660),
    [anon_sym___clrcall] = ACTIONS(2660),
    [anon_sym___stdcall] = ACTIONS(2660),
    [anon_sym___fastcall] = ACTIONS(2660),
    [anon_sym___thiscall] = ACTIONS(2660),
    [anon_sym___vectorcall] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2660),
    [anon_sym_unsigned] = ACTIONS(2660),
    [anon_sym_long] = ACTIONS(2660),
    [anon_sym_short] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_register] = ACTIONS(2660),
    [anon_sym_inline] = ACTIONS(2660),
    [anon_sym___inline] = ACTIONS(2660),
    [anon_sym___inline__] = ACTIONS(2660),
    [anon_sym___forceinline] = ACTIONS(2660),
    [anon_sym_thread_local] = ACTIONS(2660),
    [anon_sym___thread] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_constexpr] = ACTIONS(2660),
    [anon_sym_volatile] = ACTIONS(2660),
    [anon_sym_restrict] = ACTIONS(2660),
    [anon_sym___restrict__] = ACTIONS(2660),
    [anon_sym__Atomic] = ACTIONS(2660),
    [anon_sym__Noreturn] = ACTIONS(2660),
    [anon_sym_noreturn] = ACTIONS(2660),
    [anon_sym_mutable] = ACTIONS(2660),
    [anon_sym_constinit] = ACTIONS(2660),
    [anon_sym_consteval] = ACTIONS(2660),
    [anon_sym_alignas] = ACTIONS(2660),
    [anon_sym__Alignas] = ACTIONS(2660),
    [sym_primitive_type] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_struct] = ACTIONS(2660),
    [anon_sym_union] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_case] = ACTIONS(2660),
    [anon_sym_default] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_do] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2660),
    [anon_sym_return] = ACTIONS(2660),
    [anon_sym_break] = ACTIONS(2660),
    [anon_sym_continue] = ACTIONS(2660),
    [anon_sym_goto] = ACTIONS(2660),
    [anon_sym___try] = ACTIONS(2660),
    [anon_sym___leave] = ACTIONS(2660),
    [anon_sym_not] = ACTIONS(2660),
    [anon_sym_compl] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2662),
    [anon_sym_sizeof] = ACTIONS(2660),
    [anon_sym___alignof__] = ACTIONS(2660),
    [anon_sym___alignof] = ACTIONS(2660),
    [anon_sym__alignof] = ACTIONS(2660),
    [anon_sym_alignof] = ACTIONS(2660),
    [anon_sym__Alignof] = ACTIONS(2660),
    [anon_sym_offsetof] = ACTIONS(2660),
    [anon_sym__Generic] = ACTIONS(2660),
    [anon_sym_asm] = ACTIONS(2660),
    [anon_sym___asm__] = ACTIONS(2660),
    [sym_number_literal] = ACTIONS(2662),
    [anon_sym_L_SQUOTE] = ACTIONS(2662),
    [anon_sym_u_SQUOTE] = ACTIONS(2662),
    [anon_sym_U_SQUOTE] = ACTIONS(2662),
    [anon_sym_u8_SQUOTE] = ACTIONS(2662),
    [anon_sym_SQUOTE] = ACTIONS(2662),
    [anon_sym_L_DQUOTE] = ACTIONS(2662),
    [anon_sym_u_DQUOTE] = ACTIONS(2662),
    [anon_sym_U_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [sym_true] = ACTIONS(2660),
    [sym_false] = ACTIONS(2660),
    [anon_sym_NULL] = ACTIONS(2660),
    [anon_sym_nullptr] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2660),
    [anon_sym_decltype] = ACTIONS(2660),
    [sym_virtual] = ACTIONS(2660),
    [anon_sym_explicit] = ACTIONS(2660),
    [anon_sym_typename] = ACTIONS(2660),
    [anon_sym_template] = ACTIONS(2660),
    [anon_sym_operator] = ACTIONS(2660),
    [anon_sym_try] = ACTIONS(2660),
    [anon_sym_delete] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2660),
    [anon_sym_namespace] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_static_assert] = ACTIONS(2660),
    [anon_sym_concept] = ACTIONS(2660),
    [anon_sym_co_return] = ACTIONS(2660),
    [anon_sym_co_yield] = ACTIONS(2660),
    [anon_sym_R_DQUOTE] = ACTIONS(2662),
    [anon_sym_LR_DQUOTE] = ACTIONS(2662),
    [anon_sym_uR_DQUOTE] = ACTIONS(2662),
    [anon_sym_UR_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2662),
    [anon_sym_co_await] = ACTIONS(2660),
    [anon_sym_new] = ACTIONS(2660),
    [anon_sym_requires] = ACTIONS(2660),
    [sym_this] = ACTIONS(2660),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_include_token1] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token2] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [aux_sym_preproc_else_token1] = ACTIONS(2664),
    [aux_sym_preproc_elif_token1] = ACTIONS(2664),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym___cdecl] = ACTIONS(2664),
    [anon_sym___clrcall] = ACTIONS(2664),
    [anon_sym___stdcall] = ACTIONS(2664),
    [anon_sym___fastcall] = ACTIONS(2664),
    [anon_sym___thiscall] = ACTIONS(2664),
    [anon_sym___vectorcall] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2664),
    [anon_sym___leave] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [sym_virtual] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
    [anon_sym_concept] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_include_token1] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token2] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2668),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym___cdecl] = ACTIONS(2668),
    [anon_sym___clrcall] = ACTIONS(2668),
    [anon_sym___stdcall] = ACTIONS(2668),
    [anon_sym___fastcall] = ACTIONS(2668),
    [anon_sym___thiscall] = ACTIONS(2668),
    [anon_sym___vectorcall] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2668),
    [anon_sym___leave] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [sym_virtual] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
    [anon_sym_concept] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token2] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [aux_sym_preproc_else_token1] = ACTIONS(2672),
    [aux_sym_preproc_elif_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym___cdecl] = ACTIONS(2672),
    [anon_sym___clrcall] = ACTIONS(2672),
    [anon_sym___stdcall] = ACTIONS(2672),
    [anon_sym___fastcall] = ACTIONS(2672),
    [anon_sym___thiscall] = ACTIONS(2672),
    [anon_sym___vectorcall] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2672),
    [anon_sym___leave] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
    [anon_sym_concept] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2676),
    [aux_sym_preproc_include_token1] = ACTIONS(2676),
    [aux_sym_preproc_def_token1] = ACTIONS(2676),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_if_token2] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2676),
    [aux_sym_preproc_else_token1] = ACTIONS(2676),
    [aux_sym_preproc_elif_token1] = ACTIONS(2676),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2676),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2676),
    [sym_preproc_directive] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_AMP_AMP] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym___extension__] = ACTIONS(2676),
    [anon_sym_typedef] = ACTIONS(2676),
    [anon_sym_extern] = ACTIONS(2676),
    [anon_sym___attribute__] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2678),
    [anon_sym___declspec] = ACTIONS(2676),
    [anon_sym___based] = ACTIONS(2676),
    [anon_sym___cdecl] = ACTIONS(2676),
    [anon_sym___clrcall] = ACTIONS(2676),
    [anon_sym___stdcall] = ACTIONS(2676),
    [anon_sym___fastcall] = ACTIONS(2676),
    [anon_sym___thiscall] = ACTIONS(2676),
    [anon_sym___vectorcall] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2678),
    [anon_sym_signed] = ACTIONS(2676),
    [anon_sym_unsigned] = ACTIONS(2676),
    [anon_sym_long] = ACTIONS(2676),
    [anon_sym_short] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_static] = ACTIONS(2676),
    [anon_sym_register] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym___inline] = ACTIONS(2676),
    [anon_sym___inline__] = ACTIONS(2676),
    [anon_sym___forceinline] = ACTIONS(2676),
    [anon_sym_thread_local] = ACTIONS(2676),
    [anon_sym___thread] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_constexpr] = ACTIONS(2676),
    [anon_sym_volatile] = ACTIONS(2676),
    [anon_sym_restrict] = ACTIONS(2676),
    [anon_sym___restrict__] = ACTIONS(2676),
    [anon_sym__Atomic] = ACTIONS(2676),
    [anon_sym__Noreturn] = ACTIONS(2676),
    [anon_sym_noreturn] = ACTIONS(2676),
    [anon_sym_mutable] = ACTIONS(2676),
    [anon_sym_constinit] = ACTIONS(2676),
    [anon_sym_consteval] = ACTIONS(2676),
    [anon_sym_alignas] = ACTIONS(2676),
    [anon_sym__Alignas] = ACTIONS(2676),
    [sym_primitive_type] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_class] = ACTIONS(2676),
    [anon_sym_struct] = ACTIONS(2676),
    [anon_sym_union] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_case] = ACTIONS(2676),
    [anon_sym_default] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_break] = ACTIONS(2676),
    [anon_sym_continue] = ACTIONS(2676),
    [anon_sym_goto] = ACTIONS(2676),
    [anon_sym___try] = ACTIONS(2676),
    [anon_sym___leave] = ACTIONS(2676),
    [anon_sym_not] = ACTIONS(2676),
    [anon_sym_compl] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2678),
    [anon_sym_sizeof] = ACTIONS(2676),
    [anon_sym___alignof__] = ACTIONS(2676),
    [anon_sym___alignof] = ACTIONS(2676),
    [anon_sym__alignof] = ACTIONS(2676),
    [anon_sym_alignof] = ACTIONS(2676),
    [anon_sym__Alignof] = ACTIONS(2676),
    [anon_sym_offsetof] = ACTIONS(2676),
    [anon_sym__Generic] = ACTIONS(2676),
    [anon_sym_asm] = ACTIONS(2676),
    [anon_sym___asm__] = ACTIONS(2676),
    [sym_number_literal] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2678),
    [anon_sym_u_SQUOTE] = ACTIONS(2678),
    [anon_sym_U_SQUOTE] = ACTIONS(2678),
    [anon_sym_u8_SQUOTE] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_L_DQUOTE] = ACTIONS(2678),
    [anon_sym_u_DQUOTE] = ACTIONS(2678),
    [anon_sym_U_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2678),
    [sym_true] = ACTIONS(2676),
    [sym_false] = ACTIONS(2676),
    [anon_sym_NULL] = ACTIONS(2676),
    [anon_sym_nullptr] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2676),
    [anon_sym_decltype] = ACTIONS(2676),
    [sym_virtual] = ACTIONS(2676),
    [anon_sym_explicit] = ACTIONS(2676),
    [anon_sym_typename] = ACTIONS(2676),
    [anon_sym_template] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_delete] = ACTIONS(2676),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_namespace] = ACTIONS(2676),
    [anon_sym_using] = ACTIONS(2676),
    [anon_sym_static_assert] = ACTIONS(2676),
    [anon_sym_concept] = ACTIONS(2676),
    [anon_sym_co_return] = ACTIONS(2676),
    [anon_sym_co_yield] = ACTIONS(2676),
    [anon_sym_R_DQUOTE] = ACTIONS(2678),
    [anon_sym_LR_DQUOTE] = ACTIONS(2678),
    [anon_sym_uR_DQUOTE] = ACTIONS(2678),
    [anon_sym_UR_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2678),
    [anon_sym_co_await] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_requires] = ACTIONS(2676),
    [sym_this] = ACTIONS(2676),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2680),
    [aux_sym_preproc_include_token1] = ACTIONS(2680),
    [aux_sym_preproc_def_token1] = ACTIONS(2680),
    [aux_sym_preproc_if_token1] = ACTIONS(2680),
    [aux_sym_preproc_if_token2] = ACTIONS(2680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2680),
    [aux_sym_preproc_else_token1] = ACTIONS(2680),
    [aux_sym_preproc_elif_token1] = ACTIONS(2680),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2680),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2680),
    [sym_preproc_directive] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_BANG] = ACTIONS(2682),
    [anon_sym_TILDE] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_AMP_AMP] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(2680),
    [anon_sym_typedef] = ACTIONS(2680),
    [anon_sym_extern] = ACTIONS(2680),
    [anon_sym___attribute__] = ACTIONS(2680),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2682),
    [anon_sym___declspec] = ACTIONS(2680),
    [anon_sym___based] = ACTIONS(2680),
    [anon_sym___cdecl] = ACTIONS(2680),
    [anon_sym___clrcall] = ACTIONS(2680),
    [anon_sym___stdcall] = ACTIONS(2680),
    [anon_sym___fastcall] = ACTIONS(2680),
    [anon_sym___thiscall] = ACTIONS(2680),
    [anon_sym___vectorcall] = ACTIONS(2680),
    [anon_sym_LBRACE] = ACTIONS(2682),
    [anon_sym_signed] = ACTIONS(2680),
    [anon_sym_unsigned] = ACTIONS(2680),
    [anon_sym_long] = ACTIONS(2680),
    [anon_sym_short] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_static] = ACTIONS(2680),
    [anon_sym_register] = ACTIONS(2680),
    [anon_sym_inline] = ACTIONS(2680),
    [anon_sym___inline] = ACTIONS(2680),
    [anon_sym___inline__] = ACTIONS(2680),
    [anon_sym___forceinline] = ACTIONS(2680),
    [anon_sym_thread_local] = ACTIONS(2680),
    [anon_sym___thread] = ACTIONS(2680),
    [anon_sym_const] = ACTIONS(2680),
    [anon_sym_constexpr] = ACTIONS(2680),
    [anon_sym_volatile] = ACTIONS(2680),
    [anon_sym_restrict] = ACTIONS(2680),
    [anon_sym___restrict__] = ACTIONS(2680),
    [anon_sym__Atomic] = ACTIONS(2680),
    [anon_sym__Noreturn] = ACTIONS(2680),
    [anon_sym_noreturn] = ACTIONS(2680),
    [anon_sym_mutable] = ACTIONS(2680),
    [anon_sym_constinit] = ACTIONS(2680),
    [anon_sym_consteval] = ACTIONS(2680),
    [anon_sym_alignas] = ACTIONS(2680),
    [anon_sym__Alignas] = ACTIONS(2680),
    [sym_primitive_type] = ACTIONS(2680),
    [anon_sym_enum] = ACTIONS(2680),
    [anon_sym_class] = ACTIONS(2680),
    [anon_sym_struct] = ACTIONS(2680),
    [anon_sym_union] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_switch] = ACTIONS(2680),
    [anon_sym_case] = ACTIONS(2680),
    [anon_sym_default] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_break] = ACTIONS(2680),
    [anon_sym_continue] = ACTIONS(2680),
    [anon_sym_goto] = ACTIONS(2680),
    [anon_sym___try] = ACTIONS(2680),
    [anon_sym___leave] = ACTIONS(2680),
    [anon_sym_not] = ACTIONS(2680),
    [anon_sym_compl] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2682),
    [anon_sym_PLUS_PLUS] = ACTIONS(2682),
    [anon_sym_sizeof] = ACTIONS(2680),
    [anon_sym___alignof__] = ACTIONS(2680),
    [anon_sym___alignof] = ACTIONS(2680),
    [anon_sym__alignof] = ACTIONS(2680),
    [anon_sym_alignof] = ACTIONS(2680),
    [anon_sym__Alignof] = ACTIONS(2680),
    [anon_sym_offsetof] = ACTIONS(2680),
    [anon_sym__Generic] = ACTIONS(2680),
    [anon_sym_asm] = ACTIONS(2680),
    [anon_sym___asm__] = ACTIONS(2680),
    [sym_number_literal] = ACTIONS(2682),
    [anon_sym_L_SQUOTE] = ACTIONS(2682),
    [anon_sym_u_SQUOTE] = ACTIONS(2682),
    [anon_sym_U_SQUOTE] = ACTIONS(2682),
    [anon_sym_u8_SQUOTE] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_L_DQUOTE] = ACTIONS(2682),
    [anon_sym_u_DQUOTE] = ACTIONS(2682),
    [anon_sym_U_DQUOTE] = ACTIONS(2682),
    [anon_sym_u8_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE] = ACTIONS(2682),
    [sym_true] = ACTIONS(2680),
    [sym_false] = ACTIONS(2680),
    [anon_sym_NULL] = ACTIONS(2680),
    [anon_sym_nullptr] = ACTIONS(2680),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2680),
    [anon_sym_decltype] = ACTIONS(2680),
    [sym_virtual] = ACTIONS(2680),
    [anon_sym_explicit] = ACTIONS(2680),
    [anon_sym_typename] = ACTIONS(2680),
    [anon_sym_template] = ACTIONS(2680),
    [anon_sym_operator] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_delete] = ACTIONS(2680),
    [anon_sym_throw] = ACTIONS(2680),
    [anon_sym_namespace] = ACTIONS(2680),
    [anon_sym_using] = ACTIONS(2680),
    [anon_sym_static_assert] = ACTIONS(2680),
    [anon_sym_concept] = ACTIONS(2680),
    [anon_sym_co_return] = ACTIONS(2680),
    [anon_sym_co_yield] = ACTIONS(2680),
    [anon_sym_R_DQUOTE] = ACTIONS(2682),
    [anon_sym_LR_DQUOTE] = ACTIONS(2682),
    [anon_sym_uR_DQUOTE] = ACTIONS(2682),
    [anon_sym_UR_DQUOTE] = ACTIONS(2682),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2682),
    [anon_sym_co_await] = ACTIONS(2680),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_requires] = ACTIONS(2680),
    [sym_this] = ACTIONS(2680),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2684),
    [aux_sym_preproc_include_token1] = ACTIONS(2684),
    [aux_sym_preproc_def_token1] = ACTIONS(2684),
    [aux_sym_preproc_if_token1] = ACTIONS(2684),
    [aux_sym_preproc_if_token2] = ACTIONS(2684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2684),
    [aux_sym_preproc_else_token1] = ACTIONS(2684),
    [aux_sym_preproc_elif_token1] = ACTIONS(2684),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2684),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2684),
    [sym_preproc_directive] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_BANG] = ACTIONS(2686),
    [anon_sym_TILDE] = ACTIONS(2686),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_STAR] = ACTIONS(2686),
    [anon_sym_AMP_AMP] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2686),
    [anon_sym___extension__] = ACTIONS(2684),
    [anon_sym_typedef] = ACTIONS(2684),
    [anon_sym_extern] = ACTIONS(2684),
    [anon_sym___attribute__] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2686),
    [anon_sym___declspec] = ACTIONS(2684),
    [anon_sym___based] = ACTIONS(2684),
    [anon_sym___cdecl] = ACTIONS(2684),
    [anon_sym___clrcall] = ACTIONS(2684),
    [anon_sym___stdcall] = ACTIONS(2684),
    [anon_sym___fastcall] = ACTIONS(2684),
    [anon_sym___thiscall] = ACTIONS(2684),
    [anon_sym___vectorcall] = ACTIONS(2684),
    [anon_sym_LBRACE] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2684),
    [anon_sym_unsigned] = ACTIONS(2684),
    [anon_sym_long] = ACTIONS(2684),
    [anon_sym_short] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_static] = ACTIONS(2684),
    [anon_sym_register] = ACTIONS(2684),
    [anon_sym_inline] = ACTIONS(2684),
    [anon_sym___inline] = ACTIONS(2684),
    [anon_sym___inline__] = ACTIONS(2684),
    [anon_sym___forceinline] = ACTIONS(2684),
    [anon_sym_thread_local] = ACTIONS(2684),
    [anon_sym___thread] = ACTIONS(2684),
    [anon_sym_const] = ACTIONS(2684),
    [anon_sym_constexpr] = ACTIONS(2684),
    [anon_sym_volatile] = ACTIONS(2684),
    [anon_sym_restrict] = ACTIONS(2684),
    [anon_sym___restrict__] = ACTIONS(2684),
    [anon_sym__Atomic] = ACTIONS(2684),
    [anon_sym__Noreturn] = ACTIONS(2684),
    [anon_sym_noreturn] = ACTIONS(2684),
    [anon_sym_mutable] = ACTIONS(2684),
    [anon_sym_constinit] = ACTIONS(2684),
    [anon_sym_consteval] = ACTIONS(2684),
    [anon_sym_alignas] = ACTIONS(2684),
    [anon_sym__Alignas] = ACTIONS(2684),
    [sym_primitive_type] = ACTIONS(2684),
    [anon_sym_enum] = ACTIONS(2684),
    [anon_sym_class] = ACTIONS(2684),
    [anon_sym_struct] = ACTIONS(2684),
    [anon_sym_union] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_switch] = ACTIONS(2684),
    [anon_sym_case] = ACTIONS(2684),
    [anon_sym_default] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_break] = ACTIONS(2684),
    [anon_sym_continue] = ACTIONS(2684),
    [anon_sym_goto] = ACTIONS(2684),
    [anon_sym___try] = ACTIONS(2684),
    [anon_sym___leave] = ACTIONS(2684),
    [anon_sym_not] = ACTIONS(2684),
    [anon_sym_compl] = ACTIONS(2684),
    [anon_sym_DASH_DASH] = ACTIONS(2686),
    [anon_sym_PLUS_PLUS] = ACTIONS(2686),
    [anon_sym_sizeof] = ACTIONS(2684),
    [anon_sym___alignof__] = ACTIONS(2684),
    [anon_sym___alignof] = ACTIONS(2684),
    [anon_sym__alignof] = ACTIONS(2684),
    [anon_sym_alignof] = ACTIONS(2684),
    [anon_sym__Alignof] = ACTIONS(2684),
    [anon_sym_offsetof] = ACTIONS(2684),
    [anon_sym__Generic] = ACTIONS(2684),
    [anon_sym_asm] = ACTIONS(2684),
    [anon_sym___asm__] = ACTIONS(2684),
    [sym_number_literal] = ACTIONS(2686),
    [anon_sym_L_SQUOTE] = ACTIONS(2686),
    [anon_sym_u_SQUOTE] = ACTIONS(2686),
    [anon_sym_U_SQUOTE] = ACTIONS(2686),
    [anon_sym_u8_SQUOTE] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_L_DQUOTE] = ACTIONS(2686),
    [anon_sym_u_DQUOTE] = ACTIONS(2686),
    [anon_sym_U_DQUOTE] = ACTIONS(2686),
    [anon_sym_u8_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE] = ACTIONS(2686),
    [sym_true] = ACTIONS(2684),
    [sym_false] = ACTIONS(2684),
    [anon_sym_NULL] = ACTIONS(2684),
    [anon_sym_nullptr] = ACTIONS(2684),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2684),
    [anon_sym_decltype] = ACTIONS(2684),
    [sym_virtual] = ACTIONS(2684),
    [anon_sym_explicit] = ACTIONS(2684),
    [anon_sym_typename] = ACTIONS(2684),
    [anon_sym_template] = ACTIONS(2684),
    [anon_sym_operator] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_delete] = ACTIONS(2684),
    [anon_sym_throw] = ACTIONS(2684),
    [anon_sym_namespace] = ACTIONS(2684),
    [anon_sym_using] = ACTIONS(2684),
    [anon_sym_static_assert] = ACTIONS(2684),
    [anon_sym_concept] = ACTIONS(2684),
    [anon_sym_co_return] = ACTIONS(2684),
    [anon_sym_co_yield] = ACTIONS(2684),
    [anon_sym_R_DQUOTE] = ACTIONS(2686),
    [anon_sym_LR_DQUOTE] = ACTIONS(2686),
    [anon_sym_uR_DQUOTE] = ACTIONS(2686),
    [anon_sym_UR_DQUOTE] = ACTIONS(2686),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2686),
    [anon_sym_co_await] = ACTIONS(2684),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_requires] = ACTIONS(2684),
    [sym_this] = ACTIONS(2684),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token2] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [aux_sym_preproc_else_token1] = ACTIONS(2688),
    [aux_sym_preproc_elif_token1] = ACTIONS(2688),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym__Alignas] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2688),
    [anon_sym___leave] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [sym_virtual] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2692),
    [aux_sym_preproc_include_token1] = ACTIONS(2692),
    [aux_sym_preproc_def_token1] = ACTIONS(2692),
    [aux_sym_preproc_if_token1] = ACTIONS(2692),
    [aux_sym_preproc_if_token2] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2692),
    [aux_sym_preproc_else_token1] = ACTIONS(2692),
    [aux_sym_preproc_elif_token1] = ACTIONS(2692),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2692),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2692),
    [sym_preproc_directive] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_TILDE] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_typedef] = ACTIONS(2692),
    [anon_sym_extern] = ACTIONS(2692),
    [anon_sym___attribute__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2694),
    [anon_sym___declspec] = ACTIONS(2692),
    [anon_sym___based] = ACTIONS(2692),
    [anon_sym___cdecl] = ACTIONS(2692),
    [anon_sym___clrcall] = ACTIONS(2692),
    [anon_sym___stdcall] = ACTIONS(2692),
    [anon_sym___fastcall] = ACTIONS(2692),
    [anon_sym___thiscall] = ACTIONS(2692),
    [anon_sym___vectorcall] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(2692),
    [anon_sym_unsigned] = ACTIONS(2692),
    [anon_sym_long] = ACTIONS(2692),
    [anon_sym_short] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(2692),
    [anon_sym_register] = ACTIONS(2692),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym___inline] = ACTIONS(2692),
    [anon_sym___inline__] = ACTIONS(2692),
    [anon_sym___forceinline] = ACTIONS(2692),
    [anon_sym_thread_local] = ACTIONS(2692),
    [anon_sym___thread] = ACTIONS(2692),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2692),
    [anon_sym__Alignas] = ACTIONS(2692),
    [sym_primitive_type] = ACTIONS(2692),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2692),
    [anon_sym_struct] = ACTIONS(2692),
    [anon_sym_union] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_case] = ACTIONS(2692),
    [anon_sym_default] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_break] = ACTIONS(2692),
    [anon_sym_continue] = ACTIONS(2692),
    [anon_sym_goto] = ACTIONS(2692),
    [anon_sym___try] = ACTIONS(2692),
    [anon_sym___leave] = ACTIONS(2692),
    [anon_sym_not] = ACTIONS(2692),
    [anon_sym_compl] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2694),
    [anon_sym_sizeof] = ACTIONS(2692),
    [anon_sym___alignof__] = ACTIONS(2692),
    [anon_sym___alignof] = ACTIONS(2692),
    [anon_sym__alignof] = ACTIONS(2692),
    [anon_sym_alignof] = ACTIONS(2692),
    [anon_sym__Alignof] = ACTIONS(2692),
    [anon_sym_offsetof] = ACTIONS(2692),
    [anon_sym__Generic] = ACTIONS(2692),
    [anon_sym_asm] = ACTIONS(2692),
    [anon_sym___asm__] = ACTIONS(2692),
    [sym_number_literal] = ACTIONS(2694),
    [anon_sym_L_SQUOTE] = ACTIONS(2694),
    [anon_sym_u_SQUOTE] = ACTIONS(2694),
    [anon_sym_U_SQUOTE] = ACTIONS(2694),
    [anon_sym_u8_SQUOTE] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_L_DQUOTE] = ACTIONS(2694),
    [anon_sym_u_DQUOTE] = ACTIONS(2694),
    [anon_sym_U_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2694),
    [sym_true] = ACTIONS(2692),
    [sym_false] = ACTIONS(2692),
    [anon_sym_NULL] = ACTIONS(2692),
    [anon_sym_nullptr] = ACTIONS(2692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2692),
    [anon_sym_decltype] = ACTIONS(2692),
    [sym_virtual] = ACTIONS(2692),
    [anon_sym_explicit] = ACTIONS(2692),
    [anon_sym_typename] = ACTIONS(2692),
    [anon_sym_template] = ACTIONS(2692),
    [anon_sym_operator] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_delete] = ACTIONS(2692),
    [anon_sym_throw] = ACTIONS(2692),
    [anon_sym_namespace] = ACTIONS(2692),
    [anon_sym_using] = ACTIONS(2692),
    [anon_sym_static_assert] = ACTIONS(2692),
    [anon_sym_concept] = ACTIONS(2692),
    [anon_sym_co_return] = ACTIONS(2692),
    [anon_sym_co_yield] = ACTIONS(2692),
    [anon_sym_R_DQUOTE] = ACTIONS(2694),
    [anon_sym_LR_DQUOTE] = ACTIONS(2694),
    [anon_sym_uR_DQUOTE] = ACTIONS(2694),
    [anon_sym_UR_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2694),
    [anon_sym_co_await] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_requires] = ACTIONS(2692),
    [sym_this] = ACTIONS(2692),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [aux_sym_preproc_else_token1] = ACTIONS(2696),
    [aux_sym_preproc_elif_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [sym_virtual] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [aux_sym_preproc_else_token1] = ACTIONS(2700),
    [aux_sym_preproc_elif_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [sym_virtual] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2704),
    [aux_sym_preproc_include_token1] = ACTIONS(2704),
    [aux_sym_preproc_def_token1] = ACTIONS(2704),
    [aux_sym_preproc_if_token1] = ACTIONS(2704),
    [aux_sym_preproc_if_token2] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2704),
    [aux_sym_preproc_else_token1] = ACTIONS(2704),
    [aux_sym_preproc_elif_token1] = ACTIONS(2704),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2704),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2704),
    [sym_preproc_directive] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym___extension__] = ACTIONS(2704),
    [anon_sym_typedef] = ACTIONS(2704),
    [anon_sym_extern] = ACTIONS(2704),
    [anon_sym___attribute__] = ACTIONS(2704),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2706),
    [anon_sym___declspec] = ACTIONS(2704),
    [anon_sym___based] = ACTIONS(2704),
    [anon_sym___cdecl] = ACTIONS(2704),
    [anon_sym___clrcall] = ACTIONS(2704),
    [anon_sym___stdcall] = ACTIONS(2704),
    [anon_sym___fastcall] = ACTIONS(2704),
    [anon_sym___thiscall] = ACTIONS(2704),
    [anon_sym___vectorcall] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_signed] = ACTIONS(2704),
    [anon_sym_unsigned] = ACTIONS(2704),
    [anon_sym_long] = ACTIONS(2704),
    [anon_sym_short] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_register] = ACTIONS(2704),
    [anon_sym_inline] = ACTIONS(2704),
    [anon_sym___inline] = ACTIONS(2704),
    [anon_sym___inline__] = ACTIONS(2704),
    [anon_sym___forceinline] = ACTIONS(2704),
    [anon_sym_thread_local] = ACTIONS(2704),
    [anon_sym___thread] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_constexpr] = ACTIONS(2704),
    [anon_sym_volatile] = ACTIONS(2704),
    [anon_sym_restrict] = ACTIONS(2704),
    [anon_sym___restrict__] = ACTIONS(2704),
    [anon_sym__Atomic] = ACTIONS(2704),
    [anon_sym__Noreturn] = ACTIONS(2704),
    [anon_sym_noreturn] = ACTIONS(2704),
    [anon_sym_mutable] = ACTIONS(2704),
    [anon_sym_constinit] = ACTIONS(2704),
    [anon_sym_consteval] = ACTIONS(2704),
    [anon_sym_alignas] = ACTIONS(2704),
    [anon_sym__Alignas] = ACTIONS(2704),
    [sym_primitive_type] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_struct] = ACTIONS(2704),
    [anon_sym_union] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_case] = ACTIONS(2704),
    [anon_sym_default] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_goto] = ACTIONS(2704),
    [anon_sym___try] = ACTIONS(2704),
    [anon_sym___leave] = ACTIONS(2704),
    [anon_sym_not] = ACTIONS(2704),
    [anon_sym_compl] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_sizeof] = ACTIONS(2704),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2704),
    [anon_sym__Generic] = ACTIONS(2704),
    [anon_sym_asm] = ACTIONS(2704),
    [anon_sym___asm__] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2706),
    [anon_sym_L_SQUOTE] = ACTIONS(2706),
    [anon_sym_u_SQUOTE] = ACTIONS(2706),
    [anon_sym_U_SQUOTE] = ACTIONS(2706),
    [anon_sym_u8_SQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_L_DQUOTE] = ACTIONS(2706),
    [anon_sym_u_DQUOTE] = ACTIONS(2706),
    [anon_sym_U_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [anon_sym_NULL] = ACTIONS(2704),
    [anon_sym_nullptr] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2704),
    [anon_sym_decltype] = ACTIONS(2704),
    [sym_virtual] = ACTIONS(2704),
    [anon_sym_explicit] = ACTIONS(2704),
    [anon_sym_typename] = ACTIONS(2704),
    [anon_sym_template] = ACTIONS(2704),
    [anon_sym_operator] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_using] = ACTIONS(2704),
    [anon_sym_static_assert] = ACTIONS(2704),
    [anon_sym_concept] = ACTIONS(2704),
    [anon_sym_co_return] = ACTIONS(2704),
    [anon_sym_co_yield] = ACTIONS(2704),
    [anon_sym_R_DQUOTE] = ACTIONS(2706),
    [anon_sym_LR_DQUOTE] = ACTIONS(2706),
    [anon_sym_uR_DQUOTE] = ACTIONS(2706),
    [anon_sym_UR_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2706),
    [anon_sym_co_await] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_requires] = ACTIONS(2704),
    [sym_this] = ACTIONS(2704),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2708),
    [aux_sym_preproc_include_token1] = ACTIONS(2708),
    [aux_sym_preproc_def_token1] = ACTIONS(2708),
    [aux_sym_preproc_if_token1] = ACTIONS(2708),
    [aux_sym_preproc_if_token2] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2708),
    [aux_sym_preproc_else_token1] = ACTIONS(2708),
    [aux_sym_preproc_elif_token1] = ACTIONS(2708),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2708),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2708),
    [sym_preproc_directive] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_BANG] = ACTIONS(2710),
    [anon_sym_TILDE] = ACTIONS(2710),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_AMP_AMP] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2710),
    [anon_sym___extension__] = ACTIONS(2708),
    [anon_sym_typedef] = ACTIONS(2708),
    [anon_sym_extern] = ACTIONS(2708),
    [anon_sym___attribute__] = ACTIONS(2708),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2710),
    [anon_sym___declspec] = ACTIONS(2708),
    [anon_sym___based] = ACTIONS(2708),
    [anon_sym___cdecl] = ACTIONS(2708),
    [anon_sym___clrcall] = ACTIONS(2708),
    [anon_sym___stdcall] = ACTIONS(2708),
    [anon_sym___fastcall] = ACTIONS(2708),
    [anon_sym___thiscall] = ACTIONS(2708),
    [anon_sym___vectorcall] = ACTIONS(2708),
    [anon_sym_LBRACE] = ACTIONS(2710),
    [anon_sym_signed] = ACTIONS(2708),
    [anon_sym_unsigned] = ACTIONS(2708),
    [anon_sym_long] = ACTIONS(2708),
    [anon_sym_short] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_register] = ACTIONS(2708),
    [anon_sym_inline] = ACTIONS(2708),
    [anon_sym___inline] = ACTIONS(2708),
    [anon_sym___inline__] = ACTIONS(2708),
    [anon_sym___forceinline] = ACTIONS(2708),
    [anon_sym_thread_local] = ACTIONS(2708),
    [anon_sym___thread] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2708),
    [anon_sym_constexpr] = ACTIONS(2708),
    [anon_sym_volatile] = ACTIONS(2708),
    [anon_sym_restrict] = ACTIONS(2708),
    [anon_sym___restrict__] = ACTIONS(2708),
    [anon_sym__Atomic] = ACTIONS(2708),
    [anon_sym__Noreturn] = ACTIONS(2708),
    [anon_sym_noreturn] = ACTIONS(2708),
    [anon_sym_mutable] = ACTIONS(2708),
    [anon_sym_constinit] = ACTIONS(2708),
    [anon_sym_consteval] = ACTIONS(2708),
    [anon_sym_alignas] = ACTIONS(2708),
    [anon_sym__Alignas] = ACTIONS(2708),
    [sym_primitive_type] = ACTIONS(2708),
    [anon_sym_enum] = ACTIONS(2708),
    [anon_sym_class] = ACTIONS(2708),
    [anon_sym_struct] = ACTIONS(2708),
    [anon_sym_union] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_switch] = ACTIONS(2708),
    [anon_sym_case] = ACTIONS(2708),
    [anon_sym_default] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_break] = ACTIONS(2708),
    [anon_sym_continue] = ACTIONS(2708),
    [anon_sym_goto] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2708),
    [anon_sym___leave] = ACTIONS(2708),
    [anon_sym_not] = ACTIONS(2708),
    [anon_sym_compl] = ACTIONS(2708),
    [anon_sym_DASH_DASH] = ACTIONS(2710),
    [anon_sym_PLUS_PLUS] = ACTIONS(2710),
    [anon_sym_sizeof] = ACTIONS(2708),
    [anon_sym___alignof__] = ACTIONS(2708),
    [anon_sym___alignof] = ACTIONS(2708),
    [anon_sym__alignof] = ACTIONS(2708),
    [anon_sym_alignof] = ACTIONS(2708),
    [anon_sym__Alignof] = ACTIONS(2708),
    [anon_sym_offsetof] = ACTIONS(2708),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2708),
    [anon_sym___asm__] = ACTIONS(2708),
    [sym_number_literal] = ACTIONS(2710),
    [anon_sym_L_SQUOTE] = ACTIONS(2710),
    [anon_sym_u_SQUOTE] = ACTIONS(2710),
    [anon_sym_U_SQUOTE] = ACTIONS(2710),
    [anon_sym_u8_SQUOTE] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_L_DQUOTE] = ACTIONS(2710),
    [anon_sym_u_DQUOTE] = ACTIONS(2710),
    [anon_sym_U_DQUOTE] = ACTIONS(2710),
    [anon_sym_u8_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2710),
    [sym_true] = ACTIONS(2708),
    [sym_false] = ACTIONS(2708),
    [anon_sym_NULL] = ACTIONS(2708),
    [anon_sym_nullptr] = ACTIONS(2708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2708),
    [anon_sym_decltype] = ACTIONS(2708),
    [sym_virtual] = ACTIONS(2708),
    [anon_sym_explicit] = ACTIONS(2708),
    [anon_sym_typename] = ACTIONS(2708),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_delete] = ACTIONS(2708),
    [anon_sym_throw] = ACTIONS(2708),
    [anon_sym_namespace] = ACTIONS(2708),
    [anon_sym_using] = ACTIONS(2708),
    [anon_sym_static_assert] = ACTIONS(2708),
    [anon_sym_concept] = ACTIONS(2708),
    [anon_sym_co_return] = ACTIONS(2708),
    [anon_sym_co_yield] = ACTIONS(2708),
    [anon_sym_R_DQUOTE] = ACTIONS(2710),
    [anon_sym_LR_DQUOTE] = ACTIONS(2710),
    [anon_sym_uR_DQUOTE] = ACTIONS(2710),
    [anon_sym_UR_DQUOTE] = ACTIONS(2710),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2710),
    [anon_sym_co_await] = ACTIONS(2708),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_requires] = ACTIONS(2708),
    [sym_this] = ACTIONS(2708),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2712),
    [aux_sym_preproc_include_token1] = ACTIONS(2712),
    [aux_sym_preproc_def_token1] = ACTIONS(2712),
    [aux_sym_preproc_if_token1] = ACTIONS(2712),
    [aux_sym_preproc_if_token2] = ACTIONS(2712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2712),
    [aux_sym_preproc_else_token1] = ACTIONS(2712),
    [aux_sym_preproc_elif_token1] = ACTIONS(2712),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2712),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2712),
    [sym_preproc_directive] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_TILDE] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_AMP_AMP] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2714),
    [anon_sym___extension__] = ACTIONS(2712),
    [anon_sym_typedef] = ACTIONS(2712),
    [anon_sym_extern] = ACTIONS(2712),
    [anon_sym___attribute__] = ACTIONS(2712),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2714),
    [anon_sym___declspec] = ACTIONS(2712),
    [anon_sym___based] = ACTIONS(2712),
    [anon_sym___cdecl] = ACTIONS(2712),
    [anon_sym___clrcall] = ACTIONS(2712),
    [anon_sym___stdcall] = ACTIONS(2712),
    [anon_sym___fastcall] = ACTIONS(2712),
    [anon_sym___thiscall] = ACTIONS(2712),
    [anon_sym___vectorcall] = ACTIONS(2712),
    [anon_sym_LBRACE] = ACTIONS(2714),
    [anon_sym_signed] = ACTIONS(2712),
    [anon_sym_unsigned] = ACTIONS(2712),
    [anon_sym_long] = ACTIONS(2712),
    [anon_sym_short] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_static] = ACTIONS(2712),
    [anon_sym_register] = ACTIONS(2712),
    [anon_sym_inline] = ACTIONS(2712),
    [anon_sym___inline] = ACTIONS(2712),
    [anon_sym___inline__] = ACTIONS(2712),
    [anon_sym___forceinline] = ACTIONS(2712),
    [anon_sym_thread_local] = ACTIONS(2712),
    [anon_sym___thread] = ACTIONS(2712),
    [anon_sym_const] = ACTIONS(2712),
    [anon_sym_constexpr] = ACTIONS(2712),
    [anon_sym_volatile] = ACTIONS(2712),
    [anon_sym_restrict] = ACTIONS(2712),
    [anon_sym___restrict__] = ACTIONS(2712),
    [anon_sym__Atomic] = ACTIONS(2712),
    [anon_sym__Noreturn] = ACTIONS(2712),
    [anon_sym_noreturn] = ACTIONS(2712),
    [anon_sym_mutable] = ACTIONS(2712),
    [anon_sym_constinit] = ACTIONS(2712),
    [anon_sym_consteval] = ACTIONS(2712),
    [anon_sym_alignas] = ACTIONS(2712),
    [anon_sym__Alignas] = ACTIONS(2712),
    [sym_primitive_type] = ACTIONS(2712),
    [anon_sym_enum] = ACTIONS(2712),
    [anon_sym_class] = ACTIONS(2712),
    [anon_sym_struct] = ACTIONS(2712),
    [anon_sym_union] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_case] = ACTIONS(2712),
    [anon_sym_default] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_break] = ACTIONS(2712),
    [anon_sym_continue] = ACTIONS(2712),
    [anon_sym_goto] = ACTIONS(2712),
    [anon_sym___try] = ACTIONS(2712),
    [anon_sym___leave] = ACTIONS(2712),
    [anon_sym_not] = ACTIONS(2712),
    [anon_sym_compl] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2714),
    [anon_sym_sizeof] = ACTIONS(2712),
    [anon_sym___alignof__] = ACTIONS(2712),
    [anon_sym___alignof] = ACTIONS(2712),
    [anon_sym__alignof] = ACTIONS(2712),
    [anon_sym_alignof] = ACTIONS(2712),
    [anon_sym__Alignof] = ACTIONS(2712),
    [anon_sym_offsetof] = ACTIONS(2712),
    [anon_sym__Generic] = ACTIONS(2712),
    [anon_sym_asm] = ACTIONS(2712),
    [anon_sym___asm__] = ACTIONS(2712),
    [sym_number_literal] = ACTIONS(2714),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2714),
    [anon_sym_u_DQUOTE] = ACTIONS(2714),
    [anon_sym_U_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2714),
    [sym_true] = ACTIONS(2712),
    [sym_false] = ACTIONS(2712),
    [anon_sym_NULL] = ACTIONS(2712),
    [anon_sym_nullptr] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2712),
    [anon_sym_decltype] = ACTIONS(2712),
    [sym_virtual] = ACTIONS(2712),
    [anon_sym_explicit] = ACTIONS(2712),
    [anon_sym_typename] = ACTIONS(2712),
    [anon_sym_template] = ACTIONS(2712),
    [anon_sym_operator] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_delete] = ACTIONS(2712),
    [anon_sym_throw] = ACTIONS(2712),
    [anon_sym_namespace] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2712),
    [anon_sym_static_assert] = ACTIONS(2712),
    [anon_sym_concept] = ACTIONS(2712),
    [anon_sym_co_return] = ACTIONS(2712),
    [anon_sym_co_yield] = ACTIONS(2712),
    [anon_sym_R_DQUOTE] = ACTIONS(2714),
    [anon_sym_LR_DQUOTE] = ACTIONS(2714),
    [anon_sym_uR_DQUOTE] = ACTIONS(2714),
    [anon_sym_UR_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2714),
    [anon_sym_co_await] = ACTIONS(2712),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_requires] = ACTIONS(2712),
    [sym_this] = ACTIONS(2712),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2716),
    [aux_sym_preproc_include_token1] = ACTIONS(2716),
    [aux_sym_preproc_def_token1] = ACTIONS(2716),
    [aux_sym_preproc_if_token1] = ACTIONS(2716),
    [aux_sym_preproc_if_token2] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2716),
    [aux_sym_preproc_else_token1] = ACTIONS(2716),
    [aux_sym_preproc_elif_token1] = ACTIONS(2716),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2716),
    [sym_preproc_directive] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym___extension__] = ACTIONS(2716),
    [anon_sym_typedef] = ACTIONS(2716),
    [anon_sym_extern] = ACTIONS(2716),
    [anon_sym___attribute__] = ACTIONS(2716),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2718),
    [anon_sym___declspec] = ACTIONS(2716),
    [anon_sym___based] = ACTIONS(2716),
    [anon_sym___cdecl] = ACTIONS(2716),
    [anon_sym___clrcall] = ACTIONS(2716),
    [anon_sym___stdcall] = ACTIONS(2716),
    [anon_sym___fastcall] = ACTIONS(2716),
    [anon_sym___thiscall] = ACTIONS(2716),
    [anon_sym___vectorcall] = ACTIONS(2716),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_signed] = ACTIONS(2716),
    [anon_sym_unsigned] = ACTIONS(2716),
    [anon_sym_long] = ACTIONS(2716),
    [anon_sym_short] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_register] = ACTIONS(2716),
    [anon_sym_inline] = ACTIONS(2716),
    [anon_sym___inline] = ACTIONS(2716),
    [anon_sym___inline__] = ACTIONS(2716),
    [anon_sym___forceinline] = ACTIONS(2716),
    [anon_sym_thread_local] = ACTIONS(2716),
    [anon_sym___thread] = ACTIONS(2716),
    [anon_sym_const] = ACTIONS(2716),
    [anon_sym_constexpr] = ACTIONS(2716),
    [anon_sym_volatile] = ACTIONS(2716),
    [anon_sym_restrict] = ACTIONS(2716),
    [anon_sym___restrict__] = ACTIONS(2716),
    [anon_sym__Atomic] = ACTIONS(2716),
    [anon_sym__Noreturn] = ACTIONS(2716),
    [anon_sym_noreturn] = ACTIONS(2716),
    [anon_sym_mutable] = ACTIONS(2716),
    [anon_sym_constinit] = ACTIONS(2716),
    [anon_sym_consteval] = ACTIONS(2716),
    [anon_sym_alignas] = ACTIONS(2716),
    [anon_sym__Alignas] = ACTIONS(2716),
    [sym_primitive_type] = ACTIONS(2716),
    [anon_sym_enum] = ACTIONS(2716),
    [anon_sym_class] = ACTIONS(2716),
    [anon_sym_struct] = ACTIONS(2716),
    [anon_sym_union] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_switch] = ACTIONS(2716),
    [anon_sym_case] = ACTIONS(2716),
    [anon_sym_default] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_break] = ACTIONS(2716),
    [anon_sym_continue] = ACTIONS(2716),
    [anon_sym_goto] = ACTIONS(2716),
    [anon_sym___try] = ACTIONS(2716),
    [anon_sym___leave] = ACTIONS(2716),
    [anon_sym_not] = ACTIONS(2716),
    [anon_sym_compl] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_sizeof] = ACTIONS(2716),
    [anon_sym___alignof__] = ACTIONS(2716),
    [anon_sym___alignof] = ACTIONS(2716),
    [anon_sym__alignof] = ACTIONS(2716),
    [anon_sym_alignof] = ACTIONS(2716),
    [anon_sym__Alignof] = ACTIONS(2716),
    [anon_sym_offsetof] = ACTIONS(2716),
    [anon_sym__Generic] = ACTIONS(2716),
    [anon_sym_asm] = ACTIONS(2716),
    [anon_sym___asm__] = ACTIONS(2716),
    [sym_number_literal] = ACTIONS(2718),
    [anon_sym_L_SQUOTE] = ACTIONS(2718),
    [anon_sym_u_SQUOTE] = ACTIONS(2718),
    [anon_sym_U_SQUOTE] = ACTIONS(2718),
    [anon_sym_u8_SQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_L_DQUOTE] = ACTIONS(2718),
    [anon_sym_u_DQUOTE] = ACTIONS(2718),
    [anon_sym_U_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [anon_sym_NULL] = ACTIONS(2716),
    [anon_sym_nullptr] = ACTIONS(2716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2716),
    [anon_sym_decltype] = ACTIONS(2716),
    [sym_virtual] = ACTIONS(2716),
    [anon_sym_explicit] = ACTIONS(2716),
    [anon_sym_typename] = ACTIONS(2716),
    [anon_sym_template] = ACTIONS(2716),
    [anon_sym_operator] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_delete] = ACTIONS(2716),
    [anon_sym_throw] = ACTIONS(2716),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_using] = ACTIONS(2716),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_concept] = ACTIONS(2716),
    [anon_sym_co_return] = ACTIONS(2716),
    [anon_sym_co_yield] = ACTIONS(2716),
    [anon_sym_R_DQUOTE] = ACTIONS(2718),
    [anon_sym_LR_DQUOTE] = ACTIONS(2718),
    [anon_sym_uR_DQUOTE] = ACTIONS(2718),
    [anon_sym_UR_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2718),
    [anon_sym_co_await] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_requires] = ACTIONS(2716),
    [sym_this] = ACTIONS(2716),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2720),
    [aux_sym_preproc_include_token1] = ACTIONS(2720),
    [aux_sym_preproc_def_token1] = ACTIONS(2720),
    [aux_sym_preproc_if_token1] = ACTIONS(2720),
    [aux_sym_preproc_if_token2] = ACTIONS(2720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2720),
    [aux_sym_preproc_else_token1] = ACTIONS(2720),
    [aux_sym_preproc_elif_token1] = ACTIONS(2720),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2720),
    [sym_preproc_directive] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_BANG] = ACTIONS(2722),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_STAR] = ACTIONS(2722),
    [anon_sym_AMP_AMP] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2722),
    [anon_sym___extension__] = ACTIONS(2720),
    [anon_sym_typedef] = ACTIONS(2720),
    [anon_sym_extern] = ACTIONS(2720),
    [anon_sym___attribute__] = ACTIONS(2720),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2722),
    [anon_sym___declspec] = ACTIONS(2720),
    [anon_sym___based] = ACTIONS(2720),
    [anon_sym___cdecl] = ACTIONS(2720),
    [anon_sym___clrcall] = ACTIONS(2720),
    [anon_sym___stdcall] = ACTIONS(2720),
    [anon_sym___fastcall] = ACTIONS(2720),
    [anon_sym___thiscall] = ACTIONS(2720),
    [anon_sym___vectorcall] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2722),
    [anon_sym_signed] = ACTIONS(2720),
    [anon_sym_unsigned] = ACTIONS(2720),
    [anon_sym_long] = ACTIONS(2720),
    [anon_sym_short] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_register] = ACTIONS(2720),
    [anon_sym_inline] = ACTIONS(2720),
    [anon_sym___inline] = ACTIONS(2720),
    [anon_sym___inline__] = ACTIONS(2720),
    [anon_sym___forceinline] = ACTIONS(2720),
    [anon_sym_thread_local] = ACTIONS(2720),
    [anon_sym___thread] = ACTIONS(2720),
    [anon_sym_const] = ACTIONS(2720),
    [anon_sym_constexpr] = ACTIONS(2720),
    [anon_sym_volatile] = ACTIONS(2720),
    [anon_sym_restrict] = ACTIONS(2720),
    [anon_sym___restrict__] = ACTIONS(2720),
    [anon_sym__Atomic] = ACTIONS(2720),
    [anon_sym__Noreturn] = ACTIONS(2720),
    [anon_sym_noreturn] = ACTIONS(2720),
    [anon_sym_mutable] = ACTIONS(2720),
    [anon_sym_constinit] = ACTIONS(2720),
    [anon_sym_consteval] = ACTIONS(2720),
    [anon_sym_alignas] = ACTIONS(2720),
    [anon_sym__Alignas] = ACTIONS(2720),
    [sym_primitive_type] = ACTIONS(2720),
    [anon_sym_enum] = ACTIONS(2720),
    [anon_sym_class] = ACTIONS(2720),
    [anon_sym_struct] = ACTIONS(2720),
    [anon_sym_union] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2720),
    [anon_sym_case] = ACTIONS(2720),
    [anon_sym_default] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_break] = ACTIONS(2720),
    [anon_sym_continue] = ACTIONS(2720),
    [anon_sym_goto] = ACTIONS(2720),
    [anon_sym___try] = ACTIONS(2720),
    [anon_sym___leave] = ACTIONS(2720),
    [anon_sym_not] = ACTIONS(2720),
    [anon_sym_compl] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_sizeof] = ACTIONS(2720),
    [anon_sym___alignof__] = ACTIONS(2720),
    [anon_sym___alignof] = ACTIONS(2720),
    [anon_sym__alignof] = ACTIONS(2720),
    [anon_sym_alignof] = ACTIONS(2720),
    [anon_sym__Alignof] = ACTIONS(2720),
    [anon_sym_offsetof] = ACTIONS(2720),
    [anon_sym__Generic] = ACTIONS(2720),
    [anon_sym_asm] = ACTIONS(2720),
    [anon_sym___asm__] = ACTIONS(2720),
    [sym_number_literal] = ACTIONS(2722),
    [anon_sym_L_SQUOTE] = ACTIONS(2722),
    [anon_sym_u_SQUOTE] = ACTIONS(2722),
    [anon_sym_U_SQUOTE] = ACTIONS(2722),
    [anon_sym_u8_SQUOTE] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_L_DQUOTE] = ACTIONS(2722),
    [anon_sym_u_DQUOTE] = ACTIONS(2722),
    [anon_sym_U_DQUOTE] = ACTIONS(2722),
    [anon_sym_u8_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE] = ACTIONS(2722),
    [sym_true] = ACTIONS(2720),
    [sym_false] = ACTIONS(2720),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2720),
    [anon_sym_decltype] = ACTIONS(2720),
    [sym_virtual] = ACTIONS(2720),
    [anon_sym_explicit] = ACTIONS(2720),
    [anon_sym_typename] = ACTIONS(2720),
    [anon_sym_template] = ACTIONS(2720),
    [anon_sym_operator] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2720),
    [anon_sym_throw] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_using] = ACTIONS(2720),
    [anon_sym_static_assert] = ACTIONS(2720),
    [anon_sym_concept] = ACTIONS(2720),
    [anon_sym_co_return] = ACTIONS(2720),
    [anon_sym_co_yield] = ACTIONS(2720),
    [anon_sym_R_DQUOTE] = ACTIONS(2722),
    [anon_sym_LR_DQUOTE] = ACTIONS(2722),
    [anon_sym_uR_DQUOTE] = ACTIONS(2722),
    [anon_sym_UR_DQUOTE] = ACTIONS(2722),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2722),
    [anon_sym_co_await] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_requires] = ACTIONS(2720),
    [sym_this] = ACTIONS(2720),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2724),
    [aux_sym_preproc_include_token1] = ACTIONS(2724),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token2] = ACTIONS(2724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2724),
    [aux_sym_preproc_else_token1] = ACTIONS(2724),
    [aux_sym_preproc_elif_token1] = ACTIONS(2724),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2724),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2724),
    [sym_preproc_directive] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_BANG] = ACTIONS(2726),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2726),
    [anon_sym_AMP_AMP] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2726),
    [anon_sym___extension__] = ACTIONS(2724),
    [anon_sym_typedef] = ACTIONS(2724),
    [anon_sym_extern] = ACTIONS(2724),
    [anon_sym___attribute__] = ACTIONS(2724),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2726),
    [anon_sym___declspec] = ACTIONS(2724),
    [anon_sym___based] = ACTIONS(2724),
    [anon_sym___cdecl] = ACTIONS(2724),
    [anon_sym___clrcall] = ACTIONS(2724),
    [anon_sym___stdcall] = ACTIONS(2724),
    [anon_sym___fastcall] = ACTIONS(2724),
    [anon_sym___thiscall] = ACTIONS(2724),
    [anon_sym___vectorcall] = ACTIONS(2724),
    [anon_sym_LBRACE] = ACTIONS(2726),
    [anon_sym_signed] = ACTIONS(2724),
    [anon_sym_unsigned] = ACTIONS(2724),
    [anon_sym_long] = ACTIONS(2724),
    [anon_sym_short] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_static] = ACTIONS(2724),
    [anon_sym_register] = ACTIONS(2724),
    [anon_sym_inline] = ACTIONS(2724),
    [anon_sym___inline] = ACTIONS(2724),
    [anon_sym___inline__] = ACTIONS(2724),
    [anon_sym___forceinline] = ACTIONS(2724),
    [anon_sym_thread_local] = ACTIONS(2724),
    [anon_sym___thread] = ACTIONS(2724),
    [anon_sym_const] = ACTIONS(2724),
    [anon_sym_constexpr] = ACTIONS(2724),
    [anon_sym_volatile] = ACTIONS(2724),
    [anon_sym_restrict] = ACTIONS(2724),
    [anon_sym___restrict__] = ACTIONS(2724),
    [anon_sym__Atomic] = ACTIONS(2724),
    [anon_sym__Noreturn] = ACTIONS(2724),
    [anon_sym_noreturn] = ACTIONS(2724),
    [anon_sym_mutable] = ACTIONS(2724),
    [anon_sym_constinit] = ACTIONS(2724),
    [anon_sym_consteval] = ACTIONS(2724),
    [anon_sym_alignas] = ACTIONS(2724),
    [anon_sym__Alignas] = ACTIONS(2724),
    [sym_primitive_type] = ACTIONS(2724),
    [anon_sym_enum] = ACTIONS(2724),
    [anon_sym_class] = ACTIONS(2724),
    [anon_sym_struct] = ACTIONS(2724),
    [anon_sym_union] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_switch] = ACTIONS(2724),
    [anon_sym_case] = ACTIONS(2724),
    [anon_sym_default] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_break] = ACTIONS(2724),
    [anon_sym_continue] = ACTIONS(2724),
    [anon_sym_goto] = ACTIONS(2724),
    [anon_sym___try] = ACTIONS(2724),
    [anon_sym___leave] = ACTIONS(2724),
    [anon_sym_not] = ACTIONS(2724),
    [anon_sym_compl] = ACTIONS(2724),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_sizeof] = ACTIONS(2724),
    [anon_sym___alignof__] = ACTIONS(2724),
    [anon_sym___alignof] = ACTIONS(2724),
    [anon_sym__alignof] = ACTIONS(2724),
    [anon_sym_alignof] = ACTIONS(2724),
    [anon_sym__Alignof] = ACTIONS(2724),
    [anon_sym_offsetof] = ACTIONS(2724),
    [anon_sym__Generic] = ACTIONS(2724),
    [anon_sym_asm] = ACTIONS(2724),
    [anon_sym___asm__] = ACTIONS(2724),
    [sym_number_literal] = ACTIONS(2726),
    [anon_sym_L_SQUOTE] = ACTIONS(2726),
    [anon_sym_u_SQUOTE] = ACTIONS(2726),
    [anon_sym_U_SQUOTE] = ACTIONS(2726),
    [anon_sym_u8_SQUOTE] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_L_DQUOTE] = ACTIONS(2726),
    [anon_sym_u_DQUOTE] = ACTIONS(2726),
    [anon_sym_U_DQUOTE] = ACTIONS(2726),
    [anon_sym_u8_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2726),
    [sym_true] = ACTIONS(2724),
    [sym_false] = ACTIONS(2724),
    [anon_sym_NULL] = ACTIONS(2724),
    [anon_sym_nullptr] = ACTIONS(2724),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2724),
    [anon_sym_decltype] = ACTIONS(2724),
    [sym_virtual] = ACTIONS(2724),
    [anon_sym_explicit] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2724),
    [anon_sym_template] = ACTIONS(2724),
    [anon_sym_operator] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_delete] = ACTIONS(2724),
    [anon_sym_throw] = ACTIONS(2724),
    [anon_sym_namespace] = ACTIONS(2724),
    [anon_sym_using] = ACTIONS(2724),
    [anon_sym_static_assert] = ACTIONS(2724),
    [anon_sym_concept] = ACTIONS(2724),
    [anon_sym_co_return] = ACTIONS(2724),
    [anon_sym_co_yield] = ACTIONS(2724),
    [anon_sym_R_DQUOTE] = ACTIONS(2726),
    [anon_sym_LR_DQUOTE] = ACTIONS(2726),
    [anon_sym_uR_DQUOTE] = ACTIONS(2726),
    [anon_sym_UR_DQUOTE] = ACTIONS(2726),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2726),
    [anon_sym_co_await] = ACTIONS(2724),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_requires] = ACTIONS(2724),
    [sym_this] = ACTIONS(2724),
  },
  [288] = {
    [sym_identifier] = ACTIONS(2728),
    [aux_sym_preproc_include_token1] = ACTIONS(2728),
    [aux_sym_preproc_def_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token2] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [aux_sym_preproc_else_token1] = ACTIONS(2728),
    [aux_sym_preproc_elif_token1] = ACTIONS(2728),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym___extension__] = ACTIONS(2728),
    [anon_sym_typedef] = ACTIONS(2728),
    [anon_sym_extern] = ACTIONS(2728),
    [anon_sym___attribute__] = ACTIONS(2728),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2730),
    [anon_sym___declspec] = ACTIONS(2728),
    [anon_sym___based] = ACTIONS(2728),
    [anon_sym___cdecl] = ACTIONS(2728),
    [anon_sym___clrcall] = ACTIONS(2728),
    [anon_sym___stdcall] = ACTIONS(2728),
    [anon_sym___fastcall] = ACTIONS(2728),
    [anon_sym___thiscall] = ACTIONS(2728),
    [anon_sym___vectorcall] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_signed] = ACTIONS(2728),
    [anon_sym_unsigned] = ACTIONS(2728),
    [anon_sym_long] = ACTIONS(2728),
    [anon_sym_short] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_register] = ACTIONS(2728),
    [anon_sym_inline] = ACTIONS(2728),
    [anon_sym___inline] = ACTIONS(2728),
    [anon_sym___inline__] = ACTIONS(2728),
    [anon_sym___forceinline] = ACTIONS(2728),
    [anon_sym_thread_local] = ACTIONS(2728),
    [anon_sym___thread] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_constexpr] = ACTIONS(2728),
    [anon_sym_volatile] = ACTIONS(2728),
    [anon_sym_restrict] = ACTIONS(2728),
    [anon_sym___restrict__] = ACTIONS(2728),
    [anon_sym__Atomic] = ACTIONS(2728),
    [anon_sym__Noreturn] = ACTIONS(2728),
    [anon_sym_noreturn] = ACTIONS(2728),
    [anon_sym_mutable] = ACTIONS(2728),
    [anon_sym_constinit] = ACTIONS(2728),
    [anon_sym_consteval] = ACTIONS(2728),
    [anon_sym_alignas] = ACTIONS(2728),
    [anon_sym__Alignas] = ACTIONS(2728),
    [sym_primitive_type] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_struct] = ACTIONS(2728),
    [anon_sym_union] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_case] = ACTIONS(2728),
    [anon_sym_default] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_goto] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2728),
    [anon_sym___leave] = ACTIONS(2728),
    [anon_sym_not] = ACTIONS(2728),
    [anon_sym_compl] = ACTIONS(2728),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_sizeof] = ACTIONS(2728),
    [anon_sym___alignof__] = ACTIONS(2728),
    [anon_sym___alignof] = ACTIONS(2728),
    [anon_sym__alignof] = ACTIONS(2728),
    [anon_sym_alignof] = ACTIONS(2728),
    [anon_sym__Alignof] = ACTIONS(2728),
    [anon_sym_offsetof] = ACTIONS(2728),
    [anon_sym__Generic] = ACTIONS(2728),
    [anon_sym_asm] = ACTIONS(2728),
    [anon_sym___asm__] = ACTIONS(2728),
    [sym_number_literal] = ACTIONS(2730),
    [anon_sym_L_SQUOTE] = ACTIONS(2730),
    [anon_sym_u_SQUOTE] = ACTIONS(2730),
    [anon_sym_U_SQUOTE] = ACTIONS(2730),
    [anon_sym_u8_SQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_L_DQUOTE] = ACTIONS(2730),
    [anon_sym_u_DQUOTE] = ACTIONS(2730),
    [anon_sym_U_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [anon_sym_NULL] = ACTIONS(2728),
    [anon_sym_nullptr] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2728),
    [anon_sym_decltype] = ACTIONS(2728),
    [sym_virtual] = ACTIONS(2728),
    [anon_sym_explicit] = ACTIONS(2728),
    [anon_sym_typename] = ACTIONS(2728),
    [anon_sym_template] = ACTIONS(2728),
    [anon_sym_operator] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_static_assert] = ACTIONS(2728),
    [anon_sym_concept] = ACTIONS(2728),
    [anon_sym_co_return] = ACTIONS(2728),
    [anon_sym_co_yield] = ACTIONS(2728),
    [anon_sym_R_DQUOTE] = ACTIONS(2730),
    [anon_sym_LR_DQUOTE] = ACTIONS(2730),
    [anon_sym_uR_DQUOTE] = ACTIONS(2730),
    [anon_sym_UR_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2730),
    [anon_sym_co_await] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_requires] = ACTIONS(2728),
    [sym_this] = ACTIONS(2728),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token2] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [aux_sym_preproc_else_token1] = ACTIONS(2732),
    [aux_sym_preproc_elif_token1] = ACTIONS(2732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [sym_virtual] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2736),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token2] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2736),
    [aux_sym_preproc_else_token1] = ACTIONS(2736),
    [aux_sym_preproc_elif_token1] = ACTIONS(2736),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2736),
    [sym_preproc_directive] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym___based] = ACTIONS(2736),
    [anon_sym___cdecl] = ACTIONS(2736),
    [anon_sym___clrcall] = ACTIONS(2736),
    [anon_sym___stdcall] = ACTIONS(2736),
    [anon_sym___fastcall] = ACTIONS(2736),
    [anon_sym___thiscall] = ACTIONS(2736),
    [anon_sym___vectorcall] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [sym_primitive_type] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [sym_number_literal] = ACTIONS(2738),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [sym_virtual] = ACTIONS(2736),
    [anon_sym_explicit] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_operator] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_static_assert] = ACTIONS(2736),
    [anon_sym_concept] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [aux_sym_preproc_else_token1] = ACTIONS(2740),
    [aux_sym_preproc_elif_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [aux_sym_preproc_else_token1] = ACTIONS(2744),
    [aux_sym_preproc_elif_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_include_token1] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token2] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [aux_sym_preproc_else_token1] = ACTIONS(2748),
    [aux_sym_preproc_elif_token1] = ACTIONS(2748),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym___cdecl] = ACTIONS(2748),
    [anon_sym___clrcall] = ACTIONS(2748),
    [anon_sym___stdcall] = ACTIONS(2748),
    [anon_sym___fastcall] = ACTIONS(2748),
    [anon_sym___thiscall] = ACTIONS(2748),
    [anon_sym___vectorcall] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_case] = ACTIONS(2748),
    [anon_sym_default] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_goto] = ACTIONS(2748),
    [anon_sym___try] = ACTIONS(2748),
    [anon_sym___leave] = ACTIONS(2748),
    [anon_sym_not] = ACTIONS(2748),
    [anon_sym_compl] = ACTIONS(2748),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_sizeof] = ACTIONS(2748),
    [anon_sym___alignof__] = ACTIONS(2748),
    [anon_sym___alignof] = ACTIONS(2748),
    [anon_sym__alignof] = ACTIONS(2748),
    [anon_sym_alignof] = ACTIONS(2748),
    [anon_sym__Alignof] = ACTIONS(2748),
    [anon_sym_offsetof] = ACTIONS(2748),
    [anon_sym__Generic] = ACTIONS(2748),
    [anon_sym_asm] = ACTIONS(2748),
    [anon_sym___asm__] = ACTIONS(2748),
    [sym_number_literal] = ACTIONS(2750),
    [anon_sym_L_SQUOTE] = ACTIONS(2750),
    [anon_sym_u_SQUOTE] = ACTIONS(2750),
    [anon_sym_U_SQUOTE] = ACTIONS(2750),
    [anon_sym_u8_SQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [anon_sym_L_DQUOTE] = ACTIONS(2750),
    [anon_sym_u_DQUOTE] = ACTIONS(2750),
    [anon_sym_U_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8_DQUOTE] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [anon_sym_NULL] = ACTIONS(2748),
    [anon_sym_nullptr] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [sym_virtual] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_namespace] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
    [anon_sym_concept] = ACTIONS(2748),
    [anon_sym_co_return] = ACTIONS(2748),
    [anon_sym_co_yield] = ACTIONS(2748),
    [anon_sym_R_DQUOTE] = ACTIONS(2750),
    [anon_sym_LR_DQUOTE] = ACTIONS(2750),
    [anon_sym_uR_DQUOTE] = ACTIONS(2750),
    [anon_sym_UR_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2750),
    [anon_sym_co_await] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_requires] = ACTIONS(2748),
    [sym_this] = ACTIONS(2748),
  },
  [294] = {
    [sym_catch_clause] = STATE(294),
    [aux_sym_constructor_try_statement_repeat1] = STATE(294),
    [sym_identifier] = ACTIONS(2413),
    [aux_sym_preproc_include_token1] = ACTIONS(2413),
    [aux_sym_preproc_def_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2413),
    [sym_preproc_directive] = ACTIONS(2413),
    [anon_sym_LPAREN2] = ACTIONS(2415),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2415),
    [anon_sym_AMP_AMP] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2415),
    [anon_sym___extension__] = ACTIONS(2413),
    [anon_sym_typedef] = ACTIONS(2413),
    [anon_sym_extern] = ACTIONS(2413),
    [anon_sym___attribute__] = ACTIONS(2413),
    [anon_sym_COLON_COLON] = ACTIONS(2415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2415),
    [anon_sym___declspec] = ACTIONS(2413),
    [anon_sym___based] = ACTIONS(2413),
    [anon_sym___cdecl] = ACTIONS(2413),
    [anon_sym___clrcall] = ACTIONS(2413),
    [anon_sym___stdcall] = ACTIONS(2413),
    [anon_sym___fastcall] = ACTIONS(2413),
    [anon_sym___thiscall] = ACTIONS(2413),
    [anon_sym___vectorcall] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2415),
    [anon_sym_RBRACE] = ACTIONS(2415),
    [anon_sym_signed] = ACTIONS(2413),
    [anon_sym_unsigned] = ACTIONS(2413),
    [anon_sym_long] = ACTIONS(2413),
    [anon_sym_short] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2413),
    [anon_sym_static] = ACTIONS(2413),
    [anon_sym_register] = ACTIONS(2413),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym___inline] = ACTIONS(2413),
    [anon_sym___inline__] = ACTIONS(2413),
    [anon_sym___forceinline] = ACTIONS(2413),
    [anon_sym_thread_local] = ACTIONS(2413),
    [anon_sym___thread] = ACTIONS(2413),
    [anon_sym_const] = ACTIONS(2413),
    [anon_sym_constexpr] = ACTIONS(2413),
    [anon_sym_volatile] = ACTIONS(2413),
    [anon_sym_restrict] = ACTIONS(2413),
    [anon_sym___restrict__] = ACTIONS(2413),
    [anon_sym__Atomic] = ACTIONS(2413),
    [anon_sym__Noreturn] = ACTIONS(2413),
    [anon_sym_noreturn] = ACTIONS(2413),
    [anon_sym_mutable] = ACTIONS(2413),
    [anon_sym_constinit] = ACTIONS(2413),
    [anon_sym_consteval] = ACTIONS(2413),
    [anon_sym_alignas] = ACTIONS(2413),
    [anon_sym__Alignas] = ACTIONS(2413),
    [sym_primitive_type] = ACTIONS(2413),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_class] = ACTIONS(2413),
    [anon_sym_struct] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_case] = ACTIONS(2413),
    [anon_sym_default] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_do] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_return] = ACTIONS(2413),
    [anon_sym_break] = ACTIONS(2413),
    [anon_sym_continue] = ACTIONS(2413),
    [anon_sym_goto] = ACTIONS(2413),
    [anon_sym___try] = ACTIONS(2413),
    [anon_sym___leave] = ACTIONS(2413),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2415),
    [anon_sym_sizeof] = ACTIONS(2413),
    [anon_sym___alignof__] = ACTIONS(2413),
    [anon_sym___alignof] = ACTIONS(2413),
    [anon_sym__alignof] = ACTIONS(2413),
    [anon_sym_alignof] = ACTIONS(2413),
    [anon_sym__Alignof] = ACTIONS(2413),
    [anon_sym_offsetof] = ACTIONS(2413),
    [anon_sym__Generic] = ACTIONS(2413),
    [anon_sym_asm] = ACTIONS(2413),
    [anon_sym___asm__] = ACTIONS(2413),
    [sym_number_literal] = ACTIONS(2415),
    [anon_sym_L_SQUOTE] = ACTIONS(2415),
    [anon_sym_u_SQUOTE] = ACTIONS(2415),
    [anon_sym_U_SQUOTE] = ACTIONS(2415),
    [anon_sym_u8_SQUOTE] = ACTIONS(2415),
    [anon_sym_SQUOTE] = ACTIONS(2415),
    [anon_sym_L_DQUOTE] = ACTIONS(2415),
    [anon_sym_u_DQUOTE] = ACTIONS(2415),
    [anon_sym_U_DQUOTE] = ACTIONS(2415),
    [anon_sym_u8_DQUOTE] = ACTIONS(2415),
    [anon_sym_DQUOTE] = ACTIONS(2415),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [anon_sym_NULL] = ACTIONS(2413),
    [anon_sym_nullptr] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2413),
    [anon_sym_decltype] = ACTIONS(2413),
    [sym_virtual] = ACTIONS(2413),
    [anon_sym_explicit] = ACTIONS(2413),
    [anon_sym_typename] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2413),
    [anon_sym_operator] = ACTIONS(2413),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_delete] = ACTIONS(2413),
    [anon_sym_throw] = ACTIONS(2413),
    [anon_sym_namespace] = ACTIONS(2413),
    [anon_sym_using] = ACTIONS(2413),
    [anon_sym_static_assert] = ACTIONS(2413),
    [anon_sym_concept] = ACTIONS(2413),
    [anon_sym_co_return] = ACTIONS(2413),
    [anon_sym_co_yield] = ACTIONS(2413),
    [anon_sym_catch] = ACTIONS(2752),
    [anon_sym_R_DQUOTE] = ACTIONS(2415),
    [anon_sym_LR_DQUOTE] = ACTIONS(2415),
    [anon_sym_uR_DQUOTE] = ACTIONS(2415),
    [anon_sym_UR_DQUOTE] = ACTIONS(2415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2415),
    [anon_sym_co_await] = ACTIONS(2413),
    [anon_sym_new] = ACTIONS(2413),
    [anon_sym_requires] = ACTIONS(2413),
    [sym_this] = ACTIONS(2413),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [aux_sym_preproc_else_token1] = ACTIONS(2755),
    [aux_sym_preproc_elif_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym___try] = ACTIONS(2755),
    [anon_sym___leave] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [aux_sym_preproc_else_token1] = ACTIONS(2755),
    [aux_sym_preproc_elif_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym___try] = ACTIONS(2755),
    [anon_sym___leave] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token2] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [aux_sym_preproc_else_token1] = ACTIONS(2759),
    [aux_sym_preproc_elif_token1] = ACTIONS(2759),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2761),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym___cdecl] = ACTIONS(2759),
    [anon_sym___clrcall] = ACTIONS(2759),
    [anon_sym___stdcall] = ACTIONS(2759),
    [anon_sym___fastcall] = ACTIONS(2759),
    [anon_sym___thiscall] = ACTIONS(2759),
    [anon_sym___vectorcall] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym__Alignas] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_switch] = ACTIONS(2759),
    [anon_sym_case] = ACTIONS(2759),
    [anon_sym_default] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(2759),
    [anon_sym_do] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2759),
    [anon_sym_return] = ACTIONS(2759),
    [anon_sym_break] = ACTIONS(2759),
    [anon_sym_continue] = ACTIONS(2759),
    [anon_sym_goto] = ACTIONS(2759),
    [anon_sym___try] = ACTIONS(2759),
    [anon_sym___leave] = ACTIONS(2759),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_compl] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_sizeof] = ACTIONS(2759),
    [anon_sym___alignof__] = ACTIONS(2759),
    [anon_sym___alignof] = ACTIONS(2759),
    [anon_sym__alignof] = ACTIONS(2759),
    [anon_sym_alignof] = ACTIONS(2759),
    [anon_sym__Alignof] = ACTIONS(2759),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2759),
    [anon_sym_asm] = ACTIONS(2759),
    [anon_sym___asm__] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2761),
    [anon_sym_u_SQUOTE] = ACTIONS(2761),
    [anon_sym_U_SQUOTE] = ACTIONS(2761),
    [anon_sym_u8_SQUOTE] = ACTIONS(2761),
    [anon_sym_SQUOTE] = ACTIONS(2761),
    [anon_sym_L_DQUOTE] = ACTIONS(2761),
    [anon_sym_u_DQUOTE] = ACTIONS(2761),
    [anon_sym_U_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_true] = ACTIONS(2759),
    [sym_false] = ACTIONS(2759),
    [anon_sym_NULL] = ACTIONS(2759),
    [anon_sym_nullptr] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [sym_virtual] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_try] = ACTIONS(2759),
    [anon_sym_delete] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2759),
    [anon_sym_namespace] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_concept] = ACTIONS(2759),
    [anon_sym_co_return] = ACTIONS(2759),
    [anon_sym_co_yield] = ACTIONS(2759),
    [anon_sym_R_DQUOTE] = ACTIONS(2761),
    [anon_sym_LR_DQUOTE] = ACTIONS(2761),
    [anon_sym_uR_DQUOTE] = ACTIONS(2761),
    [anon_sym_UR_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2761),
    [anon_sym_co_await] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_requires] = ACTIONS(2759),
    [sym_this] = ACTIONS(2759),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2763),
    [aux_sym_preproc_include_token1] = ACTIONS(2763),
    [aux_sym_preproc_def_token1] = ACTIONS(2763),
    [aux_sym_preproc_if_token1] = ACTIONS(2763),
    [aux_sym_preproc_if_token2] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2763),
    [aux_sym_preproc_else_token1] = ACTIONS(2763),
    [aux_sym_preproc_elif_token1] = ACTIONS(2763),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2763),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2763),
    [sym_preproc_directive] = ACTIONS(2763),
    [anon_sym_LPAREN2] = ACTIONS(2765),
    [anon_sym_BANG] = ACTIONS(2765),
    [anon_sym_TILDE] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2763),
    [anon_sym_typedef] = ACTIONS(2763),
    [anon_sym_extern] = ACTIONS(2763),
    [anon_sym___attribute__] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2765),
    [anon_sym___declspec] = ACTIONS(2763),
    [anon_sym___based] = ACTIONS(2763),
    [anon_sym___cdecl] = ACTIONS(2763),
    [anon_sym___clrcall] = ACTIONS(2763),
    [anon_sym___stdcall] = ACTIONS(2763),
    [anon_sym___fastcall] = ACTIONS(2763),
    [anon_sym___thiscall] = ACTIONS(2763),
    [anon_sym___vectorcall] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2763),
    [anon_sym_unsigned] = ACTIONS(2763),
    [anon_sym_long] = ACTIONS(2763),
    [anon_sym_short] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(2763),
    [anon_sym_static] = ACTIONS(2763),
    [anon_sym_register] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym___inline] = ACTIONS(2763),
    [anon_sym___inline__] = ACTIONS(2763),
    [anon_sym___forceinline] = ACTIONS(2763),
    [anon_sym_thread_local] = ACTIONS(2763),
    [anon_sym___thread] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_constexpr] = ACTIONS(2763),
    [anon_sym_volatile] = ACTIONS(2763),
    [anon_sym_restrict] = ACTIONS(2763),
    [anon_sym___restrict__] = ACTIONS(2763),
    [anon_sym__Atomic] = ACTIONS(2763),
    [anon_sym__Noreturn] = ACTIONS(2763),
    [anon_sym_noreturn] = ACTIONS(2763),
    [anon_sym_mutable] = ACTIONS(2763),
    [anon_sym_constinit] = ACTIONS(2763),
    [anon_sym_consteval] = ACTIONS(2763),
    [anon_sym_alignas] = ACTIONS(2763),
    [anon_sym__Alignas] = ACTIONS(2763),
    [sym_primitive_type] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_class] = ACTIONS(2763),
    [anon_sym_struct] = ACTIONS(2763),
    [anon_sym_union] = ACTIONS(2763),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_switch] = ACTIONS(2763),
    [anon_sym_case] = ACTIONS(2763),
    [anon_sym_default] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2763),
    [anon_sym_do] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2763),
    [anon_sym_return] = ACTIONS(2763),
    [anon_sym_break] = ACTIONS(2763),
    [anon_sym_continue] = ACTIONS(2763),
    [anon_sym_goto] = ACTIONS(2763),
    [anon_sym___try] = ACTIONS(2763),
    [anon_sym___leave] = ACTIONS(2763),
    [anon_sym_not] = ACTIONS(2763),
    [anon_sym_compl] = ACTIONS(2763),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_sizeof] = ACTIONS(2763),
    [anon_sym___alignof__] = ACTIONS(2763),
    [anon_sym___alignof] = ACTIONS(2763),
    [anon_sym__alignof] = ACTIONS(2763),
    [anon_sym_alignof] = ACTIONS(2763),
    [anon_sym__Alignof] = ACTIONS(2763),
    [anon_sym_offsetof] = ACTIONS(2763),
    [anon_sym__Generic] = ACTIONS(2763),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2765),
    [anon_sym_u_SQUOTE] = ACTIONS(2765),
    [anon_sym_U_SQUOTE] = ACTIONS(2765),
    [anon_sym_u8_SQUOTE] = ACTIONS(2765),
    [anon_sym_SQUOTE] = ACTIONS(2765),
    [anon_sym_L_DQUOTE] = ACTIONS(2765),
    [anon_sym_u_DQUOTE] = ACTIONS(2765),
    [anon_sym_U_DQUOTE] = ACTIONS(2765),
    [anon_sym_u8_DQUOTE] = ACTIONS(2765),
    [anon_sym_DQUOTE] = ACTIONS(2765),
    [sym_true] = ACTIONS(2763),
    [sym_false] = ACTIONS(2763),
    [anon_sym_NULL] = ACTIONS(2763),
    [anon_sym_nullptr] = ACTIONS(2763),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2763),
    [anon_sym_decltype] = ACTIONS(2763),
    [sym_virtual] = ACTIONS(2763),
    [anon_sym_explicit] = ACTIONS(2763),
    [anon_sym_typename] = ACTIONS(2763),
    [anon_sym_template] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_delete] = ACTIONS(2763),
    [anon_sym_throw] = ACTIONS(2763),
    [anon_sym_namespace] = ACTIONS(2763),
    [anon_sym_using] = ACTIONS(2763),
    [anon_sym_static_assert] = ACTIONS(2763),
    [anon_sym_concept] = ACTIONS(2763),
    [anon_sym_co_return] = ACTIONS(2763),
    [anon_sym_co_yield] = ACTIONS(2763),
    [anon_sym_R_DQUOTE] = ACTIONS(2765),
    [anon_sym_LR_DQUOTE] = ACTIONS(2765),
    [anon_sym_uR_DQUOTE] = ACTIONS(2765),
    [anon_sym_UR_DQUOTE] = ACTIONS(2765),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2765),
    [anon_sym_co_await] = ACTIONS(2763),
    [anon_sym_new] = ACTIONS(2763),
    [anon_sym_requires] = ACTIONS(2763),
    [sym_this] = ACTIONS(2763),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2767),
    [aux_sym_preproc_include_token1] = ACTIONS(2767),
    [aux_sym_preproc_def_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token2] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2767),
    [aux_sym_preproc_else_token1] = ACTIONS(2767),
    [aux_sym_preproc_elif_token1] = ACTIONS(2767),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(2767),
    [anon_sym_LPAREN2] = ACTIONS(2769),
    [anon_sym_BANG] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_SEMI] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2767),
    [anon_sym_typedef] = ACTIONS(2767),
    [anon_sym_extern] = ACTIONS(2767),
    [anon_sym___attribute__] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2769),
    [anon_sym___declspec] = ACTIONS(2767),
    [anon_sym___based] = ACTIONS(2767),
    [anon_sym___cdecl] = ACTIONS(2767),
    [anon_sym___clrcall] = ACTIONS(2767),
    [anon_sym___stdcall] = ACTIONS(2767),
    [anon_sym___fastcall] = ACTIONS(2767),
    [anon_sym___thiscall] = ACTIONS(2767),
    [anon_sym___vectorcall] = ACTIONS(2767),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2767),
    [anon_sym_unsigned] = ACTIONS(2767),
    [anon_sym_long] = ACTIONS(2767),
    [anon_sym_short] = ACTIONS(2767),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2767),
    [anon_sym_register] = ACTIONS(2767),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym___inline] = ACTIONS(2767),
    [anon_sym___inline__] = ACTIONS(2767),
    [anon_sym___forceinline] = ACTIONS(2767),
    [anon_sym_thread_local] = ACTIONS(2767),
    [anon_sym___thread] = ACTIONS(2767),
    [anon_sym_const] = ACTIONS(2767),
    [anon_sym_constexpr] = ACTIONS(2767),
    [anon_sym_volatile] = ACTIONS(2767),
    [anon_sym_restrict] = ACTIONS(2767),
    [anon_sym___restrict__] = ACTIONS(2767),
    [anon_sym__Atomic] = ACTIONS(2767),
    [anon_sym__Noreturn] = ACTIONS(2767),
    [anon_sym_noreturn] = ACTIONS(2767),
    [anon_sym_mutable] = ACTIONS(2767),
    [anon_sym_constinit] = ACTIONS(2767),
    [anon_sym_consteval] = ACTIONS(2767),
    [anon_sym_alignas] = ACTIONS(2767),
    [anon_sym__Alignas] = ACTIONS(2767),
    [sym_primitive_type] = ACTIONS(2767),
    [anon_sym_enum] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2767),
    [anon_sym_struct] = ACTIONS(2767),
    [anon_sym_union] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2767),
    [anon_sym_switch] = ACTIONS(2767),
    [anon_sym_case] = ACTIONS(2767),
    [anon_sym_default] = ACTIONS(2767),
    [anon_sym_while] = ACTIONS(2767),
    [anon_sym_do] = ACTIONS(2767),
    [anon_sym_for] = ACTIONS(2767),
    [anon_sym_return] = ACTIONS(2767),
    [anon_sym_break] = ACTIONS(2767),
    [anon_sym_continue] = ACTIONS(2767),
    [anon_sym_goto] = ACTIONS(2767),
    [anon_sym___try] = ACTIONS(2767),
    [anon_sym___leave] = ACTIONS(2767),
    [anon_sym_not] = ACTIONS(2767),
    [anon_sym_compl] = ACTIONS(2767),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_sizeof] = ACTIONS(2767),
    [anon_sym___alignof__] = ACTIONS(2767),
    [anon_sym___alignof] = ACTIONS(2767),
    [anon_sym__alignof] = ACTIONS(2767),
    [anon_sym_alignof] = ACTIONS(2767),
    [anon_sym__Alignof] = ACTIONS(2767),
    [anon_sym_offsetof] = ACTIONS(2767),
    [anon_sym__Generic] = ACTIONS(2767),
    [anon_sym_asm] = ACTIONS(2767),
    [anon_sym___asm__] = ACTIONS(2767),
    [sym_number_literal] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2769),
    [anon_sym_u_SQUOTE] = ACTIONS(2769),
    [anon_sym_U_SQUOTE] = ACTIONS(2769),
    [anon_sym_u8_SQUOTE] = ACTIONS(2769),
    [anon_sym_SQUOTE] = ACTIONS(2769),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2767),
    [sym_false] = ACTIONS(2767),
    [anon_sym_NULL] = ACTIONS(2767),
    [anon_sym_nullptr] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2767),
    [anon_sym_decltype] = ACTIONS(2767),
    [sym_virtual] = ACTIONS(2767),
    [anon_sym_explicit] = ACTIONS(2767),
    [anon_sym_typename] = ACTIONS(2767),
    [anon_sym_template] = ACTIONS(2767),
    [anon_sym_operator] = ACTIONS(2767),
    [anon_sym_try] = ACTIONS(2767),
    [anon_sym_delete] = ACTIONS(2767),
    [anon_sym_throw] = ACTIONS(2767),
    [anon_sym_namespace] = ACTIONS(2767),
    [anon_sym_using] = ACTIONS(2767),
    [anon_sym_static_assert] = ACTIONS(2767),
    [anon_sym_concept] = ACTIONS(2767),
    [anon_sym_co_return] = ACTIONS(2767),
    [anon_sym_co_yield] = ACTIONS(2767),
    [anon_sym_R_DQUOTE] = ACTIONS(2769),
    [anon_sym_LR_DQUOTE] = ACTIONS(2769),
    [anon_sym_uR_DQUOTE] = ACTIONS(2769),
    [anon_sym_UR_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2769),
    [anon_sym_co_await] = ACTIONS(2767),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_requires] = ACTIONS(2767),
    [sym_this] = ACTIONS(2767),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2771),
    [aux_sym_preproc_include_token1] = ACTIONS(2771),
    [aux_sym_preproc_def_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token2] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2771),
    [aux_sym_preproc_else_token1] = ACTIONS(2771),
    [aux_sym_preproc_elif_token1] = ACTIONS(2771),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2771),
    [sym_preproc_directive] = ACTIONS(2771),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_BANG] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2771),
    [anon_sym_typedef] = ACTIONS(2771),
    [anon_sym_extern] = ACTIONS(2771),
    [anon_sym___attribute__] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2773),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2773),
    [anon_sym___declspec] = ACTIONS(2771),
    [anon_sym___based] = ACTIONS(2771),
    [anon_sym___cdecl] = ACTIONS(2771),
    [anon_sym___clrcall] = ACTIONS(2771),
    [anon_sym___stdcall] = ACTIONS(2771),
    [anon_sym___fastcall] = ACTIONS(2771),
    [anon_sym___thiscall] = ACTIONS(2771),
    [anon_sym___vectorcall] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2771),
    [anon_sym_unsigned] = ACTIONS(2771),
    [anon_sym_long] = ACTIONS(2771),
    [anon_sym_short] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2771),
    [anon_sym_register] = ACTIONS(2771),
    [anon_sym_inline] = ACTIONS(2771),
    [anon_sym___inline] = ACTIONS(2771),
    [anon_sym___inline__] = ACTIONS(2771),
    [anon_sym___forceinline] = ACTIONS(2771),
    [anon_sym_thread_local] = ACTIONS(2771),
    [anon_sym___thread] = ACTIONS(2771),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_constexpr] = ACTIONS(2771),
    [anon_sym_volatile] = ACTIONS(2771),
    [anon_sym_restrict] = ACTIONS(2771),
    [anon_sym___restrict__] = ACTIONS(2771),
    [anon_sym__Atomic] = ACTIONS(2771),
    [anon_sym__Noreturn] = ACTIONS(2771),
    [anon_sym_noreturn] = ACTIONS(2771),
    [anon_sym_mutable] = ACTIONS(2771),
    [anon_sym_constinit] = ACTIONS(2771),
    [anon_sym_consteval] = ACTIONS(2771),
    [anon_sym_alignas] = ACTIONS(2771),
    [anon_sym__Alignas] = ACTIONS(2771),
    [sym_primitive_type] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2771),
    [anon_sym_struct] = ACTIONS(2771),
    [anon_sym_union] = ACTIONS(2771),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_switch] = ACTIONS(2771),
    [anon_sym_case] = ACTIONS(2771),
    [anon_sym_default] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(2771),
    [anon_sym_do] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2771),
    [anon_sym_return] = ACTIONS(2771),
    [anon_sym_break] = ACTIONS(2771),
    [anon_sym_continue] = ACTIONS(2771),
    [anon_sym_goto] = ACTIONS(2771),
    [anon_sym___try] = ACTIONS(2771),
    [anon_sym___leave] = ACTIONS(2771),
    [anon_sym_not] = ACTIONS(2771),
    [anon_sym_compl] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_sizeof] = ACTIONS(2771),
    [anon_sym___alignof__] = ACTIONS(2771),
    [anon_sym___alignof] = ACTIONS(2771),
    [anon_sym__alignof] = ACTIONS(2771),
    [anon_sym_alignof] = ACTIONS(2771),
    [anon_sym__Alignof] = ACTIONS(2771),
    [anon_sym_offsetof] = ACTIONS(2771),
    [anon_sym__Generic] = ACTIONS(2771),
    [anon_sym_asm] = ACTIONS(2771),
    [anon_sym___asm__] = ACTIONS(2771),
    [sym_number_literal] = ACTIONS(2773),
    [anon_sym_L_SQUOTE] = ACTIONS(2773),
    [anon_sym_u_SQUOTE] = ACTIONS(2773),
    [anon_sym_U_SQUOTE] = ACTIONS(2773),
    [anon_sym_u8_SQUOTE] = ACTIONS(2773),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_L_DQUOTE] = ACTIONS(2773),
    [anon_sym_u_DQUOTE] = ACTIONS(2773),
    [anon_sym_U_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2771),
    [anon_sym_nullptr] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2771),
    [anon_sym_decltype] = ACTIONS(2771),
    [sym_virtual] = ACTIONS(2771),
    [anon_sym_explicit] = ACTIONS(2771),
    [anon_sym_typename] = ACTIONS(2771),
    [anon_sym_template] = ACTIONS(2771),
    [anon_sym_operator] = ACTIONS(2771),
    [anon_sym_try] = ACTIONS(2771),
    [anon_sym_delete] = ACTIONS(2771),
    [anon_sym_throw] = ACTIONS(2771),
    [anon_sym_namespace] = ACTIONS(2771),
    [anon_sym_using] = ACTIONS(2771),
    [anon_sym_static_assert] = ACTIONS(2771),
    [anon_sym_concept] = ACTIONS(2771),
    [anon_sym_co_return] = ACTIONS(2771),
    [anon_sym_co_yield] = ACTIONS(2771),
    [anon_sym_R_DQUOTE] = ACTIONS(2773),
    [anon_sym_LR_DQUOTE] = ACTIONS(2773),
    [anon_sym_uR_DQUOTE] = ACTIONS(2773),
    [anon_sym_UR_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2773),
    [anon_sym_co_await] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2771),
    [anon_sym_requires] = ACTIONS(2771),
    [sym_this] = ACTIONS(2771),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_include_token1] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token2] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [aux_sym_preproc_else_token1] = ACTIONS(2775),
    [aux_sym_preproc_elif_token1] = ACTIONS(2775),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym___cdecl] = ACTIONS(2775),
    [anon_sym___clrcall] = ACTIONS(2775),
    [anon_sym___stdcall] = ACTIONS(2775),
    [anon_sym___fastcall] = ACTIONS(2775),
    [anon_sym___thiscall] = ACTIONS(2775),
    [anon_sym___vectorcall] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym___try] = ACTIONS(2775),
    [anon_sym___leave] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [sym_number_literal] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_namespace] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
    [anon_sym_concept] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2779),
    [aux_sym_preproc_include_token1] = ACTIONS(2779),
    [aux_sym_preproc_def_token1] = ACTIONS(2779),
    [aux_sym_preproc_if_token1] = ACTIONS(2779),
    [aux_sym_preproc_if_token2] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2779),
    [aux_sym_preproc_else_token1] = ACTIONS(2779),
    [aux_sym_preproc_elif_token1] = ACTIONS(2779),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2779),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2779),
    [sym_preproc_directive] = ACTIONS(2779),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym___extension__] = ACTIONS(2779),
    [anon_sym_typedef] = ACTIONS(2779),
    [anon_sym_extern] = ACTIONS(2779),
    [anon_sym___attribute__] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2781),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2781),
    [anon_sym___declspec] = ACTIONS(2779),
    [anon_sym___based] = ACTIONS(2779),
    [anon_sym___cdecl] = ACTIONS(2779),
    [anon_sym___clrcall] = ACTIONS(2779),
    [anon_sym___stdcall] = ACTIONS(2779),
    [anon_sym___fastcall] = ACTIONS(2779),
    [anon_sym___thiscall] = ACTIONS(2779),
    [anon_sym___vectorcall] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_signed] = ACTIONS(2779),
    [anon_sym_unsigned] = ACTIONS(2779),
    [anon_sym_long] = ACTIONS(2779),
    [anon_sym_short] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_static] = ACTIONS(2779),
    [anon_sym_register] = ACTIONS(2779),
    [anon_sym_inline] = ACTIONS(2779),
    [anon_sym___inline] = ACTIONS(2779),
    [anon_sym___inline__] = ACTIONS(2779),
    [anon_sym___forceinline] = ACTIONS(2779),
    [anon_sym_thread_local] = ACTIONS(2779),
    [anon_sym___thread] = ACTIONS(2779),
    [anon_sym_const] = ACTIONS(2779),
    [anon_sym_constexpr] = ACTIONS(2779),
    [anon_sym_volatile] = ACTIONS(2779),
    [anon_sym_restrict] = ACTIONS(2779),
    [anon_sym___restrict__] = ACTIONS(2779),
    [anon_sym__Atomic] = ACTIONS(2779),
    [anon_sym__Noreturn] = ACTIONS(2779),
    [anon_sym_noreturn] = ACTIONS(2779),
    [anon_sym_mutable] = ACTIONS(2779),
    [anon_sym_constinit] = ACTIONS(2779),
    [anon_sym_consteval] = ACTIONS(2779),
    [anon_sym_alignas] = ACTIONS(2779),
    [anon_sym__Alignas] = ACTIONS(2779),
    [sym_primitive_type] = ACTIONS(2779),
    [anon_sym_enum] = ACTIONS(2779),
    [anon_sym_class] = ACTIONS(2779),
    [anon_sym_struct] = ACTIONS(2779),
    [anon_sym_union] = ACTIONS(2779),
    [anon_sym_if] = ACTIONS(2779),
    [anon_sym_switch] = ACTIONS(2779),
    [anon_sym_case] = ACTIONS(2779),
    [anon_sym_default] = ACTIONS(2779),
    [anon_sym_while] = ACTIONS(2779),
    [anon_sym_do] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_return] = ACTIONS(2779),
    [anon_sym_break] = ACTIONS(2779),
    [anon_sym_continue] = ACTIONS(2779),
    [anon_sym_goto] = ACTIONS(2779),
    [anon_sym___try] = ACTIONS(2779),
    [anon_sym___leave] = ACTIONS(2779),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_compl] = ACTIONS(2779),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_sizeof] = ACTIONS(2779),
    [anon_sym___alignof__] = ACTIONS(2779),
    [anon_sym___alignof] = ACTIONS(2779),
    [anon_sym__alignof] = ACTIONS(2779),
    [anon_sym_alignof] = ACTIONS(2779),
    [anon_sym__Alignof] = ACTIONS(2779),
    [anon_sym_offsetof] = ACTIONS(2779),
    [anon_sym__Generic] = ACTIONS(2779),
    [anon_sym_asm] = ACTIONS(2779),
    [anon_sym___asm__] = ACTIONS(2779),
    [sym_number_literal] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2781),
    [anon_sym_u_SQUOTE] = ACTIONS(2781),
    [anon_sym_U_SQUOTE] = ACTIONS(2781),
    [anon_sym_u8_SQUOTE] = ACTIONS(2781),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_L_DQUOTE] = ACTIONS(2781),
    [anon_sym_u_DQUOTE] = ACTIONS(2781),
    [anon_sym_U_DQUOTE] = ACTIONS(2781),
    [anon_sym_u8_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_true] = ACTIONS(2779),
    [sym_false] = ACTIONS(2779),
    [anon_sym_NULL] = ACTIONS(2779),
    [anon_sym_nullptr] = ACTIONS(2779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2779),
    [anon_sym_decltype] = ACTIONS(2779),
    [sym_virtual] = ACTIONS(2779),
    [anon_sym_explicit] = ACTIONS(2779),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(2779),
    [anon_sym_operator] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2779),
    [anon_sym_delete] = ACTIONS(2779),
    [anon_sym_throw] = ACTIONS(2779),
    [anon_sym_namespace] = ACTIONS(2779),
    [anon_sym_using] = ACTIONS(2779),
    [anon_sym_static_assert] = ACTIONS(2779),
    [anon_sym_concept] = ACTIONS(2779),
    [anon_sym_co_return] = ACTIONS(2779),
    [anon_sym_co_yield] = ACTIONS(2779),
    [anon_sym_R_DQUOTE] = ACTIONS(2781),
    [anon_sym_LR_DQUOTE] = ACTIONS(2781),
    [anon_sym_uR_DQUOTE] = ACTIONS(2781),
    [anon_sym_UR_DQUOTE] = ACTIONS(2781),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2781),
    [anon_sym_co_await] = ACTIONS(2779),
    [anon_sym_new] = ACTIONS(2779),
    [anon_sym_requires] = ACTIONS(2779),
    [sym_this] = ACTIONS(2779),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2783),
    [aux_sym_preproc_include_token1] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2783),
    [aux_sym_preproc_if_token1] = ACTIONS(2783),
    [aux_sym_preproc_if_token2] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2783),
    [aux_sym_preproc_else_token1] = ACTIONS(2783),
    [aux_sym_preproc_elif_token1] = ACTIONS(2783),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2783),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2783),
    [sym_preproc_directive] = ACTIONS(2783),
    [anon_sym_LPAREN2] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym___extension__] = ACTIONS(2783),
    [anon_sym_typedef] = ACTIONS(2783),
    [anon_sym_extern] = ACTIONS(2783),
    [anon_sym___attribute__] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2785),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2785),
    [anon_sym___declspec] = ACTIONS(2783),
    [anon_sym___based] = ACTIONS(2783),
    [anon_sym___cdecl] = ACTIONS(2783),
    [anon_sym___clrcall] = ACTIONS(2783),
    [anon_sym___stdcall] = ACTIONS(2783),
    [anon_sym___fastcall] = ACTIONS(2783),
    [anon_sym___thiscall] = ACTIONS(2783),
    [anon_sym___vectorcall] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_signed] = ACTIONS(2783),
    [anon_sym_unsigned] = ACTIONS(2783),
    [anon_sym_long] = ACTIONS(2783),
    [anon_sym_short] = ACTIONS(2783),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_static] = ACTIONS(2783),
    [anon_sym_register] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2783),
    [anon_sym___inline] = ACTIONS(2783),
    [anon_sym___inline__] = ACTIONS(2783),
    [anon_sym___forceinline] = ACTIONS(2783),
    [anon_sym_thread_local] = ACTIONS(2783),
    [anon_sym___thread] = ACTIONS(2783),
    [anon_sym_const] = ACTIONS(2783),
    [anon_sym_constexpr] = ACTIONS(2783),
    [anon_sym_volatile] = ACTIONS(2783),
    [anon_sym_restrict] = ACTIONS(2783),
    [anon_sym___restrict__] = ACTIONS(2783),
    [anon_sym__Atomic] = ACTIONS(2783),
    [anon_sym__Noreturn] = ACTIONS(2783),
    [anon_sym_noreturn] = ACTIONS(2783),
    [anon_sym_mutable] = ACTIONS(2783),
    [anon_sym_constinit] = ACTIONS(2783),
    [anon_sym_consteval] = ACTIONS(2783),
    [anon_sym_alignas] = ACTIONS(2783),
    [anon_sym__Alignas] = ACTIONS(2783),
    [sym_primitive_type] = ACTIONS(2783),
    [anon_sym_enum] = ACTIONS(2783),
    [anon_sym_class] = ACTIONS(2783),
    [anon_sym_struct] = ACTIONS(2783),
    [anon_sym_union] = ACTIONS(2783),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_switch] = ACTIONS(2783),
    [anon_sym_case] = ACTIONS(2783),
    [anon_sym_default] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2783),
    [anon_sym_do] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2783),
    [anon_sym_return] = ACTIONS(2783),
    [anon_sym_break] = ACTIONS(2783),
    [anon_sym_continue] = ACTIONS(2783),
    [anon_sym_goto] = ACTIONS(2783),
    [anon_sym___try] = ACTIONS(2783),
    [anon_sym___leave] = ACTIONS(2783),
    [anon_sym_not] = ACTIONS(2783),
    [anon_sym_compl] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2785),
    [anon_sym_sizeof] = ACTIONS(2783),
    [anon_sym___alignof__] = ACTIONS(2783),
    [anon_sym___alignof] = ACTIONS(2783),
    [anon_sym__alignof] = ACTIONS(2783),
    [anon_sym_alignof] = ACTIONS(2783),
    [anon_sym__Alignof] = ACTIONS(2783),
    [anon_sym_offsetof] = ACTIONS(2783),
    [anon_sym__Generic] = ACTIONS(2783),
    [anon_sym_asm] = ACTIONS(2783),
    [anon_sym___asm__] = ACTIONS(2783),
    [sym_number_literal] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2785),
    [anon_sym_u_SQUOTE] = ACTIONS(2785),
    [anon_sym_U_SQUOTE] = ACTIONS(2785),
    [anon_sym_u8_SQUOTE] = ACTIONS(2785),
    [anon_sym_SQUOTE] = ACTIONS(2785),
    [anon_sym_L_DQUOTE] = ACTIONS(2785),
    [anon_sym_u_DQUOTE] = ACTIONS(2785),
    [anon_sym_U_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [sym_true] = ACTIONS(2783),
    [sym_false] = ACTIONS(2783),
    [anon_sym_NULL] = ACTIONS(2783),
    [anon_sym_nullptr] = ACTIONS(2783),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2783),
    [anon_sym_decltype] = ACTIONS(2783),
    [sym_virtual] = ACTIONS(2783),
    [anon_sym_explicit] = ACTIONS(2783),
    [anon_sym_typename] = ACTIONS(2783),
    [anon_sym_template] = ACTIONS(2783),
    [anon_sym_operator] = ACTIONS(2783),
    [anon_sym_try] = ACTIONS(2783),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_throw] = ACTIONS(2783),
    [anon_sym_namespace] = ACTIONS(2783),
    [anon_sym_using] = ACTIONS(2783),
    [anon_sym_static_assert] = ACTIONS(2783),
    [anon_sym_concept] = ACTIONS(2783),
    [anon_sym_co_return] = ACTIONS(2783),
    [anon_sym_co_yield] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(2783),
    [anon_sym_requires] = ACTIONS(2783),
    [sym_this] = ACTIONS(2783),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_include_token1] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token2] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [aux_sym_preproc_else_token1] = ACTIONS(2775),
    [aux_sym_preproc_elif_token1] = ACTIONS(2775),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym___cdecl] = ACTIONS(2775),
    [anon_sym___clrcall] = ACTIONS(2775),
    [anon_sym___stdcall] = ACTIONS(2775),
    [anon_sym___fastcall] = ACTIONS(2775),
    [anon_sym___thiscall] = ACTIONS(2775),
    [anon_sym___vectorcall] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym___try] = ACTIONS(2775),
    [anon_sym___leave] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [sym_number_literal] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_namespace] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
    [anon_sym_concept] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2787),
    [aux_sym_preproc_include_token1] = ACTIONS(2787),
    [aux_sym_preproc_def_token1] = ACTIONS(2787),
    [aux_sym_preproc_if_token1] = ACTIONS(2787),
    [aux_sym_preproc_if_token2] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2787),
    [aux_sym_preproc_else_token1] = ACTIONS(2787),
    [aux_sym_preproc_elif_token1] = ACTIONS(2787),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2787),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2787),
    [sym_preproc_directive] = ACTIONS(2787),
    [anon_sym_LPAREN2] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym___extension__] = ACTIONS(2787),
    [anon_sym_typedef] = ACTIONS(2787),
    [anon_sym_extern] = ACTIONS(2787),
    [anon_sym___attribute__] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2789),
    [anon_sym___declspec] = ACTIONS(2787),
    [anon_sym___based] = ACTIONS(2787),
    [anon_sym___cdecl] = ACTIONS(2787),
    [anon_sym___clrcall] = ACTIONS(2787),
    [anon_sym___stdcall] = ACTIONS(2787),
    [anon_sym___fastcall] = ACTIONS(2787),
    [anon_sym___thiscall] = ACTIONS(2787),
    [anon_sym___vectorcall] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_signed] = ACTIONS(2787),
    [anon_sym_unsigned] = ACTIONS(2787),
    [anon_sym_long] = ACTIONS(2787),
    [anon_sym_short] = ACTIONS(2787),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_static] = ACTIONS(2787),
    [anon_sym_register] = ACTIONS(2787),
    [anon_sym_inline] = ACTIONS(2787),
    [anon_sym___inline] = ACTIONS(2787),
    [anon_sym___inline__] = ACTIONS(2787),
    [anon_sym___forceinline] = ACTIONS(2787),
    [anon_sym_thread_local] = ACTIONS(2787),
    [anon_sym___thread] = ACTIONS(2787),
    [anon_sym_const] = ACTIONS(2787),
    [anon_sym_constexpr] = ACTIONS(2787),
    [anon_sym_volatile] = ACTIONS(2787),
    [anon_sym_restrict] = ACTIONS(2787),
    [anon_sym___restrict__] = ACTIONS(2787),
    [anon_sym__Atomic] = ACTIONS(2787),
    [anon_sym__Noreturn] = ACTIONS(2787),
    [anon_sym_noreturn] = ACTIONS(2787),
    [anon_sym_mutable] = ACTIONS(2787),
    [anon_sym_constinit] = ACTIONS(2787),
    [anon_sym_consteval] = ACTIONS(2787),
    [anon_sym_alignas] = ACTIONS(2787),
    [anon_sym__Alignas] = ACTIONS(2787),
    [sym_primitive_type] = ACTIONS(2787),
    [anon_sym_enum] = ACTIONS(2787),
    [anon_sym_class] = ACTIONS(2787),
    [anon_sym_struct] = ACTIONS(2787),
    [anon_sym_union] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_switch] = ACTIONS(2787),
    [anon_sym_case] = ACTIONS(2787),
    [anon_sym_default] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_return] = ACTIONS(2787),
    [anon_sym_break] = ACTIONS(2787),
    [anon_sym_continue] = ACTIONS(2787),
    [anon_sym_goto] = ACTIONS(2787),
    [anon_sym___try] = ACTIONS(2787),
    [anon_sym___leave] = ACTIONS(2787),
    [anon_sym_not] = ACTIONS(2787),
    [anon_sym_compl] = ACTIONS(2787),
    [anon_sym_DASH_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(2789),
    [anon_sym_sizeof] = ACTIONS(2787),
    [anon_sym___alignof__] = ACTIONS(2787),
    [anon_sym___alignof] = ACTIONS(2787),
    [anon_sym__alignof] = ACTIONS(2787),
    [anon_sym_alignof] = ACTIONS(2787),
    [anon_sym__Alignof] = ACTIONS(2787),
    [anon_sym_offsetof] = ACTIONS(2787),
    [anon_sym__Generic] = ACTIONS(2787),
    [anon_sym_asm] = ACTIONS(2787),
    [anon_sym___asm__] = ACTIONS(2787),
    [sym_number_literal] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2789),
    [anon_sym_u_SQUOTE] = ACTIONS(2789),
    [anon_sym_U_SQUOTE] = ACTIONS(2789),
    [anon_sym_u8_SQUOTE] = ACTIONS(2789),
    [anon_sym_SQUOTE] = ACTIONS(2789),
    [anon_sym_L_DQUOTE] = ACTIONS(2789),
    [anon_sym_u_DQUOTE] = ACTIONS(2789),
    [anon_sym_U_DQUOTE] = ACTIONS(2789),
    [anon_sym_u8_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [sym_true] = ACTIONS(2787),
    [sym_false] = ACTIONS(2787),
    [anon_sym_NULL] = ACTIONS(2787),
    [anon_sym_nullptr] = ACTIONS(2787),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2787),
    [anon_sym_decltype] = ACTIONS(2787),
    [sym_virtual] = ACTIONS(2787),
    [anon_sym_explicit] = ACTIONS(2787),
    [anon_sym_typename] = ACTIONS(2787),
    [anon_sym_template] = ACTIONS(2787),
    [anon_sym_operator] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2787),
    [anon_sym_delete] = ACTIONS(2787),
    [anon_sym_throw] = ACTIONS(2787),
    [anon_sym_namespace] = ACTIONS(2787),
    [anon_sym_using] = ACTIONS(2787),
    [anon_sym_static_assert] = ACTIONS(2787),
    [anon_sym_concept] = ACTIONS(2787),
    [anon_sym_co_return] = ACTIONS(2787),
    [anon_sym_co_yield] = ACTIONS(2787),
    [anon_sym_R_DQUOTE] = ACTIONS(2789),
    [anon_sym_LR_DQUOTE] = ACTIONS(2789),
    [anon_sym_uR_DQUOTE] = ACTIONS(2789),
    [anon_sym_UR_DQUOTE] = ACTIONS(2789),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2789),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_requires] = ACTIONS(2787),
    [sym_this] = ACTIONS(2787),
  },
  [306] = {
    [sym_catch_clause] = STATE(310),
    [aux_sym_constructor_try_statement_repeat1] = STATE(310),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_include_token1] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token2] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym___cdecl] = ACTIONS(2407),
    [anon_sym___clrcall] = ACTIONS(2407),
    [anon_sym___stdcall] = ACTIONS(2407),
    [anon_sym___fastcall] = ACTIONS(2407),
    [anon_sym___thiscall] = ACTIONS(2407),
    [anon_sym___vectorcall] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(2407),
    [anon_sym_switch] = ACTIONS(2407),
    [anon_sym_case] = ACTIONS(2407),
    [anon_sym_default] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2407),
    [anon_sym_for] = ACTIONS(2407),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2407),
    [anon_sym_goto] = ACTIONS(2407),
    [anon_sym___try] = ACTIONS(2407),
    [anon_sym___leave] = ACTIONS(2407),
    [anon_sym_not] = ACTIONS(2407),
    [anon_sym_compl] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2409),
    [anon_sym_sizeof] = ACTIONS(2407),
    [anon_sym___alignof__] = ACTIONS(2407),
    [anon_sym___alignof] = ACTIONS(2407),
    [anon_sym__alignof] = ACTIONS(2407),
    [anon_sym_alignof] = ACTIONS(2407),
    [anon_sym__Alignof] = ACTIONS(2407),
    [anon_sym_offsetof] = ACTIONS(2407),
    [anon_sym__Generic] = ACTIONS(2407),
    [anon_sym_asm] = ACTIONS(2407),
    [anon_sym___asm__] = ACTIONS(2407),
    [sym_number_literal] = ACTIONS(2409),
    [anon_sym_L_SQUOTE] = ACTIONS(2409),
    [anon_sym_u_SQUOTE] = ACTIONS(2409),
    [anon_sym_U_SQUOTE] = ACTIONS(2409),
    [anon_sym_u8_SQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_L_DQUOTE] = ACTIONS(2409),
    [anon_sym_u_DQUOTE] = ACTIONS(2409),
    [anon_sym_U_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8_DQUOTE] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2407),
    [anon_sym_nullptr] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_try] = ACTIONS(2407),
    [anon_sym_delete] = ACTIONS(2407),
    [anon_sym_throw] = ACTIONS(2407),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_concept] = ACTIONS(2407),
    [anon_sym_co_return] = ACTIONS(2407),
    [anon_sym_co_yield] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(2791),
    [anon_sym_R_DQUOTE] = ACTIONS(2409),
    [anon_sym_LR_DQUOTE] = ACTIONS(2409),
    [anon_sym_uR_DQUOTE] = ACTIONS(2409),
    [anon_sym_UR_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2409),
    [anon_sym_co_await] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_requires] = ACTIONS(2407),
    [sym_this] = ACTIONS(2407),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [aux_sym_preproc_else_token1] = ACTIONS(2793),
    [aux_sym_preproc_elif_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [sym_virtual] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [sym_virtual] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [aux_sym_preproc_else_token1] = ACTIONS(2801),
    [aux_sym_preproc_elif_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [sym_primitive_type] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [sym_number_literal] = ACTIONS(2803),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [sym_virtual] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [310] = {
    [sym_catch_clause] = STATE(310),
    [aux_sym_constructor_try_statement_repeat1] = STATE(310),
    [sym_identifier] = ACTIONS(2413),
    [aux_sym_preproc_include_token1] = ACTIONS(2413),
    [aux_sym_preproc_def_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token2] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2413),
    [sym_preproc_directive] = ACTIONS(2413),
    [anon_sym_LPAREN2] = ACTIONS(2415),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2415),
    [anon_sym_AMP_AMP] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2415),
    [anon_sym___extension__] = ACTIONS(2413),
    [anon_sym_typedef] = ACTIONS(2413),
    [anon_sym_extern] = ACTIONS(2413),
    [anon_sym___attribute__] = ACTIONS(2413),
    [anon_sym_COLON_COLON] = ACTIONS(2415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2415),
    [anon_sym___declspec] = ACTIONS(2413),
    [anon_sym___based] = ACTIONS(2413),
    [anon_sym___cdecl] = ACTIONS(2413),
    [anon_sym___clrcall] = ACTIONS(2413),
    [anon_sym___stdcall] = ACTIONS(2413),
    [anon_sym___fastcall] = ACTIONS(2413),
    [anon_sym___thiscall] = ACTIONS(2413),
    [anon_sym___vectorcall] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2415),
    [anon_sym_signed] = ACTIONS(2413),
    [anon_sym_unsigned] = ACTIONS(2413),
    [anon_sym_long] = ACTIONS(2413),
    [anon_sym_short] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2413),
    [anon_sym_static] = ACTIONS(2413),
    [anon_sym_register] = ACTIONS(2413),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym___inline] = ACTIONS(2413),
    [anon_sym___inline__] = ACTIONS(2413),
    [anon_sym___forceinline] = ACTIONS(2413),
    [anon_sym_thread_local] = ACTIONS(2413),
    [anon_sym___thread] = ACTIONS(2413),
    [anon_sym_const] = ACTIONS(2413),
    [anon_sym_constexpr] = ACTIONS(2413),
    [anon_sym_volatile] = ACTIONS(2413),
    [anon_sym_restrict] = ACTIONS(2413),
    [anon_sym___restrict__] = ACTIONS(2413),
    [anon_sym__Atomic] = ACTIONS(2413),
    [anon_sym__Noreturn] = ACTIONS(2413),
    [anon_sym_noreturn] = ACTIONS(2413),
    [anon_sym_mutable] = ACTIONS(2413),
    [anon_sym_constinit] = ACTIONS(2413),
    [anon_sym_consteval] = ACTIONS(2413),
    [anon_sym_alignas] = ACTIONS(2413),
    [anon_sym__Alignas] = ACTIONS(2413),
    [sym_primitive_type] = ACTIONS(2413),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_class] = ACTIONS(2413),
    [anon_sym_struct] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_case] = ACTIONS(2413),
    [anon_sym_default] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_do] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_return] = ACTIONS(2413),
    [anon_sym_break] = ACTIONS(2413),
    [anon_sym_continue] = ACTIONS(2413),
    [anon_sym_goto] = ACTIONS(2413),
    [anon_sym___try] = ACTIONS(2413),
    [anon_sym___leave] = ACTIONS(2413),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2415),
    [anon_sym_sizeof] = ACTIONS(2413),
    [anon_sym___alignof__] = ACTIONS(2413),
    [anon_sym___alignof] = ACTIONS(2413),
    [anon_sym__alignof] = ACTIONS(2413),
    [anon_sym_alignof] = ACTIONS(2413),
    [anon_sym__Alignof] = ACTIONS(2413),
    [anon_sym_offsetof] = ACTIONS(2413),
    [anon_sym__Generic] = ACTIONS(2413),
    [anon_sym_asm] = ACTIONS(2413),
    [anon_sym___asm__] = ACTIONS(2413),
    [sym_number_literal] = ACTIONS(2415),
    [anon_sym_L_SQUOTE] = ACTIONS(2415),
    [anon_sym_u_SQUOTE] = ACTIONS(2415),
    [anon_sym_U_SQUOTE] = ACTIONS(2415),
    [anon_sym_u8_SQUOTE] = ACTIONS(2415),
    [anon_sym_SQUOTE] = ACTIONS(2415),
    [anon_sym_L_DQUOTE] = ACTIONS(2415),
    [anon_sym_u_DQUOTE] = ACTIONS(2415),
    [anon_sym_U_DQUOTE] = ACTIONS(2415),
    [anon_sym_u8_DQUOTE] = ACTIONS(2415),
    [anon_sym_DQUOTE] = ACTIONS(2415),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [anon_sym_NULL] = ACTIONS(2413),
    [anon_sym_nullptr] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2413),
    [anon_sym_decltype] = ACTIONS(2413),
    [sym_virtual] = ACTIONS(2413),
    [anon_sym_explicit] = ACTIONS(2413),
    [anon_sym_typename] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2413),
    [anon_sym_operator] = ACTIONS(2413),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_delete] = ACTIONS(2413),
    [anon_sym_throw] = ACTIONS(2413),
    [anon_sym_namespace] = ACTIONS(2413),
    [anon_sym_using] = ACTIONS(2413),
    [anon_sym_static_assert] = ACTIONS(2413),
    [anon_sym_concept] = ACTIONS(2413),
    [anon_sym_co_return] = ACTIONS(2413),
    [anon_sym_co_yield] = ACTIONS(2413),
    [anon_sym_catch] = ACTIONS(2805),
    [anon_sym_R_DQUOTE] = ACTIONS(2415),
    [anon_sym_LR_DQUOTE] = ACTIONS(2415),
    [anon_sym_uR_DQUOTE] = ACTIONS(2415),
    [anon_sym_UR_DQUOTE] = ACTIONS(2415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2415),
    [anon_sym_co_await] = ACTIONS(2413),
    [anon_sym_new] = ACTIONS(2413),
    [anon_sym_requires] = ACTIONS(2413),
    [sym_this] = ACTIONS(2413),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [aux_sym_preproc_else_token1] = ACTIONS(2808),
    [aux_sym_preproc_elif_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [aux_sym_preproc_else_token1] = ACTIONS(2812),
    [aux_sym_preproc_elif_token1] = ACTIONS(2812),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym___leave] = ACTIONS(2812),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_compl] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
    [anon_sym_concept] = ACTIONS(2812),
    [anon_sym_co_return] = ACTIONS(2812),
    [anon_sym_co_yield] = ACTIONS(2812),
    [anon_sym_R_DQUOTE] = ACTIONS(2814),
    [anon_sym_LR_DQUOTE] = ACTIONS(2814),
    [anon_sym_uR_DQUOTE] = ACTIONS(2814),
    [anon_sym_UR_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2814),
    [anon_sym_co_await] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_requires] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [aux_sym_preproc_else_token1] = ACTIONS(2816),
    [aux_sym_preproc_elif_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token2] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [aux_sym_preproc_else_token1] = ACTIONS(2820),
    [aux_sym_preproc_elif_token1] = ACTIONS(2820),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym___leave] = ACTIONS(2820),
    [anon_sym_not] = ACTIONS(2820),
    [anon_sym_compl] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [sym_virtual] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
    [anon_sym_concept] = ACTIONS(2820),
    [anon_sym_co_return] = ACTIONS(2820),
    [anon_sym_co_yield] = ACTIONS(2820),
    [anon_sym_R_DQUOTE] = ACTIONS(2822),
    [anon_sym_LR_DQUOTE] = ACTIONS(2822),
    [anon_sym_uR_DQUOTE] = ACTIONS(2822),
    [anon_sym_UR_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2822),
    [anon_sym_co_await] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_requires] = ACTIONS(2820),
    [sym_this] = ACTIONS(2820),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [aux_sym_preproc_else_token1] = ACTIONS(2824),
    [aux_sym_preproc_elif_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym___leave] = ACTIONS(2824),
    [anon_sym_not] = ACTIONS(2824),
    [anon_sym_compl] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
    [anon_sym_concept] = ACTIONS(2824),
    [anon_sym_co_return] = ACTIONS(2824),
    [anon_sym_co_yield] = ACTIONS(2824),
    [anon_sym_R_DQUOTE] = ACTIONS(2826),
    [anon_sym_LR_DQUOTE] = ACTIONS(2826),
    [anon_sym_uR_DQUOTE] = ACTIONS(2826),
    [anon_sym_UR_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2826),
    [anon_sym_co_await] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_requires] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [aux_sym_preproc_else_token1] = ACTIONS(2828),
    [aux_sym_preproc_elif_token1] = ACTIONS(2828),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym__Alignas] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym___try] = ACTIONS(2828),
    [anon_sym___leave] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2828),
    [anon_sym_compl] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [sym_virtual] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_try] = ACTIONS(2828),
    [anon_sym_delete] = ACTIONS(2828),
    [anon_sym_throw] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_concept] = ACTIONS(2828),
    [anon_sym_co_return] = ACTIONS(2828),
    [anon_sym_co_yield] = ACTIONS(2828),
    [anon_sym_R_DQUOTE] = ACTIONS(2830),
    [anon_sym_LR_DQUOTE] = ACTIONS(2830),
    [anon_sym_uR_DQUOTE] = ACTIONS(2830),
    [anon_sym_UR_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2830),
    [anon_sym_co_await] = ACTIONS(2828),
    [anon_sym_new] = ACTIONS(2828),
    [anon_sym_requires] = ACTIONS(2828),
    [sym_this] = ACTIONS(2828),
  },
  [317] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4121),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6445),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6904),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2884),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [318] = {
    [sym_catch_clause] = STATE(318),
    [aux_sym_constructor_try_statement_repeat1] = STATE(318),
    [ts_builtin_sym_end] = ACTIONS(2415),
    [sym_identifier] = ACTIONS(2413),
    [aux_sym_preproc_include_token1] = ACTIONS(2413),
    [aux_sym_preproc_def_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2413),
    [sym_preproc_directive] = ACTIONS(2413),
    [anon_sym_LPAREN2] = ACTIONS(2415),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2415),
    [anon_sym_AMP_AMP] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2415),
    [anon_sym___extension__] = ACTIONS(2413),
    [anon_sym_typedef] = ACTIONS(2413),
    [anon_sym_extern] = ACTIONS(2413),
    [anon_sym___attribute__] = ACTIONS(2413),
    [anon_sym_COLON_COLON] = ACTIONS(2415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2415),
    [anon_sym___declspec] = ACTIONS(2413),
    [anon_sym___based] = ACTIONS(2413),
    [anon_sym___cdecl] = ACTIONS(2413),
    [anon_sym___clrcall] = ACTIONS(2413),
    [anon_sym___stdcall] = ACTIONS(2413),
    [anon_sym___fastcall] = ACTIONS(2413),
    [anon_sym___thiscall] = ACTIONS(2413),
    [anon_sym___vectorcall] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2415),
    [anon_sym_signed] = ACTIONS(2413),
    [anon_sym_unsigned] = ACTIONS(2413),
    [anon_sym_long] = ACTIONS(2413),
    [anon_sym_short] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2413),
    [anon_sym_static] = ACTIONS(2413),
    [anon_sym_register] = ACTIONS(2413),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym___inline] = ACTIONS(2413),
    [anon_sym___inline__] = ACTIONS(2413),
    [anon_sym___forceinline] = ACTIONS(2413),
    [anon_sym_thread_local] = ACTIONS(2413),
    [anon_sym___thread] = ACTIONS(2413),
    [anon_sym_const] = ACTIONS(2413),
    [anon_sym_constexpr] = ACTIONS(2413),
    [anon_sym_volatile] = ACTIONS(2413),
    [anon_sym_restrict] = ACTIONS(2413),
    [anon_sym___restrict__] = ACTIONS(2413),
    [anon_sym__Atomic] = ACTIONS(2413),
    [anon_sym__Noreturn] = ACTIONS(2413),
    [anon_sym_noreturn] = ACTIONS(2413),
    [anon_sym_mutable] = ACTIONS(2413),
    [anon_sym_constinit] = ACTIONS(2413),
    [anon_sym_consteval] = ACTIONS(2413),
    [anon_sym_alignas] = ACTIONS(2413),
    [anon_sym__Alignas] = ACTIONS(2413),
    [sym_primitive_type] = ACTIONS(2413),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_class] = ACTIONS(2413),
    [anon_sym_struct] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_case] = ACTIONS(2413),
    [anon_sym_default] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_do] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_return] = ACTIONS(2413),
    [anon_sym_break] = ACTIONS(2413),
    [anon_sym_continue] = ACTIONS(2413),
    [anon_sym_goto] = ACTIONS(2413),
    [anon_sym___try] = ACTIONS(2413),
    [anon_sym___leave] = ACTIONS(2413),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2415),
    [anon_sym_sizeof] = ACTIONS(2413),
    [anon_sym___alignof__] = ACTIONS(2413),
    [anon_sym___alignof] = ACTIONS(2413),
    [anon_sym__alignof] = ACTIONS(2413),
    [anon_sym_alignof] = ACTIONS(2413),
    [anon_sym__Alignof] = ACTIONS(2413),
    [anon_sym_offsetof] = ACTIONS(2413),
    [anon_sym__Generic] = ACTIONS(2413),
    [anon_sym_asm] = ACTIONS(2413),
    [anon_sym___asm__] = ACTIONS(2413),
    [sym_number_literal] = ACTIONS(2415),
    [anon_sym_L_SQUOTE] = ACTIONS(2415),
    [anon_sym_u_SQUOTE] = ACTIONS(2415),
    [anon_sym_U_SQUOTE] = ACTIONS(2415),
    [anon_sym_u8_SQUOTE] = ACTIONS(2415),
    [anon_sym_SQUOTE] = ACTIONS(2415),
    [anon_sym_L_DQUOTE] = ACTIONS(2415),
    [anon_sym_u_DQUOTE] = ACTIONS(2415),
    [anon_sym_U_DQUOTE] = ACTIONS(2415),
    [anon_sym_u8_DQUOTE] = ACTIONS(2415),
    [anon_sym_DQUOTE] = ACTIONS(2415),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [anon_sym_NULL] = ACTIONS(2413),
    [anon_sym_nullptr] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2413),
    [anon_sym_decltype] = ACTIONS(2413),
    [sym_virtual] = ACTIONS(2413),
    [anon_sym_explicit] = ACTIONS(2413),
    [anon_sym_typename] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2413),
    [anon_sym_operator] = ACTIONS(2413),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_delete] = ACTIONS(2413),
    [anon_sym_throw] = ACTIONS(2413),
    [anon_sym_namespace] = ACTIONS(2413),
    [anon_sym_using] = ACTIONS(2413),
    [anon_sym_static_assert] = ACTIONS(2413),
    [anon_sym_concept] = ACTIONS(2413),
    [anon_sym_co_return] = ACTIONS(2413),
    [anon_sym_co_yield] = ACTIONS(2413),
    [anon_sym_catch] = ACTIONS(2896),
    [anon_sym_R_DQUOTE] = ACTIONS(2415),
    [anon_sym_LR_DQUOTE] = ACTIONS(2415),
    [anon_sym_uR_DQUOTE] = ACTIONS(2415),
    [anon_sym_UR_DQUOTE] = ACTIONS(2415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2415),
    [anon_sym_co_await] = ACTIONS(2413),
    [anon_sym_new] = ACTIONS(2413),
    [anon_sym_requires] = ACTIONS(2413),
    [sym_this] = ACTIONS(2413),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2899),
    [aux_sym_preproc_include_token1] = ACTIONS(2899),
    [aux_sym_preproc_def_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token2] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2899),
    [aux_sym_preproc_else_token1] = ACTIONS(2899),
    [aux_sym_preproc_elif_token1] = ACTIONS(2899),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2899),
    [sym_preproc_directive] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym___based] = ACTIONS(2899),
    [anon_sym___cdecl] = ACTIONS(2899),
    [anon_sym___clrcall] = ACTIONS(2899),
    [anon_sym___stdcall] = ACTIONS(2899),
    [anon_sym___fastcall] = ACTIONS(2899),
    [anon_sym___thiscall] = ACTIONS(2899),
    [anon_sym___vectorcall] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym__Alignas] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [anon_sym_if] = ACTIONS(2899),
    [anon_sym_switch] = ACTIONS(2899),
    [anon_sym_case] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(2899),
    [anon_sym_while] = ACTIONS(2899),
    [anon_sym_do] = ACTIONS(2899),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_break] = ACTIONS(2899),
    [anon_sym_continue] = ACTIONS(2899),
    [anon_sym_goto] = ACTIONS(2899),
    [anon_sym___try] = ACTIONS(2899),
    [anon_sym___leave] = ACTIONS(2899),
    [anon_sym_not] = ACTIONS(2899),
    [anon_sym_compl] = ACTIONS(2899),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_sizeof] = ACTIONS(2899),
    [anon_sym___alignof__] = ACTIONS(2899),
    [anon_sym___alignof] = ACTIONS(2899),
    [anon_sym__alignof] = ACTIONS(2899),
    [anon_sym_alignof] = ACTIONS(2899),
    [anon_sym__Alignof] = ACTIONS(2899),
    [anon_sym_offsetof] = ACTIONS(2899),
    [anon_sym__Generic] = ACTIONS(2899),
    [anon_sym_asm] = ACTIONS(2899),
    [anon_sym___asm__] = ACTIONS(2899),
    [sym_number_literal] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2901),
    [anon_sym_u_SQUOTE] = ACTIONS(2901),
    [anon_sym_U_SQUOTE] = ACTIONS(2901),
    [anon_sym_u8_SQUOTE] = ACTIONS(2901),
    [anon_sym_SQUOTE] = ACTIONS(2901),
    [anon_sym_L_DQUOTE] = ACTIONS(2901),
    [anon_sym_u_DQUOTE] = ACTIONS(2901),
    [anon_sym_U_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8_DQUOTE] = ACTIONS(2901),
    [anon_sym_DQUOTE] = ACTIONS(2901),
    [sym_true] = ACTIONS(2899),
    [sym_false] = ACTIONS(2899),
    [anon_sym_NULL] = ACTIONS(2899),
    [anon_sym_nullptr] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [sym_virtual] = ACTIONS(2899),
    [anon_sym_explicit] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_operator] = ACTIONS(2899),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_delete] = ACTIONS(2899),
    [anon_sym_throw] = ACTIONS(2899),
    [anon_sym_namespace] = ACTIONS(2899),
    [anon_sym_using] = ACTIONS(2899),
    [anon_sym_static_assert] = ACTIONS(2899),
    [anon_sym_concept] = ACTIONS(2899),
    [anon_sym_co_return] = ACTIONS(2899),
    [anon_sym_co_yield] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2901),
    [anon_sym_LR_DQUOTE] = ACTIONS(2901),
    [anon_sym_uR_DQUOTE] = ACTIONS(2901),
    [anon_sym_UR_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2901),
    [anon_sym_co_await] = ACTIONS(2899),
    [anon_sym_new] = ACTIONS(2899),
    [anon_sym_requires] = ACTIONS(2899),
    [sym_this] = ACTIONS(2899),
  },
  [320] = {
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_include_token1] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token2] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [aux_sym_preproc_else_token1] = ACTIONS(2903),
    [aux_sym_preproc_elif_token1] = ACTIONS(2903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_BANG] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym___cdecl] = ACTIONS(2903),
    [anon_sym___clrcall] = ACTIONS(2903),
    [anon_sym___stdcall] = ACTIONS(2903),
    [anon_sym___fastcall] = ACTIONS(2903),
    [anon_sym___thiscall] = ACTIONS(2903),
    [anon_sym___vectorcall] = ACTIONS(2903),
    [anon_sym_LBRACE] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym__Alignas] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_switch] = ACTIONS(2903),
    [anon_sym_case] = ACTIONS(2903),
    [anon_sym_default] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(2903),
    [anon_sym_do] = ACTIONS(2903),
    [anon_sym_for] = ACTIONS(2903),
    [anon_sym_return] = ACTIONS(2903),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_continue] = ACTIONS(2903),
    [anon_sym_goto] = ACTIONS(2903),
    [anon_sym___try] = ACTIONS(2903),
    [anon_sym___leave] = ACTIONS(2903),
    [anon_sym_not] = ACTIONS(2903),
    [anon_sym_compl] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_sizeof] = ACTIONS(2903),
    [anon_sym___alignof__] = ACTIONS(2903),
    [anon_sym___alignof] = ACTIONS(2903),
    [anon_sym__alignof] = ACTIONS(2903),
    [anon_sym_alignof] = ACTIONS(2903),
    [anon_sym__Alignof] = ACTIONS(2903),
    [anon_sym_offsetof] = ACTIONS(2903),
    [anon_sym__Generic] = ACTIONS(2903),
    [anon_sym_asm] = ACTIONS(2903),
    [anon_sym___asm__] = ACTIONS(2903),
    [sym_number_literal] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2905),
    [anon_sym_u_SQUOTE] = ACTIONS(2905),
    [anon_sym_U_SQUOTE] = ACTIONS(2905),
    [anon_sym_u8_SQUOTE] = ACTIONS(2905),
    [anon_sym_SQUOTE] = ACTIONS(2905),
    [anon_sym_L_DQUOTE] = ACTIONS(2905),
    [anon_sym_u_DQUOTE] = ACTIONS(2905),
    [anon_sym_U_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8_DQUOTE] = ACTIONS(2905),
    [anon_sym_DQUOTE] = ACTIONS(2905),
    [sym_true] = ACTIONS(2903),
    [sym_false] = ACTIONS(2903),
    [anon_sym_NULL] = ACTIONS(2903),
    [anon_sym_nullptr] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [sym_virtual] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_try] = ACTIONS(2903),
    [anon_sym_delete] = ACTIONS(2903),
    [anon_sym_throw] = ACTIONS(2903),
    [anon_sym_namespace] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
    [anon_sym_concept] = ACTIONS(2903),
    [anon_sym_co_return] = ACTIONS(2903),
    [anon_sym_co_yield] = ACTIONS(2903),
    [anon_sym_R_DQUOTE] = ACTIONS(2905),
    [anon_sym_LR_DQUOTE] = ACTIONS(2905),
    [anon_sym_uR_DQUOTE] = ACTIONS(2905),
    [anon_sym_UR_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2905),
    [anon_sym_co_await] = ACTIONS(2903),
    [anon_sym_new] = ACTIONS(2903),
    [anon_sym_requires] = ACTIONS(2903),
    [sym_this] = ACTIONS(2903),
  },
  [321] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4076),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6531),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6915),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [323] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [324] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4164),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6417),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6836),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [325] = {
    [sym_identifier] = ACTIONS(2919),
    [aux_sym_preproc_include_token1] = ACTIONS(2919),
    [aux_sym_preproc_def_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token2] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2919),
    [aux_sym_preproc_else_token1] = ACTIONS(2919),
    [aux_sym_preproc_elif_token1] = ACTIONS(2919),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2919),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2919),
    [sym_preproc_directive] = ACTIONS(2919),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2919),
    [anon_sym_typedef] = ACTIONS(2919),
    [anon_sym_extern] = ACTIONS(2919),
    [anon_sym___attribute__] = ACTIONS(2919),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2919),
    [anon_sym___based] = ACTIONS(2919),
    [anon_sym___cdecl] = ACTIONS(2919),
    [anon_sym___clrcall] = ACTIONS(2919),
    [anon_sym___stdcall] = ACTIONS(2919),
    [anon_sym___fastcall] = ACTIONS(2919),
    [anon_sym___thiscall] = ACTIONS(2919),
    [anon_sym___vectorcall] = ACTIONS(2919),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2919),
    [anon_sym_unsigned] = ACTIONS(2919),
    [anon_sym_long] = ACTIONS(2919),
    [anon_sym_short] = ACTIONS(2919),
    [anon_sym_LBRACK] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2919),
    [anon_sym_register] = ACTIONS(2919),
    [anon_sym_inline] = ACTIONS(2919),
    [anon_sym___inline] = ACTIONS(2919),
    [anon_sym___inline__] = ACTIONS(2919),
    [anon_sym___forceinline] = ACTIONS(2919),
    [anon_sym_thread_local] = ACTIONS(2919),
    [anon_sym___thread] = ACTIONS(2919),
    [anon_sym_const] = ACTIONS(2919),
    [anon_sym_constexpr] = ACTIONS(2919),
    [anon_sym_volatile] = ACTIONS(2919),
    [anon_sym_restrict] = ACTIONS(2919),
    [anon_sym___restrict__] = ACTIONS(2919),
    [anon_sym__Atomic] = ACTIONS(2919),
    [anon_sym__Noreturn] = ACTIONS(2919),
    [anon_sym_noreturn] = ACTIONS(2919),
    [anon_sym_mutable] = ACTIONS(2919),
    [anon_sym_constinit] = ACTIONS(2919),
    [anon_sym_consteval] = ACTIONS(2919),
    [anon_sym_alignas] = ACTIONS(2919),
    [anon_sym__Alignas] = ACTIONS(2919),
    [sym_primitive_type] = ACTIONS(2919),
    [anon_sym_enum] = ACTIONS(2919),
    [anon_sym_class] = ACTIONS(2919),
    [anon_sym_struct] = ACTIONS(2919),
    [anon_sym_union] = ACTIONS(2919),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_switch] = ACTIONS(2919),
    [anon_sym_case] = ACTIONS(2919),
    [anon_sym_default] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2919),
    [anon_sym_for] = ACTIONS(2919),
    [anon_sym_return] = ACTIONS(2919),
    [anon_sym_break] = ACTIONS(2919),
    [anon_sym_continue] = ACTIONS(2919),
    [anon_sym_goto] = ACTIONS(2919),
    [anon_sym___try] = ACTIONS(2919),
    [anon_sym___leave] = ACTIONS(2919),
    [anon_sym_not] = ACTIONS(2919),
    [anon_sym_compl] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2919),
    [anon_sym___alignof__] = ACTIONS(2919),
    [anon_sym___alignof] = ACTIONS(2919),
    [anon_sym__alignof] = ACTIONS(2919),
    [anon_sym_alignof] = ACTIONS(2919),
    [anon_sym__Alignof] = ACTIONS(2919),
    [anon_sym_offsetof] = ACTIONS(2919),
    [anon_sym__Generic] = ACTIONS(2919),
    [anon_sym_asm] = ACTIONS(2919),
    [anon_sym___asm__] = ACTIONS(2919),
    [sym_number_literal] = ACTIONS(2922),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2919),
    [sym_false] = ACTIONS(2919),
    [anon_sym_NULL] = ACTIONS(2919),
    [anon_sym_nullptr] = ACTIONS(2919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2919),
    [anon_sym_decltype] = ACTIONS(2919),
    [sym_virtual] = ACTIONS(2919),
    [anon_sym_explicit] = ACTIONS(2919),
    [anon_sym_typename] = ACTIONS(2919),
    [anon_sym_template] = ACTIONS(2919),
    [anon_sym_operator] = ACTIONS(2919),
    [anon_sym_try] = ACTIONS(2919),
    [anon_sym_delete] = ACTIONS(2919),
    [anon_sym_throw] = ACTIONS(2919),
    [anon_sym_namespace] = ACTIONS(2919),
    [anon_sym_using] = ACTIONS(2919),
    [anon_sym_static_assert] = ACTIONS(2919),
    [anon_sym_concept] = ACTIONS(2919),
    [anon_sym_co_return] = ACTIONS(2919),
    [anon_sym_co_yield] = ACTIONS(2919),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2919),
    [anon_sym_new] = ACTIONS(2919),
    [anon_sym_requires] = ACTIONS(2919),
    [sym_this] = ACTIONS(2919),
  },
  [326] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [aux_sym_preproc_else_token1] = ACTIONS(2925),
    [aux_sym_preproc_elif_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [sym_virtual] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [327] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [sym_virtual] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [328] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4048),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6582),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6721),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [329] = {
    [sym_identifier] = ACTIONS(2935),
    [aux_sym_preproc_include_token1] = ACTIONS(2935),
    [aux_sym_preproc_def_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token2] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2935),
    [aux_sym_preproc_else_token1] = ACTIONS(2935),
    [aux_sym_preproc_elif_token1] = ACTIONS(2935),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2935),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2935),
    [sym_preproc_directive] = ACTIONS(2935),
    [anon_sym_LPAREN2] = ACTIONS(2937),
    [anon_sym_BANG] = ACTIONS(2937),
    [anon_sym_TILDE] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2935),
    [anon_sym_typedef] = ACTIONS(2935),
    [anon_sym_extern] = ACTIONS(2935),
    [anon_sym___attribute__] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2937),
    [anon_sym___declspec] = ACTIONS(2935),
    [anon_sym___based] = ACTIONS(2935),
    [anon_sym___cdecl] = ACTIONS(2935),
    [anon_sym___clrcall] = ACTIONS(2935),
    [anon_sym___stdcall] = ACTIONS(2935),
    [anon_sym___fastcall] = ACTIONS(2935),
    [anon_sym___thiscall] = ACTIONS(2935),
    [anon_sym___vectorcall] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2935),
    [anon_sym_unsigned] = ACTIONS(2935),
    [anon_sym_long] = ACTIONS(2935),
    [anon_sym_short] = ACTIONS(2935),
    [anon_sym_LBRACK] = ACTIONS(2935),
    [anon_sym_static] = ACTIONS(2935),
    [anon_sym_register] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym___inline] = ACTIONS(2935),
    [anon_sym___inline__] = ACTIONS(2935),
    [anon_sym___forceinline] = ACTIONS(2935),
    [anon_sym_thread_local] = ACTIONS(2935),
    [anon_sym___thread] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_constexpr] = ACTIONS(2935),
    [anon_sym_volatile] = ACTIONS(2935),
    [anon_sym_restrict] = ACTIONS(2935),
    [anon_sym___restrict__] = ACTIONS(2935),
    [anon_sym__Atomic] = ACTIONS(2935),
    [anon_sym__Noreturn] = ACTIONS(2935),
    [anon_sym_noreturn] = ACTIONS(2935),
    [anon_sym_mutable] = ACTIONS(2935),
    [anon_sym_constinit] = ACTIONS(2935),
    [anon_sym_consteval] = ACTIONS(2935),
    [anon_sym_alignas] = ACTIONS(2935),
    [anon_sym__Alignas] = ACTIONS(2935),
    [sym_primitive_type] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_struct] = ACTIONS(2935),
    [anon_sym_union] = ACTIONS(2935),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_do] = ACTIONS(2935),
    [anon_sym_for] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_break] = ACTIONS(2935),
    [anon_sym_continue] = ACTIONS(2935),
    [anon_sym_goto] = ACTIONS(2935),
    [anon_sym___try] = ACTIONS(2935),
    [anon_sym___leave] = ACTIONS(2935),
    [anon_sym_not] = ACTIONS(2935),
    [anon_sym_compl] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_sizeof] = ACTIONS(2935),
    [anon_sym___alignof__] = ACTIONS(2935),
    [anon_sym___alignof] = ACTIONS(2935),
    [anon_sym__alignof] = ACTIONS(2935),
    [anon_sym_alignof] = ACTIONS(2935),
    [anon_sym__Alignof] = ACTIONS(2935),
    [anon_sym_offsetof] = ACTIONS(2935),
    [anon_sym__Generic] = ACTIONS(2935),
    [anon_sym_asm] = ACTIONS(2935),
    [anon_sym___asm__] = ACTIONS(2935),
    [sym_number_literal] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2937),
    [anon_sym_u_SQUOTE] = ACTIONS(2937),
    [anon_sym_U_SQUOTE] = ACTIONS(2937),
    [anon_sym_u8_SQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [anon_sym_L_DQUOTE] = ACTIONS(2937),
    [anon_sym_u_DQUOTE] = ACTIONS(2937),
    [anon_sym_U_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8_DQUOTE] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [sym_true] = ACTIONS(2935),
    [sym_false] = ACTIONS(2935),
    [anon_sym_NULL] = ACTIONS(2935),
    [anon_sym_nullptr] = ACTIONS(2935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2935),
    [anon_sym_decltype] = ACTIONS(2935),
    [sym_virtual] = ACTIONS(2935),
    [anon_sym_explicit] = ACTIONS(2935),
    [anon_sym_typename] = ACTIONS(2935),
    [anon_sym_template] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_delete] = ACTIONS(2935),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_namespace] = ACTIONS(2935),
    [anon_sym_using] = ACTIONS(2935),
    [anon_sym_static_assert] = ACTIONS(2935),
    [anon_sym_concept] = ACTIONS(2935),
    [anon_sym_co_return] = ACTIONS(2935),
    [anon_sym_co_yield] = ACTIONS(2935),
    [anon_sym_R_DQUOTE] = ACTIONS(2937),
    [anon_sym_LR_DQUOTE] = ACTIONS(2937),
    [anon_sym_uR_DQUOTE] = ACTIONS(2937),
    [anon_sym_UR_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2937),
    [anon_sym_co_await] = ACTIONS(2935),
    [anon_sym_new] = ACTIONS(2935),
    [anon_sym_requires] = ACTIONS(2935),
    [sym_this] = ACTIONS(2935),
  },
  [330] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4148),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6639),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6844),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2939),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [331] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [sym_virtual] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [332] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [aux_sym_preproc_else_token1] = ACTIONS(2945),
    [aux_sym_preproc_elif_token1] = ACTIONS(2945),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [sym_virtual] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [333] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4040),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6412),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6935),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [334] = {
    [sym_catch_clause] = STATE(294),
    [aux_sym_constructor_try_statement_repeat1] = STATE(294),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_include_token1] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym___cdecl] = ACTIONS(2407),
    [anon_sym___clrcall] = ACTIONS(2407),
    [anon_sym___stdcall] = ACTIONS(2407),
    [anon_sym___fastcall] = ACTIONS(2407),
    [anon_sym___thiscall] = ACTIONS(2407),
    [anon_sym___vectorcall] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_RBRACE] = ACTIONS(2409),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(2407),
    [anon_sym_switch] = ACTIONS(2407),
    [anon_sym_case] = ACTIONS(2407),
    [anon_sym_default] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2407),
    [anon_sym_for] = ACTIONS(2407),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2407),
    [anon_sym_goto] = ACTIONS(2407),
    [anon_sym___try] = ACTIONS(2407),
    [anon_sym___leave] = ACTIONS(2407),
    [anon_sym_not] = ACTIONS(2407),
    [anon_sym_compl] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2409),
    [anon_sym_sizeof] = ACTIONS(2407),
    [anon_sym___alignof__] = ACTIONS(2407),
    [anon_sym___alignof] = ACTIONS(2407),
    [anon_sym__alignof] = ACTIONS(2407),
    [anon_sym_alignof] = ACTIONS(2407),
    [anon_sym__Alignof] = ACTIONS(2407),
    [anon_sym_offsetof] = ACTIONS(2407),
    [anon_sym__Generic] = ACTIONS(2407),
    [anon_sym_asm] = ACTIONS(2407),
    [anon_sym___asm__] = ACTIONS(2407),
    [sym_number_literal] = ACTIONS(2409),
    [anon_sym_L_SQUOTE] = ACTIONS(2409),
    [anon_sym_u_SQUOTE] = ACTIONS(2409),
    [anon_sym_U_SQUOTE] = ACTIONS(2409),
    [anon_sym_u8_SQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_L_DQUOTE] = ACTIONS(2409),
    [anon_sym_u_DQUOTE] = ACTIONS(2409),
    [anon_sym_U_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8_DQUOTE] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2407),
    [anon_sym_nullptr] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_try] = ACTIONS(2407),
    [anon_sym_delete] = ACTIONS(2407),
    [anon_sym_throw] = ACTIONS(2407),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_concept] = ACTIONS(2407),
    [anon_sym_co_return] = ACTIONS(2407),
    [anon_sym_co_yield] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2409),
    [anon_sym_LR_DQUOTE] = ACTIONS(2409),
    [anon_sym_uR_DQUOTE] = ACTIONS(2409),
    [anon_sym_UR_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2409),
    [anon_sym_co_await] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_requires] = ACTIONS(2407),
    [sym_this] = ACTIONS(2407),
  },
  [335] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [aux_sym_preproc_else_token1] = ACTIONS(2953),
    [aux_sym_preproc_elif_token1] = ACTIONS(2953),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [sym_virtual] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [336] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4059),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6637),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(7016),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [337] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [aux_sym_preproc_else_token1] = ACTIONS(2959),
    [aux_sym_preproc_elif_token1] = ACTIONS(2959),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym__Alignas] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [sym_virtual] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [338] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4075),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6392),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6658),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [339] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4083),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6517),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6675),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [340] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4098),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6529),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6698),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [341] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4106),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6624),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6709),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [342] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4110),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6518),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6716),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2971),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [343] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4112),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6480),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6725),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [344] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4116),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6532),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6738),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2975),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [345] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4120),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6617),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6747),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [346] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4122),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6409),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6756),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2979),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [347] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4127),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6437),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(6766),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [348] = {
    [sym_identifier] = ACTIONS(2983),
    [aux_sym_preproc_include_token1] = ACTIONS(2983),
    [aux_sym_preproc_def_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token2] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2983),
    [aux_sym_preproc_else_token1] = ACTIONS(2983),
    [aux_sym_preproc_elif_token1] = ACTIONS(2983),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2983),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2983),
    [sym_preproc_directive] = ACTIONS(2983),
    [anon_sym_LPAREN2] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym___extension__] = ACTIONS(2983),
    [anon_sym_typedef] = ACTIONS(2983),
    [anon_sym_extern] = ACTIONS(2983),
    [anon_sym___attribute__] = ACTIONS(2983),
    [anon_sym_COLON_COLON] = ACTIONS(2985),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2985),
    [anon_sym___declspec] = ACTIONS(2983),
    [anon_sym___based] = ACTIONS(2983),
    [anon_sym___cdecl] = ACTIONS(2983),
    [anon_sym___clrcall] = ACTIONS(2983),
    [anon_sym___stdcall] = ACTIONS(2983),
    [anon_sym___fastcall] = ACTIONS(2983),
    [anon_sym___thiscall] = ACTIONS(2983),
    [anon_sym___vectorcall] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2985),
    [anon_sym_signed] = ACTIONS(2983),
    [anon_sym_unsigned] = ACTIONS(2983),
    [anon_sym_long] = ACTIONS(2983),
    [anon_sym_short] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_register] = ACTIONS(2983),
    [anon_sym_inline] = ACTIONS(2983),
    [anon_sym___inline] = ACTIONS(2983),
    [anon_sym___inline__] = ACTIONS(2983),
    [anon_sym___forceinline] = ACTIONS(2983),
    [anon_sym_thread_local] = ACTIONS(2983),
    [anon_sym___thread] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_constexpr] = ACTIONS(2983),
    [anon_sym_volatile] = ACTIONS(2983),
    [anon_sym_restrict] = ACTIONS(2983),
    [anon_sym___restrict__] = ACTIONS(2983),
    [anon_sym__Atomic] = ACTIONS(2983),
    [anon_sym__Noreturn] = ACTIONS(2983),
    [anon_sym_noreturn] = ACTIONS(2983),
    [anon_sym_mutable] = ACTIONS(2983),
    [anon_sym_constinit] = ACTIONS(2983),
    [anon_sym_consteval] = ACTIONS(2983),
    [anon_sym_alignas] = ACTIONS(2983),
    [anon_sym__Alignas] = ACTIONS(2983),
    [sym_primitive_type] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_union] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_default] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_goto] = ACTIONS(2983),
    [anon_sym___try] = ACTIONS(2983),
    [anon_sym___leave] = ACTIONS(2983),
    [anon_sym_not] = ACTIONS(2983),
    [anon_sym_compl] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_sizeof] = ACTIONS(2983),
    [anon_sym___alignof__] = ACTIONS(2983),
    [anon_sym___alignof] = ACTIONS(2983),
    [anon_sym__alignof] = ACTIONS(2983),
    [anon_sym_alignof] = ACTIONS(2983),
    [anon_sym__Alignof] = ACTIONS(2983),
    [anon_sym_offsetof] = ACTIONS(2983),
    [anon_sym__Generic] = ACTIONS(2983),
    [anon_sym_asm] = ACTIONS(2983),
    [anon_sym___asm__] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2985),
    [anon_sym_L_SQUOTE] = ACTIONS(2985),
    [anon_sym_u_SQUOTE] = ACTIONS(2985),
    [anon_sym_U_SQUOTE] = ACTIONS(2985),
    [anon_sym_u8_SQUOTE] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2985),
    [anon_sym_L_DQUOTE] = ACTIONS(2985),
    [anon_sym_u_DQUOTE] = ACTIONS(2985),
    [anon_sym_U_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8_DQUOTE] = ACTIONS(2985),
    [anon_sym_DQUOTE] = ACTIONS(2985),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [anon_sym_NULL] = ACTIONS(2983),
    [anon_sym_nullptr] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2983),
    [anon_sym_decltype] = ACTIONS(2983),
    [sym_virtual] = ACTIONS(2983),
    [anon_sym_explicit] = ACTIONS(2983),
    [anon_sym_typename] = ACTIONS(2983),
    [anon_sym_template] = ACTIONS(2983),
    [anon_sym_operator] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_namespace] = ACTIONS(2983),
    [anon_sym_using] = ACTIONS(2983),
    [anon_sym_static_assert] = ACTIONS(2983),
    [anon_sym_concept] = ACTIONS(2983),
    [anon_sym_co_return] = ACTIONS(2983),
    [anon_sym_co_yield] = ACTIONS(2983),
    [anon_sym_R_DQUOTE] = ACTIONS(2985),
    [anon_sym_LR_DQUOTE] = ACTIONS(2985),
    [anon_sym_uR_DQUOTE] = ACTIONS(2985),
    [anon_sym_UR_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2985),
    [anon_sym_co_await] = ACTIONS(2983),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_requires] = ACTIONS(2983),
    [sym_this] = ACTIONS(2983),
  },
  [349] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [aux_sym_preproc_else_token1] = ACTIONS(2987),
    [aux_sym_preproc_elif_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [350] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [aux_sym_preproc_else_token1] = ACTIONS(2991),
    [aux_sym_preproc_elif_token1] = ACTIONS(2991),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [351] = {
    [sym_catch_clause] = STATE(318),
    [aux_sym_constructor_try_statement_repeat1] = STATE(318),
    [ts_builtin_sym_end] = ACTIONS(2409),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_include_token1] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym___cdecl] = ACTIONS(2407),
    [anon_sym___clrcall] = ACTIONS(2407),
    [anon_sym___stdcall] = ACTIONS(2407),
    [anon_sym___fastcall] = ACTIONS(2407),
    [anon_sym___thiscall] = ACTIONS(2407),
    [anon_sym___vectorcall] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(2407),
    [anon_sym_switch] = ACTIONS(2407),
    [anon_sym_case] = ACTIONS(2407),
    [anon_sym_default] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2407),
    [anon_sym_for] = ACTIONS(2407),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2407),
    [anon_sym_goto] = ACTIONS(2407),
    [anon_sym___try] = ACTIONS(2407),
    [anon_sym___leave] = ACTIONS(2407),
    [anon_sym_not] = ACTIONS(2407),
    [anon_sym_compl] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2409),
    [anon_sym_sizeof] = ACTIONS(2407),
    [anon_sym___alignof__] = ACTIONS(2407),
    [anon_sym___alignof] = ACTIONS(2407),
    [anon_sym__alignof] = ACTIONS(2407),
    [anon_sym_alignof] = ACTIONS(2407),
    [anon_sym__Alignof] = ACTIONS(2407),
    [anon_sym_offsetof] = ACTIONS(2407),
    [anon_sym__Generic] = ACTIONS(2407),
    [anon_sym_asm] = ACTIONS(2407),
    [anon_sym___asm__] = ACTIONS(2407),
    [sym_number_literal] = ACTIONS(2409),
    [anon_sym_L_SQUOTE] = ACTIONS(2409),
    [anon_sym_u_SQUOTE] = ACTIONS(2409),
    [anon_sym_U_SQUOTE] = ACTIONS(2409),
    [anon_sym_u8_SQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_L_DQUOTE] = ACTIONS(2409),
    [anon_sym_u_DQUOTE] = ACTIONS(2409),
    [anon_sym_U_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8_DQUOTE] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2407),
    [anon_sym_nullptr] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_try] = ACTIONS(2407),
    [anon_sym_delete] = ACTIONS(2407),
    [anon_sym_throw] = ACTIONS(2407),
    [anon_sym_namespace] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_concept] = ACTIONS(2407),
    [anon_sym_co_return] = ACTIONS(2407),
    [anon_sym_co_yield] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2409),
    [anon_sym_LR_DQUOTE] = ACTIONS(2409),
    [anon_sym_uR_DQUOTE] = ACTIONS(2409),
    [anon_sym_UR_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2409),
    [anon_sym_co_await] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_requires] = ACTIONS(2407),
    [sym_this] = ACTIONS(2407),
  },
  [352] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [aux_sym_preproc_else_token1] = ACTIONS(2997),
    [aux_sym_preproc_elif_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [sym_virtual] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [353] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3001),
    [aux_sym_preproc_elif_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [354] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [355] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [356] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [sym_virtual] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [357] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [aux_sym_preproc_else_token1] = ACTIONS(3013),
    [aux_sym_preproc_elif_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [sym_virtual] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [358] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [aux_sym_preproc_else_token1] = ACTIONS(2824),
    [aux_sym_preproc_elif_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym___leave] = ACTIONS(2824),
    [anon_sym_not] = ACTIONS(2824),
    [anon_sym_compl] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
    [anon_sym_concept] = ACTIONS(2824),
    [anon_sym_co_return] = ACTIONS(2824),
    [anon_sym_co_yield] = ACTIONS(2824),
    [anon_sym_R_DQUOTE] = ACTIONS(2826),
    [anon_sym_LR_DQUOTE] = ACTIONS(2826),
    [anon_sym_uR_DQUOTE] = ACTIONS(2826),
    [anon_sym_UR_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2826),
    [anon_sym_co_await] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_requires] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
  },
  [359] = {
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [aux_sym_preproc_else_token1] = ACTIONS(3017),
    [aux_sym_preproc_elif_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_BANG] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym___cdecl] = ACTIONS(3017),
    [anon_sym___clrcall] = ACTIONS(3017),
    [anon_sym___stdcall] = ACTIONS(3017),
    [anon_sym___fastcall] = ACTIONS(3017),
    [anon_sym___thiscall] = ACTIONS(3017),
    [anon_sym___vectorcall] = ACTIONS(3017),
    [anon_sym_LBRACE] = ACTIONS(3019),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [anon_sym_if] = ACTIONS(3017),
    [anon_sym_switch] = ACTIONS(3017),
    [anon_sym_case] = ACTIONS(3017),
    [anon_sym_default] = ACTIONS(3017),
    [anon_sym_while] = ACTIONS(3017),
    [anon_sym_do] = ACTIONS(3017),
    [anon_sym_for] = ACTIONS(3017),
    [anon_sym_return] = ACTIONS(3017),
    [anon_sym_break] = ACTIONS(3017),
    [anon_sym_continue] = ACTIONS(3017),
    [anon_sym_goto] = ACTIONS(3017),
    [anon_sym___try] = ACTIONS(3017),
    [anon_sym___leave] = ACTIONS(3017),
    [anon_sym_not] = ACTIONS(3017),
    [anon_sym_compl] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3019),
    [anon_sym_sizeof] = ACTIONS(3017),
    [anon_sym___alignof__] = ACTIONS(3017),
    [anon_sym___alignof] = ACTIONS(3017),
    [anon_sym__alignof] = ACTIONS(3017),
    [anon_sym_alignof] = ACTIONS(3017),
    [anon_sym__Alignof] = ACTIONS(3017),
    [anon_sym_offsetof] = ACTIONS(3017),
    [anon_sym__Generic] = ACTIONS(3017),
    [anon_sym_asm] = ACTIONS(3017),
    [anon_sym___asm__] = ACTIONS(3017),
    [sym_number_literal] = ACTIONS(3019),
    [anon_sym_L_SQUOTE] = ACTIONS(3019),
    [anon_sym_u_SQUOTE] = ACTIONS(3019),
    [anon_sym_U_SQUOTE] = ACTIONS(3019),
    [anon_sym_u8_SQUOTE] = ACTIONS(3019),
    [anon_sym_SQUOTE] = ACTIONS(3019),
    [anon_sym_L_DQUOTE] = ACTIONS(3019),
    [anon_sym_u_DQUOTE] = ACTIONS(3019),
    [anon_sym_U_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8_DQUOTE] = ACTIONS(3019),
    [anon_sym_DQUOTE] = ACTIONS(3019),
    [sym_true] = ACTIONS(3017),
    [sym_false] = ACTIONS(3017),
    [anon_sym_NULL] = ACTIONS(3017),
    [anon_sym_nullptr] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [sym_virtual] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_try] = ACTIONS(3017),
    [anon_sym_delete] = ACTIONS(3017),
    [anon_sym_throw] = ACTIONS(3017),
    [anon_sym_namespace] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
    [anon_sym_concept] = ACTIONS(3017),
    [anon_sym_co_return] = ACTIONS(3017),
    [anon_sym_co_yield] = ACTIONS(3017),
    [anon_sym_R_DQUOTE] = ACTIONS(3019),
    [anon_sym_LR_DQUOTE] = ACTIONS(3019),
    [anon_sym_uR_DQUOTE] = ACTIONS(3019),
    [anon_sym_UR_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3019),
    [anon_sym_co_await] = ACTIONS(3017),
    [anon_sym_new] = ACTIONS(3017),
    [anon_sym_requires] = ACTIONS(3017),
    [sym_this] = ACTIONS(3017),
  },
  [360] = {
    [sym_catch_clause] = STATE(294),
    [aux_sym_constructor_try_statement_repeat1] = STATE(294),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_RBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym___leave] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
  },
  [361] = {
    [sym_expression] = STATE(4279),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7826),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3021),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(3026),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(3029),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(3032),
    [sym_virtual] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(3035),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [362] = {
    [sym_expression] = STATE(4250),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7695),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3038),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(3046),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(3049),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(3052),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [363] = {
    [sym_expression] = STATE(4255),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7884),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3065),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [sym_primitive_type] = ACTIONS(3067),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3070),
    [sym_virtual] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [364] = {
    [sym_type_qualifier] = STATE(3720),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4517),
    [sym_sized_type_specifier] = STATE(2638),
    [sym_enum_specifier] = STATE(2638),
    [sym_struct_specifier] = STATE(2638),
    [sym_union_specifier] = STATE(2638),
    [sym_expression] = STATE(4248),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_type_descriptor] = STATE(6692),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_placeholder_type_specifier] = STATE(2638),
    [sym_decltype_auto] = STATE(2631),
    [sym_decltype] = STATE(2539),
    [sym_class_specifier] = STATE(2638),
    [sym__class_name] = STATE(7371),
    [sym_dependent_type] = STATE(2638),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_type_parameter_pack_expansion] = STATE(7194),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5272),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3463),
    [aux_sym__type_definition_type_repeat1] = STATE(3720),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2070),
    [sym_identifier] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2854),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2878),
    [anon_sym_decltype] = ACTIONS(2880),
    [anon_sym_typename] = ACTIONS(2882),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [365] = {
    [sym_catch_clause] = STATE(310),
    [aux_sym_constructor_try_statement_repeat1] = STATE(310),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym___leave] = ACTIONS(2474),
    [anon_sym_not] = ACTIONS(2474),
    [anon_sym_compl] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_concept] = ACTIONS(2474),
    [anon_sym_co_return] = ACTIONS(2474),
    [anon_sym_co_yield] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(2791),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_requires] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
  },
  [366] = {
    [sym_preproc_def] = STATE(372),
    [sym_preproc_function_def] = STATE(372),
    [sym_preproc_call] = STATE(372),
    [sym_preproc_if_in_field_declaration_list] = STATE(372),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(372),
    [sym_preproc_else_in_field_declaration_list] = STATE(8184),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8184),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8184),
    [sym_type_definition] = STATE(372),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(372),
    [sym_field_declaration] = STATE(372),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(372),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(372),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(372),
    [sym_operator_cast_declaration] = STATE(372),
    [sym_constructor_or_destructor_definition] = STATE(372),
    [sym_constructor_or_destructor_declaration] = STATE(372),
    [sym_friend_declaration] = STATE(372),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(372),
    [sym_alias_declaration] = STATE(372),
    [sym_static_assert_declaration] = STATE(372),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(372),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3082),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [367] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(7823),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7823),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7823),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [368] = {
    [sym_preproc_def] = STATE(370),
    [sym_preproc_function_def] = STATE(370),
    [sym_preproc_call] = STATE(370),
    [sym_preproc_if_in_field_declaration_list] = STATE(370),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(370),
    [sym_preproc_else_in_field_declaration_list] = STATE(7535),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7535),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7535),
    [sym_type_definition] = STATE(370),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(370),
    [sym_field_declaration] = STATE(370),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(370),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(370),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(370),
    [sym_operator_cast_declaration] = STATE(370),
    [sym_constructor_or_destructor_definition] = STATE(370),
    [sym_constructor_or_destructor_declaration] = STATE(370),
    [sym_friend_declaration] = STATE(370),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(370),
    [sym_alias_declaration] = STATE(370),
    [sym_static_assert_declaration] = STATE(370),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(370),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [369] = {
    [sym_preproc_def] = STATE(371),
    [sym_preproc_function_def] = STATE(371),
    [sym_preproc_call] = STATE(371),
    [sym_preproc_if_in_field_declaration_list] = STATE(371),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(371),
    [sym_preproc_else_in_field_declaration_list] = STATE(7764),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7764),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7764),
    [sym_type_definition] = STATE(371),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(371),
    [sym_field_declaration] = STATE(371),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(371),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(371),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(371),
    [sym_operator_cast_declaration] = STATE(371),
    [sym_constructor_or_destructor_definition] = STATE(371),
    [sym_constructor_or_destructor_declaration] = STATE(371),
    [sym_friend_declaration] = STATE(371),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(371),
    [sym_alias_declaration] = STATE(371),
    [sym_static_assert_declaration] = STATE(371),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(371),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [370] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(7769),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7769),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7769),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [371] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(7907),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7907),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7907),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [372] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(8091),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8091),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8091),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [373] = {
    [sym_preproc_def] = STATE(375),
    [sym_preproc_function_def] = STATE(375),
    [sym_preproc_call] = STATE(375),
    [sym_preproc_if_in_field_declaration_list] = STATE(375),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(375),
    [sym_preproc_else_in_field_declaration_list] = STATE(8155),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8155),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8155),
    [sym_type_definition] = STATE(375),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(375),
    [sym_field_declaration] = STATE(375),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(375),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(375),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(375),
    [sym_operator_cast_declaration] = STATE(375),
    [sym_constructor_or_destructor_definition] = STATE(375),
    [sym_constructor_or_destructor_declaration] = STATE(375),
    [sym_friend_declaration] = STATE(375),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(375),
    [sym_alias_declaration] = STATE(375),
    [sym_static_assert_declaration] = STATE(375),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(375),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [374] = {
    [sym_preproc_def] = STATE(376),
    [sym_preproc_function_def] = STATE(376),
    [sym_preproc_call] = STATE(376),
    [sym_preproc_if_in_field_declaration_list] = STATE(376),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(376),
    [sym_preproc_else_in_field_declaration_list] = STATE(7660),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7660),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7660),
    [sym_type_definition] = STATE(376),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(376),
    [sym_field_declaration] = STATE(376),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(376),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(376),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(376),
    [sym_operator_cast_declaration] = STATE(376),
    [sym_constructor_or_destructor_definition] = STATE(376),
    [sym_constructor_or_destructor_declaration] = STATE(376),
    [sym_friend_declaration] = STATE(376),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(376),
    [sym_alias_declaration] = STATE(376),
    [sym_static_assert_declaration] = STATE(376),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(376),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [375] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(7679),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7679),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7679),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [376] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(7805),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7805),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7805),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [377] = {
    [sym_catch_clause] = STATE(310),
    [aux_sym_constructor_try_statement_repeat1] = STATE(310),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym___leave] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(2791),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
  },
  [378] = {
    [sym_catch_clause] = STATE(294),
    [aux_sym_constructor_try_statement_repeat1] = STATE(294),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_RBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym___leave] = ACTIONS(2474),
    [anon_sym_not] = ACTIONS(2474),
    [anon_sym_compl] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_concept] = ACTIONS(2474),
    [anon_sym_co_return] = ACTIONS(2474),
    [anon_sym_co_yield] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_requires] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
  },
  [379] = {
    [sym_preproc_def] = STATE(367),
    [sym_preproc_function_def] = STATE(367),
    [sym_preproc_call] = STATE(367),
    [sym_preproc_if_in_field_declaration_list] = STATE(367),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(367),
    [sym_preproc_else_in_field_declaration_list] = STATE(7973),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7973),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7973),
    [sym_type_definition] = STATE(367),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(367),
    [sym_field_declaration] = STATE(367),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(367),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(367),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(367),
    [sym_operator_cast_declaration] = STATE(367),
    [sym_constructor_or_destructor_definition] = STATE(367),
    [sym_constructor_or_destructor_declaration] = STATE(367),
    [sym_friend_declaration] = STATE(367),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(367),
    [sym_alias_declaration] = STATE(367),
    [sym_static_assert_declaration] = STATE(367),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(367),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [380] = {
    [sym_preproc_def] = STATE(382),
    [sym_preproc_function_def] = STATE(382),
    [sym_preproc_call] = STATE(382),
    [sym_preproc_if_in_field_declaration_list] = STATE(382),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(382),
    [sym_preproc_else_in_field_declaration_list] = STATE(7672),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7672),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7672),
    [sym_type_definition] = STATE(382),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(382),
    [sym_field_declaration] = STATE(382),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(382),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(382),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(382),
    [sym_operator_cast_declaration] = STATE(382),
    [sym_constructor_or_destructor_definition] = STATE(382),
    [sym_constructor_or_destructor_declaration] = STATE(382),
    [sym_friend_declaration] = STATE(382),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(382),
    [sym_alias_declaration] = STATE(382),
    [sym_static_assert_declaration] = STATE(382),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(382),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [381] = {
    [sym_preproc_def] = STATE(384),
    [sym_preproc_function_def] = STATE(384),
    [sym_preproc_call] = STATE(384),
    [sym_preproc_if_in_field_declaration_list] = STATE(384),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(384),
    [sym_preproc_else_in_field_declaration_list] = STATE(7780),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7780),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7780),
    [sym_type_definition] = STATE(384),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(384),
    [sym_field_declaration] = STATE(384),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(384),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(384),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(384),
    [sym_operator_cast_declaration] = STATE(384),
    [sym_constructor_or_destructor_definition] = STATE(384),
    [sym_constructor_or_destructor_declaration] = STATE(384),
    [sym_friend_declaration] = STATE(384),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(384),
    [sym_alias_declaration] = STATE(384),
    [sym_static_assert_declaration] = STATE(384),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(384),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [382] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(7801),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7801),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7801),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [383] = {
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(2839),
    [sym__declarator] = STATE(6012),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(5906),
    [sym_type_qualifier] = STATE(3786),
    [sym_alignas_qualifier] = STATE(4447),
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3021),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5284),
    [sym_qualified_identifier] = STATE(3023),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(2313),
    [aux_sym__type_definition_type_repeat1] = STATE(3786),
    [aux_sym_pointer_declarator_repeat1] = STATE(2839),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3168),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3168),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3168),
    [anon_sym__unaligned] = ACTIONS(3170),
    [anon_sym___unaligned] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym__Alignas] = ACTIONS(3172),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [384] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(7830),
    [sym_preproc_elif_in_field_declaration_list] = STATE(7830),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(7830),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3078),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3086),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3090),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [385] = {
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(2839),
    [sym__declarator] = STATE(6012),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(5906),
    [sym_type_qualifier] = STATE(3786),
    [sym_alignas_qualifier] = STATE(4447),
    [sym_expression] = STATE(2918),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3083),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5254),
    [sym_qualified_identifier] = STATE(2998),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3333),
    [aux_sym__type_definition_type_repeat1] = STATE(3786),
    [aux_sym_pointer_declarator_repeat1] = STATE(2839),
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3168),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3168),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3168),
    [anon_sym__unaligned] = ACTIONS(3170),
    [anon_sym___unaligned] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym__Alignas] = ACTIONS(3172),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [386] = {
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_include_token1] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym_SEMI] = ACTIONS(1880),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym___cdecl] = ACTIONS(1882),
    [anon_sym___clrcall] = ACTIONS(1882),
    [anon_sym___stdcall] = ACTIONS(1882),
    [anon_sym___fastcall] = ACTIONS(1882),
    [anon_sym___thiscall] = ACTIONS(1882),
    [anon_sym___vectorcall] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_RBRACE] = ACTIONS(1880),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [anon_sym_if] = ACTIONS(1882),
    [anon_sym_else] = ACTIONS(1882),
    [anon_sym_switch] = ACTIONS(1882),
    [anon_sym_case] = ACTIONS(1882),
    [anon_sym_default] = ACTIONS(1882),
    [anon_sym_while] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_for] = ACTIONS(1882),
    [anon_sym_return] = ACTIONS(1882),
    [anon_sym_break] = ACTIONS(1882),
    [anon_sym_continue] = ACTIONS(1882),
    [anon_sym_goto] = ACTIONS(1882),
    [anon_sym___try] = ACTIONS(1882),
    [anon_sym___leave] = ACTIONS(1882),
    [anon_sym_not] = ACTIONS(1882),
    [anon_sym_compl] = ACTIONS(1882),
    [anon_sym_DASH_DASH] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(1880),
    [anon_sym_sizeof] = ACTIONS(1882),
    [anon_sym___alignof__] = ACTIONS(1882),
    [anon_sym___alignof] = ACTIONS(1882),
    [anon_sym__alignof] = ACTIONS(1882),
    [anon_sym_alignof] = ACTIONS(1882),
    [anon_sym__Alignof] = ACTIONS(1882),
    [anon_sym_offsetof] = ACTIONS(1882),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1882),
    [anon_sym___asm__] = ACTIONS(1882),
    [sym_number_literal] = ACTIONS(1880),
    [anon_sym_L_SQUOTE] = ACTIONS(1880),
    [anon_sym_u_SQUOTE] = ACTIONS(1880),
    [anon_sym_U_SQUOTE] = ACTIONS(1880),
    [anon_sym_u8_SQUOTE] = ACTIONS(1880),
    [anon_sym_SQUOTE] = ACTIONS(1880),
    [anon_sym_L_DQUOTE] = ACTIONS(1880),
    [anon_sym_u_DQUOTE] = ACTIONS(1880),
    [anon_sym_U_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8_DQUOTE] = ACTIONS(1880),
    [anon_sym_DQUOTE] = ACTIONS(1880),
    [sym_true] = ACTIONS(1882),
    [sym_false] = ACTIONS(1882),
    [anon_sym_NULL] = ACTIONS(1882),
    [anon_sym_nullptr] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_try] = ACTIONS(1882),
    [anon_sym_delete] = ACTIONS(1882),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_namespace] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_concept] = ACTIONS(1882),
    [anon_sym_co_return] = ACTIONS(1882),
    [anon_sym_co_yield] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
    [anon_sym_R_DQUOTE] = ACTIONS(1880),
    [anon_sym_LR_DQUOTE] = ACTIONS(1880),
    [anon_sym_uR_DQUOTE] = ACTIONS(1880),
    [anon_sym_UR_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1880),
    [anon_sym_co_await] = ACTIONS(1882),
    [anon_sym_new] = ACTIONS(1882),
    [anon_sym_requires] = ACTIONS(1882),
    [sym_this] = ACTIONS(1882),
  },
  [387] = {
    [ts_builtin_sym_end] = ACTIONS(2496),
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_include_token1] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym___cdecl] = ACTIONS(2494),
    [anon_sym___clrcall] = ACTIONS(2494),
    [anon_sym___stdcall] = ACTIONS(2494),
    [anon_sym___fastcall] = ACTIONS(2494),
    [anon_sym___thiscall] = ACTIONS(2494),
    [anon_sym___vectorcall] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_else] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_default] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_concept] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
  },
  [388] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(4334),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_type_descriptor] = STATE(7961),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5266),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [389] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_else] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [390] = {
    [sym_else_clause] = STATE(509),
    [sym_identifier] = ACTIONS(2498),
    [aux_sym_preproc_include_token1] = ACTIONS(2498),
    [aux_sym_preproc_def_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2498),
    [sym_preproc_directive] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym___based] = ACTIONS(2498),
    [anon_sym___cdecl] = ACTIONS(2498),
    [anon_sym___clrcall] = ACTIONS(2498),
    [anon_sym___stdcall] = ACTIONS(2498),
    [anon_sym___fastcall] = ACTIONS(2498),
    [anon_sym___thiscall] = ACTIONS(2498),
    [anon_sym___vectorcall] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_RBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_else] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [sym_virtual] = ACTIONS(2498),
    [anon_sym_explicit] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_operator] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_static_assert] = ACTIONS(2498),
    [anon_sym_concept] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
  },
  [391] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_else] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [392] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(4367),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_type_descriptor] = STATE(7719),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5266),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [393] = {
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_include_token1] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token2] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym_SEMI] = ACTIONS(1880),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym___cdecl] = ACTIONS(1882),
    [anon_sym___clrcall] = ACTIONS(1882),
    [anon_sym___stdcall] = ACTIONS(1882),
    [anon_sym___fastcall] = ACTIONS(1882),
    [anon_sym___thiscall] = ACTIONS(1882),
    [anon_sym___vectorcall] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [anon_sym_if] = ACTIONS(1882),
    [anon_sym_else] = ACTIONS(1882),
    [anon_sym_switch] = ACTIONS(1882),
    [anon_sym_case] = ACTIONS(1882),
    [anon_sym_default] = ACTIONS(1882),
    [anon_sym_while] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_for] = ACTIONS(1882),
    [anon_sym_return] = ACTIONS(1882),
    [anon_sym_break] = ACTIONS(1882),
    [anon_sym_continue] = ACTIONS(1882),
    [anon_sym_goto] = ACTIONS(1882),
    [anon_sym___try] = ACTIONS(1882),
    [anon_sym___leave] = ACTIONS(1882),
    [anon_sym_not] = ACTIONS(1882),
    [anon_sym_compl] = ACTIONS(1882),
    [anon_sym_DASH_DASH] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(1880),
    [anon_sym_sizeof] = ACTIONS(1882),
    [anon_sym___alignof__] = ACTIONS(1882),
    [anon_sym___alignof] = ACTIONS(1882),
    [anon_sym__alignof] = ACTIONS(1882),
    [anon_sym_alignof] = ACTIONS(1882),
    [anon_sym__Alignof] = ACTIONS(1882),
    [anon_sym_offsetof] = ACTIONS(1882),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1882),
    [anon_sym___asm__] = ACTIONS(1882),
    [sym_number_literal] = ACTIONS(1880),
    [anon_sym_L_SQUOTE] = ACTIONS(1880),
    [anon_sym_u_SQUOTE] = ACTIONS(1880),
    [anon_sym_U_SQUOTE] = ACTIONS(1880),
    [anon_sym_u8_SQUOTE] = ACTIONS(1880),
    [anon_sym_SQUOTE] = ACTIONS(1880),
    [anon_sym_L_DQUOTE] = ACTIONS(1880),
    [anon_sym_u_DQUOTE] = ACTIONS(1880),
    [anon_sym_U_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8_DQUOTE] = ACTIONS(1880),
    [anon_sym_DQUOTE] = ACTIONS(1880),
    [sym_true] = ACTIONS(1882),
    [sym_false] = ACTIONS(1882),
    [anon_sym_NULL] = ACTIONS(1882),
    [anon_sym_nullptr] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_try] = ACTIONS(1882),
    [anon_sym_delete] = ACTIONS(1882),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_namespace] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_concept] = ACTIONS(1882),
    [anon_sym_co_return] = ACTIONS(1882),
    [anon_sym_co_yield] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
    [anon_sym_R_DQUOTE] = ACTIONS(1880),
    [anon_sym_LR_DQUOTE] = ACTIONS(1880),
    [anon_sym_uR_DQUOTE] = ACTIONS(1880),
    [anon_sym_UR_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1880),
    [anon_sym_co_await] = ACTIONS(1882),
    [anon_sym_new] = ACTIONS(1882),
    [anon_sym_requires] = ACTIONS(1882),
    [sym_this] = ACTIONS(1882),
  },
  [394] = {
    [sym_else_clause] = STATE(415),
    [ts_builtin_sym_end] = ACTIONS(2500),
    [sym_identifier] = ACTIONS(2498),
    [aux_sym_preproc_include_token1] = ACTIONS(2498),
    [aux_sym_preproc_def_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2498),
    [sym_preproc_directive] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym___based] = ACTIONS(2498),
    [anon_sym___cdecl] = ACTIONS(2498),
    [anon_sym___clrcall] = ACTIONS(2498),
    [anon_sym___stdcall] = ACTIONS(2498),
    [anon_sym___fastcall] = ACTIONS(2498),
    [anon_sym___thiscall] = ACTIONS(2498),
    [anon_sym___vectorcall] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [sym_virtual] = ACTIONS(2498),
    [anon_sym_explicit] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_operator] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_static_assert] = ACTIONS(2498),
    [anon_sym_concept] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
  },
  [395] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_type_descriptor] = STATE(7796),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5266),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [396] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(4401),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_type_descriptor] = STATE(7851),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5266),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [397] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(4408),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_type_descriptor] = STATE(7603),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5266),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [398] = {
    [sym_else_clause] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(2490),
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym__Alignas] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [sym_virtual] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
  },
  [399] = {
    [sym_else_clause] = STATE(465),
    [sym_identifier] = ACTIONS(2498),
    [aux_sym_preproc_include_token1] = ACTIONS(2498),
    [aux_sym_preproc_def_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token1] = ACTIONS(2498),
    [aux_sym_preproc_if_token2] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2498),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2498),
    [sym_preproc_directive] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym___based] = ACTIONS(2498),
    [anon_sym___cdecl] = ACTIONS(2498),
    [anon_sym___clrcall] = ACTIONS(2498),
    [anon_sym___stdcall] = ACTIONS(2498),
    [anon_sym___fastcall] = ACTIONS(2498),
    [anon_sym___thiscall] = ACTIONS(2498),
    [anon_sym___vectorcall] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_else] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [sym_virtual] = ACTIONS(2498),
    [anon_sym_explicit] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_operator] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_static_assert] = ACTIONS(2498),
    [anon_sym_concept] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
  },
  [400] = {
    [sym_else_clause] = STATE(408),
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token2] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym__Alignas] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_else] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [sym_virtual] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
  },
  [401] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_include_token1] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym___cdecl] = ACTIONS(2494),
    [anon_sym___clrcall] = ACTIONS(2494),
    [anon_sym___stdcall] = ACTIONS(2494),
    [anon_sym___fastcall] = ACTIONS(2494),
    [anon_sym___thiscall] = ACTIONS(2494),
    [anon_sym___vectorcall] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_RBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_else] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_default] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_concept] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
  },
  [402] = {
    [sym_type_qualifier] = STATE(3747),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(4470),
    [sym_sized_type_specifier] = STATE(1762),
    [sym_enum_specifier] = STATE(1762),
    [sym_struct_specifier] = STATE(1762),
    [sym_union_specifier] = STATE(1762),
    [sym_expression] = STATE(4338),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_type_descriptor] = STATE(7625),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_placeholder_type_specifier] = STATE(1762),
    [sym_decltype_auto] = STATE(1761),
    [sym_decltype] = STATE(1627),
    [sym_class_specifier] = STATE(1762),
    [sym__class_name] = STATE(7182),
    [sym_dependent_type] = STATE(1762),
    [sym_template_type] = STATE(5003),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5266),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(5029),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym__type_definition_type_repeat1] = STATE(3747),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1764),
    [sym_identifier] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(1752),
    [anon_sym_unsigned] = ACTIONS(1752),
    [anon_sym_long] = ACTIONS(1752),
    [anon_sym_short] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(1758),
    [anon_sym_class] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1762),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1788),
    [anon_sym_decltype] = ACTIONS(1790),
    [anon_sym_typename] = ACTIONS(1792),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [403] = {
    [sym_else_clause] = STATE(492),
    [sym_identifier] = ACTIONS(2488),
    [aux_sym_preproc_include_token1] = ACTIONS(2488),
    [aux_sym_preproc_def_token1] = ACTIONS(2488),
    [aux_sym_preproc_if_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2488),
    [sym_preproc_directive] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym___based] = ACTIONS(2488),
    [anon_sym___cdecl] = ACTIONS(2488),
    [anon_sym___clrcall] = ACTIONS(2488),
    [anon_sym___stdcall] = ACTIONS(2488),
    [anon_sym___fastcall] = ACTIONS(2488),
    [anon_sym___thiscall] = ACTIONS(2488),
    [anon_sym___vectorcall] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_RBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym__Alignas] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_else] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_case] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [sym_virtual] = ACTIONS(2488),
    [anon_sym_explicit] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_operator] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_namespace] = ACTIONS(2488),
    [anon_sym_using] = ACTIONS(2488),
    [anon_sym_static_assert] = ACTIONS(2488),
    [anon_sym_concept] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
  },
  [404] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_include_token1] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token2] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym___cdecl] = ACTIONS(2494),
    [anon_sym___clrcall] = ACTIONS(2494),
    [anon_sym___stdcall] = ACTIONS(2494),
    [anon_sym___fastcall] = ACTIONS(2494),
    [anon_sym___thiscall] = ACTIONS(2494),
    [anon_sym___vectorcall] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_else] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_case] = ACTIONS(2494),
    [anon_sym_default] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_concept] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
  },
  [405] = {
    [sym_identifier] = ACTIONS(2506),
    [aux_sym_preproc_include_token1] = ACTIONS(2506),
    [aux_sym_preproc_def_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2506),
    [sym_preproc_directive] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2506),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_extern] = ACTIONS(2506),
    [anon_sym___attribute__] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2508),
    [anon_sym___declspec] = ACTIONS(2506),
    [anon_sym___based] = ACTIONS(2506),
    [anon_sym___cdecl] = ACTIONS(2506),
    [anon_sym___clrcall] = ACTIONS(2506),
    [anon_sym___stdcall] = ACTIONS(2506),
    [anon_sym___fastcall] = ACTIONS(2506),
    [anon_sym___thiscall] = ACTIONS(2506),
    [anon_sym___vectorcall] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2508),
    [anon_sym_RBRACE] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2506),
    [anon_sym_unsigned] = ACTIONS(2506),
    [anon_sym_long] = ACTIONS(2506),
    [anon_sym_short] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_register] = ACTIONS(2506),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym___inline] = ACTIONS(2506),
    [anon_sym___inline__] = ACTIONS(2506),
    [anon_sym___forceinline] = ACTIONS(2506),
    [anon_sym_thread_local] = ACTIONS(2506),
    [anon_sym___thread] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_constexpr] = ACTIONS(2506),
    [anon_sym_volatile] = ACTIONS(2506),
    [anon_sym_restrict] = ACTIONS(2506),
    [anon_sym___restrict__] = ACTIONS(2506),
    [anon_sym__Atomic] = ACTIONS(2506),
    [anon_sym__Noreturn] = ACTIONS(2506),
    [anon_sym_noreturn] = ACTIONS(2506),
    [anon_sym_mutable] = ACTIONS(2506),
    [anon_sym_constinit] = ACTIONS(2506),
    [anon_sym_consteval] = ACTIONS(2506),
    [anon_sym_alignas] = ACTIONS(2506),
    [anon_sym__Alignas] = ACTIONS(2506),
    [sym_primitive_type] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_struct] = ACTIONS(2506),
    [anon_sym_union] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_else] = ACTIONS(2506),
    [anon_sym_switch] = ACTIONS(2506),
    [anon_sym_case] = ACTIONS(2506),
    [anon_sym_default] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_do] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2506),
    [anon_sym_return] = ACTIONS(2506),
    [anon_sym_break] = ACTIONS(2506),
    [anon_sym_continue] = ACTIONS(2506),
    [anon_sym_goto] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2506),
    [anon_sym___leave] = ACTIONS(2506),
    [anon_sym_not] = ACTIONS(2506),
    [anon_sym_compl] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2508),
    [anon_sym_sizeof] = ACTIONS(2506),
    [anon_sym___alignof__] = ACTIONS(2506),
    [anon_sym___alignof] = ACTIONS(2506),
    [anon_sym__alignof] = ACTIONS(2506),
    [anon_sym_alignof] = ACTIONS(2506),
    [anon_sym__Alignof] = ACTIONS(2506),
    [anon_sym_offsetof] = ACTIONS(2506),
    [anon_sym__Generic] = ACTIONS(2506),
    [anon_sym_asm] = ACTIONS(2506),
    [anon_sym___asm__] = ACTIONS(2506),
    [sym_number_literal] = ACTIONS(2508),
    [anon_sym_L_SQUOTE] = ACTIONS(2508),
    [anon_sym_u_SQUOTE] = ACTIONS(2508),
    [anon_sym_U_SQUOTE] = ACTIONS(2508),
    [anon_sym_u8_SQUOTE] = ACTIONS(2508),
    [anon_sym_SQUOTE] = ACTIONS(2508),
    [anon_sym_L_DQUOTE] = ACTIONS(2508),
    [anon_sym_u_DQUOTE] = ACTIONS(2508),
    [anon_sym_U_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8_DQUOTE] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2508),
    [sym_true] = ACTIONS(2506),
    [sym_false] = ACTIONS(2506),
    [anon_sym_NULL] = ACTIONS(2506),
    [anon_sym_nullptr] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2506),
    [anon_sym_decltype] = ACTIONS(2506),
    [sym_virtual] = ACTIONS(2506),
    [anon_sym_explicit] = ACTIONS(2506),
    [anon_sym_typename] = ACTIONS(2506),
    [anon_sym_template] = ACTIONS(2506),
    [anon_sym_operator] = ACTIONS(2506),
    [anon_sym_try] = ACTIONS(2506),
    [anon_sym_delete] = ACTIONS(2506),
    [anon_sym_throw] = ACTIONS(2506),
    [anon_sym_namespace] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_static_assert] = ACTIONS(2506),
    [anon_sym_concept] = ACTIONS(2506),
    [anon_sym_co_return] = ACTIONS(2506),
    [anon_sym_co_yield] = ACTIONS(2506),
    [anon_sym_R_DQUOTE] = ACTIONS(2508),
    [anon_sym_LR_DQUOTE] = ACTIONS(2508),
    [anon_sym_uR_DQUOTE] = ACTIONS(2508),
    [anon_sym_UR_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2508),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2506),
    [anon_sym_requires] = ACTIONS(2506),
    [sym_this] = ACTIONS(2506),
  },
  [406] = {
    [ts_builtin_sym_end] = ACTIONS(2582),
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [407] = {
    [sym_identifier] = ACTIONS(2624),
    [aux_sym_preproc_include_token1] = ACTIONS(2624),
    [aux_sym_preproc_def_token1] = ACTIONS(2624),
    [aux_sym_preproc_if_token1] = ACTIONS(2624),
    [aux_sym_preproc_if_token2] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2624),
    [sym_preproc_directive] = ACTIONS(2624),
    [anon_sym_LPAREN2] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym___extension__] = ACTIONS(2624),
    [anon_sym_typedef] = ACTIONS(2624),
    [anon_sym_extern] = ACTIONS(2624),
    [anon_sym___attribute__] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2626),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2626),
    [anon_sym___declspec] = ACTIONS(2624),
    [anon_sym___based] = ACTIONS(2624),
    [anon_sym___cdecl] = ACTIONS(2624),
    [anon_sym___clrcall] = ACTIONS(2624),
    [anon_sym___stdcall] = ACTIONS(2624),
    [anon_sym___fastcall] = ACTIONS(2624),
    [anon_sym___thiscall] = ACTIONS(2624),
    [anon_sym___vectorcall] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_signed] = ACTIONS(2624),
    [anon_sym_unsigned] = ACTIONS(2624),
    [anon_sym_long] = ACTIONS(2624),
    [anon_sym_short] = ACTIONS(2624),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2624),
    [anon_sym_register] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym___inline] = ACTIONS(2624),
    [anon_sym___inline__] = ACTIONS(2624),
    [anon_sym___forceinline] = ACTIONS(2624),
    [anon_sym_thread_local] = ACTIONS(2624),
    [anon_sym___thread] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_constexpr] = ACTIONS(2624),
    [anon_sym_volatile] = ACTIONS(2624),
    [anon_sym_restrict] = ACTIONS(2624),
    [anon_sym___restrict__] = ACTIONS(2624),
    [anon_sym__Atomic] = ACTIONS(2624),
    [anon_sym__Noreturn] = ACTIONS(2624),
    [anon_sym_noreturn] = ACTIONS(2624),
    [anon_sym_mutable] = ACTIONS(2624),
    [anon_sym_constinit] = ACTIONS(2624),
    [anon_sym_consteval] = ACTIONS(2624),
    [anon_sym_alignas] = ACTIONS(2624),
    [anon_sym__Alignas] = ACTIONS(2624),
    [sym_primitive_type] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_class] = ACTIONS(2624),
    [anon_sym_struct] = ACTIONS(2624),
    [anon_sym_union] = ACTIONS(2624),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_case] = ACTIONS(2624),
    [anon_sym_default] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_do] = ACTIONS(2624),
    [anon_sym_for] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_break] = ACTIONS(2624),
    [anon_sym_continue] = ACTIONS(2624),
    [anon_sym_goto] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2624),
    [anon_sym___leave] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2624),
    [anon_sym_compl] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_sizeof] = ACTIONS(2624),
    [anon_sym___alignof__] = ACTIONS(2624),
    [anon_sym___alignof] = ACTIONS(2624),
    [anon_sym__alignof] = ACTIONS(2624),
    [anon_sym_alignof] = ACTIONS(2624),
    [anon_sym__Alignof] = ACTIONS(2624),
    [anon_sym_offsetof] = ACTIONS(2624),
    [anon_sym__Generic] = ACTIONS(2624),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2626),
    [anon_sym_u_SQUOTE] = ACTIONS(2626),
    [anon_sym_U_SQUOTE] = ACTIONS(2626),
    [anon_sym_u8_SQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2624),
    [sym_false] = ACTIONS(2624),
    [anon_sym_NULL] = ACTIONS(2624),
    [anon_sym_nullptr] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2624),
    [anon_sym_decltype] = ACTIONS(2624),
    [sym_virtual] = ACTIONS(2624),
    [anon_sym_explicit] = ACTIONS(2624),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_delete] = ACTIONS(2624),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_namespace] = ACTIONS(2624),
    [anon_sym_using] = ACTIONS(2624),
    [anon_sym_static_assert] = ACTIONS(2624),
    [anon_sym_concept] = ACTIONS(2624),
    [anon_sym_co_return] = ACTIONS(2624),
    [anon_sym_co_yield] = ACTIONS(2624),
    [anon_sym_R_DQUOTE] = ACTIONS(2626),
    [anon_sym_LR_DQUOTE] = ACTIONS(2626),
    [anon_sym_uR_DQUOTE] = ACTIONS(2626),
    [anon_sym_UR_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2626),
    [anon_sym_co_await] = ACTIONS(2624),
    [anon_sym_new] = ACTIONS(2624),
    [anon_sym_requires] = ACTIONS(2624),
    [sym_this] = ACTIONS(2624),
  },
  [408] = {
    [sym_identifier] = ACTIONS(2628),
    [aux_sym_preproc_include_token1] = ACTIONS(2628),
    [aux_sym_preproc_def_token1] = ACTIONS(2628),
    [aux_sym_preproc_if_token1] = ACTIONS(2628),
    [aux_sym_preproc_if_token2] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2628),
    [sym_preproc_directive] = ACTIONS(2628),
    [anon_sym_LPAREN2] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym___extension__] = ACTIONS(2628),
    [anon_sym_typedef] = ACTIONS(2628),
    [anon_sym_extern] = ACTIONS(2628),
    [anon_sym___attribute__] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2630),
    [anon_sym___declspec] = ACTIONS(2628),
    [anon_sym___based] = ACTIONS(2628),
    [anon_sym___cdecl] = ACTIONS(2628),
    [anon_sym___clrcall] = ACTIONS(2628),
    [anon_sym___stdcall] = ACTIONS(2628),
    [anon_sym___fastcall] = ACTIONS(2628),
    [anon_sym___thiscall] = ACTIONS(2628),
    [anon_sym___vectorcall] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_signed] = ACTIONS(2628),
    [anon_sym_unsigned] = ACTIONS(2628),
    [anon_sym_long] = ACTIONS(2628),
    [anon_sym_short] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_register] = ACTIONS(2628),
    [anon_sym_inline] = ACTIONS(2628),
    [anon_sym___inline] = ACTIONS(2628),
    [anon_sym___inline__] = ACTIONS(2628),
    [anon_sym___forceinline] = ACTIONS(2628),
    [anon_sym_thread_local] = ACTIONS(2628),
    [anon_sym___thread] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_constexpr] = ACTIONS(2628),
    [anon_sym_volatile] = ACTIONS(2628),
    [anon_sym_restrict] = ACTIONS(2628),
    [anon_sym___restrict__] = ACTIONS(2628),
    [anon_sym__Atomic] = ACTIONS(2628),
    [anon_sym__Noreturn] = ACTIONS(2628),
    [anon_sym_noreturn] = ACTIONS(2628),
    [anon_sym_mutable] = ACTIONS(2628),
    [anon_sym_constinit] = ACTIONS(2628),
    [anon_sym_consteval] = ACTIONS(2628),
    [anon_sym_alignas] = ACTIONS(2628),
    [anon_sym__Alignas] = ACTIONS(2628),
    [sym_primitive_type] = ACTIONS(2628),
    [anon_sym_enum] = ACTIONS(2628),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_struct] = ACTIONS(2628),
    [anon_sym_union] = ACTIONS(2628),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_else] = ACTIONS(2628),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_case] = ACTIONS(2628),
    [anon_sym_default] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2628),
    [anon_sym_do] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_return] = ACTIONS(2628),
    [anon_sym_break] = ACTIONS(2628),
    [anon_sym_continue] = ACTIONS(2628),
    [anon_sym_goto] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2628),
    [anon_sym___leave] = ACTIONS(2628),
    [anon_sym_not] = ACTIONS(2628),
    [anon_sym_compl] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_sizeof] = ACTIONS(2628),
    [anon_sym___alignof__] = ACTIONS(2628),
    [anon_sym___alignof] = ACTIONS(2628),
    [anon_sym__alignof] = ACTIONS(2628),
    [anon_sym_alignof] = ACTIONS(2628),
    [anon_sym__Alignof] = ACTIONS(2628),
    [anon_sym_offsetof] = ACTIONS(2628),
    [anon_sym__Generic] = ACTIONS(2628),
    [anon_sym_asm] = ACTIONS(2628),
    [anon_sym___asm__] = ACTIONS(2628),
    [sym_number_literal] = ACTIONS(2630),
    [anon_sym_L_SQUOTE] = ACTIONS(2630),
    [anon_sym_u_SQUOTE] = ACTIONS(2630),
    [anon_sym_U_SQUOTE] = ACTIONS(2630),
    [anon_sym_u8_SQUOTE] = ACTIONS(2630),
    [anon_sym_SQUOTE] = ACTIONS(2630),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2628),
    [anon_sym_nullptr] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2628),
    [anon_sym_decltype] = ACTIONS(2628),
    [sym_virtual] = ACTIONS(2628),
    [anon_sym_explicit] = ACTIONS(2628),
    [anon_sym_typename] = ACTIONS(2628),
    [anon_sym_template] = ACTIONS(2628),
    [anon_sym_operator] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2628),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_throw] = ACTIONS(2628),
    [anon_sym_namespace] = ACTIONS(2628),
    [anon_sym_using] = ACTIONS(2628),
    [anon_sym_static_assert] = ACTIONS(2628),
    [anon_sym_concept] = ACTIONS(2628),
    [anon_sym_co_return] = ACTIONS(2628),
    [anon_sym_co_yield] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2628),
    [anon_sym_requires] = ACTIONS(2628),
    [sym_this] = ACTIONS(2628),
  },
  [409] = {
    [sym_identifier] = ACTIONS(2632),
    [aux_sym_preproc_include_token1] = ACTIONS(2632),
    [aux_sym_preproc_def_token1] = ACTIONS(2632),
    [aux_sym_preproc_if_token1] = ACTIONS(2632),
    [aux_sym_preproc_if_token2] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2632),
    [sym_preproc_directive] = ACTIONS(2632),
    [anon_sym_LPAREN2] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_TILDE] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym___extension__] = ACTIONS(2632),
    [anon_sym_typedef] = ACTIONS(2632),
    [anon_sym_extern] = ACTIONS(2632),
    [anon_sym___attribute__] = ACTIONS(2632),
    [anon_sym_COLON_COLON] = ACTIONS(2634),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2634),
    [anon_sym___declspec] = ACTIONS(2632),
    [anon_sym___based] = ACTIONS(2632),
    [anon_sym___cdecl] = ACTIONS(2632),
    [anon_sym___clrcall] = ACTIONS(2632),
    [anon_sym___stdcall] = ACTIONS(2632),
    [anon_sym___fastcall] = ACTIONS(2632),
    [anon_sym___thiscall] = ACTIONS(2632),
    [anon_sym___vectorcall] = ACTIONS(2632),
    [anon_sym_LBRACE] = ACTIONS(2634),
    [anon_sym_signed] = ACTIONS(2632),
    [anon_sym_unsigned] = ACTIONS(2632),
    [anon_sym_long] = ACTIONS(2632),
    [anon_sym_short] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_static] = ACTIONS(2632),
    [anon_sym_register] = ACTIONS(2632),
    [anon_sym_inline] = ACTIONS(2632),
    [anon_sym___inline] = ACTIONS(2632),
    [anon_sym___inline__] = ACTIONS(2632),
    [anon_sym___forceinline] = ACTIONS(2632),
    [anon_sym_thread_local] = ACTIONS(2632),
    [anon_sym___thread] = ACTIONS(2632),
    [anon_sym_const] = ACTIONS(2632),
    [anon_sym_constexpr] = ACTIONS(2632),
    [anon_sym_volatile] = ACTIONS(2632),
    [anon_sym_restrict] = ACTIONS(2632),
    [anon_sym___restrict__] = ACTIONS(2632),
    [anon_sym__Atomic] = ACTIONS(2632),
    [anon_sym__Noreturn] = ACTIONS(2632),
    [anon_sym_noreturn] = ACTIONS(2632),
    [anon_sym_mutable] = ACTIONS(2632),
    [anon_sym_constinit] = ACTIONS(2632),
    [anon_sym_consteval] = ACTIONS(2632),
    [anon_sym_alignas] = ACTIONS(2632),
    [anon_sym__Alignas] = ACTIONS(2632),
    [sym_primitive_type] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_struct] = ACTIONS(2632),
    [anon_sym_union] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_case] = ACTIONS(2632),
    [anon_sym_default] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_break] = ACTIONS(2632),
    [anon_sym_continue] = ACTIONS(2632),
    [anon_sym_goto] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2632),
    [anon_sym___leave] = ACTIONS(2632),
    [anon_sym_not] = ACTIONS(2632),
    [anon_sym_compl] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_sizeof] = ACTIONS(2632),
    [anon_sym___alignof__] = ACTIONS(2632),
    [anon_sym___alignof] = ACTIONS(2632),
    [anon_sym__alignof] = ACTIONS(2632),
    [anon_sym_alignof] = ACTIONS(2632),
    [anon_sym__Alignof] = ACTIONS(2632),
    [anon_sym_offsetof] = ACTIONS(2632),
    [anon_sym__Generic] = ACTIONS(2632),
    [anon_sym_asm] = ACTIONS(2632),
    [anon_sym___asm__] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2634),
    [anon_sym_L_SQUOTE] = ACTIONS(2634),
    [anon_sym_u_SQUOTE] = ACTIONS(2634),
    [anon_sym_U_SQUOTE] = ACTIONS(2634),
    [anon_sym_u8_SQUOTE] = ACTIONS(2634),
    [anon_sym_SQUOTE] = ACTIONS(2634),
    [anon_sym_L_DQUOTE] = ACTIONS(2634),
    [anon_sym_u_DQUOTE] = ACTIONS(2634),
    [anon_sym_U_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2632),
    [anon_sym_nullptr] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2632),
    [sym_virtual] = ACTIONS(2632),
    [anon_sym_explicit] = ACTIONS(2632),
    [anon_sym_typename] = ACTIONS(2632),
    [anon_sym_template] = ACTIONS(2632),
    [anon_sym_operator] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_delete] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2632),
    [anon_sym_namespace] = ACTIONS(2632),
    [anon_sym_using] = ACTIONS(2632),
    [anon_sym_static_assert] = ACTIONS(2632),
    [anon_sym_concept] = ACTIONS(2632),
    [anon_sym_co_return] = ACTIONS(2632),
    [anon_sym_co_yield] = ACTIONS(2632),
    [anon_sym_R_DQUOTE] = ACTIONS(2634),
    [anon_sym_LR_DQUOTE] = ACTIONS(2634),
    [anon_sym_uR_DQUOTE] = ACTIONS(2634),
    [anon_sym_UR_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2634),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2632),
    [anon_sym_requires] = ACTIONS(2632),
    [sym_this] = ACTIONS(2632),
  },
  [410] = {
    [sym_identifier] = ACTIONS(2636),
    [aux_sym_preproc_include_token1] = ACTIONS(2636),
    [aux_sym_preproc_def_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token2] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2636),
    [sym_preproc_directive] = ACTIONS(2636),
    [anon_sym_LPAREN2] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_TILDE] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2636),
    [anon_sym_typedef] = ACTIONS(2636),
    [anon_sym_extern] = ACTIONS(2636),
    [anon_sym___attribute__] = ACTIONS(2636),
    [anon_sym_COLON_COLON] = ACTIONS(2638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2638),
    [anon_sym___declspec] = ACTIONS(2636),
    [anon_sym___based] = ACTIONS(2636),
    [anon_sym___cdecl] = ACTIONS(2636),
    [anon_sym___clrcall] = ACTIONS(2636),
    [anon_sym___stdcall] = ACTIONS(2636),
    [anon_sym___fastcall] = ACTIONS(2636),
    [anon_sym___thiscall] = ACTIONS(2636),
    [anon_sym___vectorcall] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_signed] = ACTIONS(2636),
    [anon_sym_unsigned] = ACTIONS(2636),
    [anon_sym_long] = ACTIONS(2636),
    [anon_sym_short] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2636),
    [anon_sym_register] = ACTIONS(2636),
    [anon_sym_inline] = ACTIONS(2636),
    [anon_sym___inline] = ACTIONS(2636),
    [anon_sym___inline__] = ACTIONS(2636),
    [anon_sym___forceinline] = ACTIONS(2636),
    [anon_sym_thread_local] = ACTIONS(2636),
    [anon_sym___thread] = ACTIONS(2636),
    [anon_sym_const] = ACTIONS(2636),
    [anon_sym_constexpr] = ACTIONS(2636),
    [anon_sym_volatile] = ACTIONS(2636),
    [anon_sym_restrict] = ACTIONS(2636),
    [anon_sym___restrict__] = ACTIONS(2636),
    [anon_sym__Atomic] = ACTIONS(2636),
    [anon_sym__Noreturn] = ACTIONS(2636),
    [anon_sym_noreturn] = ACTIONS(2636),
    [anon_sym_mutable] = ACTIONS(2636),
    [anon_sym_constinit] = ACTIONS(2636),
    [anon_sym_consteval] = ACTIONS(2636),
    [anon_sym_alignas] = ACTIONS(2636),
    [anon_sym__Alignas] = ACTIONS(2636),
    [sym_primitive_type] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2636),
    [anon_sym_struct] = ACTIONS(2636),
    [anon_sym_union] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2636),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2636),
    [anon_sym_default] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2636),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_return] = ACTIONS(2636),
    [anon_sym_break] = ACTIONS(2636),
    [anon_sym_continue] = ACTIONS(2636),
    [anon_sym_goto] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2636),
    [anon_sym___leave] = ACTIONS(2636),
    [anon_sym_not] = ACTIONS(2636),
    [anon_sym_compl] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_sizeof] = ACTIONS(2636),
    [anon_sym___alignof__] = ACTIONS(2636),
    [anon_sym___alignof] = ACTIONS(2636),
    [anon_sym__alignof] = ACTIONS(2636),
    [anon_sym_alignof] = ACTIONS(2636),
    [anon_sym__Alignof] = ACTIONS(2636),
    [anon_sym_offsetof] = ACTIONS(2636),
    [anon_sym__Generic] = ACTIONS(2636),
    [anon_sym_asm] = ACTIONS(2636),
    [anon_sym___asm__] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2638),
    [anon_sym_L_SQUOTE] = ACTIONS(2638),
    [anon_sym_u_SQUOTE] = ACTIONS(2638),
    [anon_sym_U_SQUOTE] = ACTIONS(2638),
    [anon_sym_u8_SQUOTE] = ACTIONS(2638),
    [anon_sym_SQUOTE] = ACTIONS(2638),
    [anon_sym_L_DQUOTE] = ACTIONS(2638),
    [anon_sym_u_DQUOTE] = ACTIONS(2638),
    [anon_sym_U_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [sym_true] = ACTIONS(2636),
    [sym_false] = ACTIONS(2636),
    [anon_sym_NULL] = ACTIONS(2636),
    [anon_sym_nullptr] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2636),
    [sym_virtual] = ACTIONS(2636),
    [anon_sym_explicit] = ACTIONS(2636),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(2636),
    [anon_sym_operator] = ACTIONS(2636),
    [anon_sym_try] = ACTIONS(2636),
    [anon_sym_delete] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2636),
    [anon_sym_namespace] = ACTIONS(2636),
    [anon_sym_using] = ACTIONS(2636),
    [anon_sym_static_assert] = ACTIONS(2636),
    [anon_sym_concept] = ACTIONS(2636),
    [anon_sym_co_return] = ACTIONS(2636),
    [anon_sym_co_yield] = ACTIONS(2636),
    [anon_sym_R_DQUOTE] = ACTIONS(2638),
    [anon_sym_LR_DQUOTE] = ACTIONS(2638),
    [anon_sym_uR_DQUOTE] = ACTIONS(2638),
    [anon_sym_UR_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2638),
    [anon_sym_co_await] = ACTIONS(2636),
    [anon_sym_new] = ACTIONS(2636),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2636),
  },
  [411] = {
    [sym_identifier] = ACTIONS(2506),
    [aux_sym_preproc_include_token1] = ACTIONS(2506),
    [aux_sym_preproc_def_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token2] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2506),
    [sym_preproc_directive] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2506),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_extern] = ACTIONS(2506),
    [anon_sym___attribute__] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2508),
    [anon_sym___declspec] = ACTIONS(2506),
    [anon_sym___based] = ACTIONS(2506),
    [anon_sym___cdecl] = ACTIONS(2506),
    [anon_sym___clrcall] = ACTIONS(2506),
    [anon_sym___stdcall] = ACTIONS(2506),
    [anon_sym___fastcall] = ACTIONS(2506),
    [anon_sym___thiscall] = ACTIONS(2506),
    [anon_sym___vectorcall] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2506),
    [anon_sym_unsigned] = ACTIONS(2506),
    [anon_sym_long] = ACTIONS(2506),
    [anon_sym_short] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_register] = ACTIONS(2506),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym___inline] = ACTIONS(2506),
    [anon_sym___inline__] = ACTIONS(2506),
    [anon_sym___forceinline] = ACTIONS(2506),
    [anon_sym_thread_local] = ACTIONS(2506),
    [anon_sym___thread] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_constexpr] = ACTIONS(2506),
    [anon_sym_volatile] = ACTIONS(2506),
    [anon_sym_restrict] = ACTIONS(2506),
    [anon_sym___restrict__] = ACTIONS(2506),
    [anon_sym__Atomic] = ACTIONS(2506),
    [anon_sym__Noreturn] = ACTIONS(2506),
    [anon_sym_noreturn] = ACTIONS(2506),
    [anon_sym_mutable] = ACTIONS(2506),
    [anon_sym_constinit] = ACTIONS(2506),
    [anon_sym_consteval] = ACTIONS(2506),
    [anon_sym_alignas] = ACTIONS(2506),
    [anon_sym__Alignas] = ACTIONS(2506),
    [sym_primitive_type] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_struct] = ACTIONS(2506),
    [anon_sym_union] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_else] = ACTIONS(2506),
    [anon_sym_switch] = ACTIONS(2506),
    [anon_sym_case] = ACTIONS(2506),
    [anon_sym_default] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_do] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2506),
    [anon_sym_return] = ACTIONS(2506),
    [anon_sym_break] = ACTIONS(2506),
    [anon_sym_continue] = ACTIONS(2506),
    [anon_sym_goto] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2506),
    [anon_sym___leave] = ACTIONS(2506),
    [anon_sym_not] = ACTIONS(2506),
    [anon_sym_compl] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2508),
    [anon_sym_sizeof] = ACTIONS(2506),
    [anon_sym___alignof__] = ACTIONS(2506),
    [anon_sym___alignof] = ACTIONS(2506),
    [anon_sym__alignof] = ACTIONS(2506),
    [anon_sym_alignof] = ACTIONS(2506),
    [anon_sym__Alignof] = ACTIONS(2506),
    [anon_sym_offsetof] = ACTIONS(2506),
    [anon_sym__Generic] = ACTIONS(2506),
    [anon_sym_asm] = ACTIONS(2506),
    [anon_sym___asm__] = ACTIONS(2506),
    [sym_number_literal] = ACTIONS(2508),
    [anon_sym_L_SQUOTE] = ACTIONS(2508),
    [anon_sym_u_SQUOTE] = ACTIONS(2508),
    [anon_sym_U_SQUOTE] = ACTIONS(2508),
    [anon_sym_u8_SQUOTE] = ACTIONS(2508),
    [anon_sym_SQUOTE] = ACTIONS(2508),
    [anon_sym_L_DQUOTE] = ACTIONS(2508),
    [anon_sym_u_DQUOTE] = ACTIONS(2508),
    [anon_sym_U_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8_DQUOTE] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2508),
    [sym_true] = ACTIONS(2506),
    [sym_false] = ACTIONS(2506),
    [anon_sym_NULL] = ACTIONS(2506),
    [anon_sym_nullptr] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2506),
    [anon_sym_decltype] = ACTIONS(2506),
    [sym_virtual] = ACTIONS(2506),
    [anon_sym_explicit] = ACTIONS(2506),
    [anon_sym_typename] = ACTIONS(2506),
    [anon_sym_template] = ACTIONS(2506),
    [anon_sym_operator] = ACTIONS(2506),
    [anon_sym_try] = ACTIONS(2506),
    [anon_sym_delete] = ACTIONS(2506),
    [anon_sym_throw] = ACTIONS(2506),
    [anon_sym_namespace] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_static_assert] = ACTIONS(2506),
    [anon_sym_concept] = ACTIONS(2506),
    [anon_sym_co_return] = ACTIONS(2506),
    [anon_sym_co_yield] = ACTIONS(2506),
    [anon_sym_R_DQUOTE] = ACTIONS(2508),
    [anon_sym_LR_DQUOTE] = ACTIONS(2508),
    [anon_sym_uR_DQUOTE] = ACTIONS(2508),
    [anon_sym_UR_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2508),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2506),
    [anon_sym_requires] = ACTIONS(2506),
    [sym_this] = ACTIONS(2506),
  },
  [412] = {
    [sym_identifier] = ACTIONS(2502),
    [aux_sym_preproc_include_token1] = ACTIONS(2502),
    [aux_sym_preproc_def_token1] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(2502),
    [aux_sym_preproc_if_token2] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2502),
    [sym_preproc_directive] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(2504),
    [anon_sym_BANG] = ACTIONS(2504),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym___extension__] = ACTIONS(2502),
    [anon_sym_typedef] = ACTIONS(2502),
    [anon_sym_extern] = ACTIONS(2502),
    [anon_sym___attribute__] = ACTIONS(2502),
    [anon_sym_COLON_COLON] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2504),
    [anon_sym___declspec] = ACTIONS(2502),
    [anon_sym___based] = ACTIONS(2502),
    [anon_sym___cdecl] = ACTIONS(2502),
    [anon_sym___clrcall] = ACTIONS(2502),
    [anon_sym___stdcall] = ACTIONS(2502),
    [anon_sym___fastcall] = ACTIONS(2502),
    [anon_sym___thiscall] = ACTIONS(2502),
    [anon_sym___vectorcall] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2502),
    [anon_sym_unsigned] = ACTIONS(2502),
    [anon_sym_long] = ACTIONS(2502),
    [anon_sym_short] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_static] = ACTIONS(2502),
    [anon_sym_register] = ACTIONS(2502),
    [anon_sym_inline] = ACTIONS(2502),
    [anon_sym___inline] = ACTIONS(2502),
    [anon_sym___inline__] = ACTIONS(2502),
    [anon_sym___forceinline] = ACTIONS(2502),
    [anon_sym_thread_local] = ACTIONS(2502),
    [anon_sym___thread] = ACTIONS(2502),
    [anon_sym_const] = ACTIONS(2502),
    [anon_sym_constexpr] = ACTIONS(2502),
    [anon_sym_volatile] = ACTIONS(2502),
    [anon_sym_restrict] = ACTIONS(2502),
    [anon_sym___restrict__] = ACTIONS(2502),
    [anon_sym__Atomic] = ACTIONS(2502),
    [anon_sym__Noreturn] = ACTIONS(2502),
    [anon_sym_noreturn] = ACTIONS(2502),
    [anon_sym_mutable] = ACTIONS(2502),
    [anon_sym_constinit] = ACTIONS(2502),
    [anon_sym_consteval] = ACTIONS(2502),
    [anon_sym_alignas] = ACTIONS(2502),
    [anon_sym__Alignas] = ACTIONS(2502),
    [sym_primitive_type] = ACTIONS(2502),
    [anon_sym_enum] = ACTIONS(2502),
    [anon_sym_class] = ACTIONS(2502),
    [anon_sym_struct] = ACTIONS(2502),
    [anon_sym_union] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_else] = ACTIONS(2502),
    [anon_sym_switch] = ACTIONS(2502),
    [anon_sym_case] = ACTIONS(2502),
    [anon_sym_default] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_do] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2502),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_break] = ACTIONS(2502),
    [anon_sym_continue] = ACTIONS(2502),
    [anon_sym_goto] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2502),
    [anon_sym___leave] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2502),
    [anon_sym_compl] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2504),
    [anon_sym_PLUS_PLUS] = ACTIONS(2504),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(2502),
    [anon_sym___alignof] = ACTIONS(2502),
    [anon_sym__alignof] = ACTIONS(2502),
    [anon_sym_alignof] = ACTIONS(2502),
    [anon_sym__Alignof] = ACTIONS(2502),
    [anon_sym_offsetof] = ACTIONS(2502),
    [anon_sym__Generic] = ACTIONS(2502),
    [anon_sym_asm] = ACTIONS(2502),
    [anon_sym___asm__] = ACTIONS(2502),
    [sym_number_literal] = ACTIONS(2504),
    [anon_sym_L_SQUOTE] = ACTIONS(2504),
    [anon_sym_u_SQUOTE] = ACTIONS(2504),
    [anon_sym_U_SQUOTE] = ACTIONS(2504),
    [anon_sym_u8_SQUOTE] = ACTIONS(2504),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_L_DQUOTE] = ACTIONS(2504),
    [anon_sym_u_DQUOTE] = ACTIONS(2504),
    [anon_sym_U_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8_DQUOTE] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [sym_true] = ACTIONS(2502),
    [sym_false] = ACTIONS(2502),
    [anon_sym_NULL] = ACTIONS(2502),
    [anon_sym_nullptr] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2502),
    [anon_sym_decltype] = ACTIONS(2502),
    [sym_virtual] = ACTIONS(2502),
    [anon_sym_explicit] = ACTIONS(2502),
    [anon_sym_typename] = ACTIONS(2502),
    [anon_sym_template] = ACTIONS(2502),
    [anon_sym_operator] = ACTIONS(2502),
    [anon_sym_try] = ACTIONS(2502),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2502),
    [anon_sym_namespace] = ACTIONS(2502),
    [anon_sym_using] = ACTIONS(2502),
    [anon_sym_static_assert] = ACTIONS(2502),
    [anon_sym_concept] = ACTIONS(2502),
    [anon_sym_co_return] = ACTIONS(2502),
    [anon_sym_co_yield] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2504),
    [anon_sym_LR_DQUOTE] = ACTIONS(2504),
    [anon_sym_uR_DQUOTE] = ACTIONS(2504),
    [anon_sym_UR_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2504),
    [anon_sym_co_await] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2502),
    [anon_sym_requires] = ACTIONS(2502),
    [sym_this] = ACTIONS(2502),
  },
  [413] = {
    [sym_identifier] = ACTIONS(2530),
    [aux_sym_preproc_include_token1] = ACTIONS(2530),
    [aux_sym_preproc_def_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token2] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2530),
    [sym_preproc_directive] = ACTIONS(2530),
    [anon_sym_LPAREN2] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2530),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym___attribute__] = ACTIONS(2530),
    [anon_sym_COLON_COLON] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2532),
    [anon_sym___declspec] = ACTIONS(2530),
    [anon_sym___based] = ACTIONS(2530),
    [anon_sym___cdecl] = ACTIONS(2530),
    [anon_sym___clrcall] = ACTIONS(2530),
    [anon_sym___stdcall] = ACTIONS(2530),
    [anon_sym___fastcall] = ACTIONS(2530),
    [anon_sym___thiscall] = ACTIONS(2530),
    [anon_sym___vectorcall] = ACTIONS(2530),
    [anon_sym_LBRACE] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2530),
    [anon_sym_unsigned] = ACTIONS(2530),
    [anon_sym_long] = ACTIONS(2530),
    [anon_sym_short] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_register] = ACTIONS(2530),
    [anon_sym_inline] = ACTIONS(2530),
    [anon_sym___inline] = ACTIONS(2530),
    [anon_sym___inline__] = ACTIONS(2530),
    [anon_sym___forceinline] = ACTIONS(2530),
    [anon_sym_thread_local] = ACTIONS(2530),
    [anon_sym___thread] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_constexpr] = ACTIONS(2530),
    [anon_sym_volatile] = ACTIONS(2530),
    [anon_sym_restrict] = ACTIONS(2530),
    [anon_sym___restrict__] = ACTIONS(2530),
    [anon_sym__Atomic] = ACTIONS(2530),
    [anon_sym__Noreturn] = ACTIONS(2530),
    [anon_sym_noreturn] = ACTIONS(2530),
    [anon_sym_mutable] = ACTIONS(2530),
    [anon_sym_constinit] = ACTIONS(2530),
    [anon_sym_consteval] = ACTIONS(2530),
    [anon_sym_alignas] = ACTIONS(2530),
    [anon_sym__Alignas] = ACTIONS(2530),
    [sym_primitive_type] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [anon_sym_if] = ACTIONS(2530),
    [anon_sym_else] = ACTIONS(2530),
    [anon_sym_switch] = ACTIONS(2530),
    [anon_sym_case] = ACTIONS(2530),
    [anon_sym_default] = ACTIONS(2530),
    [anon_sym_while] = ACTIONS(2530),
    [anon_sym_do] = ACTIONS(2530),
    [anon_sym_for] = ACTIONS(2530),
    [anon_sym_return] = ACTIONS(2530),
    [anon_sym_break] = ACTIONS(2530),
    [anon_sym_continue] = ACTIONS(2530),
    [anon_sym_goto] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2530),
    [anon_sym___leave] = ACTIONS(2530),
    [anon_sym_not] = ACTIONS(2530),
    [anon_sym_compl] = ACTIONS(2530),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_sizeof] = ACTIONS(2530),
    [anon_sym___alignof__] = ACTIONS(2530),
    [anon_sym___alignof] = ACTIONS(2530),
    [anon_sym__alignof] = ACTIONS(2530),
    [anon_sym_alignof] = ACTIONS(2530),
    [anon_sym__Alignof] = ACTIONS(2530),
    [anon_sym_offsetof] = ACTIONS(2530),
    [anon_sym__Generic] = ACTIONS(2530),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [sym_number_literal] = ACTIONS(2532),
    [anon_sym_L_SQUOTE] = ACTIONS(2532),
    [anon_sym_u_SQUOTE] = ACTIONS(2532),
    [anon_sym_U_SQUOTE] = ACTIONS(2532),
    [anon_sym_u8_SQUOTE] = ACTIONS(2532),
    [anon_sym_SQUOTE] = ACTIONS(2532),
    [anon_sym_L_DQUOTE] = ACTIONS(2532),
    [anon_sym_u_DQUOTE] = ACTIONS(2532),
    [anon_sym_U_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8_DQUOTE] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2532),
    [sym_true] = ACTIONS(2530),
    [sym_false] = ACTIONS(2530),
    [anon_sym_NULL] = ACTIONS(2530),
    [anon_sym_nullptr] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2530),
    [anon_sym_decltype] = ACTIONS(2530),
    [sym_virtual] = ACTIONS(2530),
    [anon_sym_explicit] = ACTIONS(2530),
    [anon_sym_typename] = ACTIONS(2530),
    [anon_sym_template] = ACTIONS(2530),
    [anon_sym_operator] = ACTIONS(2530),
    [anon_sym_try] = ACTIONS(2530),
    [anon_sym_delete] = ACTIONS(2530),
    [anon_sym_throw] = ACTIONS(2530),
    [anon_sym_namespace] = ACTIONS(2530),
    [anon_sym_using] = ACTIONS(2530),
    [anon_sym_static_assert] = ACTIONS(2530),
    [anon_sym_concept] = ACTIONS(2530),
    [anon_sym_co_return] = ACTIONS(2530),
    [anon_sym_co_yield] = ACTIONS(2530),
    [anon_sym_R_DQUOTE] = ACTIONS(2532),
    [anon_sym_LR_DQUOTE] = ACTIONS(2532),
    [anon_sym_uR_DQUOTE] = ACTIONS(2532),
    [anon_sym_UR_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2532),
    [anon_sym_co_await] = ACTIONS(2530),
    [anon_sym_new] = ACTIONS(2530),
    [anon_sym_requires] = ACTIONS(2530),
    [sym_this] = ACTIONS(2530),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(2594),
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2594),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___based] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_mutable] = ACTIONS(2592),
    [anon_sym_constinit] = ACTIONS(2592),
    [anon_sym_consteval] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym___leave] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2592),
    [anon_sym_compl] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2592),
    [anon_sym_decltype] = ACTIONS(2592),
    [sym_virtual] = ACTIONS(2592),
    [anon_sym_explicit] = ACTIONS(2592),
    [anon_sym_typename] = ACTIONS(2592),
    [anon_sym_template] = ACTIONS(2592),
    [anon_sym_operator] = ACTIONS(2592),
    [anon_sym_try] = ACTIONS(2592),
    [anon_sym_delete] = ACTIONS(2592),
    [anon_sym_throw] = ACTIONS(2592),
    [anon_sym_namespace] = ACTIONS(2592),
    [anon_sym_using] = ACTIONS(2592),
    [anon_sym_static_assert] = ACTIONS(2592),
    [anon_sym_concept] = ACTIONS(2592),
    [anon_sym_co_return] = ACTIONS(2592),
    [anon_sym_co_yield] = ACTIONS(2592),
    [anon_sym_R_DQUOTE] = ACTIONS(2594),
    [anon_sym_LR_DQUOTE] = ACTIONS(2594),
    [anon_sym_uR_DQUOTE] = ACTIONS(2594),
    [anon_sym_UR_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2594),
    [anon_sym_co_await] = ACTIONS(2592),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_requires] = ACTIONS(2592),
    [sym_this] = ACTIONS(2592),
  },
  [415] = {
    [ts_builtin_sym_end] = ACTIONS(2598),
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP_AMP] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___based] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym___leave] = ACTIONS(2596),
    [anon_sym_not] = ACTIONS(2596),
    [anon_sym_compl] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_explicit] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_operator] = ACTIONS(2596),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2596),
    [anon_sym_namespace] = ACTIONS(2596),
    [anon_sym_using] = ACTIONS(2596),
    [anon_sym_static_assert] = ACTIONS(2596),
    [anon_sym_concept] = ACTIONS(2596),
    [anon_sym_co_return] = ACTIONS(2596),
    [anon_sym_co_yield] = ACTIONS(2596),
    [anon_sym_R_DQUOTE] = ACTIONS(2598),
    [anon_sym_LR_DQUOTE] = ACTIONS(2598),
    [anon_sym_uR_DQUOTE] = ACTIONS(2598),
    [anon_sym_UR_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2598),
    [anon_sym_co_await] = ACTIONS(2596),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2596),
    [sym_this] = ACTIONS(2596),
  },
  [416] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_include_token1] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym___cdecl] = ACTIONS(2518),
    [anon_sym___clrcall] = ACTIONS(2518),
    [anon_sym___stdcall] = ACTIONS(2518),
    [anon_sym___fastcall] = ACTIONS(2518),
    [anon_sym___thiscall] = ACTIONS(2518),
    [anon_sym___vectorcall] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_RBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_else] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2518),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2518),
    [anon_sym___leave] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [sym_virtual] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_namespace] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_concept] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
  },
  [417] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [418] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [419] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_RBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_else] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [sym_virtual] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
  },
  [420] = {
    [sym_identifier] = ACTIONS(2534),
    [aux_sym_preproc_include_token1] = ACTIONS(2534),
    [aux_sym_preproc_def_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2534),
    [sym_preproc_directive] = ACTIONS(2534),
    [anon_sym_LPAREN2] = ACTIONS(2536),
    [anon_sym_BANG] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_typedef] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym___based] = ACTIONS(2534),
    [anon_sym___cdecl] = ACTIONS(2534),
    [anon_sym___clrcall] = ACTIONS(2534),
    [anon_sym___stdcall] = ACTIONS(2534),
    [anon_sym___fastcall] = ACTIONS(2534),
    [anon_sym___thiscall] = ACTIONS(2534),
    [anon_sym___vectorcall] = ACTIONS(2534),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_RBRACE] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2534),
    [anon_sym_switch] = ACTIONS(2534),
    [anon_sym_case] = ACTIONS(2534),
    [anon_sym_default] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2534),
    [anon_sym_do] = ACTIONS(2534),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_break] = ACTIONS(2534),
    [anon_sym_continue] = ACTIONS(2534),
    [anon_sym_goto] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2534),
    [anon_sym___leave] = ACTIONS(2534),
    [anon_sym_not] = ACTIONS(2534),
    [anon_sym_compl] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_sizeof] = ACTIONS(2534),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2534),
    [anon_sym__Generic] = ACTIONS(2534),
    [anon_sym_asm] = ACTIONS(2534),
    [anon_sym___asm__] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2536),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2536),
    [anon_sym_u_DQUOTE] = ACTIONS(2536),
    [anon_sym_U_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8_DQUOTE] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [anon_sym_NULL] = ACTIONS(2534),
    [anon_sym_nullptr] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(2534),
    [sym_virtual] = ACTIONS(2534),
    [anon_sym_explicit] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(2534),
    [anon_sym_operator] = ACTIONS(2534),
    [anon_sym_try] = ACTIONS(2534),
    [anon_sym_delete] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2534),
    [anon_sym_namespace] = ACTIONS(2534),
    [anon_sym_using] = ACTIONS(2534),
    [anon_sym_static_assert] = ACTIONS(2534),
    [anon_sym_concept] = ACTIONS(2534),
    [anon_sym_co_return] = ACTIONS(2534),
    [anon_sym_co_yield] = ACTIONS(2534),
    [anon_sym_R_DQUOTE] = ACTIONS(2536),
    [anon_sym_LR_DQUOTE] = ACTIONS(2536),
    [anon_sym_uR_DQUOTE] = ACTIONS(2536),
    [anon_sym_UR_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2536),
    [anon_sym_co_await] = ACTIONS(2534),
    [anon_sym_new] = ACTIONS(2534),
    [anon_sym_requires] = ACTIONS(2534),
    [sym_this] = ACTIONS(2534),
  },
  [421] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_else] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
  },
  [422] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [423] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [424] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_include_token1] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym___cdecl] = ACTIONS(2518),
    [anon_sym___clrcall] = ACTIONS(2518),
    [anon_sym___stdcall] = ACTIONS(2518),
    [anon_sym___fastcall] = ACTIONS(2518),
    [anon_sym___thiscall] = ACTIONS(2518),
    [anon_sym___vectorcall] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_else] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2518),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2518),
    [anon_sym___leave] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [sym_virtual] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_namespace] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_concept] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
  },
  [425] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_RBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_else] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
  },
  [426] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [427] = {
    [sym_identifier] = ACTIONS(2534),
    [aux_sym_preproc_include_token1] = ACTIONS(2534),
    [aux_sym_preproc_def_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token2] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2534),
    [sym_preproc_directive] = ACTIONS(2534),
    [anon_sym_LPAREN2] = ACTIONS(2536),
    [anon_sym_BANG] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_typedef] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym___based] = ACTIONS(2534),
    [anon_sym___cdecl] = ACTIONS(2534),
    [anon_sym___clrcall] = ACTIONS(2534),
    [anon_sym___stdcall] = ACTIONS(2534),
    [anon_sym___fastcall] = ACTIONS(2534),
    [anon_sym___thiscall] = ACTIONS(2534),
    [anon_sym___vectorcall] = ACTIONS(2534),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2534),
    [anon_sym_switch] = ACTIONS(2534),
    [anon_sym_case] = ACTIONS(2534),
    [anon_sym_default] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2534),
    [anon_sym_do] = ACTIONS(2534),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_break] = ACTIONS(2534),
    [anon_sym_continue] = ACTIONS(2534),
    [anon_sym_goto] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2534),
    [anon_sym___leave] = ACTIONS(2534),
    [anon_sym_not] = ACTIONS(2534),
    [anon_sym_compl] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_sizeof] = ACTIONS(2534),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2534),
    [anon_sym__Generic] = ACTIONS(2534),
    [anon_sym_asm] = ACTIONS(2534),
    [anon_sym___asm__] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2536),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2536),
    [anon_sym_u_DQUOTE] = ACTIONS(2536),
    [anon_sym_U_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8_DQUOTE] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [anon_sym_NULL] = ACTIONS(2534),
    [anon_sym_nullptr] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(2534),
    [sym_virtual] = ACTIONS(2534),
    [anon_sym_explicit] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(2534),
    [anon_sym_operator] = ACTIONS(2534),
    [anon_sym_try] = ACTIONS(2534),
    [anon_sym_delete] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2534),
    [anon_sym_namespace] = ACTIONS(2534),
    [anon_sym_using] = ACTIONS(2534),
    [anon_sym_static_assert] = ACTIONS(2534),
    [anon_sym_concept] = ACTIONS(2534),
    [anon_sym_co_return] = ACTIONS(2534),
    [anon_sym_co_yield] = ACTIONS(2534),
    [anon_sym_R_DQUOTE] = ACTIONS(2536),
    [anon_sym_LR_DQUOTE] = ACTIONS(2536),
    [anon_sym_uR_DQUOTE] = ACTIONS(2536),
    [anon_sym_UR_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2536),
    [anon_sym_co_await] = ACTIONS(2534),
    [anon_sym_new] = ACTIONS(2534),
    [anon_sym_requires] = ACTIONS(2534),
    [sym_this] = ACTIONS(2534),
  },
  [428] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [429] = {
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_include_token1] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym___cdecl] = ACTIONS(2526),
    [anon_sym___clrcall] = ACTIONS(2526),
    [anon_sym___stdcall] = ACTIONS(2526),
    [anon_sym___fastcall] = ACTIONS(2526),
    [anon_sym___thiscall] = ACTIONS(2526),
    [anon_sym___vectorcall] = ACTIONS(2526),
    [anon_sym_LBRACE] = ACTIONS(2528),
    [anon_sym_RBRACE] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_else] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2526),
    [anon_sym_case] = ACTIONS(2526),
    [anon_sym_default] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_break] = ACTIONS(2526),
    [anon_sym_continue] = ACTIONS(2526),
    [anon_sym_goto] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2526),
    [anon_sym___leave] = ACTIONS(2526),
    [anon_sym_not] = ACTIONS(2526),
    [anon_sym_compl] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_sizeof] = ACTIONS(2526),
    [anon_sym___alignof__] = ACTIONS(2526),
    [anon_sym___alignof] = ACTIONS(2526),
    [anon_sym__alignof] = ACTIONS(2526),
    [anon_sym_alignof] = ACTIONS(2526),
    [anon_sym__Alignof] = ACTIONS(2526),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2526),
    [anon_sym_asm] = ACTIONS(2526),
    [anon_sym___asm__] = ACTIONS(2526),
    [sym_number_literal] = ACTIONS(2528),
    [anon_sym_L_SQUOTE] = ACTIONS(2528),
    [anon_sym_u_SQUOTE] = ACTIONS(2528),
    [anon_sym_U_SQUOTE] = ACTIONS(2528),
    [anon_sym_u8_SQUOTE] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_L_DQUOTE] = ACTIONS(2528),
    [anon_sym_u_DQUOTE] = ACTIONS(2528),
    [anon_sym_U_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2528),
    [sym_true] = ACTIONS(2526),
    [sym_false] = ACTIONS(2526),
    [anon_sym_NULL] = ACTIONS(2526),
    [anon_sym_nullptr] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [sym_virtual] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_delete] = ACTIONS(2526),
    [anon_sym_throw] = ACTIONS(2526),
    [anon_sym_namespace] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
    [anon_sym_concept] = ACTIONS(2526),
    [anon_sym_co_return] = ACTIONS(2526),
    [anon_sym_co_yield] = ACTIONS(2526),
    [anon_sym_R_DQUOTE] = ACTIONS(2528),
    [anon_sym_LR_DQUOTE] = ACTIONS(2528),
    [anon_sym_uR_DQUOTE] = ACTIONS(2528),
    [anon_sym_UR_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2528),
    [anon_sym_co_await] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_requires] = ACTIONS(2526),
    [sym_this] = ACTIONS(2526),
  },
  [430] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token2] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
    [anon_sym_concept] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [431] = {
    [sym_identifier] = ACTIONS(2616),
    [aux_sym_preproc_include_token1] = ACTIONS(2616),
    [aux_sym_preproc_def_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token2] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2616),
    [sym_preproc_directive] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym___based] = ACTIONS(2616),
    [anon_sym___cdecl] = ACTIONS(2616),
    [anon_sym___clrcall] = ACTIONS(2616),
    [anon_sym___stdcall] = ACTIONS(2616),
    [anon_sym___fastcall] = ACTIONS(2616),
    [anon_sym___thiscall] = ACTIONS(2616),
    [anon_sym___vectorcall] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_else] = ACTIONS(2616),
    [anon_sym_switch] = ACTIONS(2616),
    [anon_sym_case] = ACTIONS(2616),
    [anon_sym_default] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_do] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_break] = ACTIONS(2616),
    [anon_sym_continue] = ACTIONS(2616),
    [anon_sym_goto] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2616),
    [anon_sym___leave] = ACTIONS(2616),
    [anon_sym_not] = ACTIONS(2616),
    [anon_sym_compl] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2616),
    [anon_sym___alignof] = ACTIONS(2616),
    [anon_sym__alignof] = ACTIONS(2616),
    [anon_sym_alignof] = ACTIONS(2616),
    [anon_sym__Alignof] = ACTIONS(2616),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2616),
    [anon_sym_asm] = ACTIONS(2616),
    [anon_sym___asm__] = ACTIONS(2616),
    [sym_number_literal] = ACTIONS(2618),
    [anon_sym_L_SQUOTE] = ACTIONS(2618),
    [anon_sym_u_SQUOTE] = ACTIONS(2618),
    [anon_sym_U_SQUOTE] = ACTIONS(2618),
    [anon_sym_u8_SQUOTE] = ACTIONS(2618),
    [anon_sym_SQUOTE] = ACTIONS(2618),
    [anon_sym_L_DQUOTE] = ACTIONS(2618),
    [anon_sym_u_DQUOTE] = ACTIONS(2618),
    [anon_sym_U_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2616),
    [anon_sym_nullptr] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_explicit] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_operator] = ACTIONS(2616),
    [anon_sym_try] = ACTIONS(2616),
    [anon_sym_delete] = ACTIONS(2616),
    [anon_sym_throw] = ACTIONS(2616),
    [anon_sym_namespace] = ACTIONS(2616),
    [anon_sym_using] = ACTIONS(2616),
    [anon_sym_static_assert] = ACTIONS(2616),
    [anon_sym_concept] = ACTIONS(2616),
    [anon_sym_co_return] = ACTIONS(2616),
    [anon_sym_co_yield] = ACTIONS(2616),
    [anon_sym_R_DQUOTE] = ACTIONS(2618),
    [anon_sym_LR_DQUOTE] = ACTIONS(2618),
    [anon_sym_uR_DQUOTE] = ACTIONS(2618),
    [anon_sym_UR_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2618),
    [anon_sym_co_await] = ACTIONS(2616),
    [anon_sym_new] = ACTIONS(2616),
    [anon_sym_requires] = ACTIONS(2616),
    [sym_this] = ACTIONS(2616),
  },
  [432] = {
    [sym_identifier] = ACTIONS(2620),
    [aux_sym_preproc_include_token1] = ACTIONS(2620),
    [aux_sym_preproc_def_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token2] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2620),
    [sym_preproc_directive] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym___based] = ACTIONS(2620),
    [anon_sym___cdecl] = ACTIONS(2620),
    [anon_sym___clrcall] = ACTIONS(2620),
    [anon_sym___stdcall] = ACTIONS(2620),
    [anon_sym___fastcall] = ACTIONS(2620),
    [anon_sym___thiscall] = ACTIONS(2620),
    [anon_sym___vectorcall] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_goto] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2620),
    [anon_sym___leave] = ACTIONS(2620),
    [anon_sym_not] = ACTIONS(2620),
    [anon_sym_compl] = ACTIONS(2620),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_sizeof] = ACTIONS(2620),
    [anon_sym___alignof__] = ACTIONS(2620),
    [anon_sym___alignof] = ACTIONS(2620),
    [anon_sym__alignof] = ACTIONS(2620),
    [anon_sym_alignof] = ACTIONS(2620),
    [anon_sym__Alignof] = ACTIONS(2620),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2620),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2622),
    [anon_sym_u_SQUOTE] = ACTIONS(2622),
    [anon_sym_U_SQUOTE] = ACTIONS(2622),
    [anon_sym_u8_SQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [anon_sym_L_DQUOTE] = ACTIONS(2622),
    [anon_sym_u_DQUOTE] = ACTIONS(2622),
    [anon_sym_U_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8_DQUOTE] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [anon_sym_NULL] = ACTIONS(2620),
    [anon_sym_nullptr] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_explicit] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_operator] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(2620),
    [anon_sym_static_assert] = ACTIONS(2620),
    [anon_sym_concept] = ACTIONS(2620),
    [anon_sym_co_return] = ACTIONS(2620),
    [anon_sym_co_yield] = ACTIONS(2620),
    [anon_sym_R_DQUOTE] = ACTIONS(2622),
    [anon_sym_LR_DQUOTE] = ACTIONS(2622),
    [anon_sym_uR_DQUOTE] = ACTIONS(2622),
    [anon_sym_UR_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2622),
    [anon_sym_co_await] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_requires] = ACTIONS(2620),
    [sym_this] = ACTIONS(2620),
  },
  [433] = {
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_include_token1] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token2] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym___cdecl] = ACTIONS(2526),
    [anon_sym___clrcall] = ACTIONS(2526),
    [anon_sym___stdcall] = ACTIONS(2526),
    [anon_sym___fastcall] = ACTIONS(2526),
    [anon_sym___thiscall] = ACTIONS(2526),
    [anon_sym___vectorcall] = ACTIONS(2526),
    [anon_sym_LBRACE] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_else] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2526),
    [anon_sym_case] = ACTIONS(2526),
    [anon_sym_default] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_break] = ACTIONS(2526),
    [anon_sym_continue] = ACTIONS(2526),
    [anon_sym_goto] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2526),
    [anon_sym___leave] = ACTIONS(2526),
    [anon_sym_not] = ACTIONS(2526),
    [anon_sym_compl] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_sizeof] = ACTIONS(2526),
    [anon_sym___alignof__] = ACTIONS(2526),
    [anon_sym___alignof] = ACTIONS(2526),
    [anon_sym__alignof] = ACTIONS(2526),
    [anon_sym_alignof] = ACTIONS(2526),
    [anon_sym__Alignof] = ACTIONS(2526),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2526),
    [anon_sym_asm] = ACTIONS(2526),
    [anon_sym___asm__] = ACTIONS(2526),
    [sym_number_literal] = ACTIONS(2528),
    [anon_sym_L_SQUOTE] = ACTIONS(2528),
    [anon_sym_u_SQUOTE] = ACTIONS(2528),
    [anon_sym_U_SQUOTE] = ACTIONS(2528),
    [anon_sym_u8_SQUOTE] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_L_DQUOTE] = ACTIONS(2528),
    [anon_sym_u_DQUOTE] = ACTIONS(2528),
    [anon_sym_U_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2528),
    [sym_true] = ACTIONS(2526),
    [sym_false] = ACTIONS(2526),
    [anon_sym_NULL] = ACTIONS(2526),
    [anon_sym_nullptr] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [sym_virtual] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_delete] = ACTIONS(2526),
    [anon_sym_throw] = ACTIONS(2526),
    [anon_sym_namespace] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
    [anon_sym_concept] = ACTIONS(2526),
    [anon_sym_co_return] = ACTIONS(2526),
    [anon_sym_co_yield] = ACTIONS(2526),
    [anon_sym_R_DQUOTE] = ACTIONS(2528),
    [anon_sym_LR_DQUOTE] = ACTIONS(2528),
    [anon_sym_uR_DQUOTE] = ACTIONS(2528),
    [anon_sym_UR_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2528),
    [anon_sym_co_await] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_requires] = ACTIONS(2526),
    [sym_this] = ACTIONS(2526),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(2532),
    [sym_identifier] = ACTIONS(2530),
    [aux_sym_preproc_include_token1] = ACTIONS(2530),
    [aux_sym_preproc_def_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2530),
    [sym_preproc_directive] = ACTIONS(2530),
    [anon_sym_LPAREN2] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2530),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym___attribute__] = ACTIONS(2530),
    [anon_sym_COLON_COLON] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2532),
    [anon_sym___declspec] = ACTIONS(2530),
    [anon_sym___based] = ACTIONS(2530),
    [anon_sym___cdecl] = ACTIONS(2530),
    [anon_sym___clrcall] = ACTIONS(2530),
    [anon_sym___stdcall] = ACTIONS(2530),
    [anon_sym___fastcall] = ACTIONS(2530),
    [anon_sym___thiscall] = ACTIONS(2530),
    [anon_sym___vectorcall] = ACTIONS(2530),
    [anon_sym_LBRACE] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2530),
    [anon_sym_unsigned] = ACTIONS(2530),
    [anon_sym_long] = ACTIONS(2530),
    [anon_sym_short] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_register] = ACTIONS(2530),
    [anon_sym_inline] = ACTIONS(2530),
    [anon_sym___inline] = ACTIONS(2530),
    [anon_sym___inline__] = ACTIONS(2530),
    [anon_sym___forceinline] = ACTIONS(2530),
    [anon_sym_thread_local] = ACTIONS(2530),
    [anon_sym___thread] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_constexpr] = ACTIONS(2530),
    [anon_sym_volatile] = ACTIONS(2530),
    [anon_sym_restrict] = ACTIONS(2530),
    [anon_sym___restrict__] = ACTIONS(2530),
    [anon_sym__Atomic] = ACTIONS(2530),
    [anon_sym__Noreturn] = ACTIONS(2530),
    [anon_sym_noreturn] = ACTIONS(2530),
    [anon_sym_mutable] = ACTIONS(2530),
    [anon_sym_constinit] = ACTIONS(2530),
    [anon_sym_consteval] = ACTIONS(2530),
    [anon_sym_alignas] = ACTIONS(2530),
    [anon_sym__Alignas] = ACTIONS(2530),
    [sym_primitive_type] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [anon_sym_if] = ACTIONS(2530),
    [anon_sym_else] = ACTIONS(2530),
    [anon_sym_switch] = ACTIONS(2530),
    [anon_sym_case] = ACTIONS(2530),
    [anon_sym_default] = ACTIONS(2530),
    [anon_sym_while] = ACTIONS(2530),
    [anon_sym_do] = ACTIONS(2530),
    [anon_sym_for] = ACTIONS(2530),
    [anon_sym_return] = ACTIONS(2530),
    [anon_sym_break] = ACTIONS(2530),
    [anon_sym_continue] = ACTIONS(2530),
    [anon_sym_goto] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2530),
    [anon_sym___leave] = ACTIONS(2530),
    [anon_sym_not] = ACTIONS(2530),
    [anon_sym_compl] = ACTIONS(2530),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_sizeof] = ACTIONS(2530),
    [anon_sym___alignof__] = ACTIONS(2530),
    [anon_sym___alignof] = ACTIONS(2530),
    [anon_sym__alignof] = ACTIONS(2530),
    [anon_sym_alignof] = ACTIONS(2530),
    [anon_sym__Alignof] = ACTIONS(2530),
    [anon_sym_offsetof] = ACTIONS(2530),
    [anon_sym__Generic] = ACTIONS(2530),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [sym_number_literal] = ACTIONS(2532),
    [anon_sym_L_SQUOTE] = ACTIONS(2532),
    [anon_sym_u_SQUOTE] = ACTIONS(2532),
    [anon_sym_U_SQUOTE] = ACTIONS(2532),
    [anon_sym_u8_SQUOTE] = ACTIONS(2532),
    [anon_sym_SQUOTE] = ACTIONS(2532),
    [anon_sym_L_DQUOTE] = ACTIONS(2532),
    [anon_sym_u_DQUOTE] = ACTIONS(2532),
    [anon_sym_U_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8_DQUOTE] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2532),
    [sym_true] = ACTIONS(2530),
    [sym_false] = ACTIONS(2530),
    [anon_sym_NULL] = ACTIONS(2530),
    [anon_sym_nullptr] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2530),
    [anon_sym_decltype] = ACTIONS(2530),
    [sym_virtual] = ACTIONS(2530),
    [anon_sym_explicit] = ACTIONS(2530),
    [anon_sym_typename] = ACTIONS(2530),
    [anon_sym_template] = ACTIONS(2530),
    [anon_sym_operator] = ACTIONS(2530),
    [anon_sym_try] = ACTIONS(2530),
    [anon_sym_delete] = ACTIONS(2530),
    [anon_sym_throw] = ACTIONS(2530),
    [anon_sym_namespace] = ACTIONS(2530),
    [anon_sym_using] = ACTIONS(2530),
    [anon_sym_static_assert] = ACTIONS(2530),
    [anon_sym_concept] = ACTIONS(2530),
    [anon_sym_co_return] = ACTIONS(2530),
    [anon_sym_co_yield] = ACTIONS(2530),
    [anon_sym_R_DQUOTE] = ACTIONS(2532),
    [anon_sym_LR_DQUOTE] = ACTIONS(2532),
    [anon_sym_uR_DQUOTE] = ACTIONS(2532),
    [anon_sym_UR_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2532),
    [anon_sym_co_await] = ACTIONS(2530),
    [anon_sym_new] = ACTIONS(2530),
    [anon_sym_requires] = ACTIONS(2530),
    [sym_this] = ACTIONS(2530),
  },
  [435] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [436] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [437] = {
    [sym_expression] = STATE(4135),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym__Alignas] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(2606),
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_else] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_namespace] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
    [anon_sym_concept] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(2610),
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(2610),
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_namespace] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
    [anon_sym_concept] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(2602),
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [sym_virtual] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
  },
  [442] = {
    [ts_builtin_sym_end] = ACTIONS(2618),
    [sym_identifier] = ACTIONS(2616),
    [aux_sym_preproc_include_token1] = ACTIONS(2616),
    [aux_sym_preproc_def_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2616),
    [sym_preproc_directive] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym___based] = ACTIONS(2616),
    [anon_sym___cdecl] = ACTIONS(2616),
    [anon_sym___clrcall] = ACTIONS(2616),
    [anon_sym___stdcall] = ACTIONS(2616),
    [anon_sym___fastcall] = ACTIONS(2616),
    [anon_sym___thiscall] = ACTIONS(2616),
    [anon_sym___vectorcall] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_else] = ACTIONS(2616),
    [anon_sym_switch] = ACTIONS(2616),
    [anon_sym_case] = ACTIONS(2616),
    [anon_sym_default] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_do] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_break] = ACTIONS(2616),
    [anon_sym_continue] = ACTIONS(2616),
    [anon_sym_goto] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2616),
    [anon_sym___leave] = ACTIONS(2616),
    [anon_sym_not] = ACTIONS(2616),
    [anon_sym_compl] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2616),
    [anon_sym___alignof] = ACTIONS(2616),
    [anon_sym__alignof] = ACTIONS(2616),
    [anon_sym_alignof] = ACTIONS(2616),
    [anon_sym__Alignof] = ACTIONS(2616),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2616),
    [anon_sym_asm] = ACTIONS(2616),
    [anon_sym___asm__] = ACTIONS(2616),
    [sym_number_literal] = ACTIONS(2618),
    [anon_sym_L_SQUOTE] = ACTIONS(2618),
    [anon_sym_u_SQUOTE] = ACTIONS(2618),
    [anon_sym_U_SQUOTE] = ACTIONS(2618),
    [anon_sym_u8_SQUOTE] = ACTIONS(2618),
    [anon_sym_SQUOTE] = ACTIONS(2618),
    [anon_sym_L_DQUOTE] = ACTIONS(2618),
    [anon_sym_u_DQUOTE] = ACTIONS(2618),
    [anon_sym_U_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2616),
    [anon_sym_nullptr] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_explicit] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_operator] = ACTIONS(2616),
    [anon_sym_try] = ACTIONS(2616),
    [anon_sym_delete] = ACTIONS(2616),
    [anon_sym_throw] = ACTIONS(2616),
    [anon_sym_namespace] = ACTIONS(2616),
    [anon_sym_using] = ACTIONS(2616),
    [anon_sym_static_assert] = ACTIONS(2616),
    [anon_sym_concept] = ACTIONS(2616),
    [anon_sym_co_return] = ACTIONS(2616),
    [anon_sym_co_yield] = ACTIONS(2616),
    [anon_sym_R_DQUOTE] = ACTIONS(2618),
    [anon_sym_LR_DQUOTE] = ACTIONS(2618),
    [anon_sym_uR_DQUOTE] = ACTIONS(2618),
    [anon_sym_UR_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2618),
    [anon_sym_co_await] = ACTIONS(2616),
    [anon_sym_new] = ACTIONS(2616),
    [anon_sym_requires] = ACTIONS(2616),
    [sym_this] = ACTIONS(2616),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(2622),
    [sym_identifier] = ACTIONS(2620),
    [aux_sym_preproc_include_token1] = ACTIONS(2620),
    [aux_sym_preproc_def_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2620),
    [sym_preproc_directive] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym___based] = ACTIONS(2620),
    [anon_sym___cdecl] = ACTIONS(2620),
    [anon_sym___clrcall] = ACTIONS(2620),
    [anon_sym___stdcall] = ACTIONS(2620),
    [anon_sym___fastcall] = ACTIONS(2620),
    [anon_sym___thiscall] = ACTIONS(2620),
    [anon_sym___vectorcall] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_goto] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2620),
    [anon_sym___leave] = ACTIONS(2620),
    [anon_sym_not] = ACTIONS(2620),
    [anon_sym_compl] = ACTIONS(2620),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_sizeof] = ACTIONS(2620),
    [anon_sym___alignof__] = ACTIONS(2620),
    [anon_sym___alignof] = ACTIONS(2620),
    [anon_sym__alignof] = ACTIONS(2620),
    [anon_sym_alignof] = ACTIONS(2620),
    [anon_sym__Alignof] = ACTIONS(2620),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2620),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2622),
    [anon_sym_u_SQUOTE] = ACTIONS(2622),
    [anon_sym_U_SQUOTE] = ACTIONS(2622),
    [anon_sym_u8_SQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [anon_sym_L_DQUOTE] = ACTIONS(2622),
    [anon_sym_u_DQUOTE] = ACTIONS(2622),
    [anon_sym_U_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8_DQUOTE] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [anon_sym_NULL] = ACTIONS(2620),
    [anon_sym_nullptr] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_explicit] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_operator] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(2620),
    [anon_sym_static_assert] = ACTIONS(2620),
    [anon_sym_concept] = ACTIONS(2620),
    [anon_sym_co_return] = ACTIONS(2620),
    [anon_sym_co_yield] = ACTIONS(2620),
    [anon_sym_R_DQUOTE] = ACTIONS(2622),
    [anon_sym_LR_DQUOTE] = ACTIONS(2622),
    [anon_sym_uR_DQUOTE] = ACTIONS(2622),
    [anon_sym_UR_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2622),
    [anon_sym_co_await] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_requires] = ACTIONS(2620),
    [sym_this] = ACTIONS(2620),
  },
  [444] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2624),
    [aux_sym_preproc_include_token1] = ACTIONS(2624),
    [aux_sym_preproc_def_token1] = ACTIONS(2624),
    [aux_sym_preproc_if_token1] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2624),
    [sym_preproc_directive] = ACTIONS(2624),
    [anon_sym_LPAREN2] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym___extension__] = ACTIONS(2624),
    [anon_sym_typedef] = ACTIONS(2624),
    [anon_sym_extern] = ACTIONS(2624),
    [anon_sym___attribute__] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2626),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2626),
    [anon_sym___declspec] = ACTIONS(2624),
    [anon_sym___based] = ACTIONS(2624),
    [anon_sym___cdecl] = ACTIONS(2624),
    [anon_sym___clrcall] = ACTIONS(2624),
    [anon_sym___stdcall] = ACTIONS(2624),
    [anon_sym___fastcall] = ACTIONS(2624),
    [anon_sym___thiscall] = ACTIONS(2624),
    [anon_sym___vectorcall] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_RBRACE] = ACTIONS(2626),
    [anon_sym_signed] = ACTIONS(2624),
    [anon_sym_unsigned] = ACTIONS(2624),
    [anon_sym_long] = ACTIONS(2624),
    [anon_sym_short] = ACTIONS(2624),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2624),
    [anon_sym_register] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym___inline] = ACTIONS(2624),
    [anon_sym___inline__] = ACTIONS(2624),
    [anon_sym___forceinline] = ACTIONS(2624),
    [anon_sym_thread_local] = ACTIONS(2624),
    [anon_sym___thread] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_constexpr] = ACTIONS(2624),
    [anon_sym_volatile] = ACTIONS(2624),
    [anon_sym_restrict] = ACTIONS(2624),
    [anon_sym___restrict__] = ACTIONS(2624),
    [anon_sym__Atomic] = ACTIONS(2624),
    [anon_sym__Noreturn] = ACTIONS(2624),
    [anon_sym_noreturn] = ACTIONS(2624),
    [anon_sym_mutable] = ACTIONS(2624),
    [anon_sym_constinit] = ACTIONS(2624),
    [anon_sym_consteval] = ACTIONS(2624),
    [anon_sym_alignas] = ACTIONS(2624),
    [anon_sym__Alignas] = ACTIONS(2624),
    [sym_primitive_type] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_class] = ACTIONS(2624),
    [anon_sym_struct] = ACTIONS(2624),
    [anon_sym_union] = ACTIONS(2624),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_case] = ACTIONS(2624),
    [anon_sym_default] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_do] = ACTIONS(2624),
    [anon_sym_for] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_break] = ACTIONS(2624),
    [anon_sym_continue] = ACTIONS(2624),
    [anon_sym_goto] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2624),
    [anon_sym___leave] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2624),
    [anon_sym_compl] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_sizeof] = ACTIONS(2624),
    [anon_sym___alignof__] = ACTIONS(2624),
    [anon_sym___alignof] = ACTIONS(2624),
    [anon_sym__alignof] = ACTIONS(2624),
    [anon_sym_alignof] = ACTIONS(2624),
    [anon_sym__Alignof] = ACTIONS(2624),
    [anon_sym_offsetof] = ACTIONS(2624),
    [anon_sym__Generic] = ACTIONS(2624),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2626),
    [anon_sym_u_SQUOTE] = ACTIONS(2626),
    [anon_sym_U_SQUOTE] = ACTIONS(2626),
    [anon_sym_u8_SQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2624),
    [sym_false] = ACTIONS(2624),
    [anon_sym_NULL] = ACTIONS(2624),
    [anon_sym_nullptr] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2624),
    [anon_sym_decltype] = ACTIONS(2624),
    [sym_virtual] = ACTIONS(2624),
    [anon_sym_explicit] = ACTIONS(2624),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_delete] = ACTIONS(2624),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_namespace] = ACTIONS(2624),
    [anon_sym_using] = ACTIONS(2624),
    [anon_sym_static_assert] = ACTIONS(2624),
    [anon_sym_concept] = ACTIONS(2624),
    [anon_sym_co_return] = ACTIONS(2624),
    [anon_sym_co_yield] = ACTIONS(2624),
    [anon_sym_R_DQUOTE] = ACTIONS(2626),
    [anon_sym_LR_DQUOTE] = ACTIONS(2626),
    [anon_sym_uR_DQUOTE] = ACTIONS(2626),
    [anon_sym_UR_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2626),
    [anon_sym_co_await] = ACTIONS(2624),
    [anon_sym_new] = ACTIONS(2624),
    [anon_sym_requires] = ACTIONS(2624),
    [sym_this] = ACTIONS(2624),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(2630),
    [sym_identifier] = ACTIONS(2628),
    [aux_sym_preproc_include_token1] = ACTIONS(2628),
    [aux_sym_preproc_def_token1] = ACTIONS(2628),
    [aux_sym_preproc_if_token1] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2628),
    [sym_preproc_directive] = ACTIONS(2628),
    [anon_sym_LPAREN2] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym___extension__] = ACTIONS(2628),
    [anon_sym_typedef] = ACTIONS(2628),
    [anon_sym_extern] = ACTIONS(2628),
    [anon_sym___attribute__] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2630),
    [anon_sym___declspec] = ACTIONS(2628),
    [anon_sym___based] = ACTIONS(2628),
    [anon_sym___cdecl] = ACTIONS(2628),
    [anon_sym___clrcall] = ACTIONS(2628),
    [anon_sym___stdcall] = ACTIONS(2628),
    [anon_sym___fastcall] = ACTIONS(2628),
    [anon_sym___thiscall] = ACTIONS(2628),
    [anon_sym___vectorcall] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_signed] = ACTIONS(2628),
    [anon_sym_unsigned] = ACTIONS(2628),
    [anon_sym_long] = ACTIONS(2628),
    [anon_sym_short] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_register] = ACTIONS(2628),
    [anon_sym_inline] = ACTIONS(2628),
    [anon_sym___inline] = ACTIONS(2628),
    [anon_sym___inline__] = ACTIONS(2628),
    [anon_sym___forceinline] = ACTIONS(2628),
    [anon_sym_thread_local] = ACTIONS(2628),
    [anon_sym___thread] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_constexpr] = ACTIONS(2628),
    [anon_sym_volatile] = ACTIONS(2628),
    [anon_sym_restrict] = ACTIONS(2628),
    [anon_sym___restrict__] = ACTIONS(2628),
    [anon_sym__Atomic] = ACTIONS(2628),
    [anon_sym__Noreturn] = ACTIONS(2628),
    [anon_sym_noreturn] = ACTIONS(2628),
    [anon_sym_mutable] = ACTIONS(2628),
    [anon_sym_constinit] = ACTIONS(2628),
    [anon_sym_consteval] = ACTIONS(2628),
    [anon_sym_alignas] = ACTIONS(2628),
    [anon_sym__Alignas] = ACTIONS(2628),
    [sym_primitive_type] = ACTIONS(2628),
    [anon_sym_enum] = ACTIONS(2628),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_struct] = ACTIONS(2628),
    [anon_sym_union] = ACTIONS(2628),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_else] = ACTIONS(2628),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_case] = ACTIONS(2628),
    [anon_sym_default] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2628),
    [anon_sym_do] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_return] = ACTIONS(2628),
    [anon_sym_break] = ACTIONS(2628),
    [anon_sym_continue] = ACTIONS(2628),
    [anon_sym_goto] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2628),
    [anon_sym___leave] = ACTIONS(2628),
    [anon_sym_not] = ACTIONS(2628),
    [anon_sym_compl] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_sizeof] = ACTIONS(2628),
    [anon_sym___alignof__] = ACTIONS(2628),
    [anon_sym___alignof] = ACTIONS(2628),
    [anon_sym__alignof] = ACTIONS(2628),
    [anon_sym_alignof] = ACTIONS(2628),
    [anon_sym__Alignof] = ACTIONS(2628),
    [anon_sym_offsetof] = ACTIONS(2628),
    [anon_sym__Generic] = ACTIONS(2628),
    [anon_sym_asm] = ACTIONS(2628),
    [anon_sym___asm__] = ACTIONS(2628),
    [sym_number_literal] = ACTIONS(2630),
    [anon_sym_L_SQUOTE] = ACTIONS(2630),
    [anon_sym_u_SQUOTE] = ACTIONS(2630),
    [anon_sym_U_SQUOTE] = ACTIONS(2630),
    [anon_sym_u8_SQUOTE] = ACTIONS(2630),
    [anon_sym_SQUOTE] = ACTIONS(2630),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2628),
    [anon_sym_nullptr] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2628),
    [anon_sym_decltype] = ACTIONS(2628),
    [sym_virtual] = ACTIONS(2628),
    [anon_sym_explicit] = ACTIONS(2628),
    [anon_sym_typename] = ACTIONS(2628),
    [anon_sym_template] = ACTIONS(2628),
    [anon_sym_operator] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2628),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_throw] = ACTIONS(2628),
    [anon_sym_namespace] = ACTIONS(2628),
    [anon_sym_using] = ACTIONS(2628),
    [anon_sym_static_assert] = ACTIONS(2628),
    [anon_sym_concept] = ACTIONS(2628),
    [anon_sym_co_return] = ACTIONS(2628),
    [anon_sym_co_yield] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2628),
    [anon_sym_requires] = ACTIONS(2628),
    [sym_this] = ACTIONS(2628),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(2634),
    [sym_identifier] = ACTIONS(2632),
    [aux_sym_preproc_include_token1] = ACTIONS(2632),
    [aux_sym_preproc_def_token1] = ACTIONS(2632),
    [aux_sym_preproc_if_token1] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2632),
    [sym_preproc_directive] = ACTIONS(2632),
    [anon_sym_LPAREN2] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_TILDE] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym___extension__] = ACTIONS(2632),
    [anon_sym_typedef] = ACTIONS(2632),
    [anon_sym_extern] = ACTIONS(2632),
    [anon_sym___attribute__] = ACTIONS(2632),
    [anon_sym_COLON_COLON] = ACTIONS(2634),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2634),
    [anon_sym___declspec] = ACTIONS(2632),
    [anon_sym___based] = ACTIONS(2632),
    [anon_sym___cdecl] = ACTIONS(2632),
    [anon_sym___clrcall] = ACTIONS(2632),
    [anon_sym___stdcall] = ACTIONS(2632),
    [anon_sym___fastcall] = ACTIONS(2632),
    [anon_sym___thiscall] = ACTIONS(2632),
    [anon_sym___vectorcall] = ACTIONS(2632),
    [anon_sym_LBRACE] = ACTIONS(2634),
    [anon_sym_signed] = ACTIONS(2632),
    [anon_sym_unsigned] = ACTIONS(2632),
    [anon_sym_long] = ACTIONS(2632),
    [anon_sym_short] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_static] = ACTIONS(2632),
    [anon_sym_register] = ACTIONS(2632),
    [anon_sym_inline] = ACTIONS(2632),
    [anon_sym___inline] = ACTIONS(2632),
    [anon_sym___inline__] = ACTIONS(2632),
    [anon_sym___forceinline] = ACTIONS(2632),
    [anon_sym_thread_local] = ACTIONS(2632),
    [anon_sym___thread] = ACTIONS(2632),
    [anon_sym_const] = ACTIONS(2632),
    [anon_sym_constexpr] = ACTIONS(2632),
    [anon_sym_volatile] = ACTIONS(2632),
    [anon_sym_restrict] = ACTIONS(2632),
    [anon_sym___restrict__] = ACTIONS(2632),
    [anon_sym__Atomic] = ACTIONS(2632),
    [anon_sym__Noreturn] = ACTIONS(2632),
    [anon_sym_noreturn] = ACTIONS(2632),
    [anon_sym_mutable] = ACTIONS(2632),
    [anon_sym_constinit] = ACTIONS(2632),
    [anon_sym_consteval] = ACTIONS(2632),
    [anon_sym_alignas] = ACTIONS(2632),
    [anon_sym__Alignas] = ACTIONS(2632),
    [sym_primitive_type] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_struct] = ACTIONS(2632),
    [anon_sym_union] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_case] = ACTIONS(2632),
    [anon_sym_default] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_break] = ACTIONS(2632),
    [anon_sym_continue] = ACTIONS(2632),
    [anon_sym_goto] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2632),
    [anon_sym___leave] = ACTIONS(2632),
    [anon_sym_not] = ACTIONS(2632),
    [anon_sym_compl] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_sizeof] = ACTIONS(2632),
    [anon_sym___alignof__] = ACTIONS(2632),
    [anon_sym___alignof] = ACTIONS(2632),
    [anon_sym__alignof] = ACTIONS(2632),
    [anon_sym_alignof] = ACTIONS(2632),
    [anon_sym__Alignof] = ACTIONS(2632),
    [anon_sym_offsetof] = ACTIONS(2632),
    [anon_sym__Generic] = ACTIONS(2632),
    [anon_sym_asm] = ACTIONS(2632),
    [anon_sym___asm__] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2634),
    [anon_sym_L_SQUOTE] = ACTIONS(2634),
    [anon_sym_u_SQUOTE] = ACTIONS(2634),
    [anon_sym_U_SQUOTE] = ACTIONS(2634),
    [anon_sym_u8_SQUOTE] = ACTIONS(2634),
    [anon_sym_SQUOTE] = ACTIONS(2634),
    [anon_sym_L_DQUOTE] = ACTIONS(2634),
    [anon_sym_u_DQUOTE] = ACTIONS(2634),
    [anon_sym_U_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2632),
    [anon_sym_nullptr] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2632),
    [sym_virtual] = ACTIONS(2632),
    [anon_sym_explicit] = ACTIONS(2632),
    [anon_sym_typename] = ACTIONS(2632),
    [anon_sym_template] = ACTIONS(2632),
    [anon_sym_operator] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_delete] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2632),
    [anon_sym_namespace] = ACTIONS(2632),
    [anon_sym_using] = ACTIONS(2632),
    [anon_sym_static_assert] = ACTIONS(2632),
    [anon_sym_concept] = ACTIONS(2632),
    [anon_sym_co_return] = ACTIONS(2632),
    [anon_sym_co_yield] = ACTIONS(2632),
    [anon_sym_R_DQUOTE] = ACTIONS(2634),
    [anon_sym_LR_DQUOTE] = ACTIONS(2634),
    [anon_sym_uR_DQUOTE] = ACTIONS(2634),
    [anon_sym_UR_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2634),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2632),
    [anon_sym_requires] = ACTIONS(2632),
    [sym_this] = ACTIONS(2632),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(2638),
    [sym_identifier] = ACTIONS(2636),
    [aux_sym_preproc_include_token1] = ACTIONS(2636),
    [aux_sym_preproc_def_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token1] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2636),
    [sym_preproc_directive] = ACTIONS(2636),
    [anon_sym_LPAREN2] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_TILDE] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2636),
    [anon_sym_typedef] = ACTIONS(2636),
    [anon_sym_extern] = ACTIONS(2636),
    [anon_sym___attribute__] = ACTIONS(2636),
    [anon_sym_COLON_COLON] = ACTIONS(2638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2638),
    [anon_sym___declspec] = ACTIONS(2636),
    [anon_sym___based] = ACTIONS(2636),
    [anon_sym___cdecl] = ACTIONS(2636),
    [anon_sym___clrcall] = ACTIONS(2636),
    [anon_sym___stdcall] = ACTIONS(2636),
    [anon_sym___fastcall] = ACTIONS(2636),
    [anon_sym___thiscall] = ACTIONS(2636),
    [anon_sym___vectorcall] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_signed] = ACTIONS(2636),
    [anon_sym_unsigned] = ACTIONS(2636),
    [anon_sym_long] = ACTIONS(2636),
    [anon_sym_short] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2636),
    [anon_sym_register] = ACTIONS(2636),
    [anon_sym_inline] = ACTIONS(2636),
    [anon_sym___inline] = ACTIONS(2636),
    [anon_sym___inline__] = ACTIONS(2636),
    [anon_sym___forceinline] = ACTIONS(2636),
    [anon_sym_thread_local] = ACTIONS(2636),
    [anon_sym___thread] = ACTIONS(2636),
    [anon_sym_const] = ACTIONS(2636),
    [anon_sym_constexpr] = ACTIONS(2636),
    [anon_sym_volatile] = ACTIONS(2636),
    [anon_sym_restrict] = ACTIONS(2636),
    [anon_sym___restrict__] = ACTIONS(2636),
    [anon_sym__Atomic] = ACTIONS(2636),
    [anon_sym__Noreturn] = ACTIONS(2636),
    [anon_sym_noreturn] = ACTIONS(2636),
    [anon_sym_mutable] = ACTIONS(2636),
    [anon_sym_constinit] = ACTIONS(2636),
    [anon_sym_consteval] = ACTIONS(2636),
    [anon_sym_alignas] = ACTIONS(2636),
    [anon_sym__Alignas] = ACTIONS(2636),
    [sym_primitive_type] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2636),
    [anon_sym_struct] = ACTIONS(2636),
    [anon_sym_union] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2636),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2636),
    [anon_sym_default] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2636),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_return] = ACTIONS(2636),
    [anon_sym_break] = ACTIONS(2636),
    [anon_sym_continue] = ACTIONS(2636),
    [anon_sym_goto] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2636),
    [anon_sym___leave] = ACTIONS(2636),
    [anon_sym_not] = ACTIONS(2636),
    [anon_sym_compl] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_sizeof] = ACTIONS(2636),
    [anon_sym___alignof__] = ACTIONS(2636),
    [anon_sym___alignof] = ACTIONS(2636),
    [anon_sym__alignof] = ACTIONS(2636),
    [anon_sym_alignof] = ACTIONS(2636),
    [anon_sym__Alignof] = ACTIONS(2636),
    [anon_sym_offsetof] = ACTIONS(2636),
    [anon_sym__Generic] = ACTIONS(2636),
    [anon_sym_asm] = ACTIONS(2636),
    [anon_sym___asm__] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2638),
    [anon_sym_L_SQUOTE] = ACTIONS(2638),
    [anon_sym_u_SQUOTE] = ACTIONS(2638),
    [anon_sym_U_SQUOTE] = ACTIONS(2638),
    [anon_sym_u8_SQUOTE] = ACTIONS(2638),
    [anon_sym_SQUOTE] = ACTIONS(2638),
    [anon_sym_L_DQUOTE] = ACTIONS(2638),
    [anon_sym_u_DQUOTE] = ACTIONS(2638),
    [anon_sym_U_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [sym_true] = ACTIONS(2636),
    [sym_false] = ACTIONS(2636),
    [anon_sym_NULL] = ACTIONS(2636),
    [anon_sym_nullptr] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2636),
    [sym_virtual] = ACTIONS(2636),
    [anon_sym_explicit] = ACTIONS(2636),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(2636),
    [anon_sym_operator] = ACTIONS(2636),
    [anon_sym_try] = ACTIONS(2636),
    [anon_sym_delete] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2636),
    [anon_sym_namespace] = ACTIONS(2636),
    [anon_sym_using] = ACTIONS(2636),
    [anon_sym_static_assert] = ACTIONS(2636),
    [anon_sym_concept] = ACTIONS(2636),
    [anon_sym_co_return] = ACTIONS(2636),
    [anon_sym_co_yield] = ACTIONS(2636),
    [anon_sym_R_DQUOTE] = ACTIONS(2638),
    [anon_sym_LR_DQUOTE] = ACTIONS(2638),
    [anon_sym_uR_DQUOTE] = ACTIONS(2638),
    [anon_sym_UR_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2638),
    [anon_sym_co_await] = ACTIONS(2636),
    [anon_sym_new] = ACTIONS(2636),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2636),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2506),
    [aux_sym_preproc_include_token1] = ACTIONS(2506),
    [aux_sym_preproc_def_token1] = ACTIONS(2506),
    [aux_sym_preproc_if_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2506),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2506),
    [sym_preproc_directive] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2506),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_extern] = ACTIONS(2506),
    [anon_sym___attribute__] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2508),
    [anon_sym___declspec] = ACTIONS(2506),
    [anon_sym___based] = ACTIONS(2506),
    [anon_sym___cdecl] = ACTIONS(2506),
    [anon_sym___clrcall] = ACTIONS(2506),
    [anon_sym___stdcall] = ACTIONS(2506),
    [anon_sym___fastcall] = ACTIONS(2506),
    [anon_sym___thiscall] = ACTIONS(2506),
    [anon_sym___vectorcall] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2506),
    [anon_sym_unsigned] = ACTIONS(2506),
    [anon_sym_long] = ACTIONS(2506),
    [anon_sym_short] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_register] = ACTIONS(2506),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym___inline] = ACTIONS(2506),
    [anon_sym___inline__] = ACTIONS(2506),
    [anon_sym___forceinline] = ACTIONS(2506),
    [anon_sym_thread_local] = ACTIONS(2506),
    [anon_sym___thread] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_constexpr] = ACTIONS(2506),
    [anon_sym_volatile] = ACTIONS(2506),
    [anon_sym_restrict] = ACTIONS(2506),
    [anon_sym___restrict__] = ACTIONS(2506),
    [anon_sym__Atomic] = ACTIONS(2506),
    [anon_sym__Noreturn] = ACTIONS(2506),
    [anon_sym_noreturn] = ACTIONS(2506),
    [anon_sym_mutable] = ACTIONS(2506),
    [anon_sym_constinit] = ACTIONS(2506),
    [anon_sym_consteval] = ACTIONS(2506),
    [anon_sym_alignas] = ACTIONS(2506),
    [anon_sym__Alignas] = ACTIONS(2506),
    [sym_primitive_type] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_struct] = ACTIONS(2506),
    [anon_sym_union] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_else] = ACTIONS(2506),
    [anon_sym_switch] = ACTIONS(2506),
    [anon_sym_case] = ACTIONS(2506),
    [anon_sym_default] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_do] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2506),
    [anon_sym_return] = ACTIONS(2506),
    [anon_sym_break] = ACTIONS(2506),
    [anon_sym_continue] = ACTIONS(2506),
    [anon_sym_goto] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2506),
    [anon_sym___leave] = ACTIONS(2506),
    [anon_sym_not] = ACTIONS(2506),
    [anon_sym_compl] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2508),
    [anon_sym_sizeof] = ACTIONS(2506),
    [anon_sym___alignof__] = ACTIONS(2506),
    [anon_sym___alignof] = ACTIONS(2506),
    [anon_sym__alignof] = ACTIONS(2506),
    [anon_sym_alignof] = ACTIONS(2506),
    [anon_sym__Alignof] = ACTIONS(2506),
    [anon_sym_offsetof] = ACTIONS(2506),
    [anon_sym__Generic] = ACTIONS(2506),
    [anon_sym_asm] = ACTIONS(2506),
    [anon_sym___asm__] = ACTIONS(2506),
    [sym_number_literal] = ACTIONS(2508),
    [anon_sym_L_SQUOTE] = ACTIONS(2508),
    [anon_sym_u_SQUOTE] = ACTIONS(2508),
    [anon_sym_U_SQUOTE] = ACTIONS(2508),
    [anon_sym_u8_SQUOTE] = ACTIONS(2508),
    [anon_sym_SQUOTE] = ACTIONS(2508),
    [anon_sym_L_DQUOTE] = ACTIONS(2508),
    [anon_sym_u_DQUOTE] = ACTIONS(2508),
    [anon_sym_U_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8_DQUOTE] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2508),
    [sym_true] = ACTIONS(2506),
    [sym_false] = ACTIONS(2506),
    [anon_sym_NULL] = ACTIONS(2506),
    [anon_sym_nullptr] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2506),
    [anon_sym_decltype] = ACTIONS(2506),
    [sym_virtual] = ACTIONS(2506),
    [anon_sym_explicit] = ACTIONS(2506),
    [anon_sym_typename] = ACTIONS(2506),
    [anon_sym_template] = ACTIONS(2506),
    [anon_sym_operator] = ACTIONS(2506),
    [anon_sym_try] = ACTIONS(2506),
    [anon_sym_delete] = ACTIONS(2506),
    [anon_sym_throw] = ACTIONS(2506),
    [anon_sym_namespace] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_static_assert] = ACTIONS(2506),
    [anon_sym_concept] = ACTIONS(2506),
    [anon_sym_co_return] = ACTIONS(2506),
    [anon_sym_co_yield] = ACTIONS(2506),
    [anon_sym_R_DQUOTE] = ACTIONS(2508),
    [anon_sym_LR_DQUOTE] = ACTIONS(2508),
    [anon_sym_uR_DQUOTE] = ACTIONS(2508),
    [anon_sym_UR_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2508),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2506),
    [anon_sym_requires] = ACTIONS(2506),
    [sym_this] = ACTIONS(2506),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(2504),
    [sym_identifier] = ACTIONS(2502),
    [aux_sym_preproc_include_token1] = ACTIONS(2502),
    [aux_sym_preproc_def_token1] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2502),
    [sym_preproc_directive] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(2504),
    [anon_sym_BANG] = ACTIONS(2504),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym___extension__] = ACTIONS(2502),
    [anon_sym_typedef] = ACTIONS(2502),
    [anon_sym_extern] = ACTIONS(2502),
    [anon_sym___attribute__] = ACTIONS(2502),
    [anon_sym_COLON_COLON] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2504),
    [anon_sym___declspec] = ACTIONS(2502),
    [anon_sym___based] = ACTIONS(2502),
    [anon_sym___cdecl] = ACTIONS(2502),
    [anon_sym___clrcall] = ACTIONS(2502),
    [anon_sym___stdcall] = ACTIONS(2502),
    [anon_sym___fastcall] = ACTIONS(2502),
    [anon_sym___thiscall] = ACTIONS(2502),
    [anon_sym___vectorcall] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2502),
    [anon_sym_unsigned] = ACTIONS(2502),
    [anon_sym_long] = ACTIONS(2502),
    [anon_sym_short] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_static] = ACTIONS(2502),
    [anon_sym_register] = ACTIONS(2502),
    [anon_sym_inline] = ACTIONS(2502),
    [anon_sym___inline] = ACTIONS(2502),
    [anon_sym___inline__] = ACTIONS(2502),
    [anon_sym___forceinline] = ACTIONS(2502),
    [anon_sym_thread_local] = ACTIONS(2502),
    [anon_sym___thread] = ACTIONS(2502),
    [anon_sym_const] = ACTIONS(2502),
    [anon_sym_constexpr] = ACTIONS(2502),
    [anon_sym_volatile] = ACTIONS(2502),
    [anon_sym_restrict] = ACTIONS(2502),
    [anon_sym___restrict__] = ACTIONS(2502),
    [anon_sym__Atomic] = ACTIONS(2502),
    [anon_sym__Noreturn] = ACTIONS(2502),
    [anon_sym_noreturn] = ACTIONS(2502),
    [anon_sym_mutable] = ACTIONS(2502),
    [anon_sym_constinit] = ACTIONS(2502),
    [anon_sym_consteval] = ACTIONS(2502),
    [anon_sym_alignas] = ACTIONS(2502),
    [anon_sym__Alignas] = ACTIONS(2502),
    [sym_primitive_type] = ACTIONS(2502),
    [anon_sym_enum] = ACTIONS(2502),
    [anon_sym_class] = ACTIONS(2502),
    [anon_sym_struct] = ACTIONS(2502),
    [anon_sym_union] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_else] = ACTIONS(2502),
    [anon_sym_switch] = ACTIONS(2502),
    [anon_sym_case] = ACTIONS(2502),
    [anon_sym_default] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_do] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2502),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_break] = ACTIONS(2502),
    [anon_sym_continue] = ACTIONS(2502),
    [anon_sym_goto] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2502),
    [anon_sym___leave] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2502),
    [anon_sym_compl] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2504),
    [anon_sym_PLUS_PLUS] = ACTIONS(2504),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(2502),
    [anon_sym___alignof] = ACTIONS(2502),
    [anon_sym__alignof] = ACTIONS(2502),
    [anon_sym_alignof] = ACTIONS(2502),
    [anon_sym__Alignof] = ACTIONS(2502),
    [anon_sym_offsetof] = ACTIONS(2502),
    [anon_sym__Generic] = ACTIONS(2502),
    [anon_sym_asm] = ACTIONS(2502),
    [anon_sym___asm__] = ACTIONS(2502),
    [sym_number_literal] = ACTIONS(2504),
    [anon_sym_L_SQUOTE] = ACTIONS(2504),
    [anon_sym_u_SQUOTE] = ACTIONS(2504),
    [anon_sym_U_SQUOTE] = ACTIONS(2504),
    [anon_sym_u8_SQUOTE] = ACTIONS(2504),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_L_DQUOTE] = ACTIONS(2504),
    [anon_sym_u_DQUOTE] = ACTIONS(2504),
    [anon_sym_U_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8_DQUOTE] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [sym_true] = ACTIONS(2502),
    [sym_false] = ACTIONS(2502),
    [anon_sym_NULL] = ACTIONS(2502),
    [anon_sym_nullptr] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2502),
    [anon_sym_decltype] = ACTIONS(2502),
    [sym_virtual] = ACTIONS(2502),
    [anon_sym_explicit] = ACTIONS(2502),
    [anon_sym_typename] = ACTIONS(2502),
    [anon_sym_template] = ACTIONS(2502),
    [anon_sym_operator] = ACTIONS(2502),
    [anon_sym_try] = ACTIONS(2502),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2502),
    [anon_sym_namespace] = ACTIONS(2502),
    [anon_sym_using] = ACTIONS(2502),
    [anon_sym_static_assert] = ACTIONS(2502),
    [anon_sym_concept] = ACTIONS(2502),
    [anon_sym_co_return] = ACTIONS(2502),
    [anon_sym_co_yield] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2504),
    [anon_sym_LR_DQUOTE] = ACTIONS(2504),
    [anon_sym_uR_DQUOTE] = ACTIONS(2504),
    [anon_sym_UR_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2504),
    [anon_sym_co_await] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2502),
    [anon_sym_requires] = ACTIONS(2502),
    [sym_this] = ACTIONS(2502),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(2520),
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_include_token1] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym___cdecl] = ACTIONS(2518),
    [anon_sym___clrcall] = ACTIONS(2518),
    [anon_sym___stdcall] = ACTIONS(2518),
    [anon_sym___fastcall] = ACTIONS(2518),
    [anon_sym___thiscall] = ACTIONS(2518),
    [anon_sym___vectorcall] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_else] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2518),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2518),
    [anon_sym___leave] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [sym_virtual] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_namespace] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
    [anon_sym_concept] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(2614),
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_include_token1] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym___cdecl] = ACTIONS(2612),
    [anon_sym___clrcall] = ACTIONS(2612),
    [anon_sym___stdcall] = ACTIONS(2612),
    [anon_sym___fastcall] = ACTIONS(2612),
    [anon_sym___thiscall] = ACTIONS(2612),
    [anon_sym___vectorcall] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
    [anon_sym_concept] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(2528),
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_include_token1] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym___cdecl] = ACTIONS(2526),
    [anon_sym___clrcall] = ACTIONS(2526),
    [anon_sym___stdcall] = ACTIONS(2526),
    [anon_sym___fastcall] = ACTIONS(2526),
    [anon_sym___thiscall] = ACTIONS(2526),
    [anon_sym___vectorcall] = ACTIONS(2526),
    [anon_sym_LBRACE] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_else] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2526),
    [anon_sym_case] = ACTIONS(2526),
    [anon_sym_default] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_break] = ACTIONS(2526),
    [anon_sym_continue] = ACTIONS(2526),
    [anon_sym_goto] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2526),
    [anon_sym___leave] = ACTIONS(2526),
    [anon_sym_not] = ACTIONS(2526),
    [anon_sym_compl] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_sizeof] = ACTIONS(2526),
    [anon_sym___alignof__] = ACTIONS(2526),
    [anon_sym___alignof] = ACTIONS(2526),
    [anon_sym__alignof] = ACTIONS(2526),
    [anon_sym_alignof] = ACTIONS(2526),
    [anon_sym__Alignof] = ACTIONS(2526),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2526),
    [anon_sym_asm] = ACTIONS(2526),
    [anon_sym___asm__] = ACTIONS(2526),
    [sym_number_literal] = ACTIONS(2528),
    [anon_sym_L_SQUOTE] = ACTIONS(2528),
    [anon_sym_u_SQUOTE] = ACTIONS(2528),
    [anon_sym_U_SQUOTE] = ACTIONS(2528),
    [anon_sym_u8_SQUOTE] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_L_DQUOTE] = ACTIONS(2528),
    [anon_sym_u_DQUOTE] = ACTIONS(2528),
    [anon_sym_U_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2528),
    [sym_true] = ACTIONS(2526),
    [sym_false] = ACTIONS(2526),
    [anon_sym_NULL] = ACTIONS(2526),
    [anon_sym_nullptr] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [sym_virtual] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_delete] = ACTIONS(2526),
    [anon_sym_throw] = ACTIONS(2526),
    [anon_sym_namespace] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
    [anon_sym_concept] = ACTIONS(2526),
    [anon_sym_co_return] = ACTIONS(2526),
    [anon_sym_co_yield] = ACTIONS(2526),
    [anon_sym_R_DQUOTE] = ACTIONS(2528),
    [anon_sym_LR_DQUOTE] = ACTIONS(2528),
    [anon_sym_uR_DQUOTE] = ACTIONS(2528),
    [anon_sym_UR_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2528),
    [anon_sym_co_await] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_requires] = ACTIONS(2526),
    [sym_this] = ACTIONS(2526),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2530),
    [aux_sym_preproc_include_token1] = ACTIONS(2530),
    [aux_sym_preproc_def_token1] = ACTIONS(2530),
    [aux_sym_preproc_if_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2530),
    [sym_preproc_directive] = ACTIONS(2530),
    [anon_sym_LPAREN2] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2530),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym___attribute__] = ACTIONS(2530),
    [anon_sym_COLON_COLON] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2532),
    [anon_sym___declspec] = ACTIONS(2530),
    [anon_sym___based] = ACTIONS(2530),
    [anon_sym___cdecl] = ACTIONS(2530),
    [anon_sym___clrcall] = ACTIONS(2530),
    [anon_sym___stdcall] = ACTIONS(2530),
    [anon_sym___fastcall] = ACTIONS(2530),
    [anon_sym___thiscall] = ACTIONS(2530),
    [anon_sym___vectorcall] = ACTIONS(2530),
    [anon_sym_LBRACE] = ACTIONS(2532),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2530),
    [anon_sym_unsigned] = ACTIONS(2530),
    [anon_sym_long] = ACTIONS(2530),
    [anon_sym_short] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_register] = ACTIONS(2530),
    [anon_sym_inline] = ACTIONS(2530),
    [anon_sym___inline] = ACTIONS(2530),
    [anon_sym___inline__] = ACTIONS(2530),
    [anon_sym___forceinline] = ACTIONS(2530),
    [anon_sym_thread_local] = ACTIONS(2530),
    [anon_sym___thread] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_constexpr] = ACTIONS(2530),
    [anon_sym_volatile] = ACTIONS(2530),
    [anon_sym_restrict] = ACTIONS(2530),
    [anon_sym___restrict__] = ACTIONS(2530),
    [anon_sym__Atomic] = ACTIONS(2530),
    [anon_sym__Noreturn] = ACTIONS(2530),
    [anon_sym_noreturn] = ACTIONS(2530),
    [anon_sym_mutable] = ACTIONS(2530),
    [anon_sym_constinit] = ACTIONS(2530),
    [anon_sym_consteval] = ACTIONS(2530),
    [anon_sym_alignas] = ACTIONS(2530),
    [anon_sym__Alignas] = ACTIONS(2530),
    [sym_primitive_type] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [anon_sym_if] = ACTIONS(2530),
    [anon_sym_else] = ACTIONS(2530),
    [anon_sym_switch] = ACTIONS(2530),
    [anon_sym_case] = ACTIONS(2530),
    [anon_sym_default] = ACTIONS(2530),
    [anon_sym_while] = ACTIONS(2530),
    [anon_sym_do] = ACTIONS(2530),
    [anon_sym_for] = ACTIONS(2530),
    [anon_sym_return] = ACTIONS(2530),
    [anon_sym_break] = ACTIONS(2530),
    [anon_sym_continue] = ACTIONS(2530),
    [anon_sym_goto] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2530),
    [anon_sym___leave] = ACTIONS(2530),
    [anon_sym_not] = ACTIONS(2530),
    [anon_sym_compl] = ACTIONS(2530),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_sizeof] = ACTIONS(2530),
    [anon_sym___alignof__] = ACTIONS(2530),
    [anon_sym___alignof] = ACTIONS(2530),
    [anon_sym__alignof] = ACTIONS(2530),
    [anon_sym_alignof] = ACTIONS(2530),
    [anon_sym__Alignof] = ACTIONS(2530),
    [anon_sym_offsetof] = ACTIONS(2530),
    [anon_sym__Generic] = ACTIONS(2530),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [sym_number_literal] = ACTIONS(2532),
    [anon_sym_L_SQUOTE] = ACTIONS(2532),
    [anon_sym_u_SQUOTE] = ACTIONS(2532),
    [anon_sym_U_SQUOTE] = ACTIONS(2532),
    [anon_sym_u8_SQUOTE] = ACTIONS(2532),
    [anon_sym_SQUOTE] = ACTIONS(2532),
    [anon_sym_L_DQUOTE] = ACTIONS(2532),
    [anon_sym_u_DQUOTE] = ACTIONS(2532),
    [anon_sym_U_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8_DQUOTE] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2532),
    [sym_true] = ACTIONS(2530),
    [sym_false] = ACTIONS(2530),
    [anon_sym_NULL] = ACTIONS(2530),
    [anon_sym_nullptr] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2530),
    [anon_sym_decltype] = ACTIONS(2530),
    [sym_virtual] = ACTIONS(2530),
    [anon_sym_explicit] = ACTIONS(2530),
    [anon_sym_typename] = ACTIONS(2530),
    [anon_sym_template] = ACTIONS(2530),
    [anon_sym_operator] = ACTIONS(2530),
    [anon_sym_try] = ACTIONS(2530),
    [anon_sym_delete] = ACTIONS(2530),
    [anon_sym_throw] = ACTIONS(2530),
    [anon_sym_namespace] = ACTIONS(2530),
    [anon_sym_using] = ACTIONS(2530),
    [anon_sym_static_assert] = ACTIONS(2530),
    [anon_sym_concept] = ACTIONS(2530),
    [anon_sym_co_return] = ACTIONS(2530),
    [anon_sym_co_yield] = ACTIONS(2530),
    [anon_sym_R_DQUOTE] = ACTIONS(2532),
    [anon_sym_LR_DQUOTE] = ACTIONS(2532),
    [anon_sym_uR_DQUOTE] = ACTIONS(2532),
    [anon_sym_UR_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2532),
    [anon_sym_co_await] = ACTIONS(2530),
    [anon_sym_new] = ACTIONS(2530),
    [anon_sym_requires] = ACTIONS(2530),
    [sym_this] = ACTIONS(2530),
  },
  [455] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(2566),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___based] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_explicit] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_operator] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_namespace] = ACTIONS(2564),
    [anon_sym_using] = ACTIONS(2564),
    [anon_sym_static_assert] = ACTIONS(2564),
    [anon_sym_concept] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2616),
    [aux_sym_preproc_include_token1] = ACTIONS(2616),
    [aux_sym_preproc_def_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2616),
    [sym_preproc_directive] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym___based] = ACTIONS(2616),
    [anon_sym___cdecl] = ACTIONS(2616),
    [anon_sym___clrcall] = ACTIONS(2616),
    [anon_sym___stdcall] = ACTIONS(2616),
    [anon_sym___fastcall] = ACTIONS(2616),
    [anon_sym___thiscall] = ACTIONS(2616),
    [anon_sym___vectorcall] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(2618),
    [anon_sym_RBRACE] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_else] = ACTIONS(2616),
    [anon_sym_switch] = ACTIONS(2616),
    [anon_sym_case] = ACTIONS(2616),
    [anon_sym_default] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_do] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_break] = ACTIONS(2616),
    [anon_sym_continue] = ACTIONS(2616),
    [anon_sym_goto] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2616),
    [anon_sym___leave] = ACTIONS(2616),
    [anon_sym_not] = ACTIONS(2616),
    [anon_sym_compl] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2616),
    [anon_sym___alignof] = ACTIONS(2616),
    [anon_sym__alignof] = ACTIONS(2616),
    [anon_sym_alignof] = ACTIONS(2616),
    [anon_sym__Alignof] = ACTIONS(2616),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2616),
    [anon_sym_asm] = ACTIONS(2616),
    [anon_sym___asm__] = ACTIONS(2616),
    [sym_number_literal] = ACTIONS(2618),
    [anon_sym_L_SQUOTE] = ACTIONS(2618),
    [anon_sym_u_SQUOTE] = ACTIONS(2618),
    [anon_sym_U_SQUOTE] = ACTIONS(2618),
    [anon_sym_u8_SQUOTE] = ACTIONS(2618),
    [anon_sym_SQUOTE] = ACTIONS(2618),
    [anon_sym_L_DQUOTE] = ACTIONS(2618),
    [anon_sym_u_DQUOTE] = ACTIONS(2618),
    [anon_sym_U_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2616),
    [anon_sym_nullptr] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_explicit] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_operator] = ACTIONS(2616),
    [anon_sym_try] = ACTIONS(2616),
    [anon_sym_delete] = ACTIONS(2616),
    [anon_sym_throw] = ACTIONS(2616),
    [anon_sym_namespace] = ACTIONS(2616),
    [anon_sym_using] = ACTIONS(2616),
    [anon_sym_static_assert] = ACTIONS(2616),
    [anon_sym_concept] = ACTIONS(2616),
    [anon_sym_co_return] = ACTIONS(2616),
    [anon_sym_co_yield] = ACTIONS(2616),
    [anon_sym_R_DQUOTE] = ACTIONS(2618),
    [anon_sym_LR_DQUOTE] = ACTIONS(2618),
    [anon_sym_uR_DQUOTE] = ACTIONS(2618),
    [anon_sym_UR_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2618),
    [anon_sym_co_await] = ACTIONS(2616),
    [anon_sym_new] = ACTIONS(2616),
    [anon_sym_requires] = ACTIONS(2616),
    [sym_this] = ACTIONS(2616),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2620),
    [aux_sym_preproc_include_token1] = ACTIONS(2620),
    [aux_sym_preproc_def_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2620),
    [sym_preproc_directive] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym___based] = ACTIONS(2620),
    [anon_sym___cdecl] = ACTIONS(2620),
    [anon_sym___clrcall] = ACTIONS(2620),
    [anon_sym___stdcall] = ACTIONS(2620),
    [anon_sym___fastcall] = ACTIONS(2620),
    [anon_sym___thiscall] = ACTIONS(2620),
    [anon_sym___vectorcall] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_case] = ACTIONS(2620),
    [anon_sym_default] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_goto] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2620),
    [anon_sym___leave] = ACTIONS(2620),
    [anon_sym_not] = ACTIONS(2620),
    [anon_sym_compl] = ACTIONS(2620),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_sizeof] = ACTIONS(2620),
    [anon_sym___alignof__] = ACTIONS(2620),
    [anon_sym___alignof] = ACTIONS(2620),
    [anon_sym__alignof] = ACTIONS(2620),
    [anon_sym_alignof] = ACTIONS(2620),
    [anon_sym__Alignof] = ACTIONS(2620),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2620),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2622),
    [anon_sym_u_SQUOTE] = ACTIONS(2622),
    [anon_sym_U_SQUOTE] = ACTIONS(2622),
    [anon_sym_u8_SQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [anon_sym_L_DQUOTE] = ACTIONS(2622),
    [anon_sym_u_DQUOTE] = ACTIONS(2622),
    [anon_sym_U_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8_DQUOTE] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [anon_sym_NULL] = ACTIONS(2620),
    [anon_sym_nullptr] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_explicit] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_operator] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_namespace] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(2620),
    [anon_sym_static_assert] = ACTIONS(2620),
    [anon_sym_concept] = ACTIONS(2620),
    [anon_sym_co_return] = ACTIONS(2620),
    [anon_sym_co_yield] = ACTIONS(2620),
    [anon_sym_R_DQUOTE] = ACTIONS(2622),
    [anon_sym_LR_DQUOTE] = ACTIONS(2622),
    [anon_sym_uR_DQUOTE] = ACTIONS(2622),
    [anon_sym_UR_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2622),
    [anon_sym_co_await] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_requires] = ACTIONS(2620),
    [sym_this] = ACTIONS(2620),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(2626),
    [sym_identifier] = ACTIONS(2624),
    [aux_sym_preproc_include_token1] = ACTIONS(2624),
    [aux_sym_preproc_def_token1] = ACTIONS(2624),
    [aux_sym_preproc_if_token1] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2624),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2624),
    [sym_preproc_directive] = ACTIONS(2624),
    [anon_sym_LPAREN2] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym___extension__] = ACTIONS(2624),
    [anon_sym_typedef] = ACTIONS(2624),
    [anon_sym_extern] = ACTIONS(2624),
    [anon_sym___attribute__] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2626),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2626),
    [anon_sym___declspec] = ACTIONS(2624),
    [anon_sym___based] = ACTIONS(2624),
    [anon_sym___cdecl] = ACTIONS(2624),
    [anon_sym___clrcall] = ACTIONS(2624),
    [anon_sym___stdcall] = ACTIONS(2624),
    [anon_sym___fastcall] = ACTIONS(2624),
    [anon_sym___thiscall] = ACTIONS(2624),
    [anon_sym___vectorcall] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_signed] = ACTIONS(2624),
    [anon_sym_unsigned] = ACTIONS(2624),
    [anon_sym_long] = ACTIONS(2624),
    [anon_sym_short] = ACTIONS(2624),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2624),
    [anon_sym_register] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym___inline] = ACTIONS(2624),
    [anon_sym___inline__] = ACTIONS(2624),
    [anon_sym___forceinline] = ACTIONS(2624),
    [anon_sym_thread_local] = ACTIONS(2624),
    [anon_sym___thread] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_constexpr] = ACTIONS(2624),
    [anon_sym_volatile] = ACTIONS(2624),
    [anon_sym_restrict] = ACTIONS(2624),
    [anon_sym___restrict__] = ACTIONS(2624),
    [anon_sym__Atomic] = ACTIONS(2624),
    [anon_sym__Noreturn] = ACTIONS(2624),
    [anon_sym_noreturn] = ACTIONS(2624),
    [anon_sym_mutable] = ACTIONS(2624),
    [anon_sym_constinit] = ACTIONS(2624),
    [anon_sym_consteval] = ACTIONS(2624),
    [anon_sym_alignas] = ACTIONS(2624),
    [anon_sym__Alignas] = ACTIONS(2624),
    [sym_primitive_type] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_class] = ACTIONS(2624),
    [anon_sym_struct] = ACTIONS(2624),
    [anon_sym_union] = ACTIONS(2624),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_case] = ACTIONS(2624),
    [anon_sym_default] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_do] = ACTIONS(2624),
    [anon_sym_for] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_break] = ACTIONS(2624),
    [anon_sym_continue] = ACTIONS(2624),
    [anon_sym_goto] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2624),
    [anon_sym___leave] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2624),
    [anon_sym_compl] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_sizeof] = ACTIONS(2624),
    [anon_sym___alignof__] = ACTIONS(2624),
    [anon_sym___alignof] = ACTIONS(2624),
    [anon_sym__alignof] = ACTIONS(2624),
    [anon_sym_alignof] = ACTIONS(2624),
    [anon_sym__Alignof] = ACTIONS(2624),
    [anon_sym_offsetof] = ACTIONS(2624),
    [anon_sym__Generic] = ACTIONS(2624),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2626),
    [anon_sym_u_SQUOTE] = ACTIONS(2626),
    [anon_sym_U_SQUOTE] = ACTIONS(2626),
    [anon_sym_u8_SQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2624),
    [sym_false] = ACTIONS(2624),
    [anon_sym_NULL] = ACTIONS(2624),
    [anon_sym_nullptr] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2624),
    [anon_sym_decltype] = ACTIONS(2624),
    [sym_virtual] = ACTIONS(2624),
    [anon_sym_explicit] = ACTIONS(2624),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_delete] = ACTIONS(2624),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_namespace] = ACTIONS(2624),
    [anon_sym_using] = ACTIONS(2624),
    [anon_sym_static_assert] = ACTIONS(2624),
    [anon_sym_concept] = ACTIONS(2624),
    [anon_sym_co_return] = ACTIONS(2624),
    [anon_sym_co_yield] = ACTIONS(2624),
    [anon_sym_R_DQUOTE] = ACTIONS(2626),
    [anon_sym_LR_DQUOTE] = ACTIONS(2626),
    [anon_sym_uR_DQUOTE] = ACTIONS(2626),
    [anon_sym_UR_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2626),
    [anon_sym_co_await] = ACTIONS(2624),
    [anon_sym_new] = ACTIONS(2624),
    [anon_sym_requires] = ACTIONS(2624),
    [sym_this] = ACTIONS(2624),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(2516),
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym___cdecl] = ACTIONS(2514),
    [anon_sym___clrcall] = ACTIONS(2514),
    [anon_sym___stdcall] = ACTIONS(2514),
    [anon_sym___fastcall] = ACTIONS(2514),
    [anon_sym___thiscall] = ACTIONS(2514),
    [anon_sym___vectorcall] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_else] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2514),
    [anon_sym___leave] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [sym_virtual] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_concept] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [462] = {
    [sym_identifier] = ACTIONS(2538),
    [aux_sym_preproc_include_token1] = ACTIONS(2538),
    [aux_sym_preproc_def_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2538),
    [sym_preproc_directive] = ACTIONS(2538),
    [anon_sym_LPAREN2] = ACTIONS(2540),
    [anon_sym_BANG] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2538),
    [anon_sym_typedef] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2538),
    [anon_sym___attribute__] = ACTIONS(2538),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2540),
    [anon_sym___declspec] = ACTIONS(2538),
    [anon_sym___based] = ACTIONS(2538),
    [anon_sym___cdecl] = ACTIONS(2538),
    [anon_sym___clrcall] = ACTIONS(2538),
    [anon_sym___stdcall] = ACTIONS(2538),
    [anon_sym___fastcall] = ACTIONS(2538),
    [anon_sym___thiscall] = ACTIONS(2538),
    [anon_sym___vectorcall] = ACTIONS(2538),
    [anon_sym_LBRACE] = ACTIONS(2540),
    [anon_sym_RBRACE] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2538),
    [anon_sym_unsigned] = ACTIONS(2538),
    [anon_sym_long] = ACTIONS(2538),
    [anon_sym_short] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_register] = ACTIONS(2538),
    [anon_sym_inline] = ACTIONS(2538),
    [anon_sym___inline] = ACTIONS(2538),
    [anon_sym___inline__] = ACTIONS(2538),
    [anon_sym___forceinline] = ACTIONS(2538),
    [anon_sym_thread_local] = ACTIONS(2538),
    [anon_sym___thread] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_constexpr] = ACTIONS(2538),
    [anon_sym_volatile] = ACTIONS(2538),
    [anon_sym_restrict] = ACTIONS(2538),
    [anon_sym___restrict__] = ACTIONS(2538),
    [anon_sym__Atomic] = ACTIONS(2538),
    [anon_sym__Noreturn] = ACTIONS(2538),
    [anon_sym_noreturn] = ACTIONS(2538),
    [anon_sym_mutable] = ACTIONS(2538),
    [anon_sym_constinit] = ACTIONS(2538),
    [anon_sym_consteval] = ACTIONS(2538),
    [anon_sym_alignas] = ACTIONS(2538),
    [anon_sym__Alignas] = ACTIONS(2538),
    [sym_primitive_type] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_struct] = ACTIONS(2538),
    [anon_sym_union] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_else] = ACTIONS(2538),
    [anon_sym_switch] = ACTIONS(2538),
    [anon_sym_case] = ACTIONS(2538),
    [anon_sym_default] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_do] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2538),
    [anon_sym_return] = ACTIONS(2538),
    [anon_sym_break] = ACTIONS(2538),
    [anon_sym_continue] = ACTIONS(2538),
    [anon_sym_goto] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2538),
    [anon_sym___leave] = ACTIONS(2538),
    [anon_sym_not] = ACTIONS(2538),
    [anon_sym_compl] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2540),
    [anon_sym_sizeof] = ACTIONS(2538),
    [anon_sym___alignof__] = ACTIONS(2538),
    [anon_sym___alignof] = ACTIONS(2538),
    [anon_sym__alignof] = ACTIONS(2538),
    [anon_sym_alignof] = ACTIONS(2538),
    [anon_sym__Alignof] = ACTIONS(2538),
    [anon_sym_offsetof] = ACTIONS(2538),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2538),
    [anon_sym___asm__] = ACTIONS(2538),
    [sym_number_literal] = ACTIONS(2540),
    [anon_sym_L_SQUOTE] = ACTIONS(2540),
    [anon_sym_u_SQUOTE] = ACTIONS(2540),
    [anon_sym_U_SQUOTE] = ACTIONS(2540),
    [anon_sym_u8_SQUOTE] = ACTIONS(2540),
    [anon_sym_SQUOTE] = ACTIONS(2540),
    [anon_sym_L_DQUOTE] = ACTIONS(2540),
    [anon_sym_u_DQUOTE] = ACTIONS(2540),
    [anon_sym_U_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8_DQUOTE] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2540),
    [sym_true] = ACTIONS(2538),
    [sym_false] = ACTIONS(2538),
    [anon_sym_NULL] = ACTIONS(2538),
    [anon_sym_nullptr] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2538),
    [anon_sym_decltype] = ACTIONS(2538),
    [sym_virtual] = ACTIONS(2538),
    [anon_sym_explicit] = ACTIONS(2538),
    [anon_sym_typename] = ACTIONS(2538),
    [anon_sym_template] = ACTIONS(2538),
    [anon_sym_operator] = ACTIONS(2538),
    [anon_sym_try] = ACTIONS(2538),
    [anon_sym_delete] = ACTIONS(2538),
    [anon_sym_throw] = ACTIONS(2538),
    [anon_sym_namespace] = ACTIONS(2538),
    [anon_sym_using] = ACTIONS(2538),
    [anon_sym_static_assert] = ACTIONS(2538),
    [anon_sym_concept] = ACTIONS(2538),
    [anon_sym_co_return] = ACTIONS(2538),
    [anon_sym_co_yield] = ACTIONS(2538),
    [anon_sym_R_DQUOTE] = ACTIONS(2540),
    [anon_sym_LR_DQUOTE] = ACTIONS(2540),
    [anon_sym_uR_DQUOTE] = ACTIONS(2540),
    [anon_sym_UR_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2540),
    [anon_sym_co_await] = ACTIONS(2538),
    [anon_sym_new] = ACTIONS(2538),
    [anon_sym_requires] = ACTIONS(2538),
    [sym_this] = ACTIONS(2538),
  },
  [463] = {
    [sym_identifier] = ACTIONS(2640),
    [aux_sym_preproc_include_token1] = ACTIONS(2640),
    [aux_sym_preproc_def_token1] = ACTIONS(2640),
    [aux_sym_preproc_if_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2640),
    [sym_preproc_directive] = ACTIONS(2640),
    [anon_sym_LPAREN2] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_TILDE] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym___extension__] = ACTIONS(2640),
    [anon_sym_typedef] = ACTIONS(2640),
    [anon_sym_extern] = ACTIONS(2640),
    [anon_sym___attribute__] = ACTIONS(2640),
    [anon_sym_COLON_COLON] = ACTIONS(2642),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2642),
    [anon_sym___declspec] = ACTIONS(2640),
    [anon_sym___based] = ACTIONS(2640),
    [anon_sym___cdecl] = ACTIONS(2640),
    [anon_sym___clrcall] = ACTIONS(2640),
    [anon_sym___stdcall] = ACTIONS(2640),
    [anon_sym___fastcall] = ACTIONS(2640),
    [anon_sym___thiscall] = ACTIONS(2640),
    [anon_sym___vectorcall] = ACTIONS(2640),
    [anon_sym_LBRACE] = ACTIONS(2642),
    [anon_sym_RBRACE] = ACTIONS(2642),
    [anon_sym_signed] = ACTIONS(2640),
    [anon_sym_unsigned] = ACTIONS(2640),
    [anon_sym_long] = ACTIONS(2640),
    [anon_sym_short] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_register] = ACTIONS(2640),
    [anon_sym_inline] = ACTIONS(2640),
    [anon_sym___inline] = ACTIONS(2640),
    [anon_sym___inline__] = ACTIONS(2640),
    [anon_sym___forceinline] = ACTIONS(2640),
    [anon_sym_thread_local] = ACTIONS(2640),
    [anon_sym___thread] = ACTIONS(2640),
    [anon_sym_const] = ACTIONS(2640),
    [anon_sym_constexpr] = ACTIONS(2640),
    [anon_sym_volatile] = ACTIONS(2640),
    [anon_sym_restrict] = ACTIONS(2640),
    [anon_sym___restrict__] = ACTIONS(2640),
    [anon_sym__Atomic] = ACTIONS(2640),
    [anon_sym__Noreturn] = ACTIONS(2640),
    [anon_sym_noreturn] = ACTIONS(2640),
    [anon_sym_mutable] = ACTIONS(2640),
    [anon_sym_constinit] = ACTIONS(2640),
    [anon_sym_consteval] = ACTIONS(2640),
    [anon_sym_alignas] = ACTIONS(2640),
    [anon_sym__Alignas] = ACTIONS(2640),
    [sym_primitive_type] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2640),
    [anon_sym_struct] = ACTIONS(2640),
    [anon_sym_union] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2640),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_case] = ACTIONS(2640),
    [anon_sym_default] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_do] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2640),
    [anon_sym_continue] = ACTIONS(2640),
    [anon_sym_goto] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2640),
    [anon_sym___leave] = ACTIONS(2640),
    [anon_sym_not] = ACTIONS(2640),
    [anon_sym_compl] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_sizeof] = ACTIONS(2640),
    [anon_sym___alignof__] = ACTIONS(2640),
    [anon_sym___alignof] = ACTIONS(2640),
    [anon_sym__alignof] = ACTIONS(2640),
    [anon_sym_alignof] = ACTIONS(2640),
    [anon_sym__Alignof] = ACTIONS(2640),
    [anon_sym_offsetof] = ACTIONS(2640),
    [anon_sym__Generic] = ACTIONS(2640),
    [anon_sym_asm] = ACTIONS(2640),
    [anon_sym___asm__] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2642),
    [anon_sym_L_SQUOTE] = ACTIONS(2642),
    [anon_sym_u_SQUOTE] = ACTIONS(2642),
    [anon_sym_U_SQUOTE] = ACTIONS(2642),
    [anon_sym_u8_SQUOTE] = ACTIONS(2642),
    [anon_sym_SQUOTE] = ACTIONS(2642),
    [anon_sym_L_DQUOTE] = ACTIONS(2642),
    [anon_sym_u_DQUOTE] = ACTIONS(2642),
    [anon_sym_U_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [sym_true] = ACTIONS(2640),
    [sym_false] = ACTIONS(2640),
    [anon_sym_NULL] = ACTIONS(2640),
    [anon_sym_nullptr] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2640),
    [anon_sym_decltype] = ACTIONS(2640),
    [sym_virtual] = ACTIONS(2640),
    [anon_sym_explicit] = ACTIONS(2640),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(2640),
    [anon_sym_operator] = ACTIONS(2640),
    [anon_sym_try] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2640),
    [anon_sym_using] = ACTIONS(2640),
    [anon_sym_static_assert] = ACTIONS(2640),
    [anon_sym_concept] = ACTIONS(2640),
    [anon_sym_co_return] = ACTIONS(2640),
    [anon_sym_co_yield] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2640),
    [anon_sym_requires] = ACTIONS(2640),
    [sym_this] = ACTIONS(2640),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2594),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___based] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_RBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_mutable] = ACTIONS(2592),
    [anon_sym_constinit] = ACTIONS(2592),
    [anon_sym_consteval] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym___leave] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2592),
    [anon_sym_compl] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2592),
    [anon_sym_decltype] = ACTIONS(2592),
    [sym_virtual] = ACTIONS(2592),
    [anon_sym_explicit] = ACTIONS(2592),
    [anon_sym_typename] = ACTIONS(2592),
    [anon_sym_template] = ACTIONS(2592),
    [anon_sym_operator] = ACTIONS(2592),
    [anon_sym_try] = ACTIONS(2592),
    [anon_sym_delete] = ACTIONS(2592),
    [anon_sym_throw] = ACTIONS(2592),
    [anon_sym_namespace] = ACTIONS(2592),
    [anon_sym_using] = ACTIONS(2592),
    [anon_sym_static_assert] = ACTIONS(2592),
    [anon_sym_concept] = ACTIONS(2592),
    [anon_sym_co_return] = ACTIONS(2592),
    [anon_sym_co_yield] = ACTIONS(2592),
    [anon_sym_R_DQUOTE] = ACTIONS(2594),
    [anon_sym_LR_DQUOTE] = ACTIONS(2594),
    [anon_sym_uR_DQUOTE] = ACTIONS(2594),
    [anon_sym_UR_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2594),
    [anon_sym_co_await] = ACTIONS(2592),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_requires] = ACTIONS(2592),
    [sym_this] = ACTIONS(2592),
  },
  [465] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token2] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP_AMP] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___based] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym___leave] = ACTIONS(2596),
    [anon_sym_not] = ACTIONS(2596),
    [anon_sym_compl] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_explicit] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_operator] = ACTIONS(2596),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2596),
    [anon_sym_namespace] = ACTIONS(2596),
    [anon_sym_using] = ACTIONS(2596),
    [anon_sym_static_assert] = ACTIONS(2596),
    [anon_sym_concept] = ACTIONS(2596),
    [anon_sym_co_return] = ACTIONS(2596),
    [anon_sym_co_yield] = ACTIONS(2596),
    [anon_sym_R_DQUOTE] = ACTIONS(2598),
    [anon_sym_LR_DQUOTE] = ACTIONS(2598),
    [anon_sym_uR_DQUOTE] = ACTIONS(2598),
    [anon_sym_UR_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2598),
    [anon_sym_co_await] = ACTIONS(2596),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2596),
    [sym_this] = ACTIONS(2596),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_RBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [sym_virtual] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_include_token1] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym___cdecl] = ACTIONS(2612),
    [anon_sym___clrcall] = ACTIONS(2612),
    [anon_sym___stdcall] = ACTIONS(2612),
    [anon_sym___fastcall] = ACTIONS(2612),
    [anon_sym___thiscall] = ACTIONS(2612),
    [anon_sym___vectorcall] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_RBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
    [anon_sym_concept] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(2540),
    [sym_identifier] = ACTIONS(2538),
    [aux_sym_preproc_include_token1] = ACTIONS(2538),
    [aux_sym_preproc_def_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2538),
    [sym_preproc_directive] = ACTIONS(2538),
    [anon_sym_LPAREN2] = ACTIONS(2540),
    [anon_sym_BANG] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2538),
    [anon_sym_typedef] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2538),
    [anon_sym___attribute__] = ACTIONS(2538),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2540),
    [anon_sym___declspec] = ACTIONS(2538),
    [anon_sym___based] = ACTIONS(2538),
    [anon_sym___cdecl] = ACTIONS(2538),
    [anon_sym___clrcall] = ACTIONS(2538),
    [anon_sym___stdcall] = ACTIONS(2538),
    [anon_sym___fastcall] = ACTIONS(2538),
    [anon_sym___thiscall] = ACTIONS(2538),
    [anon_sym___vectorcall] = ACTIONS(2538),
    [anon_sym_LBRACE] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2538),
    [anon_sym_unsigned] = ACTIONS(2538),
    [anon_sym_long] = ACTIONS(2538),
    [anon_sym_short] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_register] = ACTIONS(2538),
    [anon_sym_inline] = ACTIONS(2538),
    [anon_sym___inline] = ACTIONS(2538),
    [anon_sym___inline__] = ACTIONS(2538),
    [anon_sym___forceinline] = ACTIONS(2538),
    [anon_sym_thread_local] = ACTIONS(2538),
    [anon_sym___thread] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_constexpr] = ACTIONS(2538),
    [anon_sym_volatile] = ACTIONS(2538),
    [anon_sym_restrict] = ACTIONS(2538),
    [anon_sym___restrict__] = ACTIONS(2538),
    [anon_sym__Atomic] = ACTIONS(2538),
    [anon_sym__Noreturn] = ACTIONS(2538),
    [anon_sym_noreturn] = ACTIONS(2538),
    [anon_sym_mutable] = ACTIONS(2538),
    [anon_sym_constinit] = ACTIONS(2538),
    [anon_sym_consteval] = ACTIONS(2538),
    [anon_sym_alignas] = ACTIONS(2538),
    [anon_sym__Alignas] = ACTIONS(2538),
    [sym_primitive_type] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_struct] = ACTIONS(2538),
    [anon_sym_union] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_else] = ACTIONS(2538),
    [anon_sym_switch] = ACTIONS(2538),
    [anon_sym_case] = ACTIONS(2538),
    [anon_sym_default] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_do] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2538),
    [anon_sym_return] = ACTIONS(2538),
    [anon_sym_break] = ACTIONS(2538),
    [anon_sym_continue] = ACTIONS(2538),
    [anon_sym_goto] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2538),
    [anon_sym___leave] = ACTIONS(2538),
    [anon_sym_not] = ACTIONS(2538),
    [anon_sym_compl] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2540),
    [anon_sym_sizeof] = ACTIONS(2538),
    [anon_sym___alignof__] = ACTIONS(2538),
    [anon_sym___alignof] = ACTIONS(2538),
    [anon_sym__alignof] = ACTIONS(2538),
    [anon_sym_alignof] = ACTIONS(2538),
    [anon_sym__Alignof] = ACTIONS(2538),
    [anon_sym_offsetof] = ACTIONS(2538),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2538),
    [anon_sym___asm__] = ACTIONS(2538),
    [sym_number_literal] = ACTIONS(2540),
    [anon_sym_L_SQUOTE] = ACTIONS(2540),
    [anon_sym_u_SQUOTE] = ACTIONS(2540),
    [anon_sym_U_SQUOTE] = ACTIONS(2540),
    [anon_sym_u8_SQUOTE] = ACTIONS(2540),
    [anon_sym_SQUOTE] = ACTIONS(2540),
    [anon_sym_L_DQUOTE] = ACTIONS(2540),
    [anon_sym_u_DQUOTE] = ACTIONS(2540),
    [anon_sym_U_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8_DQUOTE] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2540),
    [sym_true] = ACTIONS(2538),
    [sym_false] = ACTIONS(2538),
    [anon_sym_NULL] = ACTIONS(2538),
    [anon_sym_nullptr] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2538),
    [anon_sym_decltype] = ACTIONS(2538),
    [sym_virtual] = ACTIONS(2538),
    [anon_sym_explicit] = ACTIONS(2538),
    [anon_sym_typename] = ACTIONS(2538),
    [anon_sym_template] = ACTIONS(2538),
    [anon_sym_operator] = ACTIONS(2538),
    [anon_sym_try] = ACTIONS(2538),
    [anon_sym_delete] = ACTIONS(2538),
    [anon_sym_throw] = ACTIONS(2538),
    [anon_sym_namespace] = ACTIONS(2538),
    [anon_sym_using] = ACTIONS(2538),
    [anon_sym_static_assert] = ACTIONS(2538),
    [anon_sym_concept] = ACTIONS(2538),
    [anon_sym_co_return] = ACTIONS(2538),
    [anon_sym_co_yield] = ACTIONS(2538),
    [anon_sym_R_DQUOTE] = ACTIONS(2540),
    [anon_sym_LR_DQUOTE] = ACTIONS(2540),
    [anon_sym_uR_DQUOTE] = ACTIONS(2540),
    [anon_sym_UR_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2540),
    [anon_sym_co_await] = ACTIONS(2538),
    [anon_sym_new] = ACTIONS(2538),
    [anon_sym_requires] = ACTIONS(2538),
    [sym_this] = ACTIONS(2538),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(2642),
    [sym_identifier] = ACTIONS(2640),
    [aux_sym_preproc_include_token1] = ACTIONS(2640),
    [aux_sym_preproc_def_token1] = ACTIONS(2640),
    [aux_sym_preproc_if_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2640),
    [sym_preproc_directive] = ACTIONS(2640),
    [anon_sym_LPAREN2] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_TILDE] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym___extension__] = ACTIONS(2640),
    [anon_sym_typedef] = ACTIONS(2640),
    [anon_sym_extern] = ACTIONS(2640),
    [anon_sym___attribute__] = ACTIONS(2640),
    [anon_sym_COLON_COLON] = ACTIONS(2642),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2642),
    [anon_sym___declspec] = ACTIONS(2640),
    [anon_sym___based] = ACTIONS(2640),
    [anon_sym___cdecl] = ACTIONS(2640),
    [anon_sym___clrcall] = ACTIONS(2640),
    [anon_sym___stdcall] = ACTIONS(2640),
    [anon_sym___fastcall] = ACTIONS(2640),
    [anon_sym___thiscall] = ACTIONS(2640),
    [anon_sym___vectorcall] = ACTIONS(2640),
    [anon_sym_LBRACE] = ACTIONS(2642),
    [anon_sym_signed] = ACTIONS(2640),
    [anon_sym_unsigned] = ACTIONS(2640),
    [anon_sym_long] = ACTIONS(2640),
    [anon_sym_short] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_register] = ACTIONS(2640),
    [anon_sym_inline] = ACTIONS(2640),
    [anon_sym___inline] = ACTIONS(2640),
    [anon_sym___inline__] = ACTIONS(2640),
    [anon_sym___forceinline] = ACTIONS(2640),
    [anon_sym_thread_local] = ACTIONS(2640),
    [anon_sym___thread] = ACTIONS(2640),
    [anon_sym_const] = ACTIONS(2640),
    [anon_sym_constexpr] = ACTIONS(2640),
    [anon_sym_volatile] = ACTIONS(2640),
    [anon_sym_restrict] = ACTIONS(2640),
    [anon_sym___restrict__] = ACTIONS(2640),
    [anon_sym__Atomic] = ACTIONS(2640),
    [anon_sym__Noreturn] = ACTIONS(2640),
    [anon_sym_noreturn] = ACTIONS(2640),
    [anon_sym_mutable] = ACTIONS(2640),
    [anon_sym_constinit] = ACTIONS(2640),
    [anon_sym_consteval] = ACTIONS(2640),
    [anon_sym_alignas] = ACTIONS(2640),
    [anon_sym__Alignas] = ACTIONS(2640),
    [sym_primitive_type] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2640),
    [anon_sym_struct] = ACTIONS(2640),
    [anon_sym_union] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2640),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_case] = ACTIONS(2640),
    [anon_sym_default] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_do] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2640),
    [anon_sym_continue] = ACTIONS(2640),
    [anon_sym_goto] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2640),
    [anon_sym___leave] = ACTIONS(2640),
    [anon_sym_not] = ACTIONS(2640),
    [anon_sym_compl] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_sizeof] = ACTIONS(2640),
    [anon_sym___alignof__] = ACTIONS(2640),
    [anon_sym___alignof] = ACTIONS(2640),
    [anon_sym__alignof] = ACTIONS(2640),
    [anon_sym_alignof] = ACTIONS(2640),
    [anon_sym__Alignof] = ACTIONS(2640),
    [anon_sym_offsetof] = ACTIONS(2640),
    [anon_sym__Generic] = ACTIONS(2640),
    [anon_sym_asm] = ACTIONS(2640),
    [anon_sym___asm__] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2642),
    [anon_sym_L_SQUOTE] = ACTIONS(2642),
    [anon_sym_u_SQUOTE] = ACTIONS(2642),
    [anon_sym_U_SQUOTE] = ACTIONS(2642),
    [anon_sym_u8_SQUOTE] = ACTIONS(2642),
    [anon_sym_SQUOTE] = ACTIONS(2642),
    [anon_sym_L_DQUOTE] = ACTIONS(2642),
    [anon_sym_u_DQUOTE] = ACTIONS(2642),
    [anon_sym_U_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [sym_true] = ACTIONS(2640),
    [sym_false] = ACTIONS(2640),
    [anon_sym_NULL] = ACTIONS(2640),
    [anon_sym_nullptr] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2640),
    [anon_sym_decltype] = ACTIONS(2640),
    [sym_virtual] = ACTIONS(2640),
    [anon_sym_explicit] = ACTIONS(2640),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(2640),
    [anon_sym_operator] = ACTIONS(2640),
    [anon_sym_try] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2640),
    [anon_sym_using] = ACTIONS(2640),
    [anon_sym_static_assert] = ACTIONS(2640),
    [anon_sym_concept] = ACTIONS(2640),
    [anon_sym_co_return] = ACTIONS(2640),
    [anon_sym_co_yield] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2640),
    [anon_sym_requires] = ACTIONS(2640),
    [sym_this] = ACTIONS(2640),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2510),
    [aux_sym_preproc_include_token1] = ACTIONS(2510),
    [aux_sym_preproc_def_token1] = ACTIONS(2510),
    [aux_sym_preproc_if_token1] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2510),
    [sym_preproc_directive] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(2512),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2510),
    [anon_sym_PLUS] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2510),
    [anon_sym_typedef] = ACTIONS(2510),
    [anon_sym_extern] = ACTIONS(2510),
    [anon_sym___attribute__] = ACTIONS(2510),
    [anon_sym_COLON_COLON] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2512),
    [anon_sym___declspec] = ACTIONS(2510),
    [anon_sym___based] = ACTIONS(2510),
    [anon_sym___cdecl] = ACTIONS(2510),
    [anon_sym___clrcall] = ACTIONS(2510),
    [anon_sym___stdcall] = ACTIONS(2510),
    [anon_sym___fastcall] = ACTIONS(2510),
    [anon_sym___thiscall] = ACTIONS(2510),
    [anon_sym___vectorcall] = ACTIONS(2510),
    [anon_sym_LBRACE] = ACTIONS(2512),
    [anon_sym_RBRACE] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2510),
    [anon_sym_unsigned] = ACTIONS(2510),
    [anon_sym_long] = ACTIONS(2510),
    [anon_sym_short] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_static] = ACTIONS(2510),
    [anon_sym_register] = ACTIONS(2510),
    [anon_sym_inline] = ACTIONS(2510),
    [anon_sym___inline] = ACTIONS(2510),
    [anon_sym___inline__] = ACTIONS(2510),
    [anon_sym___forceinline] = ACTIONS(2510),
    [anon_sym_thread_local] = ACTIONS(2510),
    [anon_sym___thread] = ACTIONS(2510),
    [anon_sym_const] = ACTIONS(2510),
    [anon_sym_constexpr] = ACTIONS(2510),
    [anon_sym_volatile] = ACTIONS(2510),
    [anon_sym_restrict] = ACTIONS(2510),
    [anon_sym___restrict__] = ACTIONS(2510),
    [anon_sym__Atomic] = ACTIONS(2510),
    [anon_sym__Noreturn] = ACTIONS(2510),
    [anon_sym_noreturn] = ACTIONS(2510),
    [anon_sym_mutable] = ACTIONS(2510),
    [anon_sym_constinit] = ACTIONS(2510),
    [anon_sym_consteval] = ACTIONS(2510),
    [anon_sym_alignas] = ACTIONS(2510),
    [anon_sym__Alignas] = ACTIONS(2510),
    [sym_primitive_type] = ACTIONS(2510),
    [anon_sym_enum] = ACTIONS(2510),
    [anon_sym_class] = ACTIONS(2510),
    [anon_sym_struct] = ACTIONS(2510),
    [anon_sym_union] = ACTIONS(2510),
    [anon_sym_if] = ACTIONS(2510),
    [anon_sym_else] = ACTIONS(2510),
    [anon_sym_switch] = ACTIONS(2510),
    [anon_sym_case] = ACTIONS(2510),
    [anon_sym_default] = ACTIONS(2510),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_do] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2510),
    [anon_sym_return] = ACTIONS(2510),
    [anon_sym_break] = ACTIONS(2510),
    [anon_sym_continue] = ACTIONS(2510),
    [anon_sym_goto] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2510),
    [anon_sym___leave] = ACTIONS(2510),
    [anon_sym_not] = ACTIONS(2510),
    [anon_sym_compl] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_sizeof] = ACTIONS(2510),
    [anon_sym___alignof__] = ACTIONS(2510),
    [anon_sym___alignof] = ACTIONS(2510),
    [anon_sym__alignof] = ACTIONS(2510),
    [anon_sym_alignof] = ACTIONS(2510),
    [anon_sym__Alignof] = ACTIONS(2510),
    [anon_sym_offsetof] = ACTIONS(2510),
    [anon_sym__Generic] = ACTIONS(2510),
    [anon_sym_asm] = ACTIONS(2510),
    [anon_sym___asm__] = ACTIONS(2510),
    [sym_number_literal] = ACTIONS(2512),
    [anon_sym_L_SQUOTE] = ACTIONS(2512),
    [anon_sym_u_SQUOTE] = ACTIONS(2512),
    [anon_sym_U_SQUOTE] = ACTIONS(2512),
    [anon_sym_u8_SQUOTE] = ACTIONS(2512),
    [anon_sym_SQUOTE] = ACTIONS(2512),
    [anon_sym_L_DQUOTE] = ACTIONS(2512),
    [anon_sym_u_DQUOTE] = ACTIONS(2512),
    [anon_sym_U_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8_DQUOTE] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2512),
    [sym_true] = ACTIONS(2510),
    [sym_false] = ACTIONS(2510),
    [anon_sym_NULL] = ACTIONS(2510),
    [anon_sym_nullptr] = ACTIONS(2510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2510),
    [anon_sym_decltype] = ACTIONS(2510),
    [sym_virtual] = ACTIONS(2510),
    [anon_sym_explicit] = ACTIONS(2510),
    [anon_sym_typename] = ACTIONS(2510),
    [anon_sym_template] = ACTIONS(2510),
    [anon_sym_operator] = ACTIONS(2510),
    [anon_sym_try] = ACTIONS(2510),
    [anon_sym_delete] = ACTIONS(2510),
    [anon_sym_throw] = ACTIONS(2510),
    [anon_sym_namespace] = ACTIONS(2510),
    [anon_sym_using] = ACTIONS(2510),
    [anon_sym_static_assert] = ACTIONS(2510),
    [anon_sym_concept] = ACTIONS(2510),
    [anon_sym_co_return] = ACTIONS(2510),
    [anon_sym_co_yield] = ACTIONS(2510),
    [anon_sym_R_DQUOTE] = ACTIONS(2512),
    [anon_sym_LR_DQUOTE] = ACTIONS(2512),
    [anon_sym_uR_DQUOTE] = ACTIONS(2512),
    [anon_sym_UR_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2512),
    [anon_sym_co_await] = ACTIONS(2510),
    [anon_sym_new] = ACTIONS(2510),
    [anon_sym_requires] = ACTIONS(2510),
    [sym_this] = ACTIONS(2510),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(2550),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token2] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym___cdecl] = ACTIONS(2514),
    [anon_sym___clrcall] = ACTIONS(2514),
    [anon_sym___stdcall] = ACTIONS(2514),
    [anon_sym___fastcall] = ACTIONS(2514),
    [anon_sym___thiscall] = ACTIONS(2514),
    [anon_sym___vectorcall] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_else] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2514),
    [anon_sym___leave] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [sym_virtual] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_concept] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(2586),
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
    [anon_sym_concept] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(2524),
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_else] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [sym_virtual] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(2536),
    [sym_identifier] = ACTIONS(2534),
    [aux_sym_preproc_include_token1] = ACTIONS(2534),
    [aux_sym_preproc_def_token1] = ACTIONS(2534),
    [aux_sym_preproc_if_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2534),
    [sym_preproc_directive] = ACTIONS(2534),
    [anon_sym_LPAREN2] = ACTIONS(2536),
    [anon_sym_BANG] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2536),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_typedef] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym___based] = ACTIONS(2534),
    [anon_sym___cdecl] = ACTIONS(2534),
    [anon_sym___clrcall] = ACTIONS(2534),
    [anon_sym___stdcall] = ACTIONS(2534),
    [anon_sym___fastcall] = ACTIONS(2534),
    [anon_sym___thiscall] = ACTIONS(2534),
    [anon_sym___vectorcall] = ACTIONS(2534),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2534),
    [anon_sym_switch] = ACTIONS(2534),
    [anon_sym_case] = ACTIONS(2534),
    [anon_sym_default] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2534),
    [anon_sym_do] = ACTIONS(2534),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_break] = ACTIONS(2534),
    [anon_sym_continue] = ACTIONS(2534),
    [anon_sym_goto] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2534),
    [anon_sym___leave] = ACTIONS(2534),
    [anon_sym_not] = ACTIONS(2534),
    [anon_sym_compl] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_sizeof] = ACTIONS(2534),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2534),
    [anon_sym__Generic] = ACTIONS(2534),
    [anon_sym_asm] = ACTIONS(2534),
    [anon_sym___asm__] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2536),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2536),
    [anon_sym_u_DQUOTE] = ACTIONS(2536),
    [anon_sym_U_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8_DQUOTE] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [anon_sym_NULL] = ACTIONS(2534),
    [anon_sym_nullptr] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(2534),
    [sym_virtual] = ACTIONS(2534),
    [anon_sym_explicit] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(2534),
    [anon_sym_operator] = ACTIONS(2534),
    [anon_sym_try] = ACTIONS(2534),
    [anon_sym_delete] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2534),
    [anon_sym_namespace] = ACTIONS(2534),
    [anon_sym_using] = ACTIONS(2534),
    [anon_sym_static_assert] = ACTIONS(2534),
    [anon_sym_concept] = ACTIONS(2534),
    [anon_sym_co_return] = ACTIONS(2534),
    [anon_sym_co_yield] = ACTIONS(2534),
    [anon_sym_R_DQUOTE] = ACTIONS(2536),
    [anon_sym_LR_DQUOTE] = ACTIONS(2536),
    [anon_sym_uR_DQUOTE] = ACTIONS(2536),
    [anon_sym_UR_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2536),
    [anon_sym_co_await] = ACTIONS(2534),
    [anon_sym_new] = ACTIONS(2534),
    [anon_sym_requires] = ACTIONS(2534),
    [sym_this] = ACTIONS(2534),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2538),
    [aux_sym_preproc_include_token1] = ACTIONS(2538),
    [aux_sym_preproc_def_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token1] = ACTIONS(2538),
    [aux_sym_preproc_if_token2] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2538),
    [sym_preproc_directive] = ACTIONS(2538),
    [anon_sym_LPAREN2] = ACTIONS(2540),
    [anon_sym_BANG] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2538),
    [anon_sym_typedef] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2538),
    [anon_sym___attribute__] = ACTIONS(2538),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2540),
    [anon_sym___declspec] = ACTIONS(2538),
    [anon_sym___based] = ACTIONS(2538),
    [anon_sym___cdecl] = ACTIONS(2538),
    [anon_sym___clrcall] = ACTIONS(2538),
    [anon_sym___stdcall] = ACTIONS(2538),
    [anon_sym___fastcall] = ACTIONS(2538),
    [anon_sym___thiscall] = ACTIONS(2538),
    [anon_sym___vectorcall] = ACTIONS(2538),
    [anon_sym_LBRACE] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2538),
    [anon_sym_unsigned] = ACTIONS(2538),
    [anon_sym_long] = ACTIONS(2538),
    [anon_sym_short] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_register] = ACTIONS(2538),
    [anon_sym_inline] = ACTIONS(2538),
    [anon_sym___inline] = ACTIONS(2538),
    [anon_sym___inline__] = ACTIONS(2538),
    [anon_sym___forceinline] = ACTIONS(2538),
    [anon_sym_thread_local] = ACTIONS(2538),
    [anon_sym___thread] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_constexpr] = ACTIONS(2538),
    [anon_sym_volatile] = ACTIONS(2538),
    [anon_sym_restrict] = ACTIONS(2538),
    [anon_sym___restrict__] = ACTIONS(2538),
    [anon_sym__Atomic] = ACTIONS(2538),
    [anon_sym__Noreturn] = ACTIONS(2538),
    [anon_sym_noreturn] = ACTIONS(2538),
    [anon_sym_mutable] = ACTIONS(2538),
    [anon_sym_constinit] = ACTIONS(2538),
    [anon_sym_consteval] = ACTIONS(2538),
    [anon_sym_alignas] = ACTIONS(2538),
    [anon_sym__Alignas] = ACTIONS(2538),
    [sym_primitive_type] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_struct] = ACTIONS(2538),
    [anon_sym_union] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_else] = ACTIONS(2538),
    [anon_sym_switch] = ACTIONS(2538),
    [anon_sym_case] = ACTIONS(2538),
    [anon_sym_default] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_do] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2538),
    [anon_sym_return] = ACTIONS(2538),
    [anon_sym_break] = ACTIONS(2538),
    [anon_sym_continue] = ACTIONS(2538),
    [anon_sym_goto] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2538),
    [anon_sym___leave] = ACTIONS(2538),
    [anon_sym_not] = ACTIONS(2538),
    [anon_sym_compl] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2540),
    [anon_sym_sizeof] = ACTIONS(2538),
    [anon_sym___alignof__] = ACTIONS(2538),
    [anon_sym___alignof] = ACTIONS(2538),
    [anon_sym__alignof] = ACTIONS(2538),
    [anon_sym_alignof] = ACTIONS(2538),
    [anon_sym__Alignof] = ACTIONS(2538),
    [anon_sym_offsetof] = ACTIONS(2538),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2538),
    [anon_sym___asm__] = ACTIONS(2538),
    [sym_number_literal] = ACTIONS(2540),
    [anon_sym_L_SQUOTE] = ACTIONS(2540),
    [anon_sym_u_SQUOTE] = ACTIONS(2540),
    [anon_sym_U_SQUOTE] = ACTIONS(2540),
    [anon_sym_u8_SQUOTE] = ACTIONS(2540),
    [anon_sym_SQUOTE] = ACTIONS(2540),
    [anon_sym_L_DQUOTE] = ACTIONS(2540),
    [anon_sym_u_DQUOTE] = ACTIONS(2540),
    [anon_sym_U_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8_DQUOTE] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2540),
    [sym_true] = ACTIONS(2538),
    [sym_false] = ACTIONS(2538),
    [anon_sym_NULL] = ACTIONS(2538),
    [anon_sym_nullptr] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2538),
    [anon_sym_decltype] = ACTIONS(2538),
    [sym_virtual] = ACTIONS(2538),
    [anon_sym_explicit] = ACTIONS(2538),
    [anon_sym_typename] = ACTIONS(2538),
    [anon_sym_template] = ACTIONS(2538),
    [anon_sym_operator] = ACTIONS(2538),
    [anon_sym_try] = ACTIONS(2538),
    [anon_sym_delete] = ACTIONS(2538),
    [anon_sym_throw] = ACTIONS(2538),
    [anon_sym_namespace] = ACTIONS(2538),
    [anon_sym_using] = ACTIONS(2538),
    [anon_sym_static_assert] = ACTIONS(2538),
    [anon_sym_concept] = ACTIONS(2538),
    [anon_sym_co_return] = ACTIONS(2538),
    [anon_sym_co_yield] = ACTIONS(2538),
    [anon_sym_R_DQUOTE] = ACTIONS(2540),
    [anon_sym_LR_DQUOTE] = ACTIONS(2540),
    [anon_sym_uR_DQUOTE] = ACTIONS(2540),
    [anon_sym_UR_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2540),
    [anon_sym_co_await] = ACTIONS(2538),
    [anon_sym_new] = ACTIONS(2538),
    [anon_sym_requires] = ACTIONS(2538),
    [sym_this] = ACTIONS(2538),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2640),
    [aux_sym_preproc_include_token1] = ACTIONS(2640),
    [aux_sym_preproc_def_token1] = ACTIONS(2640),
    [aux_sym_preproc_if_token1] = ACTIONS(2640),
    [aux_sym_preproc_if_token2] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2640),
    [sym_preproc_directive] = ACTIONS(2640),
    [anon_sym_LPAREN2] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_TILDE] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym___extension__] = ACTIONS(2640),
    [anon_sym_typedef] = ACTIONS(2640),
    [anon_sym_extern] = ACTIONS(2640),
    [anon_sym___attribute__] = ACTIONS(2640),
    [anon_sym_COLON_COLON] = ACTIONS(2642),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2642),
    [anon_sym___declspec] = ACTIONS(2640),
    [anon_sym___based] = ACTIONS(2640),
    [anon_sym___cdecl] = ACTIONS(2640),
    [anon_sym___clrcall] = ACTIONS(2640),
    [anon_sym___stdcall] = ACTIONS(2640),
    [anon_sym___fastcall] = ACTIONS(2640),
    [anon_sym___thiscall] = ACTIONS(2640),
    [anon_sym___vectorcall] = ACTIONS(2640),
    [anon_sym_LBRACE] = ACTIONS(2642),
    [anon_sym_signed] = ACTIONS(2640),
    [anon_sym_unsigned] = ACTIONS(2640),
    [anon_sym_long] = ACTIONS(2640),
    [anon_sym_short] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_register] = ACTIONS(2640),
    [anon_sym_inline] = ACTIONS(2640),
    [anon_sym___inline] = ACTIONS(2640),
    [anon_sym___inline__] = ACTIONS(2640),
    [anon_sym___forceinline] = ACTIONS(2640),
    [anon_sym_thread_local] = ACTIONS(2640),
    [anon_sym___thread] = ACTIONS(2640),
    [anon_sym_const] = ACTIONS(2640),
    [anon_sym_constexpr] = ACTIONS(2640),
    [anon_sym_volatile] = ACTIONS(2640),
    [anon_sym_restrict] = ACTIONS(2640),
    [anon_sym___restrict__] = ACTIONS(2640),
    [anon_sym__Atomic] = ACTIONS(2640),
    [anon_sym__Noreturn] = ACTIONS(2640),
    [anon_sym_noreturn] = ACTIONS(2640),
    [anon_sym_mutable] = ACTIONS(2640),
    [anon_sym_constinit] = ACTIONS(2640),
    [anon_sym_consteval] = ACTIONS(2640),
    [anon_sym_alignas] = ACTIONS(2640),
    [anon_sym__Alignas] = ACTIONS(2640),
    [sym_primitive_type] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2640),
    [anon_sym_struct] = ACTIONS(2640),
    [anon_sym_union] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2640),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_case] = ACTIONS(2640),
    [anon_sym_default] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_do] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2640),
    [anon_sym_continue] = ACTIONS(2640),
    [anon_sym_goto] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2640),
    [anon_sym___leave] = ACTIONS(2640),
    [anon_sym_not] = ACTIONS(2640),
    [anon_sym_compl] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_sizeof] = ACTIONS(2640),
    [anon_sym___alignof__] = ACTIONS(2640),
    [anon_sym___alignof] = ACTIONS(2640),
    [anon_sym__alignof] = ACTIONS(2640),
    [anon_sym_alignof] = ACTIONS(2640),
    [anon_sym__Alignof] = ACTIONS(2640),
    [anon_sym_offsetof] = ACTIONS(2640),
    [anon_sym__Generic] = ACTIONS(2640),
    [anon_sym_asm] = ACTIONS(2640),
    [anon_sym___asm__] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2642),
    [anon_sym_L_SQUOTE] = ACTIONS(2642),
    [anon_sym_u_SQUOTE] = ACTIONS(2642),
    [anon_sym_U_SQUOTE] = ACTIONS(2642),
    [anon_sym_u8_SQUOTE] = ACTIONS(2642),
    [anon_sym_SQUOTE] = ACTIONS(2642),
    [anon_sym_L_DQUOTE] = ACTIONS(2642),
    [anon_sym_u_DQUOTE] = ACTIONS(2642),
    [anon_sym_U_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [sym_true] = ACTIONS(2640),
    [sym_false] = ACTIONS(2640),
    [anon_sym_NULL] = ACTIONS(2640),
    [anon_sym_nullptr] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2640),
    [anon_sym_decltype] = ACTIONS(2640),
    [sym_virtual] = ACTIONS(2640),
    [anon_sym_explicit] = ACTIONS(2640),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(2640),
    [anon_sym_operator] = ACTIONS(2640),
    [anon_sym_try] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2640),
    [anon_sym_namespace] = ACTIONS(2640),
    [anon_sym_using] = ACTIONS(2640),
    [anon_sym_static_assert] = ACTIONS(2640),
    [anon_sym_concept] = ACTIONS(2640),
    [anon_sym_co_return] = ACTIONS(2640),
    [anon_sym_co_yield] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2640),
    [anon_sym_requires] = ACTIONS(2640),
    [sym_this] = ACTIONS(2640),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token2] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2594),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___based] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_mutable] = ACTIONS(2592),
    [anon_sym_constinit] = ACTIONS(2592),
    [anon_sym_consteval] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym___leave] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2592),
    [anon_sym_compl] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2592),
    [anon_sym_decltype] = ACTIONS(2592),
    [sym_virtual] = ACTIONS(2592),
    [anon_sym_explicit] = ACTIONS(2592),
    [anon_sym_typename] = ACTIONS(2592),
    [anon_sym_template] = ACTIONS(2592),
    [anon_sym_operator] = ACTIONS(2592),
    [anon_sym_try] = ACTIONS(2592),
    [anon_sym_delete] = ACTIONS(2592),
    [anon_sym_throw] = ACTIONS(2592),
    [anon_sym_namespace] = ACTIONS(2592),
    [anon_sym_using] = ACTIONS(2592),
    [anon_sym_static_assert] = ACTIONS(2592),
    [anon_sym_concept] = ACTIONS(2592),
    [anon_sym_co_return] = ACTIONS(2592),
    [anon_sym_co_yield] = ACTIONS(2592),
    [anon_sym_R_DQUOTE] = ACTIONS(2594),
    [anon_sym_LR_DQUOTE] = ACTIONS(2594),
    [anon_sym_uR_DQUOTE] = ACTIONS(2594),
    [anon_sym_UR_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2594),
    [anon_sym_co_await] = ACTIONS(2592),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_requires] = ACTIONS(2592),
    [sym_this] = ACTIONS(2592),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___based] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [sym_virtual] = ACTIONS(2600),
    [anon_sym_explicit] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_operator] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_namespace] = ACTIONS(2600),
    [anon_sym_using] = ACTIONS(2600),
    [anon_sym_static_assert] = ACTIONS(2600),
    [anon_sym_concept] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(2554),
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(2558),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [483] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2612),
    [aux_sym_preproc_include_token1] = ACTIONS(2612),
    [aux_sym_preproc_def_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token1] = ACTIONS(2612),
    [aux_sym_preproc_if_token2] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2612),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2612),
    [sym_preproc_directive] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym___based] = ACTIONS(2612),
    [anon_sym___cdecl] = ACTIONS(2612),
    [anon_sym___clrcall] = ACTIONS(2612),
    [anon_sym___stdcall] = ACTIONS(2612),
    [anon_sym___fastcall] = ACTIONS(2612),
    [anon_sym___thiscall] = ACTIONS(2612),
    [anon_sym___vectorcall] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_case] = ACTIONS(2612),
    [anon_sym_default] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_explicit] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_operator] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_namespace] = ACTIONS(2612),
    [anon_sym_using] = ACTIONS(2612),
    [anon_sym_static_assert] = ACTIONS(2612),
    [anon_sym_concept] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2510),
    [aux_sym_preproc_include_token1] = ACTIONS(2510),
    [aux_sym_preproc_def_token1] = ACTIONS(2510),
    [aux_sym_preproc_if_token1] = ACTIONS(2510),
    [aux_sym_preproc_if_token2] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2510),
    [sym_preproc_directive] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(2512),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2510),
    [anon_sym_PLUS] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2510),
    [anon_sym_typedef] = ACTIONS(2510),
    [anon_sym_extern] = ACTIONS(2510),
    [anon_sym___attribute__] = ACTIONS(2510),
    [anon_sym_COLON_COLON] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2512),
    [anon_sym___declspec] = ACTIONS(2510),
    [anon_sym___based] = ACTIONS(2510),
    [anon_sym___cdecl] = ACTIONS(2510),
    [anon_sym___clrcall] = ACTIONS(2510),
    [anon_sym___stdcall] = ACTIONS(2510),
    [anon_sym___fastcall] = ACTIONS(2510),
    [anon_sym___thiscall] = ACTIONS(2510),
    [anon_sym___vectorcall] = ACTIONS(2510),
    [anon_sym_LBRACE] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2510),
    [anon_sym_unsigned] = ACTIONS(2510),
    [anon_sym_long] = ACTIONS(2510),
    [anon_sym_short] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_static] = ACTIONS(2510),
    [anon_sym_register] = ACTIONS(2510),
    [anon_sym_inline] = ACTIONS(2510),
    [anon_sym___inline] = ACTIONS(2510),
    [anon_sym___inline__] = ACTIONS(2510),
    [anon_sym___forceinline] = ACTIONS(2510),
    [anon_sym_thread_local] = ACTIONS(2510),
    [anon_sym___thread] = ACTIONS(2510),
    [anon_sym_const] = ACTIONS(2510),
    [anon_sym_constexpr] = ACTIONS(2510),
    [anon_sym_volatile] = ACTIONS(2510),
    [anon_sym_restrict] = ACTIONS(2510),
    [anon_sym___restrict__] = ACTIONS(2510),
    [anon_sym__Atomic] = ACTIONS(2510),
    [anon_sym__Noreturn] = ACTIONS(2510),
    [anon_sym_noreturn] = ACTIONS(2510),
    [anon_sym_mutable] = ACTIONS(2510),
    [anon_sym_constinit] = ACTIONS(2510),
    [anon_sym_consteval] = ACTIONS(2510),
    [anon_sym_alignas] = ACTIONS(2510),
    [anon_sym__Alignas] = ACTIONS(2510),
    [sym_primitive_type] = ACTIONS(2510),
    [anon_sym_enum] = ACTIONS(2510),
    [anon_sym_class] = ACTIONS(2510),
    [anon_sym_struct] = ACTIONS(2510),
    [anon_sym_union] = ACTIONS(2510),
    [anon_sym_if] = ACTIONS(2510),
    [anon_sym_else] = ACTIONS(2510),
    [anon_sym_switch] = ACTIONS(2510),
    [anon_sym_case] = ACTIONS(2510),
    [anon_sym_default] = ACTIONS(2510),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_do] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2510),
    [anon_sym_return] = ACTIONS(2510),
    [anon_sym_break] = ACTIONS(2510),
    [anon_sym_continue] = ACTIONS(2510),
    [anon_sym_goto] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2510),
    [anon_sym___leave] = ACTIONS(2510),
    [anon_sym_not] = ACTIONS(2510),
    [anon_sym_compl] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_sizeof] = ACTIONS(2510),
    [anon_sym___alignof__] = ACTIONS(2510),
    [anon_sym___alignof] = ACTIONS(2510),
    [anon_sym__alignof] = ACTIONS(2510),
    [anon_sym_alignof] = ACTIONS(2510),
    [anon_sym__Alignof] = ACTIONS(2510),
    [anon_sym_offsetof] = ACTIONS(2510),
    [anon_sym__Generic] = ACTIONS(2510),
    [anon_sym_asm] = ACTIONS(2510),
    [anon_sym___asm__] = ACTIONS(2510),
    [sym_number_literal] = ACTIONS(2512),
    [anon_sym_L_SQUOTE] = ACTIONS(2512),
    [anon_sym_u_SQUOTE] = ACTIONS(2512),
    [anon_sym_U_SQUOTE] = ACTIONS(2512),
    [anon_sym_u8_SQUOTE] = ACTIONS(2512),
    [anon_sym_SQUOTE] = ACTIONS(2512),
    [anon_sym_L_DQUOTE] = ACTIONS(2512),
    [anon_sym_u_DQUOTE] = ACTIONS(2512),
    [anon_sym_U_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8_DQUOTE] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2512),
    [sym_true] = ACTIONS(2510),
    [sym_false] = ACTIONS(2510),
    [anon_sym_NULL] = ACTIONS(2510),
    [anon_sym_nullptr] = ACTIONS(2510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2510),
    [anon_sym_decltype] = ACTIONS(2510),
    [sym_virtual] = ACTIONS(2510),
    [anon_sym_explicit] = ACTIONS(2510),
    [anon_sym_typename] = ACTIONS(2510),
    [anon_sym_template] = ACTIONS(2510),
    [anon_sym_operator] = ACTIONS(2510),
    [anon_sym_try] = ACTIONS(2510),
    [anon_sym_delete] = ACTIONS(2510),
    [anon_sym_throw] = ACTIONS(2510),
    [anon_sym_namespace] = ACTIONS(2510),
    [anon_sym_using] = ACTIONS(2510),
    [anon_sym_static_assert] = ACTIONS(2510),
    [anon_sym_concept] = ACTIONS(2510),
    [anon_sym_co_return] = ACTIONS(2510),
    [anon_sym_co_yield] = ACTIONS(2510),
    [anon_sym_R_DQUOTE] = ACTIONS(2512),
    [anon_sym_LR_DQUOTE] = ACTIONS(2512),
    [anon_sym_uR_DQUOTE] = ACTIONS(2512),
    [anon_sym_UR_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2512),
    [anon_sym_co_await] = ACTIONS(2510),
    [anon_sym_new] = ACTIONS(2510),
    [anon_sym_requires] = ACTIONS(2510),
    [sym_this] = ACTIONS(2510),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [sym_virtual] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_concept] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2522),
    [aux_sym_preproc_include_token1] = ACTIONS(2522),
    [aux_sym_preproc_def_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token1] = ACTIONS(2522),
    [aux_sym_preproc_if_token2] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2522),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2522),
    [sym_preproc_directive] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym___based] = ACTIONS(2522),
    [anon_sym___cdecl] = ACTIONS(2522),
    [anon_sym___clrcall] = ACTIONS(2522),
    [anon_sym___stdcall] = ACTIONS(2522),
    [anon_sym___fastcall] = ACTIONS(2522),
    [anon_sym___thiscall] = ACTIONS(2522),
    [anon_sym___vectorcall] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_else] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_case] = ACTIONS(2522),
    [anon_sym_default] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [sym_virtual] = ACTIONS(2522),
    [anon_sym_explicit] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_operator] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_namespace] = ACTIONS(2522),
    [anon_sym_using] = ACTIONS(2522),
    [anon_sym_static_assert] = ACTIONS(2522),
    [anon_sym_concept] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [sym_virtual] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [492] = {
    [sym_identifier] = ACTIONS(2628),
    [aux_sym_preproc_include_token1] = ACTIONS(2628),
    [aux_sym_preproc_def_token1] = ACTIONS(2628),
    [aux_sym_preproc_if_token1] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2628),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2628),
    [sym_preproc_directive] = ACTIONS(2628),
    [anon_sym_LPAREN2] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym___extension__] = ACTIONS(2628),
    [anon_sym_typedef] = ACTIONS(2628),
    [anon_sym_extern] = ACTIONS(2628),
    [anon_sym___attribute__] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2630),
    [anon_sym___declspec] = ACTIONS(2628),
    [anon_sym___based] = ACTIONS(2628),
    [anon_sym___cdecl] = ACTIONS(2628),
    [anon_sym___clrcall] = ACTIONS(2628),
    [anon_sym___stdcall] = ACTIONS(2628),
    [anon_sym___fastcall] = ACTIONS(2628),
    [anon_sym___thiscall] = ACTIONS(2628),
    [anon_sym___vectorcall] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_RBRACE] = ACTIONS(2630),
    [anon_sym_signed] = ACTIONS(2628),
    [anon_sym_unsigned] = ACTIONS(2628),
    [anon_sym_long] = ACTIONS(2628),
    [anon_sym_short] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_register] = ACTIONS(2628),
    [anon_sym_inline] = ACTIONS(2628),
    [anon_sym___inline] = ACTIONS(2628),
    [anon_sym___inline__] = ACTIONS(2628),
    [anon_sym___forceinline] = ACTIONS(2628),
    [anon_sym_thread_local] = ACTIONS(2628),
    [anon_sym___thread] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_constexpr] = ACTIONS(2628),
    [anon_sym_volatile] = ACTIONS(2628),
    [anon_sym_restrict] = ACTIONS(2628),
    [anon_sym___restrict__] = ACTIONS(2628),
    [anon_sym__Atomic] = ACTIONS(2628),
    [anon_sym__Noreturn] = ACTIONS(2628),
    [anon_sym_noreturn] = ACTIONS(2628),
    [anon_sym_mutable] = ACTIONS(2628),
    [anon_sym_constinit] = ACTIONS(2628),
    [anon_sym_consteval] = ACTIONS(2628),
    [anon_sym_alignas] = ACTIONS(2628),
    [anon_sym__Alignas] = ACTIONS(2628),
    [sym_primitive_type] = ACTIONS(2628),
    [anon_sym_enum] = ACTIONS(2628),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_struct] = ACTIONS(2628),
    [anon_sym_union] = ACTIONS(2628),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_else] = ACTIONS(2628),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_case] = ACTIONS(2628),
    [anon_sym_default] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2628),
    [anon_sym_do] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_return] = ACTIONS(2628),
    [anon_sym_break] = ACTIONS(2628),
    [anon_sym_continue] = ACTIONS(2628),
    [anon_sym_goto] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2628),
    [anon_sym___leave] = ACTIONS(2628),
    [anon_sym_not] = ACTIONS(2628),
    [anon_sym_compl] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_sizeof] = ACTIONS(2628),
    [anon_sym___alignof__] = ACTIONS(2628),
    [anon_sym___alignof] = ACTIONS(2628),
    [anon_sym__alignof] = ACTIONS(2628),
    [anon_sym_alignof] = ACTIONS(2628),
    [anon_sym__Alignof] = ACTIONS(2628),
    [anon_sym_offsetof] = ACTIONS(2628),
    [anon_sym__Generic] = ACTIONS(2628),
    [anon_sym_asm] = ACTIONS(2628),
    [anon_sym___asm__] = ACTIONS(2628),
    [sym_number_literal] = ACTIONS(2630),
    [anon_sym_L_SQUOTE] = ACTIONS(2630),
    [anon_sym_u_SQUOTE] = ACTIONS(2630),
    [anon_sym_U_SQUOTE] = ACTIONS(2630),
    [anon_sym_u8_SQUOTE] = ACTIONS(2630),
    [anon_sym_SQUOTE] = ACTIONS(2630),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2628),
    [anon_sym_nullptr] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2628),
    [anon_sym_decltype] = ACTIONS(2628),
    [sym_virtual] = ACTIONS(2628),
    [anon_sym_explicit] = ACTIONS(2628),
    [anon_sym_typename] = ACTIONS(2628),
    [anon_sym_template] = ACTIONS(2628),
    [anon_sym_operator] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2628),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_throw] = ACTIONS(2628),
    [anon_sym_namespace] = ACTIONS(2628),
    [anon_sym_using] = ACTIONS(2628),
    [anon_sym_static_assert] = ACTIONS(2628),
    [anon_sym_concept] = ACTIONS(2628),
    [anon_sym_co_return] = ACTIONS(2628),
    [anon_sym_co_yield] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2628),
    [anon_sym_requires] = ACTIONS(2628),
    [sym_this] = ACTIONS(2628),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [sym_virtual] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___based] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_explicit] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_operator] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_namespace] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_static_assert] = ACTIONS(2544),
    [anon_sym_concept] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___based] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym___leave] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2588),
    [anon_sym_compl] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_explicit] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_try] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2588),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_static_assert] = ACTIONS(2588),
    [anon_sym_concept] = ACTIONS(2588),
    [anon_sym_co_return] = ACTIONS(2588),
    [anon_sym_co_yield] = ACTIONS(2588),
    [anon_sym_R_DQUOTE] = ACTIONS(2590),
    [anon_sym_LR_DQUOTE] = ACTIONS(2590),
    [anon_sym_uR_DQUOTE] = ACTIONS(2590),
    [anon_sym_UR_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2590),
    [anon_sym_co_await] = ACTIONS(2588),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_requires] = ACTIONS(2588),
    [sym_this] = ACTIONS(2588),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___based] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_explicit] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_operator] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_namespace] = ACTIONS(2548),
    [anon_sym_using] = ACTIONS(2548),
    [anon_sym_static_assert] = ACTIONS(2548),
    [anon_sym_concept] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___based] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_explicit] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_namespace] = ACTIONS(2552),
    [anon_sym_using] = ACTIONS(2552),
    [anon_sym_static_assert] = ACTIONS(2552),
    [anon_sym_concept] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_RBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_namespace] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
    [anon_sym_concept] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___based] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_explicit] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_operator] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_namespace] = ACTIONS(2556),
    [anon_sym_using] = ACTIONS(2556),
    [anon_sym_static_assert] = ACTIONS(2556),
    [anon_sym_concept] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [502] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_RBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(2590),
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___based] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym___leave] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2588),
    [anon_sym_compl] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_explicit] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_try] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2588),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_static_assert] = ACTIONS(2588),
    [anon_sym_concept] = ACTIONS(2588),
    [anon_sym_co_return] = ACTIONS(2588),
    [anon_sym_co_yield] = ACTIONS(2588),
    [anon_sym_R_DQUOTE] = ACTIONS(2590),
    [anon_sym_LR_DQUOTE] = ACTIONS(2590),
    [anon_sym_uR_DQUOTE] = ACTIONS(2590),
    [anon_sym_UR_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2590),
    [anon_sym_co_await] = ACTIONS(2588),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_requires] = ACTIONS(2588),
    [sym_this] = ACTIONS(2588),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [505] = {
    [sym_identifier] = ACTIONS(2632),
    [aux_sym_preproc_include_token1] = ACTIONS(2632),
    [aux_sym_preproc_def_token1] = ACTIONS(2632),
    [aux_sym_preproc_if_token1] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2632),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2632),
    [sym_preproc_directive] = ACTIONS(2632),
    [anon_sym_LPAREN2] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_TILDE] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym___extension__] = ACTIONS(2632),
    [anon_sym_typedef] = ACTIONS(2632),
    [anon_sym_extern] = ACTIONS(2632),
    [anon_sym___attribute__] = ACTIONS(2632),
    [anon_sym_COLON_COLON] = ACTIONS(2634),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2634),
    [anon_sym___declspec] = ACTIONS(2632),
    [anon_sym___based] = ACTIONS(2632),
    [anon_sym___cdecl] = ACTIONS(2632),
    [anon_sym___clrcall] = ACTIONS(2632),
    [anon_sym___stdcall] = ACTIONS(2632),
    [anon_sym___fastcall] = ACTIONS(2632),
    [anon_sym___thiscall] = ACTIONS(2632),
    [anon_sym___vectorcall] = ACTIONS(2632),
    [anon_sym_LBRACE] = ACTIONS(2634),
    [anon_sym_RBRACE] = ACTIONS(2634),
    [anon_sym_signed] = ACTIONS(2632),
    [anon_sym_unsigned] = ACTIONS(2632),
    [anon_sym_long] = ACTIONS(2632),
    [anon_sym_short] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_static] = ACTIONS(2632),
    [anon_sym_register] = ACTIONS(2632),
    [anon_sym_inline] = ACTIONS(2632),
    [anon_sym___inline] = ACTIONS(2632),
    [anon_sym___inline__] = ACTIONS(2632),
    [anon_sym___forceinline] = ACTIONS(2632),
    [anon_sym_thread_local] = ACTIONS(2632),
    [anon_sym___thread] = ACTIONS(2632),
    [anon_sym_const] = ACTIONS(2632),
    [anon_sym_constexpr] = ACTIONS(2632),
    [anon_sym_volatile] = ACTIONS(2632),
    [anon_sym_restrict] = ACTIONS(2632),
    [anon_sym___restrict__] = ACTIONS(2632),
    [anon_sym__Atomic] = ACTIONS(2632),
    [anon_sym__Noreturn] = ACTIONS(2632),
    [anon_sym_noreturn] = ACTIONS(2632),
    [anon_sym_mutable] = ACTIONS(2632),
    [anon_sym_constinit] = ACTIONS(2632),
    [anon_sym_consteval] = ACTIONS(2632),
    [anon_sym_alignas] = ACTIONS(2632),
    [anon_sym__Alignas] = ACTIONS(2632),
    [sym_primitive_type] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_struct] = ACTIONS(2632),
    [anon_sym_union] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_case] = ACTIONS(2632),
    [anon_sym_default] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_break] = ACTIONS(2632),
    [anon_sym_continue] = ACTIONS(2632),
    [anon_sym_goto] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2632),
    [anon_sym___leave] = ACTIONS(2632),
    [anon_sym_not] = ACTIONS(2632),
    [anon_sym_compl] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_sizeof] = ACTIONS(2632),
    [anon_sym___alignof__] = ACTIONS(2632),
    [anon_sym___alignof] = ACTIONS(2632),
    [anon_sym__alignof] = ACTIONS(2632),
    [anon_sym_alignof] = ACTIONS(2632),
    [anon_sym__Alignof] = ACTIONS(2632),
    [anon_sym_offsetof] = ACTIONS(2632),
    [anon_sym__Generic] = ACTIONS(2632),
    [anon_sym_asm] = ACTIONS(2632),
    [anon_sym___asm__] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2634),
    [anon_sym_L_SQUOTE] = ACTIONS(2634),
    [anon_sym_u_SQUOTE] = ACTIONS(2634),
    [anon_sym_U_SQUOTE] = ACTIONS(2634),
    [anon_sym_u8_SQUOTE] = ACTIONS(2634),
    [anon_sym_SQUOTE] = ACTIONS(2634),
    [anon_sym_L_DQUOTE] = ACTIONS(2634),
    [anon_sym_u_DQUOTE] = ACTIONS(2634),
    [anon_sym_U_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2632),
    [anon_sym_nullptr] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2632),
    [sym_virtual] = ACTIONS(2632),
    [anon_sym_explicit] = ACTIONS(2632),
    [anon_sym_typename] = ACTIONS(2632),
    [anon_sym_template] = ACTIONS(2632),
    [anon_sym_operator] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_delete] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2632),
    [anon_sym_namespace] = ACTIONS(2632),
    [anon_sym_using] = ACTIONS(2632),
    [anon_sym_static_assert] = ACTIONS(2632),
    [anon_sym_concept] = ACTIONS(2632),
    [anon_sym_co_return] = ACTIONS(2632),
    [anon_sym_co_yield] = ACTIONS(2632),
    [anon_sym_R_DQUOTE] = ACTIONS(2634),
    [anon_sym_LR_DQUOTE] = ACTIONS(2634),
    [anon_sym_uR_DQUOTE] = ACTIONS(2634),
    [anon_sym_UR_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2634),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2632),
    [anon_sym_requires] = ACTIONS(2632),
    [sym_this] = ACTIONS(2632),
  },
  [506] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [sym_virtual] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_concept] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(2562),
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___based] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_explicit] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_operator] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_namespace] = ACTIONS(2560),
    [anon_sym_using] = ACTIONS(2560),
    [anon_sym_static_assert] = ACTIONS(2560),
    [anon_sym_concept] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token2] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [sym_virtual] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP_AMP] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___based] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_RBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym___leave] = ACTIONS(2596),
    [anon_sym_not] = ACTIONS(2596),
    [anon_sym_compl] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_explicit] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_operator] = ACTIONS(2596),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2596),
    [anon_sym_namespace] = ACTIONS(2596),
    [anon_sym_using] = ACTIONS(2596),
    [anon_sym_static_assert] = ACTIONS(2596),
    [anon_sym_concept] = ACTIONS(2596),
    [anon_sym_co_return] = ACTIONS(2596),
    [anon_sym_co_yield] = ACTIONS(2596),
    [anon_sym_R_DQUOTE] = ACTIONS(2598),
    [anon_sym_LR_DQUOTE] = ACTIONS(2598),
    [anon_sym_uR_DQUOTE] = ACTIONS(2598),
    [anon_sym_UR_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2598),
    [anon_sym_co_await] = ACTIONS(2596),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2596),
    [sym_this] = ACTIONS(2596),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [sym_virtual] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [511] = {
    [sym_identifier] = ACTIONS(2636),
    [aux_sym_preproc_include_token1] = ACTIONS(2636),
    [aux_sym_preproc_def_token1] = ACTIONS(2636),
    [aux_sym_preproc_if_token1] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2636),
    [sym_preproc_directive] = ACTIONS(2636),
    [anon_sym_LPAREN2] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_TILDE] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2636),
    [anon_sym_typedef] = ACTIONS(2636),
    [anon_sym_extern] = ACTIONS(2636),
    [anon_sym___attribute__] = ACTIONS(2636),
    [anon_sym_COLON_COLON] = ACTIONS(2638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2638),
    [anon_sym___declspec] = ACTIONS(2636),
    [anon_sym___based] = ACTIONS(2636),
    [anon_sym___cdecl] = ACTIONS(2636),
    [anon_sym___clrcall] = ACTIONS(2636),
    [anon_sym___stdcall] = ACTIONS(2636),
    [anon_sym___fastcall] = ACTIONS(2636),
    [anon_sym___thiscall] = ACTIONS(2636),
    [anon_sym___vectorcall] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_RBRACE] = ACTIONS(2638),
    [anon_sym_signed] = ACTIONS(2636),
    [anon_sym_unsigned] = ACTIONS(2636),
    [anon_sym_long] = ACTIONS(2636),
    [anon_sym_short] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2636),
    [anon_sym_register] = ACTIONS(2636),
    [anon_sym_inline] = ACTIONS(2636),
    [anon_sym___inline] = ACTIONS(2636),
    [anon_sym___inline__] = ACTIONS(2636),
    [anon_sym___forceinline] = ACTIONS(2636),
    [anon_sym_thread_local] = ACTIONS(2636),
    [anon_sym___thread] = ACTIONS(2636),
    [anon_sym_const] = ACTIONS(2636),
    [anon_sym_constexpr] = ACTIONS(2636),
    [anon_sym_volatile] = ACTIONS(2636),
    [anon_sym_restrict] = ACTIONS(2636),
    [anon_sym___restrict__] = ACTIONS(2636),
    [anon_sym__Atomic] = ACTIONS(2636),
    [anon_sym__Noreturn] = ACTIONS(2636),
    [anon_sym_noreturn] = ACTIONS(2636),
    [anon_sym_mutable] = ACTIONS(2636),
    [anon_sym_constinit] = ACTIONS(2636),
    [anon_sym_consteval] = ACTIONS(2636),
    [anon_sym_alignas] = ACTIONS(2636),
    [anon_sym__Alignas] = ACTIONS(2636),
    [sym_primitive_type] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2636),
    [anon_sym_struct] = ACTIONS(2636),
    [anon_sym_union] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2636),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_case] = ACTIONS(2636),
    [anon_sym_default] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2636),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_return] = ACTIONS(2636),
    [anon_sym_break] = ACTIONS(2636),
    [anon_sym_continue] = ACTIONS(2636),
    [anon_sym_goto] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2636),
    [anon_sym___leave] = ACTIONS(2636),
    [anon_sym_not] = ACTIONS(2636),
    [anon_sym_compl] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_sizeof] = ACTIONS(2636),
    [anon_sym___alignof__] = ACTIONS(2636),
    [anon_sym___alignof] = ACTIONS(2636),
    [anon_sym__alignof] = ACTIONS(2636),
    [anon_sym_alignof] = ACTIONS(2636),
    [anon_sym__Alignof] = ACTIONS(2636),
    [anon_sym_offsetof] = ACTIONS(2636),
    [anon_sym__Generic] = ACTIONS(2636),
    [anon_sym_asm] = ACTIONS(2636),
    [anon_sym___asm__] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2638),
    [anon_sym_L_SQUOTE] = ACTIONS(2638),
    [anon_sym_u_SQUOTE] = ACTIONS(2638),
    [anon_sym_U_SQUOTE] = ACTIONS(2638),
    [anon_sym_u8_SQUOTE] = ACTIONS(2638),
    [anon_sym_SQUOTE] = ACTIONS(2638),
    [anon_sym_L_DQUOTE] = ACTIONS(2638),
    [anon_sym_u_DQUOTE] = ACTIONS(2638),
    [anon_sym_U_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [sym_true] = ACTIONS(2636),
    [sym_false] = ACTIONS(2636),
    [anon_sym_NULL] = ACTIONS(2636),
    [anon_sym_nullptr] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2636),
    [sym_virtual] = ACTIONS(2636),
    [anon_sym_explicit] = ACTIONS(2636),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(2636),
    [anon_sym_operator] = ACTIONS(2636),
    [anon_sym_try] = ACTIONS(2636),
    [anon_sym_delete] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2636),
    [anon_sym_namespace] = ACTIONS(2636),
    [anon_sym_using] = ACTIONS(2636),
    [anon_sym_static_assert] = ACTIONS(2636),
    [anon_sym_concept] = ACTIONS(2636),
    [anon_sym_co_return] = ACTIONS(2636),
    [anon_sym_co_yield] = ACTIONS(2636),
    [anon_sym_R_DQUOTE] = ACTIONS(2638),
    [anon_sym_LR_DQUOTE] = ACTIONS(2638),
    [anon_sym_uR_DQUOTE] = ACTIONS(2638),
    [anon_sym_UR_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2638),
    [anon_sym_co_await] = ACTIONS(2636),
    [anon_sym_new] = ACTIONS(2636),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2636),
  },
  [512] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token2] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___based] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym___leave] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2588),
    [anon_sym_compl] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_explicit] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_operator] = ACTIONS(2588),
    [anon_sym_try] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2588),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_static_assert] = ACTIONS(2588),
    [anon_sym_concept] = ACTIONS(2588),
    [anon_sym_co_return] = ACTIONS(2588),
    [anon_sym_co_yield] = ACTIONS(2588),
    [anon_sym_R_DQUOTE] = ACTIONS(2590),
    [anon_sym_LR_DQUOTE] = ACTIONS(2590),
    [anon_sym_uR_DQUOTE] = ACTIONS(2590),
    [anon_sym_UR_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2590),
    [anon_sym_co_await] = ACTIONS(2588),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_requires] = ACTIONS(2588),
    [sym_this] = ACTIONS(2588),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(2570),
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___based] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [sym_virtual] = ACTIONS(2568),
    [anon_sym_explicit] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_operator] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_namespace] = ACTIONS(2568),
    [anon_sym_using] = ACTIONS(2568),
    [anon_sym_static_assert] = ACTIONS(2568),
    [anon_sym_concept] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(2512),
    [sym_identifier] = ACTIONS(2510),
    [aux_sym_preproc_include_token1] = ACTIONS(2510),
    [aux_sym_preproc_def_token1] = ACTIONS(2510),
    [aux_sym_preproc_if_token1] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2510),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2510),
    [sym_preproc_directive] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(2512),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2510),
    [anon_sym_PLUS] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2510),
    [anon_sym_typedef] = ACTIONS(2510),
    [anon_sym_extern] = ACTIONS(2510),
    [anon_sym___attribute__] = ACTIONS(2510),
    [anon_sym_COLON_COLON] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2512),
    [anon_sym___declspec] = ACTIONS(2510),
    [anon_sym___based] = ACTIONS(2510),
    [anon_sym___cdecl] = ACTIONS(2510),
    [anon_sym___clrcall] = ACTIONS(2510),
    [anon_sym___stdcall] = ACTIONS(2510),
    [anon_sym___fastcall] = ACTIONS(2510),
    [anon_sym___thiscall] = ACTIONS(2510),
    [anon_sym___vectorcall] = ACTIONS(2510),
    [anon_sym_LBRACE] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2510),
    [anon_sym_unsigned] = ACTIONS(2510),
    [anon_sym_long] = ACTIONS(2510),
    [anon_sym_short] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_static] = ACTIONS(2510),
    [anon_sym_register] = ACTIONS(2510),
    [anon_sym_inline] = ACTIONS(2510),
    [anon_sym___inline] = ACTIONS(2510),
    [anon_sym___inline__] = ACTIONS(2510),
    [anon_sym___forceinline] = ACTIONS(2510),
    [anon_sym_thread_local] = ACTIONS(2510),
    [anon_sym___thread] = ACTIONS(2510),
    [anon_sym_const] = ACTIONS(2510),
    [anon_sym_constexpr] = ACTIONS(2510),
    [anon_sym_volatile] = ACTIONS(2510),
    [anon_sym_restrict] = ACTIONS(2510),
    [anon_sym___restrict__] = ACTIONS(2510),
    [anon_sym__Atomic] = ACTIONS(2510),
    [anon_sym__Noreturn] = ACTIONS(2510),
    [anon_sym_noreturn] = ACTIONS(2510),
    [anon_sym_mutable] = ACTIONS(2510),
    [anon_sym_constinit] = ACTIONS(2510),
    [anon_sym_consteval] = ACTIONS(2510),
    [anon_sym_alignas] = ACTIONS(2510),
    [anon_sym__Alignas] = ACTIONS(2510),
    [sym_primitive_type] = ACTIONS(2510),
    [anon_sym_enum] = ACTIONS(2510),
    [anon_sym_class] = ACTIONS(2510),
    [anon_sym_struct] = ACTIONS(2510),
    [anon_sym_union] = ACTIONS(2510),
    [anon_sym_if] = ACTIONS(2510),
    [anon_sym_else] = ACTIONS(2510),
    [anon_sym_switch] = ACTIONS(2510),
    [anon_sym_case] = ACTIONS(2510),
    [anon_sym_default] = ACTIONS(2510),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_do] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2510),
    [anon_sym_return] = ACTIONS(2510),
    [anon_sym_break] = ACTIONS(2510),
    [anon_sym_continue] = ACTIONS(2510),
    [anon_sym_goto] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2510),
    [anon_sym___leave] = ACTIONS(2510),
    [anon_sym_not] = ACTIONS(2510),
    [anon_sym_compl] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_sizeof] = ACTIONS(2510),
    [anon_sym___alignof__] = ACTIONS(2510),
    [anon_sym___alignof] = ACTIONS(2510),
    [anon_sym__alignof] = ACTIONS(2510),
    [anon_sym_alignof] = ACTIONS(2510),
    [anon_sym__Alignof] = ACTIONS(2510),
    [anon_sym_offsetof] = ACTIONS(2510),
    [anon_sym__Generic] = ACTIONS(2510),
    [anon_sym_asm] = ACTIONS(2510),
    [anon_sym___asm__] = ACTIONS(2510),
    [sym_number_literal] = ACTIONS(2512),
    [anon_sym_L_SQUOTE] = ACTIONS(2512),
    [anon_sym_u_SQUOTE] = ACTIONS(2512),
    [anon_sym_U_SQUOTE] = ACTIONS(2512),
    [anon_sym_u8_SQUOTE] = ACTIONS(2512),
    [anon_sym_SQUOTE] = ACTIONS(2512),
    [anon_sym_L_DQUOTE] = ACTIONS(2512),
    [anon_sym_u_DQUOTE] = ACTIONS(2512),
    [anon_sym_U_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8_DQUOTE] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2512),
    [sym_true] = ACTIONS(2510),
    [sym_false] = ACTIONS(2510),
    [anon_sym_NULL] = ACTIONS(2510),
    [anon_sym_nullptr] = ACTIONS(2510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2510),
    [anon_sym_decltype] = ACTIONS(2510),
    [sym_virtual] = ACTIONS(2510),
    [anon_sym_explicit] = ACTIONS(2510),
    [anon_sym_typename] = ACTIONS(2510),
    [anon_sym_template] = ACTIONS(2510),
    [anon_sym_operator] = ACTIONS(2510),
    [anon_sym_try] = ACTIONS(2510),
    [anon_sym_delete] = ACTIONS(2510),
    [anon_sym_throw] = ACTIONS(2510),
    [anon_sym_namespace] = ACTIONS(2510),
    [anon_sym_using] = ACTIONS(2510),
    [anon_sym_static_assert] = ACTIONS(2510),
    [anon_sym_concept] = ACTIONS(2510),
    [anon_sym_co_return] = ACTIONS(2510),
    [anon_sym_co_yield] = ACTIONS(2510),
    [anon_sym_R_DQUOTE] = ACTIONS(2512),
    [anon_sym_LR_DQUOTE] = ACTIONS(2512),
    [anon_sym_uR_DQUOTE] = ACTIONS(2512),
    [anon_sym_UR_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2512),
    [anon_sym_co_await] = ACTIONS(2510),
    [anon_sym_new] = ACTIONS(2510),
    [anon_sym_requires] = ACTIONS(2510),
    [sym_this] = ACTIONS(2510),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(2574),
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___based] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [sym_virtual] = ACTIONS(2572),
    [anon_sym_explicit] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_namespace] = ACTIONS(2572),
    [anon_sym_using] = ACTIONS(2572),
    [anon_sym_static_assert] = ACTIONS(2572),
    [anon_sym_concept] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(2578),
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___based] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [sym_virtual] = ACTIONS(2576),
    [anon_sym_explicit] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_operator] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_namespace] = ACTIONS(2576),
    [anon_sym_using] = ACTIONS(2576),
    [anon_sym_static_assert] = ACTIONS(2576),
    [anon_sym_concept] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(2582),
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_namespace] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
    [anon_sym_concept] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [518] = {
    [sym_identifier] = ACTIONS(2502),
    [aux_sym_preproc_include_token1] = ACTIONS(2502),
    [aux_sym_preproc_def_token1] = ACTIONS(2502),
    [aux_sym_preproc_if_token1] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2502),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2502),
    [sym_preproc_directive] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(2504),
    [anon_sym_BANG] = ACTIONS(2504),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym___extension__] = ACTIONS(2502),
    [anon_sym_typedef] = ACTIONS(2502),
    [anon_sym_extern] = ACTIONS(2502),
    [anon_sym___attribute__] = ACTIONS(2502),
    [anon_sym_COLON_COLON] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2504),
    [anon_sym___declspec] = ACTIONS(2502),
    [anon_sym___based] = ACTIONS(2502),
    [anon_sym___cdecl] = ACTIONS(2502),
    [anon_sym___clrcall] = ACTIONS(2502),
    [anon_sym___stdcall] = ACTIONS(2502),
    [anon_sym___fastcall] = ACTIONS(2502),
    [anon_sym___thiscall] = ACTIONS(2502),
    [anon_sym___vectorcall] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_RBRACE] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2502),
    [anon_sym_unsigned] = ACTIONS(2502),
    [anon_sym_long] = ACTIONS(2502),
    [anon_sym_short] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_static] = ACTIONS(2502),
    [anon_sym_register] = ACTIONS(2502),
    [anon_sym_inline] = ACTIONS(2502),
    [anon_sym___inline] = ACTIONS(2502),
    [anon_sym___inline__] = ACTIONS(2502),
    [anon_sym___forceinline] = ACTIONS(2502),
    [anon_sym_thread_local] = ACTIONS(2502),
    [anon_sym___thread] = ACTIONS(2502),
    [anon_sym_const] = ACTIONS(2502),
    [anon_sym_constexpr] = ACTIONS(2502),
    [anon_sym_volatile] = ACTIONS(2502),
    [anon_sym_restrict] = ACTIONS(2502),
    [anon_sym___restrict__] = ACTIONS(2502),
    [anon_sym__Atomic] = ACTIONS(2502),
    [anon_sym__Noreturn] = ACTIONS(2502),
    [anon_sym_noreturn] = ACTIONS(2502),
    [anon_sym_mutable] = ACTIONS(2502),
    [anon_sym_constinit] = ACTIONS(2502),
    [anon_sym_consteval] = ACTIONS(2502),
    [anon_sym_alignas] = ACTIONS(2502),
    [anon_sym__Alignas] = ACTIONS(2502),
    [sym_primitive_type] = ACTIONS(2502),
    [anon_sym_enum] = ACTIONS(2502),
    [anon_sym_class] = ACTIONS(2502),
    [anon_sym_struct] = ACTIONS(2502),
    [anon_sym_union] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_else] = ACTIONS(2502),
    [anon_sym_switch] = ACTIONS(2502),
    [anon_sym_case] = ACTIONS(2502),
    [anon_sym_default] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_do] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2502),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_break] = ACTIONS(2502),
    [anon_sym_continue] = ACTIONS(2502),
    [anon_sym_goto] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2502),
    [anon_sym___leave] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2502),
    [anon_sym_compl] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2504),
    [anon_sym_PLUS_PLUS] = ACTIONS(2504),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(2502),
    [anon_sym___alignof] = ACTIONS(2502),
    [anon_sym__alignof] = ACTIONS(2502),
    [anon_sym_alignof] = ACTIONS(2502),
    [anon_sym__Alignof] = ACTIONS(2502),
    [anon_sym_offsetof] = ACTIONS(2502),
    [anon_sym__Generic] = ACTIONS(2502),
    [anon_sym_asm] = ACTIONS(2502),
    [anon_sym___asm__] = ACTIONS(2502),
    [sym_number_literal] = ACTIONS(2504),
    [anon_sym_L_SQUOTE] = ACTIONS(2504),
    [anon_sym_u_SQUOTE] = ACTIONS(2504),
    [anon_sym_U_SQUOTE] = ACTIONS(2504),
    [anon_sym_u8_SQUOTE] = ACTIONS(2504),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_L_DQUOTE] = ACTIONS(2504),
    [anon_sym_u_DQUOTE] = ACTIONS(2504),
    [anon_sym_U_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8_DQUOTE] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [sym_true] = ACTIONS(2502),
    [sym_false] = ACTIONS(2502),
    [anon_sym_NULL] = ACTIONS(2502),
    [anon_sym_nullptr] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2502),
    [anon_sym_decltype] = ACTIONS(2502),
    [sym_virtual] = ACTIONS(2502),
    [anon_sym_explicit] = ACTIONS(2502),
    [anon_sym_typename] = ACTIONS(2502),
    [anon_sym_template] = ACTIONS(2502),
    [anon_sym_operator] = ACTIONS(2502),
    [anon_sym_try] = ACTIONS(2502),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2502),
    [anon_sym_namespace] = ACTIONS(2502),
    [anon_sym_using] = ACTIONS(2502),
    [anon_sym_static_assert] = ACTIONS(2502),
    [anon_sym_concept] = ACTIONS(2502),
    [anon_sym_co_return] = ACTIONS(2502),
    [anon_sym_co_yield] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2504),
    [anon_sym_LR_DQUOTE] = ACTIONS(2504),
    [anon_sym_uR_DQUOTE] = ACTIONS(2504),
    [anon_sym_UR_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2504),
    [anon_sym_co_await] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2502),
    [anon_sym_requires] = ACTIONS(2502),
    [sym_this] = ACTIONS(2502),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2514),
    [aux_sym_preproc_include_token1] = ACTIONS(2514),
    [aux_sym_preproc_def_token1] = ACTIONS(2514),
    [aux_sym_preproc_if_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2514),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2514),
    [sym_preproc_directive] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym___based] = ACTIONS(2514),
    [anon_sym___cdecl] = ACTIONS(2514),
    [anon_sym___clrcall] = ACTIONS(2514),
    [anon_sym___stdcall] = ACTIONS(2514),
    [anon_sym___fastcall] = ACTIONS(2514),
    [anon_sym___thiscall] = ACTIONS(2514),
    [anon_sym___vectorcall] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_RBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_else] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2514),
    [anon_sym___leave] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [sym_virtual] = ACTIONS(2514),
    [anon_sym_explicit] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_operator] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_static_assert] = ACTIONS(2514),
    [anon_sym_concept] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
  },
  [520] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_RBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [sym_virtual] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token2] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [sym_virtual] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [sym_virtual] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2652),
    [aux_sym_preproc_include_token1] = ACTIONS(2652),
    [aux_sym_preproc_def_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2652),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2654),
    [anon_sym___extension__] = ACTIONS(2652),
    [anon_sym_typedef] = ACTIONS(2652),
    [anon_sym_extern] = ACTIONS(2652),
    [anon_sym___attribute__] = ACTIONS(2652),
    [anon_sym_COLON_COLON] = ACTIONS(2654),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2654),
    [anon_sym___declspec] = ACTIONS(2652),
    [anon_sym___based] = ACTIONS(2652),
    [anon_sym___cdecl] = ACTIONS(2652),
    [anon_sym___clrcall] = ACTIONS(2652),
    [anon_sym___stdcall] = ACTIONS(2652),
    [anon_sym___fastcall] = ACTIONS(2652),
    [anon_sym___thiscall] = ACTIONS(2652),
    [anon_sym___vectorcall] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2654),
    [anon_sym_RBRACE] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2652),
    [anon_sym_unsigned] = ACTIONS(2652),
    [anon_sym_long] = ACTIONS(2652),
    [anon_sym_short] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_register] = ACTIONS(2652),
    [anon_sym_inline] = ACTIONS(2652),
    [anon_sym___inline] = ACTIONS(2652),
    [anon_sym___inline__] = ACTIONS(2652),
    [anon_sym___forceinline] = ACTIONS(2652),
    [anon_sym_thread_local] = ACTIONS(2652),
    [anon_sym___thread] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_constexpr] = ACTIONS(2652),
    [anon_sym_volatile] = ACTIONS(2652),
    [anon_sym_restrict] = ACTIONS(2652),
    [anon_sym___restrict__] = ACTIONS(2652),
    [anon_sym__Atomic] = ACTIONS(2652),
    [anon_sym__Noreturn] = ACTIONS(2652),
    [anon_sym_noreturn] = ACTIONS(2652),
    [anon_sym_mutable] = ACTIONS(2652),
    [anon_sym_constinit] = ACTIONS(2652),
    [anon_sym_consteval] = ACTIONS(2652),
    [anon_sym_alignas] = ACTIONS(2652),
    [anon_sym__Alignas] = ACTIONS(2652),
    [sym_primitive_type] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_struct] = ACTIONS(2652),
    [anon_sym_union] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_goto] = ACTIONS(2652),
    [anon_sym___try] = ACTIONS(2652),
    [anon_sym___leave] = ACTIONS(2652),
    [anon_sym_not] = ACTIONS(2652),
    [anon_sym_compl] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2654),
    [anon_sym_sizeof] = ACTIONS(2652),
    [anon_sym___alignof__] = ACTIONS(2652),
    [anon_sym___alignof] = ACTIONS(2652),
    [anon_sym__alignof] = ACTIONS(2652),
    [anon_sym_alignof] = ACTIONS(2652),
    [anon_sym__Alignof] = ACTIONS(2652),
    [anon_sym_offsetof] = ACTIONS(2652),
    [anon_sym__Generic] = ACTIONS(2652),
    [anon_sym_asm] = ACTIONS(2652),
    [anon_sym___asm__] = ACTIONS(2652),
    [sym_number_literal] = ACTIONS(2654),
    [anon_sym_L_SQUOTE] = ACTIONS(2654),
    [anon_sym_u_SQUOTE] = ACTIONS(2654),
    [anon_sym_U_SQUOTE] = ACTIONS(2654),
    [anon_sym_u8_SQUOTE] = ACTIONS(2654),
    [anon_sym_SQUOTE] = ACTIONS(2654),
    [anon_sym_L_DQUOTE] = ACTIONS(2654),
    [anon_sym_u_DQUOTE] = ACTIONS(2654),
    [anon_sym_U_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8_DQUOTE] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [anon_sym_NULL] = ACTIONS(2652),
    [anon_sym_nullptr] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2652),
    [anon_sym_decltype] = ACTIONS(2652),
    [sym_virtual] = ACTIONS(2652),
    [anon_sym_explicit] = ACTIONS(2652),
    [anon_sym_typename] = ACTIONS(2652),
    [anon_sym_template] = ACTIONS(2652),
    [anon_sym_operator] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_static_assert] = ACTIONS(2652),
    [anon_sym_concept] = ACTIONS(2652),
    [anon_sym_co_return] = ACTIONS(2652),
    [anon_sym_co_yield] = ACTIONS(2652),
    [anon_sym_R_DQUOTE] = ACTIONS(2654),
    [anon_sym_LR_DQUOTE] = ACTIONS(2654),
    [anon_sym_uR_DQUOTE] = ACTIONS(2654),
    [anon_sym_UR_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2654),
    [anon_sym_co_await] = ACTIONS(2652),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2652),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2656),
    [aux_sym_preproc_include_token1] = ACTIONS(2656),
    [aux_sym_preproc_def_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2656),
    [sym_preproc_directive] = ACTIONS(2656),
    [anon_sym_LPAREN2] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_AMP_AMP] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2658),
    [anon_sym___extension__] = ACTIONS(2656),
    [anon_sym_typedef] = ACTIONS(2656),
    [anon_sym_extern] = ACTIONS(2656),
    [anon_sym___attribute__] = ACTIONS(2656),
    [anon_sym_COLON_COLON] = ACTIONS(2658),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2658),
    [anon_sym___declspec] = ACTIONS(2656),
    [anon_sym___based] = ACTIONS(2656),
    [anon_sym___cdecl] = ACTIONS(2656),
    [anon_sym___clrcall] = ACTIONS(2656),
    [anon_sym___stdcall] = ACTIONS(2656),
    [anon_sym___fastcall] = ACTIONS(2656),
    [anon_sym___thiscall] = ACTIONS(2656),
    [anon_sym___vectorcall] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_RBRACE] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2656),
    [anon_sym_unsigned] = ACTIONS(2656),
    [anon_sym_long] = ACTIONS(2656),
    [anon_sym_short] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_register] = ACTIONS(2656),
    [anon_sym_inline] = ACTIONS(2656),
    [anon_sym___inline] = ACTIONS(2656),
    [anon_sym___inline__] = ACTIONS(2656),
    [anon_sym___forceinline] = ACTIONS(2656),
    [anon_sym_thread_local] = ACTIONS(2656),
    [anon_sym___thread] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_constexpr] = ACTIONS(2656),
    [anon_sym_volatile] = ACTIONS(2656),
    [anon_sym_restrict] = ACTIONS(2656),
    [anon_sym___restrict__] = ACTIONS(2656),
    [anon_sym__Atomic] = ACTIONS(2656),
    [anon_sym__Noreturn] = ACTIONS(2656),
    [anon_sym_noreturn] = ACTIONS(2656),
    [anon_sym_mutable] = ACTIONS(2656),
    [anon_sym_constinit] = ACTIONS(2656),
    [anon_sym_consteval] = ACTIONS(2656),
    [anon_sym_alignas] = ACTIONS(2656),
    [anon_sym__Alignas] = ACTIONS(2656),
    [sym_primitive_type] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_struct] = ACTIONS(2656),
    [anon_sym_union] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2656),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2656),
    [anon_sym_default] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2656),
    [anon_sym_do] = ACTIONS(2656),
    [anon_sym_for] = ACTIONS(2656),
    [anon_sym_return] = ACTIONS(2656),
    [anon_sym_break] = ACTIONS(2656),
    [anon_sym_continue] = ACTIONS(2656),
    [anon_sym_goto] = ACTIONS(2656),
    [anon_sym___try] = ACTIONS(2656),
    [anon_sym___leave] = ACTIONS(2656),
    [anon_sym_not] = ACTIONS(2656),
    [anon_sym_compl] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2658),
    [anon_sym_sizeof] = ACTIONS(2656),
    [anon_sym___alignof__] = ACTIONS(2656),
    [anon_sym___alignof] = ACTIONS(2656),
    [anon_sym__alignof] = ACTIONS(2656),
    [anon_sym_alignof] = ACTIONS(2656),
    [anon_sym__Alignof] = ACTIONS(2656),
    [anon_sym_offsetof] = ACTIONS(2656),
    [anon_sym__Generic] = ACTIONS(2656),
    [anon_sym_asm] = ACTIONS(2656),
    [anon_sym___asm__] = ACTIONS(2656),
    [sym_number_literal] = ACTIONS(2658),
    [anon_sym_L_SQUOTE] = ACTIONS(2658),
    [anon_sym_u_SQUOTE] = ACTIONS(2658),
    [anon_sym_U_SQUOTE] = ACTIONS(2658),
    [anon_sym_u8_SQUOTE] = ACTIONS(2658),
    [anon_sym_SQUOTE] = ACTIONS(2658),
    [anon_sym_L_DQUOTE] = ACTIONS(2658),
    [anon_sym_u_DQUOTE] = ACTIONS(2658),
    [anon_sym_U_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8_DQUOTE] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [sym_true] = ACTIONS(2656),
    [sym_false] = ACTIONS(2656),
    [anon_sym_NULL] = ACTIONS(2656),
    [anon_sym_nullptr] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2656),
    [anon_sym_decltype] = ACTIONS(2656),
    [sym_virtual] = ACTIONS(2656),
    [anon_sym_explicit] = ACTIONS(2656),
    [anon_sym_typename] = ACTIONS(2656),
    [anon_sym_template] = ACTIONS(2656),
    [anon_sym_operator] = ACTIONS(2656),
    [anon_sym_try] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2656),
    [anon_sym_namespace] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_static_assert] = ACTIONS(2656),
    [anon_sym_concept] = ACTIONS(2656),
    [anon_sym_co_return] = ACTIONS(2656),
    [anon_sym_co_yield] = ACTIONS(2656),
    [anon_sym_R_DQUOTE] = ACTIONS(2658),
    [anon_sym_LR_DQUOTE] = ACTIONS(2658),
    [anon_sym_uR_DQUOTE] = ACTIONS(2658),
    [anon_sym_UR_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2658),
    [anon_sym_co_await] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2656),
    [anon_sym_requires] = ACTIONS(2656),
    [sym_this] = ACTIONS(2656),
  },
  [525] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_include_token1] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym___cdecl] = ACTIONS(2664),
    [anon_sym___clrcall] = ACTIONS(2664),
    [anon_sym___stdcall] = ACTIONS(2664),
    [anon_sym___fastcall] = ACTIONS(2664),
    [anon_sym___thiscall] = ACTIONS(2664),
    [anon_sym___vectorcall] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2664),
    [anon_sym___leave] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [sym_virtual] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
    [anon_sym_concept] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token2] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym___leave] = ACTIONS(2820),
    [anon_sym_not] = ACTIONS(2820),
    [anon_sym_compl] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [sym_virtual] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
    [anon_sym_concept] = ACTIONS(2820),
    [anon_sym_co_return] = ACTIONS(2820),
    [anon_sym_co_yield] = ACTIONS(2820),
    [anon_sym_R_DQUOTE] = ACTIONS(2822),
    [anon_sym_LR_DQUOTE] = ACTIONS(2822),
    [anon_sym_uR_DQUOTE] = ACTIONS(2822),
    [anon_sym_UR_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2822),
    [anon_sym_co_await] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_requires] = ACTIONS(2820),
    [sym_this] = ACTIONS(2820),
  },
  [528] = {
    [sym_catch_clause] = STATE(318),
    [aux_sym_constructor_try_statement_repeat1] = STATE(318),
    [ts_builtin_sym_end] = ACTIONS(2480),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym_not] = ACTIONS(2478),
    [anon_sym_compl] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_concept] = ACTIONS(2478),
    [anon_sym_co_return] = ACTIONS(2478),
    [anon_sym_co_yield] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_requires] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
  },
  [529] = {
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_BANG] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym___cdecl] = ACTIONS(3017),
    [anon_sym___clrcall] = ACTIONS(3017),
    [anon_sym___stdcall] = ACTIONS(3017),
    [anon_sym___fastcall] = ACTIONS(3017),
    [anon_sym___thiscall] = ACTIONS(3017),
    [anon_sym___vectorcall] = ACTIONS(3017),
    [anon_sym_LBRACE] = ACTIONS(3019),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [anon_sym_if] = ACTIONS(3017),
    [anon_sym_switch] = ACTIONS(3017),
    [anon_sym_case] = ACTIONS(3017),
    [anon_sym_default] = ACTIONS(3017),
    [anon_sym_while] = ACTIONS(3017),
    [anon_sym_do] = ACTIONS(3017),
    [anon_sym_for] = ACTIONS(3017),
    [anon_sym_return] = ACTIONS(3017),
    [anon_sym_break] = ACTIONS(3017),
    [anon_sym_continue] = ACTIONS(3017),
    [anon_sym_goto] = ACTIONS(3017),
    [anon_sym___try] = ACTIONS(3017),
    [anon_sym___leave] = ACTIONS(3017),
    [anon_sym_not] = ACTIONS(3017),
    [anon_sym_compl] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3019),
    [anon_sym_sizeof] = ACTIONS(3017),
    [anon_sym___alignof__] = ACTIONS(3017),
    [anon_sym___alignof] = ACTIONS(3017),
    [anon_sym__alignof] = ACTIONS(3017),
    [anon_sym_alignof] = ACTIONS(3017),
    [anon_sym__Alignof] = ACTIONS(3017),
    [anon_sym_offsetof] = ACTIONS(3017),
    [anon_sym__Generic] = ACTIONS(3017),
    [anon_sym_asm] = ACTIONS(3017),
    [anon_sym___asm__] = ACTIONS(3017),
    [sym_number_literal] = ACTIONS(3019),
    [anon_sym_L_SQUOTE] = ACTIONS(3019),
    [anon_sym_u_SQUOTE] = ACTIONS(3019),
    [anon_sym_U_SQUOTE] = ACTIONS(3019),
    [anon_sym_u8_SQUOTE] = ACTIONS(3019),
    [anon_sym_SQUOTE] = ACTIONS(3019),
    [anon_sym_L_DQUOTE] = ACTIONS(3019),
    [anon_sym_u_DQUOTE] = ACTIONS(3019),
    [anon_sym_U_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8_DQUOTE] = ACTIONS(3019),
    [anon_sym_DQUOTE] = ACTIONS(3019),
    [sym_true] = ACTIONS(3017),
    [sym_false] = ACTIONS(3017),
    [anon_sym_NULL] = ACTIONS(3017),
    [anon_sym_nullptr] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [sym_virtual] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_try] = ACTIONS(3017),
    [anon_sym_delete] = ACTIONS(3017),
    [anon_sym_throw] = ACTIONS(3017),
    [anon_sym_namespace] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
    [anon_sym_concept] = ACTIONS(3017),
    [anon_sym_co_return] = ACTIONS(3017),
    [anon_sym_co_yield] = ACTIONS(3017),
    [anon_sym_R_DQUOTE] = ACTIONS(3019),
    [anon_sym_LR_DQUOTE] = ACTIONS(3019),
    [anon_sym_uR_DQUOTE] = ACTIONS(3019),
    [anon_sym_UR_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3019),
    [anon_sym_co_await] = ACTIONS(3017),
    [anon_sym_new] = ACTIONS(3017),
    [anon_sym_requires] = ACTIONS(3017),
    [sym_this] = ACTIONS(3017),
  },
  [530] = {
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym__Alignas] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym___try] = ACTIONS(2828),
    [anon_sym___leave] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2828),
    [anon_sym_compl] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [sym_virtual] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_try] = ACTIONS(2828),
    [anon_sym_delete] = ACTIONS(2828),
    [anon_sym_throw] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_concept] = ACTIONS(2828),
    [anon_sym_co_return] = ACTIONS(2828),
    [anon_sym_co_yield] = ACTIONS(2828),
    [anon_sym_R_DQUOTE] = ACTIONS(2830),
    [anon_sym_LR_DQUOTE] = ACTIONS(2830),
    [anon_sym_uR_DQUOTE] = ACTIONS(2830),
    [anon_sym_UR_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2830),
    [anon_sym_co_await] = ACTIONS(2828),
    [anon_sym_new] = ACTIONS(2828),
    [anon_sym_requires] = ACTIONS(2828),
    [sym_this] = ACTIONS(2828),
  },
  [531] = {
    [sym_identifier] = ACTIONS(2899),
    [aux_sym_preproc_include_token1] = ACTIONS(2899),
    [aux_sym_preproc_def_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token2] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2899),
    [sym_preproc_directive] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym___based] = ACTIONS(2899),
    [anon_sym___cdecl] = ACTIONS(2899),
    [anon_sym___clrcall] = ACTIONS(2899),
    [anon_sym___stdcall] = ACTIONS(2899),
    [anon_sym___fastcall] = ACTIONS(2899),
    [anon_sym___thiscall] = ACTIONS(2899),
    [anon_sym___vectorcall] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym__Alignas] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [anon_sym_if] = ACTIONS(2899),
    [anon_sym_switch] = ACTIONS(2899),
    [anon_sym_case] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(2899),
    [anon_sym_while] = ACTIONS(2899),
    [anon_sym_do] = ACTIONS(2899),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_break] = ACTIONS(2899),
    [anon_sym_continue] = ACTIONS(2899),
    [anon_sym_goto] = ACTIONS(2899),
    [anon_sym___try] = ACTIONS(2899),
    [anon_sym___leave] = ACTIONS(2899),
    [anon_sym_not] = ACTIONS(2899),
    [anon_sym_compl] = ACTIONS(2899),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_sizeof] = ACTIONS(2899),
    [anon_sym___alignof__] = ACTIONS(2899),
    [anon_sym___alignof] = ACTIONS(2899),
    [anon_sym__alignof] = ACTIONS(2899),
    [anon_sym_alignof] = ACTIONS(2899),
    [anon_sym__Alignof] = ACTIONS(2899),
    [anon_sym_offsetof] = ACTIONS(2899),
    [anon_sym__Generic] = ACTIONS(2899),
    [anon_sym_asm] = ACTIONS(2899),
    [anon_sym___asm__] = ACTIONS(2899),
    [sym_number_literal] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2901),
    [anon_sym_u_SQUOTE] = ACTIONS(2901),
    [anon_sym_U_SQUOTE] = ACTIONS(2901),
    [anon_sym_u8_SQUOTE] = ACTIONS(2901),
    [anon_sym_SQUOTE] = ACTIONS(2901),
    [anon_sym_L_DQUOTE] = ACTIONS(2901),
    [anon_sym_u_DQUOTE] = ACTIONS(2901),
    [anon_sym_U_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8_DQUOTE] = ACTIONS(2901),
    [anon_sym_DQUOTE] = ACTIONS(2901),
    [sym_true] = ACTIONS(2899),
    [sym_false] = ACTIONS(2899),
    [anon_sym_NULL] = ACTIONS(2899),
    [anon_sym_nullptr] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [sym_virtual] = ACTIONS(2899),
    [anon_sym_explicit] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_operator] = ACTIONS(2899),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_delete] = ACTIONS(2899),
    [anon_sym_throw] = ACTIONS(2899),
    [anon_sym_namespace] = ACTIONS(2899),
    [anon_sym_using] = ACTIONS(2899),
    [anon_sym_static_assert] = ACTIONS(2899),
    [anon_sym_concept] = ACTIONS(2899),
    [anon_sym_co_return] = ACTIONS(2899),
    [anon_sym_co_yield] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2901),
    [anon_sym_LR_DQUOTE] = ACTIONS(2901),
    [anon_sym_uR_DQUOTE] = ACTIONS(2901),
    [anon_sym_UR_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2901),
    [anon_sym_co_await] = ACTIONS(2899),
    [anon_sym_new] = ACTIONS(2899),
    [anon_sym_requires] = ACTIONS(2899),
    [sym_this] = ACTIONS(2899),
  },
  [532] = {
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_include_token1] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym___cdecl] = ACTIONS(2668),
    [anon_sym___clrcall] = ACTIONS(2668),
    [anon_sym___stdcall] = ACTIONS(2668),
    [anon_sym___fastcall] = ACTIONS(2668),
    [anon_sym___thiscall] = ACTIONS(2668),
    [anon_sym___vectorcall] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_RBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2668),
    [anon_sym___leave] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [sym_virtual] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
    [anon_sym_concept] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym___cdecl] = ACTIONS(2672),
    [anon_sym___clrcall] = ACTIONS(2672),
    [anon_sym___stdcall] = ACTIONS(2672),
    [anon_sym___fastcall] = ACTIONS(2672),
    [anon_sym___thiscall] = ACTIONS(2672),
    [anon_sym___vectorcall] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_RBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2672),
    [anon_sym___leave] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
    [anon_sym_concept] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [534] = {
    [sym_identifier] = ACTIONS(2676),
    [aux_sym_preproc_include_token1] = ACTIONS(2676),
    [aux_sym_preproc_def_token1] = ACTIONS(2676),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2676),
    [sym_preproc_directive] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_AMP_AMP] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym___extension__] = ACTIONS(2676),
    [anon_sym_typedef] = ACTIONS(2676),
    [anon_sym_extern] = ACTIONS(2676),
    [anon_sym___attribute__] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2678),
    [anon_sym___declspec] = ACTIONS(2676),
    [anon_sym___based] = ACTIONS(2676),
    [anon_sym___cdecl] = ACTIONS(2676),
    [anon_sym___clrcall] = ACTIONS(2676),
    [anon_sym___stdcall] = ACTIONS(2676),
    [anon_sym___fastcall] = ACTIONS(2676),
    [anon_sym___thiscall] = ACTIONS(2676),
    [anon_sym___vectorcall] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2678),
    [anon_sym_RBRACE] = ACTIONS(2678),
    [anon_sym_signed] = ACTIONS(2676),
    [anon_sym_unsigned] = ACTIONS(2676),
    [anon_sym_long] = ACTIONS(2676),
    [anon_sym_short] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_static] = ACTIONS(2676),
    [anon_sym_register] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym___inline] = ACTIONS(2676),
    [anon_sym___inline__] = ACTIONS(2676),
    [anon_sym___forceinline] = ACTIONS(2676),
    [anon_sym_thread_local] = ACTIONS(2676),
    [anon_sym___thread] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_constexpr] = ACTIONS(2676),
    [anon_sym_volatile] = ACTIONS(2676),
    [anon_sym_restrict] = ACTIONS(2676),
    [anon_sym___restrict__] = ACTIONS(2676),
    [anon_sym__Atomic] = ACTIONS(2676),
    [anon_sym__Noreturn] = ACTIONS(2676),
    [anon_sym_noreturn] = ACTIONS(2676),
    [anon_sym_mutable] = ACTIONS(2676),
    [anon_sym_constinit] = ACTIONS(2676),
    [anon_sym_consteval] = ACTIONS(2676),
    [anon_sym_alignas] = ACTIONS(2676),
    [anon_sym__Alignas] = ACTIONS(2676),
    [sym_primitive_type] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_class] = ACTIONS(2676),
    [anon_sym_struct] = ACTIONS(2676),
    [anon_sym_union] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_case] = ACTIONS(2676),
    [anon_sym_default] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_break] = ACTIONS(2676),
    [anon_sym_continue] = ACTIONS(2676),
    [anon_sym_goto] = ACTIONS(2676),
    [anon_sym___try] = ACTIONS(2676),
    [anon_sym___leave] = ACTIONS(2676),
    [anon_sym_not] = ACTIONS(2676),
    [anon_sym_compl] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2678),
    [anon_sym_sizeof] = ACTIONS(2676),
    [anon_sym___alignof__] = ACTIONS(2676),
    [anon_sym___alignof] = ACTIONS(2676),
    [anon_sym__alignof] = ACTIONS(2676),
    [anon_sym_alignof] = ACTIONS(2676),
    [anon_sym__Alignof] = ACTIONS(2676),
    [anon_sym_offsetof] = ACTIONS(2676),
    [anon_sym__Generic] = ACTIONS(2676),
    [anon_sym_asm] = ACTIONS(2676),
    [anon_sym___asm__] = ACTIONS(2676),
    [sym_number_literal] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2678),
    [anon_sym_u_SQUOTE] = ACTIONS(2678),
    [anon_sym_U_SQUOTE] = ACTIONS(2678),
    [anon_sym_u8_SQUOTE] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_L_DQUOTE] = ACTIONS(2678),
    [anon_sym_u_DQUOTE] = ACTIONS(2678),
    [anon_sym_U_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2678),
    [sym_true] = ACTIONS(2676),
    [sym_false] = ACTIONS(2676),
    [anon_sym_NULL] = ACTIONS(2676),
    [anon_sym_nullptr] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2676),
    [anon_sym_decltype] = ACTIONS(2676),
    [sym_virtual] = ACTIONS(2676),
    [anon_sym_explicit] = ACTIONS(2676),
    [anon_sym_typename] = ACTIONS(2676),
    [anon_sym_template] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_delete] = ACTIONS(2676),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_namespace] = ACTIONS(2676),
    [anon_sym_using] = ACTIONS(2676),
    [anon_sym_static_assert] = ACTIONS(2676),
    [anon_sym_concept] = ACTIONS(2676),
    [anon_sym_co_return] = ACTIONS(2676),
    [anon_sym_co_yield] = ACTIONS(2676),
    [anon_sym_R_DQUOTE] = ACTIONS(2678),
    [anon_sym_LR_DQUOTE] = ACTIONS(2678),
    [anon_sym_uR_DQUOTE] = ACTIONS(2678),
    [anon_sym_UR_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2678),
    [anon_sym_co_await] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_requires] = ACTIONS(2676),
    [sym_this] = ACTIONS(2676),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2680),
    [aux_sym_preproc_include_token1] = ACTIONS(2680),
    [aux_sym_preproc_def_token1] = ACTIONS(2680),
    [aux_sym_preproc_if_token1] = ACTIONS(2680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2680),
    [sym_preproc_directive] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_BANG] = ACTIONS(2682),
    [anon_sym_TILDE] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_AMP_AMP] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(2680),
    [anon_sym_typedef] = ACTIONS(2680),
    [anon_sym_extern] = ACTIONS(2680),
    [anon_sym___attribute__] = ACTIONS(2680),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2682),
    [anon_sym___declspec] = ACTIONS(2680),
    [anon_sym___based] = ACTIONS(2680),
    [anon_sym___cdecl] = ACTIONS(2680),
    [anon_sym___clrcall] = ACTIONS(2680),
    [anon_sym___stdcall] = ACTIONS(2680),
    [anon_sym___fastcall] = ACTIONS(2680),
    [anon_sym___thiscall] = ACTIONS(2680),
    [anon_sym___vectorcall] = ACTIONS(2680),
    [anon_sym_LBRACE] = ACTIONS(2682),
    [anon_sym_RBRACE] = ACTIONS(2682),
    [anon_sym_signed] = ACTIONS(2680),
    [anon_sym_unsigned] = ACTIONS(2680),
    [anon_sym_long] = ACTIONS(2680),
    [anon_sym_short] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_static] = ACTIONS(2680),
    [anon_sym_register] = ACTIONS(2680),
    [anon_sym_inline] = ACTIONS(2680),
    [anon_sym___inline] = ACTIONS(2680),
    [anon_sym___inline__] = ACTIONS(2680),
    [anon_sym___forceinline] = ACTIONS(2680),
    [anon_sym_thread_local] = ACTIONS(2680),
    [anon_sym___thread] = ACTIONS(2680),
    [anon_sym_const] = ACTIONS(2680),
    [anon_sym_constexpr] = ACTIONS(2680),
    [anon_sym_volatile] = ACTIONS(2680),
    [anon_sym_restrict] = ACTIONS(2680),
    [anon_sym___restrict__] = ACTIONS(2680),
    [anon_sym__Atomic] = ACTIONS(2680),
    [anon_sym__Noreturn] = ACTIONS(2680),
    [anon_sym_noreturn] = ACTIONS(2680),
    [anon_sym_mutable] = ACTIONS(2680),
    [anon_sym_constinit] = ACTIONS(2680),
    [anon_sym_consteval] = ACTIONS(2680),
    [anon_sym_alignas] = ACTIONS(2680),
    [anon_sym__Alignas] = ACTIONS(2680),
    [sym_primitive_type] = ACTIONS(2680),
    [anon_sym_enum] = ACTIONS(2680),
    [anon_sym_class] = ACTIONS(2680),
    [anon_sym_struct] = ACTIONS(2680),
    [anon_sym_union] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_switch] = ACTIONS(2680),
    [anon_sym_case] = ACTIONS(2680),
    [anon_sym_default] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_break] = ACTIONS(2680),
    [anon_sym_continue] = ACTIONS(2680),
    [anon_sym_goto] = ACTIONS(2680),
    [anon_sym___try] = ACTIONS(2680),
    [anon_sym___leave] = ACTIONS(2680),
    [anon_sym_not] = ACTIONS(2680),
    [anon_sym_compl] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2682),
    [anon_sym_PLUS_PLUS] = ACTIONS(2682),
    [anon_sym_sizeof] = ACTIONS(2680),
    [anon_sym___alignof__] = ACTIONS(2680),
    [anon_sym___alignof] = ACTIONS(2680),
    [anon_sym__alignof] = ACTIONS(2680),
    [anon_sym_alignof] = ACTIONS(2680),
    [anon_sym__Alignof] = ACTIONS(2680),
    [anon_sym_offsetof] = ACTIONS(2680),
    [anon_sym__Generic] = ACTIONS(2680),
    [anon_sym_asm] = ACTIONS(2680),
    [anon_sym___asm__] = ACTIONS(2680),
    [sym_number_literal] = ACTIONS(2682),
    [anon_sym_L_SQUOTE] = ACTIONS(2682),
    [anon_sym_u_SQUOTE] = ACTIONS(2682),
    [anon_sym_U_SQUOTE] = ACTIONS(2682),
    [anon_sym_u8_SQUOTE] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_L_DQUOTE] = ACTIONS(2682),
    [anon_sym_u_DQUOTE] = ACTIONS(2682),
    [anon_sym_U_DQUOTE] = ACTIONS(2682),
    [anon_sym_u8_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE] = ACTIONS(2682),
    [sym_true] = ACTIONS(2680),
    [sym_false] = ACTIONS(2680),
    [anon_sym_NULL] = ACTIONS(2680),
    [anon_sym_nullptr] = ACTIONS(2680),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2680),
    [anon_sym_decltype] = ACTIONS(2680),
    [sym_virtual] = ACTIONS(2680),
    [anon_sym_explicit] = ACTIONS(2680),
    [anon_sym_typename] = ACTIONS(2680),
    [anon_sym_template] = ACTIONS(2680),
    [anon_sym_operator] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_delete] = ACTIONS(2680),
    [anon_sym_throw] = ACTIONS(2680),
    [anon_sym_namespace] = ACTIONS(2680),
    [anon_sym_using] = ACTIONS(2680),
    [anon_sym_static_assert] = ACTIONS(2680),
    [anon_sym_concept] = ACTIONS(2680),
    [anon_sym_co_return] = ACTIONS(2680),
    [anon_sym_co_yield] = ACTIONS(2680),
    [anon_sym_R_DQUOTE] = ACTIONS(2682),
    [anon_sym_LR_DQUOTE] = ACTIONS(2682),
    [anon_sym_uR_DQUOTE] = ACTIONS(2682),
    [anon_sym_UR_DQUOTE] = ACTIONS(2682),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2682),
    [anon_sym_co_await] = ACTIONS(2680),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_requires] = ACTIONS(2680),
    [sym_this] = ACTIONS(2680),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_include_token1] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token2] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_BANG] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym___cdecl] = ACTIONS(2903),
    [anon_sym___clrcall] = ACTIONS(2903),
    [anon_sym___stdcall] = ACTIONS(2903),
    [anon_sym___fastcall] = ACTIONS(2903),
    [anon_sym___thiscall] = ACTIONS(2903),
    [anon_sym___vectorcall] = ACTIONS(2903),
    [anon_sym_LBRACE] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym__Alignas] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_switch] = ACTIONS(2903),
    [anon_sym_case] = ACTIONS(2903),
    [anon_sym_default] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(2903),
    [anon_sym_do] = ACTIONS(2903),
    [anon_sym_for] = ACTIONS(2903),
    [anon_sym_return] = ACTIONS(2903),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_continue] = ACTIONS(2903),
    [anon_sym_goto] = ACTIONS(2903),
    [anon_sym___try] = ACTIONS(2903),
    [anon_sym___leave] = ACTIONS(2903),
    [anon_sym_not] = ACTIONS(2903),
    [anon_sym_compl] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_sizeof] = ACTIONS(2903),
    [anon_sym___alignof__] = ACTIONS(2903),
    [anon_sym___alignof] = ACTIONS(2903),
    [anon_sym__alignof] = ACTIONS(2903),
    [anon_sym_alignof] = ACTIONS(2903),
    [anon_sym__Alignof] = ACTIONS(2903),
    [anon_sym_offsetof] = ACTIONS(2903),
    [anon_sym__Generic] = ACTIONS(2903),
    [anon_sym_asm] = ACTIONS(2903),
    [anon_sym___asm__] = ACTIONS(2903),
    [sym_number_literal] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2905),
    [anon_sym_u_SQUOTE] = ACTIONS(2905),
    [anon_sym_U_SQUOTE] = ACTIONS(2905),
    [anon_sym_u8_SQUOTE] = ACTIONS(2905),
    [anon_sym_SQUOTE] = ACTIONS(2905),
    [anon_sym_L_DQUOTE] = ACTIONS(2905),
    [anon_sym_u_DQUOTE] = ACTIONS(2905),
    [anon_sym_U_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8_DQUOTE] = ACTIONS(2905),
    [anon_sym_DQUOTE] = ACTIONS(2905),
    [sym_true] = ACTIONS(2903),
    [sym_false] = ACTIONS(2903),
    [anon_sym_NULL] = ACTIONS(2903),
    [anon_sym_nullptr] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [sym_virtual] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_try] = ACTIONS(2903),
    [anon_sym_delete] = ACTIONS(2903),
    [anon_sym_throw] = ACTIONS(2903),
    [anon_sym_namespace] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
    [anon_sym_concept] = ACTIONS(2903),
    [anon_sym_co_return] = ACTIONS(2903),
    [anon_sym_co_yield] = ACTIONS(2903),
    [anon_sym_R_DQUOTE] = ACTIONS(2905),
    [anon_sym_LR_DQUOTE] = ACTIONS(2905),
    [anon_sym_uR_DQUOTE] = ACTIONS(2905),
    [anon_sym_UR_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2905),
    [anon_sym_co_await] = ACTIONS(2903),
    [anon_sym_new] = ACTIONS(2903),
    [anon_sym_requires] = ACTIONS(2903),
    [sym_this] = ACTIONS(2903),
  },
  [537] = {
    [sym_identifier] = ACTIONS(2684),
    [aux_sym_preproc_include_token1] = ACTIONS(2684),
    [aux_sym_preproc_def_token1] = ACTIONS(2684),
    [aux_sym_preproc_if_token1] = ACTIONS(2684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2684),
    [sym_preproc_directive] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_BANG] = ACTIONS(2686),
    [anon_sym_TILDE] = ACTIONS(2686),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_STAR] = ACTIONS(2686),
    [anon_sym_AMP_AMP] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2686),
    [anon_sym___extension__] = ACTIONS(2684),
    [anon_sym_typedef] = ACTIONS(2684),
    [anon_sym_extern] = ACTIONS(2684),
    [anon_sym___attribute__] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2686),
    [anon_sym___declspec] = ACTIONS(2684),
    [anon_sym___based] = ACTIONS(2684),
    [anon_sym___cdecl] = ACTIONS(2684),
    [anon_sym___clrcall] = ACTIONS(2684),
    [anon_sym___stdcall] = ACTIONS(2684),
    [anon_sym___fastcall] = ACTIONS(2684),
    [anon_sym___thiscall] = ACTIONS(2684),
    [anon_sym___vectorcall] = ACTIONS(2684),
    [anon_sym_LBRACE] = ACTIONS(2686),
    [anon_sym_RBRACE] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2684),
    [anon_sym_unsigned] = ACTIONS(2684),
    [anon_sym_long] = ACTIONS(2684),
    [anon_sym_short] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_static] = ACTIONS(2684),
    [anon_sym_register] = ACTIONS(2684),
    [anon_sym_inline] = ACTIONS(2684),
    [anon_sym___inline] = ACTIONS(2684),
    [anon_sym___inline__] = ACTIONS(2684),
    [anon_sym___forceinline] = ACTIONS(2684),
    [anon_sym_thread_local] = ACTIONS(2684),
    [anon_sym___thread] = ACTIONS(2684),
    [anon_sym_const] = ACTIONS(2684),
    [anon_sym_constexpr] = ACTIONS(2684),
    [anon_sym_volatile] = ACTIONS(2684),
    [anon_sym_restrict] = ACTIONS(2684),
    [anon_sym___restrict__] = ACTIONS(2684),
    [anon_sym__Atomic] = ACTIONS(2684),
    [anon_sym__Noreturn] = ACTIONS(2684),
    [anon_sym_noreturn] = ACTIONS(2684),
    [anon_sym_mutable] = ACTIONS(2684),
    [anon_sym_constinit] = ACTIONS(2684),
    [anon_sym_consteval] = ACTIONS(2684),
    [anon_sym_alignas] = ACTIONS(2684),
    [anon_sym__Alignas] = ACTIONS(2684),
    [sym_primitive_type] = ACTIONS(2684),
    [anon_sym_enum] = ACTIONS(2684),
    [anon_sym_class] = ACTIONS(2684),
    [anon_sym_struct] = ACTIONS(2684),
    [anon_sym_union] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_switch] = ACTIONS(2684),
    [anon_sym_case] = ACTIONS(2684),
    [anon_sym_default] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_break] = ACTIONS(2684),
    [anon_sym_continue] = ACTIONS(2684),
    [anon_sym_goto] = ACTIONS(2684),
    [anon_sym___try] = ACTIONS(2684),
    [anon_sym___leave] = ACTIONS(2684),
    [anon_sym_not] = ACTIONS(2684),
    [anon_sym_compl] = ACTIONS(2684),
    [anon_sym_DASH_DASH] = ACTIONS(2686),
    [anon_sym_PLUS_PLUS] = ACTIONS(2686),
    [anon_sym_sizeof] = ACTIONS(2684),
    [anon_sym___alignof__] = ACTIONS(2684),
    [anon_sym___alignof] = ACTIONS(2684),
    [anon_sym__alignof] = ACTIONS(2684),
    [anon_sym_alignof] = ACTIONS(2684),
    [anon_sym__Alignof] = ACTIONS(2684),
    [anon_sym_offsetof] = ACTIONS(2684),
    [anon_sym__Generic] = ACTIONS(2684),
    [anon_sym_asm] = ACTIONS(2684),
    [anon_sym___asm__] = ACTIONS(2684),
    [sym_number_literal] = ACTIONS(2686),
    [anon_sym_L_SQUOTE] = ACTIONS(2686),
    [anon_sym_u_SQUOTE] = ACTIONS(2686),
    [anon_sym_U_SQUOTE] = ACTIONS(2686),
    [anon_sym_u8_SQUOTE] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_L_DQUOTE] = ACTIONS(2686),
    [anon_sym_u_DQUOTE] = ACTIONS(2686),
    [anon_sym_U_DQUOTE] = ACTIONS(2686),
    [anon_sym_u8_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE] = ACTIONS(2686),
    [sym_true] = ACTIONS(2684),
    [sym_false] = ACTIONS(2684),
    [anon_sym_NULL] = ACTIONS(2684),
    [anon_sym_nullptr] = ACTIONS(2684),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2684),
    [anon_sym_decltype] = ACTIONS(2684),
    [sym_virtual] = ACTIONS(2684),
    [anon_sym_explicit] = ACTIONS(2684),
    [anon_sym_typename] = ACTIONS(2684),
    [anon_sym_template] = ACTIONS(2684),
    [anon_sym_operator] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_delete] = ACTIONS(2684),
    [anon_sym_throw] = ACTIONS(2684),
    [anon_sym_namespace] = ACTIONS(2684),
    [anon_sym_using] = ACTIONS(2684),
    [anon_sym_static_assert] = ACTIONS(2684),
    [anon_sym_concept] = ACTIONS(2684),
    [anon_sym_co_return] = ACTIONS(2684),
    [anon_sym_co_yield] = ACTIONS(2684),
    [anon_sym_R_DQUOTE] = ACTIONS(2686),
    [anon_sym_LR_DQUOTE] = ACTIONS(2686),
    [anon_sym_uR_DQUOTE] = ACTIONS(2686),
    [anon_sym_UR_DQUOTE] = ACTIONS(2686),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2686),
    [anon_sym_co_await] = ACTIONS(2684),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_requires] = ACTIONS(2684),
    [sym_this] = ACTIONS(2684),
  },
  [538] = {
    [sym_identifier] = ACTIONS(2708),
    [aux_sym_preproc_include_token1] = ACTIONS(2708),
    [aux_sym_preproc_def_token1] = ACTIONS(2708),
    [aux_sym_preproc_if_token1] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2708),
    [sym_preproc_directive] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_BANG] = ACTIONS(2710),
    [anon_sym_TILDE] = ACTIONS(2710),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_AMP_AMP] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2710),
    [anon_sym___extension__] = ACTIONS(2708),
    [anon_sym_typedef] = ACTIONS(2708),
    [anon_sym_extern] = ACTIONS(2708),
    [anon_sym___attribute__] = ACTIONS(2708),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2710),
    [anon_sym___declspec] = ACTIONS(2708),
    [anon_sym___based] = ACTIONS(2708),
    [anon_sym___cdecl] = ACTIONS(2708),
    [anon_sym___clrcall] = ACTIONS(2708),
    [anon_sym___stdcall] = ACTIONS(2708),
    [anon_sym___fastcall] = ACTIONS(2708),
    [anon_sym___thiscall] = ACTIONS(2708),
    [anon_sym___vectorcall] = ACTIONS(2708),
    [anon_sym_LBRACE] = ACTIONS(2710),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_signed] = ACTIONS(2708),
    [anon_sym_unsigned] = ACTIONS(2708),
    [anon_sym_long] = ACTIONS(2708),
    [anon_sym_short] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_register] = ACTIONS(2708),
    [anon_sym_inline] = ACTIONS(2708),
    [anon_sym___inline] = ACTIONS(2708),
    [anon_sym___inline__] = ACTIONS(2708),
    [anon_sym___forceinline] = ACTIONS(2708),
    [anon_sym_thread_local] = ACTIONS(2708),
    [anon_sym___thread] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2708),
    [anon_sym_constexpr] = ACTIONS(2708),
    [anon_sym_volatile] = ACTIONS(2708),
    [anon_sym_restrict] = ACTIONS(2708),
    [anon_sym___restrict__] = ACTIONS(2708),
    [anon_sym__Atomic] = ACTIONS(2708),
    [anon_sym__Noreturn] = ACTIONS(2708),
    [anon_sym_noreturn] = ACTIONS(2708),
    [anon_sym_mutable] = ACTIONS(2708),
    [anon_sym_constinit] = ACTIONS(2708),
    [anon_sym_consteval] = ACTIONS(2708),
    [anon_sym_alignas] = ACTIONS(2708),
    [anon_sym__Alignas] = ACTIONS(2708),
    [sym_primitive_type] = ACTIONS(2708),
    [anon_sym_enum] = ACTIONS(2708),
    [anon_sym_class] = ACTIONS(2708),
    [anon_sym_struct] = ACTIONS(2708),
    [anon_sym_union] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_switch] = ACTIONS(2708),
    [anon_sym_case] = ACTIONS(2708),
    [anon_sym_default] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_break] = ACTIONS(2708),
    [anon_sym_continue] = ACTIONS(2708),
    [anon_sym_goto] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2708),
    [anon_sym___leave] = ACTIONS(2708),
    [anon_sym_not] = ACTIONS(2708),
    [anon_sym_compl] = ACTIONS(2708),
    [anon_sym_DASH_DASH] = ACTIONS(2710),
    [anon_sym_PLUS_PLUS] = ACTIONS(2710),
    [anon_sym_sizeof] = ACTIONS(2708),
    [anon_sym___alignof__] = ACTIONS(2708),
    [anon_sym___alignof] = ACTIONS(2708),
    [anon_sym__alignof] = ACTIONS(2708),
    [anon_sym_alignof] = ACTIONS(2708),
    [anon_sym__Alignof] = ACTIONS(2708),
    [anon_sym_offsetof] = ACTIONS(2708),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2708),
    [anon_sym___asm__] = ACTIONS(2708),
    [sym_number_literal] = ACTIONS(2710),
    [anon_sym_L_SQUOTE] = ACTIONS(2710),
    [anon_sym_u_SQUOTE] = ACTIONS(2710),
    [anon_sym_U_SQUOTE] = ACTIONS(2710),
    [anon_sym_u8_SQUOTE] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_L_DQUOTE] = ACTIONS(2710),
    [anon_sym_u_DQUOTE] = ACTIONS(2710),
    [anon_sym_U_DQUOTE] = ACTIONS(2710),
    [anon_sym_u8_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2710),
    [sym_true] = ACTIONS(2708),
    [sym_false] = ACTIONS(2708),
    [anon_sym_NULL] = ACTIONS(2708),
    [anon_sym_nullptr] = ACTIONS(2708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2708),
    [anon_sym_decltype] = ACTIONS(2708),
    [sym_virtual] = ACTIONS(2708),
    [anon_sym_explicit] = ACTIONS(2708),
    [anon_sym_typename] = ACTIONS(2708),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_delete] = ACTIONS(2708),
    [anon_sym_throw] = ACTIONS(2708),
    [anon_sym_namespace] = ACTIONS(2708),
    [anon_sym_using] = ACTIONS(2708),
    [anon_sym_static_assert] = ACTIONS(2708),
    [anon_sym_concept] = ACTIONS(2708),
    [anon_sym_co_return] = ACTIONS(2708),
    [anon_sym_co_yield] = ACTIONS(2708),
    [anon_sym_R_DQUOTE] = ACTIONS(2710),
    [anon_sym_LR_DQUOTE] = ACTIONS(2710),
    [anon_sym_uR_DQUOTE] = ACTIONS(2710),
    [anon_sym_UR_DQUOTE] = ACTIONS(2710),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2710),
    [anon_sym_co_await] = ACTIONS(2708),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_requires] = ACTIONS(2708),
    [sym_this] = ACTIONS(2708),
  },
  [539] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [540] = {
    [sym_identifier] = ACTIONS(2704),
    [aux_sym_preproc_include_token1] = ACTIONS(2704),
    [aux_sym_preproc_def_token1] = ACTIONS(2704),
    [aux_sym_preproc_if_token1] = ACTIONS(2704),
    [aux_sym_preproc_if_token2] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2704),
    [sym_preproc_directive] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym___extension__] = ACTIONS(2704),
    [anon_sym_typedef] = ACTIONS(2704),
    [anon_sym_extern] = ACTIONS(2704),
    [anon_sym___attribute__] = ACTIONS(2704),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2706),
    [anon_sym___declspec] = ACTIONS(2704),
    [anon_sym___based] = ACTIONS(2704),
    [anon_sym___cdecl] = ACTIONS(2704),
    [anon_sym___clrcall] = ACTIONS(2704),
    [anon_sym___stdcall] = ACTIONS(2704),
    [anon_sym___fastcall] = ACTIONS(2704),
    [anon_sym___thiscall] = ACTIONS(2704),
    [anon_sym___vectorcall] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_signed] = ACTIONS(2704),
    [anon_sym_unsigned] = ACTIONS(2704),
    [anon_sym_long] = ACTIONS(2704),
    [anon_sym_short] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_register] = ACTIONS(2704),
    [anon_sym_inline] = ACTIONS(2704),
    [anon_sym___inline] = ACTIONS(2704),
    [anon_sym___inline__] = ACTIONS(2704),
    [anon_sym___forceinline] = ACTIONS(2704),
    [anon_sym_thread_local] = ACTIONS(2704),
    [anon_sym___thread] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_constexpr] = ACTIONS(2704),
    [anon_sym_volatile] = ACTIONS(2704),
    [anon_sym_restrict] = ACTIONS(2704),
    [anon_sym___restrict__] = ACTIONS(2704),
    [anon_sym__Atomic] = ACTIONS(2704),
    [anon_sym__Noreturn] = ACTIONS(2704),
    [anon_sym_noreturn] = ACTIONS(2704),
    [anon_sym_mutable] = ACTIONS(2704),
    [anon_sym_constinit] = ACTIONS(2704),
    [anon_sym_consteval] = ACTIONS(2704),
    [anon_sym_alignas] = ACTIONS(2704),
    [anon_sym__Alignas] = ACTIONS(2704),
    [sym_primitive_type] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_struct] = ACTIONS(2704),
    [anon_sym_union] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_case] = ACTIONS(2704),
    [anon_sym_default] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_goto] = ACTIONS(2704),
    [anon_sym___try] = ACTIONS(2704),
    [anon_sym___leave] = ACTIONS(2704),
    [anon_sym_not] = ACTIONS(2704),
    [anon_sym_compl] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_sizeof] = ACTIONS(2704),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2704),
    [anon_sym__Generic] = ACTIONS(2704),
    [anon_sym_asm] = ACTIONS(2704),
    [anon_sym___asm__] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2706),
    [anon_sym_L_SQUOTE] = ACTIONS(2706),
    [anon_sym_u_SQUOTE] = ACTIONS(2706),
    [anon_sym_U_SQUOTE] = ACTIONS(2706),
    [anon_sym_u8_SQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_L_DQUOTE] = ACTIONS(2706),
    [anon_sym_u_DQUOTE] = ACTIONS(2706),
    [anon_sym_U_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [anon_sym_NULL] = ACTIONS(2704),
    [anon_sym_nullptr] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2704),
    [anon_sym_decltype] = ACTIONS(2704),
    [sym_virtual] = ACTIONS(2704),
    [anon_sym_explicit] = ACTIONS(2704),
    [anon_sym_typename] = ACTIONS(2704),
    [anon_sym_template] = ACTIONS(2704),
    [anon_sym_operator] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_using] = ACTIONS(2704),
    [anon_sym_static_assert] = ACTIONS(2704),
    [anon_sym_concept] = ACTIONS(2704),
    [anon_sym_co_return] = ACTIONS(2704),
    [anon_sym_co_yield] = ACTIONS(2704),
    [anon_sym_R_DQUOTE] = ACTIONS(2706),
    [anon_sym_LR_DQUOTE] = ACTIONS(2706),
    [anon_sym_uR_DQUOTE] = ACTIONS(2706),
    [anon_sym_UR_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2706),
    [anon_sym_co_await] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_requires] = ACTIONS(2704),
    [sym_this] = ACTIONS(2704),
  },
  [541] = {
    [sym_identifier] = ACTIONS(2736),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2736),
    [sym_preproc_directive] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym___based] = ACTIONS(2736),
    [anon_sym___cdecl] = ACTIONS(2736),
    [anon_sym___clrcall] = ACTIONS(2736),
    [anon_sym___stdcall] = ACTIONS(2736),
    [anon_sym___fastcall] = ACTIONS(2736),
    [anon_sym___thiscall] = ACTIONS(2736),
    [anon_sym___vectorcall] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_RBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [sym_primitive_type] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [sym_number_literal] = ACTIONS(2738),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [sym_virtual] = ACTIONS(2736),
    [anon_sym_explicit] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_operator] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_static_assert] = ACTIONS(2736),
    [anon_sym_concept] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [542] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym___try] = ACTIONS(2755),
    [anon_sym___leave] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
  },
  [543] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [544] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [sym_virtual] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [545] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [sym_primitive_type] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [sym_number_literal] = ACTIONS(2803),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [sym_virtual] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [546] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [547] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [548] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_RBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [sym_virtual] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [549] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [sym_virtual] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [550] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_include_token1] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token2] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym___cdecl] = ACTIONS(2648),
    [anon_sym___clrcall] = ACTIONS(2648),
    [anon_sym___stdcall] = ACTIONS(2648),
    [anon_sym___fastcall] = ACTIONS(2648),
    [anon_sym___thiscall] = ACTIONS(2648),
    [anon_sym___vectorcall] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_goto] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2648),
    [anon_sym___leave] = ACTIONS(2648),
    [anon_sym_not] = ACTIONS(2648),
    [anon_sym_compl] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_sizeof] = ACTIONS(2648),
    [anon_sym___alignof__] = ACTIONS(2648),
    [anon_sym___alignof] = ACTIONS(2648),
    [anon_sym__alignof] = ACTIONS(2648),
    [anon_sym_alignof] = ACTIONS(2648),
    [anon_sym__Alignof] = ACTIONS(2648),
    [anon_sym_offsetof] = ACTIONS(2648),
    [anon_sym__Generic] = ACTIONS(2648),
    [anon_sym_asm] = ACTIONS(2648),
    [anon_sym___asm__] = ACTIONS(2648),
    [sym_number_literal] = ACTIONS(2650),
    [anon_sym_L_SQUOTE] = ACTIONS(2650),
    [anon_sym_u_SQUOTE] = ACTIONS(2650),
    [anon_sym_U_SQUOTE] = ACTIONS(2650),
    [anon_sym_u8_SQUOTE] = ACTIONS(2650),
    [anon_sym_SQUOTE] = ACTIONS(2650),
    [anon_sym_L_DQUOTE] = ACTIONS(2650),
    [anon_sym_u_DQUOTE] = ACTIONS(2650),
    [anon_sym_U_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8_DQUOTE] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [anon_sym_NULL] = ACTIONS(2648),
    [anon_sym_nullptr] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
    [anon_sym_concept] = ACTIONS(2648),
    [anon_sym_co_return] = ACTIONS(2648),
    [anon_sym_co_yield] = ACTIONS(2648),
    [anon_sym_R_DQUOTE] = ACTIONS(2650),
    [anon_sym_LR_DQUOTE] = ACTIONS(2650),
    [anon_sym_uR_DQUOTE] = ACTIONS(2650),
    [anon_sym_UR_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2650),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2648),
  },
  [551] = {
    [sym_identifier] = ACTIONS(2652),
    [aux_sym_preproc_include_token1] = ACTIONS(2652),
    [aux_sym_preproc_def_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token2] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2652),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2654),
    [anon_sym___extension__] = ACTIONS(2652),
    [anon_sym_typedef] = ACTIONS(2652),
    [anon_sym_extern] = ACTIONS(2652),
    [anon_sym___attribute__] = ACTIONS(2652),
    [anon_sym_COLON_COLON] = ACTIONS(2654),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2654),
    [anon_sym___declspec] = ACTIONS(2652),
    [anon_sym___based] = ACTIONS(2652),
    [anon_sym___cdecl] = ACTIONS(2652),
    [anon_sym___clrcall] = ACTIONS(2652),
    [anon_sym___stdcall] = ACTIONS(2652),
    [anon_sym___fastcall] = ACTIONS(2652),
    [anon_sym___thiscall] = ACTIONS(2652),
    [anon_sym___vectorcall] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2652),
    [anon_sym_unsigned] = ACTIONS(2652),
    [anon_sym_long] = ACTIONS(2652),
    [anon_sym_short] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_register] = ACTIONS(2652),
    [anon_sym_inline] = ACTIONS(2652),
    [anon_sym___inline] = ACTIONS(2652),
    [anon_sym___inline__] = ACTIONS(2652),
    [anon_sym___forceinline] = ACTIONS(2652),
    [anon_sym_thread_local] = ACTIONS(2652),
    [anon_sym___thread] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_constexpr] = ACTIONS(2652),
    [anon_sym_volatile] = ACTIONS(2652),
    [anon_sym_restrict] = ACTIONS(2652),
    [anon_sym___restrict__] = ACTIONS(2652),
    [anon_sym__Atomic] = ACTIONS(2652),
    [anon_sym__Noreturn] = ACTIONS(2652),
    [anon_sym_noreturn] = ACTIONS(2652),
    [anon_sym_mutable] = ACTIONS(2652),
    [anon_sym_constinit] = ACTIONS(2652),
    [anon_sym_consteval] = ACTIONS(2652),
    [anon_sym_alignas] = ACTIONS(2652),
    [anon_sym__Alignas] = ACTIONS(2652),
    [sym_primitive_type] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_struct] = ACTIONS(2652),
    [anon_sym_union] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_goto] = ACTIONS(2652),
    [anon_sym___try] = ACTIONS(2652),
    [anon_sym___leave] = ACTIONS(2652),
    [anon_sym_not] = ACTIONS(2652),
    [anon_sym_compl] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2654),
    [anon_sym_sizeof] = ACTIONS(2652),
    [anon_sym___alignof__] = ACTIONS(2652),
    [anon_sym___alignof] = ACTIONS(2652),
    [anon_sym__alignof] = ACTIONS(2652),
    [anon_sym_alignof] = ACTIONS(2652),
    [anon_sym__Alignof] = ACTIONS(2652),
    [anon_sym_offsetof] = ACTIONS(2652),
    [anon_sym__Generic] = ACTIONS(2652),
    [anon_sym_asm] = ACTIONS(2652),
    [anon_sym___asm__] = ACTIONS(2652),
    [sym_number_literal] = ACTIONS(2654),
    [anon_sym_L_SQUOTE] = ACTIONS(2654),
    [anon_sym_u_SQUOTE] = ACTIONS(2654),
    [anon_sym_U_SQUOTE] = ACTIONS(2654),
    [anon_sym_u8_SQUOTE] = ACTIONS(2654),
    [anon_sym_SQUOTE] = ACTIONS(2654),
    [anon_sym_L_DQUOTE] = ACTIONS(2654),
    [anon_sym_u_DQUOTE] = ACTIONS(2654),
    [anon_sym_U_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8_DQUOTE] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [anon_sym_NULL] = ACTIONS(2652),
    [anon_sym_nullptr] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2652),
    [anon_sym_decltype] = ACTIONS(2652),
    [sym_virtual] = ACTIONS(2652),
    [anon_sym_explicit] = ACTIONS(2652),
    [anon_sym_typename] = ACTIONS(2652),
    [anon_sym_template] = ACTIONS(2652),
    [anon_sym_operator] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_static_assert] = ACTIONS(2652),
    [anon_sym_concept] = ACTIONS(2652),
    [anon_sym_co_return] = ACTIONS(2652),
    [anon_sym_co_yield] = ACTIONS(2652),
    [anon_sym_R_DQUOTE] = ACTIONS(2654),
    [anon_sym_LR_DQUOTE] = ACTIONS(2654),
    [anon_sym_uR_DQUOTE] = ACTIONS(2654),
    [anon_sym_UR_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2654),
    [anon_sym_co_await] = ACTIONS(2652),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2652),
  },
  [552] = {
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2700),
    [anon_sym___leave] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [sym_virtual] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [553] = {
    [sym_identifier] = ACTIONS(2935),
    [aux_sym_preproc_include_token1] = ACTIONS(2935),
    [aux_sym_preproc_def_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2935),
    [sym_preproc_directive] = ACTIONS(2935),
    [anon_sym_LPAREN2] = ACTIONS(2937),
    [anon_sym_BANG] = ACTIONS(2937),
    [anon_sym_TILDE] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2935),
    [anon_sym_typedef] = ACTIONS(2935),
    [anon_sym_extern] = ACTIONS(2935),
    [anon_sym___attribute__] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2937),
    [anon_sym___declspec] = ACTIONS(2935),
    [anon_sym___based] = ACTIONS(2935),
    [anon_sym___cdecl] = ACTIONS(2935),
    [anon_sym___clrcall] = ACTIONS(2935),
    [anon_sym___stdcall] = ACTIONS(2935),
    [anon_sym___fastcall] = ACTIONS(2935),
    [anon_sym___thiscall] = ACTIONS(2935),
    [anon_sym___vectorcall] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2935),
    [anon_sym_unsigned] = ACTIONS(2935),
    [anon_sym_long] = ACTIONS(2935),
    [anon_sym_short] = ACTIONS(2935),
    [anon_sym_LBRACK] = ACTIONS(2935),
    [anon_sym_static] = ACTIONS(2935),
    [anon_sym_register] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym___inline] = ACTIONS(2935),
    [anon_sym___inline__] = ACTIONS(2935),
    [anon_sym___forceinline] = ACTIONS(2935),
    [anon_sym_thread_local] = ACTIONS(2935),
    [anon_sym___thread] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_constexpr] = ACTIONS(2935),
    [anon_sym_volatile] = ACTIONS(2935),
    [anon_sym_restrict] = ACTIONS(2935),
    [anon_sym___restrict__] = ACTIONS(2935),
    [anon_sym__Atomic] = ACTIONS(2935),
    [anon_sym__Noreturn] = ACTIONS(2935),
    [anon_sym_noreturn] = ACTIONS(2935),
    [anon_sym_mutable] = ACTIONS(2935),
    [anon_sym_constinit] = ACTIONS(2935),
    [anon_sym_consteval] = ACTIONS(2935),
    [anon_sym_alignas] = ACTIONS(2935),
    [anon_sym__Alignas] = ACTIONS(2935),
    [sym_primitive_type] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_struct] = ACTIONS(2935),
    [anon_sym_union] = ACTIONS(2935),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_do] = ACTIONS(2935),
    [anon_sym_for] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_break] = ACTIONS(2935),
    [anon_sym_continue] = ACTIONS(2935),
    [anon_sym_goto] = ACTIONS(2935),
    [anon_sym___try] = ACTIONS(2935),
    [anon_sym___leave] = ACTIONS(2935),
    [anon_sym_not] = ACTIONS(2935),
    [anon_sym_compl] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_sizeof] = ACTIONS(2935),
    [anon_sym___alignof__] = ACTIONS(2935),
    [anon_sym___alignof] = ACTIONS(2935),
    [anon_sym__alignof] = ACTIONS(2935),
    [anon_sym_alignof] = ACTIONS(2935),
    [anon_sym__Alignof] = ACTIONS(2935),
    [anon_sym_offsetof] = ACTIONS(2935),
    [anon_sym__Generic] = ACTIONS(2935),
    [anon_sym_asm] = ACTIONS(2935),
    [anon_sym___asm__] = ACTIONS(2935),
    [sym_number_literal] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2937),
    [anon_sym_u_SQUOTE] = ACTIONS(2937),
    [anon_sym_U_SQUOTE] = ACTIONS(2937),
    [anon_sym_u8_SQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [anon_sym_L_DQUOTE] = ACTIONS(2937),
    [anon_sym_u_DQUOTE] = ACTIONS(2937),
    [anon_sym_U_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8_DQUOTE] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [sym_true] = ACTIONS(2935),
    [sym_false] = ACTIONS(2935),
    [anon_sym_NULL] = ACTIONS(2935),
    [anon_sym_nullptr] = ACTIONS(2935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2935),
    [anon_sym_decltype] = ACTIONS(2935),
    [sym_virtual] = ACTIONS(2935),
    [anon_sym_explicit] = ACTIONS(2935),
    [anon_sym_typename] = ACTIONS(2935),
    [anon_sym_template] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_delete] = ACTIONS(2935),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_namespace] = ACTIONS(2935),
    [anon_sym_using] = ACTIONS(2935),
    [anon_sym_static_assert] = ACTIONS(2935),
    [anon_sym_concept] = ACTIONS(2935),
    [anon_sym_co_return] = ACTIONS(2935),
    [anon_sym_co_yield] = ACTIONS(2935),
    [anon_sym_R_DQUOTE] = ACTIONS(2937),
    [anon_sym_LR_DQUOTE] = ACTIONS(2937),
    [anon_sym_uR_DQUOTE] = ACTIONS(2937),
    [anon_sym_UR_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2937),
    [anon_sym_co_await] = ACTIONS(2935),
    [anon_sym_new] = ACTIONS(2935),
    [anon_sym_requires] = ACTIONS(2935),
    [sym_this] = ACTIONS(2935),
  },
  [554] = {
    [sym_identifier] = ACTIONS(2656),
    [aux_sym_preproc_include_token1] = ACTIONS(2656),
    [aux_sym_preproc_def_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token2] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2656),
    [sym_preproc_directive] = ACTIONS(2656),
    [anon_sym_LPAREN2] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_AMP_AMP] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2658),
    [anon_sym___extension__] = ACTIONS(2656),
    [anon_sym_typedef] = ACTIONS(2656),
    [anon_sym_extern] = ACTIONS(2656),
    [anon_sym___attribute__] = ACTIONS(2656),
    [anon_sym_COLON_COLON] = ACTIONS(2658),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2658),
    [anon_sym___declspec] = ACTIONS(2656),
    [anon_sym___based] = ACTIONS(2656),
    [anon_sym___cdecl] = ACTIONS(2656),
    [anon_sym___clrcall] = ACTIONS(2656),
    [anon_sym___stdcall] = ACTIONS(2656),
    [anon_sym___fastcall] = ACTIONS(2656),
    [anon_sym___thiscall] = ACTIONS(2656),
    [anon_sym___vectorcall] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2656),
    [anon_sym_unsigned] = ACTIONS(2656),
    [anon_sym_long] = ACTIONS(2656),
    [anon_sym_short] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_register] = ACTIONS(2656),
    [anon_sym_inline] = ACTIONS(2656),
    [anon_sym___inline] = ACTIONS(2656),
    [anon_sym___inline__] = ACTIONS(2656),
    [anon_sym___forceinline] = ACTIONS(2656),
    [anon_sym_thread_local] = ACTIONS(2656),
    [anon_sym___thread] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_constexpr] = ACTIONS(2656),
    [anon_sym_volatile] = ACTIONS(2656),
    [anon_sym_restrict] = ACTIONS(2656),
    [anon_sym___restrict__] = ACTIONS(2656),
    [anon_sym__Atomic] = ACTIONS(2656),
    [anon_sym__Noreturn] = ACTIONS(2656),
    [anon_sym_noreturn] = ACTIONS(2656),
    [anon_sym_mutable] = ACTIONS(2656),
    [anon_sym_constinit] = ACTIONS(2656),
    [anon_sym_consteval] = ACTIONS(2656),
    [anon_sym_alignas] = ACTIONS(2656),
    [anon_sym__Alignas] = ACTIONS(2656),
    [sym_primitive_type] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_struct] = ACTIONS(2656),
    [anon_sym_union] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2656),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2656),
    [anon_sym_default] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2656),
    [anon_sym_do] = ACTIONS(2656),
    [anon_sym_for] = ACTIONS(2656),
    [anon_sym_return] = ACTIONS(2656),
    [anon_sym_break] = ACTIONS(2656),
    [anon_sym_continue] = ACTIONS(2656),
    [anon_sym_goto] = ACTIONS(2656),
    [anon_sym___try] = ACTIONS(2656),
    [anon_sym___leave] = ACTIONS(2656),
    [anon_sym_not] = ACTIONS(2656),
    [anon_sym_compl] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2658),
    [anon_sym_sizeof] = ACTIONS(2656),
    [anon_sym___alignof__] = ACTIONS(2656),
    [anon_sym___alignof] = ACTIONS(2656),
    [anon_sym__alignof] = ACTIONS(2656),
    [anon_sym_alignof] = ACTIONS(2656),
    [anon_sym__Alignof] = ACTIONS(2656),
    [anon_sym_offsetof] = ACTIONS(2656),
    [anon_sym__Generic] = ACTIONS(2656),
    [anon_sym_asm] = ACTIONS(2656),
    [anon_sym___asm__] = ACTIONS(2656),
    [sym_number_literal] = ACTIONS(2658),
    [anon_sym_L_SQUOTE] = ACTIONS(2658),
    [anon_sym_u_SQUOTE] = ACTIONS(2658),
    [anon_sym_U_SQUOTE] = ACTIONS(2658),
    [anon_sym_u8_SQUOTE] = ACTIONS(2658),
    [anon_sym_SQUOTE] = ACTIONS(2658),
    [anon_sym_L_DQUOTE] = ACTIONS(2658),
    [anon_sym_u_DQUOTE] = ACTIONS(2658),
    [anon_sym_U_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8_DQUOTE] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [sym_true] = ACTIONS(2656),
    [sym_false] = ACTIONS(2656),
    [anon_sym_NULL] = ACTIONS(2656),
    [anon_sym_nullptr] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2656),
    [anon_sym_decltype] = ACTIONS(2656),
    [sym_virtual] = ACTIONS(2656),
    [anon_sym_explicit] = ACTIONS(2656),
    [anon_sym_typename] = ACTIONS(2656),
    [anon_sym_template] = ACTIONS(2656),
    [anon_sym_operator] = ACTIONS(2656),
    [anon_sym_try] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2656),
    [anon_sym_namespace] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_static_assert] = ACTIONS(2656),
    [anon_sym_concept] = ACTIONS(2656),
    [anon_sym_co_return] = ACTIONS(2656),
    [anon_sym_co_yield] = ACTIONS(2656),
    [anon_sym_R_DQUOTE] = ACTIONS(2658),
    [anon_sym_LR_DQUOTE] = ACTIONS(2658),
    [anon_sym_uR_DQUOTE] = ACTIONS(2658),
    [anon_sym_UR_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2658),
    [anon_sym_co_await] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2656),
    [anon_sym_requires] = ACTIONS(2656),
    [sym_this] = ACTIONS(2656),
  },
  [555] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_RBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [556] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [557] = {
    [sym_identifier] = ACTIONS(2704),
    [aux_sym_preproc_include_token1] = ACTIONS(2704),
    [aux_sym_preproc_def_token1] = ACTIONS(2704),
    [aux_sym_preproc_if_token1] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2704),
    [sym_preproc_directive] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym___extension__] = ACTIONS(2704),
    [anon_sym_typedef] = ACTIONS(2704),
    [anon_sym_extern] = ACTIONS(2704),
    [anon_sym___attribute__] = ACTIONS(2704),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2706),
    [anon_sym___declspec] = ACTIONS(2704),
    [anon_sym___based] = ACTIONS(2704),
    [anon_sym___cdecl] = ACTIONS(2704),
    [anon_sym___clrcall] = ACTIONS(2704),
    [anon_sym___stdcall] = ACTIONS(2704),
    [anon_sym___fastcall] = ACTIONS(2704),
    [anon_sym___thiscall] = ACTIONS(2704),
    [anon_sym___vectorcall] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_RBRACE] = ACTIONS(2706),
    [anon_sym_signed] = ACTIONS(2704),
    [anon_sym_unsigned] = ACTIONS(2704),
    [anon_sym_long] = ACTIONS(2704),
    [anon_sym_short] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_register] = ACTIONS(2704),
    [anon_sym_inline] = ACTIONS(2704),
    [anon_sym___inline] = ACTIONS(2704),
    [anon_sym___inline__] = ACTIONS(2704),
    [anon_sym___forceinline] = ACTIONS(2704),
    [anon_sym_thread_local] = ACTIONS(2704),
    [anon_sym___thread] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_constexpr] = ACTIONS(2704),
    [anon_sym_volatile] = ACTIONS(2704),
    [anon_sym_restrict] = ACTIONS(2704),
    [anon_sym___restrict__] = ACTIONS(2704),
    [anon_sym__Atomic] = ACTIONS(2704),
    [anon_sym__Noreturn] = ACTIONS(2704),
    [anon_sym_noreturn] = ACTIONS(2704),
    [anon_sym_mutable] = ACTIONS(2704),
    [anon_sym_constinit] = ACTIONS(2704),
    [anon_sym_consteval] = ACTIONS(2704),
    [anon_sym_alignas] = ACTIONS(2704),
    [anon_sym__Alignas] = ACTIONS(2704),
    [sym_primitive_type] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_struct] = ACTIONS(2704),
    [anon_sym_union] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_case] = ACTIONS(2704),
    [anon_sym_default] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_goto] = ACTIONS(2704),
    [anon_sym___try] = ACTIONS(2704),
    [anon_sym___leave] = ACTIONS(2704),
    [anon_sym_not] = ACTIONS(2704),
    [anon_sym_compl] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_sizeof] = ACTIONS(2704),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2704),
    [anon_sym__Generic] = ACTIONS(2704),
    [anon_sym_asm] = ACTIONS(2704),
    [anon_sym___asm__] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2706),
    [anon_sym_L_SQUOTE] = ACTIONS(2706),
    [anon_sym_u_SQUOTE] = ACTIONS(2706),
    [anon_sym_U_SQUOTE] = ACTIONS(2706),
    [anon_sym_u8_SQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_L_DQUOTE] = ACTIONS(2706),
    [anon_sym_u_DQUOTE] = ACTIONS(2706),
    [anon_sym_U_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [anon_sym_NULL] = ACTIONS(2704),
    [anon_sym_nullptr] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2704),
    [anon_sym_decltype] = ACTIONS(2704),
    [sym_virtual] = ACTIONS(2704),
    [anon_sym_explicit] = ACTIONS(2704),
    [anon_sym_typename] = ACTIONS(2704),
    [anon_sym_template] = ACTIONS(2704),
    [anon_sym_operator] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_using] = ACTIONS(2704),
    [anon_sym_static_assert] = ACTIONS(2704),
    [anon_sym_concept] = ACTIONS(2704),
    [anon_sym_co_return] = ACTIONS(2704),
    [anon_sym_co_yield] = ACTIONS(2704),
    [anon_sym_R_DQUOTE] = ACTIONS(2706),
    [anon_sym_LR_DQUOTE] = ACTIONS(2706),
    [anon_sym_uR_DQUOTE] = ACTIONS(2706),
    [anon_sym_UR_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2706),
    [anon_sym_co_await] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_requires] = ACTIONS(2704),
    [sym_this] = ACTIONS(2704),
  },
  [558] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym___try] = ACTIONS(2755),
    [anon_sym___leave] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
  },
  [559] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_RBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [sym_virtual] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [560] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [sym_virtual] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [561] = {
    [sym_identifier] = ACTIONS(2660),
    [aux_sym_preproc_include_token1] = ACTIONS(2660),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2660),
    [sym_preproc_directive] = ACTIONS(2660),
    [anon_sym_LPAREN2] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym___extension__] = ACTIONS(2660),
    [anon_sym_typedef] = ACTIONS(2660),
    [anon_sym_extern] = ACTIONS(2660),
    [anon_sym___attribute__] = ACTIONS(2660),
    [anon_sym_COLON_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2660),
    [anon_sym___based] = ACTIONS(2660),
    [anon_sym___cdecl] = ACTIONS(2660),
    [anon_sym___clrcall] = ACTIONS(2660),
    [anon_sym___stdcall] = ACTIONS(2660),
    [anon_sym___fastcall] = ACTIONS(2660),
    [anon_sym___thiscall] = ACTIONS(2660),
    [anon_sym___vectorcall] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_RBRACE] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2660),
    [anon_sym_unsigned] = ACTIONS(2660),
    [anon_sym_long] = ACTIONS(2660),
    [anon_sym_short] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_register] = ACTIONS(2660),
    [anon_sym_inline] = ACTIONS(2660),
    [anon_sym___inline] = ACTIONS(2660),
    [anon_sym___inline__] = ACTIONS(2660),
    [anon_sym___forceinline] = ACTIONS(2660),
    [anon_sym_thread_local] = ACTIONS(2660),
    [anon_sym___thread] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_constexpr] = ACTIONS(2660),
    [anon_sym_volatile] = ACTIONS(2660),
    [anon_sym_restrict] = ACTIONS(2660),
    [anon_sym___restrict__] = ACTIONS(2660),
    [anon_sym__Atomic] = ACTIONS(2660),
    [anon_sym__Noreturn] = ACTIONS(2660),
    [anon_sym_noreturn] = ACTIONS(2660),
    [anon_sym_mutable] = ACTIONS(2660),
    [anon_sym_constinit] = ACTIONS(2660),
    [anon_sym_consteval] = ACTIONS(2660),
    [anon_sym_alignas] = ACTIONS(2660),
    [anon_sym__Alignas] = ACTIONS(2660),
    [sym_primitive_type] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_struct] = ACTIONS(2660),
    [anon_sym_union] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_case] = ACTIONS(2660),
    [anon_sym_default] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_do] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2660),
    [anon_sym_return] = ACTIONS(2660),
    [anon_sym_break] = ACTIONS(2660),
    [anon_sym_continue] = ACTIONS(2660),
    [anon_sym_goto] = ACTIONS(2660),
    [anon_sym___try] = ACTIONS(2660),
    [anon_sym___leave] = ACTIONS(2660),
    [anon_sym_not] = ACTIONS(2660),
    [anon_sym_compl] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2662),
    [anon_sym_sizeof] = ACTIONS(2660),
    [anon_sym___alignof__] = ACTIONS(2660),
    [anon_sym___alignof] = ACTIONS(2660),
    [anon_sym__alignof] = ACTIONS(2660),
    [anon_sym_alignof] = ACTIONS(2660),
    [anon_sym__Alignof] = ACTIONS(2660),
    [anon_sym_offsetof] = ACTIONS(2660),
    [anon_sym__Generic] = ACTIONS(2660),
    [anon_sym_asm] = ACTIONS(2660),
    [anon_sym___asm__] = ACTIONS(2660),
    [sym_number_literal] = ACTIONS(2662),
    [anon_sym_L_SQUOTE] = ACTIONS(2662),
    [anon_sym_u_SQUOTE] = ACTIONS(2662),
    [anon_sym_U_SQUOTE] = ACTIONS(2662),
    [anon_sym_u8_SQUOTE] = ACTIONS(2662),
    [anon_sym_SQUOTE] = ACTIONS(2662),
    [anon_sym_L_DQUOTE] = ACTIONS(2662),
    [anon_sym_u_DQUOTE] = ACTIONS(2662),
    [anon_sym_U_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [sym_true] = ACTIONS(2660),
    [sym_false] = ACTIONS(2660),
    [anon_sym_NULL] = ACTIONS(2660),
    [anon_sym_nullptr] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2660),
    [anon_sym_decltype] = ACTIONS(2660),
    [sym_virtual] = ACTIONS(2660),
    [anon_sym_explicit] = ACTIONS(2660),
    [anon_sym_typename] = ACTIONS(2660),
    [anon_sym_template] = ACTIONS(2660),
    [anon_sym_operator] = ACTIONS(2660),
    [anon_sym_try] = ACTIONS(2660),
    [anon_sym_delete] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2660),
    [anon_sym_namespace] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_static_assert] = ACTIONS(2660),
    [anon_sym_concept] = ACTIONS(2660),
    [anon_sym_co_return] = ACTIONS(2660),
    [anon_sym_co_yield] = ACTIONS(2660),
    [anon_sym_R_DQUOTE] = ACTIONS(2662),
    [anon_sym_LR_DQUOTE] = ACTIONS(2662),
    [anon_sym_uR_DQUOTE] = ACTIONS(2662),
    [anon_sym_UR_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2662),
    [anon_sym_co_await] = ACTIONS(2660),
    [anon_sym_new] = ACTIONS(2660),
    [anon_sym_requires] = ACTIONS(2660),
    [sym_this] = ACTIONS(2660),
  },
  [562] = {
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_include_token1] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token2] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym___cdecl] = ACTIONS(2664),
    [anon_sym___clrcall] = ACTIONS(2664),
    [anon_sym___stdcall] = ACTIONS(2664),
    [anon_sym___fastcall] = ACTIONS(2664),
    [anon_sym___thiscall] = ACTIONS(2664),
    [anon_sym___vectorcall] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2664),
    [anon_sym___leave] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [sym_virtual] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
    [anon_sym_concept] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [563] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_RBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym__Alignas] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2688),
    [anon_sym___leave] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [sym_virtual] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
  },
  [564] = {
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_include_token1] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token2] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym___cdecl] = ACTIONS(2668),
    [anon_sym___clrcall] = ACTIONS(2668),
    [anon_sym___stdcall] = ACTIONS(2668),
    [anon_sym___fastcall] = ACTIONS(2668),
    [anon_sym___thiscall] = ACTIONS(2668),
    [anon_sym___vectorcall] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2668),
    [anon_sym___leave] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [sym_virtual] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
    [anon_sym_concept] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [565] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token2] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym___cdecl] = ACTIONS(2672),
    [anon_sym___clrcall] = ACTIONS(2672),
    [anon_sym___stdcall] = ACTIONS(2672),
    [anon_sym___fastcall] = ACTIONS(2672),
    [anon_sym___thiscall] = ACTIONS(2672),
    [anon_sym___vectorcall] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2672),
    [anon_sym___leave] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
    [anon_sym_concept] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [566] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [567] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [568] = {
    [sym_identifier] = ACTIONS(2712),
    [aux_sym_preproc_include_token1] = ACTIONS(2712),
    [aux_sym_preproc_def_token1] = ACTIONS(2712),
    [aux_sym_preproc_if_token1] = ACTIONS(2712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2712),
    [sym_preproc_directive] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_TILDE] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_AMP_AMP] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2714),
    [anon_sym___extension__] = ACTIONS(2712),
    [anon_sym_typedef] = ACTIONS(2712),
    [anon_sym_extern] = ACTIONS(2712),
    [anon_sym___attribute__] = ACTIONS(2712),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2714),
    [anon_sym___declspec] = ACTIONS(2712),
    [anon_sym___based] = ACTIONS(2712),
    [anon_sym___cdecl] = ACTIONS(2712),
    [anon_sym___clrcall] = ACTIONS(2712),
    [anon_sym___stdcall] = ACTIONS(2712),
    [anon_sym___fastcall] = ACTIONS(2712),
    [anon_sym___thiscall] = ACTIONS(2712),
    [anon_sym___vectorcall] = ACTIONS(2712),
    [anon_sym_LBRACE] = ACTIONS(2714),
    [anon_sym_RBRACE] = ACTIONS(2714),
    [anon_sym_signed] = ACTIONS(2712),
    [anon_sym_unsigned] = ACTIONS(2712),
    [anon_sym_long] = ACTIONS(2712),
    [anon_sym_short] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_static] = ACTIONS(2712),
    [anon_sym_register] = ACTIONS(2712),
    [anon_sym_inline] = ACTIONS(2712),
    [anon_sym___inline] = ACTIONS(2712),
    [anon_sym___inline__] = ACTIONS(2712),
    [anon_sym___forceinline] = ACTIONS(2712),
    [anon_sym_thread_local] = ACTIONS(2712),
    [anon_sym___thread] = ACTIONS(2712),
    [anon_sym_const] = ACTIONS(2712),
    [anon_sym_constexpr] = ACTIONS(2712),
    [anon_sym_volatile] = ACTIONS(2712),
    [anon_sym_restrict] = ACTIONS(2712),
    [anon_sym___restrict__] = ACTIONS(2712),
    [anon_sym__Atomic] = ACTIONS(2712),
    [anon_sym__Noreturn] = ACTIONS(2712),
    [anon_sym_noreturn] = ACTIONS(2712),
    [anon_sym_mutable] = ACTIONS(2712),
    [anon_sym_constinit] = ACTIONS(2712),
    [anon_sym_consteval] = ACTIONS(2712),
    [anon_sym_alignas] = ACTIONS(2712),
    [anon_sym__Alignas] = ACTIONS(2712),
    [sym_primitive_type] = ACTIONS(2712),
    [anon_sym_enum] = ACTIONS(2712),
    [anon_sym_class] = ACTIONS(2712),
    [anon_sym_struct] = ACTIONS(2712),
    [anon_sym_union] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_case] = ACTIONS(2712),
    [anon_sym_default] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_break] = ACTIONS(2712),
    [anon_sym_continue] = ACTIONS(2712),
    [anon_sym_goto] = ACTIONS(2712),
    [anon_sym___try] = ACTIONS(2712),
    [anon_sym___leave] = ACTIONS(2712),
    [anon_sym_not] = ACTIONS(2712),
    [anon_sym_compl] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2714),
    [anon_sym_sizeof] = ACTIONS(2712),
    [anon_sym___alignof__] = ACTIONS(2712),
    [anon_sym___alignof] = ACTIONS(2712),
    [anon_sym__alignof] = ACTIONS(2712),
    [anon_sym_alignof] = ACTIONS(2712),
    [anon_sym__Alignof] = ACTIONS(2712),
    [anon_sym_offsetof] = ACTIONS(2712),
    [anon_sym__Generic] = ACTIONS(2712),
    [anon_sym_asm] = ACTIONS(2712),
    [anon_sym___asm__] = ACTIONS(2712),
    [sym_number_literal] = ACTIONS(2714),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2714),
    [anon_sym_u_DQUOTE] = ACTIONS(2714),
    [anon_sym_U_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2714),
    [sym_true] = ACTIONS(2712),
    [sym_false] = ACTIONS(2712),
    [anon_sym_NULL] = ACTIONS(2712),
    [anon_sym_nullptr] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2712),
    [anon_sym_decltype] = ACTIONS(2712),
    [sym_virtual] = ACTIONS(2712),
    [anon_sym_explicit] = ACTIONS(2712),
    [anon_sym_typename] = ACTIONS(2712),
    [anon_sym_template] = ACTIONS(2712),
    [anon_sym_operator] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_delete] = ACTIONS(2712),
    [anon_sym_throw] = ACTIONS(2712),
    [anon_sym_namespace] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2712),
    [anon_sym_static_assert] = ACTIONS(2712),
    [anon_sym_concept] = ACTIONS(2712),
    [anon_sym_co_return] = ACTIONS(2712),
    [anon_sym_co_yield] = ACTIONS(2712),
    [anon_sym_R_DQUOTE] = ACTIONS(2714),
    [anon_sym_LR_DQUOTE] = ACTIONS(2714),
    [anon_sym_uR_DQUOTE] = ACTIONS(2714),
    [anon_sym_UR_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2714),
    [anon_sym_co_await] = ACTIONS(2712),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_requires] = ACTIONS(2712),
    [sym_this] = ACTIONS(2712),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_BANG] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2646),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym___cdecl] = ACTIONS(2644),
    [anon_sym___clrcall] = ACTIONS(2644),
    [anon_sym___stdcall] = ACTIONS(2644),
    [anon_sym___fastcall] = ACTIONS(2644),
    [anon_sym___thiscall] = ACTIONS(2644),
    [anon_sym___vectorcall] = ACTIONS(2644),
    [anon_sym_LBRACE] = ACTIONS(2646),
    [anon_sym_RBRACE] = ACTIONS(2646),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2644),
    [anon_sym_case] = ACTIONS(2644),
    [anon_sym_default] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_return] = ACTIONS(2644),
    [anon_sym_break] = ACTIONS(2644),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_goto] = ACTIONS(2644),
    [anon_sym___try] = ACTIONS(2644),
    [anon_sym___leave] = ACTIONS(2644),
    [anon_sym_not] = ACTIONS(2644),
    [anon_sym_compl] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2646),
    [anon_sym_PLUS_PLUS] = ACTIONS(2646),
    [anon_sym_sizeof] = ACTIONS(2644),
    [anon_sym___alignof__] = ACTIONS(2644),
    [anon_sym___alignof] = ACTIONS(2644),
    [anon_sym__alignof] = ACTIONS(2644),
    [anon_sym_alignof] = ACTIONS(2644),
    [anon_sym__Alignof] = ACTIONS(2644),
    [anon_sym_offsetof] = ACTIONS(2644),
    [anon_sym__Generic] = ACTIONS(2644),
    [anon_sym_asm] = ACTIONS(2644),
    [anon_sym___asm__] = ACTIONS(2644),
    [sym_number_literal] = ACTIONS(2646),
    [anon_sym_L_SQUOTE] = ACTIONS(2646),
    [anon_sym_u_SQUOTE] = ACTIONS(2646),
    [anon_sym_U_SQUOTE] = ACTIONS(2646),
    [anon_sym_u8_SQUOTE] = ACTIONS(2646),
    [anon_sym_SQUOTE] = ACTIONS(2646),
    [anon_sym_L_DQUOTE] = ACTIONS(2646),
    [anon_sym_u_DQUOTE] = ACTIONS(2646),
    [anon_sym_U_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8_DQUOTE] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [sym_true] = ACTIONS(2644),
    [sym_false] = ACTIONS(2644),
    [anon_sym_NULL] = ACTIONS(2644),
    [anon_sym_nullptr] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_try] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2644),
    [anon_sym_namespace] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
    [anon_sym_concept] = ACTIONS(2644),
    [anon_sym_co_return] = ACTIONS(2644),
    [anon_sym_co_yield] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2644),
    [anon_sym_requires] = ACTIONS(2644),
    [sym_this] = ACTIONS(2644),
  },
  [570] = {
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2761),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym___cdecl] = ACTIONS(2759),
    [anon_sym___clrcall] = ACTIONS(2759),
    [anon_sym___stdcall] = ACTIONS(2759),
    [anon_sym___fastcall] = ACTIONS(2759),
    [anon_sym___thiscall] = ACTIONS(2759),
    [anon_sym___vectorcall] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_RBRACE] = ACTIONS(2761),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym__Alignas] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_switch] = ACTIONS(2759),
    [anon_sym_case] = ACTIONS(2759),
    [anon_sym_default] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(2759),
    [anon_sym_do] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2759),
    [anon_sym_return] = ACTIONS(2759),
    [anon_sym_break] = ACTIONS(2759),
    [anon_sym_continue] = ACTIONS(2759),
    [anon_sym_goto] = ACTIONS(2759),
    [anon_sym___try] = ACTIONS(2759),
    [anon_sym___leave] = ACTIONS(2759),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_compl] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_sizeof] = ACTIONS(2759),
    [anon_sym___alignof__] = ACTIONS(2759),
    [anon_sym___alignof] = ACTIONS(2759),
    [anon_sym__alignof] = ACTIONS(2759),
    [anon_sym_alignof] = ACTIONS(2759),
    [anon_sym__Alignof] = ACTIONS(2759),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2759),
    [anon_sym_asm] = ACTIONS(2759),
    [anon_sym___asm__] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2761),
    [anon_sym_u_SQUOTE] = ACTIONS(2761),
    [anon_sym_U_SQUOTE] = ACTIONS(2761),
    [anon_sym_u8_SQUOTE] = ACTIONS(2761),
    [anon_sym_SQUOTE] = ACTIONS(2761),
    [anon_sym_L_DQUOTE] = ACTIONS(2761),
    [anon_sym_u_DQUOTE] = ACTIONS(2761),
    [anon_sym_U_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_true] = ACTIONS(2759),
    [sym_false] = ACTIONS(2759),
    [anon_sym_NULL] = ACTIONS(2759),
    [anon_sym_nullptr] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [sym_virtual] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_try] = ACTIONS(2759),
    [anon_sym_delete] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2759),
    [anon_sym_namespace] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_concept] = ACTIONS(2759),
    [anon_sym_co_return] = ACTIONS(2759),
    [anon_sym_co_yield] = ACTIONS(2759),
    [anon_sym_R_DQUOTE] = ACTIONS(2761),
    [anon_sym_LR_DQUOTE] = ACTIONS(2761),
    [anon_sym_uR_DQUOTE] = ACTIONS(2761),
    [anon_sym_UR_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2761),
    [anon_sym_co_await] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_requires] = ACTIONS(2759),
    [sym_this] = ACTIONS(2759),
  },
  [571] = {
    [sym_identifier] = ACTIONS(2771),
    [aux_sym_preproc_include_token1] = ACTIONS(2771),
    [aux_sym_preproc_def_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2771),
    [sym_preproc_directive] = ACTIONS(2771),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_BANG] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2771),
    [anon_sym_typedef] = ACTIONS(2771),
    [anon_sym_extern] = ACTIONS(2771),
    [anon_sym___attribute__] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2773),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2773),
    [anon_sym___declspec] = ACTIONS(2771),
    [anon_sym___based] = ACTIONS(2771),
    [anon_sym___cdecl] = ACTIONS(2771),
    [anon_sym___clrcall] = ACTIONS(2771),
    [anon_sym___stdcall] = ACTIONS(2771),
    [anon_sym___fastcall] = ACTIONS(2771),
    [anon_sym___thiscall] = ACTIONS(2771),
    [anon_sym___vectorcall] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_RBRACE] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2771),
    [anon_sym_unsigned] = ACTIONS(2771),
    [anon_sym_long] = ACTIONS(2771),
    [anon_sym_short] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2771),
    [anon_sym_register] = ACTIONS(2771),
    [anon_sym_inline] = ACTIONS(2771),
    [anon_sym___inline] = ACTIONS(2771),
    [anon_sym___inline__] = ACTIONS(2771),
    [anon_sym___forceinline] = ACTIONS(2771),
    [anon_sym_thread_local] = ACTIONS(2771),
    [anon_sym___thread] = ACTIONS(2771),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_constexpr] = ACTIONS(2771),
    [anon_sym_volatile] = ACTIONS(2771),
    [anon_sym_restrict] = ACTIONS(2771),
    [anon_sym___restrict__] = ACTIONS(2771),
    [anon_sym__Atomic] = ACTIONS(2771),
    [anon_sym__Noreturn] = ACTIONS(2771),
    [anon_sym_noreturn] = ACTIONS(2771),
    [anon_sym_mutable] = ACTIONS(2771),
    [anon_sym_constinit] = ACTIONS(2771),
    [anon_sym_consteval] = ACTIONS(2771),
    [anon_sym_alignas] = ACTIONS(2771),
    [anon_sym__Alignas] = ACTIONS(2771),
    [sym_primitive_type] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2771),
    [anon_sym_struct] = ACTIONS(2771),
    [anon_sym_union] = ACTIONS(2771),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_switch] = ACTIONS(2771),
    [anon_sym_case] = ACTIONS(2771),
    [anon_sym_default] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(2771),
    [anon_sym_do] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2771),
    [anon_sym_return] = ACTIONS(2771),
    [anon_sym_break] = ACTIONS(2771),
    [anon_sym_continue] = ACTIONS(2771),
    [anon_sym_goto] = ACTIONS(2771),
    [anon_sym___try] = ACTIONS(2771),
    [anon_sym___leave] = ACTIONS(2771),
    [anon_sym_not] = ACTIONS(2771),
    [anon_sym_compl] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_sizeof] = ACTIONS(2771),
    [anon_sym___alignof__] = ACTIONS(2771),
    [anon_sym___alignof] = ACTIONS(2771),
    [anon_sym__alignof] = ACTIONS(2771),
    [anon_sym_alignof] = ACTIONS(2771),
    [anon_sym__Alignof] = ACTIONS(2771),
    [anon_sym_offsetof] = ACTIONS(2771),
    [anon_sym__Generic] = ACTIONS(2771),
    [anon_sym_asm] = ACTIONS(2771),
    [anon_sym___asm__] = ACTIONS(2771),
    [sym_number_literal] = ACTIONS(2773),
    [anon_sym_L_SQUOTE] = ACTIONS(2773),
    [anon_sym_u_SQUOTE] = ACTIONS(2773),
    [anon_sym_U_SQUOTE] = ACTIONS(2773),
    [anon_sym_u8_SQUOTE] = ACTIONS(2773),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_L_DQUOTE] = ACTIONS(2773),
    [anon_sym_u_DQUOTE] = ACTIONS(2773),
    [anon_sym_U_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2771),
    [anon_sym_nullptr] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2771),
    [anon_sym_decltype] = ACTIONS(2771),
    [sym_virtual] = ACTIONS(2771),
    [anon_sym_explicit] = ACTIONS(2771),
    [anon_sym_typename] = ACTIONS(2771),
    [anon_sym_template] = ACTIONS(2771),
    [anon_sym_operator] = ACTIONS(2771),
    [anon_sym_try] = ACTIONS(2771),
    [anon_sym_delete] = ACTIONS(2771),
    [anon_sym_throw] = ACTIONS(2771),
    [anon_sym_namespace] = ACTIONS(2771),
    [anon_sym_using] = ACTIONS(2771),
    [anon_sym_static_assert] = ACTIONS(2771),
    [anon_sym_concept] = ACTIONS(2771),
    [anon_sym_co_return] = ACTIONS(2771),
    [anon_sym_co_yield] = ACTIONS(2771),
    [anon_sym_R_DQUOTE] = ACTIONS(2773),
    [anon_sym_LR_DQUOTE] = ACTIONS(2773),
    [anon_sym_uR_DQUOTE] = ACTIONS(2773),
    [anon_sym_UR_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2773),
    [anon_sym_co_await] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2771),
    [anon_sym_requires] = ACTIONS(2771),
    [sym_this] = ACTIONS(2771),
  },
  [572] = {
    [sym_identifier] = ACTIONS(2787),
    [aux_sym_preproc_include_token1] = ACTIONS(2787),
    [aux_sym_preproc_def_token1] = ACTIONS(2787),
    [aux_sym_preproc_if_token1] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2787),
    [sym_preproc_directive] = ACTIONS(2787),
    [anon_sym_LPAREN2] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym___extension__] = ACTIONS(2787),
    [anon_sym_typedef] = ACTIONS(2787),
    [anon_sym_extern] = ACTIONS(2787),
    [anon_sym___attribute__] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2789),
    [anon_sym___declspec] = ACTIONS(2787),
    [anon_sym___based] = ACTIONS(2787),
    [anon_sym___cdecl] = ACTIONS(2787),
    [anon_sym___clrcall] = ACTIONS(2787),
    [anon_sym___stdcall] = ACTIONS(2787),
    [anon_sym___fastcall] = ACTIONS(2787),
    [anon_sym___thiscall] = ACTIONS(2787),
    [anon_sym___vectorcall] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_signed] = ACTIONS(2787),
    [anon_sym_unsigned] = ACTIONS(2787),
    [anon_sym_long] = ACTIONS(2787),
    [anon_sym_short] = ACTIONS(2787),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_static] = ACTIONS(2787),
    [anon_sym_register] = ACTIONS(2787),
    [anon_sym_inline] = ACTIONS(2787),
    [anon_sym___inline] = ACTIONS(2787),
    [anon_sym___inline__] = ACTIONS(2787),
    [anon_sym___forceinline] = ACTIONS(2787),
    [anon_sym_thread_local] = ACTIONS(2787),
    [anon_sym___thread] = ACTIONS(2787),
    [anon_sym_const] = ACTIONS(2787),
    [anon_sym_constexpr] = ACTIONS(2787),
    [anon_sym_volatile] = ACTIONS(2787),
    [anon_sym_restrict] = ACTIONS(2787),
    [anon_sym___restrict__] = ACTIONS(2787),
    [anon_sym__Atomic] = ACTIONS(2787),
    [anon_sym__Noreturn] = ACTIONS(2787),
    [anon_sym_noreturn] = ACTIONS(2787),
    [anon_sym_mutable] = ACTIONS(2787),
    [anon_sym_constinit] = ACTIONS(2787),
    [anon_sym_consteval] = ACTIONS(2787),
    [anon_sym_alignas] = ACTIONS(2787),
    [anon_sym__Alignas] = ACTIONS(2787),
    [sym_primitive_type] = ACTIONS(2787),
    [anon_sym_enum] = ACTIONS(2787),
    [anon_sym_class] = ACTIONS(2787),
    [anon_sym_struct] = ACTIONS(2787),
    [anon_sym_union] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_switch] = ACTIONS(2787),
    [anon_sym_case] = ACTIONS(2787),
    [anon_sym_default] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_return] = ACTIONS(2787),
    [anon_sym_break] = ACTIONS(2787),
    [anon_sym_continue] = ACTIONS(2787),
    [anon_sym_goto] = ACTIONS(2787),
    [anon_sym___try] = ACTIONS(2787),
    [anon_sym___leave] = ACTIONS(2787),
    [anon_sym_not] = ACTIONS(2787),
    [anon_sym_compl] = ACTIONS(2787),
    [anon_sym_DASH_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(2789),
    [anon_sym_sizeof] = ACTIONS(2787),
    [anon_sym___alignof__] = ACTIONS(2787),
    [anon_sym___alignof] = ACTIONS(2787),
    [anon_sym__alignof] = ACTIONS(2787),
    [anon_sym_alignof] = ACTIONS(2787),
    [anon_sym__Alignof] = ACTIONS(2787),
    [anon_sym_offsetof] = ACTIONS(2787),
    [anon_sym__Generic] = ACTIONS(2787),
    [anon_sym_asm] = ACTIONS(2787),
    [anon_sym___asm__] = ACTIONS(2787),
    [sym_number_literal] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2789),
    [anon_sym_u_SQUOTE] = ACTIONS(2789),
    [anon_sym_U_SQUOTE] = ACTIONS(2789),
    [anon_sym_u8_SQUOTE] = ACTIONS(2789),
    [anon_sym_SQUOTE] = ACTIONS(2789),
    [anon_sym_L_DQUOTE] = ACTIONS(2789),
    [anon_sym_u_DQUOTE] = ACTIONS(2789),
    [anon_sym_U_DQUOTE] = ACTIONS(2789),
    [anon_sym_u8_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [sym_true] = ACTIONS(2787),
    [sym_false] = ACTIONS(2787),
    [anon_sym_NULL] = ACTIONS(2787),
    [anon_sym_nullptr] = ACTIONS(2787),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2787),
    [anon_sym_decltype] = ACTIONS(2787),
    [sym_virtual] = ACTIONS(2787),
    [anon_sym_explicit] = ACTIONS(2787),
    [anon_sym_typename] = ACTIONS(2787),
    [anon_sym_template] = ACTIONS(2787),
    [anon_sym_operator] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2787),
    [anon_sym_delete] = ACTIONS(2787),
    [anon_sym_throw] = ACTIONS(2787),
    [anon_sym_namespace] = ACTIONS(2787),
    [anon_sym_using] = ACTIONS(2787),
    [anon_sym_static_assert] = ACTIONS(2787),
    [anon_sym_concept] = ACTIONS(2787),
    [anon_sym_co_return] = ACTIONS(2787),
    [anon_sym_co_yield] = ACTIONS(2787),
    [anon_sym_R_DQUOTE] = ACTIONS(2789),
    [anon_sym_LR_DQUOTE] = ACTIONS(2789),
    [anon_sym_uR_DQUOTE] = ACTIONS(2789),
    [anon_sym_UR_DQUOTE] = ACTIONS(2789),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2789),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_requires] = ACTIONS(2787),
    [sym_this] = ACTIONS(2787),
  },
  [573] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [574] = {
    [sym_identifier] = ACTIONS(2763),
    [aux_sym_preproc_include_token1] = ACTIONS(2763),
    [aux_sym_preproc_def_token1] = ACTIONS(2763),
    [aux_sym_preproc_if_token1] = ACTIONS(2763),
    [aux_sym_preproc_if_token2] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2763),
    [sym_preproc_directive] = ACTIONS(2763),
    [anon_sym_LPAREN2] = ACTIONS(2765),
    [anon_sym_BANG] = ACTIONS(2765),
    [anon_sym_TILDE] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2763),
    [anon_sym_typedef] = ACTIONS(2763),
    [anon_sym_extern] = ACTIONS(2763),
    [anon_sym___attribute__] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2765),
    [anon_sym___declspec] = ACTIONS(2763),
    [anon_sym___based] = ACTIONS(2763),
    [anon_sym___cdecl] = ACTIONS(2763),
    [anon_sym___clrcall] = ACTIONS(2763),
    [anon_sym___stdcall] = ACTIONS(2763),
    [anon_sym___fastcall] = ACTIONS(2763),
    [anon_sym___thiscall] = ACTIONS(2763),
    [anon_sym___vectorcall] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2763),
    [anon_sym_unsigned] = ACTIONS(2763),
    [anon_sym_long] = ACTIONS(2763),
    [anon_sym_short] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(2763),
    [anon_sym_static] = ACTIONS(2763),
    [anon_sym_register] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym___inline] = ACTIONS(2763),
    [anon_sym___inline__] = ACTIONS(2763),
    [anon_sym___forceinline] = ACTIONS(2763),
    [anon_sym_thread_local] = ACTIONS(2763),
    [anon_sym___thread] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_constexpr] = ACTIONS(2763),
    [anon_sym_volatile] = ACTIONS(2763),
    [anon_sym_restrict] = ACTIONS(2763),
    [anon_sym___restrict__] = ACTIONS(2763),
    [anon_sym__Atomic] = ACTIONS(2763),
    [anon_sym__Noreturn] = ACTIONS(2763),
    [anon_sym_noreturn] = ACTIONS(2763),
    [anon_sym_mutable] = ACTIONS(2763),
    [anon_sym_constinit] = ACTIONS(2763),
    [anon_sym_consteval] = ACTIONS(2763),
    [anon_sym_alignas] = ACTIONS(2763),
    [anon_sym__Alignas] = ACTIONS(2763),
    [sym_primitive_type] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_class] = ACTIONS(2763),
    [anon_sym_struct] = ACTIONS(2763),
    [anon_sym_union] = ACTIONS(2763),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_switch] = ACTIONS(2763),
    [anon_sym_case] = ACTIONS(2763),
    [anon_sym_default] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2763),
    [anon_sym_do] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2763),
    [anon_sym_return] = ACTIONS(2763),
    [anon_sym_break] = ACTIONS(2763),
    [anon_sym_continue] = ACTIONS(2763),
    [anon_sym_goto] = ACTIONS(2763),
    [anon_sym___try] = ACTIONS(2763),
    [anon_sym___leave] = ACTIONS(2763),
    [anon_sym_not] = ACTIONS(2763),
    [anon_sym_compl] = ACTIONS(2763),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_sizeof] = ACTIONS(2763),
    [anon_sym___alignof__] = ACTIONS(2763),
    [anon_sym___alignof] = ACTIONS(2763),
    [anon_sym__alignof] = ACTIONS(2763),
    [anon_sym_alignof] = ACTIONS(2763),
    [anon_sym__Alignof] = ACTIONS(2763),
    [anon_sym_offsetof] = ACTIONS(2763),
    [anon_sym__Generic] = ACTIONS(2763),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2765),
    [anon_sym_u_SQUOTE] = ACTIONS(2765),
    [anon_sym_U_SQUOTE] = ACTIONS(2765),
    [anon_sym_u8_SQUOTE] = ACTIONS(2765),
    [anon_sym_SQUOTE] = ACTIONS(2765),
    [anon_sym_L_DQUOTE] = ACTIONS(2765),
    [anon_sym_u_DQUOTE] = ACTIONS(2765),
    [anon_sym_U_DQUOTE] = ACTIONS(2765),
    [anon_sym_u8_DQUOTE] = ACTIONS(2765),
    [anon_sym_DQUOTE] = ACTIONS(2765),
    [sym_true] = ACTIONS(2763),
    [sym_false] = ACTIONS(2763),
    [anon_sym_NULL] = ACTIONS(2763),
    [anon_sym_nullptr] = ACTIONS(2763),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2763),
    [anon_sym_decltype] = ACTIONS(2763),
    [sym_virtual] = ACTIONS(2763),
    [anon_sym_explicit] = ACTIONS(2763),
    [anon_sym_typename] = ACTIONS(2763),
    [anon_sym_template] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_delete] = ACTIONS(2763),
    [anon_sym_throw] = ACTIONS(2763),
    [anon_sym_namespace] = ACTIONS(2763),
    [anon_sym_using] = ACTIONS(2763),
    [anon_sym_static_assert] = ACTIONS(2763),
    [anon_sym_concept] = ACTIONS(2763),
    [anon_sym_co_return] = ACTIONS(2763),
    [anon_sym_co_yield] = ACTIONS(2763),
    [anon_sym_R_DQUOTE] = ACTIONS(2765),
    [anon_sym_LR_DQUOTE] = ACTIONS(2765),
    [anon_sym_uR_DQUOTE] = ACTIONS(2765),
    [anon_sym_UR_DQUOTE] = ACTIONS(2765),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2765),
    [anon_sym_co_await] = ACTIONS(2763),
    [anon_sym_new] = ACTIONS(2763),
    [anon_sym_requires] = ACTIONS(2763),
    [sym_this] = ACTIONS(2763),
  },
  [575] = {
    [sym_identifier] = ACTIONS(2783),
    [aux_sym_preproc_include_token1] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2783),
    [aux_sym_preproc_if_token1] = ACTIONS(2783),
    [aux_sym_preproc_if_token2] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2783),
    [sym_preproc_directive] = ACTIONS(2783),
    [anon_sym_LPAREN2] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym___extension__] = ACTIONS(2783),
    [anon_sym_typedef] = ACTIONS(2783),
    [anon_sym_extern] = ACTIONS(2783),
    [anon_sym___attribute__] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2785),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2785),
    [anon_sym___declspec] = ACTIONS(2783),
    [anon_sym___based] = ACTIONS(2783),
    [anon_sym___cdecl] = ACTIONS(2783),
    [anon_sym___clrcall] = ACTIONS(2783),
    [anon_sym___stdcall] = ACTIONS(2783),
    [anon_sym___fastcall] = ACTIONS(2783),
    [anon_sym___thiscall] = ACTIONS(2783),
    [anon_sym___vectorcall] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_signed] = ACTIONS(2783),
    [anon_sym_unsigned] = ACTIONS(2783),
    [anon_sym_long] = ACTIONS(2783),
    [anon_sym_short] = ACTIONS(2783),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_static] = ACTIONS(2783),
    [anon_sym_register] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2783),
    [anon_sym___inline] = ACTIONS(2783),
    [anon_sym___inline__] = ACTIONS(2783),
    [anon_sym___forceinline] = ACTIONS(2783),
    [anon_sym_thread_local] = ACTIONS(2783),
    [anon_sym___thread] = ACTIONS(2783),
    [anon_sym_const] = ACTIONS(2783),
    [anon_sym_constexpr] = ACTIONS(2783),
    [anon_sym_volatile] = ACTIONS(2783),
    [anon_sym_restrict] = ACTIONS(2783),
    [anon_sym___restrict__] = ACTIONS(2783),
    [anon_sym__Atomic] = ACTIONS(2783),
    [anon_sym__Noreturn] = ACTIONS(2783),
    [anon_sym_noreturn] = ACTIONS(2783),
    [anon_sym_mutable] = ACTIONS(2783),
    [anon_sym_constinit] = ACTIONS(2783),
    [anon_sym_consteval] = ACTIONS(2783),
    [anon_sym_alignas] = ACTIONS(2783),
    [anon_sym__Alignas] = ACTIONS(2783),
    [sym_primitive_type] = ACTIONS(2783),
    [anon_sym_enum] = ACTIONS(2783),
    [anon_sym_class] = ACTIONS(2783),
    [anon_sym_struct] = ACTIONS(2783),
    [anon_sym_union] = ACTIONS(2783),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_switch] = ACTIONS(2783),
    [anon_sym_case] = ACTIONS(2783),
    [anon_sym_default] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2783),
    [anon_sym_do] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2783),
    [anon_sym_return] = ACTIONS(2783),
    [anon_sym_break] = ACTIONS(2783),
    [anon_sym_continue] = ACTIONS(2783),
    [anon_sym_goto] = ACTIONS(2783),
    [anon_sym___try] = ACTIONS(2783),
    [anon_sym___leave] = ACTIONS(2783),
    [anon_sym_not] = ACTIONS(2783),
    [anon_sym_compl] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2785),
    [anon_sym_sizeof] = ACTIONS(2783),
    [anon_sym___alignof__] = ACTIONS(2783),
    [anon_sym___alignof] = ACTIONS(2783),
    [anon_sym__alignof] = ACTIONS(2783),
    [anon_sym_alignof] = ACTIONS(2783),
    [anon_sym__Alignof] = ACTIONS(2783),
    [anon_sym_offsetof] = ACTIONS(2783),
    [anon_sym__Generic] = ACTIONS(2783),
    [anon_sym_asm] = ACTIONS(2783),
    [anon_sym___asm__] = ACTIONS(2783),
    [sym_number_literal] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2785),
    [anon_sym_u_SQUOTE] = ACTIONS(2785),
    [anon_sym_U_SQUOTE] = ACTIONS(2785),
    [anon_sym_u8_SQUOTE] = ACTIONS(2785),
    [anon_sym_SQUOTE] = ACTIONS(2785),
    [anon_sym_L_DQUOTE] = ACTIONS(2785),
    [anon_sym_u_DQUOTE] = ACTIONS(2785),
    [anon_sym_U_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [sym_true] = ACTIONS(2783),
    [sym_false] = ACTIONS(2783),
    [anon_sym_NULL] = ACTIONS(2783),
    [anon_sym_nullptr] = ACTIONS(2783),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2783),
    [anon_sym_decltype] = ACTIONS(2783),
    [sym_virtual] = ACTIONS(2783),
    [anon_sym_explicit] = ACTIONS(2783),
    [anon_sym_typename] = ACTIONS(2783),
    [anon_sym_template] = ACTIONS(2783),
    [anon_sym_operator] = ACTIONS(2783),
    [anon_sym_try] = ACTIONS(2783),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_throw] = ACTIONS(2783),
    [anon_sym_namespace] = ACTIONS(2783),
    [anon_sym_using] = ACTIONS(2783),
    [anon_sym_static_assert] = ACTIONS(2783),
    [anon_sym_concept] = ACTIONS(2783),
    [anon_sym_co_return] = ACTIONS(2783),
    [anon_sym_co_yield] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(2783),
    [anon_sym_requires] = ACTIONS(2783),
    [sym_this] = ACTIONS(2783),
  },
  [576] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym___leave] = ACTIONS(2824),
    [anon_sym_not] = ACTIONS(2824),
    [anon_sym_compl] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
    [anon_sym_concept] = ACTIONS(2824),
    [anon_sym_co_return] = ACTIONS(2824),
    [anon_sym_co_yield] = ACTIONS(2824),
    [anon_sym_R_DQUOTE] = ACTIONS(2826),
    [anon_sym_LR_DQUOTE] = ACTIONS(2826),
    [anon_sym_uR_DQUOTE] = ACTIONS(2826),
    [anon_sym_UR_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2826),
    [anon_sym_co_await] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_requires] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
  },
  [577] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym__Alignas] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [sym_virtual] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2744),
    [anon_sym___leave] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [579] = {
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token2] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2732),
    [anon_sym___leave] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [sym_virtual] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [580] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym___try] = ACTIONS(2797),
    [anon_sym___leave] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [sym_virtual] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [581] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [sym_primitive_type] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym___try] = ACTIONS(2801),
    [anon_sym___leave] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [sym_number_literal] = ACTIONS(2803),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [sym_virtual] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [582] = {
    [sym_identifier] = ACTIONS(2763),
    [aux_sym_preproc_include_token1] = ACTIONS(2763),
    [aux_sym_preproc_def_token1] = ACTIONS(2763),
    [aux_sym_preproc_if_token1] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2763),
    [sym_preproc_directive] = ACTIONS(2763),
    [anon_sym_LPAREN2] = ACTIONS(2765),
    [anon_sym_BANG] = ACTIONS(2765),
    [anon_sym_TILDE] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym___extension__] = ACTIONS(2763),
    [anon_sym_typedef] = ACTIONS(2763),
    [anon_sym_extern] = ACTIONS(2763),
    [anon_sym___attribute__] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2765),
    [anon_sym___declspec] = ACTIONS(2763),
    [anon_sym___based] = ACTIONS(2763),
    [anon_sym___cdecl] = ACTIONS(2763),
    [anon_sym___clrcall] = ACTIONS(2763),
    [anon_sym___stdcall] = ACTIONS(2763),
    [anon_sym___fastcall] = ACTIONS(2763),
    [anon_sym___thiscall] = ACTIONS(2763),
    [anon_sym___vectorcall] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2763),
    [anon_sym_unsigned] = ACTIONS(2763),
    [anon_sym_long] = ACTIONS(2763),
    [anon_sym_short] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(2763),
    [anon_sym_static] = ACTIONS(2763),
    [anon_sym_register] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym___inline] = ACTIONS(2763),
    [anon_sym___inline__] = ACTIONS(2763),
    [anon_sym___forceinline] = ACTIONS(2763),
    [anon_sym_thread_local] = ACTIONS(2763),
    [anon_sym___thread] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_constexpr] = ACTIONS(2763),
    [anon_sym_volatile] = ACTIONS(2763),
    [anon_sym_restrict] = ACTIONS(2763),
    [anon_sym___restrict__] = ACTIONS(2763),
    [anon_sym__Atomic] = ACTIONS(2763),
    [anon_sym__Noreturn] = ACTIONS(2763),
    [anon_sym_noreturn] = ACTIONS(2763),
    [anon_sym_mutable] = ACTIONS(2763),
    [anon_sym_constinit] = ACTIONS(2763),
    [anon_sym_consteval] = ACTIONS(2763),
    [anon_sym_alignas] = ACTIONS(2763),
    [anon_sym__Alignas] = ACTIONS(2763),
    [sym_primitive_type] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_class] = ACTIONS(2763),
    [anon_sym_struct] = ACTIONS(2763),
    [anon_sym_union] = ACTIONS(2763),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_switch] = ACTIONS(2763),
    [anon_sym_case] = ACTIONS(2763),
    [anon_sym_default] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2763),
    [anon_sym_do] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2763),
    [anon_sym_return] = ACTIONS(2763),
    [anon_sym_break] = ACTIONS(2763),
    [anon_sym_continue] = ACTIONS(2763),
    [anon_sym_goto] = ACTIONS(2763),
    [anon_sym___try] = ACTIONS(2763),
    [anon_sym___leave] = ACTIONS(2763),
    [anon_sym_not] = ACTIONS(2763),
    [anon_sym_compl] = ACTIONS(2763),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_sizeof] = ACTIONS(2763),
    [anon_sym___alignof__] = ACTIONS(2763),
    [anon_sym___alignof] = ACTIONS(2763),
    [anon_sym__alignof] = ACTIONS(2763),
    [anon_sym_alignof] = ACTIONS(2763),
    [anon_sym__Alignof] = ACTIONS(2763),
    [anon_sym_offsetof] = ACTIONS(2763),
    [anon_sym__Generic] = ACTIONS(2763),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2765),
    [anon_sym_u_SQUOTE] = ACTIONS(2765),
    [anon_sym_U_SQUOTE] = ACTIONS(2765),
    [anon_sym_u8_SQUOTE] = ACTIONS(2765),
    [anon_sym_SQUOTE] = ACTIONS(2765),
    [anon_sym_L_DQUOTE] = ACTIONS(2765),
    [anon_sym_u_DQUOTE] = ACTIONS(2765),
    [anon_sym_U_DQUOTE] = ACTIONS(2765),
    [anon_sym_u8_DQUOTE] = ACTIONS(2765),
    [anon_sym_DQUOTE] = ACTIONS(2765),
    [sym_true] = ACTIONS(2763),
    [sym_false] = ACTIONS(2763),
    [anon_sym_NULL] = ACTIONS(2763),
    [anon_sym_nullptr] = ACTIONS(2763),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2763),
    [anon_sym_decltype] = ACTIONS(2763),
    [sym_virtual] = ACTIONS(2763),
    [anon_sym_explicit] = ACTIONS(2763),
    [anon_sym_typename] = ACTIONS(2763),
    [anon_sym_template] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_delete] = ACTIONS(2763),
    [anon_sym_throw] = ACTIONS(2763),
    [anon_sym_namespace] = ACTIONS(2763),
    [anon_sym_using] = ACTIONS(2763),
    [anon_sym_static_assert] = ACTIONS(2763),
    [anon_sym_concept] = ACTIONS(2763),
    [anon_sym_co_return] = ACTIONS(2763),
    [anon_sym_co_yield] = ACTIONS(2763),
    [anon_sym_R_DQUOTE] = ACTIONS(2765),
    [anon_sym_LR_DQUOTE] = ACTIONS(2765),
    [anon_sym_uR_DQUOTE] = ACTIONS(2765),
    [anon_sym_UR_DQUOTE] = ACTIONS(2765),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2765),
    [anon_sym_co_await] = ACTIONS(2763),
    [anon_sym_new] = ACTIONS(2763),
    [anon_sym_requires] = ACTIONS(2763),
    [sym_this] = ACTIONS(2763),
  },
  [583] = {
    [sym_identifier] = ACTIONS(2935),
    [aux_sym_preproc_include_token1] = ACTIONS(2935),
    [aux_sym_preproc_def_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token2] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2935),
    [sym_preproc_directive] = ACTIONS(2935),
    [anon_sym_LPAREN2] = ACTIONS(2937),
    [anon_sym_BANG] = ACTIONS(2937),
    [anon_sym_TILDE] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2935),
    [anon_sym_typedef] = ACTIONS(2935),
    [anon_sym_extern] = ACTIONS(2935),
    [anon_sym___attribute__] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2937),
    [anon_sym___declspec] = ACTIONS(2935),
    [anon_sym___based] = ACTIONS(2935),
    [anon_sym___cdecl] = ACTIONS(2935),
    [anon_sym___clrcall] = ACTIONS(2935),
    [anon_sym___stdcall] = ACTIONS(2935),
    [anon_sym___fastcall] = ACTIONS(2935),
    [anon_sym___thiscall] = ACTIONS(2935),
    [anon_sym___vectorcall] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2935),
    [anon_sym_unsigned] = ACTIONS(2935),
    [anon_sym_long] = ACTIONS(2935),
    [anon_sym_short] = ACTIONS(2935),
    [anon_sym_LBRACK] = ACTIONS(2935),
    [anon_sym_static] = ACTIONS(2935),
    [anon_sym_register] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym___inline] = ACTIONS(2935),
    [anon_sym___inline__] = ACTIONS(2935),
    [anon_sym___forceinline] = ACTIONS(2935),
    [anon_sym_thread_local] = ACTIONS(2935),
    [anon_sym___thread] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_constexpr] = ACTIONS(2935),
    [anon_sym_volatile] = ACTIONS(2935),
    [anon_sym_restrict] = ACTIONS(2935),
    [anon_sym___restrict__] = ACTIONS(2935),
    [anon_sym__Atomic] = ACTIONS(2935),
    [anon_sym__Noreturn] = ACTIONS(2935),
    [anon_sym_noreturn] = ACTIONS(2935),
    [anon_sym_mutable] = ACTIONS(2935),
    [anon_sym_constinit] = ACTIONS(2935),
    [anon_sym_consteval] = ACTIONS(2935),
    [anon_sym_alignas] = ACTIONS(2935),
    [anon_sym__Alignas] = ACTIONS(2935),
    [sym_primitive_type] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_struct] = ACTIONS(2935),
    [anon_sym_union] = ACTIONS(2935),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_do] = ACTIONS(2935),
    [anon_sym_for] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_break] = ACTIONS(2935),
    [anon_sym_continue] = ACTIONS(2935),
    [anon_sym_goto] = ACTIONS(2935),
    [anon_sym___try] = ACTIONS(2935),
    [anon_sym___leave] = ACTIONS(2935),
    [anon_sym_not] = ACTIONS(2935),
    [anon_sym_compl] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_sizeof] = ACTIONS(2935),
    [anon_sym___alignof__] = ACTIONS(2935),
    [anon_sym___alignof] = ACTIONS(2935),
    [anon_sym__alignof] = ACTIONS(2935),
    [anon_sym_alignof] = ACTIONS(2935),
    [anon_sym__Alignof] = ACTIONS(2935),
    [anon_sym_offsetof] = ACTIONS(2935),
    [anon_sym__Generic] = ACTIONS(2935),
    [anon_sym_asm] = ACTIONS(2935),
    [anon_sym___asm__] = ACTIONS(2935),
    [sym_number_literal] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2937),
    [anon_sym_u_SQUOTE] = ACTIONS(2937),
    [anon_sym_U_SQUOTE] = ACTIONS(2937),
    [anon_sym_u8_SQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [anon_sym_L_DQUOTE] = ACTIONS(2937),
    [anon_sym_u_DQUOTE] = ACTIONS(2937),
    [anon_sym_U_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8_DQUOTE] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [sym_true] = ACTIONS(2935),
    [sym_false] = ACTIONS(2935),
    [anon_sym_NULL] = ACTIONS(2935),
    [anon_sym_nullptr] = ACTIONS(2935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2935),
    [anon_sym_decltype] = ACTIONS(2935),
    [sym_virtual] = ACTIONS(2935),
    [anon_sym_explicit] = ACTIONS(2935),
    [anon_sym_typename] = ACTIONS(2935),
    [anon_sym_template] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_delete] = ACTIONS(2935),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_namespace] = ACTIONS(2935),
    [anon_sym_using] = ACTIONS(2935),
    [anon_sym_static_assert] = ACTIONS(2935),
    [anon_sym_concept] = ACTIONS(2935),
    [anon_sym_co_return] = ACTIONS(2935),
    [anon_sym_co_yield] = ACTIONS(2935),
    [anon_sym_R_DQUOTE] = ACTIONS(2937),
    [anon_sym_LR_DQUOTE] = ACTIONS(2937),
    [anon_sym_uR_DQUOTE] = ACTIONS(2937),
    [anon_sym_UR_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2937),
    [anon_sym_co_await] = ACTIONS(2935),
    [anon_sym_new] = ACTIONS(2935),
    [anon_sym_requires] = ACTIONS(2935),
    [sym_this] = ACTIONS(2935),
  },
  [584] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [585] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym___leave] = ACTIONS(2812),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_compl] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
    [anon_sym_concept] = ACTIONS(2812),
    [anon_sym_co_return] = ACTIONS(2812),
    [anon_sym_co_yield] = ACTIONS(2812),
    [anon_sym_R_DQUOTE] = ACTIONS(2814),
    [anon_sym_LR_DQUOTE] = ACTIONS(2814),
    [anon_sym_uR_DQUOTE] = ACTIONS(2814),
    [anon_sym_UR_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2814),
    [anon_sym_co_await] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_requires] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
  },
  [586] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [sym_virtual] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [587] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym___leave] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [588] = {
    [sym_identifier] = ACTIONS(2767),
    [aux_sym_preproc_include_token1] = ACTIONS(2767),
    [aux_sym_preproc_def_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(2767),
    [anon_sym_LPAREN2] = ACTIONS(2769),
    [anon_sym_BANG] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_SEMI] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2767),
    [anon_sym_typedef] = ACTIONS(2767),
    [anon_sym_extern] = ACTIONS(2767),
    [anon_sym___attribute__] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2769),
    [anon_sym___declspec] = ACTIONS(2767),
    [anon_sym___based] = ACTIONS(2767),
    [anon_sym___cdecl] = ACTIONS(2767),
    [anon_sym___clrcall] = ACTIONS(2767),
    [anon_sym___stdcall] = ACTIONS(2767),
    [anon_sym___fastcall] = ACTIONS(2767),
    [anon_sym___thiscall] = ACTIONS(2767),
    [anon_sym___vectorcall] = ACTIONS(2767),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_RBRACE] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2767),
    [anon_sym_unsigned] = ACTIONS(2767),
    [anon_sym_long] = ACTIONS(2767),
    [anon_sym_short] = ACTIONS(2767),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2767),
    [anon_sym_register] = ACTIONS(2767),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym___inline] = ACTIONS(2767),
    [anon_sym___inline__] = ACTIONS(2767),
    [anon_sym___forceinline] = ACTIONS(2767),
    [anon_sym_thread_local] = ACTIONS(2767),
    [anon_sym___thread] = ACTIONS(2767),
    [anon_sym_const] = ACTIONS(2767),
    [anon_sym_constexpr] = ACTIONS(2767),
    [anon_sym_volatile] = ACTIONS(2767),
    [anon_sym_restrict] = ACTIONS(2767),
    [anon_sym___restrict__] = ACTIONS(2767),
    [anon_sym__Atomic] = ACTIONS(2767),
    [anon_sym__Noreturn] = ACTIONS(2767),
    [anon_sym_noreturn] = ACTIONS(2767),
    [anon_sym_mutable] = ACTIONS(2767),
    [anon_sym_constinit] = ACTIONS(2767),
    [anon_sym_consteval] = ACTIONS(2767),
    [anon_sym_alignas] = ACTIONS(2767),
    [anon_sym__Alignas] = ACTIONS(2767),
    [sym_primitive_type] = ACTIONS(2767),
    [anon_sym_enum] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2767),
    [anon_sym_struct] = ACTIONS(2767),
    [anon_sym_union] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2767),
    [anon_sym_switch] = ACTIONS(2767),
    [anon_sym_case] = ACTIONS(2767),
    [anon_sym_default] = ACTIONS(2767),
    [anon_sym_while] = ACTIONS(2767),
    [anon_sym_do] = ACTIONS(2767),
    [anon_sym_for] = ACTIONS(2767),
    [anon_sym_return] = ACTIONS(2767),
    [anon_sym_break] = ACTIONS(2767),
    [anon_sym_continue] = ACTIONS(2767),
    [anon_sym_goto] = ACTIONS(2767),
    [anon_sym___try] = ACTIONS(2767),
    [anon_sym___leave] = ACTIONS(2767),
    [anon_sym_not] = ACTIONS(2767),
    [anon_sym_compl] = ACTIONS(2767),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_sizeof] = ACTIONS(2767),
    [anon_sym___alignof__] = ACTIONS(2767),
    [anon_sym___alignof] = ACTIONS(2767),
    [anon_sym__alignof] = ACTIONS(2767),
    [anon_sym_alignof] = ACTIONS(2767),
    [anon_sym__Alignof] = ACTIONS(2767),
    [anon_sym_offsetof] = ACTIONS(2767),
    [anon_sym__Generic] = ACTIONS(2767),
    [anon_sym_asm] = ACTIONS(2767),
    [anon_sym___asm__] = ACTIONS(2767),
    [sym_number_literal] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2769),
    [anon_sym_u_SQUOTE] = ACTIONS(2769),
    [anon_sym_U_SQUOTE] = ACTIONS(2769),
    [anon_sym_u8_SQUOTE] = ACTIONS(2769),
    [anon_sym_SQUOTE] = ACTIONS(2769),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2767),
    [sym_false] = ACTIONS(2767),
    [anon_sym_NULL] = ACTIONS(2767),
    [anon_sym_nullptr] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2767),
    [anon_sym_decltype] = ACTIONS(2767),
    [sym_virtual] = ACTIONS(2767),
    [anon_sym_explicit] = ACTIONS(2767),
    [anon_sym_typename] = ACTIONS(2767),
    [anon_sym_template] = ACTIONS(2767),
    [anon_sym_operator] = ACTIONS(2767),
    [anon_sym_try] = ACTIONS(2767),
    [anon_sym_delete] = ACTIONS(2767),
    [anon_sym_throw] = ACTIONS(2767),
    [anon_sym_namespace] = ACTIONS(2767),
    [anon_sym_using] = ACTIONS(2767),
    [anon_sym_static_assert] = ACTIONS(2767),
    [anon_sym_concept] = ACTIONS(2767),
    [anon_sym_co_return] = ACTIONS(2767),
    [anon_sym_co_yield] = ACTIONS(2767),
    [anon_sym_R_DQUOTE] = ACTIONS(2769),
    [anon_sym_LR_DQUOTE] = ACTIONS(2769),
    [anon_sym_uR_DQUOTE] = ACTIONS(2769),
    [anon_sym_UR_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2769),
    [anon_sym_co_await] = ACTIONS(2767),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_requires] = ACTIONS(2767),
    [sym_this] = ACTIONS(2767),
  },
  [589] = {
    [sym_identifier] = ACTIONS(2736),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token2] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2736),
    [sym_preproc_directive] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2738),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym___based] = ACTIONS(2736),
    [anon_sym___cdecl] = ACTIONS(2736),
    [anon_sym___clrcall] = ACTIONS(2736),
    [anon_sym___stdcall] = ACTIONS(2736),
    [anon_sym___fastcall] = ACTIONS(2736),
    [anon_sym___thiscall] = ACTIONS(2736),
    [anon_sym___vectorcall] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [sym_primitive_type] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2736),
    [anon_sym___leave] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [sym_number_literal] = ACTIONS(2738),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [sym_virtual] = ACTIONS(2736),
    [anon_sym_explicit] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_operator] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_static_assert] = ACTIONS(2736),
    [anon_sym_concept] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [590] = {
    [sym_identifier] = ACTIONS(2692),
    [aux_sym_preproc_include_token1] = ACTIONS(2692),
    [aux_sym_preproc_def_token1] = ACTIONS(2692),
    [aux_sym_preproc_if_token1] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2692),
    [sym_preproc_directive] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_TILDE] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_typedef] = ACTIONS(2692),
    [anon_sym_extern] = ACTIONS(2692),
    [anon_sym___attribute__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2694),
    [anon_sym___declspec] = ACTIONS(2692),
    [anon_sym___based] = ACTIONS(2692),
    [anon_sym___cdecl] = ACTIONS(2692),
    [anon_sym___clrcall] = ACTIONS(2692),
    [anon_sym___stdcall] = ACTIONS(2692),
    [anon_sym___fastcall] = ACTIONS(2692),
    [anon_sym___thiscall] = ACTIONS(2692),
    [anon_sym___vectorcall] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(2694),
    [anon_sym_RBRACE] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(2692),
    [anon_sym_unsigned] = ACTIONS(2692),
    [anon_sym_long] = ACTIONS(2692),
    [anon_sym_short] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(2692),
    [anon_sym_register] = ACTIONS(2692),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym___inline] = ACTIONS(2692),
    [anon_sym___inline__] = ACTIONS(2692),
    [anon_sym___forceinline] = ACTIONS(2692),
    [anon_sym_thread_local] = ACTIONS(2692),
    [anon_sym___thread] = ACTIONS(2692),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2692),
    [anon_sym__Alignas] = ACTIONS(2692),
    [sym_primitive_type] = ACTIONS(2692),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2692),
    [anon_sym_struct] = ACTIONS(2692),
    [anon_sym_union] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_case] = ACTIONS(2692),
    [anon_sym_default] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_break] = ACTIONS(2692),
    [anon_sym_continue] = ACTIONS(2692),
    [anon_sym_goto] = ACTIONS(2692),
    [anon_sym___try] = ACTIONS(2692),
    [anon_sym___leave] = ACTIONS(2692),
    [anon_sym_not] = ACTIONS(2692),
    [anon_sym_compl] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2694),
    [anon_sym_sizeof] = ACTIONS(2692),
    [anon_sym___alignof__] = ACTIONS(2692),
    [anon_sym___alignof] = ACTIONS(2692),
    [anon_sym__alignof] = ACTIONS(2692),
    [anon_sym_alignof] = ACTIONS(2692),
    [anon_sym__Alignof] = ACTIONS(2692),
    [anon_sym_offsetof] = ACTIONS(2692),
    [anon_sym__Generic] = ACTIONS(2692),
    [anon_sym_asm] = ACTIONS(2692),
    [anon_sym___asm__] = ACTIONS(2692),
    [sym_number_literal] = ACTIONS(2694),
    [anon_sym_L_SQUOTE] = ACTIONS(2694),
    [anon_sym_u_SQUOTE] = ACTIONS(2694),
    [anon_sym_U_SQUOTE] = ACTIONS(2694),
    [anon_sym_u8_SQUOTE] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_L_DQUOTE] = ACTIONS(2694),
    [anon_sym_u_DQUOTE] = ACTIONS(2694),
    [anon_sym_U_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2694),
    [sym_true] = ACTIONS(2692),
    [sym_false] = ACTIONS(2692),
    [anon_sym_NULL] = ACTIONS(2692),
    [anon_sym_nullptr] = ACTIONS(2692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2692),
    [anon_sym_decltype] = ACTIONS(2692),
    [sym_virtual] = ACTIONS(2692),
    [anon_sym_explicit] = ACTIONS(2692),
    [anon_sym_typename] = ACTIONS(2692),
    [anon_sym_template] = ACTIONS(2692),
    [anon_sym_operator] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_delete] = ACTIONS(2692),
    [anon_sym_throw] = ACTIONS(2692),
    [anon_sym_namespace] = ACTIONS(2692),
    [anon_sym_using] = ACTIONS(2692),
    [anon_sym_static_assert] = ACTIONS(2692),
    [anon_sym_concept] = ACTIONS(2692),
    [anon_sym_co_return] = ACTIONS(2692),
    [anon_sym_co_yield] = ACTIONS(2692),
    [anon_sym_R_DQUOTE] = ACTIONS(2694),
    [anon_sym_LR_DQUOTE] = ACTIONS(2694),
    [anon_sym_uR_DQUOTE] = ACTIONS(2694),
    [anon_sym_UR_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2694),
    [anon_sym_co_await] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_requires] = ACTIONS(2692),
    [sym_this] = ACTIONS(2692),
  },
  [591] = {
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_include_token1] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token2] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym___cdecl] = ACTIONS(2748),
    [anon_sym___clrcall] = ACTIONS(2748),
    [anon_sym___stdcall] = ACTIONS(2748),
    [anon_sym___fastcall] = ACTIONS(2748),
    [anon_sym___thiscall] = ACTIONS(2748),
    [anon_sym___vectorcall] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_case] = ACTIONS(2748),
    [anon_sym_default] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_goto] = ACTIONS(2748),
    [anon_sym___try] = ACTIONS(2748),
    [anon_sym___leave] = ACTIONS(2748),
    [anon_sym_not] = ACTIONS(2748),
    [anon_sym_compl] = ACTIONS(2748),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_sizeof] = ACTIONS(2748),
    [anon_sym___alignof__] = ACTIONS(2748),
    [anon_sym___alignof] = ACTIONS(2748),
    [anon_sym__alignof] = ACTIONS(2748),
    [anon_sym_alignof] = ACTIONS(2748),
    [anon_sym__Alignof] = ACTIONS(2748),
    [anon_sym_offsetof] = ACTIONS(2748),
    [anon_sym__Generic] = ACTIONS(2748),
    [anon_sym_asm] = ACTIONS(2748),
    [anon_sym___asm__] = ACTIONS(2748),
    [sym_number_literal] = ACTIONS(2750),
    [anon_sym_L_SQUOTE] = ACTIONS(2750),
    [anon_sym_u_SQUOTE] = ACTIONS(2750),
    [anon_sym_U_SQUOTE] = ACTIONS(2750),
    [anon_sym_u8_SQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [anon_sym_L_DQUOTE] = ACTIONS(2750),
    [anon_sym_u_DQUOTE] = ACTIONS(2750),
    [anon_sym_U_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8_DQUOTE] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [anon_sym_NULL] = ACTIONS(2748),
    [anon_sym_nullptr] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [sym_virtual] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_namespace] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
    [anon_sym_concept] = ACTIONS(2748),
    [anon_sym_co_return] = ACTIONS(2748),
    [anon_sym_co_yield] = ACTIONS(2748),
    [anon_sym_R_DQUOTE] = ACTIONS(2750),
    [anon_sym_LR_DQUOTE] = ACTIONS(2750),
    [anon_sym_uR_DQUOTE] = ACTIONS(2750),
    [anon_sym_UR_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2750),
    [anon_sym_co_await] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_requires] = ACTIONS(2748),
    [sym_this] = ACTIONS(2748),
  },
  [592] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [sym_virtual] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2712),
    [aux_sym_preproc_include_token1] = ACTIONS(2712),
    [aux_sym_preproc_def_token1] = ACTIONS(2712),
    [aux_sym_preproc_if_token1] = ACTIONS(2712),
    [aux_sym_preproc_if_token2] = ACTIONS(2712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2712),
    [sym_preproc_directive] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_TILDE] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_AMP_AMP] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2714),
    [anon_sym___extension__] = ACTIONS(2712),
    [anon_sym_typedef] = ACTIONS(2712),
    [anon_sym_extern] = ACTIONS(2712),
    [anon_sym___attribute__] = ACTIONS(2712),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2714),
    [anon_sym___declspec] = ACTIONS(2712),
    [anon_sym___based] = ACTIONS(2712),
    [anon_sym___cdecl] = ACTIONS(2712),
    [anon_sym___clrcall] = ACTIONS(2712),
    [anon_sym___stdcall] = ACTIONS(2712),
    [anon_sym___fastcall] = ACTIONS(2712),
    [anon_sym___thiscall] = ACTIONS(2712),
    [anon_sym___vectorcall] = ACTIONS(2712),
    [anon_sym_LBRACE] = ACTIONS(2714),
    [anon_sym_signed] = ACTIONS(2712),
    [anon_sym_unsigned] = ACTIONS(2712),
    [anon_sym_long] = ACTIONS(2712),
    [anon_sym_short] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_static] = ACTIONS(2712),
    [anon_sym_register] = ACTIONS(2712),
    [anon_sym_inline] = ACTIONS(2712),
    [anon_sym___inline] = ACTIONS(2712),
    [anon_sym___inline__] = ACTIONS(2712),
    [anon_sym___forceinline] = ACTIONS(2712),
    [anon_sym_thread_local] = ACTIONS(2712),
    [anon_sym___thread] = ACTIONS(2712),
    [anon_sym_const] = ACTIONS(2712),
    [anon_sym_constexpr] = ACTIONS(2712),
    [anon_sym_volatile] = ACTIONS(2712),
    [anon_sym_restrict] = ACTIONS(2712),
    [anon_sym___restrict__] = ACTIONS(2712),
    [anon_sym__Atomic] = ACTIONS(2712),
    [anon_sym__Noreturn] = ACTIONS(2712),
    [anon_sym_noreturn] = ACTIONS(2712),
    [anon_sym_mutable] = ACTIONS(2712),
    [anon_sym_constinit] = ACTIONS(2712),
    [anon_sym_consteval] = ACTIONS(2712),
    [anon_sym_alignas] = ACTIONS(2712),
    [anon_sym__Alignas] = ACTIONS(2712),
    [sym_primitive_type] = ACTIONS(2712),
    [anon_sym_enum] = ACTIONS(2712),
    [anon_sym_class] = ACTIONS(2712),
    [anon_sym_struct] = ACTIONS(2712),
    [anon_sym_union] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_case] = ACTIONS(2712),
    [anon_sym_default] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_break] = ACTIONS(2712),
    [anon_sym_continue] = ACTIONS(2712),
    [anon_sym_goto] = ACTIONS(2712),
    [anon_sym___try] = ACTIONS(2712),
    [anon_sym___leave] = ACTIONS(2712),
    [anon_sym_not] = ACTIONS(2712),
    [anon_sym_compl] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2714),
    [anon_sym_sizeof] = ACTIONS(2712),
    [anon_sym___alignof__] = ACTIONS(2712),
    [anon_sym___alignof] = ACTIONS(2712),
    [anon_sym__alignof] = ACTIONS(2712),
    [anon_sym_alignof] = ACTIONS(2712),
    [anon_sym__Alignof] = ACTIONS(2712),
    [anon_sym_offsetof] = ACTIONS(2712),
    [anon_sym__Generic] = ACTIONS(2712),
    [anon_sym_asm] = ACTIONS(2712),
    [anon_sym___asm__] = ACTIONS(2712),
    [sym_number_literal] = ACTIONS(2714),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2714),
    [anon_sym_u_DQUOTE] = ACTIONS(2714),
    [anon_sym_U_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2714),
    [sym_true] = ACTIONS(2712),
    [sym_false] = ACTIONS(2712),
    [anon_sym_NULL] = ACTIONS(2712),
    [anon_sym_nullptr] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2712),
    [anon_sym_decltype] = ACTIONS(2712),
    [sym_virtual] = ACTIONS(2712),
    [anon_sym_explicit] = ACTIONS(2712),
    [anon_sym_typename] = ACTIONS(2712),
    [anon_sym_template] = ACTIONS(2712),
    [anon_sym_operator] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_delete] = ACTIONS(2712),
    [anon_sym_throw] = ACTIONS(2712),
    [anon_sym_namespace] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2712),
    [anon_sym_static_assert] = ACTIONS(2712),
    [anon_sym_concept] = ACTIONS(2712),
    [anon_sym_co_return] = ACTIONS(2712),
    [anon_sym_co_yield] = ACTIONS(2712),
    [anon_sym_R_DQUOTE] = ACTIONS(2714),
    [anon_sym_LR_DQUOTE] = ACTIONS(2714),
    [anon_sym_uR_DQUOTE] = ACTIONS(2714),
    [anon_sym_UR_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2714),
    [anon_sym_co_await] = ACTIONS(2712),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_requires] = ACTIONS(2712),
    [sym_this] = ACTIONS(2712),
  },
  [594] = {
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token2] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2761),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym___cdecl] = ACTIONS(2759),
    [anon_sym___clrcall] = ACTIONS(2759),
    [anon_sym___stdcall] = ACTIONS(2759),
    [anon_sym___fastcall] = ACTIONS(2759),
    [anon_sym___thiscall] = ACTIONS(2759),
    [anon_sym___vectorcall] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym__Alignas] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_switch] = ACTIONS(2759),
    [anon_sym_case] = ACTIONS(2759),
    [anon_sym_default] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(2759),
    [anon_sym_do] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2759),
    [anon_sym_return] = ACTIONS(2759),
    [anon_sym_break] = ACTIONS(2759),
    [anon_sym_continue] = ACTIONS(2759),
    [anon_sym_goto] = ACTIONS(2759),
    [anon_sym___try] = ACTIONS(2759),
    [anon_sym___leave] = ACTIONS(2759),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_compl] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_sizeof] = ACTIONS(2759),
    [anon_sym___alignof__] = ACTIONS(2759),
    [anon_sym___alignof] = ACTIONS(2759),
    [anon_sym__alignof] = ACTIONS(2759),
    [anon_sym_alignof] = ACTIONS(2759),
    [anon_sym__Alignof] = ACTIONS(2759),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2759),
    [anon_sym_asm] = ACTIONS(2759),
    [anon_sym___asm__] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2761),
    [anon_sym_u_SQUOTE] = ACTIONS(2761),
    [anon_sym_U_SQUOTE] = ACTIONS(2761),
    [anon_sym_u8_SQUOTE] = ACTIONS(2761),
    [anon_sym_SQUOTE] = ACTIONS(2761),
    [anon_sym_L_DQUOTE] = ACTIONS(2761),
    [anon_sym_u_DQUOTE] = ACTIONS(2761),
    [anon_sym_U_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_true] = ACTIONS(2759),
    [sym_false] = ACTIONS(2759),
    [anon_sym_NULL] = ACTIONS(2759),
    [anon_sym_nullptr] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [sym_virtual] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_try] = ACTIONS(2759),
    [anon_sym_delete] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2759),
    [anon_sym_namespace] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_concept] = ACTIONS(2759),
    [anon_sym_co_return] = ACTIONS(2759),
    [anon_sym_co_yield] = ACTIONS(2759),
    [anon_sym_R_DQUOTE] = ACTIONS(2761),
    [anon_sym_LR_DQUOTE] = ACTIONS(2761),
    [anon_sym_uR_DQUOTE] = ACTIONS(2761),
    [anon_sym_UR_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2761),
    [anon_sym_co_await] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_requires] = ACTIONS(2759),
    [sym_this] = ACTIONS(2759),
  },
  [595] = {
    [sym_identifier] = ACTIONS(2787),
    [aux_sym_preproc_include_token1] = ACTIONS(2787),
    [aux_sym_preproc_def_token1] = ACTIONS(2787),
    [aux_sym_preproc_if_token1] = ACTIONS(2787),
    [aux_sym_preproc_if_token2] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2787),
    [sym_preproc_directive] = ACTIONS(2787),
    [anon_sym_LPAREN2] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym___extension__] = ACTIONS(2787),
    [anon_sym_typedef] = ACTIONS(2787),
    [anon_sym_extern] = ACTIONS(2787),
    [anon_sym___attribute__] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2789),
    [anon_sym___declspec] = ACTIONS(2787),
    [anon_sym___based] = ACTIONS(2787),
    [anon_sym___cdecl] = ACTIONS(2787),
    [anon_sym___clrcall] = ACTIONS(2787),
    [anon_sym___stdcall] = ACTIONS(2787),
    [anon_sym___fastcall] = ACTIONS(2787),
    [anon_sym___thiscall] = ACTIONS(2787),
    [anon_sym___vectorcall] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_signed] = ACTIONS(2787),
    [anon_sym_unsigned] = ACTIONS(2787),
    [anon_sym_long] = ACTIONS(2787),
    [anon_sym_short] = ACTIONS(2787),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_static] = ACTIONS(2787),
    [anon_sym_register] = ACTIONS(2787),
    [anon_sym_inline] = ACTIONS(2787),
    [anon_sym___inline] = ACTIONS(2787),
    [anon_sym___inline__] = ACTIONS(2787),
    [anon_sym___forceinline] = ACTIONS(2787),
    [anon_sym_thread_local] = ACTIONS(2787),
    [anon_sym___thread] = ACTIONS(2787),
    [anon_sym_const] = ACTIONS(2787),
    [anon_sym_constexpr] = ACTIONS(2787),
    [anon_sym_volatile] = ACTIONS(2787),
    [anon_sym_restrict] = ACTIONS(2787),
    [anon_sym___restrict__] = ACTIONS(2787),
    [anon_sym__Atomic] = ACTIONS(2787),
    [anon_sym__Noreturn] = ACTIONS(2787),
    [anon_sym_noreturn] = ACTIONS(2787),
    [anon_sym_mutable] = ACTIONS(2787),
    [anon_sym_constinit] = ACTIONS(2787),
    [anon_sym_consteval] = ACTIONS(2787),
    [anon_sym_alignas] = ACTIONS(2787),
    [anon_sym__Alignas] = ACTIONS(2787),
    [sym_primitive_type] = ACTIONS(2787),
    [anon_sym_enum] = ACTIONS(2787),
    [anon_sym_class] = ACTIONS(2787),
    [anon_sym_struct] = ACTIONS(2787),
    [anon_sym_union] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_switch] = ACTIONS(2787),
    [anon_sym_case] = ACTIONS(2787),
    [anon_sym_default] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_return] = ACTIONS(2787),
    [anon_sym_break] = ACTIONS(2787),
    [anon_sym_continue] = ACTIONS(2787),
    [anon_sym_goto] = ACTIONS(2787),
    [anon_sym___try] = ACTIONS(2787),
    [anon_sym___leave] = ACTIONS(2787),
    [anon_sym_not] = ACTIONS(2787),
    [anon_sym_compl] = ACTIONS(2787),
    [anon_sym_DASH_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(2789),
    [anon_sym_sizeof] = ACTIONS(2787),
    [anon_sym___alignof__] = ACTIONS(2787),
    [anon_sym___alignof] = ACTIONS(2787),
    [anon_sym__alignof] = ACTIONS(2787),
    [anon_sym_alignof] = ACTIONS(2787),
    [anon_sym__Alignof] = ACTIONS(2787),
    [anon_sym_offsetof] = ACTIONS(2787),
    [anon_sym__Generic] = ACTIONS(2787),
    [anon_sym_asm] = ACTIONS(2787),
    [anon_sym___asm__] = ACTIONS(2787),
    [sym_number_literal] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2789),
    [anon_sym_u_SQUOTE] = ACTIONS(2789),
    [anon_sym_U_SQUOTE] = ACTIONS(2789),
    [anon_sym_u8_SQUOTE] = ACTIONS(2789),
    [anon_sym_SQUOTE] = ACTIONS(2789),
    [anon_sym_L_DQUOTE] = ACTIONS(2789),
    [anon_sym_u_DQUOTE] = ACTIONS(2789),
    [anon_sym_U_DQUOTE] = ACTIONS(2789),
    [anon_sym_u8_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [sym_true] = ACTIONS(2787),
    [sym_false] = ACTIONS(2787),
    [anon_sym_NULL] = ACTIONS(2787),
    [anon_sym_nullptr] = ACTIONS(2787),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2787),
    [anon_sym_decltype] = ACTIONS(2787),
    [sym_virtual] = ACTIONS(2787),
    [anon_sym_explicit] = ACTIONS(2787),
    [anon_sym_typename] = ACTIONS(2787),
    [anon_sym_template] = ACTIONS(2787),
    [anon_sym_operator] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2787),
    [anon_sym_delete] = ACTIONS(2787),
    [anon_sym_throw] = ACTIONS(2787),
    [anon_sym_namespace] = ACTIONS(2787),
    [anon_sym_using] = ACTIONS(2787),
    [anon_sym_static_assert] = ACTIONS(2787),
    [anon_sym_concept] = ACTIONS(2787),
    [anon_sym_co_return] = ACTIONS(2787),
    [anon_sym_co_yield] = ACTIONS(2787),
    [anon_sym_R_DQUOTE] = ACTIONS(2789),
    [anon_sym_LR_DQUOTE] = ACTIONS(2789),
    [anon_sym_uR_DQUOTE] = ACTIONS(2789),
    [anon_sym_UR_DQUOTE] = ACTIONS(2789),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2789),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_requires] = ACTIONS(2787),
    [sym_this] = ACTIONS(2787),
  },
  [596] = {
    [sym_identifier] = ACTIONS(2716),
    [aux_sym_preproc_include_token1] = ACTIONS(2716),
    [aux_sym_preproc_def_token1] = ACTIONS(2716),
    [aux_sym_preproc_if_token1] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2716),
    [sym_preproc_directive] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym___extension__] = ACTIONS(2716),
    [anon_sym_typedef] = ACTIONS(2716),
    [anon_sym_extern] = ACTIONS(2716),
    [anon_sym___attribute__] = ACTIONS(2716),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2718),
    [anon_sym___declspec] = ACTIONS(2716),
    [anon_sym___based] = ACTIONS(2716),
    [anon_sym___cdecl] = ACTIONS(2716),
    [anon_sym___clrcall] = ACTIONS(2716),
    [anon_sym___stdcall] = ACTIONS(2716),
    [anon_sym___fastcall] = ACTIONS(2716),
    [anon_sym___thiscall] = ACTIONS(2716),
    [anon_sym___vectorcall] = ACTIONS(2716),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_RBRACE] = ACTIONS(2718),
    [anon_sym_signed] = ACTIONS(2716),
    [anon_sym_unsigned] = ACTIONS(2716),
    [anon_sym_long] = ACTIONS(2716),
    [anon_sym_short] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_register] = ACTIONS(2716),
    [anon_sym_inline] = ACTIONS(2716),
    [anon_sym___inline] = ACTIONS(2716),
    [anon_sym___inline__] = ACTIONS(2716),
    [anon_sym___forceinline] = ACTIONS(2716),
    [anon_sym_thread_local] = ACTIONS(2716),
    [anon_sym___thread] = ACTIONS(2716),
    [anon_sym_const] = ACTIONS(2716),
    [anon_sym_constexpr] = ACTIONS(2716),
    [anon_sym_volatile] = ACTIONS(2716),
    [anon_sym_restrict] = ACTIONS(2716),
    [anon_sym___restrict__] = ACTIONS(2716),
    [anon_sym__Atomic] = ACTIONS(2716),
    [anon_sym__Noreturn] = ACTIONS(2716),
    [anon_sym_noreturn] = ACTIONS(2716),
    [anon_sym_mutable] = ACTIONS(2716),
    [anon_sym_constinit] = ACTIONS(2716),
    [anon_sym_consteval] = ACTIONS(2716),
    [anon_sym_alignas] = ACTIONS(2716),
    [anon_sym__Alignas] = ACTIONS(2716),
    [sym_primitive_type] = ACTIONS(2716),
    [anon_sym_enum] = ACTIONS(2716),
    [anon_sym_class] = ACTIONS(2716),
    [anon_sym_struct] = ACTIONS(2716),
    [anon_sym_union] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_switch] = ACTIONS(2716),
    [anon_sym_case] = ACTIONS(2716),
    [anon_sym_default] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_break] = ACTIONS(2716),
    [anon_sym_continue] = ACTIONS(2716),
    [anon_sym_goto] = ACTIONS(2716),
    [anon_sym___try] = ACTIONS(2716),
    [anon_sym___leave] = ACTIONS(2716),
    [anon_sym_not] = ACTIONS(2716),
    [anon_sym_compl] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_sizeof] = ACTIONS(2716),
    [anon_sym___alignof__] = ACTIONS(2716),
    [anon_sym___alignof] = ACTIONS(2716),
    [anon_sym__alignof] = ACTIONS(2716),
    [anon_sym_alignof] = ACTIONS(2716),
    [anon_sym__Alignof] = ACTIONS(2716),
    [anon_sym_offsetof] = ACTIONS(2716),
    [anon_sym__Generic] = ACTIONS(2716),
    [anon_sym_asm] = ACTIONS(2716),
    [anon_sym___asm__] = ACTIONS(2716),
    [sym_number_literal] = ACTIONS(2718),
    [anon_sym_L_SQUOTE] = ACTIONS(2718),
    [anon_sym_u_SQUOTE] = ACTIONS(2718),
    [anon_sym_U_SQUOTE] = ACTIONS(2718),
    [anon_sym_u8_SQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_L_DQUOTE] = ACTIONS(2718),
    [anon_sym_u_DQUOTE] = ACTIONS(2718),
    [anon_sym_U_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [anon_sym_NULL] = ACTIONS(2716),
    [anon_sym_nullptr] = ACTIONS(2716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2716),
    [anon_sym_decltype] = ACTIONS(2716),
    [sym_virtual] = ACTIONS(2716),
    [anon_sym_explicit] = ACTIONS(2716),
    [anon_sym_typename] = ACTIONS(2716),
    [anon_sym_template] = ACTIONS(2716),
    [anon_sym_operator] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_delete] = ACTIONS(2716),
    [anon_sym_throw] = ACTIONS(2716),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_using] = ACTIONS(2716),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_concept] = ACTIONS(2716),
    [anon_sym_co_return] = ACTIONS(2716),
    [anon_sym_co_yield] = ACTIONS(2716),
    [anon_sym_R_DQUOTE] = ACTIONS(2718),
    [anon_sym_LR_DQUOTE] = ACTIONS(2718),
    [anon_sym_uR_DQUOTE] = ACTIONS(2718),
    [anon_sym_UR_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2718),
    [anon_sym_co_await] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_requires] = ACTIONS(2716),
    [sym_this] = ACTIONS(2716),
  },
  [597] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym___try] = ACTIONS(2755),
    [anon_sym___leave] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
  },
  [598] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_RBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [599] = {
    [sym_identifier] = ACTIONS(2724),
    [aux_sym_preproc_include_token1] = ACTIONS(2724),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2724),
    [sym_preproc_directive] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_BANG] = ACTIONS(2726),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2726),
    [anon_sym_AMP_AMP] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2726),
    [anon_sym___extension__] = ACTIONS(2724),
    [anon_sym_typedef] = ACTIONS(2724),
    [anon_sym_extern] = ACTIONS(2724),
    [anon_sym___attribute__] = ACTIONS(2724),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2726),
    [anon_sym___declspec] = ACTIONS(2724),
    [anon_sym___based] = ACTIONS(2724),
    [anon_sym___cdecl] = ACTIONS(2724),
    [anon_sym___clrcall] = ACTIONS(2724),
    [anon_sym___stdcall] = ACTIONS(2724),
    [anon_sym___fastcall] = ACTIONS(2724),
    [anon_sym___thiscall] = ACTIONS(2724),
    [anon_sym___vectorcall] = ACTIONS(2724),
    [anon_sym_LBRACE] = ACTIONS(2726),
    [anon_sym_RBRACE] = ACTIONS(2726),
    [anon_sym_signed] = ACTIONS(2724),
    [anon_sym_unsigned] = ACTIONS(2724),
    [anon_sym_long] = ACTIONS(2724),
    [anon_sym_short] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_static] = ACTIONS(2724),
    [anon_sym_register] = ACTIONS(2724),
    [anon_sym_inline] = ACTIONS(2724),
    [anon_sym___inline] = ACTIONS(2724),
    [anon_sym___inline__] = ACTIONS(2724),
    [anon_sym___forceinline] = ACTIONS(2724),
    [anon_sym_thread_local] = ACTIONS(2724),
    [anon_sym___thread] = ACTIONS(2724),
    [anon_sym_const] = ACTIONS(2724),
    [anon_sym_constexpr] = ACTIONS(2724),
    [anon_sym_volatile] = ACTIONS(2724),
    [anon_sym_restrict] = ACTIONS(2724),
    [anon_sym___restrict__] = ACTIONS(2724),
    [anon_sym__Atomic] = ACTIONS(2724),
    [anon_sym__Noreturn] = ACTIONS(2724),
    [anon_sym_noreturn] = ACTIONS(2724),
    [anon_sym_mutable] = ACTIONS(2724),
    [anon_sym_constinit] = ACTIONS(2724),
    [anon_sym_consteval] = ACTIONS(2724),
    [anon_sym_alignas] = ACTIONS(2724),
    [anon_sym__Alignas] = ACTIONS(2724),
    [sym_primitive_type] = ACTIONS(2724),
    [anon_sym_enum] = ACTIONS(2724),
    [anon_sym_class] = ACTIONS(2724),
    [anon_sym_struct] = ACTIONS(2724),
    [anon_sym_union] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_switch] = ACTIONS(2724),
    [anon_sym_case] = ACTIONS(2724),
    [anon_sym_default] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_break] = ACTIONS(2724),
    [anon_sym_continue] = ACTIONS(2724),
    [anon_sym_goto] = ACTIONS(2724),
    [anon_sym___try] = ACTIONS(2724),
    [anon_sym___leave] = ACTIONS(2724),
    [anon_sym_not] = ACTIONS(2724),
    [anon_sym_compl] = ACTIONS(2724),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_sizeof] = ACTIONS(2724),
    [anon_sym___alignof__] = ACTIONS(2724),
    [anon_sym___alignof] = ACTIONS(2724),
    [anon_sym__alignof] = ACTIONS(2724),
    [anon_sym_alignof] = ACTIONS(2724),
    [anon_sym__Alignof] = ACTIONS(2724),
    [anon_sym_offsetof] = ACTIONS(2724),
    [anon_sym__Generic] = ACTIONS(2724),
    [anon_sym_asm] = ACTIONS(2724),
    [anon_sym___asm__] = ACTIONS(2724),
    [sym_number_literal] = ACTIONS(2726),
    [anon_sym_L_SQUOTE] = ACTIONS(2726),
    [anon_sym_u_SQUOTE] = ACTIONS(2726),
    [anon_sym_U_SQUOTE] = ACTIONS(2726),
    [anon_sym_u8_SQUOTE] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_L_DQUOTE] = ACTIONS(2726),
    [anon_sym_u_DQUOTE] = ACTIONS(2726),
    [anon_sym_U_DQUOTE] = ACTIONS(2726),
    [anon_sym_u8_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2726),
    [sym_true] = ACTIONS(2724),
    [sym_false] = ACTIONS(2724),
    [anon_sym_NULL] = ACTIONS(2724),
    [anon_sym_nullptr] = ACTIONS(2724),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2724),
    [anon_sym_decltype] = ACTIONS(2724),
    [sym_virtual] = ACTIONS(2724),
    [anon_sym_explicit] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2724),
    [anon_sym_template] = ACTIONS(2724),
    [anon_sym_operator] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_delete] = ACTIONS(2724),
    [anon_sym_throw] = ACTIONS(2724),
    [anon_sym_namespace] = ACTIONS(2724),
    [anon_sym_using] = ACTIONS(2724),
    [anon_sym_static_assert] = ACTIONS(2724),
    [anon_sym_concept] = ACTIONS(2724),
    [anon_sym_co_return] = ACTIONS(2724),
    [anon_sym_co_yield] = ACTIONS(2724),
    [anon_sym_R_DQUOTE] = ACTIONS(2726),
    [anon_sym_LR_DQUOTE] = ACTIONS(2726),
    [anon_sym_uR_DQUOTE] = ACTIONS(2726),
    [anon_sym_UR_DQUOTE] = ACTIONS(2726),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2726),
    [anon_sym_co_await] = ACTIONS(2724),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_requires] = ACTIONS(2724),
    [sym_this] = ACTIONS(2724),
  },
  [600] = {
    [sym_identifier] = ACTIONS(2728),
    [aux_sym_preproc_include_token1] = ACTIONS(2728),
    [aux_sym_preproc_def_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym___extension__] = ACTIONS(2728),
    [anon_sym_typedef] = ACTIONS(2728),
    [anon_sym_extern] = ACTIONS(2728),
    [anon_sym___attribute__] = ACTIONS(2728),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2730),
    [anon_sym___declspec] = ACTIONS(2728),
    [anon_sym___based] = ACTIONS(2728),
    [anon_sym___cdecl] = ACTIONS(2728),
    [anon_sym___clrcall] = ACTIONS(2728),
    [anon_sym___stdcall] = ACTIONS(2728),
    [anon_sym___fastcall] = ACTIONS(2728),
    [anon_sym___thiscall] = ACTIONS(2728),
    [anon_sym___vectorcall] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [anon_sym_signed] = ACTIONS(2728),
    [anon_sym_unsigned] = ACTIONS(2728),
    [anon_sym_long] = ACTIONS(2728),
    [anon_sym_short] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_register] = ACTIONS(2728),
    [anon_sym_inline] = ACTIONS(2728),
    [anon_sym___inline] = ACTIONS(2728),
    [anon_sym___inline__] = ACTIONS(2728),
    [anon_sym___forceinline] = ACTIONS(2728),
    [anon_sym_thread_local] = ACTIONS(2728),
    [anon_sym___thread] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_constexpr] = ACTIONS(2728),
    [anon_sym_volatile] = ACTIONS(2728),
    [anon_sym_restrict] = ACTIONS(2728),
    [anon_sym___restrict__] = ACTIONS(2728),
    [anon_sym__Atomic] = ACTIONS(2728),
    [anon_sym__Noreturn] = ACTIONS(2728),
    [anon_sym_noreturn] = ACTIONS(2728),
    [anon_sym_mutable] = ACTIONS(2728),
    [anon_sym_constinit] = ACTIONS(2728),
    [anon_sym_consteval] = ACTIONS(2728),
    [anon_sym_alignas] = ACTIONS(2728),
    [anon_sym__Alignas] = ACTIONS(2728),
    [sym_primitive_type] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_struct] = ACTIONS(2728),
    [anon_sym_union] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_case] = ACTIONS(2728),
    [anon_sym_default] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_goto] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2728),
    [anon_sym___leave] = ACTIONS(2728),
    [anon_sym_not] = ACTIONS(2728),
    [anon_sym_compl] = ACTIONS(2728),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_sizeof] = ACTIONS(2728),
    [anon_sym___alignof__] = ACTIONS(2728),
    [anon_sym___alignof] = ACTIONS(2728),
    [anon_sym__alignof] = ACTIONS(2728),
    [anon_sym_alignof] = ACTIONS(2728),
    [anon_sym__Alignof] = ACTIONS(2728),
    [anon_sym_offsetof] = ACTIONS(2728),
    [anon_sym__Generic] = ACTIONS(2728),
    [anon_sym_asm] = ACTIONS(2728),
    [anon_sym___asm__] = ACTIONS(2728),
    [sym_number_literal] = ACTIONS(2730),
    [anon_sym_L_SQUOTE] = ACTIONS(2730),
    [anon_sym_u_SQUOTE] = ACTIONS(2730),
    [anon_sym_U_SQUOTE] = ACTIONS(2730),
    [anon_sym_u8_SQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_L_DQUOTE] = ACTIONS(2730),
    [anon_sym_u_DQUOTE] = ACTIONS(2730),
    [anon_sym_U_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [anon_sym_NULL] = ACTIONS(2728),
    [anon_sym_nullptr] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2728),
    [anon_sym_decltype] = ACTIONS(2728),
    [sym_virtual] = ACTIONS(2728),
    [anon_sym_explicit] = ACTIONS(2728),
    [anon_sym_typename] = ACTIONS(2728),
    [anon_sym_template] = ACTIONS(2728),
    [anon_sym_operator] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_static_assert] = ACTIONS(2728),
    [anon_sym_concept] = ACTIONS(2728),
    [anon_sym_co_return] = ACTIONS(2728),
    [anon_sym_co_yield] = ACTIONS(2728),
    [anon_sym_R_DQUOTE] = ACTIONS(2730),
    [anon_sym_LR_DQUOTE] = ACTIONS(2730),
    [anon_sym_uR_DQUOTE] = ACTIONS(2730),
    [anon_sym_UR_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2730),
    [anon_sym_co_await] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_requires] = ACTIONS(2728),
    [sym_this] = ACTIONS(2728),
  },
  [601] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym__Alignas] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [sym_virtual] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [602] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym___try] = ACTIONS(2755),
    [anon_sym___leave] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2740),
    [anon_sym___leave] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [604] = {
    [sym_identifier] = ACTIONS(2767),
    [aux_sym_preproc_include_token1] = ACTIONS(2767),
    [aux_sym_preproc_def_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token2] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(2767),
    [anon_sym_LPAREN2] = ACTIONS(2769),
    [anon_sym_BANG] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_SEMI] = ACTIONS(2769),
    [anon_sym___extension__] = ACTIONS(2767),
    [anon_sym_typedef] = ACTIONS(2767),
    [anon_sym_extern] = ACTIONS(2767),
    [anon_sym___attribute__] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2769),
    [anon_sym___declspec] = ACTIONS(2767),
    [anon_sym___based] = ACTIONS(2767),
    [anon_sym___cdecl] = ACTIONS(2767),
    [anon_sym___clrcall] = ACTIONS(2767),
    [anon_sym___stdcall] = ACTIONS(2767),
    [anon_sym___fastcall] = ACTIONS(2767),
    [anon_sym___thiscall] = ACTIONS(2767),
    [anon_sym___vectorcall] = ACTIONS(2767),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2767),
    [anon_sym_unsigned] = ACTIONS(2767),
    [anon_sym_long] = ACTIONS(2767),
    [anon_sym_short] = ACTIONS(2767),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2767),
    [anon_sym_register] = ACTIONS(2767),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym___inline] = ACTIONS(2767),
    [anon_sym___inline__] = ACTIONS(2767),
    [anon_sym___forceinline] = ACTIONS(2767),
    [anon_sym_thread_local] = ACTIONS(2767),
    [anon_sym___thread] = ACTIONS(2767),
    [anon_sym_const] = ACTIONS(2767),
    [anon_sym_constexpr] = ACTIONS(2767),
    [anon_sym_volatile] = ACTIONS(2767),
    [anon_sym_restrict] = ACTIONS(2767),
    [anon_sym___restrict__] = ACTIONS(2767),
    [anon_sym__Atomic] = ACTIONS(2767),
    [anon_sym__Noreturn] = ACTIONS(2767),
    [anon_sym_noreturn] = ACTIONS(2767),
    [anon_sym_mutable] = ACTIONS(2767),
    [anon_sym_constinit] = ACTIONS(2767),
    [anon_sym_consteval] = ACTIONS(2767),
    [anon_sym_alignas] = ACTIONS(2767),
    [anon_sym__Alignas] = ACTIONS(2767),
    [sym_primitive_type] = ACTIONS(2767),
    [anon_sym_enum] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2767),
    [anon_sym_struct] = ACTIONS(2767),
    [anon_sym_union] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2767),
    [anon_sym_switch] = ACTIONS(2767),
    [anon_sym_case] = ACTIONS(2767),
    [anon_sym_default] = ACTIONS(2767),
    [anon_sym_while] = ACTIONS(2767),
    [anon_sym_do] = ACTIONS(2767),
    [anon_sym_for] = ACTIONS(2767),
    [anon_sym_return] = ACTIONS(2767),
    [anon_sym_break] = ACTIONS(2767),
    [anon_sym_continue] = ACTIONS(2767),
    [anon_sym_goto] = ACTIONS(2767),
    [anon_sym___try] = ACTIONS(2767),
    [anon_sym___leave] = ACTIONS(2767),
    [anon_sym_not] = ACTIONS(2767),
    [anon_sym_compl] = ACTIONS(2767),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_sizeof] = ACTIONS(2767),
    [anon_sym___alignof__] = ACTIONS(2767),
    [anon_sym___alignof] = ACTIONS(2767),
    [anon_sym__alignof] = ACTIONS(2767),
    [anon_sym_alignof] = ACTIONS(2767),
    [anon_sym__Alignof] = ACTIONS(2767),
    [anon_sym_offsetof] = ACTIONS(2767),
    [anon_sym__Generic] = ACTIONS(2767),
    [anon_sym_asm] = ACTIONS(2767),
    [anon_sym___asm__] = ACTIONS(2767),
    [sym_number_literal] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2769),
    [anon_sym_u_SQUOTE] = ACTIONS(2769),
    [anon_sym_U_SQUOTE] = ACTIONS(2769),
    [anon_sym_u8_SQUOTE] = ACTIONS(2769),
    [anon_sym_SQUOTE] = ACTIONS(2769),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2767),
    [sym_false] = ACTIONS(2767),
    [anon_sym_NULL] = ACTIONS(2767),
    [anon_sym_nullptr] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2767),
    [anon_sym_decltype] = ACTIONS(2767),
    [sym_virtual] = ACTIONS(2767),
    [anon_sym_explicit] = ACTIONS(2767),
    [anon_sym_typename] = ACTIONS(2767),
    [anon_sym_template] = ACTIONS(2767),
    [anon_sym_operator] = ACTIONS(2767),
    [anon_sym_try] = ACTIONS(2767),
    [anon_sym_delete] = ACTIONS(2767),
    [anon_sym_throw] = ACTIONS(2767),
    [anon_sym_namespace] = ACTIONS(2767),
    [anon_sym_using] = ACTIONS(2767),
    [anon_sym_static_assert] = ACTIONS(2767),
    [anon_sym_concept] = ACTIONS(2767),
    [anon_sym_co_return] = ACTIONS(2767),
    [anon_sym_co_yield] = ACTIONS(2767),
    [anon_sym_R_DQUOTE] = ACTIONS(2769),
    [anon_sym_LR_DQUOTE] = ACTIONS(2769),
    [anon_sym_uR_DQUOTE] = ACTIONS(2769),
    [anon_sym_UR_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2769),
    [anon_sym_co_await] = ACTIONS(2767),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_requires] = ACTIONS(2767),
    [sym_this] = ACTIONS(2767),
  },
  [605] = {
    [sym_identifier] = ACTIONS(2779),
    [aux_sym_preproc_include_token1] = ACTIONS(2779),
    [aux_sym_preproc_def_token1] = ACTIONS(2779),
    [aux_sym_preproc_if_token1] = ACTIONS(2779),
    [aux_sym_preproc_if_token2] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2779),
    [sym_preproc_directive] = ACTIONS(2779),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym___extension__] = ACTIONS(2779),
    [anon_sym_typedef] = ACTIONS(2779),
    [anon_sym_extern] = ACTIONS(2779),
    [anon_sym___attribute__] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2781),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2781),
    [anon_sym___declspec] = ACTIONS(2779),
    [anon_sym___based] = ACTIONS(2779),
    [anon_sym___cdecl] = ACTIONS(2779),
    [anon_sym___clrcall] = ACTIONS(2779),
    [anon_sym___stdcall] = ACTIONS(2779),
    [anon_sym___fastcall] = ACTIONS(2779),
    [anon_sym___thiscall] = ACTIONS(2779),
    [anon_sym___vectorcall] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_signed] = ACTIONS(2779),
    [anon_sym_unsigned] = ACTIONS(2779),
    [anon_sym_long] = ACTIONS(2779),
    [anon_sym_short] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_static] = ACTIONS(2779),
    [anon_sym_register] = ACTIONS(2779),
    [anon_sym_inline] = ACTIONS(2779),
    [anon_sym___inline] = ACTIONS(2779),
    [anon_sym___inline__] = ACTIONS(2779),
    [anon_sym___forceinline] = ACTIONS(2779),
    [anon_sym_thread_local] = ACTIONS(2779),
    [anon_sym___thread] = ACTIONS(2779),
    [anon_sym_const] = ACTIONS(2779),
    [anon_sym_constexpr] = ACTIONS(2779),
    [anon_sym_volatile] = ACTIONS(2779),
    [anon_sym_restrict] = ACTIONS(2779),
    [anon_sym___restrict__] = ACTIONS(2779),
    [anon_sym__Atomic] = ACTIONS(2779),
    [anon_sym__Noreturn] = ACTIONS(2779),
    [anon_sym_noreturn] = ACTIONS(2779),
    [anon_sym_mutable] = ACTIONS(2779),
    [anon_sym_constinit] = ACTIONS(2779),
    [anon_sym_consteval] = ACTIONS(2779),
    [anon_sym_alignas] = ACTIONS(2779),
    [anon_sym__Alignas] = ACTIONS(2779),
    [sym_primitive_type] = ACTIONS(2779),
    [anon_sym_enum] = ACTIONS(2779),
    [anon_sym_class] = ACTIONS(2779),
    [anon_sym_struct] = ACTIONS(2779),
    [anon_sym_union] = ACTIONS(2779),
    [anon_sym_if] = ACTIONS(2779),
    [anon_sym_switch] = ACTIONS(2779),
    [anon_sym_case] = ACTIONS(2779),
    [anon_sym_default] = ACTIONS(2779),
    [anon_sym_while] = ACTIONS(2779),
    [anon_sym_do] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_return] = ACTIONS(2779),
    [anon_sym_break] = ACTIONS(2779),
    [anon_sym_continue] = ACTIONS(2779),
    [anon_sym_goto] = ACTIONS(2779),
    [anon_sym___try] = ACTIONS(2779),
    [anon_sym___leave] = ACTIONS(2779),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_compl] = ACTIONS(2779),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_sizeof] = ACTIONS(2779),
    [anon_sym___alignof__] = ACTIONS(2779),
    [anon_sym___alignof] = ACTIONS(2779),
    [anon_sym__alignof] = ACTIONS(2779),
    [anon_sym_alignof] = ACTIONS(2779),
    [anon_sym__Alignof] = ACTIONS(2779),
    [anon_sym_offsetof] = ACTIONS(2779),
    [anon_sym__Generic] = ACTIONS(2779),
    [anon_sym_asm] = ACTIONS(2779),
    [anon_sym___asm__] = ACTIONS(2779),
    [sym_number_literal] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2781),
    [anon_sym_u_SQUOTE] = ACTIONS(2781),
    [anon_sym_U_SQUOTE] = ACTIONS(2781),
    [anon_sym_u8_SQUOTE] = ACTIONS(2781),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_L_DQUOTE] = ACTIONS(2781),
    [anon_sym_u_DQUOTE] = ACTIONS(2781),
    [anon_sym_U_DQUOTE] = ACTIONS(2781),
    [anon_sym_u8_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_true] = ACTIONS(2779),
    [sym_false] = ACTIONS(2779),
    [anon_sym_NULL] = ACTIONS(2779),
    [anon_sym_nullptr] = ACTIONS(2779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2779),
    [anon_sym_decltype] = ACTIONS(2779),
    [sym_virtual] = ACTIONS(2779),
    [anon_sym_explicit] = ACTIONS(2779),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(2779),
    [anon_sym_operator] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2779),
    [anon_sym_delete] = ACTIONS(2779),
    [anon_sym_throw] = ACTIONS(2779),
    [anon_sym_namespace] = ACTIONS(2779),
    [anon_sym_using] = ACTIONS(2779),
    [anon_sym_static_assert] = ACTIONS(2779),
    [anon_sym_concept] = ACTIONS(2779),
    [anon_sym_co_return] = ACTIONS(2779),
    [anon_sym_co_yield] = ACTIONS(2779),
    [anon_sym_R_DQUOTE] = ACTIONS(2781),
    [anon_sym_LR_DQUOTE] = ACTIONS(2781),
    [anon_sym_uR_DQUOTE] = ACTIONS(2781),
    [anon_sym_UR_DQUOTE] = ACTIONS(2781),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2781),
    [anon_sym_co_await] = ACTIONS(2779),
    [anon_sym_new] = ACTIONS(2779),
    [anon_sym_requires] = ACTIONS(2779),
    [sym_this] = ACTIONS(2779),
  },
  [606] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_include_token1] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym___cdecl] = ACTIONS(2775),
    [anon_sym___clrcall] = ACTIONS(2775),
    [anon_sym___stdcall] = ACTIONS(2775),
    [anon_sym___fastcall] = ACTIONS(2775),
    [anon_sym___thiscall] = ACTIONS(2775),
    [anon_sym___vectorcall] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_RBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym___try] = ACTIONS(2775),
    [anon_sym___leave] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [sym_number_literal] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_namespace] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
    [anon_sym_concept] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [607] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym___leave] = ACTIONS(2824),
    [anon_sym_not] = ACTIONS(2824),
    [anon_sym_compl] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
    [anon_sym_concept] = ACTIONS(2824),
    [anon_sym_co_return] = ACTIONS(2824),
    [anon_sym_co_yield] = ACTIONS(2824),
    [anon_sym_R_DQUOTE] = ACTIONS(2826),
    [anon_sym_LR_DQUOTE] = ACTIONS(2826),
    [anon_sym_uR_DQUOTE] = ACTIONS(2826),
    [anon_sym_UR_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2826),
    [anon_sym_co_await] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_requires] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
  },
  [608] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_include_token1] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym___cdecl] = ACTIONS(2775),
    [anon_sym___clrcall] = ACTIONS(2775),
    [anon_sym___stdcall] = ACTIONS(2775),
    [anon_sym___fastcall] = ACTIONS(2775),
    [anon_sym___thiscall] = ACTIONS(2775),
    [anon_sym___vectorcall] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_RBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym___try] = ACTIONS(2775),
    [anon_sym___leave] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [sym_number_literal] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_namespace] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
    [anon_sym_concept] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [609] = {
    [sym_identifier] = ACTIONS(2779),
    [aux_sym_preproc_include_token1] = ACTIONS(2779),
    [aux_sym_preproc_def_token1] = ACTIONS(2779),
    [aux_sym_preproc_if_token1] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2779),
    [sym_preproc_directive] = ACTIONS(2779),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym___extension__] = ACTIONS(2779),
    [anon_sym_typedef] = ACTIONS(2779),
    [anon_sym_extern] = ACTIONS(2779),
    [anon_sym___attribute__] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2781),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2781),
    [anon_sym___declspec] = ACTIONS(2779),
    [anon_sym___based] = ACTIONS(2779),
    [anon_sym___cdecl] = ACTIONS(2779),
    [anon_sym___clrcall] = ACTIONS(2779),
    [anon_sym___stdcall] = ACTIONS(2779),
    [anon_sym___fastcall] = ACTIONS(2779),
    [anon_sym___thiscall] = ACTIONS(2779),
    [anon_sym___vectorcall] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_RBRACE] = ACTIONS(2781),
    [anon_sym_signed] = ACTIONS(2779),
    [anon_sym_unsigned] = ACTIONS(2779),
    [anon_sym_long] = ACTIONS(2779),
    [anon_sym_short] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_static] = ACTIONS(2779),
    [anon_sym_register] = ACTIONS(2779),
    [anon_sym_inline] = ACTIONS(2779),
    [anon_sym___inline] = ACTIONS(2779),
    [anon_sym___inline__] = ACTIONS(2779),
    [anon_sym___forceinline] = ACTIONS(2779),
    [anon_sym_thread_local] = ACTIONS(2779),
    [anon_sym___thread] = ACTIONS(2779),
    [anon_sym_const] = ACTIONS(2779),
    [anon_sym_constexpr] = ACTIONS(2779),
    [anon_sym_volatile] = ACTIONS(2779),
    [anon_sym_restrict] = ACTIONS(2779),
    [anon_sym___restrict__] = ACTIONS(2779),
    [anon_sym__Atomic] = ACTIONS(2779),
    [anon_sym__Noreturn] = ACTIONS(2779),
    [anon_sym_noreturn] = ACTIONS(2779),
    [anon_sym_mutable] = ACTIONS(2779),
    [anon_sym_constinit] = ACTIONS(2779),
    [anon_sym_consteval] = ACTIONS(2779),
    [anon_sym_alignas] = ACTIONS(2779),
    [anon_sym__Alignas] = ACTIONS(2779),
    [sym_primitive_type] = ACTIONS(2779),
    [anon_sym_enum] = ACTIONS(2779),
    [anon_sym_class] = ACTIONS(2779),
    [anon_sym_struct] = ACTIONS(2779),
    [anon_sym_union] = ACTIONS(2779),
    [anon_sym_if] = ACTIONS(2779),
    [anon_sym_switch] = ACTIONS(2779),
    [anon_sym_case] = ACTIONS(2779),
    [anon_sym_default] = ACTIONS(2779),
    [anon_sym_while] = ACTIONS(2779),
    [anon_sym_do] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_return] = ACTIONS(2779),
    [anon_sym_break] = ACTIONS(2779),
    [anon_sym_continue] = ACTIONS(2779),
    [anon_sym_goto] = ACTIONS(2779),
    [anon_sym___try] = ACTIONS(2779),
    [anon_sym___leave] = ACTIONS(2779),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_compl] = ACTIONS(2779),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_sizeof] = ACTIONS(2779),
    [anon_sym___alignof__] = ACTIONS(2779),
    [anon_sym___alignof] = ACTIONS(2779),
    [anon_sym__alignof] = ACTIONS(2779),
    [anon_sym_alignof] = ACTIONS(2779),
    [anon_sym__Alignof] = ACTIONS(2779),
    [anon_sym_offsetof] = ACTIONS(2779),
    [anon_sym__Generic] = ACTIONS(2779),
    [anon_sym_asm] = ACTIONS(2779),
    [anon_sym___asm__] = ACTIONS(2779),
    [sym_number_literal] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2781),
    [anon_sym_u_SQUOTE] = ACTIONS(2781),
    [anon_sym_U_SQUOTE] = ACTIONS(2781),
    [anon_sym_u8_SQUOTE] = ACTIONS(2781),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_L_DQUOTE] = ACTIONS(2781),
    [anon_sym_u_DQUOTE] = ACTIONS(2781),
    [anon_sym_U_DQUOTE] = ACTIONS(2781),
    [anon_sym_u8_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_true] = ACTIONS(2779),
    [sym_false] = ACTIONS(2779),
    [anon_sym_NULL] = ACTIONS(2779),
    [anon_sym_nullptr] = ACTIONS(2779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2779),
    [anon_sym_decltype] = ACTIONS(2779),
    [sym_virtual] = ACTIONS(2779),
    [anon_sym_explicit] = ACTIONS(2779),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(2779),
    [anon_sym_operator] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2779),
    [anon_sym_delete] = ACTIONS(2779),
    [anon_sym_throw] = ACTIONS(2779),
    [anon_sym_namespace] = ACTIONS(2779),
    [anon_sym_using] = ACTIONS(2779),
    [anon_sym_static_assert] = ACTIONS(2779),
    [anon_sym_concept] = ACTIONS(2779),
    [anon_sym_co_return] = ACTIONS(2779),
    [anon_sym_co_yield] = ACTIONS(2779),
    [anon_sym_R_DQUOTE] = ACTIONS(2781),
    [anon_sym_LR_DQUOTE] = ACTIONS(2781),
    [anon_sym_uR_DQUOTE] = ACTIONS(2781),
    [anon_sym_UR_DQUOTE] = ACTIONS(2781),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2781),
    [anon_sym_co_await] = ACTIONS(2779),
    [anon_sym_new] = ACTIONS(2779),
    [anon_sym_requires] = ACTIONS(2779),
    [sym_this] = ACTIONS(2779),
  },
  [610] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym___try] = ACTIONS(2793),
    [anon_sym___leave] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [sym_virtual] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(1876),
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_include_token1] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2542),
    [anon_sym_RPAREN] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym___cdecl] = ACTIONS(1878),
    [anon_sym___clrcall] = ACTIONS(1878),
    [anon_sym___stdcall] = ACTIONS(1878),
    [anon_sym___fastcall] = ACTIONS(1878),
    [anon_sym___thiscall] = ACTIONS(1878),
    [anon_sym___vectorcall] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_default] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_namespace] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_concept] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [612] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_RBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym___leave] = ACTIONS(2820),
    [anon_sym_not] = ACTIONS(2820),
    [anon_sym_compl] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [sym_virtual] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
    [anon_sym_concept] = ACTIONS(2820),
    [anon_sym_co_return] = ACTIONS(2820),
    [anon_sym_co_yield] = ACTIONS(2820),
    [anon_sym_R_DQUOTE] = ACTIONS(2822),
    [anon_sym_LR_DQUOTE] = ACTIONS(2822),
    [anon_sym_uR_DQUOTE] = ACTIONS(2822),
    [anon_sym_UR_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2822),
    [anon_sym_co_await] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_requires] = ACTIONS(2820),
    [sym_this] = ACTIONS(2820),
  },
  [613] = {
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_BANG] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3019),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym___cdecl] = ACTIONS(3017),
    [anon_sym___clrcall] = ACTIONS(3017),
    [anon_sym___stdcall] = ACTIONS(3017),
    [anon_sym___fastcall] = ACTIONS(3017),
    [anon_sym___thiscall] = ACTIONS(3017),
    [anon_sym___vectorcall] = ACTIONS(3017),
    [anon_sym_LBRACE] = ACTIONS(3019),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [anon_sym_if] = ACTIONS(3017),
    [anon_sym_switch] = ACTIONS(3017),
    [anon_sym_case] = ACTIONS(3017),
    [anon_sym_default] = ACTIONS(3017),
    [anon_sym_while] = ACTIONS(3017),
    [anon_sym_do] = ACTIONS(3017),
    [anon_sym_for] = ACTIONS(3017),
    [anon_sym_return] = ACTIONS(3017),
    [anon_sym_break] = ACTIONS(3017),
    [anon_sym_continue] = ACTIONS(3017),
    [anon_sym_goto] = ACTIONS(3017),
    [anon_sym___try] = ACTIONS(3017),
    [anon_sym___leave] = ACTIONS(3017),
    [anon_sym_not] = ACTIONS(3017),
    [anon_sym_compl] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3019),
    [anon_sym_sizeof] = ACTIONS(3017),
    [anon_sym___alignof__] = ACTIONS(3017),
    [anon_sym___alignof] = ACTIONS(3017),
    [anon_sym__alignof] = ACTIONS(3017),
    [anon_sym_alignof] = ACTIONS(3017),
    [anon_sym__Alignof] = ACTIONS(3017),
    [anon_sym_offsetof] = ACTIONS(3017),
    [anon_sym__Generic] = ACTIONS(3017),
    [anon_sym_asm] = ACTIONS(3017),
    [anon_sym___asm__] = ACTIONS(3017),
    [sym_number_literal] = ACTIONS(3019),
    [anon_sym_L_SQUOTE] = ACTIONS(3019),
    [anon_sym_u_SQUOTE] = ACTIONS(3019),
    [anon_sym_U_SQUOTE] = ACTIONS(3019),
    [anon_sym_u8_SQUOTE] = ACTIONS(3019),
    [anon_sym_SQUOTE] = ACTIONS(3019),
    [anon_sym_L_DQUOTE] = ACTIONS(3019),
    [anon_sym_u_DQUOTE] = ACTIONS(3019),
    [anon_sym_U_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8_DQUOTE] = ACTIONS(3019),
    [anon_sym_DQUOTE] = ACTIONS(3019),
    [sym_true] = ACTIONS(3017),
    [sym_false] = ACTIONS(3017),
    [anon_sym_NULL] = ACTIONS(3017),
    [anon_sym_nullptr] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [sym_virtual] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_try] = ACTIONS(3017),
    [anon_sym_delete] = ACTIONS(3017),
    [anon_sym_throw] = ACTIONS(3017),
    [anon_sym_namespace] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
    [anon_sym_concept] = ACTIONS(3017),
    [anon_sym_co_return] = ACTIONS(3017),
    [anon_sym_co_yield] = ACTIONS(3017),
    [anon_sym_R_DQUOTE] = ACTIONS(3019),
    [anon_sym_LR_DQUOTE] = ACTIONS(3019),
    [anon_sym_uR_DQUOTE] = ACTIONS(3019),
    [anon_sym_UR_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3019),
    [anon_sym_co_await] = ACTIONS(3017),
    [anon_sym_new] = ACTIONS(3017),
    [anon_sym_requires] = ACTIONS(3017),
    [sym_this] = ACTIONS(3017),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym__Alignas] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym___try] = ACTIONS(2828),
    [anon_sym___leave] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2828),
    [anon_sym_compl] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [sym_virtual] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_try] = ACTIONS(2828),
    [anon_sym_delete] = ACTIONS(2828),
    [anon_sym_throw] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_concept] = ACTIONS(2828),
    [anon_sym_co_return] = ACTIONS(2828),
    [anon_sym_co_yield] = ACTIONS(2828),
    [anon_sym_R_DQUOTE] = ACTIONS(2830),
    [anon_sym_LR_DQUOTE] = ACTIONS(2830),
    [anon_sym_uR_DQUOTE] = ACTIONS(2830),
    [anon_sym_UR_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2830),
    [anon_sym_co_await] = ACTIONS(2828),
    [anon_sym_new] = ACTIONS(2828),
    [anon_sym_requires] = ACTIONS(2828),
    [sym_this] = ACTIONS(2828),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2783),
    [aux_sym_preproc_include_token1] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2783),
    [aux_sym_preproc_if_token1] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2783),
    [sym_preproc_directive] = ACTIONS(2783),
    [anon_sym_LPAREN2] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym___extension__] = ACTIONS(2783),
    [anon_sym_typedef] = ACTIONS(2783),
    [anon_sym_extern] = ACTIONS(2783),
    [anon_sym___attribute__] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2785),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2785),
    [anon_sym___declspec] = ACTIONS(2783),
    [anon_sym___based] = ACTIONS(2783),
    [anon_sym___cdecl] = ACTIONS(2783),
    [anon_sym___clrcall] = ACTIONS(2783),
    [anon_sym___stdcall] = ACTIONS(2783),
    [anon_sym___fastcall] = ACTIONS(2783),
    [anon_sym___thiscall] = ACTIONS(2783),
    [anon_sym___vectorcall] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_signed] = ACTIONS(2783),
    [anon_sym_unsigned] = ACTIONS(2783),
    [anon_sym_long] = ACTIONS(2783),
    [anon_sym_short] = ACTIONS(2783),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_static] = ACTIONS(2783),
    [anon_sym_register] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2783),
    [anon_sym___inline] = ACTIONS(2783),
    [anon_sym___inline__] = ACTIONS(2783),
    [anon_sym___forceinline] = ACTIONS(2783),
    [anon_sym_thread_local] = ACTIONS(2783),
    [anon_sym___thread] = ACTIONS(2783),
    [anon_sym_const] = ACTIONS(2783),
    [anon_sym_constexpr] = ACTIONS(2783),
    [anon_sym_volatile] = ACTIONS(2783),
    [anon_sym_restrict] = ACTIONS(2783),
    [anon_sym___restrict__] = ACTIONS(2783),
    [anon_sym__Atomic] = ACTIONS(2783),
    [anon_sym__Noreturn] = ACTIONS(2783),
    [anon_sym_noreturn] = ACTIONS(2783),
    [anon_sym_mutable] = ACTIONS(2783),
    [anon_sym_constinit] = ACTIONS(2783),
    [anon_sym_consteval] = ACTIONS(2783),
    [anon_sym_alignas] = ACTIONS(2783),
    [anon_sym__Alignas] = ACTIONS(2783),
    [sym_primitive_type] = ACTIONS(2783),
    [anon_sym_enum] = ACTIONS(2783),
    [anon_sym_class] = ACTIONS(2783),
    [anon_sym_struct] = ACTIONS(2783),
    [anon_sym_union] = ACTIONS(2783),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_switch] = ACTIONS(2783),
    [anon_sym_case] = ACTIONS(2783),
    [anon_sym_default] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2783),
    [anon_sym_do] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2783),
    [anon_sym_return] = ACTIONS(2783),
    [anon_sym_break] = ACTIONS(2783),
    [anon_sym_continue] = ACTIONS(2783),
    [anon_sym_goto] = ACTIONS(2783),
    [anon_sym___try] = ACTIONS(2783),
    [anon_sym___leave] = ACTIONS(2783),
    [anon_sym_not] = ACTIONS(2783),
    [anon_sym_compl] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2785),
    [anon_sym_sizeof] = ACTIONS(2783),
    [anon_sym___alignof__] = ACTIONS(2783),
    [anon_sym___alignof] = ACTIONS(2783),
    [anon_sym__alignof] = ACTIONS(2783),
    [anon_sym_alignof] = ACTIONS(2783),
    [anon_sym__Alignof] = ACTIONS(2783),
    [anon_sym_offsetof] = ACTIONS(2783),
    [anon_sym__Generic] = ACTIONS(2783),
    [anon_sym_asm] = ACTIONS(2783),
    [anon_sym___asm__] = ACTIONS(2783),
    [sym_number_literal] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2785),
    [anon_sym_u_SQUOTE] = ACTIONS(2785),
    [anon_sym_U_SQUOTE] = ACTIONS(2785),
    [anon_sym_u8_SQUOTE] = ACTIONS(2785),
    [anon_sym_SQUOTE] = ACTIONS(2785),
    [anon_sym_L_DQUOTE] = ACTIONS(2785),
    [anon_sym_u_DQUOTE] = ACTIONS(2785),
    [anon_sym_U_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [sym_true] = ACTIONS(2783),
    [sym_false] = ACTIONS(2783),
    [anon_sym_NULL] = ACTIONS(2783),
    [anon_sym_nullptr] = ACTIONS(2783),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2783),
    [anon_sym_decltype] = ACTIONS(2783),
    [sym_virtual] = ACTIONS(2783),
    [anon_sym_explicit] = ACTIONS(2783),
    [anon_sym_typename] = ACTIONS(2783),
    [anon_sym_template] = ACTIONS(2783),
    [anon_sym_operator] = ACTIONS(2783),
    [anon_sym_try] = ACTIONS(2783),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_throw] = ACTIONS(2783),
    [anon_sym_namespace] = ACTIONS(2783),
    [anon_sym_using] = ACTIONS(2783),
    [anon_sym_static_assert] = ACTIONS(2783),
    [anon_sym_concept] = ACTIONS(2783),
    [anon_sym_co_return] = ACTIONS(2783),
    [anon_sym_co_yield] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(2783),
    [anon_sym_requires] = ACTIONS(2783),
    [sym_this] = ACTIONS(2783),
  },
  [616] = {
    [sym_identifier] = ACTIONS(2899),
    [aux_sym_preproc_include_token1] = ACTIONS(2899),
    [aux_sym_preproc_def_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2899),
    [sym_preproc_directive] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym___based] = ACTIONS(2899),
    [anon_sym___cdecl] = ACTIONS(2899),
    [anon_sym___clrcall] = ACTIONS(2899),
    [anon_sym___stdcall] = ACTIONS(2899),
    [anon_sym___fastcall] = ACTIONS(2899),
    [anon_sym___thiscall] = ACTIONS(2899),
    [anon_sym___vectorcall] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2901),
    [anon_sym_RBRACE] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym__Alignas] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [anon_sym_if] = ACTIONS(2899),
    [anon_sym_switch] = ACTIONS(2899),
    [anon_sym_case] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(2899),
    [anon_sym_while] = ACTIONS(2899),
    [anon_sym_do] = ACTIONS(2899),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_break] = ACTIONS(2899),
    [anon_sym_continue] = ACTIONS(2899),
    [anon_sym_goto] = ACTIONS(2899),
    [anon_sym___try] = ACTIONS(2899),
    [anon_sym___leave] = ACTIONS(2899),
    [anon_sym_not] = ACTIONS(2899),
    [anon_sym_compl] = ACTIONS(2899),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_sizeof] = ACTIONS(2899),
    [anon_sym___alignof__] = ACTIONS(2899),
    [anon_sym___alignof] = ACTIONS(2899),
    [anon_sym__alignof] = ACTIONS(2899),
    [anon_sym_alignof] = ACTIONS(2899),
    [anon_sym__Alignof] = ACTIONS(2899),
    [anon_sym_offsetof] = ACTIONS(2899),
    [anon_sym__Generic] = ACTIONS(2899),
    [anon_sym_asm] = ACTIONS(2899),
    [anon_sym___asm__] = ACTIONS(2899),
    [sym_number_literal] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2901),
    [anon_sym_u_SQUOTE] = ACTIONS(2901),
    [anon_sym_U_SQUOTE] = ACTIONS(2901),
    [anon_sym_u8_SQUOTE] = ACTIONS(2901),
    [anon_sym_SQUOTE] = ACTIONS(2901),
    [anon_sym_L_DQUOTE] = ACTIONS(2901),
    [anon_sym_u_DQUOTE] = ACTIONS(2901),
    [anon_sym_U_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8_DQUOTE] = ACTIONS(2901),
    [anon_sym_DQUOTE] = ACTIONS(2901),
    [sym_true] = ACTIONS(2899),
    [sym_false] = ACTIONS(2899),
    [anon_sym_NULL] = ACTIONS(2899),
    [anon_sym_nullptr] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [sym_virtual] = ACTIONS(2899),
    [anon_sym_explicit] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_operator] = ACTIONS(2899),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_delete] = ACTIONS(2899),
    [anon_sym_throw] = ACTIONS(2899),
    [anon_sym_namespace] = ACTIONS(2899),
    [anon_sym_using] = ACTIONS(2899),
    [anon_sym_static_assert] = ACTIONS(2899),
    [anon_sym_concept] = ACTIONS(2899),
    [anon_sym_co_return] = ACTIONS(2899),
    [anon_sym_co_yield] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2901),
    [anon_sym_LR_DQUOTE] = ACTIONS(2901),
    [anon_sym_uR_DQUOTE] = ACTIONS(2901),
    [anon_sym_UR_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2901),
    [anon_sym_co_await] = ACTIONS(2899),
    [anon_sym_new] = ACTIONS(2899),
    [anon_sym_requires] = ACTIONS(2899),
    [sym_this] = ACTIONS(2899),
  },
  [617] = {
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_include_token1] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_BANG] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym___cdecl] = ACTIONS(2903),
    [anon_sym___clrcall] = ACTIONS(2903),
    [anon_sym___stdcall] = ACTIONS(2903),
    [anon_sym___fastcall] = ACTIONS(2903),
    [anon_sym___thiscall] = ACTIONS(2903),
    [anon_sym___vectorcall] = ACTIONS(2903),
    [anon_sym_LBRACE] = ACTIONS(2905),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym__Alignas] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_switch] = ACTIONS(2903),
    [anon_sym_case] = ACTIONS(2903),
    [anon_sym_default] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(2903),
    [anon_sym_do] = ACTIONS(2903),
    [anon_sym_for] = ACTIONS(2903),
    [anon_sym_return] = ACTIONS(2903),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_continue] = ACTIONS(2903),
    [anon_sym_goto] = ACTIONS(2903),
    [anon_sym___try] = ACTIONS(2903),
    [anon_sym___leave] = ACTIONS(2903),
    [anon_sym_not] = ACTIONS(2903),
    [anon_sym_compl] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_sizeof] = ACTIONS(2903),
    [anon_sym___alignof__] = ACTIONS(2903),
    [anon_sym___alignof] = ACTIONS(2903),
    [anon_sym__alignof] = ACTIONS(2903),
    [anon_sym_alignof] = ACTIONS(2903),
    [anon_sym__Alignof] = ACTIONS(2903),
    [anon_sym_offsetof] = ACTIONS(2903),
    [anon_sym__Generic] = ACTIONS(2903),
    [anon_sym_asm] = ACTIONS(2903),
    [anon_sym___asm__] = ACTIONS(2903),
    [sym_number_literal] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2905),
    [anon_sym_u_SQUOTE] = ACTIONS(2905),
    [anon_sym_U_SQUOTE] = ACTIONS(2905),
    [anon_sym_u8_SQUOTE] = ACTIONS(2905),
    [anon_sym_SQUOTE] = ACTIONS(2905),
    [anon_sym_L_DQUOTE] = ACTIONS(2905),
    [anon_sym_u_DQUOTE] = ACTIONS(2905),
    [anon_sym_U_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8_DQUOTE] = ACTIONS(2905),
    [anon_sym_DQUOTE] = ACTIONS(2905),
    [sym_true] = ACTIONS(2903),
    [sym_false] = ACTIONS(2903),
    [anon_sym_NULL] = ACTIONS(2903),
    [anon_sym_nullptr] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [sym_virtual] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_try] = ACTIONS(2903),
    [anon_sym_delete] = ACTIONS(2903),
    [anon_sym_throw] = ACTIONS(2903),
    [anon_sym_namespace] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
    [anon_sym_concept] = ACTIONS(2903),
    [anon_sym_co_return] = ACTIONS(2903),
    [anon_sym_co_yield] = ACTIONS(2903),
    [anon_sym_R_DQUOTE] = ACTIONS(2905),
    [anon_sym_LR_DQUOTE] = ACTIONS(2905),
    [anon_sym_uR_DQUOTE] = ACTIONS(2905),
    [anon_sym_UR_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2905),
    [anon_sym_co_await] = ACTIONS(2903),
    [anon_sym_new] = ACTIONS(2903),
    [anon_sym_requires] = ACTIONS(2903),
    [sym_this] = ACTIONS(2903),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [619] = {
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_include_token1] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2750),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym___cdecl] = ACTIONS(2748),
    [anon_sym___clrcall] = ACTIONS(2748),
    [anon_sym___stdcall] = ACTIONS(2748),
    [anon_sym___fastcall] = ACTIONS(2748),
    [anon_sym___thiscall] = ACTIONS(2748),
    [anon_sym___vectorcall] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_case] = ACTIONS(2748),
    [anon_sym_default] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_goto] = ACTIONS(2748),
    [anon_sym___try] = ACTIONS(2748),
    [anon_sym___leave] = ACTIONS(2748),
    [anon_sym_not] = ACTIONS(2748),
    [anon_sym_compl] = ACTIONS(2748),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_sizeof] = ACTIONS(2748),
    [anon_sym___alignof__] = ACTIONS(2748),
    [anon_sym___alignof] = ACTIONS(2748),
    [anon_sym__alignof] = ACTIONS(2748),
    [anon_sym_alignof] = ACTIONS(2748),
    [anon_sym__Alignof] = ACTIONS(2748),
    [anon_sym_offsetof] = ACTIONS(2748),
    [anon_sym__Generic] = ACTIONS(2748),
    [anon_sym_asm] = ACTIONS(2748),
    [anon_sym___asm__] = ACTIONS(2748),
    [sym_number_literal] = ACTIONS(2750),
    [anon_sym_L_SQUOTE] = ACTIONS(2750),
    [anon_sym_u_SQUOTE] = ACTIONS(2750),
    [anon_sym_U_SQUOTE] = ACTIONS(2750),
    [anon_sym_u8_SQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [anon_sym_L_DQUOTE] = ACTIONS(2750),
    [anon_sym_u_DQUOTE] = ACTIONS(2750),
    [anon_sym_U_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8_DQUOTE] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [anon_sym_NULL] = ACTIONS(2748),
    [anon_sym_nullptr] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [sym_virtual] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_namespace] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
    [anon_sym_concept] = ACTIONS(2748),
    [anon_sym_co_return] = ACTIONS(2748),
    [anon_sym_co_yield] = ACTIONS(2748),
    [anon_sym_R_DQUOTE] = ACTIONS(2750),
    [anon_sym_LR_DQUOTE] = ACTIONS(2750),
    [anon_sym_uR_DQUOTE] = ACTIONS(2750),
    [anon_sym_UR_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2750),
    [anon_sym_co_await] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_requires] = ACTIONS(2748),
    [sym_this] = ACTIONS(2748),
  },
  [620] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [621] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [sym_virtual] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [622] = {
    [sym_identifier] = ACTIONS(2708),
    [aux_sym_preproc_include_token1] = ACTIONS(2708),
    [aux_sym_preproc_def_token1] = ACTIONS(2708),
    [aux_sym_preproc_if_token1] = ACTIONS(2708),
    [aux_sym_preproc_if_token2] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2708),
    [sym_preproc_directive] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_BANG] = ACTIONS(2710),
    [anon_sym_TILDE] = ACTIONS(2710),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_AMP_AMP] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2710),
    [anon_sym___extension__] = ACTIONS(2708),
    [anon_sym_typedef] = ACTIONS(2708),
    [anon_sym_extern] = ACTIONS(2708),
    [anon_sym___attribute__] = ACTIONS(2708),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2710),
    [anon_sym___declspec] = ACTIONS(2708),
    [anon_sym___based] = ACTIONS(2708),
    [anon_sym___cdecl] = ACTIONS(2708),
    [anon_sym___clrcall] = ACTIONS(2708),
    [anon_sym___stdcall] = ACTIONS(2708),
    [anon_sym___fastcall] = ACTIONS(2708),
    [anon_sym___thiscall] = ACTIONS(2708),
    [anon_sym___vectorcall] = ACTIONS(2708),
    [anon_sym_LBRACE] = ACTIONS(2710),
    [anon_sym_signed] = ACTIONS(2708),
    [anon_sym_unsigned] = ACTIONS(2708),
    [anon_sym_long] = ACTIONS(2708),
    [anon_sym_short] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_register] = ACTIONS(2708),
    [anon_sym_inline] = ACTIONS(2708),
    [anon_sym___inline] = ACTIONS(2708),
    [anon_sym___inline__] = ACTIONS(2708),
    [anon_sym___forceinline] = ACTIONS(2708),
    [anon_sym_thread_local] = ACTIONS(2708),
    [anon_sym___thread] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2708),
    [anon_sym_constexpr] = ACTIONS(2708),
    [anon_sym_volatile] = ACTIONS(2708),
    [anon_sym_restrict] = ACTIONS(2708),
    [anon_sym___restrict__] = ACTIONS(2708),
    [anon_sym__Atomic] = ACTIONS(2708),
    [anon_sym__Noreturn] = ACTIONS(2708),
    [anon_sym_noreturn] = ACTIONS(2708),
    [anon_sym_mutable] = ACTIONS(2708),
    [anon_sym_constinit] = ACTIONS(2708),
    [anon_sym_consteval] = ACTIONS(2708),
    [anon_sym_alignas] = ACTIONS(2708),
    [anon_sym__Alignas] = ACTIONS(2708),
    [sym_primitive_type] = ACTIONS(2708),
    [anon_sym_enum] = ACTIONS(2708),
    [anon_sym_class] = ACTIONS(2708),
    [anon_sym_struct] = ACTIONS(2708),
    [anon_sym_union] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_switch] = ACTIONS(2708),
    [anon_sym_case] = ACTIONS(2708),
    [anon_sym_default] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_break] = ACTIONS(2708),
    [anon_sym_continue] = ACTIONS(2708),
    [anon_sym_goto] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2708),
    [anon_sym___leave] = ACTIONS(2708),
    [anon_sym_not] = ACTIONS(2708),
    [anon_sym_compl] = ACTIONS(2708),
    [anon_sym_DASH_DASH] = ACTIONS(2710),
    [anon_sym_PLUS_PLUS] = ACTIONS(2710),
    [anon_sym_sizeof] = ACTIONS(2708),
    [anon_sym___alignof__] = ACTIONS(2708),
    [anon_sym___alignof] = ACTIONS(2708),
    [anon_sym__alignof] = ACTIONS(2708),
    [anon_sym_alignof] = ACTIONS(2708),
    [anon_sym__Alignof] = ACTIONS(2708),
    [anon_sym_offsetof] = ACTIONS(2708),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2708),
    [anon_sym___asm__] = ACTIONS(2708),
    [sym_number_literal] = ACTIONS(2710),
    [anon_sym_L_SQUOTE] = ACTIONS(2710),
    [anon_sym_u_SQUOTE] = ACTIONS(2710),
    [anon_sym_U_SQUOTE] = ACTIONS(2710),
    [anon_sym_u8_SQUOTE] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_L_DQUOTE] = ACTIONS(2710),
    [anon_sym_u_DQUOTE] = ACTIONS(2710),
    [anon_sym_U_DQUOTE] = ACTIONS(2710),
    [anon_sym_u8_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2710),
    [sym_true] = ACTIONS(2708),
    [sym_false] = ACTIONS(2708),
    [anon_sym_NULL] = ACTIONS(2708),
    [anon_sym_nullptr] = ACTIONS(2708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2708),
    [anon_sym_decltype] = ACTIONS(2708),
    [sym_virtual] = ACTIONS(2708),
    [anon_sym_explicit] = ACTIONS(2708),
    [anon_sym_typename] = ACTIONS(2708),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_delete] = ACTIONS(2708),
    [anon_sym_throw] = ACTIONS(2708),
    [anon_sym_namespace] = ACTIONS(2708),
    [anon_sym_using] = ACTIONS(2708),
    [anon_sym_static_assert] = ACTIONS(2708),
    [anon_sym_concept] = ACTIONS(2708),
    [anon_sym_co_return] = ACTIONS(2708),
    [anon_sym_co_yield] = ACTIONS(2708),
    [anon_sym_R_DQUOTE] = ACTIONS(2710),
    [anon_sym_LR_DQUOTE] = ACTIONS(2710),
    [anon_sym_uR_DQUOTE] = ACTIONS(2710),
    [anon_sym_UR_DQUOTE] = ACTIONS(2710),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2710),
    [anon_sym_co_await] = ACTIONS(2708),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_requires] = ACTIONS(2708),
    [sym_this] = ACTIONS(2708),
  },
  [623] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [sym_virtual] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [624] = {
    [sym_identifier] = ACTIONS(2676),
    [aux_sym_preproc_include_token1] = ACTIONS(2676),
    [aux_sym_preproc_def_token1] = ACTIONS(2676),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_if_token2] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2676),
    [sym_preproc_directive] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_AMP_AMP] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym___extension__] = ACTIONS(2676),
    [anon_sym_typedef] = ACTIONS(2676),
    [anon_sym_extern] = ACTIONS(2676),
    [anon_sym___attribute__] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2678),
    [anon_sym___declspec] = ACTIONS(2676),
    [anon_sym___based] = ACTIONS(2676),
    [anon_sym___cdecl] = ACTIONS(2676),
    [anon_sym___clrcall] = ACTIONS(2676),
    [anon_sym___stdcall] = ACTIONS(2676),
    [anon_sym___fastcall] = ACTIONS(2676),
    [anon_sym___thiscall] = ACTIONS(2676),
    [anon_sym___vectorcall] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2678),
    [anon_sym_signed] = ACTIONS(2676),
    [anon_sym_unsigned] = ACTIONS(2676),
    [anon_sym_long] = ACTIONS(2676),
    [anon_sym_short] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_static] = ACTIONS(2676),
    [anon_sym_register] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym___inline] = ACTIONS(2676),
    [anon_sym___inline__] = ACTIONS(2676),
    [anon_sym___forceinline] = ACTIONS(2676),
    [anon_sym_thread_local] = ACTIONS(2676),
    [anon_sym___thread] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_constexpr] = ACTIONS(2676),
    [anon_sym_volatile] = ACTIONS(2676),
    [anon_sym_restrict] = ACTIONS(2676),
    [anon_sym___restrict__] = ACTIONS(2676),
    [anon_sym__Atomic] = ACTIONS(2676),
    [anon_sym__Noreturn] = ACTIONS(2676),
    [anon_sym_noreturn] = ACTIONS(2676),
    [anon_sym_mutable] = ACTIONS(2676),
    [anon_sym_constinit] = ACTIONS(2676),
    [anon_sym_consteval] = ACTIONS(2676),
    [anon_sym_alignas] = ACTIONS(2676),
    [anon_sym__Alignas] = ACTIONS(2676),
    [sym_primitive_type] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_class] = ACTIONS(2676),
    [anon_sym_struct] = ACTIONS(2676),
    [anon_sym_union] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_case] = ACTIONS(2676),
    [anon_sym_default] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_break] = ACTIONS(2676),
    [anon_sym_continue] = ACTIONS(2676),
    [anon_sym_goto] = ACTIONS(2676),
    [anon_sym___try] = ACTIONS(2676),
    [anon_sym___leave] = ACTIONS(2676),
    [anon_sym_not] = ACTIONS(2676),
    [anon_sym_compl] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2678),
    [anon_sym_sizeof] = ACTIONS(2676),
    [anon_sym___alignof__] = ACTIONS(2676),
    [anon_sym___alignof] = ACTIONS(2676),
    [anon_sym__alignof] = ACTIONS(2676),
    [anon_sym_alignof] = ACTIONS(2676),
    [anon_sym__Alignof] = ACTIONS(2676),
    [anon_sym_offsetof] = ACTIONS(2676),
    [anon_sym__Generic] = ACTIONS(2676),
    [anon_sym_asm] = ACTIONS(2676),
    [anon_sym___asm__] = ACTIONS(2676),
    [sym_number_literal] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2678),
    [anon_sym_u_SQUOTE] = ACTIONS(2678),
    [anon_sym_U_SQUOTE] = ACTIONS(2678),
    [anon_sym_u8_SQUOTE] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_L_DQUOTE] = ACTIONS(2678),
    [anon_sym_u_DQUOTE] = ACTIONS(2678),
    [anon_sym_U_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2678),
    [sym_true] = ACTIONS(2676),
    [sym_false] = ACTIONS(2676),
    [anon_sym_NULL] = ACTIONS(2676),
    [anon_sym_nullptr] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2676),
    [anon_sym_decltype] = ACTIONS(2676),
    [sym_virtual] = ACTIONS(2676),
    [anon_sym_explicit] = ACTIONS(2676),
    [anon_sym_typename] = ACTIONS(2676),
    [anon_sym_template] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_delete] = ACTIONS(2676),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_namespace] = ACTIONS(2676),
    [anon_sym_using] = ACTIONS(2676),
    [anon_sym_static_assert] = ACTIONS(2676),
    [anon_sym_concept] = ACTIONS(2676),
    [anon_sym_co_return] = ACTIONS(2676),
    [anon_sym_co_yield] = ACTIONS(2676),
    [anon_sym_R_DQUOTE] = ACTIONS(2678),
    [anon_sym_LR_DQUOTE] = ACTIONS(2678),
    [anon_sym_uR_DQUOTE] = ACTIONS(2678),
    [anon_sym_UR_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2678),
    [anon_sym_co_await] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_requires] = ACTIONS(2676),
    [sym_this] = ACTIONS(2676),
  },
  [625] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym___leave] = ACTIONS(2824),
    [anon_sym_not] = ACTIONS(2824),
    [anon_sym_compl] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
    [anon_sym_concept] = ACTIONS(2824),
    [anon_sym_co_return] = ACTIONS(2824),
    [anon_sym_co_yield] = ACTIONS(2824),
    [anon_sym_R_DQUOTE] = ACTIONS(2826),
    [anon_sym_LR_DQUOTE] = ACTIONS(2826),
    [anon_sym_uR_DQUOTE] = ACTIONS(2826),
    [anon_sym_UR_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2826),
    [anon_sym_co_await] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_requires] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
  },
  [626] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [627] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [sym_virtual] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2660),
    [aux_sym_preproc_include_token1] = ACTIONS(2660),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token2] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2660),
    [sym_preproc_directive] = ACTIONS(2660),
    [anon_sym_LPAREN2] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2662),
    [anon_sym___extension__] = ACTIONS(2660),
    [anon_sym_typedef] = ACTIONS(2660),
    [anon_sym_extern] = ACTIONS(2660),
    [anon_sym___attribute__] = ACTIONS(2660),
    [anon_sym_COLON_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2660),
    [anon_sym___based] = ACTIONS(2660),
    [anon_sym___cdecl] = ACTIONS(2660),
    [anon_sym___clrcall] = ACTIONS(2660),
    [anon_sym___stdcall] = ACTIONS(2660),
    [anon_sym___fastcall] = ACTIONS(2660),
    [anon_sym___thiscall] = ACTIONS(2660),
    [anon_sym___vectorcall] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2660),
    [anon_sym_unsigned] = ACTIONS(2660),
    [anon_sym_long] = ACTIONS(2660),
    [anon_sym_short] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_register] = ACTIONS(2660),
    [anon_sym_inline] = ACTIONS(2660),
    [anon_sym___inline] = ACTIONS(2660),
    [anon_sym___inline__] = ACTIONS(2660),
    [anon_sym___forceinline] = ACTIONS(2660),
    [anon_sym_thread_local] = ACTIONS(2660),
    [anon_sym___thread] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_constexpr] = ACTIONS(2660),
    [anon_sym_volatile] = ACTIONS(2660),
    [anon_sym_restrict] = ACTIONS(2660),
    [anon_sym___restrict__] = ACTIONS(2660),
    [anon_sym__Atomic] = ACTIONS(2660),
    [anon_sym__Noreturn] = ACTIONS(2660),
    [anon_sym_noreturn] = ACTIONS(2660),
    [anon_sym_mutable] = ACTIONS(2660),
    [anon_sym_constinit] = ACTIONS(2660),
    [anon_sym_consteval] = ACTIONS(2660),
    [anon_sym_alignas] = ACTIONS(2660),
    [anon_sym__Alignas] = ACTIONS(2660),
    [sym_primitive_type] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_struct] = ACTIONS(2660),
    [anon_sym_union] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_case] = ACTIONS(2660),
    [anon_sym_default] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_do] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2660),
    [anon_sym_return] = ACTIONS(2660),
    [anon_sym_break] = ACTIONS(2660),
    [anon_sym_continue] = ACTIONS(2660),
    [anon_sym_goto] = ACTIONS(2660),
    [anon_sym___try] = ACTIONS(2660),
    [anon_sym___leave] = ACTIONS(2660),
    [anon_sym_not] = ACTIONS(2660),
    [anon_sym_compl] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2662),
    [anon_sym_sizeof] = ACTIONS(2660),
    [anon_sym___alignof__] = ACTIONS(2660),
    [anon_sym___alignof] = ACTIONS(2660),
    [anon_sym__alignof] = ACTIONS(2660),
    [anon_sym_alignof] = ACTIONS(2660),
    [anon_sym__Alignof] = ACTIONS(2660),
    [anon_sym_offsetof] = ACTIONS(2660),
    [anon_sym__Generic] = ACTIONS(2660),
    [anon_sym_asm] = ACTIONS(2660),
    [anon_sym___asm__] = ACTIONS(2660),
    [sym_number_literal] = ACTIONS(2662),
    [anon_sym_L_SQUOTE] = ACTIONS(2662),
    [anon_sym_u_SQUOTE] = ACTIONS(2662),
    [anon_sym_U_SQUOTE] = ACTIONS(2662),
    [anon_sym_u8_SQUOTE] = ACTIONS(2662),
    [anon_sym_SQUOTE] = ACTIONS(2662),
    [anon_sym_L_DQUOTE] = ACTIONS(2662),
    [anon_sym_u_DQUOTE] = ACTIONS(2662),
    [anon_sym_U_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [sym_true] = ACTIONS(2660),
    [sym_false] = ACTIONS(2660),
    [anon_sym_NULL] = ACTIONS(2660),
    [anon_sym_nullptr] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2660),
    [anon_sym_decltype] = ACTIONS(2660),
    [sym_virtual] = ACTIONS(2660),
    [anon_sym_explicit] = ACTIONS(2660),
    [anon_sym_typename] = ACTIONS(2660),
    [anon_sym_template] = ACTIONS(2660),
    [anon_sym_operator] = ACTIONS(2660),
    [anon_sym_try] = ACTIONS(2660),
    [anon_sym_delete] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2660),
    [anon_sym_namespace] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_static_assert] = ACTIONS(2660),
    [anon_sym_concept] = ACTIONS(2660),
    [anon_sym_co_return] = ACTIONS(2660),
    [anon_sym_co_yield] = ACTIONS(2660),
    [anon_sym_R_DQUOTE] = ACTIONS(2662),
    [anon_sym_LR_DQUOTE] = ACTIONS(2662),
    [anon_sym_uR_DQUOTE] = ACTIONS(2662),
    [anon_sym_UR_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2662),
    [anon_sym_co_await] = ACTIONS(2660),
    [anon_sym_new] = ACTIONS(2660),
    [anon_sym_requires] = ACTIONS(2660),
    [sym_this] = ACTIONS(2660),
  },
  [629] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [sym_virtual] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [630] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [sym_virtual] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2692),
    [aux_sym_preproc_include_token1] = ACTIONS(2692),
    [aux_sym_preproc_def_token1] = ACTIONS(2692),
    [aux_sym_preproc_if_token1] = ACTIONS(2692),
    [aux_sym_preproc_if_token2] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2692),
    [sym_preproc_directive] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_TILDE] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2694),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_typedef] = ACTIONS(2692),
    [anon_sym_extern] = ACTIONS(2692),
    [anon_sym___attribute__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2694),
    [anon_sym___declspec] = ACTIONS(2692),
    [anon_sym___based] = ACTIONS(2692),
    [anon_sym___cdecl] = ACTIONS(2692),
    [anon_sym___clrcall] = ACTIONS(2692),
    [anon_sym___stdcall] = ACTIONS(2692),
    [anon_sym___fastcall] = ACTIONS(2692),
    [anon_sym___thiscall] = ACTIONS(2692),
    [anon_sym___vectorcall] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(2692),
    [anon_sym_unsigned] = ACTIONS(2692),
    [anon_sym_long] = ACTIONS(2692),
    [anon_sym_short] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(2692),
    [anon_sym_register] = ACTIONS(2692),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym___inline] = ACTIONS(2692),
    [anon_sym___inline__] = ACTIONS(2692),
    [anon_sym___forceinline] = ACTIONS(2692),
    [anon_sym_thread_local] = ACTIONS(2692),
    [anon_sym___thread] = ACTIONS(2692),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2692),
    [anon_sym__Alignas] = ACTIONS(2692),
    [sym_primitive_type] = ACTIONS(2692),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2692),
    [anon_sym_struct] = ACTIONS(2692),
    [anon_sym_union] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_case] = ACTIONS(2692),
    [anon_sym_default] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_break] = ACTIONS(2692),
    [anon_sym_continue] = ACTIONS(2692),
    [anon_sym_goto] = ACTIONS(2692),
    [anon_sym___try] = ACTIONS(2692),
    [anon_sym___leave] = ACTIONS(2692),
    [anon_sym_not] = ACTIONS(2692),
    [anon_sym_compl] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2694),
    [anon_sym_sizeof] = ACTIONS(2692),
    [anon_sym___alignof__] = ACTIONS(2692),
    [anon_sym___alignof] = ACTIONS(2692),
    [anon_sym__alignof] = ACTIONS(2692),
    [anon_sym_alignof] = ACTIONS(2692),
    [anon_sym__Alignof] = ACTIONS(2692),
    [anon_sym_offsetof] = ACTIONS(2692),
    [anon_sym__Generic] = ACTIONS(2692),
    [anon_sym_asm] = ACTIONS(2692),
    [anon_sym___asm__] = ACTIONS(2692),
    [sym_number_literal] = ACTIONS(2694),
    [anon_sym_L_SQUOTE] = ACTIONS(2694),
    [anon_sym_u_SQUOTE] = ACTIONS(2694),
    [anon_sym_U_SQUOTE] = ACTIONS(2694),
    [anon_sym_u8_SQUOTE] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_L_DQUOTE] = ACTIONS(2694),
    [anon_sym_u_DQUOTE] = ACTIONS(2694),
    [anon_sym_U_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2694),
    [sym_true] = ACTIONS(2692),
    [sym_false] = ACTIONS(2692),
    [anon_sym_NULL] = ACTIONS(2692),
    [anon_sym_nullptr] = ACTIONS(2692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2692),
    [anon_sym_decltype] = ACTIONS(2692),
    [sym_virtual] = ACTIONS(2692),
    [anon_sym_explicit] = ACTIONS(2692),
    [anon_sym_typename] = ACTIONS(2692),
    [anon_sym_template] = ACTIONS(2692),
    [anon_sym_operator] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_delete] = ACTIONS(2692),
    [anon_sym_throw] = ACTIONS(2692),
    [anon_sym_namespace] = ACTIONS(2692),
    [anon_sym_using] = ACTIONS(2692),
    [anon_sym_static_assert] = ACTIONS(2692),
    [anon_sym_concept] = ACTIONS(2692),
    [anon_sym_co_return] = ACTIONS(2692),
    [anon_sym_co_yield] = ACTIONS(2692),
    [anon_sym_R_DQUOTE] = ACTIONS(2694),
    [anon_sym_LR_DQUOTE] = ACTIONS(2694),
    [anon_sym_uR_DQUOTE] = ACTIONS(2694),
    [anon_sym_UR_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2694),
    [anon_sym_co_await] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_requires] = ACTIONS(2692),
    [sym_this] = ACTIONS(2692),
  },
  [632] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [sym_virtual] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [633] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5235),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(6285),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(7436),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3202),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [aux_sym_preproc_else_token1] = ACTIONS(3205),
    [aux_sym_preproc_elif_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3210),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3228),
    [anon_sym_typedef] = ACTIONS(3231),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3246),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(3258),
    [anon_sym_restrict] = ACTIONS(3258),
    [anon_sym___restrict__] = ACTIONS(3258),
    [anon_sym__Atomic] = ACTIONS(3258),
    [anon_sym__Noreturn] = ACTIONS(3258),
    [anon_sym_noreturn] = ACTIONS(3258),
    [anon_sym_mutable] = ACTIONS(3258),
    [anon_sym_constinit] = ACTIONS(3258),
    [anon_sym_consteval] = ACTIONS(3258),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym__Alignas] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_struct] = ACTIONS(3273),
    [anon_sym_union] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3282),
    [sym_virtual] = ACTIONS(3285),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3294),
    [anon_sym_operator] = ACTIONS(3297),
    [anon_sym_friend] = ACTIONS(3300),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_static_assert] = ACTIONS(3309),
  },
  [634] = {
    [sym_identifier] = ACTIONS(2919),
    [aux_sym_preproc_include_token1] = ACTIONS(2919),
    [aux_sym_preproc_def_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token2] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2919),
    [sym_preproc_directive] = ACTIONS(2919),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2919),
    [anon_sym_typedef] = ACTIONS(2919),
    [anon_sym_extern] = ACTIONS(2919),
    [anon_sym___attribute__] = ACTIONS(2919),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2919),
    [anon_sym___based] = ACTIONS(2919),
    [anon_sym___cdecl] = ACTIONS(2919),
    [anon_sym___clrcall] = ACTIONS(2919),
    [anon_sym___stdcall] = ACTIONS(2919),
    [anon_sym___fastcall] = ACTIONS(2919),
    [anon_sym___thiscall] = ACTIONS(2919),
    [anon_sym___vectorcall] = ACTIONS(2919),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2919),
    [anon_sym_unsigned] = ACTIONS(2919),
    [anon_sym_long] = ACTIONS(2919),
    [anon_sym_short] = ACTIONS(2919),
    [anon_sym_LBRACK] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2919),
    [anon_sym_register] = ACTIONS(2919),
    [anon_sym_inline] = ACTIONS(2919),
    [anon_sym___inline] = ACTIONS(2919),
    [anon_sym___inline__] = ACTIONS(2919),
    [anon_sym___forceinline] = ACTIONS(2919),
    [anon_sym_thread_local] = ACTIONS(2919),
    [anon_sym___thread] = ACTIONS(2919),
    [anon_sym_const] = ACTIONS(2919),
    [anon_sym_constexpr] = ACTIONS(2919),
    [anon_sym_volatile] = ACTIONS(2919),
    [anon_sym_restrict] = ACTIONS(2919),
    [anon_sym___restrict__] = ACTIONS(2919),
    [anon_sym__Atomic] = ACTIONS(2919),
    [anon_sym__Noreturn] = ACTIONS(2919),
    [anon_sym_noreturn] = ACTIONS(2919),
    [anon_sym_mutable] = ACTIONS(2919),
    [anon_sym_constinit] = ACTIONS(2919),
    [anon_sym_consteval] = ACTIONS(2919),
    [anon_sym_alignas] = ACTIONS(2919),
    [anon_sym__Alignas] = ACTIONS(2919),
    [sym_primitive_type] = ACTIONS(2919),
    [anon_sym_enum] = ACTIONS(2919),
    [anon_sym_class] = ACTIONS(2919),
    [anon_sym_struct] = ACTIONS(2919),
    [anon_sym_union] = ACTIONS(2919),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_switch] = ACTIONS(2919),
    [anon_sym_case] = ACTIONS(2919),
    [anon_sym_default] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2919),
    [anon_sym_for] = ACTIONS(2919),
    [anon_sym_return] = ACTIONS(2919),
    [anon_sym_break] = ACTIONS(2919),
    [anon_sym_continue] = ACTIONS(2919),
    [anon_sym_goto] = ACTIONS(2919),
    [anon_sym___try] = ACTIONS(2919),
    [anon_sym___leave] = ACTIONS(2919),
    [anon_sym_not] = ACTIONS(2919),
    [anon_sym_compl] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2919),
    [anon_sym___alignof__] = ACTIONS(2919),
    [anon_sym___alignof] = ACTIONS(2919),
    [anon_sym__alignof] = ACTIONS(2919),
    [anon_sym_alignof] = ACTIONS(2919),
    [anon_sym__Alignof] = ACTIONS(2919),
    [anon_sym_offsetof] = ACTIONS(2919),
    [anon_sym__Generic] = ACTIONS(2919),
    [anon_sym_asm] = ACTIONS(2919),
    [anon_sym___asm__] = ACTIONS(2919),
    [sym_number_literal] = ACTIONS(2922),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2919),
    [sym_false] = ACTIONS(2919),
    [anon_sym_NULL] = ACTIONS(2919),
    [anon_sym_nullptr] = ACTIONS(2919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2919),
    [anon_sym_decltype] = ACTIONS(2919),
    [sym_virtual] = ACTIONS(2919),
    [anon_sym_explicit] = ACTIONS(2919),
    [anon_sym_typename] = ACTIONS(2919),
    [anon_sym_template] = ACTIONS(2919),
    [anon_sym_operator] = ACTIONS(2919),
    [anon_sym_try] = ACTIONS(2919),
    [anon_sym_delete] = ACTIONS(2919),
    [anon_sym_throw] = ACTIONS(2919),
    [anon_sym_namespace] = ACTIONS(2919),
    [anon_sym_using] = ACTIONS(2919),
    [anon_sym_static_assert] = ACTIONS(2919),
    [anon_sym_concept] = ACTIONS(2919),
    [anon_sym_co_return] = ACTIONS(2919),
    [anon_sym_co_yield] = ACTIONS(2919),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2919),
    [anon_sym_new] = ACTIONS(2919),
    [anon_sym_requires] = ACTIONS(2919),
    [sym_this] = ACTIONS(2919),
  },
  [635] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2810),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2808),
    [anon_sym___leave] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [636] = {
    [sym_identifier] = ACTIONS(2716),
    [aux_sym_preproc_include_token1] = ACTIONS(2716),
    [aux_sym_preproc_def_token1] = ACTIONS(2716),
    [aux_sym_preproc_if_token1] = ACTIONS(2716),
    [aux_sym_preproc_if_token2] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2716),
    [sym_preproc_directive] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2718),
    [anon_sym___extension__] = ACTIONS(2716),
    [anon_sym_typedef] = ACTIONS(2716),
    [anon_sym_extern] = ACTIONS(2716),
    [anon_sym___attribute__] = ACTIONS(2716),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2718),
    [anon_sym___declspec] = ACTIONS(2716),
    [anon_sym___based] = ACTIONS(2716),
    [anon_sym___cdecl] = ACTIONS(2716),
    [anon_sym___clrcall] = ACTIONS(2716),
    [anon_sym___stdcall] = ACTIONS(2716),
    [anon_sym___fastcall] = ACTIONS(2716),
    [anon_sym___thiscall] = ACTIONS(2716),
    [anon_sym___vectorcall] = ACTIONS(2716),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_signed] = ACTIONS(2716),
    [anon_sym_unsigned] = ACTIONS(2716),
    [anon_sym_long] = ACTIONS(2716),
    [anon_sym_short] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_register] = ACTIONS(2716),
    [anon_sym_inline] = ACTIONS(2716),
    [anon_sym___inline] = ACTIONS(2716),
    [anon_sym___inline__] = ACTIONS(2716),
    [anon_sym___forceinline] = ACTIONS(2716),
    [anon_sym_thread_local] = ACTIONS(2716),
    [anon_sym___thread] = ACTIONS(2716),
    [anon_sym_const] = ACTIONS(2716),
    [anon_sym_constexpr] = ACTIONS(2716),
    [anon_sym_volatile] = ACTIONS(2716),
    [anon_sym_restrict] = ACTIONS(2716),
    [anon_sym___restrict__] = ACTIONS(2716),
    [anon_sym__Atomic] = ACTIONS(2716),
    [anon_sym__Noreturn] = ACTIONS(2716),
    [anon_sym_noreturn] = ACTIONS(2716),
    [anon_sym_mutable] = ACTIONS(2716),
    [anon_sym_constinit] = ACTIONS(2716),
    [anon_sym_consteval] = ACTIONS(2716),
    [anon_sym_alignas] = ACTIONS(2716),
    [anon_sym__Alignas] = ACTIONS(2716),
    [sym_primitive_type] = ACTIONS(2716),
    [anon_sym_enum] = ACTIONS(2716),
    [anon_sym_class] = ACTIONS(2716),
    [anon_sym_struct] = ACTIONS(2716),
    [anon_sym_union] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_switch] = ACTIONS(2716),
    [anon_sym_case] = ACTIONS(2716),
    [anon_sym_default] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_break] = ACTIONS(2716),
    [anon_sym_continue] = ACTIONS(2716),
    [anon_sym_goto] = ACTIONS(2716),
    [anon_sym___try] = ACTIONS(2716),
    [anon_sym___leave] = ACTIONS(2716),
    [anon_sym_not] = ACTIONS(2716),
    [anon_sym_compl] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_sizeof] = ACTIONS(2716),
    [anon_sym___alignof__] = ACTIONS(2716),
    [anon_sym___alignof] = ACTIONS(2716),
    [anon_sym__alignof] = ACTIONS(2716),
    [anon_sym_alignof] = ACTIONS(2716),
    [anon_sym__Alignof] = ACTIONS(2716),
    [anon_sym_offsetof] = ACTIONS(2716),
    [anon_sym__Generic] = ACTIONS(2716),
    [anon_sym_asm] = ACTIONS(2716),
    [anon_sym___asm__] = ACTIONS(2716),
    [sym_number_literal] = ACTIONS(2718),
    [anon_sym_L_SQUOTE] = ACTIONS(2718),
    [anon_sym_u_SQUOTE] = ACTIONS(2718),
    [anon_sym_U_SQUOTE] = ACTIONS(2718),
    [anon_sym_u8_SQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_L_DQUOTE] = ACTIONS(2718),
    [anon_sym_u_DQUOTE] = ACTIONS(2718),
    [anon_sym_U_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [anon_sym_NULL] = ACTIONS(2716),
    [anon_sym_nullptr] = ACTIONS(2716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2716),
    [anon_sym_decltype] = ACTIONS(2716),
    [sym_virtual] = ACTIONS(2716),
    [anon_sym_explicit] = ACTIONS(2716),
    [anon_sym_typename] = ACTIONS(2716),
    [anon_sym_template] = ACTIONS(2716),
    [anon_sym_operator] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_delete] = ACTIONS(2716),
    [anon_sym_throw] = ACTIONS(2716),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_using] = ACTIONS(2716),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_concept] = ACTIONS(2716),
    [anon_sym_co_return] = ACTIONS(2716),
    [anon_sym_co_yield] = ACTIONS(2716),
    [anon_sym_R_DQUOTE] = ACTIONS(2718),
    [anon_sym_LR_DQUOTE] = ACTIONS(2718),
    [anon_sym_uR_DQUOTE] = ACTIONS(2718),
    [anon_sym_UR_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2718),
    [anon_sym_co_await] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_requires] = ACTIONS(2716),
    [sym_this] = ACTIONS(2716),
  },
  [637] = {
    [sym_identifier] = ACTIONS(2720),
    [aux_sym_preproc_include_token1] = ACTIONS(2720),
    [aux_sym_preproc_def_token1] = ACTIONS(2720),
    [aux_sym_preproc_if_token1] = ACTIONS(2720),
    [aux_sym_preproc_if_token2] = ACTIONS(2720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2720),
    [sym_preproc_directive] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_BANG] = ACTIONS(2722),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_STAR] = ACTIONS(2722),
    [anon_sym_AMP_AMP] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2722),
    [anon_sym___extension__] = ACTIONS(2720),
    [anon_sym_typedef] = ACTIONS(2720),
    [anon_sym_extern] = ACTIONS(2720),
    [anon_sym___attribute__] = ACTIONS(2720),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2722),
    [anon_sym___declspec] = ACTIONS(2720),
    [anon_sym___based] = ACTIONS(2720),
    [anon_sym___cdecl] = ACTIONS(2720),
    [anon_sym___clrcall] = ACTIONS(2720),
    [anon_sym___stdcall] = ACTIONS(2720),
    [anon_sym___fastcall] = ACTIONS(2720),
    [anon_sym___thiscall] = ACTIONS(2720),
    [anon_sym___vectorcall] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2722),
    [anon_sym_signed] = ACTIONS(2720),
    [anon_sym_unsigned] = ACTIONS(2720),
    [anon_sym_long] = ACTIONS(2720),
    [anon_sym_short] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_register] = ACTIONS(2720),
    [anon_sym_inline] = ACTIONS(2720),
    [anon_sym___inline] = ACTIONS(2720),
    [anon_sym___inline__] = ACTIONS(2720),
    [anon_sym___forceinline] = ACTIONS(2720),
    [anon_sym_thread_local] = ACTIONS(2720),
    [anon_sym___thread] = ACTIONS(2720),
    [anon_sym_const] = ACTIONS(2720),
    [anon_sym_constexpr] = ACTIONS(2720),
    [anon_sym_volatile] = ACTIONS(2720),
    [anon_sym_restrict] = ACTIONS(2720),
    [anon_sym___restrict__] = ACTIONS(2720),
    [anon_sym__Atomic] = ACTIONS(2720),
    [anon_sym__Noreturn] = ACTIONS(2720),
    [anon_sym_noreturn] = ACTIONS(2720),
    [anon_sym_mutable] = ACTIONS(2720),
    [anon_sym_constinit] = ACTIONS(2720),
    [anon_sym_consteval] = ACTIONS(2720),
    [anon_sym_alignas] = ACTIONS(2720),
    [anon_sym__Alignas] = ACTIONS(2720),
    [sym_primitive_type] = ACTIONS(2720),
    [anon_sym_enum] = ACTIONS(2720),
    [anon_sym_class] = ACTIONS(2720),
    [anon_sym_struct] = ACTIONS(2720),
    [anon_sym_union] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2720),
    [anon_sym_case] = ACTIONS(2720),
    [anon_sym_default] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_break] = ACTIONS(2720),
    [anon_sym_continue] = ACTIONS(2720),
    [anon_sym_goto] = ACTIONS(2720),
    [anon_sym___try] = ACTIONS(2720),
    [anon_sym___leave] = ACTIONS(2720),
    [anon_sym_not] = ACTIONS(2720),
    [anon_sym_compl] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_sizeof] = ACTIONS(2720),
    [anon_sym___alignof__] = ACTIONS(2720),
    [anon_sym___alignof] = ACTIONS(2720),
    [anon_sym__alignof] = ACTIONS(2720),
    [anon_sym_alignof] = ACTIONS(2720),
    [anon_sym__Alignof] = ACTIONS(2720),
    [anon_sym_offsetof] = ACTIONS(2720),
    [anon_sym__Generic] = ACTIONS(2720),
    [anon_sym_asm] = ACTIONS(2720),
    [anon_sym___asm__] = ACTIONS(2720),
    [sym_number_literal] = ACTIONS(2722),
    [anon_sym_L_SQUOTE] = ACTIONS(2722),
    [anon_sym_u_SQUOTE] = ACTIONS(2722),
    [anon_sym_U_SQUOTE] = ACTIONS(2722),
    [anon_sym_u8_SQUOTE] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_L_DQUOTE] = ACTIONS(2722),
    [anon_sym_u_DQUOTE] = ACTIONS(2722),
    [anon_sym_U_DQUOTE] = ACTIONS(2722),
    [anon_sym_u8_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE] = ACTIONS(2722),
    [sym_true] = ACTIONS(2720),
    [sym_false] = ACTIONS(2720),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2720),
    [anon_sym_decltype] = ACTIONS(2720),
    [sym_virtual] = ACTIONS(2720),
    [anon_sym_explicit] = ACTIONS(2720),
    [anon_sym_typename] = ACTIONS(2720),
    [anon_sym_template] = ACTIONS(2720),
    [anon_sym_operator] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2720),
    [anon_sym_throw] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_using] = ACTIONS(2720),
    [anon_sym_static_assert] = ACTIONS(2720),
    [anon_sym_concept] = ACTIONS(2720),
    [anon_sym_co_return] = ACTIONS(2720),
    [anon_sym_co_yield] = ACTIONS(2720),
    [anon_sym_R_DQUOTE] = ACTIONS(2722),
    [anon_sym_LR_DQUOTE] = ACTIONS(2722),
    [anon_sym_uR_DQUOTE] = ACTIONS(2722),
    [anon_sym_UR_DQUOTE] = ACTIONS(2722),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2722),
    [anon_sym_co_await] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_requires] = ACTIONS(2720),
    [sym_this] = ACTIONS(2720),
  },
  [638] = {
    [sym_catch_clause] = STATE(318),
    [aux_sym_constructor_try_statement_repeat1] = STATE(318),
    [ts_builtin_sym_end] = ACTIONS(2476),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_not] = ACTIONS(2474),
    [anon_sym_compl] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_concept] = ACTIONS(2474),
    [anon_sym_co_return] = ACTIONS(2474),
    [anon_sym_co_yield] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_requires] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2724),
    [aux_sym_preproc_include_token1] = ACTIONS(2724),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token2] = ACTIONS(2724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2724),
    [sym_preproc_directive] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_BANG] = ACTIONS(2726),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2726),
    [anon_sym_AMP_AMP] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2726),
    [anon_sym___extension__] = ACTIONS(2724),
    [anon_sym_typedef] = ACTIONS(2724),
    [anon_sym_extern] = ACTIONS(2724),
    [anon_sym___attribute__] = ACTIONS(2724),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2726),
    [anon_sym___declspec] = ACTIONS(2724),
    [anon_sym___based] = ACTIONS(2724),
    [anon_sym___cdecl] = ACTIONS(2724),
    [anon_sym___clrcall] = ACTIONS(2724),
    [anon_sym___stdcall] = ACTIONS(2724),
    [anon_sym___fastcall] = ACTIONS(2724),
    [anon_sym___thiscall] = ACTIONS(2724),
    [anon_sym___vectorcall] = ACTIONS(2724),
    [anon_sym_LBRACE] = ACTIONS(2726),
    [anon_sym_signed] = ACTIONS(2724),
    [anon_sym_unsigned] = ACTIONS(2724),
    [anon_sym_long] = ACTIONS(2724),
    [anon_sym_short] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_static] = ACTIONS(2724),
    [anon_sym_register] = ACTIONS(2724),
    [anon_sym_inline] = ACTIONS(2724),
    [anon_sym___inline] = ACTIONS(2724),
    [anon_sym___inline__] = ACTIONS(2724),
    [anon_sym___forceinline] = ACTIONS(2724),
    [anon_sym_thread_local] = ACTIONS(2724),
    [anon_sym___thread] = ACTIONS(2724),
    [anon_sym_const] = ACTIONS(2724),
    [anon_sym_constexpr] = ACTIONS(2724),
    [anon_sym_volatile] = ACTIONS(2724),
    [anon_sym_restrict] = ACTIONS(2724),
    [anon_sym___restrict__] = ACTIONS(2724),
    [anon_sym__Atomic] = ACTIONS(2724),
    [anon_sym__Noreturn] = ACTIONS(2724),
    [anon_sym_noreturn] = ACTIONS(2724),
    [anon_sym_mutable] = ACTIONS(2724),
    [anon_sym_constinit] = ACTIONS(2724),
    [anon_sym_consteval] = ACTIONS(2724),
    [anon_sym_alignas] = ACTIONS(2724),
    [anon_sym__Alignas] = ACTIONS(2724),
    [sym_primitive_type] = ACTIONS(2724),
    [anon_sym_enum] = ACTIONS(2724),
    [anon_sym_class] = ACTIONS(2724),
    [anon_sym_struct] = ACTIONS(2724),
    [anon_sym_union] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_switch] = ACTIONS(2724),
    [anon_sym_case] = ACTIONS(2724),
    [anon_sym_default] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_break] = ACTIONS(2724),
    [anon_sym_continue] = ACTIONS(2724),
    [anon_sym_goto] = ACTIONS(2724),
    [anon_sym___try] = ACTIONS(2724),
    [anon_sym___leave] = ACTIONS(2724),
    [anon_sym_not] = ACTIONS(2724),
    [anon_sym_compl] = ACTIONS(2724),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_sizeof] = ACTIONS(2724),
    [anon_sym___alignof__] = ACTIONS(2724),
    [anon_sym___alignof] = ACTIONS(2724),
    [anon_sym__alignof] = ACTIONS(2724),
    [anon_sym_alignof] = ACTIONS(2724),
    [anon_sym__Alignof] = ACTIONS(2724),
    [anon_sym_offsetof] = ACTIONS(2724),
    [anon_sym__Generic] = ACTIONS(2724),
    [anon_sym_asm] = ACTIONS(2724),
    [anon_sym___asm__] = ACTIONS(2724),
    [sym_number_literal] = ACTIONS(2726),
    [anon_sym_L_SQUOTE] = ACTIONS(2726),
    [anon_sym_u_SQUOTE] = ACTIONS(2726),
    [anon_sym_U_SQUOTE] = ACTIONS(2726),
    [anon_sym_u8_SQUOTE] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_L_DQUOTE] = ACTIONS(2726),
    [anon_sym_u_DQUOTE] = ACTIONS(2726),
    [anon_sym_U_DQUOTE] = ACTIONS(2726),
    [anon_sym_u8_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2726),
    [sym_true] = ACTIONS(2724),
    [sym_false] = ACTIONS(2724),
    [anon_sym_NULL] = ACTIONS(2724),
    [anon_sym_nullptr] = ACTIONS(2724),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2724),
    [anon_sym_decltype] = ACTIONS(2724),
    [sym_virtual] = ACTIONS(2724),
    [anon_sym_explicit] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2724),
    [anon_sym_template] = ACTIONS(2724),
    [anon_sym_operator] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_delete] = ACTIONS(2724),
    [anon_sym_throw] = ACTIONS(2724),
    [anon_sym_namespace] = ACTIONS(2724),
    [anon_sym_using] = ACTIONS(2724),
    [anon_sym_static_assert] = ACTIONS(2724),
    [anon_sym_concept] = ACTIONS(2724),
    [anon_sym_co_return] = ACTIONS(2724),
    [anon_sym_co_yield] = ACTIONS(2724),
    [anon_sym_R_DQUOTE] = ACTIONS(2726),
    [anon_sym_LR_DQUOTE] = ACTIONS(2726),
    [anon_sym_uR_DQUOTE] = ACTIONS(2726),
    [anon_sym_UR_DQUOTE] = ACTIONS(2726),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2726),
    [anon_sym_co_await] = ACTIONS(2724),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_requires] = ACTIONS(2724),
    [sym_this] = ACTIONS(2724),
  },
  [640] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym___leave] = ACTIONS(2812),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_compl] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
    [anon_sym_concept] = ACTIONS(2812),
    [anon_sym_co_return] = ACTIONS(2812),
    [anon_sym_co_yield] = ACTIONS(2812),
    [anon_sym_R_DQUOTE] = ACTIONS(2814),
    [anon_sym_LR_DQUOTE] = ACTIONS(2814),
    [anon_sym_uR_DQUOTE] = ACTIONS(2814),
    [anon_sym_UR_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2814),
    [anon_sym_co_await] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_requires] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token2] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym__Alignas] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2688),
    [anon_sym___leave] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [sym_virtual] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
  },
  [642] = {
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token2] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_BANG] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2646),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym___cdecl] = ACTIONS(2644),
    [anon_sym___clrcall] = ACTIONS(2644),
    [anon_sym___stdcall] = ACTIONS(2644),
    [anon_sym___fastcall] = ACTIONS(2644),
    [anon_sym___thiscall] = ACTIONS(2644),
    [anon_sym___vectorcall] = ACTIONS(2644),
    [anon_sym_LBRACE] = ACTIONS(2646),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2644),
    [anon_sym_case] = ACTIONS(2644),
    [anon_sym_default] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_return] = ACTIONS(2644),
    [anon_sym_break] = ACTIONS(2644),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_goto] = ACTIONS(2644),
    [anon_sym___try] = ACTIONS(2644),
    [anon_sym___leave] = ACTIONS(2644),
    [anon_sym_not] = ACTIONS(2644),
    [anon_sym_compl] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2646),
    [anon_sym_PLUS_PLUS] = ACTIONS(2646),
    [anon_sym_sizeof] = ACTIONS(2644),
    [anon_sym___alignof__] = ACTIONS(2644),
    [anon_sym___alignof] = ACTIONS(2644),
    [anon_sym__alignof] = ACTIONS(2644),
    [anon_sym_alignof] = ACTIONS(2644),
    [anon_sym__Alignof] = ACTIONS(2644),
    [anon_sym_offsetof] = ACTIONS(2644),
    [anon_sym__Generic] = ACTIONS(2644),
    [anon_sym_asm] = ACTIONS(2644),
    [anon_sym___asm__] = ACTIONS(2644),
    [sym_number_literal] = ACTIONS(2646),
    [anon_sym_L_SQUOTE] = ACTIONS(2646),
    [anon_sym_u_SQUOTE] = ACTIONS(2646),
    [anon_sym_U_SQUOTE] = ACTIONS(2646),
    [anon_sym_u8_SQUOTE] = ACTIONS(2646),
    [anon_sym_SQUOTE] = ACTIONS(2646),
    [anon_sym_L_DQUOTE] = ACTIONS(2646),
    [anon_sym_u_DQUOTE] = ACTIONS(2646),
    [anon_sym_U_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8_DQUOTE] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [sym_true] = ACTIONS(2644),
    [sym_false] = ACTIONS(2644),
    [anon_sym_NULL] = ACTIONS(2644),
    [anon_sym_nullptr] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_try] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2644),
    [anon_sym_namespace] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
    [anon_sym_concept] = ACTIONS(2644),
    [anon_sym_co_return] = ACTIONS(2644),
    [anon_sym_co_yield] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2644),
    [anon_sym_requires] = ACTIONS(2644),
    [sym_this] = ACTIONS(2644),
  },
  [643] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_include_token1] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token2] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym___cdecl] = ACTIONS(2775),
    [anon_sym___clrcall] = ACTIONS(2775),
    [anon_sym___stdcall] = ACTIONS(2775),
    [anon_sym___fastcall] = ACTIONS(2775),
    [anon_sym___thiscall] = ACTIONS(2775),
    [anon_sym___vectorcall] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym___try] = ACTIONS(2775),
    [anon_sym___leave] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [sym_number_literal] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_namespace] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
    [anon_sym_concept] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [644] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_include_token1] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token2] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym___cdecl] = ACTIONS(2775),
    [anon_sym___clrcall] = ACTIONS(2775),
    [anon_sym___stdcall] = ACTIONS(2775),
    [anon_sym___fastcall] = ACTIONS(2775),
    [anon_sym___thiscall] = ACTIONS(2775),
    [anon_sym___vectorcall] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym___try] = ACTIONS(2775),
    [anon_sym___leave] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [sym_number_literal] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_namespace] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
    [anon_sym_concept] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [646] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [sym_virtual] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [sym_virtual] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2771),
    [aux_sym_preproc_include_token1] = ACTIONS(2771),
    [aux_sym_preproc_def_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token2] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2771),
    [sym_preproc_directive] = ACTIONS(2771),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_BANG] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym___extension__] = ACTIONS(2771),
    [anon_sym_typedef] = ACTIONS(2771),
    [anon_sym_extern] = ACTIONS(2771),
    [anon_sym___attribute__] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2773),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2773),
    [anon_sym___declspec] = ACTIONS(2771),
    [anon_sym___based] = ACTIONS(2771),
    [anon_sym___cdecl] = ACTIONS(2771),
    [anon_sym___clrcall] = ACTIONS(2771),
    [anon_sym___stdcall] = ACTIONS(2771),
    [anon_sym___fastcall] = ACTIONS(2771),
    [anon_sym___thiscall] = ACTIONS(2771),
    [anon_sym___vectorcall] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2771),
    [anon_sym_unsigned] = ACTIONS(2771),
    [anon_sym_long] = ACTIONS(2771),
    [anon_sym_short] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2771),
    [anon_sym_register] = ACTIONS(2771),
    [anon_sym_inline] = ACTIONS(2771),
    [anon_sym___inline] = ACTIONS(2771),
    [anon_sym___inline__] = ACTIONS(2771),
    [anon_sym___forceinline] = ACTIONS(2771),
    [anon_sym_thread_local] = ACTIONS(2771),
    [anon_sym___thread] = ACTIONS(2771),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_constexpr] = ACTIONS(2771),
    [anon_sym_volatile] = ACTIONS(2771),
    [anon_sym_restrict] = ACTIONS(2771),
    [anon_sym___restrict__] = ACTIONS(2771),
    [anon_sym__Atomic] = ACTIONS(2771),
    [anon_sym__Noreturn] = ACTIONS(2771),
    [anon_sym_noreturn] = ACTIONS(2771),
    [anon_sym_mutable] = ACTIONS(2771),
    [anon_sym_constinit] = ACTIONS(2771),
    [anon_sym_consteval] = ACTIONS(2771),
    [anon_sym_alignas] = ACTIONS(2771),
    [anon_sym__Alignas] = ACTIONS(2771),
    [sym_primitive_type] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2771),
    [anon_sym_struct] = ACTIONS(2771),
    [anon_sym_union] = ACTIONS(2771),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_switch] = ACTIONS(2771),
    [anon_sym_case] = ACTIONS(2771),
    [anon_sym_default] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(2771),
    [anon_sym_do] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2771),
    [anon_sym_return] = ACTIONS(2771),
    [anon_sym_break] = ACTIONS(2771),
    [anon_sym_continue] = ACTIONS(2771),
    [anon_sym_goto] = ACTIONS(2771),
    [anon_sym___try] = ACTIONS(2771),
    [anon_sym___leave] = ACTIONS(2771),
    [anon_sym_not] = ACTIONS(2771),
    [anon_sym_compl] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_sizeof] = ACTIONS(2771),
    [anon_sym___alignof__] = ACTIONS(2771),
    [anon_sym___alignof] = ACTIONS(2771),
    [anon_sym__alignof] = ACTIONS(2771),
    [anon_sym_alignof] = ACTIONS(2771),
    [anon_sym__Alignof] = ACTIONS(2771),
    [anon_sym_offsetof] = ACTIONS(2771),
    [anon_sym__Generic] = ACTIONS(2771),
    [anon_sym_asm] = ACTIONS(2771),
    [anon_sym___asm__] = ACTIONS(2771),
    [sym_number_literal] = ACTIONS(2773),
    [anon_sym_L_SQUOTE] = ACTIONS(2773),
    [anon_sym_u_SQUOTE] = ACTIONS(2773),
    [anon_sym_U_SQUOTE] = ACTIONS(2773),
    [anon_sym_u8_SQUOTE] = ACTIONS(2773),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_L_DQUOTE] = ACTIONS(2773),
    [anon_sym_u_DQUOTE] = ACTIONS(2773),
    [anon_sym_U_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2771),
    [anon_sym_nullptr] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2771),
    [anon_sym_decltype] = ACTIONS(2771),
    [sym_virtual] = ACTIONS(2771),
    [anon_sym_explicit] = ACTIONS(2771),
    [anon_sym_typename] = ACTIONS(2771),
    [anon_sym_template] = ACTIONS(2771),
    [anon_sym_operator] = ACTIONS(2771),
    [anon_sym_try] = ACTIONS(2771),
    [anon_sym_delete] = ACTIONS(2771),
    [anon_sym_throw] = ACTIONS(2771),
    [anon_sym_namespace] = ACTIONS(2771),
    [anon_sym_using] = ACTIONS(2771),
    [anon_sym_static_assert] = ACTIONS(2771),
    [anon_sym_concept] = ACTIONS(2771),
    [anon_sym_co_return] = ACTIONS(2771),
    [anon_sym_co_yield] = ACTIONS(2771),
    [anon_sym_R_DQUOTE] = ACTIONS(2773),
    [anon_sym_LR_DQUOTE] = ACTIONS(2773),
    [anon_sym_uR_DQUOTE] = ACTIONS(2773),
    [anon_sym_UR_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2773),
    [anon_sym_co_await] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2771),
    [anon_sym_requires] = ACTIONS(2771),
    [sym_this] = ACTIONS(2771),
  },
  [649] = {
    [sym_identifier] = ACTIONS(2680),
    [aux_sym_preproc_include_token1] = ACTIONS(2680),
    [aux_sym_preproc_def_token1] = ACTIONS(2680),
    [aux_sym_preproc_if_token1] = ACTIONS(2680),
    [aux_sym_preproc_if_token2] = ACTIONS(2680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2680),
    [sym_preproc_directive] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_BANG] = ACTIONS(2682),
    [anon_sym_TILDE] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_AMP_AMP] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2682),
    [anon_sym___extension__] = ACTIONS(2680),
    [anon_sym_typedef] = ACTIONS(2680),
    [anon_sym_extern] = ACTIONS(2680),
    [anon_sym___attribute__] = ACTIONS(2680),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2682),
    [anon_sym___declspec] = ACTIONS(2680),
    [anon_sym___based] = ACTIONS(2680),
    [anon_sym___cdecl] = ACTIONS(2680),
    [anon_sym___clrcall] = ACTIONS(2680),
    [anon_sym___stdcall] = ACTIONS(2680),
    [anon_sym___fastcall] = ACTIONS(2680),
    [anon_sym___thiscall] = ACTIONS(2680),
    [anon_sym___vectorcall] = ACTIONS(2680),
    [anon_sym_LBRACE] = ACTIONS(2682),
    [anon_sym_signed] = ACTIONS(2680),
    [anon_sym_unsigned] = ACTIONS(2680),
    [anon_sym_long] = ACTIONS(2680),
    [anon_sym_short] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_static] = ACTIONS(2680),
    [anon_sym_register] = ACTIONS(2680),
    [anon_sym_inline] = ACTIONS(2680),
    [anon_sym___inline] = ACTIONS(2680),
    [anon_sym___inline__] = ACTIONS(2680),
    [anon_sym___forceinline] = ACTIONS(2680),
    [anon_sym_thread_local] = ACTIONS(2680),
    [anon_sym___thread] = ACTIONS(2680),
    [anon_sym_const] = ACTIONS(2680),
    [anon_sym_constexpr] = ACTIONS(2680),
    [anon_sym_volatile] = ACTIONS(2680),
    [anon_sym_restrict] = ACTIONS(2680),
    [anon_sym___restrict__] = ACTIONS(2680),
    [anon_sym__Atomic] = ACTIONS(2680),
    [anon_sym__Noreturn] = ACTIONS(2680),
    [anon_sym_noreturn] = ACTIONS(2680),
    [anon_sym_mutable] = ACTIONS(2680),
    [anon_sym_constinit] = ACTIONS(2680),
    [anon_sym_consteval] = ACTIONS(2680),
    [anon_sym_alignas] = ACTIONS(2680),
    [anon_sym__Alignas] = ACTIONS(2680),
    [sym_primitive_type] = ACTIONS(2680),
    [anon_sym_enum] = ACTIONS(2680),
    [anon_sym_class] = ACTIONS(2680),
    [anon_sym_struct] = ACTIONS(2680),
    [anon_sym_union] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_switch] = ACTIONS(2680),
    [anon_sym_case] = ACTIONS(2680),
    [anon_sym_default] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_break] = ACTIONS(2680),
    [anon_sym_continue] = ACTIONS(2680),
    [anon_sym_goto] = ACTIONS(2680),
    [anon_sym___try] = ACTIONS(2680),
    [anon_sym___leave] = ACTIONS(2680),
    [anon_sym_not] = ACTIONS(2680),
    [anon_sym_compl] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2682),
    [anon_sym_PLUS_PLUS] = ACTIONS(2682),
    [anon_sym_sizeof] = ACTIONS(2680),
    [anon_sym___alignof__] = ACTIONS(2680),
    [anon_sym___alignof] = ACTIONS(2680),
    [anon_sym__alignof] = ACTIONS(2680),
    [anon_sym_alignof] = ACTIONS(2680),
    [anon_sym__Alignof] = ACTIONS(2680),
    [anon_sym_offsetof] = ACTIONS(2680),
    [anon_sym__Generic] = ACTIONS(2680),
    [anon_sym_asm] = ACTIONS(2680),
    [anon_sym___asm__] = ACTIONS(2680),
    [sym_number_literal] = ACTIONS(2682),
    [anon_sym_L_SQUOTE] = ACTIONS(2682),
    [anon_sym_u_SQUOTE] = ACTIONS(2682),
    [anon_sym_U_SQUOTE] = ACTIONS(2682),
    [anon_sym_u8_SQUOTE] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_L_DQUOTE] = ACTIONS(2682),
    [anon_sym_u_DQUOTE] = ACTIONS(2682),
    [anon_sym_U_DQUOTE] = ACTIONS(2682),
    [anon_sym_u8_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE] = ACTIONS(2682),
    [sym_true] = ACTIONS(2680),
    [sym_false] = ACTIONS(2680),
    [anon_sym_NULL] = ACTIONS(2680),
    [anon_sym_nullptr] = ACTIONS(2680),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2680),
    [anon_sym_decltype] = ACTIONS(2680),
    [sym_virtual] = ACTIONS(2680),
    [anon_sym_explicit] = ACTIONS(2680),
    [anon_sym_typename] = ACTIONS(2680),
    [anon_sym_template] = ACTIONS(2680),
    [anon_sym_operator] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_delete] = ACTIONS(2680),
    [anon_sym_throw] = ACTIONS(2680),
    [anon_sym_namespace] = ACTIONS(2680),
    [anon_sym_using] = ACTIONS(2680),
    [anon_sym_static_assert] = ACTIONS(2680),
    [anon_sym_concept] = ACTIONS(2680),
    [anon_sym_co_return] = ACTIONS(2680),
    [anon_sym_co_yield] = ACTIONS(2680),
    [anon_sym_R_DQUOTE] = ACTIONS(2682),
    [anon_sym_LR_DQUOTE] = ACTIONS(2682),
    [anon_sym_uR_DQUOTE] = ACTIONS(2682),
    [anon_sym_UR_DQUOTE] = ACTIONS(2682),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2682),
    [anon_sym_co_await] = ACTIONS(2680),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_requires] = ACTIONS(2680),
    [sym_this] = ACTIONS(2680),
  },
  [650] = {
    [sym_identifier] = ACTIONS(2684),
    [aux_sym_preproc_include_token1] = ACTIONS(2684),
    [aux_sym_preproc_def_token1] = ACTIONS(2684),
    [aux_sym_preproc_if_token1] = ACTIONS(2684),
    [aux_sym_preproc_if_token2] = ACTIONS(2684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2684),
    [sym_preproc_directive] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_BANG] = ACTIONS(2686),
    [anon_sym_TILDE] = ACTIONS(2686),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_STAR] = ACTIONS(2686),
    [anon_sym_AMP_AMP] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2686),
    [anon_sym___extension__] = ACTIONS(2684),
    [anon_sym_typedef] = ACTIONS(2684),
    [anon_sym_extern] = ACTIONS(2684),
    [anon_sym___attribute__] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2686),
    [anon_sym___declspec] = ACTIONS(2684),
    [anon_sym___based] = ACTIONS(2684),
    [anon_sym___cdecl] = ACTIONS(2684),
    [anon_sym___clrcall] = ACTIONS(2684),
    [anon_sym___stdcall] = ACTIONS(2684),
    [anon_sym___fastcall] = ACTIONS(2684),
    [anon_sym___thiscall] = ACTIONS(2684),
    [anon_sym___vectorcall] = ACTIONS(2684),
    [anon_sym_LBRACE] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2684),
    [anon_sym_unsigned] = ACTIONS(2684),
    [anon_sym_long] = ACTIONS(2684),
    [anon_sym_short] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_static] = ACTIONS(2684),
    [anon_sym_register] = ACTIONS(2684),
    [anon_sym_inline] = ACTIONS(2684),
    [anon_sym___inline] = ACTIONS(2684),
    [anon_sym___inline__] = ACTIONS(2684),
    [anon_sym___forceinline] = ACTIONS(2684),
    [anon_sym_thread_local] = ACTIONS(2684),
    [anon_sym___thread] = ACTIONS(2684),
    [anon_sym_const] = ACTIONS(2684),
    [anon_sym_constexpr] = ACTIONS(2684),
    [anon_sym_volatile] = ACTIONS(2684),
    [anon_sym_restrict] = ACTIONS(2684),
    [anon_sym___restrict__] = ACTIONS(2684),
    [anon_sym__Atomic] = ACTIONS(2684),
    [anon_sym__Noreturn] = ACTIONS(2684),
    [anon_sym_noreturn] = ACTIONS(2684),
    [anon_sym_mutable] = ACTIONS(2684),
    [anon_sym_constinit] = ACTIONS(2684),
    [anon_sym_consteval] = ACTIONS(2684),
    [anon_sym_alignas] = ACTIONS(2684),
    [anon_sym__Alignas] = ACTIONS(2684),
    [sym_primitive_type] = ACTIONS(2684),
    [anon_sym_enum] = ACTIONS(2684),
    [anon_sym_class] = ACTIONS(2684),
    [anon_sym_struct] = ACTIONS(2684),
    [anon_sym_union] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_switch] = ACTIONS(2684),
    [anon_sym_case] = ACTIONS(2684),
    [anon_sym_default] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_break] = ACTIONS(2684),
    [anon_sym_continue] = ACTIONS(2684),
    [anon_sym_goto] = ACTIONS(2684),
    [anon_sym___try] = ACTIONS(2684),
    [anon_sym___leave] = ACTIONS(2684),
    [anon_sym_not] = ACTIONS(2684),
    [anon_sym_compl] = ACTIONS(2684),
    [anon_sym_DASH_DASH] = ACTIONS(2686),
    [anon_sym_PLUS_PLUS] = ACTIONS(2686),
    [anon_sym_sizeof] = ACTIONS(2684),
    [anon_sym___alignof__] = ACTIONS(2684),
    [anon_sym___alignof] = ACTIONS(2684),
    [anon_sym__alignof] = ACTIONS(2684),
    [anon_sym_alignof] = ACTIONS(2684),
    [anon_sym__Alignof] = ACTIONS(2684),
    [anon_sym_offsetof] = ACTIONS(2684),
    [anon_sym__Generic] = ACTIONS(2684),
    [anon_sym_asm] = ACTIONS(2684),
    [anon_sym___asm__] = ACTIONS(2684),
    [sym_number_literal] = ACTIONS(2686),
    [anon_sym_L_SQUOTE] = ACTIONS(2686),
    [anon_sym_u_SQUOTE] = ACTIONS(2686),
    [anon_sym_U_SQUOTE] = ACTIONS(2686),
    [anon_sym_u8_SQUOTE] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_L_DQUOTE] = ACTIONS(2686),
    [anon_sym_u_DQUOTE] = ACTIONS(2686),
    [anon_sym_U_DQUOTE] = ACTIONS(2686),
    [anon_sym_u8_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE] = ACTIONS(2686),
    [sym_true] = ACTIONS(2684),
    [sym_false] = ACTIONS(2684),
    [anon_sym_NULL] = ACTIONS(2684),
    [anon_sym_nullptr] = ACTIONS(2684),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2684),
    [anon_sym_decltype] = ACTIONS(2684),
    [sym_virtual] = ACTIONS(2684),
    [anon_sym_explicit] = ACTIONS(2684),
    [anon_sym_typename] = ACTIONS(2684),
    [anon_sym_template] = ACTIONS(2684),
    [anon_sym_operator] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_delete] = ACTIONS(2684),
    [anon_sym_throw] = ACTIONS(2684),
    [anon_sym_namespace] = ACTIONS(2684),
    [anon_sym_using] = ACTIONS(2684),
    [anon_sym_static_assert] = ACTIONS(2684),
    [anon_sym_concept] = ACTIONS(2684),
    [anon_sym_co_return] = ACTIONS(2684),
    [anon_sym_co_yield] = ACTIONS(2684),
    [anon_sym_R_DQUOTE] = ACTIONS(2686),
    [anon_sym_LR_DQUOTE] = ACTIONS(2686),
    [anon_sym_uR_DQUOTE] = ACTIONS(2686),
    [anon_sym_UR_DQUOTE] = ACTIONS(2686),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2686),
    [anon_sym_co_await] = ACTIONS(2684),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_requires] = ACTIONS(2684),
    [sym_this] = ACTIONS(2684),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [sym_virtual] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [sym_virtual] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [653] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [sym_virtual] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [654] = {
    [sym_identifier] = ACTIONS(2919),
    [aux_sym_preproc_include_token1] = ACTIONS(2919),
    [aux_sym_preproc_def_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token1] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2919),
    [sym_preproc_directive] = ACTIONS(2919),
    [anon_sym_LPAREN2] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2922),
    [anon_sym_AMP_AMP] = ACTIONS(2922),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2919),
    [anon_sym_typedef] = ACTIONS(2919),
    [anon_sym_extern] = ACTIONS(2919),
    [anon_sym___attribute__] = ACTIONS(2919),
    [anon_sym_COLON_COLON] = ACTIONS(2922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2922),
    [anon_sym___declspec] = ACTIONS(2919),
    [anon_sym___based] = ACTIONS(2919),
    [anon_sym___cdecl] = ACTIONS(2919),
    [anon_sym___clrcall] = ACTIONS(2919),
    [anon_sym___stdcall] = ACTIONS(2919),
    [anon_sym___fastcall] = ACTIONS(2919),
    [anon_sym___thiscall] = ACTIONS(2919),
    [anon_sym___vectorcall] = ACTIONS(2919),
    [anon_sym_LBRACE] = ACTIONS(2922),
    [anon_sym_RBRACE] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2919),
    [anon_sym_unsigned] = ACTIONS(2919),
    [anon_sym_long] = ACTIONS(2919),
    [anon_sym_short] = ACTIONS(2919),
    [anon_sym_LBRACK] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2919),
    [anon_sym_register] = ACTIONS(2919),
    [anon_sym_inline] = ACTIONS(2919),
    [anon_sym___inline] = ACTIONS(2919),
    [anon_sym___inline__] = ACTIONS(2919),
    [anon_sym___forceinline] = ACTIONS(2919),
    [anon_sym_thread_local] = ACTIONS(2919),
    [anon_sym___thread] = ACTIONS(2919),
    [anon_sym_const] = ACTIONS(2919),
    [anon_sym_constexpr] = ACTIONS(2919),
    [anon_sym_volatile] = ACTIONS(2919),
    [anon_sym_restrict] = ACTIONS(2919),
    [anon_sym___restrict__] = ACTIONS(2919),
    [anon_sym__Atomic] = ACTIONS(2919),
    [anon_sym__Noreturn] = ACTIONS(2919),
    [anon_sym_noreturn] = ACTIONS(2919),
    [anon_sym_mutable] = ACTIONS(2919),
    [anon_sym_constinit] = ACTIONS(2919),
    [anon_sym_consteval] = ACTIONS(2919),
    [anon_sym_alignas] = ACTIONS(2919),
    [anon_sym__Alignas] = ACTIONS(2919),
    [sym_primitive_type] = ACTIONS(2919),
    [anon_sym_enum] = ACTIONS(2919),
    [anon_sym_class] = ACTIONS(2919),
    [anon_sym_struct] = ACTIONS(2919),
    [anon_sym_union] = ACTIONS(2919),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_switch] = ACTIONS(2919),
    [anon_sym_case] = ACTIONS(2919),
    [anon_sym_default] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2919),
    [anon_sym_for] = ACTIONS(2919),
    [anon_sym_return] = ACTIONS(2919),
    [anon_sym_break] = ACTIONS(2919),
    [anon_sym_continue] = ACTIONS(2919),
    [anon_sym_goto] = ACTIONS(2919),
    [anon_sym___try] = ACTIONS(2919),
    [anon_sym___leave] = ACTIONS(2919),
    [anon_sym_not] = ACTIONS(2919),
    [anon_sym_compl] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2922),
    [anon_sym_sizeof] = ACTIONS(2919),
    [anon_sym___alignof__] = ACTIONS(2919),
    [anon_sym___alignof] = ACTIONS(2919),
    [anon_sym__alignof] = ACTIONS(2919),
    [anon_sym_alignof] = ACTIONS(2919),
    [anon_sym__Alignof] = ACTIONS(2919),
    [anon_sym_offsetof] = ACTIONS(2919),
    [anon_sym__Generic] = ACTIONS(2919),
    [anon_sym_asm] = ACTIONS(2919),
    [anon_sym___asm__] = ACTIONS(2919),
    [sym_number_literal] = ACTIONS(2922),
    [anon_sym_L_SQUOTE] = ACTIONS(2922),
    [anon_sym_u_SQUOTE] = ACTIONS(2922),
    [anon_sym_U_SQUOTE] = ACTIONS(2922),
    [anon_sym_u8_SQUOTE] = ACTIONS(2922),
    [anon_sym_SQUOTE] = ACTIONS(2922),
    [anon_sym_L_DQUOTE] = ACTIONS(2922),
    [anon_sym_u_DQUOTE] = ACTIONS(2922),
    [anon_sym_U_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8_DQUOTE] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2922),
    [sym_true] = ACTIONS(2919),
    [sym_false] = ACTIONS(2919),
    [anon_sym_NULL] = ACTIONS(2919),
    [anon_sym_nullptr] = ACTIONS(2919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2919),
    [anon_sym_decltype] = ACTIONS(2919),
    [sym_virtual] = ACTIONS(2919),
    [anon_sym_explicit] = ACTIONS(2919),
    [anon_sym_typename] = ACTIONS(2919),
    [anon_sym_template] = ACTIONS(2919),
    [anon_sym_operator] = ACTIONS(2919),
    [anon_sym_try] = ACTIONS(2919),
    [anon_sym_delete] = ACTIONS(2919),
    [anon_sym_throw] = ACTIONS(2919),
    [anon_sym_namespace] = ACTIONS(2919),
    [anon_sym_using] = ACTIONS(2919),
    [anon_sym_static_assert] = ACTIONS(2919),
    [anon_sym_concept] = ACTIONS(2919),
    [anon_sym_co_return] = ACTIONS(2919),
    [anon_sym_co_yield] = ACTIONS(2919),
    [anon_sym_R_DQUOTE] = ACTIONS(2922),
    [anon_sym_LR_DQUOTE] = ACTIONS(2922),
    [anon_sym_uR_DQUOTE] = ACTIONS(2922),
    [anon_sym_UR_DQUOTE] = ACTIONS(2922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2922),
    [anon_sym_co_await] = ACTIONS(2919),
    [anon_sym_new] = ACTIONS(2919),
    [anon_sym_requires] = ACTIONS(2919),
    [sym_this] = ACTIONS(2919),
  },
  [655] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym___leave] = ACTIONS(2824),
    [anon_sym_not] = ACTIONS(2824),
    [anon_sym_compl] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
    [anon_sym_concept] = ACTIONS(2824),
    [anon_sym_co_return] = ACTIONS(2824),
    [anon_sym_co_yield] = ACTIONS(2824),
    [anon_sym_R_DQUOTE] = ACTIONS(2826),
    [anon_sym_LR_DQUOTE] = ACTIONS(2826),
    [anon_sym_uR_DQUOTE] = ACTIONS(2826),
    [anon_sym_UR_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2826),
    [anon_sym_co_await] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_requires] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
  },
  [656] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2696),
    [anon_sym___leave] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [sym_virtual] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [657] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_include_token1] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym___cdecl] = ACTIONS(2648),
    [anon_sym___clrcall] = ACTIONS(2648),
    [anon_sym___stdcall] = ACTIONS(2648),
    [anon_sym___fastcall] = ACTIONS(2648),
    [anon_sym___thiscall] = ACTIONS(2648),
    [anon_sym___vectorcall] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_goto] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2648),
    [anon_sym___leave] = ACTIONS(2648),
    [anon_sym_not] = ACTIONS(2648),
    [anon_sym_compl] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_sizeof] = ACTIONS(2648),
    [anon_sym___alignof__] = ACTIONS(2648),
    [anon_sym___alignof] = ACTIONS(2648),
    [anon_sym__alignof] = ACTIONS(2648),
    [anon_sym_alignof] = ACTIONS(2648),
    [anon_sym__Alignof] = ACTIONS(2648),
    [anon_sym_offsetof] = ACTIONS(2648),
    [anon_sym__Generic] = ACTIONS(2648),
    [anon_sym_asm] = ACTIONS(2648),
    [anon_sym___asm__] = ACTIONS(2648),
    [sym_number_literal] = ACTIONS(2650),
    [anon_sym_L_SQUOTE] = ACTIONS(2650),
    [anon_sym_u_SQUOTE] = ACTIONS(2650),
    [anon_sym_U_SQUOTE] = ACTIONS(2650),
    [anon_sym_u8_SQUOTE] = ACTIONS(2650),
    [anon_sym_SQUOTE] = ACTIONS(2650),
    [anon_sym_L_DQUOTE] = ACTIONS(2650),
    [anon_sym_u_DQUOTE] = ACTIONS(2650),
    [anon_sym_U_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8_DQUOTE] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [anon_sym_NULL] = ACTIONS(2648),
    [anon_sym_nullptr] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
    [anon_sym_concept] = ACTIONS(2648),
    [anon_sym_co_return] = ACTIONS(2648),
    [anon_sym_co_yield] = ACTIONS(2648),
    [anon_sym_R_DQUOTE] = ACTIONS(2650),
    [anon_sym_LR_DQUOTE] = ACTIONS(2650),
    [anon_sym_uR_DQUOTE] = ACTIONS(2650),
    [anon_sym_UR_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2650),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2648),
  },
  [658] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_RBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [659] = {
    [sym_identifier] = ACTIONS(2728),
    [aux_sym_preproc_include_token1] = ACTIONS(2728),
    [aux_sym_preproc_def_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token2] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2730),
    [anon_sym___extension__] = ACTIONS(2728),
    [anon_sym_typedef] = ACTIONS(2728),
    [anon_sym_extern] = ACTIONS(2728),
    [anon_sym___attribute__] = ACTIONS(2728),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2730),
    [anon_sym___declspec] = ACTIONS(2728),
    [anon_sym___based] = ACTIONS(2728),
    [anon_sym___cdecl] = ACTIONS(2728),
    [anon_sym___clrcall] = ACTIONS(2728),
    [anon_sym___stdcall] = ACTIONS(2728),
    [anon_sym___fastcall] = ACTIONS(2728),
    [anon_sym___thiscall] = ACTIONS(2728),
    [anon_sym___vectorcall] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_signed] = ACTIONS(2728),
    [anon_sym_unsigned] = ACTIONS(2728),
    [anon_sym_long] = ACTIONS(2728),
    [anon_sym_short] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_register] = ACTIONS(2728),
    [anon_sym_inline] = ACTIONS(2728),
    [anon_sym___inline] = ACTIONS(2728),
    [anon_sym___inline__] = ACTIONS(2728),
    [anon_sym___forceinline] = ACTIONS(2728),
    [anon_sym_thread_local] = ACTIONS(2728),
    [anon_sym___thread] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_constexpr] = ACTIONS(2728),
    [anon_sym_volatile] = ACTIONS(2728),
    [anon_sym_restrict] = ACTIONS(2728),
    [anon_sym___restrict__] = ACTIONS(2728),
    [anon_sym__Atomic] = ACTIONS(2728),
    [anon_sym__Noreturn] = ACTIONS(2728),
    [anon_sym_noreturn] = ACTIONS(2728),
    [anon_sym_mutable] = ACTIONS(2728),
    [anon_sym_constinit] = ACTIONS(2728),
    [anon_sym_consteval] = ACTIONS(2728),
    [anon_sym_alignas] = ACTIONS(2728),
    [anon_sym__Alignas] = ACTIONS(2728),
    [sym_primitive_type] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_struct] = ACTIONS(2728),
    [anon_sym_union] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_case] = ACTIONS(2728),
    [anon_sym_default] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_goto] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2728),
    [anon_sym___leave] = ACTIONS(2728),
    [anon_sym_not] = ACTIONS(2728),
    [anon_sym_compl] = ACTIONS(2728),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_sizeof] = ACTIONS(2728),
    [anon_sym___alignof__] = ACTIONS(2728),
    [anon_sym___alignof] = ACTIONS(2728),
    [anon_sym__alignof] = ACTIONS(2728),
    [anon_sym_alignof] = ACTIONS(2728),
    [anon_sym__Alignof] = ACTIONS(2728),
    [anon_sym_offsetof] = ACTIONS(2728),
    [anon_sym__Generic] = ACTIONS(2728),
    [anon_sym_asm] = ACTIONS(2728),
    [anon_sym___asm__] = ACTIONS(2728),
    [sym_number_literal] = ACTIONS(2730),
    [anon_sym_L_SQUOTE] = ACTIONS(2730),
    [anon_sym_u_SQUOTE] = ACTIONS(2730),
    [anon_sym_U_SQUOTE] = ACTIONS(2730),
    [anon_sym_u8_SQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_L_DQUOTE] = ACTIONS(2730),
    [anon_sym_u_DQUOTE] = ACTIONS(2730),
    [anon_sym_U_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [anon_sym_NULL] = ACTIONS(2728),
    [anon_sym_nullptr] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2728),
    [anon_sym_decltype] = ACTIONS(2728),
    [sym_virtual] = ACTIONS(2728),
    [anon_sym_explicit] = ACTIONS(2728),
    [anon_sym_typename] = ACTIONS(2728),
    [anon_sym_template] = ACTIONS(2728),
    [anon_sym_operator] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_static_assert] = ACTIONS(2728),
    [anon_sym_concept] = ACTIONS(2728),
    [anon_sym_co_return] = ACTIONS(2728),
    [anon_sym_co_yield] = ACTIONS(2728),
    [anon_sym_R_DQUOTE] = ACTIONS(2730),
    [anon_sym_LR_DQUOTE] = ACTIONS(2730),
    [anon_sym_uR_DQUOTE] = ACTIONS(2730),
    [anon_sym_UR_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2730),
    [anon_sym_co_await] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_requires] = ACTIONS(2728),
    [sym_this] = ACTIONS(2728),
  },
  [660] = {
    [sym_identifier] = ACTIONS(2983),
    [aux_sym_preproc_include_token1] = ACTIONS(2983),
    [aux_sym_preproc_def_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2983),
    [sym_preproc_directive] = ACTIONS(2983),
    [anon_sym_LPAREN2] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym___extension__] = ACTIONS(2983),
    [anon_sym_typedef] = ACTIONS(2983),
    [anon_sym_extern] = ACTIONS(2983),
    [anon_sym___attribute__] = ACTIONS(2983),
    [anon_sym_COLON_COLON] = ACTIONS(2985),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2985),
    [anon_sym___declspec] = ACTIONS(2983),
    [anon_sym___based] = ACTIONS(2983),
    [anon_sym___cdecl] = ACTIONS(2983),
    [anon_sym___clrcall] = ACTIONS(2983),
    [anon_sym___stdcall] = ACTIONS(2983),
    [anon_sym___fastcall] = ACTIONS(2983),
    [anon_sym___thiscall] = ACTIONS(2983),
    [anon_sym___vectorcall] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2985),
    [anon_sym_RBRACE] = ACTIONS(2985),
    [anon_sym_signed] = ACTIONS(2983),
    [anon_sym_unsigned] = ACTIONS(2983),
    [anon_sym_long] = ACTIONS(2983),
    [anon_sym_short] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_register] = ACTIONS(2983),
    [anon_sym_inline] = ACTIONS(2983),
    [anon_sym___inline] = ACTIONS(2983),
    [anon_sym___inline__] = ACTIONS(2983),
    [anon_sym___forceinline] = ACTIONS(2983),
    [anon_sym_thread_local] = ACTIONS(2983),
    [anon_sym___thread] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_constexpr] = ACTIONS(2983),
    [anon_sym_volatile] = ACTIONS(2983),
    [anon_sym_restrict] = ACTIONS(2983),
    [anon_sym___restrict__] = ACTIONS(2983),
    [anon_sym__Atomic] = ACTIONS(2983),
    [anon_sym__Noreturn] = ACTIONS(2983),
    [anon_sym_noreturn] = ACTIONS(2983),
    [anon_sym_mutable] = ACTIONS(2983),
    [anon_sym_constinit] = ACTIONS(2983),
    [anon_sym_consteval] = ACTIONS(2983),
    [anon_sym_alignas] = ACTIONS(2983),
    [anon_sym__Alignas] = ACTIONS(2983),
    [sym_primitive_type] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_union] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_default] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_goto] = ACTIONS(2983),
    [anon_sym___try] = ACTIONS(2983),
    [anon_sym___leave] = ACTIONS(2983),
    [anon_sym_not] = ACTIONS(2983),
    [anon_sym_compl] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_sizeof] = ACTIONS(2983),
    [anon_sym___alignof__] = ACTIONS(2983),
    [anon_sym___alignof] = ACTIONS(2983),
    [anon_sym__alignof] = ACTIONS(2983),
    [anon_sym_alignof] = ACTIONS(2983),
    [anon_sym__Alignof] = ACTIONS(2983),
    [anon_sym_offsetof] = ACTIONS(2983),
    [anon_sym__Generic] = ACTIONS(2983),
    [anon_sym_asm] = ACTIONS(2983),
    [anon_sym___asm__] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2985),
    [anon_sym_L_SQUOTE] = ACTIONS(2985),
    [anon_sym_u_SQUOTE] = ACTIONS(2985),
    [anon_sym_U_SQUOTE] = ACTIONS(2985),
    [anon_sym_u8_SQUOTE] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2985),
    [anon_sym_L_DQUOTE] = ACTIONS(2985),
    [anon_sym_u_DQUOTE] = ACTIONS(2985),
    [anon_sym_U_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8_DQUOTE] = ACTIONS(2985),
    [anon_sym_DQUOTE] = ACTIONS(2985),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [anon_sym_NULL] = ACTIONS(2983),
    [anon_sym_nullptr] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2983),
    [anon_sym_decltype] = ACTIONS(2983),
    [sym_virtual] = ACTIONS(2983),
    [anon_sym_explicit] = ACTIONS(2983),
    [anon_sym_typename] = ACTIONS(2983),
    [anon_sym_template] = ACTIONS(2983),
    [anon_sym_operator] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_namespace] = ACTIONS(2983),
    [anon_sym_using] = ACTIONS(2983),
    [anon_sym_static_assert] = ACTIONS(2983),
    [anon_sym_concept] = ACTIONS(2983),
    [anon_sym_co_return] = ACTIONS(2983),
    [anon_sym_co_yield] = ACTIONS(2983),
    [anon_sym_R_DQUOTE] = ACTIONS(2985),
    [anon_sym_LR_DQUOTE] = ACTIONS(2985),
    [anon_sym_uR_DQUOTE] = ACTIONS(2985),
    [anon_sym_UR_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2985),
    [anon_sym_co_await] = ACTIONS(2983),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_requires] = ACTIONS(2983),
    [sym_this] = ACTIONS(2983),
  },
  [661] = {
    [sym_identifier] = ACTIONS(2983),
    [aux_sym_preproc_include_token1] = ACTIONS(2983),
    [aux_sym_preproc_def_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token2] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2983),
    [sym_preproc_directive] = ACTIONS(2983),
    [anon_sym_LPAREN2] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym___extension__] = ACTIONS(2983),
    [anon_sym_typedef] = ACTIONS(2983),
    [anon_sym_extern] = ACTIONS(2983),
    [anon_sym___attribute__] = ACTIONS(2983),
    [anon_sym_COLON_COLON] = ACTIONS(2985),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2985),
    [anon_sym___declspec] = ACTIONS(2983),
    [anon_sym___based] = ACTIONS(2983),
    [anon_sym___cdecl] = ACTIONS(2983),
    [anon_sym___clrcall] = ACTIONS(2983),
    [anon_sym___stdcall] = ACTIONS(2983),
    [anon_sym___fastcall] = ACTIONS(2983),
    [anon_sym___thiscall] = ACTIONS(2983),
    [anon_sym___vectorcall] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2985),
    [anon_sym_signed] = ACTIONS(2983),
    [anon_sym_unsigned] = ACTIONS(2983),
    [anon_sym_long] = ACTIONS(2983),
    [anon_sym_short] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_register] = ACTIONS(2983),
    [anon_sym_inline] = ACTIONS(2983),
    [anon_sym___inline] = ACTIONS(2983),
    [anon_sym___inline__] = ACTIONS(2983),
    [anon_sym___forceinline] = ACTIONS(2983),
    [anon_sym_thread_local] = ACTIONS(2983),
    [anon_sym___thread] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_constexpr] = ACTIONS(2983),
    [anon_sym_volatile] = ACTIONS(2983),
    [anon_sym_restrict] = ACTIONS(2983),
    [anon_sym___restrict__] = ACTIONS(2983),
    [anon_sym__Atomic] = ACTIONS(2983),
    [anon_sym__Noreturn] = ACTIONS(2983),
    [anon_sym_noreturn] = ACTIONS(2983),
    [anon_sym_mutable] = ACTIONS(2983),
    [anon_sym_constinit] = ACTIONS(2983),
    [anon_sym_consteval] = ACTIONS(2983),
    [anon_sym_alignas] = ACTIONS(2983),
    [anon_sym__Alignas] = ACTIONS(2983),
    [sym_primitive_type] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_union] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_default] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_goto] = ACTIONS(2983),
    [anon_sym___try] = ACTIONS(2983),
    [anon_sym___leave] = ACTIONS(2983),
    [anon_sym_not] = ACTIONS(2983),
    [anon_sym_compl] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_sizeof] = ACTIONS(2983),
    [anon_sym___alignof__] = ACTIONS(2983),
    [anon_sym___alignof] = ACTIONS(2983),
    [anon_sym__alignof] = ACTIONS(2983),
    [anon_sym_alignof] = ACTIONS(2983),
    [anon_sym__Alignof] = ACTIONS(2983),
    [anon_sym_offsetof] = ACTIONS(2983),
    [anon_sym__Generic] = ACTIONS(2983),
    [anon_sym_asm] = ACTIONS(2983),
    [anon_sym___asm__] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2985),
    [anon_sym_L_SQUOTE] = ACTIONS(2985),
    [anon_sym_u_SQUOTE] = ACTIONS(2985),
    [anon_sym_U_SQUOTE] = ACTIONS(2985),
    [anon_sym_u8_SQUOTE] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2985),
    [anon_sym_L_DQUOTE] = ACTIONS(2985),
    [anon_sym_u_DQUOTE] = ACTIONS(2985),
    [anon_sym_U_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8_DQUOTE] = ACTIONS(2985),
    [anon_sym_DQUOTE] = ACTIONS(2985),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [anon_sym_NULL] = ACTIONS(2983),
    [anon_sym_nullptr] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2983),
    [anon_sym_decltype] = ACTIONS(2983),
    [sym_virtual] = ACTIONS(2983),
    [anon_sym_explicit] = ACTIONS(2983),
    [anon_sym_typename] = ACTIONS(2983),
    [anon_sym_template] = ACTIONS(2983),
    [anon_sym_operator] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_namespace] = ACTIONS(2983),
    [anon_sym_using] = ACTIONS(2983),
    [anon_sym_static_assert] = ACTIONS(2983),
    [anon_sym_concept] = ACTIONS(2983),
    [anon_sym_co_return] = ACTIONS(2983),
    [anon_sym_co_yield] = ACTIONS(2983),
    [anon_sym_R_DQUOTE] = ACTIONS(2985),
    [anon_sym_LR_DQUOTE] = ACTIONS(2985),
    [anon_sym_uR_DQUOTE] = ACTIONS(2985),
    [anon_sym_UR_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2985),
    [anon_sym_co_await] = ACTIONS(2983),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_requires] = ACTIONS(2983),
    [sym_this] = ACTIONS(2983),
  },
  [662] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [663] = {
    [sym_identifier] = ACTIONS(2720),
    [aux_sym_preproc_include_token1] = ACTIONS(2720),
    [aux_sym_preproc_def_token1] = ACTIONS(2720),
    [aux_sym_preproc_if_token1] = ACTIONS(2720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2720),
    [sym_preproc_directive] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_BANG] = ACTIONS(2722),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_STAR] = ACTIONS(2722),
    [anon_sym_AMP_AMP] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2722),
    [anon_sym___extension__] = ACTIONS(2720),
    [anon_sym_typedef] = ACTIONS(2720),
    [anon_sym_extern] = ACTIONS(2720),
    [anon_sym___attribute__] = ACTIONS(2720),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2722),
    [anon_sym___declspec] = ACTIONS(2720),
    [anon_sym___based] = ACTIONS(2720),
    [anon_sym___cdecl] = ACTIONS(2720),
    [anon_sym___clrcall] = ACTIONS(2720),
    [anon_sym___stdcall] = ACTIONS(2720),
    [anon_sym___fastcall] = ACTIONS(2720),
    [anon_sym___thiscall] = ACTIONS(2720),
    [anon_sym___vectorcall] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2722),
    [anon_sym_RBRACE] = ACTIONS(2722),
    [anon_sym_signed] = ACTIONS(2720),
    [anon_sym_unsigned] = ACTIONS(2720),
    [anon_sym_long] = ACTIONS(2720),
    [anon_sym_short] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_register] = ACTIONS(2720),
    [anon_sym_inline] = ACTIONS(2720),
    [anon_sym___inline] = ACTIONS(2720),
    [anon_sym___inline__] = ACTIONS(2720),
    [anon_sym___forceinline] = ACTIONS(2720),
    [anon_sym_thread_local] = ACTIONS(2720),
    [anon_sym___thread] = ACTIONS(2720),
    [anon_sym_const] = ACTIONS(2720),
    [anon_sym_constexpr] = ACTIONS(2720),
    [anon_sym_volatile] = ACTIONS(2720),
    [anon_sym_restrict] = ACTIONS(2720),
    [anon_sym___restrict__] = ACTIONS(2720),
    [anon_sym__Atomic] = ACTIONS(2720),
    [anon_sym__Noreturn] = ACTIONS(2720),
    [anon_sym_noreturn] = ACTIONS(2720),
    [anon_sym_mutable] = ACTIONS(2720),
    [anon_sym_constinit] = ACTIONS(2720),
    [anon_sym_consteval] = ACTIONS(2720),
    [anon_sym_alignas] = ACTIONS(2720),
    [anon_sym__Alignas] = ACTIONS(2720),
    [sym_primitive_type] = ACTIONS(2720),
    [anon_sym_enum] = ACTIONS(2720),
    [anon_sym_class] = ACTIONS(2720),
    [anon_sym_struct] = ACTIONS(2720),
    [anon_sym_union] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2720),
    [anon_sym_case] = ACTIONS(2720),
    [anon_sym_default] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_break] = ACTIONS(2720),
    [anon_sym_continue] = ACTIONS(2720),
    [anon_sym_goto] = ACTIONS(2720),
    [anon_sym___try] = ACTIONS(2720),
    [anon_sym___leave] = ACTIONS(2720),
    [anon_sym_not] = ACTIONS(2720),
    [anon_sym_compl] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_sizeof] = ACTIONS(2720),
    [anon_sym___alignof__] = ACTIONS(2720),
    [anon_sym___alignof] = ACTIONS(2720),
    [anon_sym__alignof] = ACTIONS(2720),
    [anon_sym_alignof] = ACTIONS(2720),
    [anon_sym__Alignof] = ACTIONS(2720),
    [anon_sym_offsetof] = ACTIONS(2720),
    [anon_sym__Generic] = ACTIONS(2720),
    [anon_sym_asm] = ACTIONS(2720),
    [anon_sym___asm__] = ACTIONS(2720),
    [sym_number_literal] = ACTIONS(2722),
    [anon_sym_L_SQUOTE] = ACTIONS(2722),
    [anon_sym_u_SQUOTE] = ACTIONS(2722),
    [anon_sym_U_SQUOTE] = ACTIONS(2722),
    [anon_sym_u8_SQUOTE] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_L_DQUOTE] = ACTIONS(2722),
    [anon_sym_u_DQUOTE] = ACTIONS(2722),
    [anon_sym_U_DQUOTE] = ACTIONS(2722),
    [anon_sym_u8_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE] = ACTIONS(2722),
    [sym_true] = ACTIONS(2720),
    [sym_false] = ACTIONS(2720),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2720),
    [anon_sym_decltype] = ACTIONS(2720),
    [sym_virtual] = ACTIONS(2720),
    [anon_sym_explicit] = ACTIONS(2720),
    [anon_sym_typename] = ACTIONS(2720),
    [anon_sym_template] = ACTIONS(2720),
    [anon_sym_operator] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2720),
    [anon_sym_throw] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_using] = ACTIONS(2720),
    [anon_sym_static_assert] = ACTIONS(2720),
    [anon_sym_concept] = ACTIONS(2720),
    [anon_sym_co_return] = ACTIONS(2720),
    [anon_sym_co_yield] = ACTIONS(2720),
    [anon_sym_R_DQUOTE] = ACTIONS(2722),
    [anon_sym_LR_DQUOTE] = ACTIONS(2722),
    [anon_sym_uR_DQUOTE] = ACTIONS(2722),
    [anon_sym_UR_DQUOTE] = ACTIONS(2722),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2722),
    [anon_sym_co_await] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_requires] = ACTIONS(2720),
    [sym_this] = ACTIONS(2720),
  },
  [664] = {
    [ts_builtin_sym_end] = ACTIONS(2710),
    [sym_identifier] = ACTIONS(2708),
    [aux_sym_preproc_include_token1] = ACTIONS(2708),
    [aux_sym_preproc_def_token1] = ACTIONS(2708),
    [anon_sym_COMMA] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2708),
    [sym_preproc_directive] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_BANG] = ACTIONS(2710),
    [anon_sym_TILDE] = ACTIONS(2710),
    [anon_sym_DASH] = ACTIONS(2708),
    [anon_sym_PLUS] = ACTIONS(2708),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_AMP_AMP] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2708),
    [anon_sym_typedef] = ACTIONS(2708),
    [anon_sym_extern] = ACTIONS(2708),
    [anon_sym___attribute__] = ACTIONS(2708),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2710),
    [anon_sym___declspec] = ACTIONS(2708),
    [anon_sym___based] = ACTIONS(2708),
    [anon_sym___cdecl] = ACTIONS(2708),
    [anon_sym___clrcall] = ACTIONS(2708),
    [anon_sym___stdcall] = ACTIONS(2708),
    [anon_sym___fastcall] = ACTIONS(2708),
    [anon_sym___thiscall] = ACTIONS(2708),
    [anon_sym___vectorcall] = ACTIONS(2708),
    [anon_sym_LBRACE] = ACTIONS(2710),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_signed] = ACTIONS(2708),
    [anon_sym_unsigned] = ACTIONS(2708),
    [anon_sym_long] = ACTIONS(2708),
    [anon_sym_short] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_register] = ACTIONS(2708),
    [anon_sym_inline] = ACTIONS(2708),
    [anon_sym___inline] = ACTIONS(2708),
    [anon_sym___inline__] = ACTIONS(2708),
    [anon_sym___forceinline] = ACTIONS(2708),
    [anon_sym_thread_local] = ACTIONS(2708),
    [anon_sym___thread] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2708),
    [anon_sym_constexpr] = ACTIONS(2708),
    [anon_sym_volatile] = ACTIONS(2708),
    [anon_sym_restrict] = ACTIONS(2708),
    [anon_sym___restrict__] = ACTIONS(2708),
    [anon_sym__Atomic] = ACTIONS(2708),
    [anon_sym__Noreturn] = ACTIONS(2708),
    [anon_sym_noreturn] = ACTIONS(2708),
    [anon_sym_mutable] = ACTIONS(2708),
    [anon_sym_constinit] = ACTIONS(2708),
    [anon_sym_consteval] = ACTIONS(2708),
    [anon_sym_alignas] = ACTIONS(2708),
    [anon_sym__Alignas] = ACTIONS(2708),
    [sym_primitive_type] = ACTIONS(2708),
    [anon_sym_enum] = ACTIONS(2708),
    [anon_sym_class] = ACTIONS(2708),
    [anon_sym_struct] = ACTIONS(2708),
    [anon_sym_union] = ACTIONS(2708),
    [anon_sym_if] = ACTIONS(2708),
    [anon_sym_switch] = ACTIONS(2708),
    [anon_sym_case] = ACTIONS(2708),
    [anon_sym_default] = ACTIONS(2708),
    [anon_sym_while] = ACTIONS(2708),
    [anon_sym_do] = ACTIONS(2708),
    [anon_sym_for] = ACTIONS(2708),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_break] = ACTIONS(2708),
    [anon_sym_continue] = ACTIONS(2708),
    [anon_sym_goto] = ACTIONS(2708),
    [anon_sym_not] = ACTIONS(2708),
    [anon_sym_compl] = ACTIONS(2708),
    [anon_sym_DASH_DASH] = ACTIONS(2710),
    [anon_sym_PLUS_PLUS] = ACTIONS(2710),
    [anon_sym_sizeof] = ACTIONS(2708),
    [anon_sym___alignof__] = ACTIONS(2708),
    [anon_sym___alignof] = ACTIONS(2708),
    [anon_sym__alignof] = ACTIONS(2708),
    [anon_sym_alignof] = ACTIONS(2708),
    [anon_sym__Alignof] = ACTIONS(2708),
    [anon_sym_offsetof] = ACTIONS(2708),
    [anon_sym__Generic] = ACTIONS(2708),
    [anon_sym_asm] = ACTIONS(2708),
    [anon_sym___asm__] = ACTIONS(2708),
    [sym_number_literal] = ACTIONS(2710),
    [anon_sym_L_SQUOTE] = ACTIONS(2710),
    [anon_sym_u_SQUOTE] = ACTIONS(2710),
    [anon_sym_U_SQUOTE] = ACTIONS(2710),
    [anon_sym_u8_SQUOTE] = ACTIONS(2710),
    [anon_sym_SQUOTE] = ACTIONS(2710),
    [anon_sym_L_DQUOTE] = ACTIONS(2710),
    [anon_sym_u_DQUOTE] = ACTIONS(2710),
    [anon_sym_U_DQUOTE] = ACTIONS(2710),
    [anon_sym_u8_DQUOTE] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2710),
    [sym_true] = ACTIONS(2708),
    [sym_false] = ACTIONS(2708),
    [anon_sym_NULL] = ACTIONS(2708),
    [anon_sym_nullptr] = ACTIONS(2708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2708),
    [anon_sym_decltype] = ACTIONS(2708),
    [sym_virtual] = ACTIONS(2708),
    [anon_sym_explicit] = ACTIONS(2708),
    [anon_sym_typename] = ACTIONS(2708),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(2708),
    [anon_sym_try] = ACTIONS(2708),
    [anon_sym_delete] = ACTIONS(2708),
    [anon_sym_throw] = ACTIONS(2708),
    [anon_sym_namespace] = ACTIONS(2708),
    [anon_sym_using] = ACTIONS(2708),
    [anon_sym_static_assert] = ACTIONS(2708),
    [anon_sym_concept] = ACTIONS(2708),
    [anon_sym_co_return] = ACTIONS(2708),
    [anon_sym_co_yield] = ACTIONS(2708),
    [anon_sym_R_DQUOTE] = ACTIONS(2710),
    [anon_sym_LR_DQUOTE] = ACTIONS(2710),
    [anon_sym_uR_DQUOTE] = ACTIONS(2710),
    [anon_sym_UR_DQUOTE] = ACTIONS(2710),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2710),
    [anon_sym_co_await] = ACTIONS(2708),
    [anon_sym_new] = ACTIONS(2708),
    [anon_sym_requires] = ACTIONS(2708),
    [sym_this] = ACTIONS(2708),
  },
  [665] = {
    [ts_builtin_sym_end] = ACTIONS(2773),
    [sym_identifier] = ACTIONS(2771),
    [aux_sym_preproc_include_token1] = ACTIONS(2771),
    [aux_sym_preproc_def_token1] = ACTIONS(2771),
    [anon_sym_COMMA] = ACTIONS(2773),
    [aux_sym_preproc_if_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2771),
    [sym_preproc_directive] = ACTIONS(2771),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_BANG] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2771),
    [anon_sym_typedef] = ACTIONS(2771),
    [anon_sym_extern] = ACTIONS(2771),
    [anon_sym___attribute__] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2773),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2773),
    [anon_sym___declspec] = ACTIONS(2771),
    [anon_sym___based] = ACTIONS(2771),
    [anon_sym___cdecl] = ACTIONS(2771),
    [anon_sym___clrcall] = ACTIONS(2771),
    [anon_sym___stdcall] = ACTIONS(2771),
    [anon_sym___fastcall] = ACTIONS(2771),
    [anon_sym___thiscall] = ACTIONS(2771),
    [anon_sym___vectorcall] = ACTIONS(2771),
    [anon_sym_LBRACE] = ACTIONS(2773),
    [anon_sym_RBRACE] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2771),
    [anon_sym_unsigned] = ACTIONS(2771),
    [anon_sym_long] = ACTIONS(2771),
    [anon_sym_short] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2771),
    [anon_sym_register] = ACTIONS(2771),
    [anon_sym_inline] = ACTIONS(2771),
    [anon_sym___inline] = ACTIONS(2771),
    [anon_sym___inline__] = ACTIONS(2771),
    [anon_sym___forceinline] = ACTIONS(2771),
    [anon_sym_thread_local] = ACTIONS(2771),
    [anon_sym___thread] = ACTIONS(2771),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_constexpr] = ACTIONS(2771),
    [anon_sym_volatile] = ACTIONS(2771),
    [anon_sym_restrict] = ACTIONS(2771),
    [anon_sym___restrict__] = ACTIONS(2771),
    [anon_sym__Atomic] = ACTIONS(2771),
    [anon_sym__Noreturn] = ACTIONS(2771),
    [anon_sym_noreturn] = ACTIONS(2771),
    [anon_sym_mutable] = ACTIONS(2771),
    [anon_sym_constinit] = ACTIONS(2771),
    [anon_sym_consteval] = ACTIONS(2771),
    [anon_sym_alignas] = ACTIONS(2771),
    [anon_sym__Alignas] = ACTIONS(2771),
    [sym_primitive_type] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2771),
    [anon_sym_struct] = ACTIONS(2771),
    [anon_sym_union] = ACTIONS(2771),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_switch] = ACTIONS(2771),
    [anon_sym_case] = ACTIONS(2771),
    [anon_sym_default] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(2771),
    [anon_sym_do] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2771),
    [anon_sym_return] = ACTIONS(2771),
    [anon_sym_break] = ACTIONS(2771),
    [anon_sym_continue] = ACTIONS(2771),
    [anon_sym_goto] = ACTIONS(2771),
    [anon_sym_not] = ACTIONS(2771),
    [anon_sym_compl] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_sizeof] = ACTIONS(2771),
    [anon_sym___alignof__] = ACTIONS(2771),
    [anon_sym___alignof] = ACTIONS(2771),
    [anon_sym__alignof] = ACTIONS(2771),
    [anon_sym_alignof] = ACTIONS(2771),
    [anon_sym__Alignof] = ACTIONS(2771),
    [anon_sym_offsetof] = ACTIONS(2771),
    [anon_sym__Generic] = ACTIONS(2771),
    [anon_sym_asm] = ACTIONS(2771),
    [anon_sym___asm__] = ACTIONS(2771),
    [sym_number_literal] = ACTIONS(2773),
    [anon_sym_L_SQUOTE] = ACTIONS(2773),
    [anon_sym_u_SQUOTE] = ACTIONS(2773),
    [anon_sym_U_SQUOTE] = ACTIONS(2773),
    [anon_sym_u8_SQUOTE] = ACTIONS(2773),
    [anon_sym_SQUOTE] = ACTIONS(2773),
    [anon_sym_L_DQUOTE] = ACTIONS(2773),
    [anon_sym_u_DQUOTE] = ACTIONS(2773),
    [anon_sym_U_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8_DQUOTE] = ACTIONS(2773),
    [anon_sym_DQUOTE] = ACTIONS(2773),
    [sym_true] = ACTIONS(2771),
    [sym_false] = ACTIONS(2771),
    [anon_sym_NULL] = ACTIONS(2771),
    [anon_sym_nullptr] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2771),
    [anon_sym_decltype] = ACTIONS(2771),
    [sym_virtual] = ACTIONS(2771),
    [anon_sym_explicit] = ACTIONS(2771),
    [anon_sym_typename] = ACTIONS(2771),
    [anon_sym_template] = ACTIONS(2771),
    [anon_sym_operator] = ACTIONS(2771),
    [anon_sym_try] = ACTIONS(2771),
    [anon_sym_delete] = ACTIONS(2771),
    [anon_sym_throw] = ACTIONS(2771),
    [anon_sym_namespace] = ACTIONS(2771),
    [anon_sym_using] = ACTIONS(2771),
    [anon_sym_static_assert] = ACTIONS(2771),
    [anon_sym_concept] = ACTIONS(2771),
    [anon_sym_co_return] = ACTIONS(2771),
    [anon_sym_co_yield] = ACTIONS(2771),
    [anon_sym_R_DQUOTE] = ACTIONS(2773),
    [anon_sym_LR_DQUOTE] = ACTIONS(2773),
    [anon_sym_uR_DQUOTE] = ACTIONS(2773),
    [anon_sym_UR_DQUOTE] = ACTIONS(2773),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2773),
    [anon_sym_co_await] = ACTIONS(2771),
    [anon_sym_new] = ACTIONS(2771),
    [anon_sym_requires] = ACTIONS(2771),
    [sym_this] = ACTIONS(2771),
  },
  [666] = {
    [sym_expression] = STATE(3561),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_initializer_list] = STATE(3707),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(1884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [aux_sym_preproc_if_token2] = ACTIONS(1886),
    [aux_sym_preproc_else_token1] = ACTIONS(1886),
    [aux_sym_preproc_elif_token1] = ACTIONS(1884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [667] = {
    [ts_builtin_sym_end] = ACTIONS(2777),
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_include_token1] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym___cdecl] = ACTIONS(2775),
    [anon_sym___clrcall] = ACTIONS(2775),
    [anon_sym___stdcall] = ACTIONS(2775),
    [anon_sym___fastcall] = ACTIONS(2775),
    [anon_sym___thiscall] = ACTIONS(2775),
    [anon_sym___vectorcall] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [sym_number_literal] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_namespace] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
    [anon_sym_concept] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [668] = {
    [ts_builtin_sym_end] = ACTIONS(3338),
    [sym_identifier] = ACTIONS(3340),
    [aux_sym_preproc_include_token1] = ACTIONS(3340),
    [aux_sym_preproc_def_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3340),
    [sym_preproc_directive] = ACTIONS(3340),
    [anon_sym_LPAREN2] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_AMP_AMP] = ACTIONS(3338),
    [anon_sym_AMP] = ACTIONS(3340),
    [anon_sym___extension__] = ACTIONS(3340),
    [anon_sym_typedef] = ACTIONS(3340),
    [anon_sym_extern] = ACTIONS(3340),
    [anon_sym___attribute__] = ACTIONS(3340),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3338),
    [anon_sym___declspec] = ACTIONS(3340),
    [anon_sym___based] = ACTIONS(3340),
    [anon_sym___cdecl] = ACTIONS(3340),
    [anon_sym___clrcall] = ACTIONS(3340),
    [anon_sym___stdcall] = ACTIONS(3340),
    [anon_sym___fastcall] = ACTIONS(3340),
    [anon_sym___thiscall] = ACTIONS(3340),
    [anon_sym___vectorcall] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_signed] = ACTIONS(3340),
    [anon_sym_unsigned] = ACTIONS(3340),
    [anon_sym_long] = ACTIONS(3340),
    [anon_sym_short] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_register] = ACTIONS(3340),
    [anon_sym_inline] = ACTIONS(3340),
    [anon_sym___inline] = ACTIONS(3340),
    [anon_sym___inline__] = ACTIONS(3340),
    [anon_sym___forceinline] = ACTIONS(3340),
    [anon_sym_thread_local] = ACTIONS(3340),
    [anon_sym___thread] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_constexpr] = ACTIONS(3340),
    [anon_sym_volatile] = ACTIONS(3340),
    [anon_sym_restrict] = ACTIONS(3340),
    [anon_sym___restrict__] = ACTIONS(3340),
    [anon_sym__Atomic] = ACTIONS(3340),
    [anon_sym__Noreturn] = ACTIONS(3340),
    [anon_sym_noreturn] = ACTIONS(3340),
    [anon_sym_mutable] = ACTIONS(3340),
    [anon_sym_constinit] = ACTIONS(3340),
    [anon_sym_consteval] = ACTIONS(3340),
    [anon_sym_alignas] = ACTIONS(3340),
    [anon_sym__Alignas] = ACTIONS(3340),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_struct] = ACTIONS(3340),
    [anon_sym_union] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_goto] = ACTIONS(3340),
    [anon_sym_not] = ACTIONS(3340),
    [anon_sym_compl] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_sizeof] = ACTIONS(3340),
    [anon_sym___alignof__] = ACTIONS(3340),
    [anon_sym___alignof] = ACTIONS(3340),
    [anon_sym__alignof] = ACTIONS(3340),
    [anon_sym_alignof] = ACTIONS(3340),
    [anon_sym__Alignof] = ACTIONS(3340),
    [anon_sym_offsetof] = ACTIONS(3340),
    [anon_sym__Generic] = ACTIONS(3340),
    [anon_sym_asm] = ACTIONS(3340),
    [anon_sym___asm__] = ACTIONS(3340),
    [sym_number_literal] = ACTIONS(3338),
    [anon_sym_L_SQUOTE] = ACTIONS(3338),
    [anon_sym_u_SQUOTE] = ACTIONS(3338),
    [anon_sym_U_SQUOTE] = ACTIONS(3338),
    [anon_sym_u8_SQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [anon_sym_NULL] = ACTIONS(3340),
    [anon_sym_nullptr] = ACTIONS(3340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3340),
    [anon_sym_decltype] = ACTIONS(3340),
    [sym_virtual] = ACTIONS(3340),
    [anon_sym_explicit] = ACTIONS(3340),
    [anon_sym_typename] = ACTIONS(3340),
    [anon_sym_template] = ACTIONS(3340),
    [anon_sym_operator] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_static_assert] = ACTIONS(3340),
    [anon_sym_concept] = ACTIONS(3340),
    [anon_sym_co_return] = ACTIONS(3340),
    [anon_sym_co_yield] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3338),
    [anon_sym_LR_DQUOTE] = ACTIONS(3338),
    [anon_sym_uR_DQUOTE] = ACTIONS(3338),
    [anon_sym_UR_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3338),
    [anon_sym_co_await] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_requires] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
  },
  [669] = {
    [ts_builtin_sym_end] = ACTIONS(2955),
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym__Alignas] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [sym_virtual] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [670] = {
    [ts_builtin_sym_end] = ACTIONS(2947),
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym__Alignas] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [sym_virtual] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [671] = {
    [ts_builtin_sym_end] = ACTIONS(2989),
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [672] = {
    [ts_builtin_sym_end] = ACTIONS(2999),
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym__Alignas] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [sym_virtual] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [673] = {
    [ts_builtin_sym_end] = ACTIONS(3003),
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [674] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_include_token1] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym___cdecl] = ACTIONS(2797),
    [anon_sym___clrcall] = ACTIONS(2797),
    [anon_sym___stdcall] = ACTIONS(2797),
    [anon_sym___fastcall] = ACTIONS(2797),
    [anon_sym___thiscall] = ACTIONS(2797),
    [anon_sym___vectorcall] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_goto] = ACTIONS(2797),
    [anon_sym_not] = ACTIONS(2797),
    [anon_sym_compl] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_sizeof] = ACTIONS(2797),
    [anon_sym___alignof__] = ACTIONS(2797),
    [anon_sym___alignof] = ACTIONS(2797),
    [anon_sym__alignof] = ACTIONS(2797),
    [anon_sym_alignof] = ACTIONS(2797),
    [anon_sym__Alignof] = ACTIONS(2797),
    [anon_sym_offsetof] = ACTIONS(2797),
    [anon_sym__Generic] = ACTIONS(2797),
    [anon_sym_asm] = ACTIONS(2797),
    [anon_sym___asm__] = ACTIONS(2797),
    [sym_number_literal] = ACTIONS(2799),
    [anon_sym_L_SQUOTE] = ACTIONS(2799),
    [anon_sym_u_SQUOTE] = ACTIONS(2799),
    [anon_sym_U_SQUOTE] = ACTIONS(2799),
    [anon_sym_u8_SQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_L_DQUOTE] = ACTIONS(2799),
    [anon_sym_u_DQUOTE] = ACTIONS(2799),
    [anon_sym_U_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8_DQUOTE] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [anon_sym_NULL] = ACTIONS(2797),
    [anon_sym_nullptr] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [sym_virtual] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
    [anon_sym_concept] = ACTIONS(2797),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2797),
    [anon_sym_R_DQUOTE] = ACTIONS(2799),
    [anon_sym_LR_DQUOTE] = ACTIONS(2799),
    [anon_sym_uR_DQUOTE] = ACTIONS(2799),
    [anon_sym_UR_DQUOTE] = ACTIONS(2799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2799),
    [anon_sym_co_await] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_requires] = ACTIONS(2797),
    [sym_this] = ACTIONS(2797),
  },
  [675] = {
    [ts_builtin_sym_end] = ACTIONS(2803),
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_include_token1] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym___cdecl] = ACTIONS(2801),
    [anon_sym___clrcall] = ACTIONS(2801),
    [anon_sym___stdcall] = ACTIONS(2801),
    [anon_sym___fastcall] = ACTIONS(2801),
    [anon_sym___thiscall] = ACTIONS(2801),
    [anon_sym___vectorcall] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [sym_primitive_type] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_goto] = ACTIONS(2801),
    [anon_sym_not] = ACTIONS(2801),
    [anon_sym_compl] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_sizeof] = ACTIONS(2801),
    [anon_sym___alignof__] = ACTIONS(2801),
    [anon_sym___alignof] = ACTIONS(2801),
    [anon_sym__alignof] = ACTIONS(2801),
    [anon_sym_alignof] = ACTIONS(2801),
    [anon_sym__Alignof] = ACTIONS(2801),
    [anon_sym_offsetof] = ACTIONS(2801),
    [anon_sym__Generic] = ACTIONS(2801),
    [anon_sym_asm] = ACTIONS(2801),
    [anon_sym___asm__] = ACTIONS(2801),
    [sym_number_literal] = ACTIONS(2803),
    [anon_sym_L_SQUOTE] = ACTIONS(2803),
    [anon_sym_u_SQUOTE] = ACTIONS(2803),
    [anon_sym_U_SQUOTE] = ACTIONS(2803),
    [anon_sym_u8_SQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_L_DQUOTE] = ACTIONS(2803),
    [anon_sym_u_DQUOTE] = ACTIONS(2803),
    [anon_sym_U_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8_DQUOTE] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [anon_sym_NULL] = ACTIONS(2801),
    [anon_sym_nullptr] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [sym_virtual] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
    [anon_sym_concept] = ACTIONS(2801),
    [anon_sym_co_return] = ACTIONS(2801),
    [anon_sym_co_yield] = ACTIONS(2801),
    [anon_sym_R_DQUOTE] = ACTIONS(2803),
    [anon_sym_LR_DQUOTE] = ACTIONS(2803),
    [anon_sym_uR_DQUOTE] = ACTIONS(2803),
    [anon_sym_UR_DQUOTE] = ACTIONS(2803),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2803),
    [anon_sym_co_await] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_requires] = ACTIONS(2801),
    [sym_this] = ACTIONS(2801),
  },
  [676] = {
    [ts_builtin_sym_end] = ACTIONS(3007),
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [677] = {
    [ts_builtin_sym_end] = ACTIONS(3007),
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(2789),
    [sym_identifier] = ACTIONS(2787),
    [aux_sym_preproc_include_token1] = ACTIONS(2787),
    [aux_sym_preproc_def_token1] = ACTIONS(2787),
    [aux_sym_preproc_if_token1] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2787),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2787),
    [sym_preproc_directive] = ACTIONS(2787),
    [anon_sym_LPAREN2] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2789),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym___extension__] = ACTIONS(2787),
    [anon_sym_typedef] = ACTIONS(2787),
    [anon_sym_extern] = ACTIONS(2787),
    [anon_sym___attribute__] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(2789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2789),
    [anon_sym___declspec] = ACTIONS(2787),
    [anon_sym___based] = ACTIONS(2787),
    [anon_sym___cdecl] = ACTIONS(2787),
    [anon_sym___clrcall] = ACTIONS(2787),
    [anon_sym___stdcall] = ACTIONS(2787),
    [anon_sym___fastcall] = ACTIONS(2787),
    [anon_sym___thiscall] = ACTIONS(2787),
    [anon_sym___vectorcall] = ACTIONS(2787),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_signed] = ACTIONS(2787),
    [anon_sym_unsigned] = ACTIONS(2787),
    [anon_sym_long] = ACTIONS(2787),
    [anon_sym_short] = ACTIONS(2787),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_static] = ACTIONS(2787),
    [anon_sym_register] = ACTIONS(2787),
    [anon_sym_inline] = ACTIONS(2787),
    [anon_sym___inline] = ACTIONS(2787),
    [anon_sym___inline__] = ACTIONS(2787),
    [anon_sym___forceinline] = ACTIONS(2787),
    [anon_sym_thread_local] = ACTIONS(2787),
    [anon_sym___thread] = ACTIONS(2787),
    [anon_sym_const] = ACTIONS(2787),
    [anon_sym_constexpr] = ACTIONS(2787),
    [anon_sym_volatile] = ACTIONS(2787),
    [anon_sym_restrict] = ACTIONS(2787),
    [anon_sym___restrict__] = ACTIONS(2787),
    [anon_sym__Atomic] = ACTIONS(2787),
    [anon_sym__Noreturn] = ACTIONS(2787),
    [anon_sym_noreturn] = ACTIONS(2787),
    [anon_sym_mutable] = ACTIONS(2787),
    [anon_sym_constinit] = ACTIONS(2787),
    [anon_sym_consteval] = ACTIONS(2787),
    [anon_sym_alignas] = ACTIONS(2787),
    [anon_sym__Alignas] = ACTIONS(2787),
    [sym_primitive_type] = ACTIONS(2787),
    [anon_sym_enum] = ACTIONS(2787),
    [anon_sym_class] = ACTIONS(2787),
    [anon_sym_struct] = ACTIONS(2787),
    [anon_sym_union] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2787),
    [anon_sym_switch] = ACTIONS(2787),
    [anon_sym_case] = ACTIONS(2787),
    [anon_sym_default] = ACTIONS(2787),
    [anon_sym_while] = ACTIONS(2787),
    [anon_sym_do] = ACTIONS(2787),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_return] = ACTIONS(2787),
    [anon_sym_break] = ACTIONS(2787),
    [anon_sym_continue] = ACTIONS(2787),
    [anon_sym_goto] = ACTIONS(2787),
    [anon_sym_not] = ACTIONS(2787),
    [anon_sym_compl] = ACTIONS(2787),
    [anon_sym_DASH_DASH] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(2789),
    [anon_sym_sizeof] = ACTIONS(2787),
    [anon_sym___alignof__] = ACTIONS(2787),
    [anon_sym___alignof] = ACTIONS(2787),
    [anon_sym__alignof] = ACTIONS(2787),
    [anon_sym_alignof] = ACTIONS(2787),
    [anon_sym__Alignof] = ACTIONS(2787),
    [anon_sym_offsetof] = ACTIONS(2787),
    [anon_sym__Generic] = ACTIONS(2787),
    [anon_sym_asm] = ACTIONS(2787),
    [anon_sym___asm__] = ACTIONS(2787),
    [sym_number_literal] = ACTIONS(2789),
    [anon_sym_L_SQUOTE] = ACTIONS(2789),
    [anon_sym_u_SQUOTE] = ACTIONS(2789),
    [anon_sym_U_SQUOTE] = ACTIONS(2789),
    [anon_sym_u8_SQUOTE] = ACTIONS(2789),
    [anon_sym_SQUOTE] = ACTIONS(2789),
    [anon_sym_L_DQUOTE] = ACTIONS(2789),
    [anon_sym_u_DQUOTE] = ACTIONS(2789),
    [anon_sym_U_DQUOTE] = ACTIONS(2789),
    [anon_sym_u8_DQUOTE] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [sym_true] = ACTIONS(2787),
    [sym_false] = ACTIONS(2787),
    [anon_sym_NULL] = ACTIONS(2787),
    [anon_sym_nullptr] = ACTIONS(2787),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2787),
    [anon_sym_decltype] = ACTIONS(2787),
    [sym_virtual] = ACTIONS(2787),
    [anon_sym_explicit] = ACTIONS(2787),
    [anon_sym_typename] = ACTIONS(2787),
    [anon_sym_template] = ACTIONS(2787),
    [anon_sym_operator] = ACTIONS(2787),
    [anon_sym_try] = ACTIONS(2787),
    [anon_sym_delete] = ACTIONS(2787),
    [anon_sym_throw] = ACTIONS(2787),
    [anon_sym_namespace] = ACTIONS(2787),
    [anon_sym_using] = ACTIONS(2787),
    [anon_sym_static_assert] = ACTIONS(2787),
    [anon_sym_concept] = ACTIONS(2787),
    [anon_sym_co_return] = ACTIONS(2787),
    [anon_sym_co_yield] = ACTIONS(2787),
    [anon_sym_R_DQUOTE] = ACTIONS(2789),
    [anon_sym_LR_DQUOTE] = ACTIONS(2789),
    [anon_sym_uR_DQUOTE] = ACTIONS(2789),
    [anon_sym_UR_DQUOTE] = ACTIONS(2789),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2789),
    [anon_sym_co_await] = ACTIONS(2787),
    [anon_sym_new] = ACTIONS(2787),
    [anon_sym_requires] = ACTIONS(2787),
    [sym_this] = ACTIONS(2787),
  },
  [679] = {
    [ts_builtin_sym_end] = ACTIONS(2826),
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym_not] = ACTIONS(2824),
    [anon_sym_compl] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
    [anon_sym_concept] = ACTIONS(2824),
    [anon_sym_co_return] = ACTIONS(2824),
    [anon_sym_co_yield] = ACTIONS(2824),
    [anon_sym_R_DQUOTE] = ACTIONS(2826),
    [anon_sym_LR_DQUOTE] = ACTIONS(2826),
    [anon_sym_uR_DQUOTE] = ACTIONS(2826),
    [anon_sym_UR_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2826),
    [anon_sym_co_await] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_requires] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
  },
  [680] = {
    [ts_builtin_sym_end] = ACTIONS(2826),
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym_not] = ACTIONS(2824),
    [anon_sym_compl] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_try] = ACTIONS(2824),
    [anon_sym_delete] = ACTIONS(2824),
    [anon_sym_throw] = ACTIONS(2824),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
    [anon_sym_concept] = ACTIONS(2824),
    [anon_sym_co_return] = ACTIONS(2824),
    [anon_sym_co_yield] = ACTIONS(2824),
    [anon_sym_R_DQUOTE] = ACTIONS(2826),
    [anon_sym_LR_DQUOTE] = ACTIONS(2826),
    [anon_sym_uR_DQUOTE] = ACTIONS(2826),
    [anon_sym_UR_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2826),
    [anon_sym_co_await] = ACTIONS(2824),
    [anon_sym_new] = ACTIONS(2824),
    [anon_sym_requires] = ACTIONS(2824),
    [sym_this] = ACTIONS(2824),
  },
  [681] = {
    [ts_builtin_sym_end] = ACTIONS(2650),
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_include_token1] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2648),
    [anon_sym_PLUS] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym___cdecl] = ACTIONS(2648),
    [anon_sym___clrcall] = ACTIONS(2648),
    [anon_sym___stdcall] = ACTIONS(2648),
    [anon_sym___fastcall] = ACTIONS(2648),
    [anon_sym___thiscall] = ACTIONS(2648),
    [anon_sym___vectorcall] = ACTIONS(2648),
    [anon_sym_LBRACE] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_switch] = ACTIONS(2648),
    [anon_sym_case] = ACTIONS(2648),
    [anon_sym_default] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_do] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_return] = ACTIONS(2648),
    [anon_sym_break] = ACTIONS(2648),
    [anon_sym_continue] = ACTIONS(2648),
    [anon_sym_goto] = ACTIONS(2648),
    [anon_sym_not] = ACTIONS(2648),
    [anon_sym_compl] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2650),
    [anon_sym_sizeof] = ACTIONS(2648),
    [anon_sym___alignof__] = ACTIONS(2648),
    [anon_sym___alignof] = ACTIONS(2648),
    [anon_sym__alignof] = ACTIONS(2648),
    [anon_sym_alignof] = ACTIONS(2648),
    [anon_sym__Alignof] = ACTIONS(2648),
    [anon_sym_offsetof] = ACTIONS(2648),
    [anon_sym__Generic] = ACTIONS(2648),
    [anon_sym_asm] = ACTIONS(2648),
    [anon_sym___asm__] = ACTIONS(2648),
    [sym_number_literal] = ACTIONS(2650),
    [anon_sym_L_SQUOTE] = ACTIONS(2650),
    [anon_sym_u_SQUOTE] = ACTIONS(2650),
    [anon_sym_U_SQUOTE] = ACTIONS(2650),
    [anon_sym_u8_SQUOTE] = ACTIONS(2650),
    [anon_sym_SQUOTE] = ACTIONS(2650),
    [anon_sym_L_DQUOTE] = ACTIONS(2650),
    [anon_sym_u_DQUOTE] = ACTIONS(2650),
    [anon_sym_U_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8_DQUOTE] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [sym_true] = ACTIONS(2648),
    [sym_false] = ACTIONS(2648),
    [anon_sym_NULL] = ACTIONS(2648),
    [anon_sym_nullptr] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_try] = ACTIONS(2648),
    [anon_sym_delete] = ACTIONS(2648),
    [anon_sym_throw] = ACTIONS(2648),
    [anon_sym_namespace] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
    [anon_sym_concept] = ACTIONS(2648),
    [anon_sym_co_return] = ACTIONS(2648),
    [anon_sym_co_yield] = ACTIONS(2648),
    [anon_sym_R_DQUOTE] = ACTIONS(2650),
    [anon_sym_LR_DQUOTE] = ACTIONS(2650),
    [anon_sym_uR_DQUOTE] = ACTIONS(2650),
    [anon_sym_UR_DQUOTE] = ACTIONS(2650),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2650),
    [anon_sym_co_await] = ACTIONS(2648),
    [anon_sym_new] = ACTIONS(2648),
    [anon_sym_requires] = ACTIONS(2648),
    [sym_this] = ACTIONS(2648),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(2654),
    [sym_identifier] = ACTIONS(2652),
    [aux_sym_preproc_include_token1] = ACTIONS(2652),
    [aux_sym_preproc_def_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2652),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2652),
    [anon_sym_typedef] = ACTIONS(2652),
    [anon_sym_extern] = ACTIONS(2652),
    [anon_sym___attribute__] = ACTIONS(2652),
    [anon_sym_COLON_COLON] = ACTIONS(2654),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2654),
    [anon_sym___declspec] = ACTIONS(2652),
    [anon_sym___based] = ACTIONS(2652),
    [anon_sym___cdecl] = ACTIONS(2652),
    [anon_sym___clrcall] = ACTIONS(2652),
    [anon_sym___stdcall] = ACTIONS(2652),
    [anon_sym___fastcall] = ACTIONS(2652),
    [anon_sym___thiscall] = ACTIONS(2652),
    [anon_sym___vectorcall] = ACTIONS(2652),
    [anon_sym_LBRACE] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2652),
    [anon_sym_unsigned] = ACTIONS(2652),
    [anon_sym_long] = ACTIONS(2652),
    [anon_sym_short] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_register] = ACTIONS(2652),
    [anon_sym_inline] = ACTIONS(2652),
    [anon_sym___inline] = ACTIONS(2652),
    [anon_sym___inline__] = ACTIONS(2652),
    [anon_sym___forceinline] = ACTIONS(2652),
    [anon_sym_thread_local] = ACTIONS(2652),
    [anon_sym___thread] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_constexpr] = ACTIONS(2652),
    [anon_sym_volatile] = ACTIONS(2652),
    [anon_sym_restrict] = ACTIONS(2652),
    [anon_sym___restrict__] = ACTIONS(2652),
    [anon_sym__Atomic] = ACTIONS(2652),
    [anon_sym__Noreturn] = ACTIONS(2652),
    [anon_sym_noreturn] = ACTIONS(2652),
    [anon_sym_mutable] = ACTIONS(2652),
    [anon_sym_constinit] = ACTIONS(2652),
    [anon_sym_consteval] = ACTIONS(2652),
    [anon_sym_alignas] = ACTIONS(2652),
    [anon_sym__Alignas] = ACTIONS(2652),
    [sym_primitive_type] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_struct] = ACTIONS(2652),
    [anon_sym_union] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2652),
    [anon_sym_switch] = ACTIONS(2652),
    [anon_sym_case] = ACTIONS(2652),
    [anon_sym_default] = ACTIONS(2652),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_do] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2652),
    [anon_sym_return] = ACTIONS(2652),
    [anon_sym_break] = ACTIONS(2652),
    [anon_sym_continue] = ACTIONS(2652),
    [anon_sym_goto] = ACTIONS(2652),
    [anon_sym_not] = ACTIONS(2652),
    [anon_sym_compl] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2654),
    [anon_sym_sizeof] = ACTIONS(2652),
    [anon_sym___alignof__] = ACTIONS(2652),
    [anon_sym___alignof] = ACTIONS(2652),
    [anon_sym__alignof] = ACTIONS(2652),
    [anon_sym_alignof] = ACTIONS(2652),
    [anon_sym__Alignof] = ACTIONS(2652),
    [anon_sym_offsetof] = ACTIONS(2652),
    [anon_sym__Generic] = ACTIONS(2652),
    [anon_sym_asm] = ACTIONS(2652),
    [anon_sym___asm__] = ACTIONS(2652),
    [sym_number_literal] = ACTIONS(2654),
    [anon_sym_L_SQUOTE] = ACTIONS(2654),
    [anon_sym_u_SQUOTE] = ACTIONS(2654),
    [anon_sym_U_SQUOTE] = ACTIONS(2654),
    [anon_sym_u8_SQUOTE] = ACTIONS(2654),
    [anon_sym_SQUOTE] = ACTIONS(2654),
    [anon_sym_L_DQUOTE] = ACTIONS(2654),
    [anon_sym_u_DQUOTE] = ACTIONS(2654),
    [anon_sym_U_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8_DQUOTE] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [sym_true] = ACTIONS(2652),
    [sym_false] = ACTIONS(2652),
    [anon_sym_NULL] = ACTIONS(2652),
    [anon_sym_nullptr] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2652),
    [anon_sym_decltype] = ACTIONS(2652),
    [sym_virtual] = ACTIONS(2652),
    [anon_sym_explicit] = ACTIONS(2652),
    [anon_sym_typename] = ACTIONS(2652),
    [anon_sym_template] = ACTIONS(2652),
    [anon_sym_operator] = ACTIONS(2652),
    [anon_sym_try] = ACTIONS(2652),
    [anon_sym_delete] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2652),
    [anon_sym_namespace] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_static_assert] = ACTIONS(2652),
    [anon_sym_concept] = ACTIONS(2652),
    [anon_sym_co_return] = ACTIONS(2652),
    [anon_sym_co_yield] = ACTIONS(2652),
    [anon_sym_R_DQUOTE] = ACTIONS(2654),
    [anon_sym_LR_DQUOTE] = ACTIONS(2654),
    [anon_sym_uR_DQUOTE] = ACTIONS(2654),
    [anon_sym_UR_DQUOTE] = ACTIONS(2654),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2654),
    [anon_sym_co_await] = ACTIONS(2652),
    [anon_sym_new] = ACTIONS(2652),
    [anon_sym_requires] = ACTIONS(2652),
    [sym_this] = ACTIONS(2652),
  },
  [683] = {
    [ts_builtin_sym_end] = ACTIONS(2658),
    [sym_identifier] = ACTIONS(2656),
    [aux_sym_preproc_include_token1] = ACTIONS(2656),
    [aux_sym_preproc_def_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2656),
    [sym_preproc_directive] = ACTIONS(2656),
    [anon_sym_LPAREN2] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_AMP_AMP] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2656),
    [anon_sym_typedef] = ACTIONS(2656),
    [anon_sym_extern] = ACTIONS(2656),
    [anon_sym___attribute__] = ACTIONS(2656),
    [anon_sym_COLON_COLON] = ACTIONS(2658),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2658),
    [anon_sym___declspec] = ACTIONS(2656),
    [anon_sym___based] = ACTIONS(2656),
    [anon_sym___cdecl] = ACTIONS(2656),
    [anon_sym___clrcall] = ACTIONS(2656),
    [anon_sym___stdcall] = ACTIONS(2656),
    [anon_sym___fastcall] = ACTIONS(2656),
    [anon_sym___thiscall] = ACTIONS(2656),
    [anon_sym___vectorcall] = ACTIONS(2656),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2656),
    [anon_sym_unsigned] = ACTIONS(2656),
    [anon_sym_long] = ACTIONS(2656),
    [anon_sym_short] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_register] = ACTIONS(2656),
    [anon_sym_inline] = ACTIONS(2656),
    [anon_sym___inline] = ACTIONS(2656),
    [anon_sym___inline__] = ACTIONS(2656),
    [anon_sym___forceinline] = ACTIONS(2656),
    [anon_sym_thread_local] = ACTIONS(2656),
    [anon_sym___thread] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_constexpr] = ACTIONS(2656),
    [anon_sym_volatile] = ACTIONS(2656),
    [anon_sym_restrict] = ACTIONS(2656),
    [anon_sym___restrict__] = ACTIONS(2656),
    [anon_sym__Atomic] = ACTIONS(2656),
    [anon_sym__Noreturn] = ACTIONS(2656),
    [anon_sym_noreturn] = ACTIONS(2656),
    [anon_sym_mutable] = ACTIONS(2656),
    [anon_sym_constinit] = ACTIONS(2656),
    [anon_sym_consteval] = ACTIONS(2656),
    [anon_sym_alignas] = ACTIONS(2656),
    [anon_sym__Alignas] = ACTIONS(2656),
    [sym_primitive_type] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_struct] = ACTIONS(2656),
    [anon_sym_union] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2656),
    [anon_sym_switch] = ACTIONS(2656),
    [anon_sym_case] = ACTIONS(2656),
    [anon_sym_default] = ACTIONS(2656),
    [anon_sym_while] = ACTIONS(2656),
    [anon_sym_do] = ACTIONS(2656),
    [anon_sym_for] = ACTIONS(2656),
    [anon_sym_return] = ACTIONS(2656),
    [anon_sym_break] = ACTIONS(2656),
    [anon_sym_continue] = ACTIONS(2656),
    [anon_sym_goto] = ACTIONS(2656),
    [anon_sym_not] = ACTIONS(2656),
    [anon_sym_compl] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2658),
    [anon_sym_sizeof] = ACTIONS(2656),
    [anon_sym___alignof__] = ACTIONS(2656),
    [anon_sym___alignof] = ACTIONS(2656),
    [anon_sym__alignof] = ACTIONS(2656),
    [anon_sym_alignof] = ACTIONS(2656),
    [anon_sym__Alignof] = ACTIONS(2656),
    [anon_sym_offsetof] = ACTIONS(2656),
    [anon_sym__Generic] = ACTIONS(2656),
    [anon_sym_asm] = ACTIONS(2656),
    [anon_sym___asm__] = ACTIONS(2656),
    [sym_number_literal] = ACTIONS(2658),
    [anon_sym_L_SQUOTE] = ACTIONS(2658),
    [anon_sym_u_SQUOTE] = ACTIONS(2658),
    [anon_sym_U_SQUOTE] = ACTIONS(2658),
    [anon_sym_u8_SQUOTE] = ACTIONS(2658),
    [anon_sym_SQUOTE] = ACTIONS(2658),
    [anon_sym_L_DQUOTE] = ACTIONS(2658),
    [anon_sym_u_DQUOTE] = ACTIONS(2658),
    [anon_sym_U_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8_DQUOTE] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [sym_true] = ACTIONS(2656),
    [sym_false] = ACTIONS(2656),
    [anon_sym_NULL] = ACTIONS(2656),
    [anon_sym_nullptr] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2656),
    [anon_sym_decltype] = ACTIONS(2656),
    [sym_virtual] = ACTIONS(2656),
    [anon_sym_explicit] = ACTIONS(2656),
    [anon_sym_typename] = ACTIONS(2656),
    [anon_sym_template] = ACTIONS(2656),
    [anon_sym_operator] = ACTIONS(2656),
    [anon_sym_try] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2656),
    [anon_sym_namespace] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_static_assert] = ACTIONS(2656),
    [anon_sym_concept] = ACTIONS(2656),
    [anon_sym_co_return] = ACTIONS(2656),
    [anon_sym_co_yield] = ACTIONS(2656),
    [anon_sym_R_DQUOTE] = ACTIONS(2658),
    [anon_sym_LR_DQUOTE] = ACTIONS(2658),
    [anon_sym_uR_DQUOTE] = ACTIONS(2658),
    [anon_sym_UR_DQUOTE] = ACTIONS(2658),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2658),
    [anon_sym_co_await] = ACTIONS(2656),
    [anon_sym_new] = ACTIONS(2656),
    [anon_sym_requires] = ACTIONS(2656),
    [sym_this] = ACTIONS(2656),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(2666),
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_include_token1] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym___cdecl] = ACTIONS(2664),
    [anon_sym___clrcall] = ACTIONS(2664),
    [anon_sym___stdcall] = ACTIONS(2664),
    [anon_sym___fastcall] = ACTIONS(2664),
    [anon_sym___thiscall] = ACTIONS(2664),
    [anon_sym___vectorcall] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2664),
    [anon_sym_switch] = ACTIONS(2664),
    [anon_sym_case] = ACTIONS(2664),
    [anon_sym_default] = ACTIONS(2664),
    [anon_sym_while] = ACTIONS(2664),
    [anon_sym_do] = ACTIONS(2664),
    [anon_sym_for] = ACTIONS(2664),
    [anon_sym_return] = ACTIONS(2664),
    [anon_sym_break] = ACTIONS(2664),
    [anon_sym_continue] = ACTIONS(2664),
    [anon_sym_goto] = ACTIONS(2664),
    [anon_sym_not] = ACTIONS(2664),
    [anon_sym_compl] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_sizeof] = ACTIONS(2664),
    [anon_sym___alignof__] = ACTIONS(2664),
    [anon_sym___alignof] = ACTIONS(2664),
    [anon_sym__alignof] = ACTIONS(2664),
    [anon_sym_alignof] = ACTIONS(2664),
    [anon_sym__Alignof] = ACTIONS(2664),
    [anon_sym_offsetof] = ACTIONS(2664),
    [anon_sym__Generic] = ACTIONS(2664),
    [anon_sym_asm] = ACTIONS(2664),
    [anon_sym___asm__] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2666),
    [anon_sym_L_SQUOTE] = ACTIONS(2666),
    [anon_sym_u_SQUOTE] = ACTIONS(2666),
    [anon_sym_U_SQUOTE] = ACTIONS(2666),
    [anon_sym_u8_SQUOTE] = ACTIONS(2666),
    [anon_sym_SQUOTE] = ACTIONS(2666),
    [anon_sym_L_DQUOTE] = ACTIONS(2666),
    [anon_sym_u_DQUOTE] = ACTIONS(2666),
    [anon_sym_U_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [sym_true] = ACTIONS(2664),
    [sym_false] = ACTIONS(2664),
    [anon_sym_NULL] = ACTIONS(2664),
    [anon_sym_nullptr] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [sym_virtual] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_try] = ACTIONS(2664),
    [anon_sym_delete] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2664),
    [anon_sym_namespace] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
    [anon_sym_concept] = ACTIONS(2664),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2664),
    [anon_sym_R_DQUOTE] = ACTIONS(2666),
    [anon_sym_LR_DQUOTE] = ACTIONS(2666),
    [anon_sym_uR_DQUOTE] = ACTIONS(2666),
    [anon_sym_UR_DQUOTE] = ACTIONS(2666),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2666),
    [anon_sym_co_await] = ACTIONS(2664),
    [anon_sym_new] = ACTIONS(2664),
    [anon_sym_requires] = ACTIONS(2664),
    [sym_this] = ACTIONS(2664),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(2670),
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_include_token1] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym___cdecl] = ACTIONS(2668),
    [anon_sym___clrcall] = ACTIONS(2668),
    [anon_sym___stdcall] = ACTIONS(2668),
    [anon_sym___fastcall] = ACTIONS(2668),
    [anon_sym___thiscall] = ACTIONS(2668),
    [anon_sym___vectorcall] = ACTIONS(2668),
    [anon_sym_LBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2668),
    [anon_sym_switch] = ACTIONS(2668),
    [anon_sym_case] = ACTIONS(2668),
    [anon_sym_default] = ACTIONS(2668),
    [anon_sym_while] = ACTIONS(2668),
    [anon_sym_do] = ACTIONS(2668),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_return] = ACTIONS(2668),
    [anon_sym_break] = ACTIONS(2668),
    [anon_sym_continue] = ACTIONS(2668),
    [anon_sym_goto] = ACTIONS(2668),
    [anon_sym_not] = ACTIONS(2668),
    [anon_sym_compl] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2670),
    [anon_sym_sizeof] = ACTIONS(2668),
    [anon_sym___alignof__] = ACTIONS(2668),
    [anon_sym___alignof] = ACTIONS(2668),
    [anon_sym__alignof] = ACTIONS(2668),
    [anon_sym_alignof] = ACTIONS(2668),
    [anon_sym__Alignof] = ACTIONS(2668),
    [anon_sym_offsetof] = ACTIONS(2668),
    [anon_sym__Generic] = ACTIONS(2668),
    [anon_sym_asm] = ACTIONS(2668),
    [anon_sym___asm__] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2670),
    [anon_sym_L_SQUOTE] = ACTIONS(2670),
    [anon_sym_u_SQUOTE] = ACTIONS(2670),
    [anon_sym_U_SQUOTE] = ACTIONS(2670),
    [anon_sym_u8_SQUOTE] = ACTIONS(2670),
    [anon_sym_SQUOTE] = ACTIONS(2670),
    [anon_sym_L_DQUOTE] = ACTIONS(2670),
    [anon_sym_u_DQUOTE] = ACTIONS(2670),
    [anon_sym_U_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [sym_true] = ACTIONS(2668),
    [sym_false] = ACTIONS(2668),
    [anon_sym_NULL] = ACTIONS(2668),
    [anon_sym_nullptr] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [sym_virtual] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2668),
    [anon_sym_namespace] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
    [anon_sym_concept] = ACTIONS(2668),
    [anon_sym_co_return] = ACTIONS(2668),
    [anon_sym_co_yield] = ACTIONS(2668),
    [anon_sym_R_DQUOTE] = ACTIONS(2670),
    [anon_sym_LR_DQUOTE] = ACTIONS(2670),
    [anon_sym_uR_DQUOTE] = ACTIONS(2670),
    [anon_sym_UR_DQUOTE] = ACTIONS(2670),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2670),
    [anon_sym_co_await] = ACTIONS(2668),
    [anon_sym_new] = ACTIONS(2668),
    [anon_sym_requires] = ACTIONS(2668),
    [sym_this] = ACTIONS(2668),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(2674),
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_include_token1] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym___cdecl] = ACTIONS(2672),
    [anon_sym___clrcall] = ACTIONS(2672),
    [anon_sym___stdcall] = ACTIONS(2672),
    [anon_sym___fastcall] = ACTIONS(2672),
    [anon_sym___thiscall] = ACTIONS(2672),
    [anon_sym___vectorcall] = ACTIONS(2672),
    [anon_sym_LBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_switch] = ACTIONS(2672),
    [anon_sym_case] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_do] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2672),
    [anon_sym_return] = ACTIONS(2672),
    [anon_sym_break] = ACTIONS(2672),
    [anon_sym_continue] = ACTIONS(2672),
    [anon_sym_goto] = ACTIONS(2672),
    [anon_sym_not] = ACTIONS(2672),
    [anon_sym_compl] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2674),
    [anon_sym_sizeof] = ACTIONS(2672),
    [anon_sym___alignof__] = ACTIONS(2672),
    [anon_sym___alignof] = ACTIONS(2672),
    [anon_sym__alignof] = ACTIONS(2672),
    [anon_sym_alignof] = ACTIONS(2672),
    [anon_sym__Alignof] = ACTIONS(2672),
    [anon_sym_offsetof] = ACTIONS(2672),
    [anon_sym__Generic] = ACTIONS(2672),
    [anon_sym_asm] = ACTIONS(2672),
    [anon_sym___asm__] = ACTIONS(2672),
    [sym_number_literal] = ACTIONS(2674),
    [anon_sym_L_SQUOTE] = ACTIONS(2674),
    [anon_sym_u_SQUOTE] = ACTIONS(2674),
    [anon_sym_U_SQUOTE] = ACTIONS(2674),
    [anon_sym_u8_SQUOTE] = ACTIONS(2674),
    [anon_sym_SQUOTE] = ACTIONS(2674),
    [anon_sym_L_DQUOTE] = ACTIONS(2674),
    [anon_sym_u_DQUOTE] = ACTIONS(2674),
    [anon_sym_U_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8_DQUOTE] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [sym_true] = ACTIONS(2672),
    [sym_false] = ACTIONS(2672),
    [anon_sym_NULL] = ACTIONS(2672),
    [anon_sym_nullptr] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_try] = ACTIONS(2672),
    [anon_sym_delete] = ACTIONS(2672),
    [anon_sym_throw] = ACTIONS(2672),
    [anon_sym_namespace] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
    [anon_sym_concept] = ACTIONS(2672),
    [anon_sym_co_return] = ACTIONS(2672),
    [anon_sym_co_yield] = ACTIONS(2672),
    [anon_sym_R_DQUOTE] = ACTIONS(2674),
    [anon_sym_LR_DQUOTE] = ACTIONS(2674),
    [anon_sym_uR_DQUOTE] = ACTIONS(2674),
    [anon_sym_UR_DQUOTE] = ACTIONS(2674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2674),
    [anon_sym_co_await] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2672),
    [anon_sym_requires] = ACTIONS(2672),
    [sym_this] = ACTIONS(2672),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(2678),
    [sym_identifier] = ACTIONS(2676),
    [aux_sym_preproc_include_token1] = ACTIONS(2676),
    [aux_sym_preproc_def_token1] = ACTIONS(2676),
    [aux_sym_preproc_if_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2676),
    [sym_preproc_directive] = ACTIONS(2676),
    [anon_sym_LPAREN2] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2678),
    [anon_sym_TILDE] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2678),
    [anon_sym_AMP_AMP] = ACTIONS(2678),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2676),
    [anon_sym_typedef] = ACTIONS(2676),
    [anon_sym_extern] = ACTIONS(2676),
    [anon_sym___attribute__] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2678),
    [anon_sym___declspec] = ACTIONS(2676),
    [anon_sym___based] = ACTIONS(2676),
    [anon_sym___cdecl] = ACTIONS(2676),
    [anon_sym___clrcall] = ACTIONS(2676),
    [anon_sym___stdcall] = ACTIONS(2676),
    [anon_sym___fastcall] = ACTIONS(2676),
    [anon_sym___thiscall] = ACTIONS(2676),
    [anon_sym___vectorcall] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2678),
    [anon_sym_signed] = ACTIONS(2676),
    [anon_sym_unsigned] = ACTIONS(2676),
    [anon_sym_long] = ACTIONS(2676),
    [anon_sym_short] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym_static] = ACTIONS(2676),
    [anon_sym_register] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym___inline] = ACTIONS(2676),
    [anon_sym___inline__] = ACTIONS(2676),
    [anon_sym___forceinline] = ACTIONS(2676),
    [anon_sym_thread_local] = ACTIONS(2676),
    [anon_sym___thread] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_constexpr] = ACTIONS(2676),
    [anon_sym_volatile] = ACTIONS(2676),
    [anon_sym_restrict] = ACTIONS(2676),
    [anon_sym___restrict__] = ACTIONS(2676),
    [anon_sym__Atomic] = ACTIONS(2676),
    [anon_sym__Noreturn] = ACTIONS(2676),
    [anon_sym_noreturn] = ACTIONS(2676),
    [anon_sym_mutable] = ACTIONS(2676),
    [anon_sym_constinit] = ACTIONS(2676),
    [anon_sym_consteval] = ACTIONS(2676),
    [anon_sym_alignas] = ACTIONS(2676),
    [anon_sym__Alignas] = ACTIONS(2676),
    [sym_primitive_type] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_class] = ACTIONS(2676),
    [anon_sym_struct] = ACTIONS(2676),
    [anon_sym_union] = ACTIONS(2676),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_switch] = ACTIONS(2676),
    [anon_sym_case] = ACTIONS(2676),
    [anon_sym_default] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_do] = ACTIONS(2676),
    [anon_sym_for] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_break] = ACTIONS(2676),
    [anon_sym_continue] = ACTIONS(2676),
    [anon_sym_goto] = ACTIONS(2676),
    [anon_sym_not] = ACTIONS(2676),
    [anon_sym_compl] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2678),
    [anon_sym_sizeof] = ACTIONS(2676),
    [anon_sym___alignof__] = ACTIONS(2676),
    [anon_sym___alignof] = ACTIONS(2676),
    [anon_sym__alignof] = ACTIONS(2676),
    [anon_sym_alignof] = ACTIONS(2676),
    [anon_sym__Alignof] = ACTIONS(2676),
    [anon_sym_offsetof] = ACTIONS(2676),
    [anon_sym__Generic] = ACTIONS(2676),
    [anon_sym_asm] = ACTIONS(2676),
    [anon_sym___asm__] = ACTIONS(2676),
    [sym_number_literal] = ACTIONS(2678),
    [anon_sym_L_SQUOTE] = ACTIONS(2678),
    [anon_sym_u_SQUOTE] = ACTIONS(2678),
    [anon_sym_U_SQUOTE] = ACTIONS(2678),
    [anon_sym_u8_SQUOTE] = ACTIONS(2678),
    [anon_sym_SQUOTE] = ACTIONS(2678),
    [anon_sym_L_DQUOTE] = ACTIONS(2678),
    [anon_sym_u_DQUOTE] = ACTIONS(2678),
    [anon_sym_U_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8_DQUOTE] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2678),
    [sym_true] = ACTIONS(2676),
    [sym_false] = ACTIONS(2676),
    [anon_sym_NULL] = ACTIONS(2676),
    [anon_sym_nullptr] = ACTIONS(2676),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2676),
    [anon_sym_decltype] = ACTIONS(2676),
    [sym_virtual] = ACTIONS(2676),
    [anon_sym_explicit] = ACTIONS(2676),
    [anon_sym_typename] = ACTIONS(2676),
    [anon_sym_template] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_delete] = ACTIONS(2676),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_namespace] = ACTIONS(2676),
    [anon_sym_using] = ACTIONS(2676),
    [anon_sym_static_assert] = ACTIONS(2676),
    [anon_sym_concept] = ACTIONS(2676),
    [anon_sym_co_return] = ACTIONS(2676),
    [anon_sym_co_yield] = ACTIONS(2676),
    [anon_sym_R_DQUOTE] = ACTIONS(2678),
    [anon_sym_LR_DQUOTE] = ACTIONS(2678),
    [anon_sym_uR_DQUOTE] = ACTIONS(2678),
    [anon_sym_UR_DQUOTE] = ACTIONS(2678),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2678),
    [anon_sym_co_await] = ACTIONS(2676),
    [anon_sym_new] = ACTIONS(2676),
    [anon_sym_requires] = ACTIONS(2676),
    [sym_this] = ACTIONS(2676),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(2682),
    [sym_identifier] = ACTIONS(2680),
    [aux_sym_preproc_include_token1] = ACTIONS(2680),
    [aux_sym_preproc_def_token1] = ACTIONS(2680),
    [aux_sym_preproc_if_token1] = ACTIONS(2680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2680),
    [sym_preproc_directive] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2682),
    [anon_sym_BANG] = ACTIONS(2682),
    [anon_sym_TILDE] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2680),
    [anon_sym_PLUS] = ACTIONS(2680),
    [anon_sym_STAR] = ACTIONS(2682),
    [anon_sym_AMP_AMP] = ACTIONS(2682),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2680),
    [anon_sym_typedef] = ACTIONS(2680),
    [anon_sym_extern] = ACTIONS(2680),
    [anon_sym___attribute__] = ACTIONS(2680),
    [anon_sym_COLON_COLON] = ACTIONS(2682),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2682),
    [anon_sym___declspec] = ACTIONS(2680),
    [anon_sym___based] = ACTIONS(2680),
    [anon_sym___cdecl] = ACTIONS(2680),
    [anon_sym___clrcall] = ACTIONS(2680),
    [anon_sym___stdcall] = ACTIONS(2680),
    [anon_sym___fastcall] = ACTIONS(2680),
    [anon_sym___thiscall] = ACTIONS(2680),
    [anon_sym___vectorcall] = ACTIONS(2680),
    [anon_sym_LBRACE] = ACTIONS(2682),
    [anon_sym_signed] = ACTIONS(2680),
    [anon_sym_unsigned] = ACTIONS(2680),
    [anon_sym_long] = ACTIONS(2680),
    [anon_sym_short] = ACTIONS(2680),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym_static] = ACTIONS(2680),
    [anon_sym_register] = ACTIONS(2680),
    [anon_sym_inline] = ACTIONS(2680),
    [anon_sym___inline] = ACTIONS(2680),
    [anon_sym___inline__] = ACTIONS(2680),
    [anon_sym___forceinline] = ACTIONS(2680),
    [anon_sym_thread_local] = ACTIONS(2680),
    [anon_sym___thread] = ACTIONS(2680),
    [anon_sym_const] = ACTIONS(2680),
    [anon_sym_constexpr] = ACTIONS(2680),
    [anon_sym_volatile] = ACTIONS(2680),
    [anon_sym_restrict] = ACTIONS(2680),
    [anon_sym___restrict__] = ACTIONS(2680),
    [anon_sym__Atomic] = ACTIONS(2680),
    [anon_sym__Noreturn] = ACTIONS(2680),
    [anon_sym_noreturn] = ACTIONS(2680),
    [anon_sym_mutable] = ACTIONS(2680),
    [anon_sym_constinit] = ACTIONS(2680),
    [anon_sym_consteval] = ACTIONS(2680),
    [anon_sym_alignas] = ACTIONS(2680),
    [anon_sym__Alignas] = ACTIONS(2680),
    [sym_primitive_type] = ACTIONS(2680),
    [anon_sym_enum] = ACTIONS(2680),
    [anon_sym_class] = ACTIONS(2680),
    [anon_sym_struct] = ACTIONS(2680),
    [anon_sym_union] = ACTIONS(2680),
    [anon_sym_if] = ACTIONS(2680),
    [anon_sym_switch] = ACTIONS(2680),
    [anon_sym_case] = ACTIONS(2680),
    [anon_sym_default] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2680),
    [anon_sym_do] = ACTIONS(2680),
    [anon_sym_for] = ACTIONS(2680),
    [anon_sym_return] = ACTIONS(2680),
    [anon_sym_break] = ACTIONS(2680),
    [anon_sym_continue] = ACTIONS(2680),
    [anon_sym_goto] = ACTIONS(2680),
    [anon_sym_not] = ACTIONS(2680),
    [anon_sym_compl] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2682),
    [anon_sym_PLUS_PLUS] = ACTIONS(2682),
    [anon_sym_sizeof] = ACTIONS(2680),
    [anon_sym___alignof__] = ACTIONS(2680),
    [anon_sym___alignof] = ACTIONS(2680),
    [anon_sym__alignof] = ACTIONS(2680),
    [anon_sym_alignof] = ACTIONS(2680),
    [anon_sym__Alignof] = ACTIONS(2680),
    [anon_sym_offsetof] = ACTIONS(2680),
    [anon_sym__Generic] = ACTIONS(2680),
    [anon_sym_asm] = ACTIONS(2680),
    [anon_sym___asm__] = ACTIONS(2680),
    [sym_number_literal] = ACTIONS(2682),
    [anon_sym_L_SQUOTE] = ACTIONS(2682),
    [anon_sym_u_SQUOTE] = ACTIONS(2682),
    [anon_sym_U_SQUOTE] = ACTIONS(2682),
    [anon_sym_u8_SQUOTE] = ACTIONS(2682),
    [anon_sym_SQUOTE] = ACTIONS(2682),
    [anon_sym_L_DQUOTE] = ACTIONS(2682),
    [anon_sym_u_DQUOTE] = ACTIONS(2682),
    [anon_sym_U_DQUOTE] = ACTIONS(2682),
    [anon_sym_u8_DQUOTE] = ACTIONS(2682),
    [anon_sym_DQUOTE] = ACTIONS(2682),
    [sym_true] = ACTIONS(2680),
    [sym_false] = ACTIONS(2680),
    [anon_sym_NULL] = ACTIONS(2680),
    [anon_sym_nullptr] = ACTIONS(2680),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2680),
    [anon_sym_decltype] = ACTIONS(2680),
    [sym_virtual] = ACTIONS(2680),
    [anon_sym_explicit] = ACTIONS(2680),
    [anon_sym_typename] = ACTIONS(2680),
    [anon_sym_template] = ACTIONS(2680),
    [anon_sym_operator] = ACTIONS(2680),
    [anon_sym_try] = ACTIONS(2680),
    [anon_sym_delete] = ACTIONS(2680),
    [anon_sym_throw] = ACTIONS(2680),
    [anon_sym_namespace] = ACTIONS(2680),
    [anon_sym_using] = ACTIONS(2680),
    [anon_sym_static_assert] = ACTIONS(2680),
    [anon_sym_concept] = ACTIONS(2680),
    [anon_sym_co_return] = ACTIONS(2680),
    [anon_sym_co_yield] = ACTIONS(2680),
    [anon_sym_R_DQUOTE] = ACTIONS(2682),
    [anon_sym_LR_DQUOTE] = ACTIONS(2682),
    [anon_sym_uR_DQUOTE] = ACTIONS(2682),
    [anon_sym_UR_DQUOTE] = ACTIONS(2682),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2682),
    [anon_sym_co_await] = ACTIONS(2680),
    [anon_sym_new] = ACTIONS(2680),
    [anon_sym_requires] = ACTIONS(2680),
    [sym_this] = ACTIONS(2680),
  },
  [689] = {
    [ts_builtin_sym_end] = ACTIONS(2686),
    [sym_identifier] = ACTIONS(2684),
    [aux_sym_preproc_include_token1] = ACTIONS(2684),
    [aux_sym_preproc_def_token1] = ACTIONS(2684),
    [aux_sym_preproc_if_token1] = ACTIONS(2684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2684),
    [sym_preproc_directive] = ACTIONS(2684),
    [anon_sym_LPAREN2] = ACTIONS(2686),
    [anon_sym_BANG] = ACTIONS(2686),
    [anon_sym_TILDE] = ACTIONS(2686),
    [anon_sym_DASH] = ACTIONS(2684),
    [anon_sym_PLUS] = ACTIONS(2684),
    [anon_sym_STAR] = ACTIONS(2686),
    [anon_sym_AMP_AMP] = ACTIONS(2686),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(2684),
    [anon_sym_typedef] = ACTIONS(2684),
    [anon_sym_extern] = ACTIONS(2684),
    [anon_sym___attribute__] = ACTIONS(2684),
    [anon_sym_COLON_COLON] = ACTIONS(2686),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2686),
    [anon_sym___declspec] = ACTIONS(2684),
    [anon_sym___based] = ACTIONS(2684),
    [anon_sym___cdecl] = ACTIONS(2684),
    [anon_sym___clrcall] = ACTIONS(2684),
    [anon_sym___stdcall] = ACTIONS(2684),
    [anon_sym___fastcall] = ACTIONS(2684),
    [anon_sym___thiscall] = ACTIONS(2684),
    [anon_sym___vectorcall] = ACTIONS(2684),
    [anon_sym_LBRACE] = ACTIONS(2686),
    [anon_sym_signed] = ACTIONS(2684),
    [anon_sym_unsigned] = ACTIONS(2684),
    [anon_sym_long] = ACTIONS(2684),
    [anon_sym_short] = ACTIONS(2684),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym_static] = ACTIONS(2684),
    [anon_sym_register] = ACTIONS(2684),
    [anon_sym_inline] = ACTIONS(2684),
    [anon_sym___inline] = ACTIONS(2684),
    [anon_sym___inline__] = ACTIONS(2684),
    [anon_sym___forceinline] = ACTIONS(2684),
    [anon_sym_thread_local] = ACTIONS(2684),
    [anon_sym___thread] = ACTIONS(2684),
    [anon_sym_const] = ACTIONS(2684),
    [anon_sym_constexpr] = ACTIONS(2684),
    [anon_sym_volatile] = ACTIONS(2684),
    [anon_sym_restrict] = ACTIONS(2684),
    [anon_sym___restrict__] = ACTIONS(2684),
    [anon_sym__Atomic] = ACTIONS(2684),
    [anon_sym__Noreturn] = ACTIONS(2684),
    [anon_sym_noreturn] = ACTIONS(2684),
    [anon_sym_mutable] = ACTIONS(2684),
    [anon_sym_constinit] = ACTIONS(2684),
    [anon_sym_consteval] = ACTIONS(2684),
    [anon_sym_alignas] = ACTIONS(2684),
    [anon_sym__Alignas] = ACTIONS(2684),
    [sym_primitive_type] = ACTIONS(2684),
    [anon_sym_enum] = ACTIONS(2684),
    [anon_sym_class] = ACTIONS(2684),
    [anon_sym_struct] = ACTIONS(2684),
    [anon_sym_union] = ACTIONS(2684),
    [anon_sym_if] = ACTIONS(2684),
    [anon_sym_switch] = ACTIONS(2684),
    [anon_sym_case] = ACTIONS(2684),
    [anon_sym_default] = ACTIONS(2684),
    [anon_sym_while] = ACTIONS(2684),
    [anon_sym_do] = ACTIONS(2684),
    [anon_sym_for] = ACTIONS(2684),
    [anon_sym_return] = ACTIONS(2684),
    [anon_sym_break] = ACTIONS(2684),
    [anon_sym_continue] = ACTIONS(2684),
    [anon_sym_goto] = ACTIONS(2684),
    [anon_sym_not] = ACTIONS(2684),
    [anon_sym_compl] = ACTIONS(2684),
    [anon_sym_DASH_DASH] = ACTIONS(2686),
    [anon_sym_PLUS_PLUS] = ACTIONS(2686),
    [anon_sym_sizeof] = ACTIONS(2684),
    [anon_sym___alignof__] = ACTIONS(2684),
    [anon_sym___alignof] = ACTIONS(2684),
    [anon_sym__alignof] = ACTIONS(2684),
    [anon_sym_alignof] = ACTIONS(2684),
    [anon_sym__Alignof] = ACTIONS(2684),
    [anon_sym_offsetof] = ACTIONS(2684),
    [anon_sym__Generic] = ACTIONS(2684),
    [anon_sym_asm] = ACTIONS(2684),
    [anon_sym___asm__] = ACTIONS(2684),
    [sym_number_literal] = ACTIONS(2686),
    [anon_sym_L_SQUOTE] = ACTIONS(2686),
    [anon_sym_u_SQUOTE] = ACTIONS(2686),
    [anon_sym_U_SQUOTE] = ACTIONS(2686),
    [anon_sym_u8_SQUOTE] = ACTIONS(2686),
    [anon_sym_SQUOTE] = ACTIONS(2686),
    [anon_sym_L_DQUOTE] = ACTIONS(2686),
    [anon_sym_u_DQUOTE] = ACTIONS(2686),
    [anon_sym_U_DQUOTE] = ACTIONS(2686),
    [anon_sym_u8_DQUOTE] = ACTIONS(2686),
    [anon_sym_DQUOTE] = ACTIONS(2686),
    [sym_true] = ACTIONS(2684),
    [sym_false] = ACTIONS(2684),
    [anon_sym_NULL] = ACTIONS(2684),
    [anon_sym_nullptr] = ACTIONS(2684),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2684),
    [anon_sym_decltype] = ACTIONS(2684),
    [sym_virtual] = ACTIONS(2684),
    [anon_sym_explicit] = ACTIONS(2684),
    [anon_sym_typename] = ACTIONS(2684),
    [anon_sym_template] = ACTIONS(2684),
    [anon_sym_operator] = ACTIONS(2684),
    [anon_sym_try] = ACTIONS(2684),
    [anon_sym_delete] = ACTIONS(2684),
    [anon_sym_throw] = ACTIONS(2684),
    [anon_sym_namespace] = ACTIONS(2684),
    [anon_sym_using] = ACTIONS(2684),
    [anon_sym_static_assert] = ACTIONS(2684),
    [anon_sym_concept] = ACTIONS(2684),
    [anon_sym_co_return] = ACTIONS(2684),
    [anon_sym_co_yield] = ACTIONS(2684),
    [anon_sym_R_DQUOTE] = ACTIONS(2686),
    [anon_sym_LR_DQUOTE] = ACTIONS(2686),
    [anon_sym_uR_DQUOTE] = ACTIONS(2686),
    [anon_sym_UR_DQUOTE] = ACTIONS(2686),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2686),
    [anon_sym_co_await] = ACTIONS(2684),
    [anon_sym_new] = ACTIONS(2684),
    [anon_sym_requires] = ACTIONS(2684),
    [sym_this] = ACTIONS(2684),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(2961),
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym__Alignas] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [sym_virtual] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(2702),
    [sym_identifier] = ACTIONS(2700),
    [aux_sym_preproc_include_token1] = ACTIONS(2700),
    [aux_sym_preproc_def_token1] = ACTIONS(2700),
    [aux_sym_preproc_if_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2700),
    [sym_preproc_directive] = ACTIONS(2700),
    [anon_sym_LPAREN2] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2700),
    [anon_sym_typedef] = ACTIONS(2700),
    [anon_sym_extern] = ACTIONS(2700),
    [anon_sym___attribute__] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2702),
    [anon_sym___declspec] = ACTIONS(2700),
    [anon_sym___based] = ACTIONS(2700),
    [anon_sym___cdecl] = ACTIONS(2700),
    [anon_sym___clrcall] = ACTIONS(2700),
    [anon_sym___stdcall] = ACTIONS(2700),
    [anon_sym___fastcall] = ACTIONS(2700),
    [anon_sym___thiscall] = ACTIONS(2700),
    [anon_sym___vectorcall] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_signed] = ACTIONS(2700),
    [anon_sym_unsigned] = ACTIONS(2700),
    [anon_sym_long] = ACTIONS(2700),
    [anon_sym_short] = ACTIONS(2700),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2700),
    [anon_sym_register] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym___inline] = ACTIONS(2700),
    [anon_sym___inline__] = ACTIONS(2700),
    [anon_sym___forceinline] = ACTIONS(2700),
    [anon_sym_thread_local] = ACTIONS(2700),
    [anon_sym___thread] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_constexpr] = ACTIONS(2700),
    [anon_sym_volatile] = ACTIONS(2700),
    [anon_sym_restrict] = ACTIONS(2700),
    [anon_sym___restrict__] = ACTIONS(2700),
    [anon_sym__Atomic] = ACTIONS(2700),
    [anon_sym__Noreturn] = ACTIONS(2700),
    [anon_sym_noreturn] = ACTIONS(2700),
    [anon_sym_mutable] = ACTIONS(2700),
    [anon_sym_constinit] = ACTIONS(2700),
    [anon_sym_consteval] = ACTIONS(2700),
    [anon_sym_alignas] = ACTIONS(2700),
    [anon_sym__Alignas] = ACTIONS(2700),
    [sym_primitive_type] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_struct] = ACTIONS(2700),
    [anon_sym_union] = ACTIONS(2700),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_switch] = ACTIONS(2700),
    [anon_sym_case] = ACTIONS(2700),
    [anon_sym_default] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_do] = ACTIONS(2700),
    [anon_sym_for] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2700),
    [anon_sym_continue] = ACTIONS(2700),
    [anon_sym_goto] = ACTIONS(2700),
    [anon_sym_not] = ACTIONS(2700),
    [anon_sym_compl] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_sizeof] = ACTIONS(2700),
    [anon_sym___alignof__] = ACTIONS(2700),
    [anon_sym___alignof] = ACTIONS(2700),
    [anon_sym__alignof] = ACTIONS(2700),
    [anon_sym_alignof] = ACTIONS(2700),
    [anon_sym__Alignof] = ACTIONS(2700),
    [anon_sym_offsetof] = ACTIONS(2700),
    [anon_sym__Generic] = ACTIONS(2700),
    [anon_sym_asm] = ACTIONS(2700),
    [anon_sym___asm__] = ACTIONS(2700),
    [sym_number_literal] = ACTIONS(2702),
    [anon_sym_L_SQUOTE] = ACTIONS(2702),
    [anon_sym_u_SQUOTE] = ACTIONS(2702),
    [anon_sym_U_SQUOTE] = ACTIONS(2702),
    [anon_sym_u8_SQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [anon_sym_L_DQUOTE] = ACTIONS(2702),
    [anon_sym_u_DQUOTE] = ACTIONS(2702),
    [anon_sym_U_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8_DQUOTE] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2702),
    [sym_true] = ACTIONS(2700),
    [sym_false] = ACTIONS(2700),
    [anon_sym_NULL] = ACTIONS(2700),
    [anon_sym_nullptr] = ACTIONS(2700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2700),
    [anon_sym_decltype] = ACTIONS(2700),
    [sym_virtual] = ACTIONS(2700),
    [anon_sym_explicit] = ACTIONS(2700),
    [anon_sym_typename] = ACTIONS(2700),
    [anon_sym_template] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_delete] = ACTIONS(2700),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_namespace] = ACTIONS(2700),
    [anon_sym_using] = ACTIONS(2700),
    [anon_sym_static_assert] = ACTIONS(2700),
    [anon_sym_concept] = ACTIONS(2700),
    [anon_sym_co_return] = ACTIONS(2700),
    [anon_sym_co_yield] = ACTIONS(2700),
    [anon_sym_R_DQUOTE] = ACTIONS(2702),
    [anon_sym_LR_DQUOTE] = ACTIONS(2702),
    [anon_sym_uR_DQUOTE] = ACTIONS(2702),
    [anon_sym_UR_DQUOTE] = ACTIONS(2702),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2702),
    [anon_sym_co_await] = ACTIONS(2700),
    [anon_sym_new] = ACTIONS(2700),
    [anon_sym_requires] = ACTIONS(2700),
    [sym_this] = ACTIONS(2700),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(2706),
    [sym_identifier] = ACTIONS(2704),
    [aux_sym_preproc_include_token1] = ACTIONS(2704),
    [aux_sym_preproc_def_token1] = ACTIONS(2704),
    [aux_sym_preproc_if_token1] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2704),
    [sym_preproc_directive] = ACTIONS(2704),
    [anon_sym_LPAREN2] = ACTIONS(2706),
    [anon_sym_BANG] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2706),
    [anon_sym_AMP_AMP] = ACTIONS(2706),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2704),
    [anon_sym_typedef] = ACTIONS(2704),
    [anon_sym_extern] = ACTIONS(2704),
    [anon_sym___attribute__] = ACTIONS(2704),
    [anon_sym_COLON_COLON] = ACTIONS(2706),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2706),
    [anon_sym___declspec] = ACTIONS(2704),
    [anon_sym___based] = ACTIONS(2704),
    [anon_sym___cdecl] = ACTIONS(2704),
    [anon_sym___clrcall] = ACTIONS(2704),
    [anon_sym___stdcall] = ACTIONS(2704),
    [anon_sym___fastcall] = ACTIONS(2704),
    [anon_sym___thiscall] = ACTIONS(2704),
    [anon_sym___vectorcall] = ACTIONS(2704),
    [anon_sym_LBRACE] = ACTIONS(2706),
    [anon_sym_signed] = ACTIONS(2704),
    [anon_sym_unsigned] = ACTIONS(2704),
    [anon_sym_long] = ACTIONS(2704),
    [anon_sym_short] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2704),
    [anon_sym_register] = ACTIONS(2704),
    [anon_sym_inline] = ACTIONS(2704),
    [anon_sym___inline] = ACTIONS(2704),
    [anon_sym___inline__] = ACTIONS(2704),
    [anon_sym___forceinline] = ACTIONS(2704),
    [anon_sym_thread_local] = ACTIONS(2704),
    [anon_sym___thread] = ACTIONS(2704),
    [anon_sym_const] = ACTIONS(2704),
    [anon_sym_constexpr] = ACTIONS(2704),
    [anon_sym_volatile] = ACTIONS(2704),
    [anon_sym_restrict] = ACTIONS(2704),
    [anon_sym___restrict__] = ACTIONS(2704),
    [anon_sym__Atomic] = ACTIONS(2704),
    [anon_sym__Noreturn] = ACTIONS(2704),
    [anon_sym_noreturn] = ACTIONS(2704),
    [anon_sym_mutable] = ACTIONS(2704),
    [anon_sym_constinit] = ACTIONS(2704),
    [anon_sym_consteval] = ACTIONS(2704),
    [anon_sym_alignas] = ACTIONS(2704),
    [anon_sym__Alignas] = ACTIONS(2704),
    [sym_primitive_type] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2704),
    [anon_sym_struct] = ACTIONS(2704),
    [anon_sym_union] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2704),
    [anon_sym_case] = ACTIONS(2704),
    [anon_sym_default] = ACTIONS(2704),
    [anon_sym_while] = ACTIONS(2704),
    [anon_sym_do] = ACTIONS(2704),
    [anon_sym_for] = ACTIONS(2704),
    [anon_sym_return] = ACTIONS(2704),
    [anon_sym_break] = ACTIONS(2704),
    [anon_sym_continue] = ACTIONS(2704),
    [anon_sym_goto] = ACTIONS(2704),
    [anon_sym_not] = ACTIONS(2704),
    [anon_sym_compl] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2706),
    [anon_sym_sizeof] = ACTIONS(2704),
    [anon_sym___alignof__] = ACTIONS(2704),
    [anon_sym___alignof] = ACTIONS(2704),
    [anon_sym__alignof] = ACTIONS(2704),
    [anon_sym_alignof] = ACTIONS(2704),
    [anon_sym__Alignof] = ACTIONS(2704),
    [anon_sym_offsetof] = ACTIONS(2704),
    [anon_sym__Generic] = ACTIONS(2704),
    [anon_sym_asm] = ACTIONS(2704),
    [anon_sym___asm__] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2706),
    [anon_sym_L_SQUOTE] = ACTIONS(2706),
    [anon_sym_u_SQUOTE] = ACTIONS(2706),
    [anon_sym_U_SQUOTE] = ACTIONS(2706),
    [anon_sym_u8_SQUOTE] = ACTIONS(2706),
    [anon_sym_SQUOTE] = ACTIONS(2706),
    [anon_sym_L_DQUOTE] = ACTIONS(2706),
    [anon_sym_u_DQUOTE] = ACTIONS(2706),
    [anon_sym_U_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8_DQUOTE] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2706),
    [sym_true] = ACTIONS(2704),
    [sym_false] = ACTIONS(2704),
    [anon_sym_NULL] = ACTIONS(2704),
    [anon_sym_nullptr] = ACTIONS(2704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2704),
    [anon_sym_decltype] = ACTIONS(2704),
    [sym_virtual] = ACTIONS(2704),
    [anon_sym_explicit] = ACTIONS(2704),
    [anon_sym_typename] = ACTIONS(2704),
    [anon_sym_template] = ACTIONS(2704),
    [anon_sym_operator] = ACTIONS(2704),
    [anon_sym_try] = ACTIONS(2704),
    [anon_sym_delete] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2704),
    [anon_sym_namespace] = ACTIONS(2704),
    [anon_sym_using] = ACTIONS(2704),
    [anon_sym_static_assert] = ACTIONS(2704),
    [anon_sym_concept] = ACTIONS(2704),
    [anon_sym_co_return] = ACTIONS(2704),
    [anon_sym_co_yield] = ACTIONS(2704),
    [anon_sym_R_DQUOTE] = ACTIONS(2706),
    [anon_sym_LR_DQUOTE] = ACTIONS(2706),
    [anon_sym_uR_DQUOTE] = ACTIONS(2706),
    [anon_sym_UR_DQUOTE] = ACTIONS(2706),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2706),
    [anon_sym_co_await] = ACTIONS(2704),
    [anon_sym_new] = ACTIONS(2704),
    [anon_sym_requires] = ACTIONS(2704),
    [sym_this] = ACTIONS(2704),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(2810),
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_include_token1] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym___cdecl] = ACTIONS(2808),
    [anon_sym___clrcall] = ACTIONS(2808),
    [anon_sym___stdcall] = ACTIONS(2808),
    [anon_sym___fastcall] = ACTIONS(2808),
    [anon_sym___thiscall] = ACTIONS(2808),
    [anon_sym___vectorcall] = ACTIONS(2808),
    [anon_sym_LBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [anon_sym_if] = ACTIONS(2808),
    [anon_sym_switch] = ACTIONS(2808),
    [anon_sym_case] = ACTIONS(2808),
    [anon_sym_default] = ACTIONS(2808),
    [anon_sym_while] = ACTIONS(2808),
    [anon_sym_do] = ACTIONS(2808),
    [anon_sym_for] = ACTIONS(2808),
    [anon_sym_return] = ACTIONS(2808),
    [anon_sym_break] = ACTIONS(2808),
    [anon_sym_continue] = ACTIONS(2808),
    [anon_sym_goto] = ACTIONS(2808),
    [anon_sym_not] = ACTIONS(2808),
    [anon_sym_compl] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2810),
    [anon_sym_sizeof] = ACTIONS(2808),
    [anon_sym___alignof__] = ACTIONS(2808),
    [anon_sym___alignof] = ACTIONS(2808),
    [anon_sym__alignof] = ACTIONS(2808),
    [anon_sym_alignof] = ACTIONS(2808),
    [anon_sym__Alignof] = ACTIONS(2808),
    [anon_sym_offsetof] = ACTIONS(2808),
    [anon_sym__Generic] = ACTIONS(2808),
    [anon_sym_asm] = ACTIONS(2808),
    [anon_sym___asm__] = ACTIONS(2808),
    [sym_number_literal] = ACTIONS(2810),
    [anon_sym_L_SQUOTE] = ACTIONS(2810),
    [anon_sym_u_SQUOTE] = ACTIONS(2810),
    [anon_sym_U_SQUOTE] = ACTIONS(2810),
    [anon_sym_u8_SQUOTE] = ACTIONS(2810),
    [anon_sym_SQUOTE] = ACTIONS(2810),
    [anon_sym_L_DQUOTE] = ACTIONS(2810),
    [anon_sym_u_DQUOTE] = ACTIONS(2810),
    [anon_sym_U_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8_DQUOTE] = ACTIONS(2810),
    [anon_sym_DQUOTE] = ACTIONS(2810),
    [sym_true] = ACTIONS(2808),
    [sym_false] = ACTIONS(2808),
    [anon_sym_NULL] = ACTIONS(2808),
    [anon_sym_nullptr] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_try] = ACTIONS(2808),
    [anon_sym_delete] = ACTIONS(2808),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_namespace] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
    [anon_sym_concept] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2808),
    [anon_sym_co_yield] = ACTIONS(2808),
    [anon_sym_R_DQUOTE] = ACTIONS(2810),
    [anon_sym_LR_DQUOTE] = ACTIONS(2810),
    [anon_sym_uR_DQUOTE] = ACTIONS(2810),
    [anon_sym_UR_DQUOTE] = ACTIONS(2810),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2810),
    [anon_sym_co_await] = ACTIONS(2808),
    [anon_sym_new] = ACTIONS(2808),
    [anon_sym_requires] = ACTIONS(2808),
    [sym_this] = ACTIONS(2808),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(2814),
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym_not] = ACTIONS(2812),
    [anon_sym_compl] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_try] = ACTIONS(2812),
    [anon_sym_delete] = ACTIONS(2812),
    [anon_sym_throw] = ACTIONS(2812),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
    [anon_sym_concept] = ACTIONS(2812),
    [anon_sym_co_return] = ACTIONS(2812),
    [anon_sym_co_yield] = ACTIONS(2812),
    [anon_sym_R_DQUOTE] = ACTIONS(2814),
    [anon_sym_LR_DQUOTE] = ACTIONS(2814),
    [anon_sym_uR_DQUOTE] = ACTIONS(2814),
    [anon_sym_UR_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2814),
    [anon_sym_co_await] = ACTIONS(2812),
    [anon_sym_new] = ACTIONS(2812),
    [anon_sym_requires] = ACTIONS(2812),
    [sym_this] = ACTIONS(2812),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(2937),
    [sym_identifier] = ACTIONS(2935),
    [aux_sym_preproc_include_token1] = ACTIONS(2935),
    [aux_sym_preproc_def_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2935),
    [sym_preproc_directive] = ACTIONS(2935),
    [anon_sym_LPAREN2] = ACTIONS(2937),
    [anon_sym_BANG] = ACTIONS(2937),
    [anon_sym_TILDE] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2935),
    [anon_sym_typedef] = ACTIONS(2935),
    [anon_sym_extern] = ACTIONS(2935),
    [anon_sym___attribute__] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2937),
    [anon_sym___declspec] = ACTIONS(2935),
    [anon_sym___based] = ACTIONS(2935),
    [anon_sym___cdecl] = ACTIONS(2935),
    [anon_sym___clrcall] = ACTIONS(2935),
    [anon_sym___stdcall] = ACTIONS(2935),
    [anon_sym___fastcall] = ACTIONS(2935),
    [anon_sym___thiscall] = ACTIONS(2935),
    [anon_sym___vectorcall] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2935),
    [anon_sym_unsigned] = ACTIONS(2935),
    [anon_sym_long] = ACTIONS(2935),
    [anon_sym_short] = ACTIONS(2935),
    [anon_sym_LBRACK] = ACTIONS(2935),
    [anon_sym_static] = ACTIONS(2935),
    [anon_sym_register] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym___inline] = ACTIONS(2935),
    [anon_sym___inline__] = ACTIONS(2935),
    [anon_sym___forceinline] = ACTIONS(2935),
    [anon_sym_thread_local] = ACTIONS(2935),
    [anon_sym___thread] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_constexpr] = ACTIONS(2935),
    [anon_sym_volatile] = ACTIONS(2935),
    [anon_sym_restrict] = ACTIONS(2935),
    [anon_sym___restrict__] = ACTIONS(2935),
    [anon_sym__Atomic] = ACTIONS(2935),
    [anon_sym__Noreturn] = ACTIONS(2935),
    [anon_sym_noreturn] = ACTIONS(2935),
    [anon_sym_mutable] = ACTIONS(2935),
    [anon_sym_constinit] = ACTIONS(2935),
    [anon_sym_consteval] = ACTIONS(2935),
    [anon_sym_alignas] = ACTIONS(2935),
    [anon_sym__Alignas] = ACTIONS(2935),
    [sym_primitive_type] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_struct] = ACTIONS(2935),
    [anon_sym_union] = ACTIONS(2935),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_do] = ACTIONS(2935),
    [anon_sym_for] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_break] = ACTIONS(2935),
    [anon_sym_continue] = ACTIONS(2935),
    [anon_sym_goto] = ACTIONS(2935),
    [anon_sym_not] = ACTIONS(2935),
    [anon_sym_compl] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_sizeof] = ACTIONS(2935),
    [anon_sym___alignof__] = ACTIONS(2935),
    [anon_sym___alignof] = ACTIONS(2935),
    [anon_sym__alignof] = ACTIONS(2935),
    [anon_sym_alignof] = ACTIONS(2935),
    [anon_sym__Alignof] = ACTIONS(2935),
    [anon_sym_offsetof] = ACTIONS(2935),
    [anon_sym__Generic] = ACTIONS(2935),
    [anon_sym_asm] = ACTIONS(2935),
    [anon_sym___asm__] = ACTIONS(2935),
    [sym_number_literal] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2937),
    [anon_sym_u_SQUOTE] = ACTIONS(2937),
    [anon_sym_U_SQUOTE] = ACTIONS(2937),
    [anon_sym_u8_SQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [anon_sym_L_DQUOTE] = ACTIONS(2937),
    [anon_sym_u_DQUOTE] = ACTIONS(2937),
    [anon_sym_U_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8_DQUOTE] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [sym_true] = ACTIONS(2935),
    [sym_false] = ACTIONS(2935),
    [anon_sym_NULL] = ACTIONS(2935),
    [anon_sym_nullptr] = ACTIONS(2935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2935),
    [anon_sym_decltype] = ACTIONS(2935),
    [sym_virtual] = ACTIONS(2935),
    [anon_sym_explicit] = ACTIONS(2935),
    [anon_sym_typename] = ACTIONS(2935),
    [anon_sym_template] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_delete] = ACTIONS(2935),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_namespace] = ACTIONS(2935),
    [anon_sym_using] = ACTIONS(2935),
    [anon_sym_static_assert] = ACTIONS(2935),
    [anon_sym_concept] = ACTIONS(2935),
    [anon_sym_co_return] = ACTIONS(2935),
    [anon_sym_co_yield] = ACTIONS(2935),
    [anon_sym_R_DQUOTE] = ACTIONS(2937),
    [anon_sym_LR_DQUOTE] = ACTIONS(2937),
    [anon_sym_uR_DQUOTE] = ACTIONS(2937),
    [anon_sym_UR_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2937),
    [anon_sym_co_await] = ACTIONS(2935),
    [anon_sym_new] = ACTIONS(2935),
    [anon_sym_requires] = ACTIONS(2935),
    [sym_this] = ACTIONS(2935),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(2734),
    [sym_identifier] = ACTIONS(2732),
    [aux_sym_preproc_include_token1] = ACTIONS(2732),
    [aux_sym_preproc_def_token1] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [sym_preproc_directive] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2732),
    [anon_sym_PLUS] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2734),
    [anon_sym_AMP_AMP] = ACTIONS(2734),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_typedef] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym_COLON_COLON] = ACTIONS(2734),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2734),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2732),
    [anon_sym___cdecl] = ACTIONS(2732),
    [anon_sym___clrcall] = ACTIONS(2732),
    [anon_sym___stdcall] = ACTIONS(2732),
    [anon_sym___fastcall] = ACTIONS(2732),
    [anon_sym___thiscall] = ACTIONS(2732),
    [anon_sym___vectorcall] = ACTIONS(2732),
    [anon_sym_LBRACE] = ACTIONS(2734),
    [anon_sym_signed] = ACTIONS(2732),
    [anon_sym_unsigned] = ACTIONS(2732),
    [anon_sym_long] = ACTIONS(2732),
    [anon_sym_short] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2732),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2732),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym_mutable] = ACTIONS(2732),
    [anon_sym_constinit] = ACTIONS(2732),
    [anon_sym_consteval] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [sym_primitive_type] = ACTIONS(2732),
    [anon_sym_enum] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2732),
    [anon_sym_union] = ACTIONS(2732),
    [anon_sym_if] = ACTIONS(2732),
    [anon_sym_switch] = ACTIONS(2732),
    [anon_sym_case] = ACTIONS(2732),
    [anon_sym_default] = ACTIONS(2732),
    [anon_sym_while] = ACTIONS(2732),
    [anon_sym_do] = ACTIONS(2732),
    [anon_sym_for] = ACTIONS(2732),
    [anon_sym_return] = ACTIONS(2732),
    [anon_sym_break] = ACTIONS(2732),
    [anon_sym_continue] = ACTIONS(2732),
    [anon_sym_goto] = ACTIONS(2732),
    [anon_sym_not] = ACTIONS(2732),
    [anon_sym_compl] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2734),
    [anon_sym_sizeof] = ACTIONS(2732),
    [anon_sym___alignof__] = ACTIONS(2732),
    [anon_sym___alignof] = ACTIONS(2732),
    [anon_sym__alignof] = ACTIONS(2732),
    [anon_sym_alignof] = ACTIONS(2732),
    [anon_sym__Alignof] = ACTIONS(2732),
    [anon_sym_offsetof] = ACTIONS(2732),
    [anon_sym__Generic] = ACTIONS(2732),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [sym_number_literal] = ACTIONS(2734),
    [anon_sym_L_SQUOTE] = ACTIONS(2734),
    [anon_sym_u_SQUOTE] = ACTIONS(2734),
    [anon_sym_U_SQUOTE] = ACTIONS(2734),
    [anon_sym_u8_SQUOTE] = ACTIONS(2734),
    [anon_sym_SQUOTE] = ACTIONS(2734),
    [anon_sym_L_DQUOTE] = ACTIONS(2734),
    [anon_sym_u_DQUOTE] = ACTIONS(2734),
    [anon_sym_U_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8_DQUOTE] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2734),
    [sym_true] = ACTIONS(2732),
    [sym_false] = ACTIONS(2732),
    [anon_sym_NULL] = ACTIONS(2732),
    [anon_sym_nullptr] = ACTIONS(2732),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2732),
    [anon_sym_decltype] = ACTIONS(2732),
    [sym_virtual] = ACTIONS(2732),
    [anon_sym_explicit] = ACTIONS(2732),
    [anon_sym_typename] = ACTIONS(2732),
    [anon_sym_template] = ACTIONS(2732),
    [anon_sym_operator] = ACTIONS(2732),
    [anon_sym_try] = ACTIONS(2732),
    [anon_sym_delete] = ACTIONS(2732),
    [anon_sym_throw] = ACTIONS(2732),
    [anon_sym_namespace] = ACTIONS(2732),
    [anon_sym_using] = ACTIONS(2732),
    [anon_sym_static_assert] = ACTIONS(2732),
    [anon_sym_concept] = ACTIONS(2732),
    [anon_sym_co_return] = ACTIONS(2732),
    [anon_sym_co_yield] = ACTIONS(2732),
    [anon_sym_R_DQUOTE] = ACTIONS(2734),
    [anon_sym_LR_DQUOTE] = ACTIONS(2734),
    [anon_sym_uR_DQUOTE] = ACTIONS(2734),
    [anon_sym_UR_DQUOTE] = ACTIONS(2734),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2734),
    [anon_sym_co_await] = ACTIONS(2732),
    [anon_sym_new] = ACTIONS(2732),
    [anon_sym_requires] = ACTIONS(2732),
    [sym_this] = ACTIONS(2732),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(2738),
    [sym_identifier] = ACTIONS(2736),
    [aux_sym_preproc_include_token1] = ACTIONS(2736),
    [aux_sym_preproc_def_token1] = ACTIONS(2736),
    [aux_sym_preproc_if_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2736),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2736),
    [sym_preproc_directive] = ACTIONS(2736),
    [anon_sym_LPAREN2] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2736),
    [anon_sym_PLUS] = ACTIONS(2736),
    [anon_sym_STAR] = ACTIONS(2738),
    [anon_sym_AMP_AMP] = ACTIONS(2738),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym___extension__] = ACTIONS(2736),
    [anon_sym_typedef] = ACTIONS(2736),
    [anon_sym_extern] = ACTIONS(2736),
    [anon_sym___attribute__] = ACTIONS(2736),
    [anon_sym_COLON_COLON] = ACTIONS(2738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2738),
    [anon_sym___declspec] = ACTIONS(2736),
    [anon_sym___based] = ACTIONS(2736),
    [anon_sym___cdecl] = ACTIONS(2736),
    [anon_sym___clrcall] = ACTIONS(2736),
    [anon_sym___stdcall] = ACTIONS(2736),
    [anon_sym___fastcall] = ACTIONS(2736),
    [anon_sym___thiscall] = ACTIONS(2736),
    [anon_sym___vectorcall] = ACTIONS(2736),
    [anon_sym_LBRACE] = ACTIONS(2738),
    [anon_sym_signed] = ACTIONS(2736),
    [anon_sym_unsigned] = ACTIONS(2736),
    [anon_sym_long] = ACTIONS(2736),
    [anon_sym_short] = ACTIONS(2736),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2736),
    [anon_sym_register] = ACTIONS(2736),
    [anon_sym_inline] = ACTIONS(2736),
    [anon_sym___inline] = ACTIONS(2736),
    [anon_sym___inline__] = ACTIONS(2736),
    [anon_sym___forceinline] = ACTIONS(2736),
    [anon_sym_thread_local] = ACTIONS(2736),
    [anon_sym___thread] = ACTIONS(2736),
    [anon_sym_const] = ACTIONS(2736),
    [anon_sym_constexpr] = ACTIONS(2736),
    [anon_sym_volatile] = ACTIONS(2736),
    [anon_sym_restrict] = ACTIONS(2736),
    [anon_sym___restrict__] = ACTIONS(2736),
    [anon_sym__Atomic] = ACTIONS(2736),
    [anon_sym__Noreturn] = ACTIONS(2736),
    [anon_sym_noreturn] = ACTIONS(2736),
    [anon_sym_mutable] = ACTIONS(2736),
    [anon_sym_constinit] = ACTIONS(2736),
    [anon_sym_consteval] = ACTIONS(2736),
    [anon_sym_alignas] = ACTIONS(2736),
    [anon_sym__Alignas] = ACTIONS(2736),
    [sym_primitive_type] = ACTIONS(2736),
    [anon_sym_enum] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2736),
    [anon_sym_struct] = ACTIONS(2736),
    [anon_sym_union] = ACTIONS(2736),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2736),
    [anon_sym_case] = ACTIONS(2736),
    [anon_sym_default] = ACTIONS(2736),
    [anon_sym_while] = ACTIONS(2736),
    [anon_sym_do] = ACTIONS(2736),
    [anon_sym_for] = ACTIONS(2736),
    [anon_sym_return] = ACTIONS(2736),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2736),
    [anon_sym_goto] = ACTIONS(2736),
    [anon_sym_not] = ACTIONS(2736),
    [anon_sym_compl] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2738),
    [anon_sym_sizeof] = ACTIONS(2736),
    [anon_sym___alignof__] = ACTIONS(2736),
    [anon_sym___alignof] = ACTIONS(2736),
    [anon_sym__alignof] = ACTIONS(2736),
    [anon_sym_alignof] = ACTIONS(2736),
    [anon_sym__Alignof] = ACTIONS(2736),
    [anon_sym_offsetof] = ACTIONS(2736),
    [anon_sym__Generic] = ACTIONS(2736),
    [anon_sym_asm] = ACTIONS(2736),
    [anon_sym___asm__] = ACTIONS(2736),
    [sym_number_literal] = ACTIONS(2738),
    [anon_sym_L_SQUOTE] = ACTIONS(2738),
    [anon_sym_u_SQUOTE] = ACTIONS(2738),
    [anon_sym_U_SQUOTE] = ACTIONS(2738),
    [anon_sym_u8_SQUOTE] = ACTIONS(2738),
    [anon_sym_SQUOTE] = ACTIONS(2738),
    [anon_sym_L_DQUOTE] = ACTIONS(2738),
    [anon_sym_u_DQUOTE] = ACTIONS(2738),
    [anon_sym_U_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8_DQUOTE] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2738),
    [sym_true] = ACTIONS(2736),
    [sym_false] = ACTIONS(2736),
    [anon_sym_NULL] = ACTIONS(2736),
    [anon_sym_nullptr] = ACTIONS(2736),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2736),
    [anon_sym_decltype] = ACTIONS(2736),
    [sym_virtual] = ACTIONS(2736),
    [anon_sym_explicit] = ACTIONS(2736),
    [anon_sym_typename] = ACTIONS(2736),
    [anon_sym_template] = ACTIONS(2736),
    [anon_sym_operator] = ACTIONS(2736),
    [anon_sym_try] = ACTIONS(2736),
    [anon_sym_delete] = ACTIONS(2736),
    [anon_sym_throw] = ACTIONS(2736),
    [anon_sym_namespace] = ACTIONS(2736),
    [anon_sym_using] = ACTIONS(2736),
    [anon_sym_static_assert] = ACTIONS(2736),
    [anon_sym_concept] = ACTIONS(2736),
    [anon_sym_co_return] = ACTIONS(2736),
    [anon_sym_co_yield] = ACTIONS(2736),
    [anon_sym_R_DQUOTE] = ACTIONS(2738),
    [anon_sym_LR_DQUOTE] = ACTIONS(2738),
    [anon_sym_uR_DQUOTE] = ACTIONS(2738),
    [anon_sym_UR_DQUOTE] = ACTIONS(2738),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2738),
    [anon_sym_co_await] = ACTIONS(2736),
    [anon_sym_new] = ACTIONS(2736),
    [anon_sym_requires] = ACTIONS(2736),
    [sym_this] = ACTIONS(2736),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(2742),
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_include_token1] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym___cdecl] = ACTIONS(2740),
    [anon_sym___clrcall] = ACTIONS(2740),
    [anon_sym___stdcall] = ACTIONS(2740),
    [anon_sym___fastcall] = ACTIONS(2740),
    [anon_sym___thiscall] = ACTIONS(2740),
    [anon_sym___vectorcall] = ACTIONS(2740),
    [anon_sym_LBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_if] = ACTIONS(2740),
    [anon_sym_switch] = ACTIONS(2740),
    [anon_sym_case] = ACTIONS(2740),
    [anon_sym_default] = ACTIONS(2740),
    [anon_sym_while] = ACTIONS(2740),
    [anon_sym_do] = ACTIONS(2740),
    [anon_sym_for] = ACTIONS(2740),
    [anon_sym_return] = ACTIONS(2740),
    [anon_sym_break] = ACTIONS(2740),
    [anon_sym_continue] = ACTIONS(2740),
    [anon_sym_goto] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_try] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_namespace] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
    [anon_sym_concept] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2740),
    [anon_sym_co_yield] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(2746),
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_include_token1] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2744),
    [anon_sym_PLUS] = ACTIONS(2744),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym___cdecl] = ACTIONS(2744),
    [anon_sym___clrcall] = ACTIONS(2744),
    [anon_sym___stdcall] = ACTIONS(2744),
    [anon_sym___fastcall] = ACTIONS(2744),
    [anon_sym___thiscall] = ACTIONS(2744),
    [anon_sym___vectorcall] = ACTIONS(2744),
    [anon_sym_LBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [anon_sym_if] = ACTIONS(2744),
    [anon_sym_switch] = ACTIONS(2744),
    [anon_sym_case] = ACTIONS(2744),
    [anon_sym_default] = ACTIONS(2744),
    [anon_sym_while] = ACTIONS(2744),
    [anon_sym_do] = ACTIONS(2744),
    [anon_sym_for] = ACTIONS(2744),
    [anon_sym_return] = ACTIONS(2744),
    [anon_sym_break] = ACTIONS(2744),
    [anon_sym_continue] = ACTIONS(2744),
    [anon_sym_goto] = ACTIONS(2744),
    [anon_sym_not] = ACTIONS(2744),
    [anon_sym_compl] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2746),
    [anon_sym_sizeof] = ACTIONS(2744),
    [anon_sym___alignof__] = ACTIONS(2744),
    [anon_sym___alignof] = ACTIONS(2744),
    [anon_sym__alignof] = ACTIONS(2744),
    [anon_sym_alignof] = ACTIONS(2744),
    [anon_sym__Alignof] = ACTIONS(2744),
    [anon_sym_offsetof] = ACTIONS(2744),
    [anon_sym__Generic] = ACTIONS(2744),
    [anon_sym_asm] = ACTIONS(2744),
    [anon_sym___asm__] = ACTIONS(2744),
    [sym_number_literal] = ACTIONS(2746),
    [anon_sym_L_SQUOTE] = ACTIONS(2746),
    [anon_sym_u_SQUOTE] = ACTIONS(2746),
    [anon_sym_U_SQUOTE] = ACTIONS(2746),
    [anon_sym_u8_SQUOTE] = ACTIONS(2746),
    [anon_sym_SQUOTE] = ACTIONS(2746),
    [anon_sym_L_DQUOTE] = ACTIONS(2746),
    [anon_sym_u_DQUOTE] = ACTIONS(2746),
    [anon_sym_U_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8_DQUOTE] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2746),
    [sym_true] = ACTIONS(2744),
    [sym_false] = ACTIONS(2744),
    [anon_sym_NULL] = ACTIONS(2744),
    [anon_sym_nullptr] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_try] = ACTIONS(2744),
    [anon_sym_delete] = ACTIONS(2744),
    [anon_sym_throw] = ACTIONS(2744),
    [anon_sym_namespace] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
    [anon_sym_concept] = ACTIONS(2744),
    [anon_sym_co_return] = ACTIONS(2744),
    [anon_sym_co_yield] = ACTIONS(2744),
    [anon_sym_R_DQUOTE] = ACTIONS(2746),
    [anon_sym_LR_DQUOTE] = ACTIONS(2746),
    [anon_sym_uR_DQUOTE] = ACTIONS(2746),
    [anon_sym_UR_DQUOTE] = ACTIONS(2746),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2746),
    [anon_sym_co_await] = ACTIONS(2744),
    [anon_sym_new] = ACTIONS(2744),
    [anon_sym_requires] = ACTIONS(2744),
    [sym_this] = ACTIONS(2744),
  },
  [700] = {
    [ts_builtin_sym_end] = ACTIONS(2750),
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_include_token1] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_DASH] = ACTIONS(2748),
    [anon_sym_PLUS] = ACTIONS(2748),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym___cdecl] = ACTIONS(2748),
    [anon_sym___clrcall] = ACTIONS(2748),
    [anon_sym___stdcall] = ACTIONS(2748),
    [anon_sym___fastcall] = ACTIONS(2748),
    [anon_sym___thiscall] = ACTIONS(2748),
    [anon_sym___vectorcall] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [anon_sym_if] = ACTIONS(2748),
    [anon_sym_switch] = ACTIONS(2748),
    [anon_sym_case] = ACTIONS(2748),
    [anon_sym_default] = ACTIONS(2748),
    [anon_sym_while] = ACTIONS(2748),
    [anon_sym_do] = ACTIONS(2748),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2748),
    [anon_sym_break] = ACTIONS(2748),
    [anon_sym_continue] = ACTIONS(2748),
    [anon_sym_goto] = ACTIONS(2748),
    [anon_sym_not] = ACTIONS(2748),
    [anon_sym_compl] = ACTIONS(2748),
    [anon_sym_DASH_DASH] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2750),
    [anon_sym_sizeof] = ACTIONS(2748),
    [anon_sym___alignof__] = ACTIONS(2748),
    [anon_sym___alignof] = ACTIONS(2748),
    [anon_sym__alignof] = ACTIONS(2748),
    [anon_sym_alignof] = ACTIONS(2748),
    [anon_sym__Alignof] = ACTIONS(2748),
    [anon_sym_offsetof] = ACTIONS(2748),
    [anon_sym__Generic] = ACTIONS(2748),
    [anon_sym_asm] = ACTIONS(2748),
    [anon_sym___asm__] = ACTIONS(2748),
    [sym_number_literal] = ACTIONS(2750),
    [anon_sym_L_SQUOTE] = ACTIONS(2750),
    [anon_sym_u_SQUOTE] = ACTIONS(2750),
    [anon_sym_U_SQUOTE] = ACTIONS(2750),
    [anon_sym_u8_SQUOTE] = ACTIONS(2750),
    [anon_sym_SQUOTE] = ACTIONS(2750),
    [anon_sym_L_DQUOTE] = ACTIONS(2750),
    [anon_sym_u_DQUOTE] = ACTIONS(2750),
    [anon_sym_U_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8_DQUOTE] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2750),
    [sym_true] = ACTIONS(2748),
    [sym_false] = ACTIONS(2748),
    [anon_sym_NULL] = ACTIONS(2748),
    [anon_sym_nullptr] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [sym_virtual] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_try] = ACTIONS(2748),
    [anon_sym_delete] = ACTIONS(2748),
    [anon_sym_throw] = ACTIONS(2748),
    [anon_sym_namespace] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
    [anon_sym_concept] = ACTIONS(2748),
    [anon_sym_co_return] = ACTIONS(2748),
    [anon_sym_co_yield] = ACTIONS(2748),
    [anon_sym_R_DQUOTE] = ACTIONS(2750),
    [anon_sym_LR_DQUOTE] = ACTIONS(2750),
    [anon_sym_uR_DQUOTE] = ACTIONS(2750),
    [anon_sym_UR_DQUOTE] = ACTIONS(2750),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2750),
    [anon_sym_co_await] = ACTIONS(2748),
    [anon_sym_new] = ACTIONS(2748),
    [anon_sym_requires] = ACTIONS(2748),
    [sym_this] = ACTIONS(2748),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(2818),
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym_not] = ACTIONS(2816),
    [anon_sym_compl] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_try] = ACTIONS(2816),
    [anon_sym_delete] = ACTIONS(2816),
    [anon_sym_throw] = ACTIONS(2816),
    [anon_sym_namespace] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
    [anon_sym_concept] = ACTIONS(2816),
    [anon_sym_co_return] = ACTIONS(2816),
    [anon_sym_co_yield] = ACTIONS(2816),
    [anon_sym_R_DQUOTE] = ACTIONS(2818),
    [anon_sym_LR_DQUOTE] = ACTIONS(2818),
    [anon_sym_uR_DQUOTE] = ACTIONS(2818),
    [anon_sym_UR_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2818),
    [anon_sym_co_await] = ACTIONS(2816),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_requires] = ACTIONS(2816),
    [sym_this] = ACTIONS(2816),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(2757),
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(2757),
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_include_token1] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym___cdecl] = ACTIONS(2755),
    [anon_sym___clrcall] = ACTIONS(2755),
    [anon_sym___stdcall] = ACTIONS(2755),
    [anon_sym___fastcall] = ACTIONS(2755),
    [anon_sym___thiscall] = ACTIONS(2755),
    [anon_sym___vectorcall] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2755),
    [anon_sym_default] = ACTIONS(2755),
    [anon_sym_while] = ACTIONS(2755),
    [anon_sym_do] = ACTIONS(2755),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_return] = ACTIONS(2755),
    [anon_sym_break] = ACTIONS(2755),
    [anon_sym_continue] = ACTIONS(2755),
    [anon_sym_goto] = ACTIONS(2755),
    [anon_sym_not] = ACTIONS(2755),
    [anon_sym_compl] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_sizeof] = ACTIONS(2755),
    [anon_sym___alignof__] = ACTIONS(2755),
    [anon_sym___alignof] = ACTIONS(2755),
    [anon_sym__alignof] = ACTIONS(2755),
    [anon_sym_alignof] = ACTIONS(2755),
    [anon_sym__Alignof] = ACTIONS(2755),
    [anon_sym_offsetof] = ACTIONS(2755),
    [anon_sym__Generic] = ACTIONS(2755),
    [anon_sym_asm] = ACTIONS(2755),
    [anon_sym___asm__] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2757),
    [anon_sym_L_SQUOTE] = ACTIONS(2757),
    [anon_sym_u_SQUOTE] = ACTIONS(2757),
    [anon_sym_U_SQUOTE] = ACTIONS(2757),
    [anon_sym_u8_SQUOTE] = ACTIONS(2757),
    [anon_sym_SQUOTE] = ACTIONS(2757),
    [anon_sym_L_DQUOTE] = ACTIONS(2757),
    [anon_sym_u_DQUOTE] = ACTIONS(2757),
    [anon_sym_U_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_true] = ACTIONS(2755),
    [sym_false] = ACTIONS(2755),
    [anon_sym_NULL] = ACTIONS(2755),
    [anon_sym_nullptr] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_try] = ACTIONS(2755),
    [anon_sym_delete] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2755),
    [anon_sym_namespace] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
    [anon_sym_concept] = ACTIONS(2755),
    [anon_sym_co_return] = ACTIONS(2755),
    [anon_sym_co_yield] = ACTIONS(2755),
    [anon_sym_R_DQUOTE] = ACTIONS(2757),
    [anon_sym_LR_DQUOTE] = ACTIONS(2757),
    [anon_sym_uR_DQUOTE] = ACTIONS(2757),
    [anon_sym_UR_DQUOTE] = ACTIONS(2757),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2757),
    [anon_sym_co_await] = ACTIONS(2755),
    [anon_sym_new] = ACTIONS(2755),
    [anon_sym_requires] = ACTIONS(2755),
    [sym_this] = ACTIONS(2755),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(2993),
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(2765),
    [sym_identifier] = ACTIONS(2763),
    [aux_sym_preproc_include_token1] = ACTIONS(2763),
    [aux_sym_preproc_def_token1] = ACTIONS(2763),
    [aux_sym_preproc_if_token1] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2763),
    [sym_preproc_directive] = ACTIONS(2763),
    [anon_sym_LPAREN2] = ACTIONS(2765),
    [anon_sym_BANG] = ACTIONS(2765),
    [anon_sym_TILDE] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym___extension__] = ACTIONS(2763),
    [anon_sym_typedef] = ACTIONS(2763),
    [anon_sym_extern] = ACTIONS(2763),
    [anon_sym___attribute__] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2765),
    [anon_sym___declspec] = ACTIONS(2763),
    [anon_sym___based] = ACTIONS(2763),
    [anon_sym___cdecl] = ACTIONS(2763),
    [anon_sym___clrcall] = ACTIONS(2763),
    [anon_sym___stdcall] = ACTIONS(2763),
    [anon_sym___fastcall] = ACTIONS(2763),
    [anon_sym___thiscall] = ACTIONS(2763),
    [anon_sym___vectorcall] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2763),
    [anon_sym_unsigned] = ACTIONS(2763),
    [anon_sym_long] = ACTIONS(2763),
    [anon_sym_short] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(2763),
    [anon_sym_static] = ACTIONS(2763),
    [anon_sym_register] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym___inline] = ACTIONS(2763),
    [anon_sym___inline__] = ACTIONS(2763),
    [anon_sym___forceinline] = ACTIONS(2763),
    [anon_sym_thread_local] = ACTIONS(2763),
    [anon_sym___thread] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_constexpr] = ACTIONS(2763),
    [anon_sym_volatile] = ACTIONS(2763),
    [anon_sym_restrict] = ACTIONS(2763),
    [anon_sym___restrict__] = ACTIONS(2763),
    [anon_sym__Atomic] = ACTIONS(2763),
    [anon_sym__Noreturn] = ACTIONS(2763),
    [anon_sym_noreturn] = ACTIONS(2763),
    [anon_sym_mutable] = ACTIONS(2763),
    [anon_sym_constinit] = ACTIONS(2763),
    [anon_sym_consteval] = ACTIONS(2763),
    [anon_sym_alignas] = ACTIONS(2763),
    [anon_sym__Alignas] = ACTIONS(2763),
    [sym_primitive_type] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_class] = ACTIONS(2763),
    [anon_sym_struct] = ACTIONS(2763),
    [anon_sym_union] = ACTIONS(2763),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_switch] = ACTIONS(2763),
    [anon_sym_case] = ACTIONS(2763),
    [anon_sym_default] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2763),
    [anon_sym_do] = ACTIONS(2763),
    [anon_sym_for] = ACTIONS(2763),
    [anon_sym_return] = ACTIONS(2763),
    [anon_sym_break] = ACTIONS(2763),
    [anon_sym_continue] = ACTIONS(2763),
    [anon_sym_goto] = ACTIONS(2763),
    [anon_sym_not] = ACTIONS(2763),
    [anon_sym_compl] = ACTIONS(2763),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_sizeof] = ACTIONS(2763),
    [anon_sym___alignof__] = ACTIONS(2763),
    [anon_sym___alignof] = ACTIONS(2763),
    [anon_sym__alignof] = ACTIONS(2763),
    [anon_sym_alignof] = ACTIONS(2763),
    [anon_sym__Alignof] = ACTIONS(2763),
    [anon_sym_offsetof] = ACTIONS(2763),
    [anon_sym__Generic] = ACTIONS(2763),
    [anon_sym_asm] = ACTIONS(2763),
    [anon_sym___asm__] = ACTIONS(2763),
    [sym_number_literal] = ACTIONS(2765),
    [anon_sym_L_SQUOTE] = ACTIONS(2765),
    [anon_sym_u_SQUOTE] = ACTIONS(2765),
    [anon_sym_U_SQUOTE] = ACTIONS(2765),
    [anon_sym_u8_SQUOTE] = ACTIONS(2765),
    [anon_sym_SQUOTE] = ACTIONS(2765),
    [anon_sym_L_DQUOTE] = ACTIONS(2765),
    [anon_sym_u_DQUOTE] = ACTIONS(2765),
    [anon_sym_U_DQUOTE] = ACTIONS(2765),
    [anon_sym_u8_DQUOTE] = ACTIONS(2765),
    [anon_sym_DQUOTE] = ACTIONS(2765),
    [sym_true] = ACTIONS(2763),
    [sym_false] = ACTIONS(2763),
    [anon_sym_NULL] = ACTIONS(2763),
    [anon_sym_nullptr] = ACTIONS(2763),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2763),
    [anon_sym_decltype] = ACTIONS(2763),
    [sym_virtual] = ACTIONS(2763),
    [anon_sym_explicit] = ACTIONS(2763),
    [anon_sym_typename] = ACTIONS(2763),
    [anon_sym_template] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_delete] = ACTIONS(2763),
    [anon_sym_throw] = ACTIONS(2763),
    [anon_sym_namespace] = ACTIONS(2763),
    [anon_sym_using] = ACTIONS(2763),
    [anon_sym_static_assert] = ACTIONS(2763),
    [anon_sym_concept] = ACTIONS(2763),
    [anon_sym_co_return] = ACTIONS(2763),
    [anon_sym_co_yield] = ACTIONS(2763),
    [anon_sym_R_DQUOTE] = ACTIONS(2765),
    [anon_sym_LR_DQUOTE] = ACTIONS(2765),
    [anon_sym_uR_DQUOTE] = ACTIONS(2765),
    [anon_sym_UR_DQUOTE] = ACTIONS(2765),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2765),
    [anon_sym_co_await] = ACTIONS(2763),
    [anon_sym_new] = ACTIONS(2763),
    [anon_sym_requires] = ACTIONS(2763),
    [sym_this] = ACTIONS(2763),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(2769),
    [sym_identifier] = ACTIONS(2767),
    [aux_sym_preproc_include_token1] = ACTIONS(2767),
    [aux_sym_preproc_def_token1] = ACTIONS(2767),
    [aux_sym_preproc_if_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2767),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2767),
    [sym_preproc_directive] = ACTIONS(2767),
    [anon_sym_LPAREN2] = ACTIONS(2769),
    [anon_sym_BANG] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2769),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym___extension__] = ACTIONS(2767),
    [anon_sym_typedef] = ACTIONS(2767),
    [anon_sym_extern] = ACTIONS(2767),
    [anon_sym___attribute__] = ACTIONS(2767),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2769),
    [anon_sym___declspec] = ACTIONS(2767),
    [anon_sym___based] = ACTIONS(2767),
    [anon_sym___cdecl] = ACTIONS(2767),
    [anon_sym___clrcall] = ACTIONS(2767),
    [anon_sym___stdcall] = ACTIONS(2767),
    [anon_sym___fastcall] = ACTIONS(2767),
    [anon_sym___thiscall] = ACTIONS(2767),
    [anon_sym___vectorcall] = ACTIONS(2767),
    [anon_sym_LBRACE] = ACTIONS(2769),
    [anon_sym_signed] = ACTIONS(2767),
    [anon_sym_unsigned] = ACTIONS(2767),
    [anon_sym_long] = ACTIONS(2767),
    [anon_sym_short] = ACTIONS(2767),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2767),
    [anon_sym_register] = ACTIONS(2767),
    [anon_sym_inline] = ACTIONS(2767),
    [anon_sym___inline] = ACTIONS(2767),
    [anon_sym___inline__] = ACTIONS(2767),
    [anon_sym___forceinline] = ACTIONS(2767),
    [anon_sym_thread_local] = ACTIONS(2767),
    [anon_sym___thread] = ACTIONS(2767),
    [anon_sym_const] = ACTIONS(2767),
    [anon_sym_constexpr] = ACTIONS(2767),
    [anon_sym_volatile] = ACTIONS(2767),
    [anon_sym_restrict] = ACTIONS(2767),
    [anon_sym___restrict__] = ACTIONS(2767),
    [anon_sym__Atomic] = ACTIONS(2767),
    [anon_sym__Noreturn] = ACTIONS(2767),
    [anon_sym_noreturn] = ACTIONS(2767),
    [anon_sym_mutable] = ACTIONS(2767),
    [anon_sym_constinit] = ACTIONS(2767),
    [anon_sym_consteval] = ACTIONS(2767),
    [anon_sym_alignas] = ACTIONS(2767),
    [anon_sym__Alignas] = ACTIONS(2767),
    [sym_primitive_type] = ACTIONS(2767),
    [anon_sym_enum] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2767),
    [anon_sym_struct] = ACTIONS(2767),
    [anon_sym_union] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2767),
    [anon_sym_switch] = ACTIONS(2767),
    [anon_sym_case] = ACTIONS(2767),
    [anon_sym_default] = ACTIONS(2767),
    [anon_sym_while] = ACTIONS(2767),
    [anon_sym_do] = ACTIONS(2767),
    [anon_sym_for] = ACTIONS(2767),
    [anon_sym_return] = ACTIONS(2767),
    [anon_sym_break] = ACTIONS(2767),
    [anon_sym_continue] = ACTIONS(2767),
    [anon_sym_goto] = ACTIONS(2767),
    [anon_sym_not] = ACTIONS(2767),
    [anon_sym_compl] = ACTIONS(2767),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_sizeof] = ACTIONS(2767),
    [anon_sym___alignof__] = ACTIONS(2767),
    [anon_sym___alignof] = ACTIONS(2767),
    [anon_sym__alignof] = ACTIONS(2767),
    [anon_sym_alignof] = ACTIONS(2767),
    [anon_sym__Alignof] = ACTIONS(2767),
    [anon_sym_offsetof] = ACTIONS(2767),
    [anon_sym__Generic] = ACTIONS(2767),
    [anon_sym_asm] = ACTIONS(2767),
    [anon_sym___asm__] = ACTIONS(2767),
    [sym_number_literal] = ACTIONS(2769),
    [anon_sym_L_SQUOTE] = ACTIONS(2769),
    [anon_sym_u_SQUOTE] = ACTIONS(2769),
    [anon_sym_U_SQUOTE] = ACTIONS(2769),
    [anon_sym_u8_SQUOTE] = ACTIONS(2769),
    [anon_sym_SQUOTE] = ACTIONS(2769),
    [anon_sym_L_DQUOTE] = ACTIONS(2769),
    [anon_sym_u_DQUOTE] = ACTIONS(2769),
    [anon_sym_U_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8_DQUOTE] = ACTIONS(2769),
    [anon_sym_DQUOTE] = ACTIONS(2769),
    [sym_true] = ACTIONS(2767),
    [sym_false] = ACTIONS(2767),
    [anon_sym_NULL] = ACTIONS(2767),
    [anon_sym_nullptr] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2767),
    [anon_sym_decltype] = ACTIONS(2767),
    [sym_virtual] = ACTIONS(2767),
    [anon_sym_explicit] = ACTIONS(2767),
    [anon_sym_typename] = ACTIONS(2767),
    [anon_sym_template] = ACTIONS(2767),
    [anon_sym_operator] = ACTIONS(2767),
    [anon_sym_try] = ACTIONS(2767),
    [anon_sym_delete] = ACTIONS(2767),
    [anon_sym_throw] = ACTIONS(2767),
    [anon_sym_namespace] = ACTIONS(2767),
    [anon_sym_using] = ACTIONS(2767),
    [anon_sym_static_assert] = ACTIONS(2767),
    [anon_sym_concept] = ACTIONS(2767),
    [anon_sym_co_return] = ACTIONS(2767),
    [anon_sym_co_yield] = ACTIONS(2767),
    [anon_sym_R_DQUOTE] = ACTIONS(2769),
    [anon_sym_LR_DQUOTE] = ACTIONS(2769),
    [anon_sym_uR_DQUOTE] = ACTIONS(2769),
    [anon_sym_UR_DQUOTE] = ACTIONS(2769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2769),
    [anon_sym_co_await] = ACTIONS(2767),
    [anon_sym_new] = ACTIONS(2767),
    [anon_sym_requires] = ACTIONS(2767),
    [sym_this] = ACTIONS(2767),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(3011),
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [sym_virtual] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(3015),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [sym_virtual] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(2662),
    [sym_identifier] = ACTIONS(2660),
    [aux_sym_preproc_include_token1] = ACTIONS(2660),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2660),
    [sym_preproc_directive] = ACTIONS(2660),
    [anon_sym_LPAREN2] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2660),
    [anon_sym_typedef] = ACTIONS(2660),
    [anon_sym_extern] = ACTIONS(2660),
    [anon_sym___attribute__] = ACTIONS(2660),
    [anon_sym_COLON_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2660),
    [anon_sym___based] = ACTIONS(2660),
    [anon_sym___cdecl] = ACTIONS(2660),
    [anon_sym___clrcall] = ACTIONS(2660),
    [anon_sym___stdcall] = ACTIONS(2660),
    [anon_sym___fastcall] = ACTIONS(2660),
    [anon_sym___thiscall] = ACTIONS(2660),
    [anon_sym___vectorcall] = ACTIONS(2660),
    [anon_sym_LBRACE] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2660),
    [anon_sym_unsigned] = ACTIONS(2660),
    [anon_sym_long] = ACTIONS(2660),
    [anon_sym_short] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_register] = ACTIONS(2660),
    [anon_sym_inline] = ACTIONS(2660),
    [anon_sym___inline] = ACTIONS(2660),
    [anon_sym___inline__] = ACTIONS(2660),
    [anon_sym___forceinline] = ACTIONS(2660),
    [anon_sym_thread_local] = ACTIONS(2660),
    [anon_sym___thread] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_constexpr] = ACTIONS(2660),
    [anon_sym_volatile] = ACTIONS(2660),
    [anon_sym_restrict] = ACTIONS(2660),
    [anon_sym___restrict__] = ACTIONS(2660),
    [anon_sym__Atomic] = ACTIONS(2660),
    [anon_sym__Noreturn] = ACTIONS(2660),
    [anon_sym_noreturn] = ACTIONS(2660),
    [anon_sym_mutable] = ACTIONS(2660),
    [anon_sym_constinit] = ACTIONS(2660),
    [anon_sym_consteval] = ACTIONS(2660),
    [anon_sym_alignas] = ACTIONS(2660),
    [anon_sym__Alignas] = ACTIONS(2660),
    [sym_primitive_type] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_struct] = ACTIONS(2660),
    [anon_sym_union] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2660),
    [anon_sym_switch] = ACTIONS(2660),
    [anon_sym_case] = ACTIONS(2660),
    [anon_sym_default] = ACTIONS(2660),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_do] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2660),
    [anon_sym_return] = ACTIONS(2660),
    [anon_sym_break] = ACTIONS(2660),
    [anon_sym_continue] = ACTIONS(2660),
    [anon_sym_goto] = ACTIONS(2660),
    [anon_sym_not] = ACTIONS(2660),
    [anon_sym_compl] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2662),
    [anon_sym_sizeof] = ACTIONS(2660),
    [anon_sym___alignof__] = ACTIONS(2660),
    [anon_sym___alignof] = ACTIONS(2660),
    [anon_sym__alignof] = ACTIONS(2660),
    [anon_sym_alignof] = ACTIONS(2660),
    [anon_sym__Alignof] = ACTIONS(2660),
    [anon_sym_offsetof] = ACTIONS(2660),
    [anon_sym__Generic] = ACTIONS(2660),
    [anon_sym_asm] = ACTIONS(2660),
    [anon_sym___asm__] = ACTIONS(2660),
    [sym_number_literal] = ACTIONS(2662),
    [anon_sym_L_SQUOTE] = ACTIONS(2662),
    [anon_sym_u_SQUOTE] = ACTIONS(2662),
    [anon_sym_U_SQUOTE] = ACTIONS(2662),
    [anon_sym_u8_SQUOTE] = ACTIONS(2662),
    [anon_sym_SQUOTE] = ACTIONS(2662),
    [anon_sym_L_DQUOTE] = ACTIONS(2662),
    [anon_sym_u_DQUOTE] = ACTIONS(2662),
    [anon_sym_U_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [sym_true] = ACTIONS(2660),
    [sym_false] = ACTIONS(2660),
    [anon_sym_NULL] = ACTIONS(2660),
    [anon_sym_nullptr] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2660),
    [anon_sym_decltype] = ACTIONS(2660),
    [sym_virtual] = ACTIONS(2660),
    [anon_sym_explicit] = ACTIONS(2660),
    [anon_sym_typename] = ACTIONS(2660),
    [anon_sym_template] = ACTIONS(2660),
    [anon_sym_operator] = ACTIONS(2660),
    [anon_sym_try] = ACTIONS(2660),
    [anon_sym_delete] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2660),
    [anon_sym_namespace] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_static_assert] = ACTIONS(2660),
    [anon_sym_concept] = ACTIONS(2660),
    [anon_sym_co_return] = ACTIONS(2660),
    [anon_sym_co_yield] = ACTIONS(2660),
    [anon_sym_R_DQUOTE] = ACTIONS(2662),
    [anon_sym_LR_DQUOTE] = ACTIONS(2662),
    [anon_sym_uR_DQUOTE] = ACTIONS(2662),
    [anon_sym_UR_DQUOTE] = ACTIONS(2662),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2662),
    [anon_sym_co_await] = ACTIONS(2660),
    [anon_sym_new] = ACTIONS(2660),
    [anon_sym_requires] = ACTIONS(2660),
    [sym_this] = ACTIONS(2660),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(2781),
    [sym_identifier] = ACTIONS(2779),
    [aux_sym_preproc_include_token1] = ACTIONS(2779),
    [aux_sym_preproc_def_token1] = ACTIONS(2779),
    [aux_sym_preproc_if_token1] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2779),
    [sym_preproc_directive] = ACTIONS(2779),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2779),
    [anon_sym_typedef] = ACTIONS(2779),
    [anon_sym_extern] = ACTIONS(2779),
    [anon_sym___attribute__] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2781),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2781),
    [anon_sym___declspec] = ACTIONS(2779),
    [anon_sym___based] = ACTIONS(2779),
    [anon_sym___cdecl] = ACTIONS(2779),
    [anon_sym___clrcall] = ACTIONS(2779),
    [anon_sym___stdcall] = ACTIONS(2779),
    [anon_sym___fastcall] = ACTIONS(2779),
    [anon_sym___thiscall] = ACTIONS(2779),
    [anon_sym___vectorcall] = ACTIONS(2779),
    [anon_sym_LBRACE] = ACTIONS(2781),
    [anon_sym_signed] = ACTIONS(2779),
    [anon_sym_unsigned] = ACTIONS(2779),
    [anon_sym_long] = ACTIONS(2779),
    [anon_sym_short] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_static] = ACTIONS(2779),
    [anon_sym_register] = ACTIONS(2779),
    [anon_sym_inline] = ACTIONS(2779),
    [anon_sym___inline] = ACTIONS(2779),
    [anon_sym___inline__] = ACTIONS(2779),
    [anon_sym___forceinline] = ACTIONS(2779),
    [anon_sym_thread_local] = ACTIONS(2779),
    [anon_sym___thread] = ACTIONS(2779),
    [anon_sym_const] = ACTIONS(2779),
    [anon_sym_constexpr] = ACTIONS(2779),
    [anon_sym_volatile] = ACTIONS(2779),
    [anon_sym_restrict] = ACTIONS(2779),
    [anon_sym___restrict__] = ACTIONS(2779),
    [anon_sym__Atomic] = ACTIONS(2779),
    [anon_sym__Noreturn] = ACTIONS(2779),
    [anon_sym_noreturn] = ACTIONS(2779),
    [anon_sym_mutable] = ACTIONS(2779),
    [anon_sym_constinit] = ACTIONS(2779),
    [anon_sym_consteval] = ACTIONS(2779),
    [anon_sym_alignas] = ACTIONS(2779),
    [anon_sym__Alignas] = ACTIONS(2779),
    [sym_primitive_type] = ACTIONS(2779),
    [anon_sym_enum] = ACTIONS(2779),
    [anon_sym_class] = ACTIONS(2779),
    [anon_sym_struct] = ACTIONS(2779),
    [anon_sym_union] = ACTIONS(2779),
    [anon_sym_if] = ACTIONS(2779),
    [anon_sym_switch] = ACTIONS(2779),
    [anon_sym_case] = ACTIONS(2779),
    [anon_sym_default] = ACTIONS(2779),
    [anon_sym_while] = ACTIONS(2779),
    [anon_sym_do] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_return] = ACTIONS(2779),
    [anon_sym_break] = ACTIONS(2779),
    [anon_sym_continue] = ACTIONS(2779),
    [anon_sym_goto] = ACTIONS(2779),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_compl] = ACTIONS(2779),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_sizeof] = ACTIONS(2779),
    [anon_sym___alignof__] = ACTIONS(2779),
    [anon_sym___alignof] = ACTIONS(2779),
    [anon_sym__alignof] = ACTIONS(2779),
    [anon_sym_alignof] = ACTIONS(2779),
    [anon_sym__Alignof] = ACTIONS(2779),
    [anon_sym_offsetof] = ACTIONS(2779),
    [anon_sym__Generic] = ACTIONS(2779),
    [anon_sym_asm] = ACTIONS(2779),
    [anon_sym___asm__] = ACTIONS(2779),
    [sym_number_literal] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2781),
    [anon_sym_u_SQUOTE] = ACTIONS(2781),
    [anon_sym_U_SQUOTE] = ACTIONS(2781),
    [anon_sym_u8_SQUOTE] = ACTIONS(2781),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_L_DQUOTE] = ACTIONS(2781),
    [anon_sym_u_DQUOTE] = ACTIONS(2781),
    [anon_sym_U_DQUOTE] = ACTIONS(2781),
    [anon_sym_u8_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_true] = ACTIONS(2779),
    [sym_false] = ACTIONS(2779),
    [anon_sym_NULL] = ACTIONS(2779),
    [anon_sym_nullptr] = ACTIONS(2779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2779),
    [anon_sym_decltype] = ACTIONS(2779),
    [sym_virtual] = ACTIONS(2779),
    [anon_sym_explicit] = ACTIONS(2779),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(2779),
    [anon_sym_operator] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2779),
    [anon_sym_delete] = ACTIONS(2779),
    [anon_sym_throw] = ACTIONS(2779),
    [anon_sym_namespace] = ACTIONS(2779),
    [anon_sym_using] = ACTIONS(2779),
    [anon_sym_static_assert] = ACTIONS(2779),
    [anon_sym_concept] = ACTIONS(2779),
    [anon_sym_co_return] = ACTIONS(2779),
    [anon_sym_co_yield] = ACTIONS(2779),
    [anon_sym_R_DQUOTE] = ACTIONS(2781),
    [anon_sym_LR_DQUOTE] = ACTIONS(2781),
    [anon_sym_uR_DQUOTE] = ACTIONS(2781),
    [anon_sym_UR_DQUOTE] = ACTIONS(2781),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2781),
    [anon_sym_co_await] = ACTIONS(2779),
    [anon_sym_new] = ACTIONS(2779),
    [anon_sym_requires] = ACTIONS(2779),
    [sym_this] = ACTIONS(2779),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(2694),
    [sym_identifier] = ACTIONS(2692),
    [aux_sym_preproc_include_token1] = ACTIONS(2692),
    [aux_sym_preproc_def_token1] = ACTIONS(2692),
    [aux_sym_preproc_if_token1] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2692),
    [sym_preproc_directive] = ACTIONS(2692),
    [anon_sym_LPAREN2] = ACTIONS(2694),
    [anon_sym_BANG] = ACTIONS(2694),
    [anon_sym_TILDE] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2692),
    [anon_sym_PLUS] = ACTIONS(2692),
    [anon_sym_STAR] = ACTIONS(2694),
    [anon_sym_AMP_AMP] = ACTIONS(2694),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym___extension__] = ACTIONS(2692),
    [anon_sym_typedef] = ACTIONS(2692),
    [anon_sym_extern] = ACTIONS(2692),
    [anon_sym___attribute__] = ACTIONS(2692),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2694),
    [anon_sym___declspec] = ACTIONS(2692),
    [anon_sym___based] = ACTIONS(2692),
    [anon_sym___cdecl] = ACTIONS(2692),
    [anon_sym___clrcall] = ACTIONS(2692),
    [anon_sym___stdcall] = ACTIONS(2692),
    [anon_sym___fastcall] = ACTIONS(2692),
    [anon_sym___thiscall] = ACTIONS(2692),
    [anon_sym___vectorcall] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(2694),
    [anon_sym_signed] = ACTIONS(2692),
    [anon_sym_unsigned] = ACTIONS(2692),
    [anon_sym_long] = ACTIONS(2692),
    [anon_sym_short] = ACTIONS(2692),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(2692),
    [anon_sym_register] = ACTIONS(2692),
    [anon_sym_inline] = ACTIONS(2692),
    [anon_sym___inline] = ACTIONS(2692),
    [anon_sym___inline__] = ACTIONS(2692),
    [anon_sym___forceinline] = ACTIONS(2692),
    [anon_sym_thread_local] = ACTIONS(2692),
    [anon_sym___thread] = ACTIONS(2692),
    [anon_sym_const] = ACTIONS(2692),
    [anon_sym_constexpr] = ACTIONS(2692),
    [anon_sym_volatile] = ACTIONS(2692),
    [anon_sym_restrict] = ACTIONS(2692),
    [anon_sym___restrict__] = ACTIONS(2692),
    [anon_sym__Atomic] = ACTIONS(2692),
    [anon_sym__Noreturn] = ACTIONS(2692),
    [anon_sym_noreturn] = ACTIONS(2692),
    [anon_sym_mutable] = ACTIONS(2692),
    [anon_sym_constinit] = ACTIONS(2692),
    [anon_sym_consteval] = ACTIONS(2692),
    [anon_sym_alignas] = ACTIONS(2692),
    [anon_sym__Alignas] = ACTIONS(2692),
    [sym_primitive_type] = ACTIONS(2692),
    [anon_sym_enum] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2692),
    [anon_sym_struct] = ACTIONS(2692),
    [anon_sym_union] = ACTIONS(2692),
    [anon_sym_if] = ACTIONS(2692),
    [anon_sym_switch] = ACTIONS(2692),
    [anon_sym_case] = ACTIONS(2692),
    [anon_sym_default] = ACTIONS(2692),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2692),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2692),
    [anon_sym_break] = ACTIONS(2692),
    [anon_sym_continue] = ACTIONS(2692),
    [anon_sym_goto] = ACTIONS(2692),
    [anon_sym_not] = ACTIONS(2692),
    [anon_sym_compl] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2694),
    [anon_sym_sizeof] = ACTIONS(2692),
    [anon_sym___alignof__] = ACTIONS(2692),
    [anon_sym___alignof] = ACTIONS(2692),
    [anon_sym__alignof] = ACTIONS(2692),
    [anon_sym_alignof] = ACTIONS(2692),
    [anon_sym__Alignof] = ACTIONS(2692),
    [anon_sym_offsetof] = ACTIONS(2692),
    [anon_sym__Generic] = ACTIONS(2692),
    [anon_sym_asm] = ACTIONS(2692),
    [anon_sym___asm__] = ACTIONS(2692),
    [sym_number_literal] = ACTIONS(2694),
    [anon_sym_L_SQUOTE] = ACTIONS(2694),
    [anon_sym_u_SQUOTE] = ACTIONS(2694),
    [anon_sym_U_SQUOTE] = ACTIONS(2694),
    [anon_sym_u8_SQUOTE] = ACTIONS(2694),
    [anon_sym_SQUOTE] = ACTIONS(2694),
    [anon_sym_L_DQUOTE] = ACTIONS(2694),
    [anon_sym_u_DQUOTE] = ACTIONS(2694),
    [anon_sym_U_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8_DQUOTE] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2694),
    [sym_true] = ACTIONS(2692),
    [sym_false] = ACTIONS(2692),
    [anon_sym_NULL] = ACTIONS(2692),
    [anon_sym_nullptr] = ACTIONS(2692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2692),
    [anon_sym_decltype] = ACTIONS(2692),
    [sym_virtual] = ACTIONS(2692),
    [anon_sym_explicit] = ACTIONS(2692),
    [anon_sym_typename] = ACTIONS(2692),
    [anon_sym_template] = ACTIONS(2692),
    [anon_sym_operator] = ACTIONS(2692),
    [anon_sym_try] = ACTIONS(2692),
    [anon_sym_delete] = ACTIONS(2692),
    [anon_sym_throw] = ACTIONS(2692),
    [anon_sym_namespace] = ACTIONS(2692),
    [anon_sym_using] = ACTIONS(2692),
    [anon_sym_static_assert] = ACTIONS(2692),
    [anon_sym_concept] = ACTIONS(2692),
    [anon_sym_co_return] = ACTIONS(2692),
    [anon_sym_co_yield] = ACTIONS(2692),
    [anon_sym_R_DQUOTE] = ACTIONS(2694),
    [anon_sym_LR_DQUOTE] = ACTIONS(2694),
    [anon_sym_uR_DQUOTE] = ACTIONS(2694),
    [anon_sym_UR_DQUOTE] = ACTIONS(2694),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2694),
    [anon_sym_co_await] = ACTIONS(2692),
    [anon_sym_new] = ACTIONS(2692),
    [anon_sym_requires] = ACTIONS(2692),
    [sym_this] = ACTIONS(2692),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(2698),
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_include_token1] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2696),
    [anon_sym_PLUS] = ACTIONS(2696),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym___cdecl] = ACTIONS(2696),
    [anon_sym___clrcall] = ACTIONS(2696),
    [anon_sym___stdcall] = ACTIONS(2696),
    [anon_sym___fastcall] = ACTIONS(2696),
    [anon_sym___thiscall] = ACTIONS(2696),
    [anon_sym___vectorcall] = ACTIONS(2696),
    [anon_sym_LBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [anon_sym_if] = ACTIONS(2696),
    [anon_sym_switch] = ACTIONS(2696),
    [anon_sym_case] = ACTIONS(2696),
    [anon_sym_default] = ACTIONS(2696),
    [anon_sym_while] = ACTIONS(2696),
    [anon_sym_do] = ACTIONS(2696),
    [anon_sym_for] = ACTIONS(2696),
    [anon_sym_return] = ACTIONS(2696),
    [anon_sym_break] = ACTIONS(2696),
    [anon_sym_continue] = ACTIONS(2696),
    [anon_sym_goto] = ACTIONS(2696),
    [anon_sym_not] = ACTIONS(2696),
    [anon_sym_compl] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2698),
    [anon_sym_sizeof] = ACTIONS(2696),
    [anon_sym___alignof__] = ACTIONS(2696),
    [anon_sym___alignof] = ACTIONS(2696),
    [anon_sym__alignof] = ACTIONS(2696),
    [anon_sym_alignof] = ACTIONS(2696),
    [anon_sym__Alignof] = ACTIONS(2696),
    [anon_sym_offsetof] = ACTIONS(2696),
    [anon_sym__Generic] = ACTIONS(2696),
    [anon_sym_asm] = ACTIONS(2696),
    [anon_sym___asm__] = ACTIONS(2696),
    [sym_number_literal] = ACTIONS(2698),
    [anon_sym_L_SQUOTE] = ACTIONS(2698),
    [anon_sym_u_SQUOTE] = ACTIONS(2698),
    [anon_sym_U_SQUOTE] = ACTIONS(2698),
    [anon_sym_u8_SQUOTE] = ACTIONS(2698),
    [anon_sym_SQUOTE] = ACTIONS(2698),
    [anon_sym_L_DQUOTE] = ACTIONS(2698),
    [anon_sym_u_DQUOTE] = ACTIONS(2698),
    [anon_sym_U_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8_DQUOTE] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2698),
    [sym_true] = ACTIONS(2696),
    [sym_false] = ACTIONS(2696),
    [anon_sym_NULL] = ACTIONS(2696),
    [anon_sym_nullptr] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [sym_virtual] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_try] = ACTIONS(2696),
    [anon_sym_delete] = ACTIONS(2696),
    [anon_sym_throw] = ACTIONS(2696),
    [anon_sym_namespace] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
    [anon_sym_concept] = ACTIONS(2696),
    [anon_sym_co_return] = ACTIONS(2696),
    [anon_sym_co_yield] = ACTIONS(2696),
    [anon_sym_R_DQUOTE] = ACTIONS(2698),
    [anon_sym_LR_DQUOTE] = ACTIONS(2698),
    [anon_sym_uR_DQUOTE] = ACTIONS(2698),
    [anon_sym_UR_DQUOTE] = ACTIONS(2698),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2698),
    [anon_sym_co_await] = ACTIONS(2696),
    [anon_sym_new] = ACTIONS(2696),
    [anon_sym_requires] = ACTIONS(2696),
    [sym_this] = ACTIONS(2696),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(2785),
    [sym_identifier] = ACTIONS(2783),
    [aux_sym_preproc_include_token1] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2783),
    [aux_sym_preproc_if_token1] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2783),
    [sym_preproc_directive] = ACTIONS(2783),
    [anon_sym_LPAREN2] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2783),
    [anon_sym_typedef] = ACTIONS(2783),
    [anon_sym_extern] = ACTIONS(2783),
    [anon_sym___attribute__] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2785),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2785),
    [anon_sym___declspec] = ACTIONS(2783),
    [anon_sym___based] = ACTIONS(2783),
    [anon_sym___cdecl] = ACTIONS(2783),
    [anon_sym___clrcall] = ACTIONS(2783),
    [anon_sym___stdcall] = ACTIONS(2783),
    [anon_sym___fastcall] = ACTIONS(2783),
    [anon_sym___thiscall] = ACTIONS(2783),
    [anon_sym___vectorcall] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_signed] = ACTIONS(2783),
    [anon_sym_unsigned] = ACTIONS(2783),
    [anon_sym_long] = ACTIONS(2783),
    [anon_sym_short] = ACTIONS(2783),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_static] = ACTIONS(2783),
    [anon_sym_register] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2783),
    [anon_sym___inline] = ACTIONS(2783),
    [anon_sym___inline__] = ACTIONS(2783),
    [anon_sym___forceinline] = ACTIONS(2783),
    [anon_sym_thread_local] = ACTIONS(2783),
    [anon_sym___thread] = ACTIONS(2783),
    [anon_sym_const] = ACTIONS(2783),
    [anon_sym_constexpr] = ACTIONS(2783),
    [anon_sym_volatile] = ACTIONS(2783),
    [anon_sym_restrict] = ACTIONS(2783),
    [anon_sym___restrict__] = ACTIONS(2783),
    [anon_sym__Atomic] = ACTIONS(2783),
    [anon_sym__Noreturn] = ACTIONS(2783),
    [anon_sym_noreturn] = ACTIONS(2783),
    [anon_sym_mutable] = ACTIONS(2783),
    [anon_sym_constinit] = ACTIONS(2783),
    [anon_sym_consteval] = ACTIONS(2783),
    [anon_sym_alignas] = ACTIONS(2783),
    [anon_sym__Alignas] = ACTIONS(2783),
    [sym_primitive_type] = ACTIONS(2783),
    [anon_sym_enum] = ACTIONS(2783),
    [anon_sym_class] = ACTIONS(2783),
    [anon_sym_struct] = ACTIONS(2783),
    [anon_sym_union] = ACTIONS(2783),
    [anon_sym_if] = ACTIONS(2783),
    [anon_sym_switch] = ACTIONS(2783),
    [anon_sym_case] = ACTIONS(2783),
    [anon_sym_default] = ACTIONS(2783),
    [anon_sym_while] = ACTIONS(2783),
    [anon_sym_do] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2783),
    [anon_sym_return] = ACTIONS(2783),
    [anon_sym_break] = ACTIONS(2783),
    [anon_sym_continue] = ACTIONS(2783),
    [anon_sym_goto] = ACTIONS(2783),
    [anon_sym_not] = ACTIONS(2783),
    [anon_sym_compl] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2785),
    [anon_sym_sizeof] = ACTIONS(2783),
    [anon_sym___alignof__] = ACTIONS(2783),
    [anon_sym___alignof] = ACTIONS(2783),
    [anon_sym__alignof] = ACTIONS(2783),
    [anon_sym_alignof] = ACTIONS(2783),
    [anon_sym__Alignof] = ACTIONS(2783),
    [anon_sym_offsetof] = ACTIONS(2783),
    [anon_sym__Generic] = ACTIONS(2783),
    [anon_sym_asm] = ACTIONS(2783),
    [anon_sym___asm__] = ACTIONS(2783),
    [sym_number_literal] = ACTIONS(2785),
    [anon_sym_L_SQUOTE] = ACTIONS(2785),
    [anon_sym_u_SQUOTE] = ACTIONS(2785),
    [anon_sym_U_SQUOTE] = ACTIONS(2785),
    [anon_sym_u8_SQUOTE] = ACTIONS(2785),
    [anon_sym_SQUOTE] = ACTIONS(2785),
    [anon_sym_L_DQUOTE] = ACTIONS(2785),
    [anon_sym_u_DQUOTE] = ACTIONS(2785),
    [anon_sym_U_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8_DQUOTE] = ACTIONS(2785),
    [anon_sym_DQUOTE] = ACTIONS(2785),
    [sym_true] = ACTIONS(2783),
    [sym_false] = ACTIONS(2783),
    [anon_sym_NULL] = ACTIONS(2783),
    [anon_sym_nullptr] = ACTIONS(2783),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2783),
    [anon_sym_decltype] = ACTIONS(2783),
    [sym_virtual] = ACTIONS(2783),
    [anon_sym_explicit] = ACTIONS(2783),
    [anon_sym_typename] = ACTIONS(2783),
    [anon_sym_template] = ACTIONS(2783),
    [anon_sym_operator] = ACTIONS(2783),
    [anon_sym_try] = ACTIONS(2783),
    [anon_sym_delete] = ACTIONS(2783),
    [anon_sym_throw] = ACTIONS(2783),
    [anon_sym_namespace] = ACTIONS(2783),
    [anon_sym_using] = ACTIONS(2783),
    [anon_sym_static_assert] = ACTIONS(2783),
    [anon_sym_concept] = ACTIONS(2783),
    [anon_sym_co_return] = ACTIONS(2783),
    [anon_sym_co_yield] = ACTIONS(2783),
    [anon_sym_R_DQUOTE] = ACTIONS(2785),
    [anon_sym_LR_DQUOTE] = ACTIONS(2785),
    [anon_sym_uR_DQUOTE] = ACTIONS(2785),
    [anon_sym_UR_DQUOTE] = ACTIONS(2785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2785),
    [anon_sym_co_await] = ACTIONS(2783),
    [anon_sym_new] = ACTIONS(2783),
    [anon_sym_requires] = ACTIONS(2783),
    [sym_this] = ACTIONS(2783),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(2690),
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_include_token1] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2688),
    [anon_sym_PLUS] = ACTIONS(2688),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym___cdecl] = ACTIONS(2688),
    [anon_sym___clrcall] = ACTIONS(2688),
    [anon_sym___stdcall] = ACTIONS(2688),
    [anon_sym___fastcall] = ACTIONS(2688),
    [anon_sym___thiscall] = ACTIONS(2688),
    [anon_sym___vectorcall] = ACTIONS(2688),
    [anon_sym_LBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym__Alignas] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [anon_sym_if] = ACTIONS(2688),
    [anon_sym_switch] = ACTIONS(2688),
    [anon_sym_case] = ACTIONS(2688),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2688),
    [anon_sym_do] = ACTIONS(2688),
    [anon_sym_for] = ACTIONS(2688),
    [anon_sym_return] = ACTIONS(2688),
    [anon_sym_break] = ACTIONS(2688),
    [anon_sym_continue] = ACTIONS(2688),
    [anon_sym_goto] = ACTIONS(2688),
    [anon_sym_not] = ACTIONS(2688),
    [anon_sym_compl] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2690),
    [anon_sym_sizeof] = ACTIONS(2688),
    [anon_sym___alignof__] = ACTIONS(2688),
    [anon_sym___alignof] = ACTIONS(2688),
    [anon_sym__alignof] = ACTIONS(2688),
    [anon_sym_alignof] = ACTIONS(2688),
    [anon_sym__Alignof] = ACTIONS(2688),
    [anon_sym_offsetof] = ACTIONS(2688),
    [anon_sym__Generic] = ACTIONS(2688),
    [anon_sym_asm] = ACTIONS(2688),
    [anon_sym___asm__] = ACTIONS(2688),
    [sym_number_literal] = ACTIONS(2690),
    [anon_sym_L_SQUOTE] = ACTIONS(2690),
    [anon_sym_u_SQUOTE] = ACTIONS(2690),
    [anon_sym_U_SQUOTE] = ACTIONS(2690),
    [anon_sym_u8_SQUOTE] = ACTIONS(2690),
    [anon_sym_SQUOTE] = ACTIONS(2690),
    [anon_sym_L_DQUOTE] = ACTIONS(2690),
    [anon_sym_u_DQUOTE] = ACTIONS(2690),
    [anon_sym_U_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8_DQUOTE] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [sym_true] = ACTIONS(2688),
    [sym_false] = ACTIONS(2688),
    [anon_sym_NULL] = ACTIONS(2688),
    [anon_sym_nullptr] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [sym_virtual] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_try] = ACTIONS(2688),
    [anon_sym_delete] = ACTIONS(2688),
    [anon_sym_throw] = ACTIONS(2688),
    [anon_sym_namespace] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
    [anon_sym_concept] = ACTIONS(2688),
    [anon_sym_co_return] = ACTIONS(2688),
    [anon_sym_co_yield] = ACTIONS(2688),
    [anon_sym_R_DQUOTE] = ACTIONS(2690),
    [anon_sym_LR_DQUOTE] = ACTIONS(2690),
    [anon_sym_uR_DQUOTE] = ACTIONS(2690),
    [anon_sym_UR_DQUOTE] = ACTIONS(2690),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2690),
    [anon_sym_co_await] = ACTIONS(2688),
    [anon_sym_new] = ACTIONS(2688),
    [anon_sym_requires] = ACTIONS(2688),
    [sym_this] = ACTIONS(2688),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(2718),
    [sym_identifier] = ACTIONS(2716),
    [aux_sym_preproc_include_token1] = ACTIONS(2716),
    [aux_sym_preproc_def_token1] = ACTIONS(2716),
    [aux_sym_preproc_if_token1] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2716),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2716),
    [sym_preproc_directive] = ACTIONS(2716),
    [anon_sym_LPAREN2] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_TILDE] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2716),
    [anon_sym_PLUS] = ACTIONS(2716),
    [anon_sym_STAR] = ACTIONS(2718),
    [anon_sym_AMP_AMP] = ACTIONS(2718),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2716),
    [anon_sym_typedef] = ACTIONS(2716),
    [anon_sym_extern] = ACTIONS(2716),
    [anon_sym___attribute__] = ACTIONS(2716),
    [anon_sym_COLON_COLON] = ACTIONS(2718),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2718),
    [anon_sym___declspec] = ACTIONS(2716),
    [anon_sym___based] = ACTIONS(2716),
    [anon_sym___cdecl] = ACTIONS(2716),
    [anon_sym___clrcall] = ACTIONS(2716),
    [anon_sym___stdcall] = ACTIONS(2716),
    [anon_sym___fastcall] = ACTIONS(2716),
    [anon_sym___thiscall] = ACTIONS(2716),
    [anon_sym___vectorcall] = ACTIONS(2716),
    [anon_sym_LBRACE] = ACTIONS(2718),
    [anon_sym_signed] = ACTIONS(2716),
    [anon_sym_unsigned] = ACTIONS(2716),
    [anon_sym_long] = ACTIONS(2716),
    [anon_sym_short] = ACTIONS(2716),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym_static] = ACTIONS(2716),
    [anon_sym_register] = ACTIONS(2716),
    [anon_sym_inline] = ACTIONS(2716),
    [anon_sym___inline] = ACTIONS(2716),
    [anon_sym___inline__] = ACTIONS(2716),
    [anon_sym___forceinline] = ACTIONS(2716),
    [anon_sym_thread_local] = ACTIONS(2716),
    [anon_sym___thread] = ACTIONS(2716),
    [anon_sym_const] = ACTIONS(2716),
    [anon_sym_constexpr] = ACTIONS(2716),
    [anon_sym_volatile] = ACTIONS(2716),
    [anon_sym_restrict] = ACTIONS(2716),
    [anon_sym___restrict__] = ACTIONS(2716),
    [anon_sym__Atomic] = ACTIONS(2716),
    [anon_sym__Noreturn] = ACTIONS(2716),
    [anon_sym_noreturn] = ACTIONS(2716),
    [anon_sym_mutable] = ACTIONS(2716),
    [anon_sym_constinit] = ACTIONS(2716),
    [anon_sym_consteval] = ACTIONS(2716),
    [anon_sym_alignas] = ACTIONS(2716),
    [anon_sym__Alignas] = ACTIONS(2716),
    [sym_primitive_type] = ACTIONS(2716),
    [anon_sym_enum] = ACTIONS(2716),
    [anon_sym_class] = ACTIONS(2716),
    [anon_sym_struct] = ACTIONS(2716),
    [anon_sym_union] = ACTIONS(2716),
    [anon_sym_if] = ACTIONS(2716),
    [anon_sym_switch] = ACTIONS(2716),
    [anon_sym_case] = ACTIONS(2716),
    [anon_sym_default] = ACTIONS(2716),
    [anon_sym_while] = ACTIONS(2716),
    [anon_sym_do] = ACTIONS(2716),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2716),
    [anon_sym_break] = ACTIONS(2716),
    [anon_sym_continue] = ACTIONS(2716),
    [anon_sym_goto] = ACTIONS(2716),
    [anon_sym_not] = ACTIONS(2716),
    [anon_sym_compl] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2718),
    [anon_sym_sizeof] = ACTIONS(2716),
    [anon_sym___alignof__] = ACTIONS(2716),
    [anon_sym___alignof] = ACTIONS(2716),
    [anon_sym__alignof] = ACTIONS(2716),
    [anon_sym_alignof] = ACTIONS(2716),
    [anon_sym__Alignof] = ACTIONS(2716),
    [anon_sym_offsetof] = ACTIONS(2716),
    [anon_sym__Generic] = ACTIONS(2716),
    [anon_sym_asm] = ACTIONS(2716),
    [anon_sym___asm__] = ACTIONS(2716),
    [sym_number_literal] = ACTIONS(2718),
    [anon_sym_L_SQUOTE] = ACTIONS(2718),
    [anon_sym_u_SQUOTE] = ACTIONS(2718),
    [anon_sym_U_SQUOTE] = ACTIONS(2718),
    [anon_sym_u8_SQUOTE] = ACTIONS(2718),
    [anon_sym_SQUOTE] = ACTIONS(2718),
    [anon_sym_L_DQUOTE] = ACTIONS(2718),
    [anon_sym_u_DQUOTE] = ACTIONS(2718),
    [anon_sym_U_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8_DQUOTE] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2718),
    [sym_true] = ACTIONS(2716),
    [sym_false] = ACTIONS(2716),
    [anon_sym_NULL] = ACTIONS(2716),
    [anon_sym_nullptr] = ACTIONS(2716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2716),
    [anon_sym_decltype] = ACTIONS(2716),
    [sym_virtual] = ACTIONS(2716),
    [anon_sym_explicit] = ACTIONS(2716),
    [anon_sym_typename] = ACTIONS(2716),
    [anon_sym_template] = ACTIONS(2716),
    [anon_sym_operator] = ACTIONS(2716),
    [anon_sym_try] = ACTIONS(2716),
    [anon_sym_delete] = ACTIONS(2716),
    [anon_sym_throw] = ACTIONS(2716),
    [anon_sym_namespace] = ACTIONS(2716),
    [anon_sym_using] = ACTIONS(2716),
    [anon_sym_static_assert] = ACTIONS(2716),
    [anon_sym_concept] = ACTIONS(2716),
    [anon_sym_co_return] = ACTIONS(2716),
    [anon_sym_co_yield] = ACTIONS(2716),
    [anon_sym_R_DQUOTE] = ACTIONS(2718),
    [anon_sym_LR_DQUOTE] = ACTIONS(2718),
    [anon_sym_uR_DQUOTE] = ACTIONS(2718),
    [anon_sym_UR_DQUOTE] = ACTIONS(2718),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2718),
    [anon_sym_co_await] = ACTIONS(2716),
    [anon_sym_new] = ACTIONS(2716),
    [anon_sym_requires] = ACTIONS(2716),
    [sym_this] = ACTIONS(2716),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(2722),
    [sym_identifier] = ACTIONS(2720),
    [aux_sym_preproc_include_token1] = ACTIONS(2720),
    [aux_sym_preproc_def_token1] = ACTIONS(2720),
    [aux_sym_preproc_if_token1] = ACTIONS(2720),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2720),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2720),
    [sym_preproc_directive] = ACTIONS(2720),
    [anon_sym_LPAREN2] = ACTIONS(2722),
    [anon_sym_BANG] = ACTIONS(2722),
    [anon_sym_TILDE] = ACTIONS(2722),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym_STAR] = ACTIONS(2722),
    [anon_sym_AMP_AMP] = ACTIONS(2722),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2720),
    [anon_sym_typedef] = ACTIONS(2720),
    [anon_sym_extern] = ACTIONS(2720),
    [anon_sym___attribute__] = ACTIONS(2720),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2722),
    [anon_sym___declspec] = ACTIONS(2720),
    [anon_sym___based] = ACTIONS(2720),
    [anon_sym___cdecl] = ACTIONS(2720),
    [anon_sym___clrcall] = ACTIONS(2720),
    [anon_sym___stdcall] = ACTIONS(2720),
    [anon_sym___fastcall] = ACTIONS(2720),
    [anon_sym___thiscall] = ACTIONS(2720),
    [anon_sym___vectorcall] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2722),
    [anon_sym_signed] = ACTIONS(2720),
    [anon_sym_unsigned] = ACTIONS(2720),
    [anon_sym_long] = ACTIONS(2720),
    [anon_sym_short] = ACTIONS(2720),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym_static] = ACTIONS(2720),
    [anon_sym_register] = ACTIONS(2720),
    [anon_sym_inline] = ACTIONS(2720),
    [anon_sym___inline] = ACTIONS(2720),
    [anon_sym___inline__] = ACTIONS(2720),
    [anon_sym___forceinline] = ACTIONS(2720),
    [anon_sym_thread_local] = ACTIONS(2720),
    [anon_sym___thread] = ACTIONS(2720),
    [anon_sym_const] = ACTIONS(2720),
    [anon_sym_constexpr] = ACTIONS(2720),
    [anon_sym_volatile] = ACTIONS(2720),
    [anon_sym_restrict] = ACTIONS(2720),
    [anon_sym___restrict__] = ACTIONS(2720),
    [anon_sym__Atomic] = ACTIONS(2720),
    [anon_sym__Noreturn] = ACTIONS(2720),
    [anon_sym_noreturn] = ACTIONS(2720),
    [anon_sym_mutable] = ACTIONS(2720),
    [anon_sym_constinit] = ACTIONS(2720),
    [anon_sym_consteval] = ACTIONS(2720),
    [anon_sym_alignas] = ACTIONS(2720),
    [anon_sym__Alignas] = ACTIONS(2720),
    [sym_primitive_type] = ACTIONS(2720),
    [anon_sym_enum] = ACTIONS(2720),
    [anon_sym_class] = ACTIONS(2720),
    [anon_sym_struct] = ACTIONS(2720),
    [anon_sym_union] = ACTIONS(2720),
    [anon_sym_if] = ACTIONS(2720),
    [anon_sym_switch] = ACTIONS(2720),
    [anon_sym_case] = ACTIONS(2720),
    [anon_sym_default] = ACTIONS(2720),
    [anon_sym_while] = ACTIONS(2720),
    [anon_sym_do] = ACTIONS(2720),
    [anon_sym_for] = ACTIONS(2720),
    [anon_sym_return] = ACTIONS(2720),
    [anon_sym_break] = ACTIONS(2720),
    [anon_sym_continue] = ACTIONS(2720),
    [anon_sym_goto] = ACTIONS(2720),
    [anon_sym_not] = ACTIONS(2720),
    [anon_sym_compl] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2722),
    [anon_sym_PLUS_PLUS] = ACTIONS(2722),
    [anon_sym_sizeof] = ACTIONS(2720),
    [anon_sym___alignof__] = ACTIONS(2720),
    [anon_sym___alignof] = ACTIONS(2720),
    [anon_sym__alignof] = ACTIONS(2720),
    [anon_sym_alignof] = ACTIONS(2720),
    [anon_sym__Alignof] = ACTIONS(2720),
    [anon_sym_offsetof] = ACTIONS(2720),
    [anon_sym__Generic] = ACTIONS(2720),
    [anon_sym_asm] = ACTIONS(2720),
    [anon_sym___asm__] = ACTIONS(2720),
    [sym_number_literal] = ACTIONS(2722),
    [anon_sym_L_SQUOTE] = ACTIONS(2722),
    [anon_sym_u_SQUOTE] = ACTIONS(2722),
    [anon_sym_U_SQUOTE] = ACTIONS(2722),
    [anon_sym_u8_SQUOTE] = ACTIONS(2722),
    [anon_sym_SQUOTE] = ACTIONS(2722),
    [anon_sym_L_DQUOTE] = ACTIONS(2722),
    [anon_sym_u_DQUOTE] = ACTIONS(2722),
    [anon_sym_U_DQUOTE] = ACTIONS(2722),
    [anon_sym_u8_DQUOTE] = ACTIONS(2722),
    [anon_sym_DQUOTE] = ACTIONS(2722),
    [sym_true] = ACTIONS(2720),
    [sym_false] = ACTIONS(2720),
    [anon_sym_NULL] = ACTIONS(2720),
    [anon_sym_nullptr] = ACTIONS(2720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2720),
    [anon_sym_decltype] = ACTIONS(2720),
    [sym_virtual] = ACTIONS(2720),
    [anon_sym_explicit] = ACTIONS(2720),
    [anon_sym_typename] = ACTIONS(2720),
    [anon_sym_template] = ACTIONS(2720),
    [anon_sym_operator] = ACTIONS(2720),
    [anon_sym_try] = ACTIONS(2720),
    [anon_sym_delete] = ACTIONS(2720),
    [anon_sym_throw] = ACTIONS(2720),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_using] = ACTIONS(2720),
    [anon_sym_static_assert] = ACTIONS(2720),
    [anon_sym_concept] = ACTIONS(2720),
    [anon_sym_co_return] = ACTIONS(2720),
    [anon_sym_co_yield] = ACTIONS(2720),
    [anon_sym_R_DQUOTE] = ACTIONS(2722),
    [anon_sym_LR_DQUOTE] = ACTIONS(2722),
    [anon_sym_uR_DQUOTE] = ACTIONS(2722),
    [anon_sym_UR_DQUOTE] = ACTIONS(2722),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2722),
    [anon_sym_co_await] = ACTIONS(2720),
    [anon_sym_new] = ACTIONS(2720),
    [anon_sym_requires] = ACTIONS(2720),
    [sym_this] = ACTIONS(2720),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(2726),
    [sym_identifier] = ACTIONS(2724),
    [aux_sym_preproc_include_token1] = ACTIONS(2724),
    [aux_sym_preproc_def_token1] = ACTIONS(2724),
    [aux_sym_preproc_if_token1] = ACTIONS(2724),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2724),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2724),
    [sym_preproc_directive] = ACTIONS(2724),
    [anon_sym_LPAREN2] = ACTIONS(2726),
    [anon_sym_BANG] = ACTIONS(2726),
    [anon_sym_TILDE] = ACTIONS(2726),
    [anon_sym_DASH] = ACTIONS(2724),
    [anon_sym_PLUS] = ACTIONS(2724),
    [anon_sym_STAR] = ACTIONS(2726),
    [anon_sym_AMP_AMP] = ACTIONS(2726),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2724),
    [anon_sym_typedef] = ACTIONS(2724),
    [anon_sym_extern] = ACTIONS(2724),
    [anon_sym___attribute__] = ACTIONS(2724),
    [anon_sym_COLON_COLON] = ACTIONS(2726),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2726),
    [anon_sym___declspec] = ACTIONS(2724),
    [anon_sym___based] = ACTIONS(2724),
    [anon_sym___cdecl] = ACTIONS(2724),
    [anon_sym___clrcall] = ACTIONS(2724),
    [anon_sym___stdcall] = ACTIONS(2724),
    [anon_sym___fastcall] = ACTIONS(2724),
    [anon_sym___thiscall] = ACTIONS(2724),
    [anon_sym___vectorcall] = ACTIONS(2724),
    [anon_sym_LBRACE] = ACTIONS(2726),
    [anon_sym_signed] = ACTIONS(2724),
    [anon_sym_unsigned] = ACTIONS(2724),
    [anon_sym_long] = ACTIONS(2724),
    [anon_sym_short] = ACTIONS(2724),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym_static] = ACTIONS(2724),
    [anon_sym_register] = ACTIONS(2724),
    [anon_sym_inline] = ACTIONS(2724),
    [anon_sym___inline] = ACTIONS(2724),
    [anon_sym___inline__] = ACTIONS(2724),
    [anon_sym___forceinline] = ACTIONS(2724),
    [anon_sym_thread_local] = ACTIONS(2724),
    [anon_sym___thread] = ACTIONS(2724),
    [anon_sym_const] = ACTIONS(2724),
    [anon_sym_constexpr] = ACTIONS(2724),
    [anon_sym_volatile] = ACTIONS(2724),
    [anon_sym_restrict] = ACTIONS(2724),
    [anon_sym___restrict__] = ACTIONS(2724),
    [anon_sym__Atomic] = ACTIONS(2724),
    [anon_sym__Noreturn] = ACTIONS(2724),
    [anon_sym_noreturn] = ACTIONS(2724),
    [anon_sym_mutable] = ACTIONS(2724),
    [anon_sym_constinit] = ACTIONS(2724),
    [anon_sym_consteval] = ACTIONS(2724),
    [anon_sym_alignas] = ACTIONS(2724),
    [anon_sym__Alignas] = ACTIONS(2724),
    [sym_primitive_type] = ACTIONS(2724),
    [anon_sym_enum] = ACTIONS(2724),
    [anon_sym_class] = ACTIONS(2724),
    [anon_sym_struct] = ACTIONS(2724),
    [anon_sym_union] = ACTIONS(2724),
    [anon_sym_if] = ACTIONS(2724),
    [anon_sym_switch] = ACTIONS(2724),
    [anon_sym_case] = ACTIONS(2724),
    [anon_sym_default] = ACTIONS(2724),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2724),
    [anon_sym_for] = ACTIONS(2724),
    [anon_sym_return] = ACTIONS(2724),
    [anon_sym_break] = ACTIONS(2724),
    [anon_sym_continue] = ACTIONS(2724),
    [anon_sym_goto] = ACTIONS(2724),
    [anon_sym_not] = ACTIONS(2724),
    [anon_sym_compl] = ACTIONS(2724),
    [anon_sym_DASH_DASH] = ACTIONS(2726),
    [anon_sym_PLUS_PLUS] = ACTIONS(2726),
    [anon_sym_sizeof] = ACTIONS(2724),
    [anon_sym___alignof__] = ACTIONS(2724),
    [anon_sym___alignof] = ACTIONS(2724),
    [anon_sym__alignof] = ACTIONS(2724),
    [anon_sym_alignof] = ACTIONS(2724),
    [anon_sym__Alignof] = ACTIONS(2724),
    [anon_sym_offsetof] = ACTIONS(2724),
    [anon_sym__Generic] = ACTIONS(2724),
    [anon_sym_asm] = ACTIONS(2724),
    [anon_sym___asm__] = ACTIONS(2724),
    [sym_number_literal] = ACTIONS(2726),
    [anon_sym_L_SQUOTE] = ACTIONS(2726),
    [anon_sym_u_SQUOTE] = ACTIONS(2726),
    [anon_sym_U_SQUOTE] = ACTIONS(2726),
    [anon_sym_u8_SQUOTE] = ACTIONS(2726),
    [anon_sym_SQUOTE] = ACTIONS(2726),
    [anon_sym_L_DQUOTE] = ACTIONS(2726),
    [anon_sym_u_DQUOTE] = ACTIONS(2726),
    [anon_sym_U_DQUOTE] = ACTIONS(2726),
    [anon_sym_u8_DQUOTE] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2726),
    [sym_true] = ACTIONS(2724),
    [sym_false] = ACTIONS(2724),
    [anon_sym_NULL] = ACTIONS(2724),
    [anon_sym_nullptr] = ACTIONS(2724),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2724),
    [anon_sym_decltype] = ACTIONS(2724),
    [sym_virtual] = ACTIONS(2724),
    [anon_sym_explicit] = ACTIONS(2724),
    [anon_sym_typename] = ACTIONS(2724),
    [anon_sym_template] = ACTIONS(2724),
    [anon_sym_operator] = ACTIONS(2724),
    [anon_sym_try] = ACTIONS(2724),
    [anon_sym_delete] = ACTIONS(2724),
    [anon_sym_throw] = ACTIONS(2724),
    [anon_sym_namespace] = ACTIONS(2724),
    [anon_sym_using] = ACTIONS(2724),
    [anon_sym_static_assert] = ACTIONS(2724),
    [anon_sym_concept] = ACTIONS(2724),
    [anon_sym_co_return] = ACTIONS(2724),
    [anon_sym_co_yield] = ACTIONS(2724),
    [anon_sym_R_DQUOTE] = ACTIONS(2726),
    [anon_sym_LR_DQUOTE] = ACTIONS(2726),
    [anon_sym_uR_DQUOTE] = ACTIONS(2726),
    [anon_sym_UR_DQUOTE] = ACTIONS(2726),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2726),
    [anon_sym_co_await] = ACTIONS(2724),
    [anon_sym_new] = ACTIONS(2724),
    [anon_sym_requires] = ACTIONS(2724),
    [sym_this] = ACTIONS(2724),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(2730),
    [sym_identifier] = ACTIONS(2728),
    [aux_sym_preproc_include_token1] = ACTIONS(2728),
    [aux_sym_preproc_def_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_DASH] = ACTIONS(2728),
    [anon_sym_PLUS] = ACTIONS(2728),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2728),
    [anon_sym_typedef] = ACTIONS(2728),
    [anon_sym_extern] = ACTIONS(2728),
    [anon_sym___attribute__] = ACTIONS(2728),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2730),
    [anon_sym___declspec] = ACTIONS(2728),
    [anon_sym___based] = ACTIONS(2728),
    [anon_sym___cdecl] = ACTIONS(2728),
    [anon_sym___clrcall] = ACTIONS(2728),
    [anon_sym___stdcall] = ACTIONS(2728),
    [anon_sym___fastcall] = ACTIONS(2728),
    [anon_sym___thiscall] = ACTIONS(2728),
    [anon_sym___vectorcall] = ACTIONS(2728),
    [anon_sym_LBRACE] = ACTIONS(2730),
    [anon_sym_signed] = ACTIONS(2728),
    [anon_sym_unsigned] = ACTIONS(2728),
    [anon_sym_long] = ACTIONS(2728),
    [anon_sym_short] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_register] = ACTIONS(2728),
    [anon_sym_inline] = ACTIONS(2728),
    [anon_sym___inline] = ACTIONS(2728),
    [anon_sym___inline__] = ACTIONS(2728),
    [anon_sym___forceinline] = ACTIONS(2728),
    [anon_sym_thread_local] = ACTIONS(2728),
    [anon_sym___thread] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_constexpr] = ACTIONS(2728),
    [anon_sym_volatile] = ACTIONS(2728),
    [anon_sym_restrict] = ACTIONS(2728),
    [anon_sym___restrict__] = ACTIONS(2728),
    [anon_sym__Atomic] = ACTIONS(2728),
    [anon_sym__Noreturn] = ACTIONS(2728),
    [anon_sym_noreturn] = ACTIONS(2728),
    [anon_sym_mutable] = ACTIONS(2728),
    [anon_sym_constinit] = ACTIONS(2728),
    [anon_sym_consteval] = ACTIONS(2728),
    [anon_sym_alignas] = ACTIONS(2728),
    [anon_sym__Alignas] = ACTIONS(2728),
    [sym_primitive_type] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_struct] = ACTIONS(2728),
    [anon_sym_union] = ACTIONS(2728),
    [anon_sym_if] = ACTIONS(2728),
    [anon_sym_switch] = ACTIONS(2728),
    [anon_sym_case] = ACTIONS(2728),
    [anon_sym_default] = ACTIONS(2728),
    [anon_sym_while] = ACTIONS(2728),
    [anon_sym_do] = ACTIONS(2728),
    [anon_sym_for] = ACTIONS(2728),
    [anon_sym_return] = ACTIONS(2728),
    [anon_sym_break] = ACTIONS(2728),
    [anon_sym_continue] = ACTIONS(2728),
    [anon_sym_goto] = ACTIONS(2728),
    [anon_sym_not] = ACTIONS(2728),
    [anon_sym_compl] = ACTIONS(2728),
    [anon_sym_DASH_DASH] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2730),
    [anon_sym_sizeof] = ACTIONS(2728),
    [anon_sym___alignof__] = ACTIONS(2728),
    [anon_sym___alignof] = ACTIONS(2728),
    [anon_sym__alignof] = ACTIONS(2728),
    [anon_sym_alignof] = ACTIONS(2728),
    [anon_sym__Alignof] = ACTIONS(2728),
    [anon_sym_offsetof] = ACTIONS(2728),
    [anon_sym__Generic] = ACTIONS(2728),
    [anon_sym_asm] = ACTIONS(2728),
    [anon_sym___asm__] = ACTIONS(2728),
    [sym_number_literal] = ACTIONS(2730),
    [anon_sym_L_SQUOTE] = ACTIONS(2730),
    [anon_sym_u_SQUOTE] = ACTIONS(2730),
    [anon_sym_U_SQUOTE] = ACTIONS(2730),
    [anon_sym_u8_SQUOTE] = ACTIONS(2730),
    [anon_sym_SQUOTE] = ACTIONS(2730),
    [anon_sym_L_DQUOTE] = ACTIONS(2730),
    [anon_sym_u_DQUOTE] = ACTIONS(2730),
    [anon_sym_U_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8_DQUOTE] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2730),
    [sym_true] = ACTIONS(2728),
    [sym_false] = ACTIONS(2728),
    [anon_sym_NULL] = ACTIONS(2728),
    [anon_sym_nullptr] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2728),
    [anon_sym_decltype] = ACTIONS(2728),
    [sym_virtual] = ACTIONS(2728),
    [anon_sym_explicit] = ACTIONS(2728),
    [anon_sym_typename] = ACTIONS(2728),
    [anon_sym_template] = ACTIONS(2728),
    [anon_sym_operator] = ACTIONS(2728),
    [anon_sym_try] = ACTIONS(2728),
    [anon_sym_delete] = ACTIONS(2728),
    [anon_sym_throw] = ACTIONS(2728),
    [anon_sym_namespace] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_static_assert] = ACTIONS(2728),
    [anon_sym_concept] = ACTIONS(2728),
    [anon_sym_co_return] = ACTIONS(2728),
    [anon_sym_co_yield] = ACTIONS(2728),
    [anon_sym_R_DQUOTE] = ACTIONS(2730),
    [anon_sym_LR_DQUOTE] = ACTIONS(2730),
    [anon_sym_uR_DQUOTE] = ACTIONS(2730),
    [anon_sym_UR_DQUOTE] = ACTIONS(2730),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2730),
    [anon_sym_co_await] = ACTIONS(2728),
    [anon_sym_new] = ACTIONS(2728),
    [anon_sym_requires] = ACTIONS(2728),
    [sym_this] = ACTIONS(2728),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(3342),
    [sym_identifier] = ACTIONS(3345),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3345),
    [aux_sym_preproc_if_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3345),
    [sym_preproc_directive] = ACTIONS(3345),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_AMP_AMP] = ACTIONS(3342),
    [anon_sym_AMP] = ACTIONS(3345),
    [anon_sym___extension__] = ACTIONS(3345),
    [anon_sym_typedef] = ACTIONS(3345),
    [anon_sym_extern] = ACTIONS(3345),
    [anon_sym___attribute__] = ACTIONS(3345),
    [anon_sym_COLON_COLON] = ACTIONS(3342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3342),
    [anon_sym___declspec] = ACTIONS(3345),
    [anon_sym___based] = ACTIONS(3345),
    [anon_sym___cdecl] = ACTIONS(3345),
    [anon_sym___clrcall] = ACTIONS(3345),
    [anon_sym___stdcall] = ACTIONS(3345),
    [anon_sym___fastcall] = ACTIONS(3345),
    [anon_sym___thiscall] = ACTIONS(3345),
    [anon_sym___vectorcall] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_signed] = ACTIONS(3345),
    [anon_sym_unsigned] = ACTIONS(3345),
    [anon_sym_long] = ACTIONS(3345),
    [anon_sym_short] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_register] = ACTIONS(3345),
    [anon_sym_inline] = ACTIONS(3345),
    [anon_sym___inline] = ACTIONS(3345),
    [anon_sym___inline__] = ACTIONS(3345),
    [anon_sym___forceinline] = ACTIONS(3345),
    [anon_sym_thread_local] = ACTIONS(3345),
    [anon_sym___thread] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_constexpr] = ACTIONS(3345),
    [anon_sym_volatile] = ACTIONS(3345),
    [anon_sym_restrict] = ACTIONS(3345),
    [anon_sym___restrict__] = ACTIONS(3345),
    [anon_sym__Atomic] = ACTIONS(3345),
    [anon_sym__Noreturn] = ACTIONS(3345),
    [anon_sym_noreturn] = ACTIONS(3345),
    [anon_sym_mutable] = ACTIONS(3345),
    [anon_sym_constinit] = ACTIONS(3345),
    [anon_sym_consteval] = ACTIONS(3345),
    [anon_sym_alignas] = ACTIONS(3345),
    [anon_sym__Alignas] = ACTIONS(3345),
    [sym_primitive_type] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_struct] = ACTIONS(3345),
    [anon_sym_union] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_goto] = ACTIONS(3345),
    [anon_sym_not] = ACTIONS(3345),
    [anon_sym_compl] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_sizeof] = ACTIONS(3345),
    [anon_sym___alignof__] = ACTIONS(3345),
    [anon_sym___alignof] = ACTIONS(3345),
    [anon_sym__alignof] = ACTIONS(3345),
    [anon_sym_alignof] = ACTIONS(3345),
    [anon_sym__Alignof] = ACTIONS(3345),
    [anon_sym_offsetof] = ACTIONS(3345),
    [anon_sym__Generic] = ACTIONS(3345),
    [anon_sym_asm] = ACTIONS(3345),
    [anon_sym___asm__] = ACTIONS(3345),
    [sym_number_literal] = ACTIONS(3342),
    [anon_sym_L_SQUOTE] = ACTIONS(3342),
    [anon_sym_u_SQUOTE] = ACTIONS(3342),
    [anon_sym_U_SQUOTE] = ACTIONS(3342),
    [anon_sym_u8_SQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_L_DQUOTE] = ACTIONS(3342),
    [anon_sym_u_DQUOTE] = ACTIONS(3342),
    [anon_sym_U_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8_DQUOTE] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [anon_sym_NULL] = ACTIONS(3345),
    [anon_sym_nullptr] = ACTIONS(3345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3345),
    [anon_sym_decltype] = ACTIONS(3345),
    [sym_virtual] = ACTIONS(3345),
    [anon_sym_explicit] = ACTIONS(3345),
    [anon_sym_typename] = ACTIONS(3345),
    [anon_sym_template] = ACTIONS(3345),
    [anon_sym_operator] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_static_assert] = ACTIONS(3345),
    [anon_sym_concept] = ACTIONS(3345),
    [anon_sym_co_return] = ACTIONS(3345),
    [anon_sym_co_yield] = ACTIONS(3345),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_requires] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(2714),
    [sym_identifier] = ACTIONS(2712),
    [aux_sym_preproc_include_token1] = ACTIONS(2712),
    [aux_sym_preproc_def_token1] = ACTIONS(2712),
    [aux_sym_preproc_if_token1] = ACTIONS(2712),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2712),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2712),
    [sym_preproc_directive] = ACTIONS(2712),
    [anon_sym_LPAREN2] = ACTIONS(2714),
    [anon_sym_BANG] = ACTIONS(2714),
    [anon_sym_TILDE] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2712),
    [anon_sym_PLUS] = ACTIONS(2712),
    [anon_sym_STAR] = ACTIONS(2714),
    [anon_sym_AMP_AMP] = ACTIONS(2714),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2712),
    [anon_sym_typedef] = ACTIONS(2712),
    [anon_sym_extern] = ACTIONS(2712),
    [anon_sym___attribute__] = ACTIONS(2712),
    [anon_sym_COLON_COLON] = ACTIONS(2714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2714),
    [anon_sym___declspec] = ACTIONS(2712),
    [anon_sym___based] = ACTIONS(2712),
    [anon_sym___cdecl] = ACTIONS(2712),
    [anon_sym___clrcall] = ACTIONS(2712),
    [anon_sym___stdcall] = ACTIONS(2712),
    [anon_sym___fastcall] = ACTIONS(2712),
    [anon_sym___thiscall] = ACTIONS(2712),
    [anon_sym___vectorcall] = ACTIONS(2712),
    [anon_sym_LBRACE] = ACTIONS(2714),
    [anon_sym_signed] = ACTIONS(2712),
    [anon_sym_unsigned] = ACTIONS(2712),
    [anon_sym_long] = ACTIONS(2712),
    [anon_sym_short] = ACTIONS(2712),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym_static] = ACTIONS(2712),
    [anon_sym_register] = ACTIONS(2712),
    [anon_sym_inline] = ACTIONS(2712),
    [anon_sym___inline] = ACTIONS(2712),
    [anon_sym___inline__] = ACTIONS(2712),
    [anon_sym___forceinline] = ACTIONS(2712),
    [anon_sym_thread_local] = ACTIONS(2712),
    [anon_sym___thread] = ACTIONS(2712),
    [anon_sym_const] = ACTIONS(2712),
    [anon_sym_constexpr] = ACTIONS(2712),
    [anon_sym_volatile] = ACTIONS(2712),
    [anon_sym_restrict] = ACTIONS(2712),
    [anon_sym___restrict__] = ACTIONS(2712),
    [anon_sym__Atomic] = ACTIONS(2712),
    [anon_sym__Noreturn] = ACTIONS(2712),
    [anon_sym_noreturn] = ACTIONS(2712),
    [anon_sym_mutable] = ACTIONS(2712),
    [anon_sym_constinit] = ACTIONS(2712),
    [anon_sym_consteval] = ACTIONS(2712),
    [anon_sym_alignas] = ACTIONS(2712),
    [anon_sym__Alignas] = ACTIONS(2712),
    [sym_primitive_type] = ACTIONS(2712),
    [anon_sym_enum] = ACTIONS(2712),
    [anon_sym_class] = ACTIONS(2712),
    [anon_sym_struct] = ACTIONS(2712),
    [anon_sym_union] = ACTIONS(2712),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_switch] = ACTIONS(2712),
    [anon_sym_case] = ACTIONS(2712),
    [anon_sym_default] = ACTIONS(2712),
    [anon_sym_while] = ACTIONS(2712),
    [anon_sym_do] = ACTIONS(2712),
    [anon_sym_for] = ACTIONS(2712),
    [anon_sym_return] = ACTIONS(2712),
    [anon_sym_break] = ACTIONS(2712),
    [anon_sym_continue] = ACTIONS(2712),
    [anon_sym_goto] = ACTIONS(2712),
    [anon_sym_not] = ACTIONS(2712),
    [anon_sym_compl] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2714),
    [anon_sym_sizeof] = ACTIONS(2712),
    [anon_sym___alignof__] = ACTIONS(2712),
    [anon_sym___alignof] = ACTIONS(2712),
    [anon_sym__alignof] = ACTIONS(2712),
    [anon_sym_alignof] = ACTIONS(2712),
    [anon_sym__Alignof] = ACTIONS(2712),
    [anon_sym_offsetof] = ACTIONS(2712),
    [anon_sym__Generic] = ACTIONS(2712),
    [anon_sym_asm] = ACTIONS(2712),
    [anon_sym___asm__] = ACTIONS(2712),
    [sym_number_literal] = ACTIONS(2714),
    [anon_sym_L_SQUOTE] = ACTIONS(2714),
    [anon_sym_u_SQUOTE] = ACTIONS(2714),
    [anon_sym_U_SQUOTE] = ACTIONS(2714),
    [anon_sym_u8_SQUOTE] = ACTIONS(2714),
    [anon_sym_SQUOTE] = ACTIONS(2714),
    [anon_sym_L_DQUOTE] = ACTIONS(2714),
    [anon_sym_u_DQUOTE] = ACTIONS(2714),
    [anon_sym_U_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8_DQUOTE] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2714),
    [sym_true] = ACTIONS(2712),
    [sym_false] = ACTIONS(2712),
    [anon_sym_NULL] = ACTIONS(2712),
    [anon_sym_nullptr] = ACTIONS(2712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2712),
    [anon_sym_decltype] = ACTIONS(2712),
    [sym_virtual] = ACTIONS(2712),
    [anon_sym_explicit] = ACTIONS(2712),
    [anon_sym_typename] = ACTIONS(2712),
    [anon_sym_template] = ACTIONS(2712),
    [anon_sym_operator] = ACTIONS(2712),
    [anon_sym_try] = ACTIONS(2712),
    [anon_sym_delete] = ACTIONS(2712),
    [anon_sym_throw] = ACTIONS(2712),
    [anon_sym_namespace] = ACTIONS(2712),
    [anon_sym_using] = ACTIONS(2712),
    [anon_sym_static_assert] = ACTIONS(2712),
    [anon_sym_concept] = ACTIONS(2712),
    [anon_sym_co_return] = ACTIONS(2712),
    [anon_sym_co_yield] = ACTIONS(2712),
    [anon_sym_R_DQUOTE] = ACTIONS(2714),
    [anon_sym_LR_DQUOTE] = ACTIONS(2714),
    [anon_sym_uR_DQUOTE] = ACTIONS(2714),
    [anon_sym_UR_DQUOTE] = ACTIONS(2714),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2714),
    [anon_sym_co_await] = ACTIONS(2712),
    [anon_sym_new] = ACTIONS(2712),
    [anon_sym_requires] = ACTIONS(2712),
    [sym_this] = ACTIONS(2712),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(2646),
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_include_token1] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_BANG] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym___cdecl] = ACTIONS(2644),
    [anon_sym___clrcall] = ACTIONS(2644),
    [anon_sym___stdcall] = ACTIONS(2644),
    [anon_sym___fastcall] = ACTIONS(2644),
    [anon_sym___thiscall] = ACTIONS(2644),
    [anon_sym___vectorcall] = ACTIONS(2644),
    [anon_sym_LBRACE] = ACTIONS(2646),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2644),
    [anon_sym_switch] = ACTIONS(2644),
    [anon_sym_case] = ACTIONS(2644),
    [anon_sym_default] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2644),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_return] = ACTIONS(2644),
    [anon_sym_break] = ACTIONS(2644),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_goto] = ACTIONS(2644),
    [anon_sym_not] = ACTIONS(2644),
    [anon_sym_compl] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2646),
    [anon_sym_PLUS_PLUS] = ACTIONS(2646),
    [anon_sym_sizeof] = ACTIONS(2644),
    [anon_sym___alignof__] = ACTIONS(2644),
    [anon_sym___alignof] = ACTIONS(2644),
    [anon_sym__alignof] = ACTIONS(2644),
    [anon_sym_alignof] = ACTIONS(2644),
    [anon_sym__Alignof] = ACTIONS(2644),
    [anon_sym_offsetof] = ACTIONS(2644),
    [anon_sym__Generic] = ACTIONS(2644),
    [anon_sym_asm] = ACTIONS(2644),
    [anon_sym___asm__] = ACTIONS(2644),
    [sym_number_literal] = ACTIONS(2646),
    [anon_sym_L_SQUOTE] = ACTIONS(2646),
    [anon_sym_u_SQUOTE] = ACTIONS(2646),
    [anon_sym_U_SQUOTE] = ACTIONS(2646),
    [anon_sym_u8_SQUOTE] = ACTIONS(2646),
    [anon_sym_SQUOTE] = ACTIONS(2646),
    [anon_sym_L_DQUOTE] = ACTIONS(2646),
    [anon_sym_u_DQUOTE] = ACTIONS(2646),
    [anon_sym_U_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8_DQUOTE] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [sym_true] = ACTIONS(2644),
    [sym_false] = ACTIONS(2644),
    [anon_sym_NULL] = ACTIONS(2644),
    [anon_sym_nullptr] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_try] = ACTIONS(2644),
    [anon_sym_delete] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2644),
    [anon_sym_namespace] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
    [anon_sym_concept] = ACTIONS(2644),
    [anon_sym_co_return] = ACTIONS(2644),
    [anon_sym_co_yield] = ACTIONS(2644),
    [anon_sym_R_DQUOTE] = ACTIONS(2646),
    [anon_sym_LR_DQUOTE] = ACTIONS(2646),
    [anon_sym_uR_DQUOTE] = ACTIONS(2646),
    [anon_sym_UR_DQUOTE] = ACTIONS(2646),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2646),
    [anon_sym_co_await] = ACTIONS(2644),
    [anon_sym_new] = ACTIONS(2644),
    [anon_sym_requires] = ACTIONS(2644),
    [sym_this] = ACTIONS(2644),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(2777),
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_include_token1] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym___cdecl] = ACTIONS(2775),
    [anon_sym___clrcall] = ACTIONS(2775),
    [anon_sym___stdcall] = ACTIONS(2775),
    [anon_sym___fastcall] = ACTIONS(2775),
    [anon_sym___thiscall] = ACTIONS(2775),
    [anon_sym___vectorcall] = ACTIONS(2775),
    [anon_sym_LBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_switch] = ACTIONS(2775),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_do] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_return] = ACTIONS(2775),
    [anon_sym_break] = ACTIONS(2775),
    [anon_sym_continue] = ACTIONS(2775),
    [anon_sym_goto] = ACTIONS(2775),
    [anon_sym_not] = ACTIONS(2775),
    [anon_sym_compl] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_sizeof] = ACTIONS(2775),
    [anon_sym___alignof__] = ACTIONS(2775),
    [anon_sym___alignof] = ACTIONS(2775),
    [anon_sym__alignof] = ACTIONS(2775),
    [anon_sym_alignof] = ACTIONS(2775),
    [anon_sym__Alignof] = ACTIONS(2775),
    [anon_sym_offsetof] = ACTIONS(2775),
    [anon_sym__Generic] = ACTIONS(2775),
    [anon_sym_asm] = ACTIONS(2775),
    [anon_sym___asm__] = ACTIONS(2775),
    [sym_number_literal] = ACTIONS(2777),
    [anon_sym_L_SQUOTE] = ACTIONS(2777),
    [anon_sym_u_SQUOTE] = ACTIONS(2777),
    [anon_sym_U_SQUOTE] = ACTIONS(2777),
    [anon_sym_u8_SQUOTE] = ACTIONS(2777),
    [anon_sym_SQUOTE] = ACTIONS(2777),
    [anon_sym_L_DQUOTE] = ACTIONS(2777),
    [anon_sym_u_DQUOTE] = ACTIONS(2777),
    [anon_sym_U_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8_DQUOTE] = ACTIONS(2777),
    [anon_sym_DQUOTE] = ACTIONS(2777),
    [sym_true] = ACTIONS(2775),
    [sym_false] = ACTIONS(2775),
    [anon_sym_NULL] = ACTIONS(2775),
    [anon_sym_nullptr] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_delete] = ACTIONS(2775),
    [anon_sym_throw] = ACTIONS(2775),
    [anon_sym_namespace] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
    [anon_sym_concept] = ACTIONS(2775),
    [anon_sym_co_return] = ACTIONS(2775),
    [anon_sym_co_yield] = ACTIONS(2775),
    [anon_sym_R_DQUOTE] = ACTIONS(2777),
    [anon_sym_LR_DQUOTE] = ACTIONS(2777),
    [anon_sym_uR_DQUOTE] = ACTIONS(2777),
    [anon_sym_UR_DQUOTE] = ACTIONS(2777),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2777),
    [anon_sym_co_await] = ACTIONS(2775),
    [anon_sym_new] = ACTIONS(2775),
    [anon_sym_requires] = ACTIONS(2775),
    [sym_this] = ACTIONS(2775),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(2761),
    [sym_identifier] = ACTIONS(2759),
    [aux_sym_preproc_include_token1] = ACTIONS(2759),
    [aux_sym_preproc_def_token1] = ACTIONS(2759),
    [aux_sym_preproc_if_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2759),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2759),
    [sym_preproc_directive] = ACTIONS(2759),
    [anon_sym_LPAREN2] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym___extension__] = ACTIONS(2759),
    [anon_sym_typedef] = ACTIONS(2759),
    [anon_sym_extern] = ACTIONS(2759),
    [anon_sym___attribute__] = ACTIONS(2759),
    [anon_sym_COLON_COLON] = ACTIONS(2761),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2761),
    [anon_sym___declspec] = ACTIONS(2759),
    [anon_sym___based] = ACTIONS(2759),
    [anon_sym___cdecl] = ACTIONS(2759),
    [anon_sym___clrcall] = ACTIONS(2759),
    [anon_sym___stdcall] = ACTIONS(2759),
    [anon_sym___fastcall] = ACTIONS(2759),
    [anon_sym___thiscall] = ACTIONS(2759),
    [anon_sym___vectorcall] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_signed] = ACTIONS(2759),
    [anon_sym_unsigned] = ACTIONS(2759),
    [anon_sym_long] = ACTIONS(2759),
    [anon_sym_short] = ACTIONS(2759),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2759),
    [anon_sym_register] = ACTIONS(2759),
    [anon_sym_inline] = ACTIONS(2759),
    [anon_sym___inline] = ACTIONS(2759),
    [anon_sym___inline__] = ACTIONS(2759),
    [anon_sym___forceinline] = ACTIONS(2759),
    [anon_sym_thread_local] = ACTIONS(2759),
    [anon_sym___thread] = ACTIONS(2759),
    [anon_sym_const] = ACTIONS(2759),
    [anon_sym_constexpr] = ACTIONS(2759),
    [anon_sym_volatile] = ACTIONS(2759),
    [anon_sym_restrict] = ACTIONS(2759),
    [anon_sym___restrict__] = ACTIONS(2759),
    [anon_sym__Atomic] = ACTIONS(2759),
    [anon_sym__Noreturn] = ACTIONS(2759),
    [anon_sym_noreturn] = ACTIONS(2759),
    [anon_sym_mutable] = ACTIONS(2759),
    [anon_sym_constinit] = ACTIONS(2759),
    [anon_sym_consteval] = ACTIONS(2759),
    [anon_sym_alignas] = ACTIONS(2759),
    [anon_sym__Alignas] = ACTIONS(2759),
    [sym_primitive_type] = ACTIONS(2759),
    [anon_sym_enum] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2759),
    [anon_sym_struct] = ACTIONS(2759),
    [anon_sym_union] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2759),
    [anon_sym_switch] = ACTIONS(2759),
    [anon_sym_case] = ACTIONS(2759),
    [anon_sym_default] = ACTIONS(2759),
    [anon_sym_while] = ACTIONS(2759),
    [anon_sym_do] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2759),
    [anon_sym_return] = ACTIONS(2759),
    [anon_sym_break] = ACTIONS(2759),
    [anon_sym_continue] = ACTIONS(2759),
    [anon_sym_goto] = ACTIONS(2759),
    [anon_sym_not] = ACTIONS(2759),
    [anon_sym_compl] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_sizeof] = ACTIONS(2759),
    [anon_sym___alignof__] = ACTIONS(2759),
    [anon_sym___alignof] = ACTIONS(2759),
    [anon_sym__alignof] = ACTIONS(2759),
    [anon_sym_alignof] = ACTIONS(2759),
    [anon_sym__Alignof] = ACTIONS(2759),
    [anon_sym_offsetof] = ACTIONS(2759),
    [anon_sym__Generic] = ACTIONS(2759),
    [anon_sym_asm] = ACTIONS(2759),
    [anon_sym___asm__] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2761),
    [anon_sym_L_SQUOTE] = ACTIONS(2761),
    [anon_sym_u_SQUOTE] = ACTIONS(2761),
    [anon_sym_U_SQUOTE] = ACTIONS(2761),
    [anon_sym_u8_SQUOTE] = ACTIONS(2761),
    [anon_sym_SQUOTE] = ACTIONS(2761),
    [anon_sym_L_DQUOTE] = ACTIONS(2761),
    [anon_sym_u_DQUOTE] = ACTIONS(2761),
    [anon_sym_U_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8_DQUOTE] = ACTIONS(2761),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_true] = ACTIONS(2759),
    [sym_false] = ACTIONS(2759),
    [anon_sym_NULL] = ACTIONS(2759),
    [anon_sym_nullptr] = ACTIONS(2759),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2759),
    [anon_sym_decltype] = ACTIONS(2759),
    [sym_virtual] = ACTIONS(2759),
    [anon_sym_explicit] = ACTIONS(2759),
    [anon_sym_typename] = ACTIONS(2759),
    [anon_sym_template] = ACTIONS(2759),
    [anon_sym_operator] = ACTIONS(2759),
    [anon_sym_try] = ACTIONS(2759),
    [anon_sym_delete] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2759),
    [anon_sym_namespace] = ACTIONS(2759),
    [anon_sym_using] = ACTIONS(2759),
    [anon_sym_static_assert] = ACTIONS(2759),
    [anon_sym_concept] = ACTIONS(2759),
    [anon_sym_co_return] = ACTIONS(2759),
    [anon_sym_co_yield] = ACTIONS(2759),
    [anon_sym_R_DQUOTE] = ACTIONS(2761),
    [anon_sym_LR_DQUOTE] = ACTIONS(2761),
    [anon_sym_uR_DQUOTE] = ACTIONS(2761),
    [anon_sym_UR_DQUOTE] = ACTIONS(2761),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2761),
    [anon_sym_co_await] = ACTIONS(2759),
    [anon_sym_new] = ACTIONS(2759),
    [anon_sym_requires] = ACTIONS(2759),
    [sym_this] = ACTIONS(2759),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_include_token1] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym___cdecl] = ACTIONS(2793),
    [anon_sym___clrcall] = ACTIONS(2793),
    [anon_sym___stdcall] = ACTIONS(2793),
    [anon_sym___fastcall] = ACTIONS(2793),
    [anon_sym___thiscall] = ACTIONS(2793),
    [anon_sym___vectorcall] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2793),
    [anon_sym_not] = ACTIONS(2793),
    [anon_sym_compl] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_sizeof] = ACTIONS(2793),
    [anon_sym___alignof__] = ACTIONS(2793),
    [anon_sym___alignof] = ACTIONS(2793),
    [anon_sym__alignof] = ACTIONS(2793),
    [anon_sym_alignof] = ACTIONS(2793),
    [anon_sym__Alignof] = ACTIONS(2793),
    [anon_sym_offsetof] = ACTIONS(2793),
    [anon_sym__Generic] = ACTIONS(2793),
    [anon_sym_asm] = ACTIONS(2793),
    [anon_sym___asm__] = ACTIONS(2793),
    [sym_number_literal] = ACTIONS(2795),
    [anon_sym_L_SQUOTE] = ACTIONS(2795),
    [anon_sym_u_SQUOTE] = ACTIONS(2795),
    [anon_sym_U_SQUOTE] = ACTIONS(2795),
    [anon_sym_u8_SQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_L_DQUOTE] = ACTIONS(2795),
    [anon_sym_u_DQUOTE] = ACTIONS(2795),
    [anon_sym_U_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8_DQUOTE] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [anon_sym_NULL] = ACTIONS(2793),
    [anon_sym_nullptr] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [sym_virtual] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
    [anon_sym_concept] = ACTIONS(2793),
    [anon_sym_co_return] = ACTIONS(2793),
    [anon_sym_co_yield] = ACTIONS(2793),
    [anon_sym_R_DQUOTE] = ACTIONS(2795),
    [anon_sym_LR_DQUOTE] = ACTIONS(2795),
    [anon_sym_uR_DQUOTE] = ACTIONS(2795),
    [anon_sym_UR_DQUOTE] = ACTIONS(2795),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2795),
    [anon_sym_co_await] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_requires] = ACTIONS(2793),
    [sym_this] = ACTIONS(2793),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(2822),
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym_not] = ACTIONS(2820),
    [anon_sym_compl] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [sym_virtual] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_try] = ACTIONS(2820),
    [anon_sym_delete] = ACTIONS(2820),
    [anon_sym_throw] = ACTIONS(2820),
    [anon_sym_namespace] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
    [anon_sym_concept] = ACTIONS(2820),
    [anon_sym_co_return] = ACTIONS(2820),
    [anon_sym_co_yield] = ACTIONS(2820),
    [anon_sym_R_DQUOTE] = ACTIONS(2822),
    [anon_sym_LR_DQUOTE] = ACTIONS(2822),
    [anon_sym_uR_DQUOTE] = ACTIONS(2822),
    [anon_sym_UR_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2822),
    [anon_sym_co_await] = ACTIONS(2820),
    [anon_sym_new] = ACTIONS(2820),
    [anon_sym_requires] = ACTIONS(2820),
    [sym_this] = ACTIONS(2820),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(3019),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_include_token1] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_BANG] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3017),
    [anon_sym_PLUS] = ACTIONS(3017),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym___cdecl] = ACTIONS(3017),
    [anon_sym___clrcall] = ACTIONS(3017),
    [anon_sym___stdcall] = ACTIONS(3017),
    [anon_sym___fastcall] = ACTIONS(3017),
    [anon_sym___thiscall] = ACTIONS(3017),
    [anon_sym___vectorcall] = ACTIONS(3017),
    [anon_sym_LBRACE] = ACTIONS(3019),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [anon_sym_if] = ACTIONS(3017),
    [anon_sym_switch] = ACTIONS(3017),
    [anon_sym_case] = ACTIONS(3017),
    [anon_sym_default] = ACTIONS(3017),
    [anon_sym_while] = ACTIONS(3017),
    [anon_sym_do] = ACTIONS(3017),
    [anon_sym_for] = ACTIONS(3017),
    [anon_sym_return] = ACTIONS(3017),
    [anon_sym_break] = ACTIONS(3017),
    [anon_sym_continue] = ACTIONS(3017),
    [anon_sym_goto] = ACTIONS(3017),
    [anon_sym_not] = ACTIONS(3017),
    [anon_sym_compl] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3019),
    [anon_sym_PLUS_PLUS] = ACTIONS(3019),
    [anon_sym_sizeof] = ACTIONS(3017),
    [anon_sym___alignof__] = ACTIONS(3017),
    [anon_sym___alignof] = ACTIONS(3017),
    [anon_sym__alignof] = ACTIONS(3017),
    [anon_sym_alignof] = ACTIONS(3017),
    [anon_sym__Alignof] = ACTIONS(3017),
    [anon_sym_offsetof] = ACTIONS(3017),
    [anon_sym__Generic] = ACTIONS(3017),
    [anon_sym_asm] = ACTIONS(3017),
    [anon_sym___asm__] = ACTIONS(3017),
    [sym_number_literal] = ACTIONS(3019),
    [anon_sym_L_SQUOTE] = ACTIONS(3019),
    [anon_sym_u_SQUOTE] = ACTIONS(3019),
    [anon_sym_U_SQUOTE] = ACTIONS(3019),
    [anon_sym_u8_SQUOTE] = ACTIONS(3019),
    [anon_sym_SQUOTE] = ACTIONS(3019),
    [anon_sym_L_DQUOTE] = ACTIONS(3019),
    [anon_sym_u_DQUOTE] = ACTIONS(3019),
    [anon_sym_U_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8_DQUOTE] = ACTIONS(3019),
    [anon_sym_DQUOTE] = ACTIONS(3019),
    [sym_true] = ACTIONS(3017),
    [sym_false] = ACTIONS(3017),
    [anon_sym_NULL] = ACTIONS(3017),
    [anon_sym_nullptr] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [sym_virtual] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_try] = ACTIONS(3017),
    [anon_sym_delete] = ACTIONS(3017),
    [anon_sym_throw] = ACTIONS(3017),
    [anon_sym_namespace] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
    [anon_sym_concept] = ACTIONS(3017),
    [anon_sym_co_return] = ACTIONS(3017),
    [anon_sym_co_yield] = ACTIONS(3017),
    [anon_sym_R_DQUOTE] = ACTIONS(3019),
    [anon_sym_LR_DQUOTE] = ACTIONS(3019),
    [anon_sym_uR_DQUOTE] = ACTIONS(3019),
    [anon_sym_UR_DQUOTE] = ACTIONS(3019),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3019),
    [anon_sym_co_await] = ACTIONS(3017),
    [anon_sym_new] = ACTIONS(3017),
    [anon_sym_requires] = ACTIONS(3017),
    [sym_this] = ACTIONS(3017),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(2830),
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym__Alignas] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2828),
    [anon_sym_compl] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [sym_virtual] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_try] = ACTIONS(2828),
    [anon_sym_delete] = ACTIONS(2828),
    [anon_sym_throw] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_concept] = ACTIONS(2828),
    [anon_sym_co_return] = ACTIONS(2828),
    [anon_sym_co_yield] = ACTIONS(2828),
    [anon_sym_R_DQUOTE] = ACTIONS(2830),
    [anon_sym_LR_DQUOTE] = ACTIONS(2830),
    [anon_sym_uR_DQUOTE] = ACTIONS(2830),
    [anon_sym_UR_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2830),
    [anon_sym_co_await] = ACTIONS(2828),
    [anon_sym_new] = ACTIONS(2828),
    [anon_sym_requires] = ACTIONS(2828),
    [sym_this] = ACTIONS(2828),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(2901),
    [sym_identifier] = ACTIONS(2899),
    [aux_sym_preproc_include_token1] = ACTIONS(2899),
    [aux_sym_preproc_def_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2899),
    [sym_preproc_directive] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym___based] = ACTIONS(2899),
    [anon_sym___cdecl] = ACTIONS(2899),
    [anon_sym___clrcall] = ACTIONS(2899),
    [anon_sym___stdcall] = ACTIONS(2899),
    [anon_sym___fastcall] = ACTIONS(2899),
    [anon_sym___thiscall] = ACTIONS(2899),
    [anon_sym___vectorcall] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym__Alignas] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [anon_sym_if] = ACTIONS(2899),
    [anon_sym_switch] = ACTIONS(2899),
    [anon_sym_case] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(2899),
    [anon_sym_while] = ACTIONS(2899),
    [anon_sym_do] = ACTIONS(2899),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_break] = ACTIONS(2899),
    [anon_sym_continue] = ACTIONS(2899),
    [anon_sym_goto] = ACTIONS(2899),
    [anon_sym_not] = ACTIONS(2899),
    [anon_sym_compl] = ACTIONS(2899),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_sizeof] = ACTIONS(2899),
    [anon_sym___alignof__] = ACTIONS(2899),
    [anon_sym___alignof] = ACTIONS(2899),
    [anon_sym__alignof] = ACTIONS(2899),
    [anon_sym_alignof] = ACTIONS(2899),
    [anon_sym__Alignof] = ACTIONS(2899),
    [anon_sym_offsetof] = ACTIONS(2899),
    [anon_sym__Generic] = ACTIONS(2899),
    [anon_sym_asm] = ACTIONS(2899),
    [anon_sym___asm__] = ACTIONS(2899),
    [sym_number_literal] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2901),
    [anon_sym_u_SQUOTE] = ACTIONS(2901),
    [anon_sym_U_SQUOTE] = ACTIONS(2901),
    [anon_sym_u8_SQUOTE] = ACTIONS(2901),
    [anon_sym_SQUOTE] = ACTIONS(2901),
    [anon_sym_L_DQUOTE] = ACTIONS(2901),
    [anon_sym_u_DQUOTE] = ACTIONS(2901),
    [anon_sym_U_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8_DQUOTE] = ACTIONS(2901),
    [anon_sym_DQUOTE] = ACTIONS(2901),
    [sym_true] = ACTIONS(2899),
    [sym_false] = ACTIONS(2899),
    [anon_sym_NULL] = ACTIONS(2899),
    [anon_sym_nullptr] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [sym_virtual] = ACTIONS(2899),
    [anon_sym_explicit] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_operator] = ACTIONS(2899),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_delete] = ACTIONS(2899),
    [anon_sym_throw] = ACTIONS(2899),
    [anon_sym_namespace] = ACTIONS(2899),
    [anon_sym_using] = ACTIONS(2899),
    [anon_sym_static_assert] = ACTIONS(2899),
    [anon_sym_concept] = ACTIONS(2899),
    [anon_sym_co_return] = ACTIONS(2899),
    [anon_sym_co_yield] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2901),
    [anon_sym_LR_DQUOTE] = ACTIONS(2901),
    [anon_sym_uR_DQUOTE] = ACTIONS(2901),
    [anon_sym_UR_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2901),
    [anon_sym_co_await] = ACTIONS(2899),
    [anon_sym_new] = ACTIONS(2899),
    [anon_sym_requires] = ACTIONS(2899),
    [sym_this] = ACTIONS(2899),
  },
  [729] = {
    [ts_builtin_sym_end] = ACTIONS(2905),
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_include_token1] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_BANG] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym___cdecl] = ACTIONS(2903),
    [anon_sym___clrcall] = ACTIONS(2903),
    [anon_sym___stdcall] = ACTIONS(2903),
    [anon_sym___fastcall] = ACTIONS(2903),
    [anon_sym___thiscall] = ACTIONS(2903),
    [anon_sym___vectorcall] = ACTIONS(2903),
    [anon_sym_LBRACE] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym__Alignas] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_switch] = ACTIONS(2903),
    [anon_sym_case] = ACTIONS(2903),
    [anon_sym_default] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(2903),
    [anon_sym_do] = ACTIONS(2903),
    [anon_sym_for] = ACTIONS(2903),
    [anon_sym_return] = ACTIONS(2903),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_continue] = ACTIONS(2903),
    [anon_sym_goto] = ACTIONS(2903),
    [anon_sym_not] = ACTIONS(2903),
    [anon_sym_compl] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_sizeof] = ACTIONS(2903),
    [anon_sym___alignof__] = ACTIONS(2903),
    [anon_sym___alignof] = ACTIONS(2903),
    [anon_sym__alignof] = ACTIONS(2903),
    [anon_sym_alignof] = ACTIONS(2903),
    [anon_sym__Alignof] = ACTIONS(2903),
    [anon_sym_offsetof] = ACTIONS(2903),
    [anon_sym__Generic] = ACTIONS(2903),
    [anon_sym_asm] = ACTIONS(2903),
    [anon_sym___asm__] = ACTIONS(2903),
    [sym_number_literal] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2905),
    [anon_sym_u_SQUOTE] = ACTIONS(2905),
    [anon_sym_U_SQUOTE] = ACTIONS(2905),
    [anon_sym_u8_SQUOTE] = ACTIONS(2905),
    [anon_sym_SQUOTE] = ACTIONS(2905),
    [anon_sym_L_DQUOTE] = ACTIONS(2905),
    [anon_sym_u_DQUOTE] = ACTIONS(2905),
    [anon_sym_U_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8_DQUOTE] = ACTIONS(2905),
    [anon_sym_DQUOTE] = ACTIONS(2905),
    [sym_true] = ACTIONS(2903),
    [sym_false] = ACTIONS(2903),
    [anon_sym_NULL] = ACTIONS(2903),
    [anon_sym_nullptr] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [sym_virtual] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_try] = ACTIONS(2903),
    [anon_sym_delete] = ACTIONS(2903),
    [anon_sym_throw] = ACTIONS(2903),
    [anon_sym_namespace] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
    [anon_sym_concept] = ACTIONS(2903),
    [anon_sym_co_return] = ACTIONS(2903),
    [anon_sym_co_yield] = ACTIONS(2903),
    [anon_sym_R_DQUOTE] = ACTIONS(2905),
    [anon_sym_LR_DQUOTE] = ACTIONS(2905),
    [anon_sym_uR_DQUOTE] = ACTIONS(2905),
    [anon_sym_UR_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2905),
    [anon_sym_co_await] = ACTIONS(2903),
    [anon_sym_new] = ACTIONS(2903),
    [anon_sym_requires] = ACTIONS(2903),
    [sym_this] = ACTIONS(2903),
  },
  [730] = {
    [ts_builtin_sym_end] = ACTIONS(2911),
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2915),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym__Alignas] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [sym_virtual] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(2927),
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym__Alignas] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [sym_virtual] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(2931),
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym__Alignas] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [sym_virtual] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym__Alignas] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [sym_virtual] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(2985),
    [sym_identifier] = ACTIONS(2983),
    [aux_sym_preproc_include_token1] = ACTIONS(2983),
    [aux_sym_preproc_def_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2983),
    [sym_preproc_directive] = ACTIONS(2983),
    [anon_sym_LPAREN2] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2983),
    [anon_sym_typedef] = ACTIONS(2983),
    [anon_sym_extern] = ACTIONS(2983),
    [anon_sym___attribute__] = ACTIONS(2983),
    [anon_sym_COLON_COLON] = ACTIONS(2985),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2985),
    [anon_sym___declspec] = ACTIONS(2983),
    [anon_sym___based] = ACTIONS(2983),
    [anon_sym___cdecl] = ACTIONS(2983),
    [anon_sym___clrcall] = ACTIONS(2983),
    [anon_sym___stdcall] = ACTIONS(2983),
    [anon_sym___fastcall] = ACTIONS(2983),
    [anon_sym___thiscall] = ACTIONS(2983),
    [anon_sym___vectorcall] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2985),
    [anon_sym_signed] = ACTIONS(2983),
    [anon_sym_unsigned] = ACTIONS(2983),
    [anon_sym_long] = ACTIONS(2983),
    [anon_sym_short] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_register] = ACTIONS(2983),
    [anon_sym_inline] = ACTIONS(2983),
    [anon_sym___inline] = ACTIONS(2983),
    [anon_sym___inline__] = ACTIONS(2983),
    [anon_sym___forceinline] = ACTIONS(2983),
    [anon_sym_thread_local] = ACTIONS(2983),
    [anon_sym___thread] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_constexpr] = ACTIONS(2983),
    [anon_sym_volatile] = ACTIONS(2983),
    [anon_sym_restrict] = ACTIONS(2983),
    [anon_sym___restrict__] = ACTIONS(2983),
    [anon_sym__Atomic] = ACTIONS(2983),
    [anon_sym__Noreturn] = ACTIONS(2983),
    [anon_sym_noreturn] = ACTIONS(2983),
    [anon_sym_mutable] = ACTIONS(2983),
    [anon_sym_constinit] = ACTIONS(2983),
    [anon_sym_consteval] = ACTIONS(2983),
    [anon_sym_alignas] = ACTIONS(2983),
    [anon_sym__Alignas] = ACTIONS(2983),
    [sym_primitive_type] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_union] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_default] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_goto] = ACTIONS(2983),
    [anon_sym_not] = ACTIONS(2983),
    [anon_sym_compl] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_sizeof] = ACTIONS(2983),
    [anon_sym___alignof__] = ACTIONS(2983),
    [anon_sym___alignof] = ACTIONS(2983),
    [anon_sym__alignof] = ACTIONS(2983),
    [anon_sym_alignof] = ACTIONS(2983),
    [anon_sym__Alignof] = ACTIONS(2983),
    [anon_sym_offsetof] = ACTIONS(2983),
    [anon_sym__Generic] = ACTIONS(2983),
    [anon_sym_asm] = ACTIONS(2983),
    [anon_sym___asm__] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2985),
    [anon_sym_L_SQUOTE] = ACTIONS(2985),
    [anon_sym_u_SQUOTE] = ACTIONS(2985),
    [anon_sym_U_SQUOTE] = ACTIONS(2985),
    [anon_sym_u8_SQUOTE] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2985),
    [anon_sym_L_DQUOTE] = ACTIONS(2985),
    [anon_sym_u_DQUOTE] = ACTIONS(2985),
    [anon_sym_U_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8_DQUOTE] = ACTIONS(2985),
    [anon_sym_DQUOTE] = ACTIONS(2985),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [anon_sym_NULL] = ACTIONS(2983),
    [anon_sym_nullptr] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2983),
    [anon_sym_decltype] = ACTIONS(2983),
    [sym_virtual] = ACTIONS(2983),
    [anon_sym_explicit] = ACTIONS(2983),
    [anon_sym_typename] = ACTIONS(2983),
    [anon_sym_template] = ACTIONS(2983),
    [anon_sym_operator] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_namespace] = ACTIONS(2983),
    [anon_sym_using] = ACTIONS(2983),
    [anon_sym_static_assert] = ACTIONS(2983),
    [anon_sym_concept] = ACTIONS(2983),
    [anon_sym_co_return] = ACTIONS(2983),
    [anon_sym_co_yield] = ACTIONS(2983),
    [anon_sym_R_DQUOTE] = ACTIONS(2985),
    [anon_sym_LR_DQUOTE] = ACTIONS(2985),
    [anon_sym_uR_DQUOTE] = ACTIONS(2985),
    [anon_sym_UR_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2985),
    [anon_sym_co_await] = ACTIONS(2983),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_requires] = ACTIONS(2983),
    [sym_this] = ACTIONS(2983),
  },
  [736] = {
    [sym_preproc_def] = STATE(739),
    [sym_preproc_function_def] = STATE(739),
    [sym_preproc_call] = STATE(739),
    [sym_preproc_if_in_field_declaration_list] = STATE(739),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(739),
    [sym_type_definition] = STATE(739),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5292),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5829),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(739),
    [sym_field_declaration] = STATE(739),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1624),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(739),
    [sym_operator_cast] = STATE(6295),
    [sym_inline_method_definition] = STATE(739),
    [sym__constructor_specifiers] = STATE(1624),
    [sym_operator_cast_definition] = STATE(739),
    [sym_operator_cast_declaration] = STATE(739),
    [sym_constructor_or_destructor_definition] = STATE(739),
    [sym_constructor_or_destructor_declaration] = STATE(739),
    [sym_friend_declaration] = STATE(739),
    [sym_access_specifier] = STATE(7767),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(739),
    [sym_alias_declaration] = STATE(739),
    [sym_static_assert_declaration] = STATE(739),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6295),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(739),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1624),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_if_token2] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3354),
    [sym_preproc_directive] = ACTIONS(3356),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3358),
    [anon_sym_typedef] = ACTIONS(3360),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [737] = {
    [sym_preproc_def] = STATE(740),
    [sym_preproc_function_def] = STATE(740),
    [sym_preproc_call] = STATE(740),
    [sym_preproc_if_in_field_declaration_list] = STATE(740),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(740),
    [sym_type_definition] = STATE(740),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(740),
    [sym_field_declaration] = STATE(740),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(740),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(740),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(740),
    [sym_operator_cast_declaration] = STATE(740),
    [sym_constructor_or_destructor_definition] = STATE(740),
    [sym_constructor_or_destructor_declaration] = STATE(740),
    [sym_friend_declaration] = STATE(740),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(740),
    [sym_alias_declaration] = STATE(740),
    [sym_static_assert_declaration] = STATE(740),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(740),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3382),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [738] = {
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_field_declaration_list] = STATE(738),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(738),
    [sym_type_definition] = STATE(738),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(738),
    [sym_field_declaration] = STATE(738),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(738),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(738),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(738),
    [sym_operator_cast_declaration] = STATE(738),
    [sym_constructor_or_destructor_definition] = STATE(738),
    [sym_constructor_or_destructor_declaration] = STATE(738),
    [sym_friend_declaration] = STATE(738),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(738),
    [sym_alias_declaration] = STATE(738),
    [sym_static_assert_declaration] = STATE(738),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(738),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3392),
    [aux_sym_preproc_if_token1] = ACTIONS(3395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3398),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3404),
    [anon_sym_typedef] = ACTIONS(3407),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3246),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3410),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(3258),
    [anon_sym_restrict] = ACTIONS(3258),
    [anon_sym___restrict__] = ACTIONS(3258),
    [anon_sym__Atomic] = ACTIONS(3258),
    [anon_sym__Noreturn] = ACTIONS(3258),
    [anon_sym_noreturn] = ACTIONS(3258),
    [anon_sym_mutable] = ACTIONS(3258),
    [anon_sym_constinit] = ACTIONS(3258),
    [anon_sym_consteval] = ACTIONS(3258),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym__Alignas] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_struct] = ACTIONS(3273),
    [anon_sym_union] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3282),
    [sym_virtual] = ACTIONS(3285),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3412),
    [anon_sym_operator] = ACTIONS(3297),
    [anon_sym_friend] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3418),
    [anon_sym_static_assert] = ACTIONS(3421),
  },
  [739] = {
    [sym_preproc_def] = STATE(758),
    [sym_preproc_function_def] = STATE(758),
    [sym_preproc_call] = STATE(758),
    [sym_preproc_if_in_field_declaration_list] = STATE(758),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(758),
    [sym_type_definition] = STATE(758),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5292),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5829),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(758),
    [sym_field_declaration] = STATE(758),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1624),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(758),
    [sym_operator_cast] = STATE(6295),
    [sym_inline_method_definition] = STATE(758),
    [sym__constructor_specifiers] = STATE(1624),
    [sym_operator_cast_definition] = STATE(758),
    [sym_operator_cast_declaration] = STATE(758),
    [sym_constructor_or_destructor_definition] = STATE(758),
    [sym_constructor_or_destructor_declaration] = STATE(758),
    [sym_friend_declaration] = STATE(758),
    [sym_access_specifier] = STATE(7767),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(758),
    [sym_alias_declaration] = STATE(758),
    [sym_static_assert_declaration] = STATE(758),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6295),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(758),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1624),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3350),
    [aux_sym_preproc_if_token2] = ACTIONS(3424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3354),
    [sym_preproc_directive] = ACTIONS(3356),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3358),
    [anon_sym_typedef] = ACTIONS(3360),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3366),
    [anon_sym_static_assert] = ACTIONS(3368),
  },
  [740] = {
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_field_declaration_list] = STATE(738),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(738),
    [sym_type_definition] = STATE(738),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(738),
    [sym_field_declaration] = STATE(738),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(738),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(738),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(738),
    [sym_operator_cast_declaration] = STATE(738),
    [sym_constructor_or_destructor_definition] = STATE(738),
    [sym_constructor_or_destructor_declaration] = STATE(738),
    [sym_friend_declaration] = STATE(738),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(738),
    [sym_alias_declaration] = STATE(738),
    [sym_static_assert_declaration] = STATE(738),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(738),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3426),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [741] = {
    [sym_preproc_def] = STATE(742),
    [sym_preproc_function_def] = STATE(742),
    [sym_preproc_call] = STATE(742),
    [sym_preproc_if_in_field_declaration_list] = STATE(742),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(742),
    [sym_type_definition] = STATE(742),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(742),
    [sym_field_declaration] = STATE(742),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(742),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(742),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(742),
    [sym_operator_cast_declaration] = STATE(742),
    [sym_constructor_or_destructor_definition] = STATE(742),
    [sym_constructor_or_destructor_declaration] = STATE(742),
    [sym_friend_declaration] = STATE(742),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(742),
    [sym_alias_declaration] = STATE(742),
    [sym_static_assert_declaration] = STATE(742),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(742),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3428),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [742] = {
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_field_declaration_list] = STATE(738),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(738),
    [sym_type_definition] = STATE(738),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(738),
    [sym_field_declaration] = STATE(738),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(738),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(738),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(738),
    [sym_operator_cast_declaration] = STATE(738),
    [sym_constructor_or_destructor_definition] = STATE(738),
    [sym_constructor_or_destructor_declaration] = STATE(738),
    [sym_friend_declaration] = STATE(738),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(738),
    [sym_alias_declaration] = STATE(738),
    [sym_static_assert_declaration] = STATE(738),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(738),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3430),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [743] = {
    [sym_preproc_def] = STATE(744),
    [sym_preproc_function_def] = STATE(744),
    [sym_preproc_call] = STATE(744),
    [sym_preproc_if_in_field_declaration_list] = STATE(744),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(744),
    [sym_type_definition] = STATE(744),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(744),
    [sym_field_declaration] = STATE(744),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(744),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(744),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(744),
    [sym_operator_cast_declaration] = STATE(744),
    [sym_constructor_or_destructor_definition] = STATE(744),
    [sym_constructor_or_destructor_declaration] = STATE(744),
    [sym_friend_declaration] = STATE(744),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(744),
    [sym_alias_declaration] = STATE(744),
    [sym_static_assert_declaration] = STATE(744),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(744),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3432),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [744] = {
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_field_declaration_list] = STATE(738),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(738),
    [sym_type_definition] = STATE(738),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(738),
    [sym_field_declaration] = STATE(738),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(738),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(738),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(738),
    [sym_operator_cast_declaration] = STATE(738),
    [sym_constructor_or_destructor_definition] = STATE(738),
    [sym_constructor_or_destructor_declaration] = STATE(738),
    [sym_friend_declaration] = STATE(738),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(738),
    [sym_alias_declaration] = STATE(738),
    [sym_static_assert_declaration] = STATE(738),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(738),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3434),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [745] = {
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_field_declaration_list] = STATE(738),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(738),
    [sym_type_definition] = STATE(738),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(738),
    [sym_field_declaration] = STATE(738),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(738),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(738),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(738),
    [sym_operator_cast_declaration] = STATE(738),
    [sym_constructor_or_destructor_definition] = STATE(738),
    [sym_constructor_or_destructor_declaration] = STATE(738),
    [sym_friend_declaration] = STATE(738),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(738),
    [sym_alias_declaration] = STATE(738),
    [sym_static_assert_declaration] = STATE(738),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(738),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3436),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [746] = {
    [sym_preproc_def] = STATE(759),
    [sym_preproc_function_def] = STATE(759),
    [sym_preproc_call] = STATE(759),
    [sym_preproc_if_in_field_declaration_list] = STATE(759),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(759),
    [sym_type_definition] = STATE(759),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(759),
    [sym_field_declaration] = STATE(759),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(759),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(759),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(759),
    [sym_operator_cast_declaration] = STATE(759),
    [sym_constructor_or_destructor_definition] = STATE(759),
    [sym_constructor_or_destructor_declaration] = STATE(759),
    [sym_friend_declaration] = STATE(759),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(759),
    [sym_alias_declaration] = STATE(759),
    [sym_static_assert_declaration] = STATE(759),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(759),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3438),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [747] = {
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_field_declaration_list] = STATE(738),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(738),
    [sym_type_definition] = STATE(738),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(738),
    [sym_field_declaration] = STATE(738),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(738),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(738),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(738),
    [sym_operator_cast_declaration] = STATE(738),
    [sym_constructor_or_destructor_definition] = STATE(738),
    [sym_constructor_or_destructor_declaration] = STATE(738),
    [sym_friend_declaration] = STATE(738),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(738),
    [sym_alias_declaration] = STATE(738),
    [sym_static_assert_declaration] = STATE(738),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(738),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3440),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [748] = {
    [sym_preproc_def] = STATE(757),
    [sym_preproc_function_def] = STATE(757),
    [sym_preproc_call] = STATE(757),
    [sym_preproc_if_in_field_declaration_list] = STATE(757),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(757),
    [sym_type_definition] = STATE(757),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(757),
    [sym_field_declaration] = STATE(757),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(757),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(757),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(757),
    [sym_operator_cast_declaration] = STATE(757),
    [sym_constructor_or_destructor_definition] = STATE(757),
    [sym_constructor_or_destructor_declaration] = STATE(757),
    [sym_friend_declaration] = STATE(757),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(757),
    [sym_alias_declaration] = STATE(757),
    [sym_static_assert_declaration] = STATE(757),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(757),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3442),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [749] = {
    [sym_preproc_def] = STATE(750),
    [sym_preproc_function_def] = STATE(750),
    [sym_preproc_call] = STATE(750),
    [sym_preproc_if_in_field_declaration_list] = STATE(750),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(750),
    [sym_type_definition] = STATE(750),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(750),
    [sym_field_declaration] = STATE(750),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(750),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(750),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(750),
    [sym_operator_cast_declaration] = STATE(750),
    [sym_constructor_or_destructor_definition] = STATE(750),
    [sym_constructor_or_destructor_declaration] = STATE(750),
    [sym_friend_declaration] = STATE(750),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(750),
    [sym_alias_declaration] = STATE(750),
    [sym_static_assert_declaration] = STATE(750),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(750),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3444),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [750] = {
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_field_declaration_list] = STATE(738),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(738),
    [sym_type_definition] = STATE(738),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(738),
    [sym_field_declaration] = STATE(738),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(738),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(738),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(738),
    [sym_operator_cast_declaration] = STATE(738),
    [sym_constructor_or_destructor_definition] = STATE(738),
    [sym_constructor_or_destructor_declaration] = STATE(738),
    [sym_friend_declaration] = STATE(738),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(738),
    [sym_alias_declaration] = STATE(738),
    [sym_static_assert_declaration] = STATE(738),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(738),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3446),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [751] = {
    [sym_preproc_def] = STATE(753),
    [sym_preproc_function_def] = STATE(753),
    [sym_preproc_call] = STATE(753),
    [sym_preproc_if_in_field_declaration_list] = STATE(753),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(753),
    [sym_type_definition] = STATE(753),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(753),
    [sym_field_declaration] = STATE(753),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(753),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(753),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(753),
    [sym_operator_cast_declaration] = STATE(753),
    [sym_constructor_or_destructor_definition] = STATE(753),
    [sym_constructor_or_destructor_declaration] = STATE(753),
    [sym_friend_declaration] = STATE(753),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(753),
    [sym_alias_declaration] = STATE(753),
    [sym_static_assert_declaration] = STATE(753),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(753),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3448),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [752] = {
    [sym_preproc_def] = STATE(745),
    [sym_preproc_function_def] = STATE(745),
    [sym_preproc_call] = STATE(745),
    [sym_preproc_if_in_field_declaration_list] = STATE(745),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(745),
    [sym_type_definition] = STATE(745),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(745),
    [sym_field_declaration] = STATE(745),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(745),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(745),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(745),
    [sym_operator_cast_declaration] = STATE(745),
    [sym_constructor_or_destructor_definition] = STATE(745),
    [sym_constructor_or_destructor_declaration] = STATE(745),
    [sym_friend_declaration] = STATE(745),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(745),
    [sym_alias_declaration] = STATE(745),
    [sym_static_assert_declaration] = STATE(745),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(745),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3450),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [753] = {
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_field_declaration_list] = STATE(738),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(738),
    [sym_type_definition] = STATE(738),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(738),
    [sym_field_declaration] = STATE(738),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(738),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(738),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(738),
    [sym_operator_cast_declaration] = STATE(738),
    [sym_constructor_or_destructor_definition] = STATE(738),
    [sym_constructor_or_destructor_declaration] = STATE(738),
    [sym_friend_declaration] = STATE(738),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(738),
    [sym_alias_declaration] = STATE(738),
    [sym_static_assert_declaration] = STATE(738),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(738),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3452),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [754] = {
    [sym_preproc_def] = STATE(755),
    [sym_preproc_function_def] = STATE(755),
    [sym_preproc_call] = STATE(755),
    [sym_preproc_if_in_field_declaration_list] = STATE(755),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(755),
    [sym_type_definition] = STATE(755),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(755),
    [sym_field_declaration] = STATE(755),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(755),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(755),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(755),
    [sym_operator_cast_declaration] = STATE(755),
    [sym_constructor_or_destructor_definition] = STATE(755),
    [sym_constructor_or_destructor_declaration] = STATE(755),
    [sym_friend_declaration] = STATE(755),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(755),
    [sym_alias_declaration] = STATE(755),
    [sym_static_assert_declaration] = STATE(755),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(755),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3454),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [755] = {
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_field_declaration_list] = STATE(738),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(738),
    [sym_type_definition] = STATE(738),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(738),
    [sym_field_declaration] = STATE(738),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(738),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(738),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(738),
    [sym_operator_cast_declaration] = STATE(738),
    [sym_constructor_or_destructor_definition] = STATE(738),
    [sym_constructor_or_destructor_declaration] = STATE(738),
    [sym_friend_declaration] = STATE(738),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(738),
    [sym_alias_declaration] = STATE(738),
    [sym_static_assert_declaration] = STATE(738),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(738),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3456),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [756] = {
    [sym_expression] = STATE(3561),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(3707),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_RPAREN] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_SEMI] = ACTIONS(1886),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [757] = {
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_field_declaration_list] = STATE(738),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(738),
    [sym_type_definition] = STATE(738),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(738),
    [sym_field_declaration] = STATE(738),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(738),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(738),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(738),
    [sym_operator_cast_declaration] = STATE(738),
    [sym_constructor_or_destructor_definition] = STATE(738),
    [sym_constructor_or_destructor_declaration] = STATE(738),
    [sym_friend_declaration] = STATE(738),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(738),
    [sym_alias_declaration] = STATE(738),
    [sym_static_assert_declaration] = STATE(738),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(738),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3458),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [758] = {
    [sym_preproc_def] = STATE(758),
    [sym_preproc_function_def] = STATE(758),
    [sym_preproc_call] = STATE(758),
    [sym_preproc_if_in_field_declaration_list] = STATE(758),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(758),
    [sym_type_definition] = STATE(758),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5292),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5829),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(758),
    [sym_field_declaration] = STATE(758),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1624),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(758),
    [sym_operator_cast] = STATE(6295),
    [sym_inline_method_definition] = STATE(758),
    [sym__constructor_specifiers] = STATE(1624),
    [sym_operator_cast_definition] = STATE(758),
    [sym_operator_cast_declaration] = STATE(758),
    [sym_constructor_or_destructor_definition] = STATE(758),
    [sym_constructor_or_destructor_declaration] = STATE(758),
    [sym_friend_declaration] = STATE(758),
    [sym_access_specifier] = STATE(7767),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(758),
    [sym_alias_declaration] = STATE(758),
    [sym_static_assert_declaration] = STATE(758),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6295),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(758),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1624),
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3460),
    [aux_sym_preproc_if_token1] = ACTIONS(3463),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3466),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3466),
    [sym_preproc_directive] = ACTIONS(3469),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3472),
    [anon_sym_typedef] = ACTIONS(3475),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3240),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3246),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3258),
    [anon_sym_constexpr] = ACTIONS(3258),
    [anon_sym_volatile] = ACTIONS(3258),
    [anon_sym_restrict] = ACTIONS(3258),
    [anon_sym___restrict__] = ACTIONS(3258),
    [anon_sym__Atomic] = ACTIONS(3258),
    [anon_sym__Noreturn] = ACTIONS(3258),
    [anon_sym_noreturn] = ACTIONS(3258),
    [anon_sym_mutable] = ACTIONS(3258),
    [anon_sym_constinit] = ACTIONS(3258),
    [anon_sym_consteval] = ACTIONS(3258),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym__Alignas] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3270),
    [anon_sym_struct] = ACTIONS(3273),
    [anon_sym_union] = ACTIONS(3276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3282),
    [sym_virtual] = ACTIONS(3285),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3478),
    [anon_sym_operator] = ACTIONS(3297),
    [anon_sym_friend] = ACTIONS(3481),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3484),
    [anon_sym_static_assert] = ACTIONS(3487),
  },
  [759] = {
    [sym_preproc_def] = STATE(738),
    [sym_preproc_function_def] = STATE(738),
    [sym_preproc_call] = STATE(738),
    [sym_preproc_if_in_field_declaration_list] = STATE(738),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(738),
    [sym_type_definition] = STATE(738),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(738),
    [sym_field_declaration] = STATE(738),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(738),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(738),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(738),
    [sym_operator_cast_declaration] = STATE(738),
    [sym_constructor_or_destructor_definition] = STATE(738),
    [sym_constructor_or_destructor_declaration] = STATE(738),
    [sym_friend_declaration] = STATE(738),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(738),
    [sym_alias_declaration] = STATE(738),
    [sym_static_assert_declaration] = STATE(738),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(738),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3490),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [760] = {
    [sym_preproc_def] = STATE(747),
    [sym_preproc_function_def] = STATE(747),
    [sym_preproc_call] = STATE(747),
    [sym_preproc_if_in_field_declaration_list] = STATE(747),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(747),
    [sym_type_definition] = STATE(747),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(5258),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__field_declaration_list_item] = STATE(747),
    [sym_field_declaration] = STATE(747),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(747),
    [sym_operator_cast] = STATE(6284),
    [sym_inline_method_definition] = STATE(747),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(747),
    [sym_operator_cast_declaration] = STATE(747),
    [sym_constructor_or_destructor_definition] = STATE(747),
    [sym_constructor_or_destructor_declaration] = STATE(747),
    [sym_friend_declaration] = STATE(747),
    [sym_access_specifier] = STATE(7455),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_using_declaration] = STATE(747),
    [sym_alias_declaration] = STATE(747),
    [sym_static_assert_declaration] = STATE(747),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5129),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(747),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1902),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3370),
    [aux_sym_preproc_if_token1] = ACTIONS(3372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3374),
    [sym_preproc_directive] = ACTIONS(3376),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(3378),
    [anon_sym_typedef] = ACTIONS(3380),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3492),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3388),
    [anon_sym_static_assert] = ACTIONS(3390),
  },
  [761] = {
    [sym_expression] = STATE(3561),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_initializer_list] = STATE(3707),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(3496),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_SEMI] = ACTIONS(1886),
    [anon_sym___attribute__] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [762] = {
    [sym_expression] = STATE(4293),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_initializer_list] = STATE(4467),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1884),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1884),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(1886),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [763] = {
    [sym_expression] = STATE(3561),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_initializer_list] = STATE(3707),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_RBRACK] = ACTIONS(1886),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [764] = {
    [sym_expression] = STATE(4202),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_initializer_list] = STATE(3707),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LPAREN2] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(3540),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(1884),
    [anon_sym_PLUS] = ACTIONS(1884),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1884),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1884),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1884),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1884),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1884),
    [anon_sym_LT] = ACTIONS(1884),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(1884),
    [anon_sym_QMARK] = ACTIONS(1886),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_LT_EQ_GT] = ACTIONS(1886),
    [anon_sym_or] = ACTIONS(1884),
    [anon_sym_and] = ACTIONS(1884),
    [anon_sym_bitor] = ACTIONS(1884),
    [anon_sym_xor] = ACTIONS(1884),
    [anon_sym_bitand] = ACTIONS(1884),
    [anon_sym_not_eq] = ACTIONS(1884),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(1884),
    [anon_sym_DOT_STAR] = ACTIONS(1886),
    [anon_sym_DASH_GT] = ACTIONS(1886),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [765] = {
    [sym_expression] = STATE(4415),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3552),
    [anon_sym_COMMA] = ACTIONS(3552),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_SLASH] = ACTIONS(3556),
    [anon_sym_PERCENT] = ACTIONS(3552),
    [anon_sym_PIPE_PIPE] = ACTIONS(3552),
    [anon_sym_AMP_AMP] = ACTIONS(3552),
    [anon_sym_PIPE] = ACTIONS(3556),
    [anon_sym_CARET] = ACTIONS(3552),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_EQ_EQ] = ACTIONS(3552),
    [anon_sym_BANG_EQ] = ACTIONS(3552),
    [anon_sym_GT] = ACTIONS(3556),
    [anon_sym_GT_EQ] = ACTIONS(3552),
    [anon_sym_LT_EQ] = ACTIONS(3556),
    [anon_sym_LT] = ACTIONS(3556),
    [anon_sym_LT_LT] = ACTIONS(3552),
    [anon_sym_GT_GT] = ACTIONS(3552),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(3552),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(3552),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_LT_EQ_GT] = ACTIONS(3552),
    [anon_sym_or] = ACTIONS(3556),
    [anon_sym_and] = ACTIONS(3556),
    [anon_sym_bitor] = ACTIONS(3556),
    [anon_sym_xor] = ACTIONS(3556),
    [anon_sym_bitand] = ACTIONS(3556),
    [anon_sym_not_eq] = ACTIONS(3556),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(3556),
    [anon_sym_DOT_STAR] = ACTIONS(3552),
    [anon_sym_DASH_GT] = ACTIONS(3552),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [766] = {
    [sym__declaration_modifiers] = STATE(1913),
    [sym__declaration_specifiers] = STATE(5911),
    [sym_attribute_specifier] = STATE(1913),
    [sym_attribute_declaration] = STATE(1913),
    [sym_ms_declspec_modifier] = STATE(1913),
    [sym_storage_class_specifier] = STATE(1913),
    [sym_type_qualifier] = STATE(1913),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_type_identifier] = STATE(2841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1913),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2965),
    [sym_identifier] = ACTIONS(3560),
    [anon_sym_COMMA] = ACTIONS(3562),
    [anon_sym_BANG] = ACTIONS(3564),
    [anon_sym_TILDE] = ACTIONS(3562),
    [anon_sym_DASH] = ACTIONS(3564),
    [anon_sym_PLUS] = ACTIONS(3564),
    [anon_sym_STAR] = ACTIONS(3564),
    [anon_sym_SLASH] = ACTIONS(3564),
    [anon_sym_PERCENT] = ACTIONS(3564),
    [anon_sym_PIPE_PIPE] = ACTIONS(3562),
    [anon_sym_AMP_AMP] = ACTIONS(3562),
    [anon_sym_PIPE] = ACTIONS(3564),
    [anon_sym_CARET] = ACTIONS(3564),
    [anon_sym_AMP] = ACTIONS(3564),
    [anon_sym_EQ_EQ] = ACTIONS(3562),
    [anon_sym_BANG_EQ] = ACTIONS(3562),
    [anon_sym_GT] = ACTIONS(3564),
    [anon_sym_GT_EQ] = ACTIONS(3562),
    [anon_sym_LT_EQ] = ACTIONS(3564),
    [anon_sym_LT] = ACTIONS(3564),
    [anon_sym_LT_LT] = ACTIONS(3564),
    [anon_sym_GT_GT] = ACTIONS(3564),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3568),
    [anon_sym_unsigned] = ACTIONS(3568),
    [anon_sym_long] = ACTIONS(3568),
    [anon_sym_short] = ACTIONS(3568),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_EQ] = ACTIONS(3564),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3574),
    [anon_sym_struct] = ACTIONS(3576),
    [anon_sym_union] = ACTIONS(3578),
    [anon_sym_STAR_EQ] = ACTIONS(3562),
    [anon_sym_SLASH_EQ] = ACTIONS(3562),
    [anon_sym_PERCENT_EQ] = ACTIONS(3562),
    [anon_sym_PLUS_EQ] = ACTIONS(3562),
    [anon_sym_DASH_EQ] = ACTIONS(3562),
    [anon_sym_LT_LT_EQ] = ACTIONS(3562),
    [anon_sym_GT_GT_EQ] = ACTIONS(3562),
    [anon_sym_AMP_EQ] = ACTIONS(3562),
    [anon_sym_CARET_EQ] = ACTIONS(3562),
    [anon_sym_PIPE_EQ] = ACTIONS(3562),
    [anon_sym_and_eq] = ACTIONS(3564),
    [anon_sym_or_eq] = ACTIONS(3564),
    [anon_sym_xor_eq] = ACTIONS(3564),
    [anon_sym_not] = ACTIONS(3564),
    [anon_sym_compl] = ACTIONS(3564),
    [anon_sym_LT_EQ_GT] = ACTIONS(3562),
    [anon_sym_or] = ACTIONS(3564),
    [anon_sym_and] = ACTIONS(3564),
    [anon_sym_bitor] = ACTIONS(3564),
    [anon_sym_xor] = ACTIONS(3564),
    [anon_sym_bitand] = ACTIONS(3564),
    [anon_sym_not_eq] = ACTIONS(3564),
    [anon_sym_DASH_DASH] = ACTIONS(3562),
    [anon_sym_PLUS_PLUS] = ACTIONS(3562),
    [anon_sym_DASH_GT] = ACTIONS(3564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(3580),
    [anon_sym_typename] = ACTIONS(3582),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3584),
    [anon_sym_co_await] = ACTIONS(3564),
    [anon_sym_new] = ACTIONS(3584),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3562),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3562),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3562),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3586),
  },
  [767] = {
    [sym__declaration_modifiers] = STATE(1913),
    [sym__declaration_specifiers] = STATE(5911),
    [sym_attribute_specifier] = STATE(1913),
    [sym_attribute_declaration] = STATE(1913),
    [sym_ms_declspec_modifier] = STATE(1913),
    [sym_storage_class_specifier] = STATE(1913),
    [sym_type_qualifier] = STATE(1913),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(3909),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_type_identifier] = STATE(2841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1913),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2965),
    [sym_identifier] = ACTIONS(3560),
    [anon_sym_COMMA] = ACTIONS(3588),
    [anon_sym_BANG] = ACTIONS(3590),
    [anon_sym_TILDE] = ACTIONS(3588),
    [anon_sym_DASH] = ACTIONS(3590),
    [anon_sym_PLUS] = ACTIONS(3590),
    [anon_sym_STAR] = ACTIONS(3590),
    [anon_sym_SLASH] = ACTIONS(3590),
    [anon_sym_PERCENT] = ACTIONS(3590),
    [anon_sym_PIPE_PIPE] = ACTIONS(3588),
    [anon_sym_AMP_AMP] = ACTIONS(3588),
    [anon_sym_PIPE] = ACTIONS(3590),
    [anon_sym_CARET] = ACTIONS(3590),
    [anon_sym_AMP] = ACTIONS(3590),
    [anon_sym_EQ_EQ] = ACTIONS(3588),
    [anon_sym_BANG_EQ] = ACTIONS(3588),
    [anon_sym_GT] = ACTIONS(3590),
    [anon_sym_GT_EQ] = ACTIONS(3588),
    [anon_sym_LT_EQ] = ACTIONS(3590),
    [anon_sym_LT] = ACTIONS(3590),
    [anon_sym_LT_LT] = ACTIONS(3590),
    [anon_sym_GT_GT] = ACTIONS(3590),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3568),
    [anon_sym_unsigned] = ACTIONS(3568),
    [anon_sym_long] = ACTIONS(3568),
    [anon_sym_short] = ACTIONS(3568),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_EQ] = ACTIONS(3590),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3574),
    [anon_sym_struct] = ACTIONS(3576),
    [anon_sym_union] = ACTIONS(3578),
    [anon_sym_STAR_EQ] = ACTIONS(3588),
    [anon_sym_SLASH_EQ] = ACTIONS(3588),
    [anon_sym_PERCENT_EQ] = ACTIONS(3588),
    [anon_sym_PLUS_EQ] = ACTIONS(3588),
    [anon_sym_DASH_EQ] = ACTIONS(3588),
    [anon_sym_LT_LT_EQ] = ACTIONS(3588),
    [anon_sym_GT_GT_EQ] = ACTIONS(3588),
    [anon_sym_AMP_EQ] = ACTIONS(3588),
    [anon_sym_CARET_EQ] = ACTIONS(3588),
    [anon_sym_PIPE_EQ] = ACTIONS(3588),
    [anon_sym_and_eq] = ACTIONS(3590),
    [anon_sym_or_eq] = ACTIONS(3590),
    [anon_sym_xor_eq] = ACTIONS(3590),
    [anon_sym_not] = ACTIONS(3590),
    [anon_sym_compl] = ACTIONS(3590),
    [anon_sym_LT_EQ_GT] = ACTIONS(3588),
    [anon_sym_or] = ACTIONS(3590),
    [anon_sym_and] = ACTIONS(3590),
    [anon_sym_bitor] = ACTIONS(3590),
    [anon_sym_xor] = ACTIONS(3590),
    [anon_sym_bitand] = ACTIONS(3590),
    [anon_sym_not_eq] = ACTIONS(3590),
    [anon_sym_DASH_DASH] = ACTIONS(3588),
    [anon_sym_PLUS_PLUS] = ACTIONS(3588),
    [anon_sym_DASH_GT] = ACTIONS(3590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(3580),
    [anon_sym_typename] = ACTIONS(3582),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3592),
    [anon_sym_co_await] = ACTIONS(3590),
    [anon_sym_new] = ACTIONS(3592),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3588),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3588),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3588),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3594),
  },
  [768] = {
    [sym_function_definition] = STATE(1749),
    [sym_declaration] = STATE(1749),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4437),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1857),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(1749),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(1749),
    [sym_operator_cast] = STATE(6285),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(1749),
    [sym_operator_cast_declaration] = STATE(1749),
    [sym_constructor_or_destructor_definition] = STATE(1749),
    [sym_constructor_or_destructor_declaration] = STATE(1749),
    [sym_friend_declaration] = STATE(1749),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(1749),
    [sym_concept_definition] = STATE(1749),
    [sym_requires_clause] = STATE(782),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3600),
    [anon_sym_concept] = ACTIONS(3602),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [769] = {
    [sym_function_definition] = STATE(1954),
    [sym_declaration] = STATE(1954),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4436),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1855),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2653),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(1954),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(1954),
    [sym_operator_cast] = STATE(6284),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(1954),
    [sym_operator_cast_declaration] = STATE(1954),
    [sym_constructor_or_destructor_definition] = STATE(1954),
    [sym_constructor_or_destructor_declaration] = STATE(1954),
    [sym_friend_declaration] = STATE(1954),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(1954),
    [sym_concept_definition] = STATE(1954),
    [sym_requires_clause] = STATE(781),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_concept] = ACTIONS(3608),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [770] = {
    [sym_function_definition] = STATE(656),
    [sym_declaration] = STATE(656),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4433),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1853),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5801),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2644),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(656),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1636),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(656),
    [sym_operator_cast] = STATE(6288),
    [sym__constructor_specifiers] = STATE(1636),
    [sym_operator_cast_definition] = STATE(656),
    [sym_operator_cast_declaration] = STATE(656),
    [sym_constructor_or_destructor_definition] = STATE(656),
    [sym_constructor_or_destructor_declaration] = STATE(656),
    [sym_friend_declaration] = STATE(656),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(656),
    [sym_concept_definition] = STATE(656),
    [sym_requires_clause] = STATE(780),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6288),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1636),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3610),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3614),
    [anon_sym_concept] = ACTIONS(794),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [771] = {
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_COMMA] = ACTIONS(3618),
    [anon_sym_RPAREN] = ACTIONS(3618),
    [anon_sym_LPAREN2] = ACTIONS(3618),
    [anon_sym_BANG] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_STAR] = ACTIONS(3618),
    [anon_sym_AMP_AMP] = ACTIONS(3618),
    [anon_sym_AMP] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym___extension__] = ACTIONS(3616),
    [anon_sym_extern] = ACTIONS(3616),
    [anon_sym___attribute__] = ACTIONS(3616),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3618),
    [anon_sym___declspec] = ACTIONS(3616),
    [anon_sym___based] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_signed] = ACTIONS(3616),
    [anon_sym_unsigned] = ACTIONS(3616),
    [anon_sym_long] = ACTIONS(3616),
    [anon_sym_short] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_EQ] = ACTIONS(3618),
    [anon_sym_register] = ACTIONS(3616),
    [anon_sym_inline] = ACTIONS(3616),
    [anon_sym___inline] = ACTIONS(3616),
    [anon_sym___inline__] = ACTIONS(3616),
    [anon_sym___forceinline] = ACTIONS(3616),
    [anon_sym_thread_local] = ACTIONS(3616),
    [anon_sym___thread] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_constexpr] = ACTIONS(3616),
    [anon_sym_volatile] = ACTIONS(3616),
    [anon_sym_restrict] = ACTIONS(3616),
    [anon_sym___restrict__] = ACTIONS(3616),
    [anon_sym__Atomic] = ACTIONS(3616),
    [anon_sym__Noreturn] = ACTIONS(3616),
    [anon_sym_noreturn] = ACTIONS(3616),
    [anon_sym_mutable] = ACTIONS(3616),
    [anon_sym_constinit] = ACTIONS(3616),
    [anon_sym_consteval] = ACTIONS(3616),
    [anon_sym_alignas] = ACTIONS(3616),
    [anon_sym__Alignas] = ACTIONS(3616),
    [sym_primitive_type] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_struct] = ACTIONS(3616),
    [anon_sym_union] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_goto] = ACTIONS(3616),
    [anon_sym___try] = ACTIONS(3616),
    [anon_sym___leave] = ACTIONS(3616),
    [anon_sym_not] = ACTIONS(3616),
    [anon_sym_compl] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3618),
    [anon_sym_PLUS_PLUS] = ACTIONS(3618),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(3616),
    [anon_sym___alignof] = ACTIONS(3616),
    [anon_sym__alignof] = ACTIONS(3616),
    [anon_sym_alignof] = ACTIONS(3616),
    [anon_sym__Alignof] = ACTIONS(3616),
    [anon_sym_offsetof] = ACTIONS(3616),
    [anon_sym__Generic] = ACTIONS(3616),
    [anon_sym_asm] = ACTIONS(3616),
    [anon_sym___asm__] = ACTIONS(3616),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3618),
    [anon_sym_u_SQUOTE] = ACTIONS(3618),
    [anon_sym_U_SQUOTE] = ACTIONS(3618),
    [anon_sym_u8_SQUOTE] = ACTIONS(3618),
    [anon_sym_SQUOTE] = ACTIONS(3618),
    [anon_sym_L_DQUOTE] = ACTIONS(3618),
    [anon_sym_u_DQUOTE] = ACTIONS(3618),
    [anon_sym_U_DQUOTE] = ACTIONS(3618),
    [anon_sym_u8_DQUOTE] = ACTIONS(3618),
    [anon_sym_DQUOTE] = ACTIONS(3618),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [anon_sym_NULL] = ACTIONS(3616),
    [anon_sym_nullptr] = ACTIONS(3616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3616),
    [anon_sym_decltype] = ACTIONS(3616),
    [sym_virtual] = ACTIONS(3616),
    [anon_sym_explicit] = ACTIONS(3616),
    [anon_sym_typename] = ACTIONS(3616),
    [anon_sym_template] = ACTIONS(3616),
    [anon_sym_GT2] = ACTIONS(3618),
    [anon_sym_operator] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_co_return] = ACTIONS(3616),
    [anon_sym_co_yield] = ACTIONS(3616),
    [anon_sym_R_DQUOTE] = ACTIONS(3618),
    [anon_sym_LR_DQUOTE] = ACTIONS(3618),
    [anon_sym_uR_DQUOTE] = ACTIONS(3618),
    [anon_sym_UR_DQUOTE] = ACTIONS(3618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3618),
    [anon_sym_co_await] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_requires] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
  },
  [772] = {
    [sym_function_definition] = STATE(592),
    [sym_declaration] = STATE(592),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5786),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(592),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1633),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(592),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1633),
    [sym_operator_cast_definition] = STATE(592),
    [sym_operator_cast_declaration] = STATE(592),
    [sym_constructor_or_destructor_definition] = STATE(592),
    [sym_constructor_or_destructor_declaration] = STATE(592),
    [sym_friend_declaration] = STATE(592),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(592),
    [sym_concept_definition] = STATE(592),
    [sym_requires_clause] = STATE(783),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1633),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3620),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3622),
    [anon_sym_using] = ACTIONS(3624),
    [anon_sym_concept] = ACTIONS(233),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [773] = {
    [sym_function_definition] = STATE(2103),
    [sym_declaration] = STATE(2103),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4438),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1859),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5829),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2660),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(2103),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1624),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(2103),
    [sym_operator_cast] = STATE(6295),
    [sym__constructor_specifiers] = STATE(1624),
    [sym_operator_cast_definition] = STATE(2103),
    [sym_operator_cast_declaration] = STATE(2103),
    [sym_constructor_or_destructor_definition] = STATE(2103),
    [sym_constructor_or_destructor_declaration] = STATE(2103),
    [sym_friend_declaration] = STATE(2103),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(2103),
    [sym_concept_definition] = STATE(2103),
    [sym_requires_clause] = STATE(779),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6295),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1624),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_concept] = ACTIONS(3628),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [774] = {
    [sym_function_definition] = STATE(280),
    [sym_declaration] = STATE(280),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5790),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(280),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1641),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(280),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1641),
    [sym_operator_cast_definition] = STATE(280),
    [sym_operator_cast_declaration] = STATE(280),
    [sym_constructor_or_destructor_definition] = STATE(280),
    [sym_constructor_or_destructor_declaration] = STATE(280),
    [sym_friend_declaration] = STATE(280),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(280),
    [sym_concept_definition] = STATE(280),
    [sym_requires_clause] = STATE(777),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1641),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3630),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3632),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_concept] = ACTIONS(329),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [775] = {
    [sym_function_definition] = STATE(712),
    [sym_declaration] = STATE(712),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4355),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1827),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5718),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2633),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(712),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1643),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(712),
    [sym_operator_cast] = STATE(6298),
    [sym__constructor_specifiers] = STATE(1643),
    [sym_operator_cast_definition] = STATE(712),
    [sym_operator_cast_declaration] = STATE(712),
    [sym_constructor_or_destructor_definition] = STATE(712),
    [sym_constructor_or_destructor_declaration] = STATE(712),
    [sym_friend_declaration] = STATE(712),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(712),
    [sym_concept_definition] = STATE(712),
    [sym_requires_clause] = STATE(778),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6298),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1643),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3638),
    [anon_sym_using] = ACTIONS(3640),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_requires] = ACTIONS(3604),
  },
  [776] = {
    [sym_identifier] = ACTIONS(3642),
    [anon_sym_COMMA] = ACTIONS(3644),
    [anon_sym_RPAREN] = ACTIONS(3644),
    [anon_sym_LPAREN2] = ACTIONS(3644),
    [anon_sym_BANG] = ACTIONS(3644),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3642),
    [anon_sym_PLUS] = ACTIONS(3642),
    [anon_sym_STAR] = ACTIONS(3644),
    [anon_sym_AMP_AMP] = ACTIONS(3644),
    [anon_sym_AMP] = ACTIONS(3642),
    [anon_sym_SEMI] = ACTIONS(3644),
    [anon_sym___extension__] = ACTIONS(3642),
    [anon_sym_extern] = ACTIONS(3642),
    [anon_sym___attribute__] = ACTIONS(3642),
    [anon_sym_COLON_COLON] = ACTIONS(3644),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3642),
    [anon_sym___based] = ACTIONS(3642),
    [anon_sym_LBRACE] = ACTIONS(3644),
    [anon_sym_signed] = ACTIONS(3642),
    [anon_sym_unsigned] = ACTIONS(3642),
    [anon_sym_long] = ACTIONS(3642),
    [anon_sym_short] = ACTIONS(3642),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_static] = ACTIONS(3642),
    [anon_sym_EQ] = ACTIONS(3644),
    [anon_sym_register] = ACTIONS(3642),
    [anon_sym_inline] = ACTIONS(3642),
    [anon_sym___inline] = ACTIONS(3642),
    [anon_sym___inline__] = ACTIONS(3642),
    [anon_sym___forceinline] = ACTIONS(3642),
    [anon_sym_thread_local] = ACTIONS(3642),
    [anon_sym___thread] = ACTIONS(3642),
    [anon_sym_const] = ACTIONS(3642),
    [anon_sym_constexpr] = ACTIONS(3642),
    [anon_sym_volatile] = ACTIONS(3642),
    [anon_sym_restrict] = ACTIONS(3642),
    [anon_sym___restrict__] = ACTIONS(3642),
    [anon_sym__Atomic] = ACTIONS(3642),
    [anon_sym__Noreturn] = ACTIONS(3642),
    [anon_sym_noreturn] = ACTIONS(3642),
    [anon_sym_mutable] = ACTIONS(3642),
    [anon_sym_constinit] = ACTIONS(3642),
    [anon_sym_consteval] = ACTIONS(3642),
    [anon_sym_alignas] = ACTIONS(3642),
    [anon_sym__Alignas] = ACTIONS(3642),
    [sym_primitive_type] = ACTIONS(3642),
    [anon_sym_enum] = ACTIONS(3642),
    [anon_sym_class] = ACTIONS(3642),
    [anon_sym_struct] = ACTIONS(3642),
    [anon_sym_union] = ACTIONS(3642),
    [anon_sym_if] = ACTIONS(3642),
    [anon_sym_switch] = ACTIONS(3642),
    [anon_sym_case] = ACTIONS(3642),
    [anon_sym_default] = ACTIONS(3642),
    [anon_sym_while] = ACTIONS(3642),
    [anon_sym_do] = ACTIONS(3642),
    [anon_sym_for] = ACTIONS(3642),
    [anon_sym_return] = ACTIONS(3642),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_continue] = ACTIONS(3642),
    [anon_sym_goto] = ACTIONS(3642),
    [anon_sym___try] = ACTIONS(3642),
    [anon_sym___leave] = ACTIONS(3642),
    [anon_sym_not] = ACTIONS(3642),
    [anon_sym_compl] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3644),
    [anon_sym_PLUS_PLUS] = ACTIONS(3644),
    [anon_sym_sizeof] = ACTIONS(3642),
    [anon_sym___alignof__] = ACTIONS(3642),
    [anon_sym___alignof] = ACTIONS(3642),
    [anon_sym__alignof] = ACTIONS(3642),
    [anon_sym_alignof] = ACTIONS(3642),
    [anon_sym__Alignof] = ACTIONS(3642),
    [anon_sym_offsetof] = ACTIONS(3642),
    [anon_sym__Generic] = ACTIONS(3642),
    [anon_sym_asm] = ACTIONS(3642),
    [anon_sym___asm__] = ACTIONS(3642),
    [sym_number_literal] = ACTIONS(3644),
    [anon_sym_L_SQUOTE] = ACTIONS(3644),
    [anon_sym_u_SQUOTE] = ACTIONS(3644),
    [anon_sym_U_SQUOTE] = ACTIONS(3644),
    [anon_sym_u8_SQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3644),
    [anon_sym_L_DQUOTE] = ACTIONS(3644),
    [anon_sym_u_DQUOTE] = ACTIONS(3644),
    [anon_sym_U_DQUOTE] = ACTIONS(3644),
    [anon_sym_u8_DQUOTE] = ACTIONS(3644),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [sym_true] = ACTIONS(3642),
    [sym_false] = ACTIONS(3642),
    [anon_sym_NULL] = ACTIONS(3642),
    [anon_sym_nullptr] = ACTIONS(3642),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3642),
    [anon_sym_decltype] = ACTIONS(3642),
    [sym_virtual] = ACTIONS(3642),
    [anon_sym_explicit] = ACTIONS(3642),
    [anon_sym_typename] = ACTIONS(3642),
    [anon_sym_template] = ACTIONS(3642),
    [anon_sym_GT2] = ACTIONS(3644),
    [anon_sym_operator] = ACTIONS(3642),
    [anon_sym_try] = ACTIONS(3642),
    [anon_sym_delete] = ACTIONS(3642),
    [anon_sym_throw] = ACTIONS(3642),
    [anon_sym_co_return] = ACTIONS(3642),
    [anon_sym_co_yield] = ACTIONS(3642),
    [anon_sym_R_DQUOTE] = ACTIONS(3644),
    [anon_sym_LR_DQUOTE] = ACTIONS(3644),
    [anon_sym_uR_DQUOTE] = ACTIONS(3644),
    [anon_sym_UR_DQUOTE] = ACTIONS(3644),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3644),
    [anon_sym_co_await] = ACTIONS(3642),
    [anon_sym_new] = ACTIONS(3642),
    [anon_sym_requires] = ACTIONS(3642),
    [sym_this] = ACTIONS(3642),
  },
  [777] = {
    [sym_function_definition] = STATE(349),
    [sym_declaration] = STATE(349),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1852),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5790),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2629),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(349),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1641),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(349),
    [sym_operator_cast] = STATE(6278),
    [sym__constructor_specifiers] = STATE(1641),
    [sym_operator_cast_definition] = STATE(349),
    [sym_operator_cast_declaration] = STATE(349),
    [sym_constructor_or_destructor_definition] = STATE(349),
    [sym_constructor_or_destructor_declaration] = STATE(349),
    [sym_friend_declaration] = STATE(349),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(349),
    [sym_concept_definition] = STATE(349),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6278),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1641),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3630),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3632),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_concept] = ACTIONS(329),
  },
  [778] = {
    [sym_function_definition] = STATE(671),
    [sym_declaration] = STATE(671),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4355),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1827),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5718),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2633),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(671),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1643),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(671),
    [sym_operator_cast] = STATE(6298),
    [sym__constructor_specifiers] = STATE(1643),
    [sym_operator_cast_definition] = STATE(671),
    [sym_operator_cast_declaration] = STATE(671),
    [sym_constructor_or_destructor_definition] = STATE(671),
    [sym_constructor_or_destructor_declaration] = STATE(671),
    [sym_friend_declaration] = STATE(671),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(671),
    [sym_concept_definition] = STATE(671),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6298),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1643),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3636),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3638),
    [anon_sym_using] = ACTIONS(3640),
    [anon_sym_concept] = ACTIONS(145),
  },
  [779] = {
    [sym_function_definition] = STATE(2130),
    [sym_declaration] = STATE(2130),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4438),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1859),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5829),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2660),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(2130),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1624),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(2130),
    [sym_operator_cast] = STATE(6295),
    [sym__constructor_specifiers] = STATE(1624),
    [sym_operator_cast_definition] = STATE(2130),
    [sym_operator_cast_declaration] = STATE(2130),
    [sym_constructor_or_destructor_definition] = STATE(2130),
    [sym_constructor_or_destructor_declaration] = STATE(2130),
    [sym_friend_declaration] = STATE(2130),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(2130),
    [sym_concept_definition] = STATE(2130),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6295),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1624),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3362),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3364),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_concept] = ACTIONS(3628),
  },
  [780] = {
    [sym_function_definition] = STATE(543),
    [sym_declaration] = STATE(543),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4433),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1853),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5801),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2644),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(543),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1636),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(543),
    [sym_operator_cast] = STATE(6288),
    [sym__constructor_specifiers] = STATE(1636),
    [sym_operator_cast_definition] = STATE(543),
    [sym_operator_cast_declaration] = STATE(543),
    [sym_constructor_or_destructor_definition] = STATE(543),
    [sym_constructor_or_destructor_declaration] = STATE(543),
    [sym_friend_declaration] = STATE(543),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(543),
    [sym_concept_definition] = STATE(543),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6288),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1636),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3610),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3614),
    [anon_sym_concept] = ACTIONS(794),
  },
  [781] = {
    [sym_function_definition] = STATE(2148),
    [sym_declaration] = STATE(2148),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4436),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1855),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5808),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2653),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(2148),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1644),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(2148),
    [sym_operator_cast] = STATE(6284),
    [sym__constructor_specifiers] = STATE(1644),
    [sym_operator_cast_definition] = STATE(2148),
    [sym_operator_cast_declaration] = STATE(2148),
    [sym_constructor_or_destructor_definition] = STATE(2148),
    [sym_constructor_or_destructor_declaration] = STATE(2148),
    [sym_friend_declaration] = STATE(2148),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(2148),
    [sym_concept_definition] = STATE(2148),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6284),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1644),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3384),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3386),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_concept] = ACTIONS(3608),
  },
  [782] = {
    [sym_function_definition] = STATE(1763),
    [sym_declaration] = STATE(1763),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4437),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1857),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5760),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2657),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(1763),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1652),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(1763),
    [sym_operator_cast] = STATE(6285),
    [sym__constructor_specifiers] = STATE(1652),
    [sym_operator_cast_definition] = STATE(1763),
    [sym_operator_cast_declaration] = STATE(1763),
    [sym_constructor_or_destructor_definition] = STATE(1763),
    [sym_constructor_or_destructor_declaration] = STATE(1763),
    [sym_friend_declaration] = STATE(1763),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(1763),
    [sym_concept_definition] = STATE(1763),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6285),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1652),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3600),
    [anon_sym_concept] = ACTIONS(3602),
  },
  [783] = {
    [sym_function_definition] = STATE(662),
    [sym_declaration] = STATE(662),
    [sym__declaration_modifiers] = STATE(3293),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_attribute_specifier] = STATE(3293),
    [sym_attribute_declaration] = STATE(3293),
    [sym_ms_declspec_modifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(1868),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5786),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3293),
    [sym_type_qualifier] = STATE(3293),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2693),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym__empty_declaration] = STATE(662),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_explicit_function_specifier] = STATE(1633),
    [sym_dependent_type] = STATE(2477),
    [sym_template_declaration] = STATE(662),
    [sym_operator_cast] = STATE(6302),
    [sym__constructor_specifiers] = STATE(1633),
    [sym_operator_cast_definition] = STATE(662),
    [sym_operator_cast_declaration] = STATE(662),
    [sym_constructor_or_destructor_definition] = STATE(662),
    [sym_constructor_or_destructor_declaration] = STATE(662),
    [sym_friend_declaration] = STATE(662),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_alias_declaration] = STATE(662),
    [sym_concept_definition] = STATE(662),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5109),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_qualified_operator_cast_identifier] = STATE(6302),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [aux_sym_operator_cast_definition_repeat1] = STATE(1633),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3620),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3622),
    [anon_sym_using] = ACTIONS(3624),
    [anon_sym_concept] = ACTIONS(233),
  },
  [784] = {
    [sym_type_qualifier] = STATE(801),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4392),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(801),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3646),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3650),
    [anon_sym_RBRACK] = ACTIONS(3652),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [785] = {
    [sym_type_qualifier] = STATE(797),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4351),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(797),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3656),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3658),
    [anon_sym_RBRACK] = ACTIONS(3660),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [786] = {
    [sym_type_qualifier] = STATE(799),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(799),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3662),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3664),
    [anon_sym_RBRACK] = ACTIONS(3666),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [787] = {
    [sym_type_qualifier] = STATE(796),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4342),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(796),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3668),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3670),
    [anon_sym_RBRACK] = ACTIONS(3672),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [788] = {
    [sym_type_qualifier] = STATE(795),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4348),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(795),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3674),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3676),
    [anon_sym_RBRACK] = ACTIONS(3678),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [789] = {
    [sym_type_qualifier] = STATE(1610),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4431),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(1610),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3680),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_RBRACK] = ACTIONS(3684),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [790] = {
    [sym_type_qualifier] = STATE(1610),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4349),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(1610),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3686),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_RBRACK] = ACTIONS(3688),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [791] = {
    [sym_type_qualifier] = STATE(793),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4439),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(793),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3690),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3692),
    [anon_sym_RBRACK] = ACTIONS(3694),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [792] = {
    [sym_type_qualifier] = STATE(793),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4439),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(793),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3690),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3692),
    [anon_sym_RBRACK] = ACTIONS(3694),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [793] = {
    [sym_type_qualifier] = STATE(1610),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4356),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(1610),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3698),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_RBRACK] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [794] = {
    [sym_type_qualifier] = STATE(790),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4424),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(790),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3702),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3704),
    [anon_sym_RBRACK] = ACTIONS(3706),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [795] = {
    [sym_type_qualifier] = STATE(1610),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4353),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(1610),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3708),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_RBRACK] = ACTIONS(3710),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [796] = {
    [sym_type_qualifier] = STATE(1610),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4347),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(1610),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3712),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_RBRACK] = ACTIONS(3714),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [797] = {
    [sym_type_qualifier] = STATE(1610),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4354),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(1610),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3716),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_RBRACK] = ACTIONS(3718),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [798] = {
    [sym_type_qualifier] = STATE(800),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4377),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(800),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3720),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3722),
    [anon_sym_RBRACK] = ACTIONS(3724),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [799] = {
    [sym_type_qualifier] = STATE(1610),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4407),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(1610),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3726),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_RBRACK] = ACTIONS(3728),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [800] = {
    [sym_type_qualifier] = STATE(1610),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4379),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(1610),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3730),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_RBRACK] = ACTIONS(3732),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [801] = {
    [sym_type_qualifier] = STATE(1610),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4393),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(1610),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3734),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_RBRACK] = ACTIONS(3736),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [802] = {
    [sym_type_qualifier] = STATE(1610),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4410),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(1610),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3738),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_RBRACK] = ACTIONS(3740),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [803] = {
    [sym_type_qualifier] = STATE(789),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4425),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3742),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3744),
    [anon_sym_RBRACK] = ACTIONS(3746),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [804] = {
    [sym_type_qualifier] = STATE(802),
    [sym_alignas_qualifier] = STATE(1661),
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [aux_sym_array_declarator_repeat1] = STATE(802),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(3748),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(3648),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(3750),
    [anon_sym_RBRACK] = ACTIONS(3752),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_constexpr] = ACTIONS(3648),
    [anon_sym_volatile] = ACTIONS(3648),
    [anon_sym_restrict] = ACTIONS(3648),
    [anon_sym___restrict__] = ACTIONS(3648),
    [anon_sym__Atomic] = ACTIONS(3648),
    [anon_sym__Noreturn] = ACTIONS(3648),
    [anon_sym_noreturn] = ACTIONS(3648),
    [anon_sym_mutable] = ACTIONS(3648),
    [anon_sym_constinit] = ACTIONS(3648),
    [anon_sym_consteval] = ACTIONS(3648),
    [anon_sym_alignas] = ACTIONS(3654),
    [anon_sym__Alignas] = ACTIONS(3654),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [805] = {
    [sym_identifier] = ACTIONS(3754),
    [anon_sym_LPAREN2] = ACTIONS(3757),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_STAR] = ACTIONS(3757),
    [anon_sym_AMP_AMP] = ACTIONS(3764),
    [anon_sym_AMP] = ACTIONS(3754),
    [anon_sym_SEMI] = ACTIONS(3760),
    [anon_sym___extension__] = ACTIONS(3766),
    [anon_sym_extern] = ACTIONS(3766),
    [anon_sym___attribute__] = ACTIONS(3766),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3757),
    [anon_sym___declspec] = ACTIONS(3766),
    [anon_sym___based] = ACTIONS(3766),
    [anon_sym_LBRACE] = ACTIONS(3760),
    [anon_sym_signed] = ACTIONS(3766),
    [anon_sym_unsigned] = ACTIONS(3766),
    [anon_sym_long] = ACTIONS(3766),
    [anon_sym_short] = ACTIONS(3766),
    [anon_sym_LBRACK] = ACTIONS(3754),
    [anon_sym_static] = ACTIONS(3766),
    [anon_sym_register] = ACTIONS(3766),
    [anon_sym_inline] = ACTIONS(3766),
    [anon_sym___inline] = ACTIONS(3766),
    [anon_sym___inline__] = ACTIONS(3766),
    [anon_sym___forceinline] = ACTIONS(3766),
    [anon_sym_thread_local] = ACTIONS(3766),
    [anon_sym___thread] = ACTIONS(3766),
    [anon_sym_const] = ACTIONS(3766),
    [anon_sym_constexpr] = ACTIONS(3766),
    [anon_sym_volatile] = ACTIONS(3766),
    [anon_sym_restrict] = ACTIONS(3766),
    [anon_sym___restrict__] = ACTIONS(3766),
    [anon_sym__Atomic] = ACTIONS(3766),
    [anon_sym__Noreturn] = ACTIONS(3766),
    [anon_sym_noreturn] = ACTIONS(3766),
    [anon_sym_mutable] = ACTIONS(3766),
    [anon_sym_constinit] = ACTIONS(3766),
    [anon_sym_consteval] = ACTIONS(3766),
    [anon_sym_alignas] = ACTIONS(3766),
    [anon_sym__Alignas] = ACTIONS(3766),
    [sym_primitive_type] = ACTIONS(3754),
    [anon_sym_enum] = ACTIONS(3766),
    [anon_sym_class] = ACTIONS(3766),
    [anon_sym_struct] = ACTIONS(3766),
    [anon_sym_union] = ACTIONS(3766),
    [anon_sym_if] = ACTIONS(3762),
    [anon_sym_switch] = ACTIONS(3762),
    [anon_sym_case] = ACTIONS(3762),
    [anon_sym_default] = ACTIONS(3762),
    [anon_sym_while] = ACTIONS(3762),
    [anon_sym_do] = ACTIONS(3762),
    [anon_sym_for] = ACTIONS(3762),
    [anon_sym_return] = ACTIONS(3762),
    [anon_sym_break] = ACTIONS(3762),
    [anon_sym_continue] = ACTIONS(3762),
    [anon_sym_goto] = ACTIONS(3762),
    [anon_sym___try] = ACTIONS(3762),
    [anon_sym___leave] = ACTIONS(3762),
    [anon_sym_not] = ACTIONS(3762),
    [anon_sym_compl] = ACTIONS(3762),
    [anon_sym_DASH_DASH] = ACTIONS(3760),
    [anon_sym_PLUS_PLUS] = ACTIONS(3760),
    [anon_sym_sizeof] = ACTIONS(3762),
    [anon_sym___alignof__] = ACTIONS(3762),
    [anon_sym___alignof] = ACTIONS(3762),
    [anon_sym__alignof] = ACTIONS(3762),
    [anon_sym_alignof] = ACTIONS(3762),
    [anon_sym__Alignof] = ACTIONS(3762),
    [anon_sym_offsetof] = ACTIONS(3762),
    [anon_sym__Generic] = ACTIONS(3762),
    [anon_sym_asm] = ACTIONS(3762),
    [anon_sym___asm__] = ACTIONS(3762),
    [sym_number_literal] = ACTIONS(3760),
    [anon_sym_L_SQUOTE] = ACTIONS(3760),
    [anon_sym_u_SQUOTE] = ACTIONS(3760),
    [anon_sym_U_SQUOTE] = ACTIONS(3760),
    [anon_sym_u8_SQUOTE] = ACTIONS(3760),
    [anon_sym_SQUOTE] = ACTIONS(3760),
    [anon_sym_L_DQUOTE] = ACTIONS(3760),
    [anon_sym_u_DQUOTE] = ACTIONS(3760),
    [anon_sym_U_DQUOTE] = ACTIONS(3760),
    [anon_sym_u8_DQUOTE] = ACTIONS(3760),
    [anon_sym_DQUOTE] = ACTIONS(3760),
    [sym_true] = ACTIONS(3762),
    [sym_false] = ACTIONS(3762),
    [anon_sym_NULL] = ACTIONS(3762),
    [anon_sym_nullptr] = ACTIONS(3762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3766),
    [anon_sym_decltype] = ACTIONS(3754),
    [sym_virtual] = ACTIONS(3766),
    [anon_sym_explicit] = ACTIONS(3766),
    [anon_sym_typename] = ACTIONS(3766),
    [anon_sym_template] = ACTIONS(3754),
    [anon_sym_operator] = ACTIONS(3766),
    [anon_sym_try] = ACTIONS(3762),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_throw] = ACTIONS(3762),
    [anon_sym_co_return] = ACTIONS(3762),
    [anon_sym_co_yield] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3760),
    [anon_sym_LR_DQUOTE] = ACTIONS(3760),
    [anon_sym_uR_DQUOTE] = ACTIONS(3760),
    [anon_sym_UR_DQUOTE] = ACTIONS(3760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3760),
    [anon_sym_co_await] = ACTIONS(3762),
    [anon_sym_new] = ACTIONS(3762),
    [anon_sym_requires] = ACTIONS(3762),
    [sym_this] = ACTIONS(3762),
  },
  [806] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(1546),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3772),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3783),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3791),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym___cdecl] = ACTIONS(3768),
    [anon_sym___clrcall] = ACTIONS(3768),
    [anon_sym___stdcall] = ACTIONS(3768),
    [anon_sym___fastcall] = ACTIONS(3768),
    [anon_sym___thiscall] = ACTIONS(3768),
    [anon_sym___vectorcall] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3804),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [807] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(1546),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3772),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3783),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3791),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym___cdecl] = ACTIONS(3768),
    [anon_sym___clrcall] = ACTIONS(3768),
    [anon_sym___stdcall] = ACTIONS(3768),
    [anon_sym___fastcall] = ACTIONS(3768),
    [anon_sym___thiscall] = ACTIONS(3768),
    [anon_sym___vectorcall] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3808),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [808] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(1546),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3772),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3783),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3791),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym___cdecl] = ACTIONS(3768),
    [anon_sym___clrcall] = ACTIONS(3768),
    [anon_sym___stdcall] = ACTIONS(3768),
    [anon_sym___fastcall] = ACTIONS(3768),
    [anon_sym___thiscall] = ACTIONS(3768),
    [anon_sym___vectorcall] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3810),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [809] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(1546),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3772),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3783),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3791),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym___cdecl] = ACTIONS(3768),
    [anon_sym___clrcall] = ACTIONS(3768),
    [anon_sym___stdcall] = ACTIONS(3768),
    [anon_sym___fastcall] = ACTIONS(3768),
    [anon_sym___thiscall] = ACTIONS(3768),
    [anon_sym___vectorcall] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [810] = {
    [sym_catch_clause] = STATE(811),
    [aux_sym_constructor_try_statement_repeat1] = STATE(811),
    [sym_identifier] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_BANG] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2409),
    [anon_sym_SEMI] = ACTIONS(2409),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym_LBRACE] = ACTIONS(2409),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(2407),
    [anon_sym_switch] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2407),
    [anon_sym_for] = ACTIONS(2407),
    [anon_sym_return] = ACTIONS(2407),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2407),
    [anon_sym_goto] = ACTIONS(2407),
    [anon_sym___try] = ACTIONS(2407),
    [anon_sym___leave] = ACTIONS(2407),
    [anon_sym_not] = ACTIONS(2407),
    [anon_sym_compl] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2409),
    [anon_sym_PLUS_PLUS] = ACTIONS(2409),
    [anon_sym_sizeof] = ACTIONS(2407),
    [anon_sym___alignof__] = ACTIONS(2407),
    [anon_sym___alignof] = ACTIONS(2407),
    [anon_sym__alignof] = ACTIONS(2407),
    [anon_sym_alignof] = ACTIONS(2407),
    [anon_sym__Alignof] = ACTIONS(2407),
    [anon_sym_offsetof] = ACTIONS(2407),
    [anon_sym__Generic] = ACTIONS(2407),
    [anon_sym_asm] = ACTIONS(2407),
    [anon_sym___asm__] = ACTIONS(2407),
    [sym_number_literal] = ACTIONS(2409),
    [anon_sym_L_SQUOTE] = ACTIONS(2409),
    [anon_sym_u_SQUOTE] = ACTIONS(2409),
    [anon_sym_U_SQUOTE] = ACTIONS(2409),
    [anon_sym_u8_SQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2409),
    [anon_sym_L_DQUOTE] = ACTIONS(2409),
    [anon_sym_u_DQUOTE] = ACTIONS(2409),
    [anon_sym_U_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8_DQUOTE] = ACTIONS(2409),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2407),
    [anon_sym_nullptr] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_try] = ACTIONS(2407),
    [anon_sym_delete] = ACTIONS(2407),
    [anon_sym_throw] = ACTIONS(2407),
    [anon_sym_co_return] = ACTIONS(2407),
    [anon_sym_co_yield] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(3814),
    [anon_sym_R_DQUOTE] = ACTIONS(2409),
    [anon_sym_LR_DQUOTE] = ACTIONS(2409),
    [anon_sym_uR_DQUOTE] = ACTIONS(2409),
    [anon_sym_UR_DQUOTE] = ACTIONS(2409),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2409),
    [anon_sym_co_await] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_requires] = ACTIONS(2407),
    [sym_this] = ACTIONS(2407),
  },
  [811] = {
    [sym_catch_clause] = STATE(811),
    [aux_sym_constructor_try_statement_repeat1] = STATE(811),
    [sym_identifier] = ACTIONS(2413),
    [anon_sym_LPAREN2] = ACTIONS(2415),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_STAR] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2415),
    [anon_sym___extension__] = ACTIONS(2413),
    [anon_sym_typedef] = ACTIONS(2413),
    [anon_sym_extern] = ACTIONS(2413),
    [anon_sym___attribute__] = ACTIONS(2413),
    [anon_sym_COLON_COLON] = ACTIONS(2415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2415),
    [anon_sym___declspec] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2415),
    [anon_sym_signed] = ACTIONS(2413),
    [anon_sym_unsigned] = ACTIONS(2413),
    [anon_sym_long] = ACTIONS(2413),
    [anon_sym_short] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2413),
    [anon_sym_static] = ACTIONS(2413),
    [anon_sym_register] = ACTIONS(2413),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym___inline] = ACTIONS(2413),
    [anon_sym___inline__] = ACTIONS(2413),
    [anon_sym___forceinline] = ACTIONS(2413),
    [anon_sym_thread_local] = ACTIONS(2413),
    [anon_sym___thread] = ACTIONS(2413),
    [anon_sym_const] = ACTIONS(2413),
    [anon_sym_constexpr] = ACTIONS(2413),
    [anon_sym_volatile] = ACTIONS(2413),
    [anon_sym_restrict] = ACTIONS(2413),
    [anon_sym___restrict__] = ACTIONS(2413),
    [anon_sym__Atomic] = ACTIONS(2413),
    [anon_sym__Noreturn] = ACTIONS(2413),
    [anon_sym_noreturn] = ACTIONS(2413),
    [anon_sym_mutable] = ACTIONS(2413),
    [anon_sym_constinit] = ACTIONS(2413),
    [anon_sym_consteval] = ACTIONS(2413),
    [anon_sym_alignas] = ACTIONS(2413),
    [anon_sym__Alignas] = ACTIONS(2413),
    [sym_primitive_type] = ACTIONS(2413),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_class] = ACTIONS(2413),
    [anon_sym_struct] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_do] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_return] = ACTIONS(2413),
    [anon_sym_break] = ACTIONS(2413),
    [anon_sym_continue] = ACTIONS(2413),
    [anon_sym_goto] = ACTIONS(2413),
    [anon_sym___try] = ACTIONS(2413),
    [anon_sym___leave] = ACTIONS(2413),
    [anon_sym_not] = ACTIONS(2413),
    [anon_sym_compl] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2415),
    [anon_sym_sizeof] = ACTIONS(2413),
    [anon_sym___alignof__] = ACTIONS(2413),
    [anon_sym___alignof] = ACTIONS(2413),
    [anon_sym__alignof] = ACTIONS(2413),
    [anon_sym_alignof] = ACTIONS(2413),
    [anon_sym__Alignof] = ACTIONS(2413),
    [anon_sym_offsetof] = ACTIONS(2413),
    [anon_sym__Generic] = ACTIONS(2413),
    [anon_sym_asm] = ACTIONS(2413),
    [anon_sym___asm__] = ACTIONS(2413),
    [sym_number_literal] = ACTIONS(2415),
    [anon_sym_L_SQUOTE] = ACTIONS(2415),
    [anon_sym_u_SQUOTE] = ACTIONS(2415),
    [anon_sym_U_SQUOTE] = ACTIONS(2415),
    [anon_sym_u8_SQUOTE] = ACTIONS(2415),
    [anon_sym_SQUOTE] = ACTIONS(2415),
    [anon_sym_L_DQUOTE] = ACTIONS(2415),
    [anon_sym_u_DQUOTE] = ACTIONS(2415),
    [anon_sym_U_DQUOTE] = ACTIONS(2415),
    [anon_sym_u8_DQUOTE] = ACTIONS(2415),
    [anon_sym_DQUOTE] = ACTIONS(2415),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [anon_sym_NULL] = ACTIONS(2413),
    [anon_sym_nullptr] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2413),
    [anon_sym_decltype] = ACTIONS(2413),
    [sym_virtual] = ACTIONS(2413),
    [anon_sym_typename] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2413),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_delete] = ACTIONS(2413),
    [anon_sym_throw] = ACTIONS(2413),
    [anon_sym_co_return] = ACTIONS(2413),
    [anon_sym_co_yield] = ACTIONS(2413),
    [anon_sym_catch] = ACTIONS(3816),
    [anon_sym_R_DQUOTE] = ACTIONS(2415),
    [anon_sym_LR_DQUOTE] = ACTIONS(2415),
    [anon_sym_uR_DQUOTE] = ACTIONS(2415),
    [anon_sym_UR_DQUOTE] = ACTIONS(2415),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2415),
    [anon_sym_co_await] = ACTIONS(2413),
    [anon_sym_new] = ACTIONS(2413),
    [anon_sym_requires] = ACTIONS(2413),
    [sym_this] = ACTIONS(2413),
  },
  [812] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(1546),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3772),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3819),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3791),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym___cdecl] = ACTIONS(3768),
    [anon_sym___clrcall] = ACTIONS(3768),
    [anon_sym___stdcall] = ACTIONS(3768),
    [anon_sym___fastcall] = ACTIONS(3768),
    [anon_sym___thiscall] = ACTIONS(3768),
    [anon_sym___vectorcall] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3821),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [813] = {
    [sym_else_clause] = STATE(825),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym___extension__] = ACTIONS(2488),
    [anon_sym_typedef] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym___attribute__] = ACTIONS(2488),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2490),
    [anon_sym___declspec] = ACTIONS(2488),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_signed] = ACTIONS(2488),
    [anon_sym_unsigned] = ACTIONS(2488),
    [anon_sym_long] = ACTIONS(2488),
    [anon_sym_short] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_register] = ACTIONS(2488),
    [anon_sym_inline] = ACTIONS(2488),
    [anon_sym___inline] = ACTIONS(2488),
    [anon_sym___inline__] = ACTIONS(2488),
    [anon_sym___forceinline] = ACTIONS(2488),
    [anon_sym_thread_local] = ACTIONS(2488),
    [anon_sym___thread] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_constexpr] = ACTIONS(2488),
    [anon_sym_volatile] = ACTIONS(2488),
    [anon_sym_restrict] = ACTIONS(2488),
    [anon_sym___restrict__] = ACTIONS(2488),
    [anon_sym__Atomic] = ACTIONS(2488),
    [anon_sym__Noreturn] = ACTIONS(2488),
    [anon_sym_noreturn] = ACTIONS(2488),
    [anon_sym_mutable] = ACTIONS(2488),
    [anon_sym_constinit] = ACTIONS(2488),
    [anon_sym_consteval] = ACTIONS(2488),
    [anon_sym_alignas] = ACTIONS(2488),
    [anon_sym__Alignas] = ACTIONS(2488),
    [sym_primitive_type] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_class] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_else] = ACTIONS(3823),
    [anon_sym_switch] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_do] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_goto] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2488),
    [anon_sym___leave] = ACTIONS(2488),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_sizeof] = ACTIONS(2488),
    [anon_sym___alignof__] = ACTIONS(2488),
    [anon_sym___alignof] = ACTIONS(2488),
    [anon_sym__alignof] = ACTIONS(2488),
    [anon_sym_alignof] = ACTIONS(2488),
    [anon_sym__Alignof] = ACTIONS(2488),
    [anon_sym_offsetof] = ACTIONS(2488),
    [anon_sym__Generic] = ACTIONS(2488),
    [anon_sym_asm] = ACTIONS(2488),
    [anon_sym___asm__] = ACTIONS(2488),
    [sym_number_literal] = ACTIONS(2490),
    [anon_sym_L_SQUOTE] = ACTIONS(2490),
    [anon_sym_u_SQUOTE] = ACTIONS(2490),
    [anon_sym_U_SQUOTE] = ACTIONS(2490),
    [anon_sym_u8_SQUOTE] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2490),
    [anon_sym_L_DQUOTE] = ACTIONS(2490),
    [anon_sym_u_DQUOTE] = ACTIONS(2490),
    [anon_sym_U_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8_DQUOTE] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2490),
    [sym_true] = ACTIONS(2488),
    [sym_false] = ACTIONS(2488),
    [anon_sym_NULL] = ACTIONS(2488),
    [anon_sym_nullptr] = ACTIONS(2488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2488),
    [anon_sym_decltype] = ACTIONS(2488),
    [sym_virtual] = ACTIONS(2488),
    [anon_sym_typename] = ACTIONS(2488),
    [anon_sym_template] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2488),
    [anon_sym_throw] = ACTIONS(2488),
    [anon_sym_co_return] = ACTIONS(2488),
    [anon_sym_co_yield] = ACTIONS(2488),
    [anon_sym_R_DQUOTE] = ACTIONS(2490),
    [anon_sym_LR_DQUOTE] = ACTIONS(2490),
    [anon_sym_uR_DQUOTE] = ACTIONS(2490),
    [anon_sym_UR_DQUOTE] = ACTIONS(2490),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2490),
    [anon_sym_co_await] = ACTIONS(2488),
    [anon_sym_new] = ACTIONS(2488),
    [anon_sym_requires] = ACTIONS(2488),
    [sym_this] = ACTIONS(2488),
  },
  [814] = {
    [sym_identifier] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_BANG] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1880),
    [anon_sym_SEMI] = ACTIONS(1880),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1880),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [anon_sym_if] = ACTIONS(1882),
    [anon_sym_else] = ACTIONS(1882),
    [anon_sym_switch] = ACTIONS(1882),
    [anon_sym_while] = ACTIONS(1882),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_for] = ACTIONS(1882),
    [anon_sym_return] = ACTIONS(1882),
    [anon_sym_break] = ACTIONS(1882),
    [anon_sym_continue] = ACTIONS(1882),
    [anon_sym_goto] = ACTIONS(1882),
    [anon_sym___try] = ACTIONS(1882),
    [anon_sym___leave] = ACTIONS(1882),
    [anon_sym_not] = ACTIONS(1882),
    [anon_sym_compl] = ACTIONS(1882),
    [anon_sym_DASH_DASH] = ACTIONS(1880),
    [anon_sym_PLUS_PLUS] = ACTIONS(1880),
    [anon_sym_sizeof] = ACTIONS(1882),
    [anon_sym___alignof__] = ACTIONS(1882),
    [anon_sym___alignof] = ACTIONS(1882),
    [anon_sym__alignof] = ACTIONS(1882),
    [anon_sym_alignof] = ACTIONS(1882),
    [anon_sym__Alignof] = ACTIONS(1882),
    [anon_sym_offsetof] = ACTIONS(1882),
    [anon_sym__Generic] = ACTIONS(1882),
    [anon_sym_asm] = ACTIONS(1882),
    [anon_sym___asm__] = ACTIONS(1882),
    [sym_number_literal] = ACTIONS(1880),
    [anon_sym_L_SQUOTE] = ACTIONS(1880),
    [anon_sym_u_SQUOTE] = ACTIONS(1880),
    [anon_sym_U_SQUOTE] = ACTIONS(1880),
    [anon_sym_u8_SQUOTE] = ACTIONS(1880),
    [anon_sym_SQUOTE] = ACTIONS(1880),
    [anon_sym_L_DQUOTE] = ACTIONS(1880),
    [anon_sym_u_DQUOTE] = ACTIONS(1880),
    [anon_sym_U_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8_DQUOTE] = ACTIONS(1880),
    [anon_sym_DQUOTE] = ACTIONS(1880),
    [sym_true] = ACTIONS(1882),
    [sym_false] = ACTIONS(1882),
    [anon_sym_NULL] = ACTIONS(1882),
    [anon_sym_nullptr] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_try] = ACTIONS(1882),
    [anon_sym_delete] = ACTIONS(1882),
    [anon_sym_throw] = ACTIONS(1882),
    [anon_sym_co_return] = ACTIONS(1882),
    [anon_sym_co_yield] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
    [anon_sym_R_DQUOTE] = ACTIONS(1880),
    [anon_sym_LR_DQUOTE] = ACTIONS(1880),
    [anon_sym_uR_DQUOTE] = ACTIONS(1880),
    [anon_sym_UR_DQUOTE] = ACTIONS(1880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1880),
    [anon_sym_co_await] = ACTIONS(1882),
    [anon_sym_new] = ACTIONS(1882),
    [anon_sym_requires] = ACTIONS(1882),
    [sym_this] = ACTIONS(1882),
  },
  [815] = {
    [sym_identifier] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_PLUS] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_else] = ACTIONS(2494),
    [anon_sym_switch] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_do] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2494),
    [anon_sym_return] = ACTIONS(2494),
    [anon_sym_break] = ACTIONS(2494),
    [anon_sym_continue] = ACTIONS(2494),
    [anon_sym_goto] = ACTIONS(2494),
    [anon_sym___try] = ACTIONS(2494),
    [anon_sym___leave] = ACTIONS(2494),
    [anon_sym_not] = ACTIONS(2494),
    [anon_sym_compl] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2494),
    [anon_sym___alignof] = ACTIONS(2494),
    [anon_sym__alignof] = ACTIONS(2494),
    [anon_sym_alignof] = ACTIONS(2494),
    [anon_sym__Alignof] = ACTIONS(2494),
    [anon_sym_offsetof] = ACTIONS(2494),
    [anon_sym__Generic] = ACTIONS(2494),
    [anon_sym_asm] = ACTIONS(2494),
    [anon_sym___asm__] = ACTIONS(2494),
    [sym_number_literal] = ACTIONS(2496),
    [anon_sym_L_SQUOTE] = ACTIONS(2496),
    [anon_sym_u_SQUOTE] = ACTIONS(2496),
    [anon_sym_U_SQUOTE] = ACTIONS(2496),
    [anon_sym_u8_SQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_L_DQUOTE] = ACTIONS(2496),
    [anon_sym_u_DQUOTE] = ACTIONS(2496),
    [anon_sym_U_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8_DQUOTE] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [sym_true] = ACTIONS(2494),
    [sym_false] = ACTIONS(2494),
    [anon_sym_NULL] = ACTIONS(2494),
    [anon_sym_nullptr] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_try] = ACTIONS(2494),
    [anon_sym_delete] = ACTIONS(2494),
    [anon_sym_throw] = ACTIONS(2494),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
    [anon_sym_R_DQUOTE] = ACTIONS(2496),
    [anon_sym_LR_DQUOTE] = ACTIONS(2496),
    [anon_sym_uR_DQUOTE] = ACTIONS(2496),
    [anon_sym_UR_DQUOTE] = ACTIONS(2496),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2496),
    [anon_sym_co_await] = ACTIONS(2494),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2494),
    [sym_this] = ACTIONS(2494),
  },
  [816] = {
    [sym_else_clause] = STATE(857),
    [sym_identifier] = ACTIONS(2498),
    [anon_sym_LPAREN2] = ACTIONS(2500),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym___extension__] = ACTIONS(2498),
    [anon_sym_typedef] = ACTIONS(2498),
    [anon_sym_extern] = ACTIONS(2498),
    [anon_sym___attribute__] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2500),
    [anon_sym___declspec] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_signed] = ACTIONS(2498),
    [anon_sym_unsigned] = ACTIONS(2498),
    [anon_sym_long] = ACTIONS(2498),
    [anon_sym_short] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_register] = ACTIONS(2498),
    [anon_sym_inline] = ACTIONS(2498),
    [anon_sym___inline] = ACTIONS(2498),
    [anon_sym___inline__] = ACTIONS(2498),
    [anon_sym___forceinline] = ACTIONS(2498),
    [anon_sym_thread_local] = ACTIONS(2498),
    [anon_sym___thread] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_constexpr] = ACTIONS(2498),
    [anon_sym_volatile] = ACTIONS(2498),
    [anon_sym_restrict] = ACTIONS(2498),
    [anon_sym___restrict__] = ACTIONS(2498),
    [anon_sym__Atomic] = ACTIONS(2498),
    [anon_sym__Noreturn] = ACTIONS(2498),
    [anon_sym_noreturn] = ACTIONS(2498),
    [anon_sym_mutable] = ACTIONS(2498),
    [anon_sym_constinit] = ACTIONS(2498),
    [anon_sym_consteval] = ACTIONS(2498),
    [anon_sym_alignas] = ACTIONS(2498),
    [anon_sym__Alignas] = ACTIONS(2498),
    [sym_primitive_type] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_struct] = ACTIONS(2498),
    [anon_sym_union] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_else] = ACTIONS(3823),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_goto] = ACTIONS(2498),
    [anon_sym___try] = ACTIONS(2498),
    [anon_sym___leave] = ACTIONS(2498),
    [anon_sym_not] = ACTIONS(2498),
    [anon_sym_compl] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_sizeof] = ACTIONS(2498),
    [anon_sym___alignof__] = ACTIONS(2498),
    [anon_sym___alignof] = ACTIONS(2498),
    [anon_sym__alignof] = ACTIONS(2498),
    [anon_sym_alignof] = ACTIONS(2498),
    [anon_sym__Alignof] = ACTIONS(2498),
    [anon_sym_offsetof] = ACTIONS(2498),
    [anon_sym__Generic] = ACTIONS(2498),
    [anon_sym_asm] = ACTIONS(2498),
    [anon_sym___asm__] = ACTIONS(2498),
    [sym_number_literal] = ACTIONS(2500),
    [anon_sym_L_SQUOTE] = ACTIONS(2500),
    [anon_sym_u_SQUOTE] = ACTIONS(2500),
    [anon_sym_U_SQUOTE] = ACTIONS(2500),
    [anon_sym_u8_SQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_L_DQUOTE] = ACTIONS(2500),
    [anon_sym_u_DQUOTE] = ACTIONS(2500),
    [anon_sym_U_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8_DQUOTE] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [anon_sym_NULL] = ACTIONS(2498),
    [anon_sym_nullptr] = ACTIONS(2498),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2498),
    [anon_sym_decltype] = ACTIONS(2498),
    [sym_virtual] = ACTIONS(2498),
    [anon_sym_typename] = ACTIONS(2498),
    [anon_sym_template] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_co_return] = ACTIONS(2498),
    [anon_sym_co_yield] = ACTIONS(2498),
    [anon_sym_R_DQUOTE] = ACTIONS(2500),
    [anon_sym_LR_DQUOTE] = ACTIONS(2500),
    [anon_sym_uR_DQUOTE] = ACTIONS(2500),
    [anon_sym_UR_DQUOTE] = ACTIONS(2500),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2500),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_requires] = ACTIONS(2498),
    [sym_this] = ACTIONS(2498),
  },
  [817] = {
    [sym_identifier] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1876),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [anon_sym_if] = ACTIONS(1878),
    [anon_sym_else] = ACTIONS(1878),
    [anon_sym_switch] = ACTIONS(1878),
    [anon_sym_while] = ACTIONS(1878),
    [anon_sym_do] = ACTIONS(1878),
    [anon_sym_for] = ACTIONS(1878),
    [anon_sym_return] = ACTIONS(1878),
    [anon_sym_break] = ACTIONS(1878),
    [anon_sym_continue] = ACTIONS(1878),
    [anon_sym_goto] = ACTIONS(1878),
    [anon_sym___try] = ACTIONS(1878),
    [anon_sym___leave] = ACTIONS(1878),
    [anon_sym_not] = ACTIONS(1878),
    [anon_sym_compl] = ACTIONS(1878),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_sizeof] = ACTIONS(1878),
    [anon_sym___alignof__] = ACTIONS(1878),
    [anon_sym___alignof] = ACTIONS(1878),
    [anon_sym__alignof] = ACTIONS(1878),
    [anon_sym_alignof] = ACTIONS(1878),
    [anon_sym__Alignof] = ACTIONS(1878),
    [anon_sym_offsetof] = ACTIONS(1878),
    [anon_sym__Generic] = ACTIONS(1878),
    [anon_sym_asm] = ACTIONS(1878),
    [anon_sym___asm__] = ACTIONS(1878),
    [sym_number_literal] = ACTIONS(1876),
    [anon_sym_L_SQUOTE] = ACTIONS(1876),
    [anon_sym_u_SQUOTE] = ACTIONS(1876),
    [anon_sym_U_SQUOTE] = ACTIONS(1876),
    [anon_sym_u8_SQUOTE] = ACTIONS(1876),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_L_DQUOTE] = ACTIONS(1876),
    [anon_sym_u_DQUOTE] = ACTIONS(1876),
    [anon_sym_U_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8_DQUOTE] = ACTIONS(1876),
    [anon_sym_DQUOTE] = ACTIONS(1876),
    [sym_true] = ACTIONS(1878),
    [sym_false] = ACTIONS(1878),
    [anon_sym_NULL] = ACTIONS(1878),
    [anon_sym_nullptr] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_try] = ACTIONS(1878),
    [anon_sym_delete] = ACTIONS(1878),
    [anon_sym_throw] = ACTIONS(1878),
    [anon_sym_co_return] = ACTIONS(1878),
    [anon_sym_co_yield] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
    [anon_sym_R_DQUOTE] = ACTIONS(1876),
    [anon_sym_LR_DQUOTE] = ACTIONS(1876),
    [anon_sym_uR_DQUOTE] = ACTIONS(1876),
    [anon_sym_UR_DQUOTE] = ACTIONS(1876),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1876),
    [anon_sym_co_await] = ACTIONS(1878),
    [anon_sym_new] = ACTIONS(1878),
    [anon_sym_requires] = ACTIONS(1878),
    [sym_this] = ACTIONS(1878),
  },
  [818] = {
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6072),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(5906),
    [sym_expression] = STATE(2918),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3083),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5254),
    [sym_qualified_identifier] = STATE(2998),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_LPAREN2] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [819] = {
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [820] = {
    [sym_identifier] = ACTIONS(3754),
    [anon_sym_LPAREN2] = ACTIONS(3760),
    [anon_sym_BANG] = ACTIONS(3760),
    [anon_sym_TILDE] = ACTIONS(3760),
    [anon_sym_DASH] = ACTIONS(3762),
    [anon_sym_PLUS] = ACTIONS(3762),
    [anon_sym_STAR] = ACTIONS(3760),
    [anon_sym_AMP] = ACTIONS(3760),
    [anon_sym_SEMI] = ACTIONS(3760),
    [anon_sym___extension__] = ACTIONS(3766),
    [anon_sym_extern] = ACTIONS(3766),
    [anon_sym___attribute__] = ACTIONS(3766),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3757),
    [anon_sym___declspec] = ACTIONS(3766),
    [anon_sym_LBRACE] = ACTIONS(3760),
    [anon_sym_signed] = ACTIONS(3766),
    [anon_sym_unsigned] = ACTIONS(3766),
    [anon_sym_long] = ACTIONS(3766),
    [anon_sym_short] = ACTIONS(3766),
    [anon_sym_LBRACK] = ACTIONS(3762),
    [anon_sym_static] = ACTIONS(3766),
    [anon_sym_register] = ACTIONS(3766),
    [anon_sym_inline] = ACTIONS(3766),
    [anon_sym___inline] = ACTIONS(3766),
    [anon_sym___inline__] = ACTIONS(3766),
    [anon_sym___forceinline] = ACTIONS(3766),
    [anon_sym_thread_local] = ACTIONS(3766),
    [anon_sym___thread] = ACTIONS(3766),
    [anon_sym_const] = ACTIONS(3766),
    [anon_sym_constexpr] = ACTIONS(3766),
    [anon_sym_volatile] = ACTIONS(3766),
    [anon_sym_restrict] = ACTIONS(3766),
    [anon_sym___restrict__] = ACTIONS(3766),
    [anon_sym__Atomic] = ACTIONS(3766),
    [anon_sym__Noreturn] = ACTIONS(3766),
    [anon_sym_noreturn] = ACTIONS(3766),
    [anon_sym_mutable] = ACTIONS(3766),
    [anon_sym_constinit] = ACTIONS(3766),
    [anon_sym_consteval] = ACTIONS(3766),
    [anon_sym_alignas] = ACTIONS(3766),
    [anon_sym__Alignas] = ACTIONS(3766),
    [sym_primitive_type] = ACTIONS(3754),
    [anon_sym_enum] = ACTIONS(3766),
    [anon_sym_class] = ACTIONS(3766),
    [anon_sym_struct] = ACTIONS(3766),
    [anon_sym_union] = ACTIONS(3766),
    [anon_sym_if] = ACTIONS(3762),
    [anon_sym_switch] = ACTIONS(3762),
    [anon_sym_case] = ACTIONS(3762),
    [anon_sym_default] = ACTIONS(3762),
    [anon_sym_while] = ACTIONS(3762),
    [anon_sym_do] = ACTIONS(3762),
    [anon_sym_for] = ACTIONS(3762),
    [anon_sym_return] = ACTIONS(3762),
    [anon_sym_break] = ACTIONS(3762),
    [anon_sym_continue] = ACTIONS(3762),
    [anon_sym_goto] = ACTIONS(3762),
    [anon_sym___try] = ACTIONS(3762),
    [anon_sym___leave] = ACTIONS(3762),
    [anon_sym_not] = ACTIONS(3762),
    [anon_sym_compl] = ACTIONS(3762),
    [anon_sym_DASH_DASH] = ACTIONS(3760),
    [anon_sym_PLUS_PLUS] = ACTIONS(3760),
    [anon_sym_sizeof] = ACTIONS(3762),
    [anon_sym___alignof__] = ACTIONS(3762),
    [anon_sym___alignof] = ACTIONS(3762),
    [anon_sym__alignof] = ACTIONS(3762),
    [anon_sym_alignof] = ACTIONS(3762),
    [anon_sym__Alignof] = ACTIONS(3762),
    [anon_sym_offsetof] = ACTIONS(3762),
    [anon_sym__Generic] = ACTIONS(3762),
    [anon_sym_asm] = ACTIONS(3762),
    [anon_sym___asm__] = ACTIONS(3762),
    [sym_number_literal] = ACTIONS(3760),
    [anon_sym_L_SQUOTE] = ACTIONS(3760),
    [anon_sym_u_SQUOTE] = ACTIONS(3760),
    [anon_sym_U_SQUOTE] = ACTIONS(3760),
    [anon_sym_u8_SQUOTE] = ACTIONS(3760),
    [anon_sym_SQUOTE] = ACTIONS(3760),
    [anon_sym_L_DQUOTE] = ACTIONS(3760),
    [anon_sym_u_DQUOTE] = ACTIONS(3760),
    [anon_sym_U_DQUOTE] = ACTIONS(3760),
    [anon_sym_u8_DQUOTE] = ACTIONS(3760),
    [anon_sym_DQUOTE] = ACTIONS(3760),
    [sym_true] = ACTIONS(3762),
    [sym_false] = ACTIONS(3762),
    [anon_sym_NULL] = ACTIONS(3762),
    [anon_sym_nullptr] = ACTIONS(3762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3766),
    [anon_sym_decltype] = ACTIONS(3754),
    [sym_virtual] = ACTIONS(3766),
    [anon_sym_typename] = ACTIONS(3766),
    [anon_sym_template] = ACTIONS(3754),
    [anon_sym_try] = ACTIONS(3762),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_throw] = ACTIONS(3762),
    [anon_sym_co_return] = ACTIONS(3762),
    [anon_sym_co_yield] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3760),
    [anon_sym_LR_DQUOTE] = ACTIONS(3760),
    [anon_sym_uR_DQUOTE] = ACTIONS(3760),
    [anon_sym_UR_DQUOTE] = ACTIONS(3760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3760),
    [anon_sym_co_await] = ACTIONS(3762),
    [anon_sym_new] = ACTIONS(3762),
    [anon_sym_requires] = ACTIONS(3762),
    [sym_this] = ACTIONS(3762),
  },
  [821] = {
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_LPAREN2] = ACTIONS(3618),
    [anon_sym_BANG] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_STAR] = ACTIONS(3618),
    [anon_sym_AMP] = ACTIONS(3618),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym___extension__] = ACTIONS(3616),
    [anon_sym_extern] = ACTIONS(3616),
    [anon_sym___attribute__] = ACTIONS(3616),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3618),
    [anon_sym___declspec] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_signed] = ACTIONS(3616),
    [anon_sym_unsigned] = ACTIONS(3616),
    [anon_sym_long] = ACTIONS(3616),
    [anon_sym_short] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_register] = ACTIONS(3616),
    [anon_sym_inline] = ACTIONS(3616),
    [anon_sym___inline] = ACTIONS(3616),
    [anon_sym___inline__] = ACTIONS(3616),
    [anon_sym___forceinline] = ACTIONS(3616),
    [anon_sym_thread_local] = ACTIONS(3616),
    [anon_sym___thread] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_constexpr] = ACTIONS(3616),
    [anon_sym_volatile] = ACTIONS(3616),
    [anon_sym_restrict] = ACTIONS(3616),
    [anon_sym___restrict__] = ACTIONS(3616),
    [anon_sym__Atomic] = ACTIONS(3616),
    [anon_sym__Noreturn] = ACTIONS(3616),
    [anon_sym_noreturn] = ACTIONS(3616),
    [anon_sym_mutable] = ACTIONS(3616),
    [anon_sym_constinit] = ACTIONS(3616),
    [anon_sym_consteval] = ACTIONS(3616),
    [anon_sym_alignas] = ACTIONS(3616),
    [anon_sym__Alignas] = ACTIONS(3616),
    [sym_primitive_type] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_struct] = ACTIONS(3616),
    [anon_sym_union] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_goto] = ACTIONS(3616),
    [anon_sym___try] = ACTIONS(3616),
    [anon_sym___leave] = ACTIONS(3616),
    [anon_sym_not] = ACTIONS(3616),
    [anon_sym_compl] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3618),
    [anon_sym_PLUS_PLUS] = ACTIONS(3618),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(3616),
    [anon_sym___alignof] = ACTIONS(3616),
    [anon_sym__alignof] = ACTIONS(3616),
    [anon_sym_alignof] = ACTIONS(3616),
    [anon_sym__Alignof] = ACTIONS(3616),
    [anon_sym_offsetof] = ACTIONS(3616),
    [anon_sym__Generic] = ACTIONS(3616),
    [anon_sym_asm] = ACTIONS(3616),
    [anon_sym___asm__] = ACTIONS(3616),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3618),
    [anon_sym_u_SQUOTE] = ACTIONS(3618),
    [anon_sym_U_SQUOTE] = ACTIONS(3618),
    [anon_sym_u8_SQUOTE] = ACTIONS(3618),
    [anon_sym_SQUOTE] = ACTIONS(3618),
    [anon_sym_L_DQUOTE] = ACTIONS(3618),
    [anon_sym_u_DQUOTE] = ACTIONS(3618),
    [anon_sym_U_DQUOTE] = ACTIONS(3618),
    [anon_sym_u8_DQUOTE] = ACTIONS(3618),
    [anon_sym_DQUOTE] = ACTIONS(3618),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [anon_sym_NULL] = ACTIONS(3616),
    [anon_sym_nullptr] = ACTIONS(3616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3616),
    [anon_sym_decltype] = ACTIONS(3616),
    [sym_virtual] = ACTIONS(3616),
    [anon_sym_typename] = ACTIONS(3616),
    [anon_sym_template] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_co_return] = ACTIONS(3616),
    [anon_sym_co_yield] = ACTIONS(3616),
    [anon_sym_R_DQUOTE] = ACTIONS(3618),
    [anon_sym_LR_DQUOTE] = ACTIONS(3618),
    [anon_sym_uR_DQUOTE] = ACTIONS(3618),
    [anon_sym_UR_DQUOTE] = ACTIONS(3618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3618),
    [anon_sym_co_await] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_requires] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
  },
  [822] = {
    [sym_identifier] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym_LBRACE] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_else] = ACTIONS(2616),
    [anon_sym_switch] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_do] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_return] = ACTIONS(2616),
    [anon_sym_break] = ACTIONS(2616),
    [anon_sym_continue] = ACTIONS(2616),
    [anon_sym_goto] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2616),
    [anon_sym___leave] = ACTIONS(2616),
    [anon_sym_not] = ACTIONS(2616),
    [anon_sym_compl] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_sizeof] = ACTIONS(2616),
    [anon_sym___alignof__] = ACTIONS(2616),
    [anon_sym___alignof] = ACTIONS(2616),
    [anon_sym__alignof] = ACTIONS(2616),
    [anon_sym_alignof] = ACTIONS(2616),
    [anon_sym__Alignof] = ACTIONS(2616),
    [anon_sym_offsetof] = ACTIONS(2616),
    [anon_sym__Generic] = ACTIONS(2616),
    [anon_sym_asm] = ACTIONS(2616),
    [anon_sym___asm__] = ACTIONS(2616),
    [sym_number_literal] = ACTIONS(2618),
    [anon_sym_L_SQUOTE] = ACTIONS(2618),
    [anon_sym_u_SQUOTE] = ACTIONS(2618),
    [anon_sym_U_SQUOTE] = ACTIONS(2618),
    [anon_sym_u8_SQUOTE] = ACTIONS(2618),
    [anon_sym_SQUOTE] = ACTIONS(2618),
    [anon_sym_L_DQUOTE] = ACTIONS(2618),
    [anon_sym_u_DQUOTE] = ACTIONS(2618),
    [anon_sym_U_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [sym_true] = ACTIONS(2616),
    [sym_false] = ACTIONS(2616),
    [anon_sym_NULL] = ACTIONS(2616),
    [anon_sym_nullptr] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_try] = ACTIONS(2616),
    [anon_sym_delete] = ACTIONS(2616),
    [anon_sym_throw] = ACTIONS(2616),
    [anon_sym_co_return] = ACTIONS(2616),
    [anon_sym_co_yield] = ACTIONS(2616),
    [anon_sym_R_DQUOTE] = ACTIONS(2618),
    [anon_sym_LR_DQUOTE] = ACTIONS(2618),
    [anon_sym_uR_DQUOTE] = ACTIONS(2618),
    [anon_sym_UR_DQUOTE] = ACTIONS(2618),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2618),
    [anon_sym_co_await] = ACTIONS(2616),
    [anon_sym_new] = ACTIONS(2616),
    [anon_sym_requires] = ACTIONS(2616),
    [sym_this] = ACTIONS(2616),
  },
  [823] = {
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_BANG] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym_LBRACE] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [anon_sym_if] = ACTIONS(2620),
    [anon_sym_else] = ACTIONS(2620),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_while] = ACTIONS(2620),
    [anon_sym_do] = ACTIONS(2620),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_return] = ACTIONS(2620),
    [anon_sym_break] = ACTIONS(2620),
    [anon_sym_continue] = ACTIONS(2620),
    [anon_sym_goto] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2620),
    [anon_sym___leave] = ACTIONS(2620),
    [anon_sym_not] = ACTIONS(2620),
    [anon_sym_compl] = ACTIONS(2620),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_sizeof] = ACTIONS(2620),
    [anon_sym___alignof__] = ACTIONS(2620),
    [anon_sym___alignof] = ACTIONS(2620),
    [anon_sym__alignof] = ACTIONS(2620),
    [anon_sym_alignof] = ACTIONS(2620),
    [anon_sym__Alignof] = ACTIONS(2620),
    [anon_sym_offsetof] = ACTIONS(2620),
    [anon_sym__Generic] = ACTIONS(2620),
    [anon_sym_asm] = ACTIONS(2620),
    [anon_sym___asm__] = ACTIONS(2620),
    [sym_number_literal] = ACTIONS(2622),
    [anon_sym_L_SQUOTE] = ACTIONS(2622),
    [anon_sym_u_SQUOTE] = ACTIONS(2622),
    [anon_sym_U_SQUOTE] = ACTIONS(2622),
    [anon_sym_u8_SQUOTE] = ACTIONS(2622),
    [anon_sym_SQUOTE] = ACTIONS(2622),
    [anon_sym_L_DQUOTE] = ACTIONS(2622),
    [anon_sym_u_DQUOTE] = ACTIONS(2622),
    [anon_sym_U_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8_DQUOTE] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2622),
    [sym_true] = ACTIONS(2620),
    [sym_false] = ACTIONS(2620),
    [anon_sym_NULL] = ACTIONS(2620),
    [anon_sym_nullptr] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_try] = ACTIONS(2620),
    [anon_sym_delete] = ACTIONS(2620),
    [anon_sym_throw] = ACTIONS(2620),
    [anon_sym_co_return] = ACTIONS(2620),
    [anon_sym_co_yield] = ACTIONS(2620),
    [anon_sym_R_DQUOTE] = ACTIONS(2622),
    [anon_sym_LR_DQUOTE] = ACTIONS(2622),
    [anon_sym_uR_DQUOTE] = ACTIONS(2622),
    [anon_sym_UR_DQUOTE] = ACTIONS(2622),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2622),
    [anon_sym_co_await] = ACTIONS(2620),
    [anon_sym_new] = ACTIONS(2620),
    [anon_sym_requires] = ACTIONS(2620),
    [sym_this] = ACTIONS(2620),
  },
  [824] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_LPAREN2] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2626),
    [anon_sym_AMP] = ACTIONS(2626),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym___extension__] = ACTIONS(2624),
    [anon_sym_typedef] = ACTIONS(2624),
    [anon_sym_extern] = ACTIONS(2624),
    [anon_sym___attribute__] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2626),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2626),
    [anon_sym___declspec] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_signed] = ACTIONS(2624),
    [anon_sym_unsigned] = ACTIONS(2624),
    [anon_sym_long] = ACTIONS(2624),
    [anon_sym_short] = ACTIONS(2624),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2624),
    [anon_sym_register] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym___inline] = ACTIONS(2624),
    [anon_sym___inline__] = ACTIONS(2624),
    [anon_sym___forceinline] = ACTIONS(2624),
    [anon_sym_thread_local] = ACTIONS(2624),
    [anon_sym___thread] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_constexpr] = ACTIONS(2624),
    [anon_sym_volatile] = ACTIONS(2624),
    [anon_sym_restrict] = ACTIONS(2624),
    [anon_sym___restrict__] = ACTIONS(2624),
    [anon_sym__Atomic] = ACTIONS(2624),
    [anon_sym__Noreturn] = ACTIONS(2624),
    [anon_sym_noreturn] = ACTIONS(2624),
    [anon_sym_mutable] = ACTIONS(2624),
    [anon_sym_constinit] = ACTIONS(2624),
    [anon_sym_consteval] = ACTIONS(2624),
    [anon_sym_alignas] = ACTIONS(2624),
    [anon_sym__Alignas] = ACTIONS(2624),
    [sym_primitive_type] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_class] = ACTIONS(2624),
    [anon_sym_struct] = ACTIONS(2624),
    [anon_sym_union] = ACTIONS(2624),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_switch] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_do] = ACTIONS(2624),
    [anon_sym_for] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_break] = ACTIONS(2624),
    [anon_sym_continue] = ACTIONS(2624),
    [anon_sym_goto] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2624),
    [anon_sym___leave] = ACTIONS(2624),
    [anon_sym_not] = ACTIONS(2624),
    [anon_sym_compl] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_sizeof] = ACTIONS(2624),
    [anon_sym___alignof__] = ACTIONS(2624),
    [anon_sym___alignof] = ACTIONS(2624),
    [anon_sym__alignof] = ACTIONS(2624),
    [anon_sym_alignof] = ACTIONS(2624),
    [anon_sym__Alignof] = ACTIONS(2624),
    [anon_sym_offsetof] = ACTIONS(2624),
    [anon_sym__Generic] = ACTIONS(2624),
    [anon_sym_asm] = ACTIONS(2624),
    [anon_sym___asm__] = ACTIONS(2624),
    [sym_number_literal] = ACTIONS(2626),
    [anon_sym_L_SQUOTE] = ACTIONS(2626),
    [anon_sym_u_SQUOTE] = ACTIONS(2626),
    [anon_sym_U_SQUOTE] = ACTIONS(2626),
    [anon_sym_u8_SQUOTE] = ACTIONS(2626),
    [anon_sym_SQUOTE] = ACTIONS(2626),
    [anon_sym_L_DQUOTE] = ACTIONS(2626),
    [anon_sym_u_DQUOTE] = ACTIONS(2626),
    [anon_sym_U_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8_DQUOTE] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2626),
    [sym_true] = ACTIONS(2624),
    [sym_false] = ACTIONS(2624),
    [anon_sym_NULL] = ACTIONS(2624),
    [anon_sym_nullptr] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2624),
    [anon_sym_decltype] = ACTIONS(2624),
    [sym_virtual] = ACTIONS(2624),
    [anon_sym_typename] = ACTIONS(2624),
    [anon_sym_template] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_delete] = ACTIONS(2624),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_co_return] = ACTIONS(2624),
    [anon_sym_co_yield] = ACTIONS(2624),
    [anon_sym_R_DQUOTE] = ACTIONS(2626),
    [anon_sym_LR_DQUOTE] = ACTIONS(2626),
    [anon_sym_uR_DQUOTE] = ACTIONS(2626),
    [anon_sym_UR_DQUOTE] = ACTIONS(2626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2626),
    [anon_sym_co_await] = ACTIONS(2624),
    [anon_sym_new] = ACTIONS(2624),
    [anon_sym_requires] = ACTIONS(2624),
    [sym_this] = ACTIONS(2624),
  },
  [825] = {
    [sym_identifier] = ACTIONS(2628),
    [anon_sym_LPAREN2] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym___extension__] = ACTIONS(2628),
    [anon_sym_typedef] = ACTIONS(2628),
    [anon_sym_extern] = ACTIONS(2628),
    [anon_sym___attribute__] = ACTIONS(2628),
    [anon_sym_COLON_COLON] = ACTIONS(2630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2630),
    [anon_sym___declspec] = ACTIONS(2628),
    [anon_sym_LBRACE] = ACTIONS(2630),
    [anon_sym_signed] = ACTIONS(2628),
    [anon_sym_unsigned] = ACTIONS(2628),
    [anon_sym_long] = ACTIONS(2628),
    [anon_sym_short] = ACTIONS(2628),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym_static] = ACTIONS(2628),
    [anon_sym_register] = ACTIONS(2628),
    [anon_sym_inline] = ACTIONS(2628),
    [anon_sym___inline] = ACTIONS(2628),
    [anon_sym___inline__] = ACTIONS(2628),
    [anon_sym___forceinline] = ACTIONS(2628),
    [anon_sym_thread_local] = ACTIONS(2628),
    [anon_sym___thread] = ACTIONS(2628),
    [anon_sym_const] = ACTIONS(2628),
    [anon_sym_constexpr] = ACTIONS(2628),
    [anon_sym_volatile] = ACTIONS(2628),
    [anon_sym_restrict] = ACTIONS(2628),
    [anon_sym___restrict__] = ACTIONS(2628),
    [anon_sym__Atomic] = ACTIONS(2628),
    [anon_sym__Noreturn] = ACTIONS(2628),
    [anon_sym_noreturn] = ACTIONS(2628),
    [anon_sym_mutable] = ACTIONS(2628),
    [anon_sym_constinit] = ACTIONS(2628),
    [anon_sym_consteval] = ACTIONS(2628),
    [anon_sym_alignas] = ACTIONS(2628),
    [anon_sym__Alignas] = ACTIONS(2628),
    [sym_primitive_type] = ACTIONS(2628),
    [anon_sym_enum] = ACTIONS(2628),
    [anon_sym_class] = ACTIONS(2628),
    [anon_sym_struct] = ACTIONS(2628),
    [anon_sym_union] = ACTIONS(2628),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_else] = ACTIONS(2628),
    [anon_sym_switch] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2628),
    [anon_sym_do] = ACTIONS(2628),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_return] = ACTIONS(2628),
    [anon_sym_break] = ACTIONS(2628),
    [anon_sym_continue] = ACTIONS(2628),
    [anon_sym_goto] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2628),
    [anon_sym___leave] = ACTIONS(2628),
    [anon_sym_not] = ACTIONS(2628),
    [anon_sym_compl] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_sizeof] = ACTIONS(2628),
    [anon_sym___alignof__] = ACTIONS(2628),
    [anon_sym___alignof] = ACTIONS(2628),
    [anon_sym__alignof] = ACTIONS(2628),
    [anon_sym_alignof] = ACTIONS(2628),
    [anon_sym__Alignof] = ACTIONS(2628),
    [anon_sym_offsetof] = ACTIONS(2628),
    [anon_sym__Generic] = ACTIONS(2628),
    [anon_sym_asm] = ACTIONS(2628),
    [anon_sym___asm__] = ACTIONS(2628),
    [sym_number_literal] = ACTIONS(2630),
    [anon_sym_L_SQUOTE] = ACTIONS(2630),
    [anon_sym_u_SQUOTE] = ACTIONS(2630),
    [anon_sym_U_SQUOTE] = ACTIONS(2630),
    [anon_sym_u8_SQUOTE] = ACTIONS(2630),
    [anon_sym_SQUOTE] = ACTIONS(2630),
    [anon_sym_L_DQUOTE] = ACTIONS(2630),
    [anon_sym_u_DQUOTE] = ACTIONS(2630),
    [anon_sym_U_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [sym_true] = ACTIONS(2628),
    [sym_false] = ACTIONS(2628),
    [anon_sym_NULL] = ACTIONS(2628),
    [anon_sym_nullptr] = ACTIONS(2628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2628),
    [anon_sym_decltype] = ACTIONS(2628),
    [sym_virtual] = ACTIONS(2628),
    [anon_sym_typename] = ACTIONS(2628),
    [anon_sym_template] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2628),
    [anon_sym_delete] = ACTIONS(2628),
    [anon_sym_throw] = ACTIONS(2628),
    [anon_sym_co_return] = ACTIONS(2628),
    [anon_sym_co_yield] = ACTIONS(2628),
    [anon_sym_R_DQUOTE] = ACTIONS(2630),
    [anon_sym_LR_DQUOTE] = ACTIONS(2630),
    [anon_sym_uR_DQUOTE] = ACTIONS(2630),
    [anon_sym_UR_DQUOTE] = ACTIONS(2630),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2630),
    [anon_sym_co_await] = ACTIONS(2628),
    [anon_sym_new] = ACTIONS(2628),
    [anon_sym_requires] = ACTIONS(2628),
    [sym_this] = ACTIONS(2628),
  },
  [826] = {
    [sym_identifier] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [827] = {
    [sym_identifier] = ACTIONS(2632),
    [anon_sym_LPAREN2] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_TILDE] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym___extension__] = ACTIONS(2632),
    [anon_sym_typedef] = ACTIONS(2632),
    [anon_sym_extern] = ACTIONS(2632),
    [anon_sym___attribute__] = ACTIONS(2632),
    [anon_sym_COLON_COLON] = ACTIONS(2634),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2634),
    [anon_sym___declspec] = ACTIONS(2632),
    [anon_sym_LBRACE] = ACTIONS(2634),
    [anon_sym_signed] = ACTIONS(2632),
    [anon_sym_unsigned] = ACTIONS(2632),
    [anon_sym_long] = ACTIONS(2632),
    [anon_sym_short] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_static] = ACTIONS(2632),
    [anon_sym_register] = ACTIONS(2632),
    [anon_sym_inline] = ACTIONS(2632),
    [anon_sym___inline] = ACTIONS(2632),
    [anon_sym___inline__] = ACTIONS(2632),
    [anon_sym___forceinline] = ACTIONS(2632),
    [anon_sym_thread_local] = ACTIONS(2632),
    [anon_sym___thread] = ACTIONS(2632),
    [anon_sym_const] = ACTIONS(2632),
    [anon_sym_constexpr] = ACTIONS(2632),
    [anon_sym_volatile] = ACTIONS(2632),
    [anon_sym_restrict] = ACTIONS(2632),
    [anon_sym___restrict__] = ACTIONS(2632),
    [anon_sym__Atomic] = ACTIONS(2632),
    [anon_sym__Noreturn] = ACTIONS(2632),
    [anon_sym_noreturn] = ACTIONS(2632),
    [anon_sym_mutable] = ACTIONS(2632),
    [anon_sym_constinit] = ACTIONS(2632),
    [anon_sym_consteval] = ACTIONS(2632),
    [anon_sym_alignas] = ACTIONS(2632),
    [anon_sym__Alignas] = ACTIONS(2632),
    [sym_primitive_type] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2632),
    [anon_sym_struct] = ACTIONS(2632),
    [anon_sym_union] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2632),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_while] = ACTIONS(2632),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_return] = ACTIONS(2632),
    [anon_sym_break] = ACTIONS(2632),
    [anon_sym_continue] = ACTIONS(2632),
    [anon_sym_goto] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2632),
    [anon_sym___leave] = ACTIONS(2632),
    [anon_sym_not] = ACTIONS(2632),
    [anon_sym_compl] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_sizeof] = ACTIONS(2632),
    [anon_sym___alignof__] = ACTIONS(2632),
    [anon_sym___alignof] = ACTIONS(2632),
    [anon_sym__alignof] = ACTIONS(2632),
    [anon_sym_alignof] = ACTIONS(2632),
    [anon_sym__Alignof] = ACTIONS(2632),
    [anon_sym_offsetof] = ACTIONS(2632),
    [anon_sym__Generic] = ACTIONS(2632),
    [anon_sym_asm] = ACTIONS(2632),
    [anon_sym___asm__] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2634),
    [anon_sym_L_SQUOTE] = ACTIONS(2634),
    [anon_sym_u_SQUOTE] = ACTIONS(2634),
    [anon_sym_U_SQUOTE] = ACTIONS(2634),
    [anon_sym_u8_SQUOTE] = ACTIONS(2634),
    [anon_sym_SQUOTE] = ACTIONS(2634),
    [anon_sym_L_DQUOTE] = ACTIONS(2634),
    [anon_sym_u_DQUOTE] = ACTIONS(2634),
    [anon_sym_U_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [sym_true] = ACTIONS(2632),
    [sym_false] = ACTIONS(2632),
    [anon_sym_NULL] = ACTIONS(2632),
    [anon_sym_nullptr] = ACTIONS(2632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2632),
    [anon_sym_decltype] = ACTIONS(2632),
    [sym_virtual] = ACTIONS(2632),
    [anon_sym_typename] = ACTIONS(2632),
    [anon_sym_template] = ACTIONS(2632),
    [anon_sym_try] = ACTIONS(2632),
    [anon_sym_delete] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2632),
    [anon_sym_co_return] = ACTIONS(2632),
    [anon_sym_co_yield] = ACTIONS(2632),
    [anon_sym_R_DQUOTE] = ACTIONS(2634),
    [anon_sym_LR_DQUOTE] = ACTIONS(2634),
    [anon_sym_uR_DQUOTE] = ACTIONS(2634),
    [anon_sym_UR_DQUOTE] = ACTIONS(2634),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2634),
    [anon_sym_co_await] = ACTIONS(2632),
    [anon_sym_new] = ACTIONS(2632),
    [anon_sym_requires] = ACTIONS(2632),
    [sym_this] = ACTIONS(2632),
  },
  [828] = {
    [sym_identifier] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_PLUS] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_else] = ACTIONS(2518),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2518),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2518),
    [anon_sym_continue] = ACTIONS(2518),
    [anon_sym_goto] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2518),
    [anon_sym___leave] = ACTIONS(2518),
    [anon_sym_not] = ACTIONS(2518),
    [anon_sym_compl] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_sizeof] = ACTIONS(2518),
    [anon_sym___alignof__] = ACTIONS(2518),
    [anon_sym___alignof] = ACTIONS(2518),
    [anon_sym__alignof] = ACTIONS(2518),
    [anon_sym_alignof] = ACTIONS(2518),
    [anon_sym__Alignof] = ACTIONS(2518),
    [anon_sym_offsetof] = ACTIONS(2518),
    [anon_sym__Generic] = ACTIONS(2518),
    [anon_sym_asm] = ACTIONS(2518),
    [anon_sym___asm__] = ACTIONS(2518),
    [sym_number_literal] = ACTIONS(2520),
    [anon_sym_L_SQUOTE] = ACTIONS(2520),
    [anon_sym_u_SQUOTE] = ACTIONS(2520),
    [anon_sym_U_SQUOTE] = ACTIONS(2520),
    [anon_sym_u8_SQUOTE] = ACTIONS(2520),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_L_DQUOTE] = ACTIONS(2520),
    [anon_sym_u_DQUOTE] = ACTIONS(2520),
    [anon_sym_U_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8_DQUOTE] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2520),
    [sym_true] = ACTIONS(2518),
    [sym_false] = ACTIONS(2518),
    [anon_sym_NULL] = ACTIONS(2518),
    [anon_sym_nullptr] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [sym_virtual] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_try] = ACTIONS(2518),
    [anon_sym_delete] = ACTIONS(2518),
    [anon_sym_throw] = ACTIONS(2518),
    [anon_sym_co_return] = ACTIONS(2518),
    [anon_sym_co_yield] = ACTIONS(2518),
    [anon_sym_R_DQUOTE] = ACTIONS(2520),
    [anon_sym_LR_DQUOTE] = ACTIONS(2520),
    [anon_sym_uR_DQUOTE] = ACTIONS(2520),
    [anon_sym_UR_DQUOTE] = ACTIONS(2520),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2520),
    [anon_sym_co_await] = ACTIONS(2518),
    [anon_sym_new] = ACTIONS(2518),
    [anon_sym_requires] = ACTIONS(2518),
    [sym_this] = ACTIONS(2518),
  },
  [829] = {
    [sym_identifier] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym___leave] = ACTIONS(2580),
    [anon_sym_not] = ACTIONS(2580),
    [anon_sym_compl] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_try] = ACTIONS(2580),
    [anon_sym_delete] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2580),
    [anon_sym_co_return] = ACTIONS(2580),
    [anon_sym_co_yield] = ACTIONS(2580),
    [anon_sym_R_DQUOTE] = ACTIONS(2582),
    [anon_sym_LR_DQUOTE] = ACTIONS(2582),
    [anon_sym_uR_DQUOTE] = ACTIONS(2582),
    [anon_sym_UR_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2582),
    [anon_sym_co_await] = ACTIONS(2580),
    [anon_sym_new] = ACTIONS(2580),
    [anon_sym_requires] = ACTIONS(2580),
    [sym_this] = ACTIONS(2580),
  },
  [830] = {
    [sym_identifier] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_COLON_COLON] = ACTIONS(2566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_mutable] = ACTIONS(2564),
    [anon_sym_constinit] = ACTIONS(2564),
    [anon_sym_consteval] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_class] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym___leave] = ACTIONS(2564),
    [anon_sym_not] = ACTIONS(2564),
    [anon_sym_compl] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2564),
    [anon_sym_decltype] = ACTIONS(2564),
    [sym_virtual] = ACTIONS(2564),
    [anon_sym_typename] = ACTIONS(2564),
    [anon_sym_template] = ACTIONS(2564),
    [anon_sym_try] = ACTIONS(2564),
    [anon_sym_delete] = ACTIONS(2564),
    [anon_sym_throw] = ACTIONS(2564),
    [anon_sym_co_return] = ACTIONS(2564),
    [anon_sym_co_yield] = ACTIONS(2564),
    [anon_sym_R_DQUOTE] = ACTIONS(2566),
    [anon_sym_LR_DQUOTE] = ACTIONS(2566),
    [anon_sym_uR_DQUOTE] = ACTIONS(2566),
    [anon_sym_UR_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2566),
    [anon_sym_co_await] = ACTIONS(2564),
    [anon_sym_new] = ACTIONS(2564),
    [anon_sym_requires] = ACTIONS(2564),
    [sym_this] = ACTIONS(2564),
  },
  [831] = {
    [sym_identifier] = ACTIONS(2636),
    [anon_sym_LPAREN2] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_TILDE] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym___extension__] = ACTIONS(2636),
    [anon_sym_typedef] = ACTIONS(2636),
    [anon_sym_extern] = ACTIONS(2636),
    [anon_sym___attribute__] = ACTIONS(2636),
    [anon_sym_COLON_COLON] = ACTIONS(2638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2638),
    [anon_sym___declspec] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(2638),
    [anon_sym_signed] = ACTIONS(2636),
    [anon_sym_unsigned] = ACTIONS(2636),
    [anon_sym_long] = ACTIONS(2636),
    [anon_sym_short] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2636),
    [anon_sym_register] = ACTIONS(2636),
    [anon_sym_inline] = ACTIONS(2636),
    [anon_sym___inline] = ACTIONS(2636),
    [anon_sym___inline__] = ACTIONS(2636),
    [anon_sym___forceinline] = ACTIONS(2636),
    [anon_sym_thread_local] = ACTIONS(2636),
    [anon_sym___thread] = ACTIONS(2636),
    [anon_sym_const] = ACTIONS(2636),
    [anon_sym_constexpr] = ACTIONS(2636),
    [anon_sym_volatile] = ACTIONS(2636),
    [anon_sym_restrict] = ACTIONS(2636),
    [anon_sym___restrict__] = ACTIONS(2636),
    [anon_sym__Atomic] = ACTIONS(2636),
    [anon_sym__Noreturn] = ACTIONS(2636),
    [anon_sym_noreturn] = ACTIONS(2636),
    [anon_sym_mutable] = ACTIONS(2636),
    [anon_sym_constinit] = ACTIONS(2636),
    [anon_sym_consteval] = ACTIONS(2636),
    [anon_sym_alignas] = ACTIONS(2636),
    [anon_sym__Alignas] = ACTIONS(2636),
    [sym_primitive_type] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2636),
    [anon_sym_struct] = ACTIONS(2636),
    [anon_sym_union] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2636),
    [anon_sym_switch] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_do] = ACTIONS(2636),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_return] = ACTIONS(2636),
    [anon_sym_break] = ACTIONS(2636),
    [anon_sym_continue] = ACTIONS(2636),
    [anon_sym_goto] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2636),
    [anon_sym___leave] = ACTIONS(2636),
    [anon_sym_not] = ACTIONS(2636),
    [anon_sym_compl] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_sizeof] = ACTIONS(2636),
    [anon_sym___alignof__] = ACTIONS(2636),
    [anon_sym___alignof] = ACTIONS(2636),
    [anon_sym__alignof] = ACTIONS(2636),
    [anon_sym_alignof] = ACTIONS(2636),
    [anon_sym__Alignof] = ACTIONS(2636),
    [anon_sym_offsetof] = ACTIONS(2636),
    [anon_sym__Generic] = ACTIONS(2636),
    [anon_sym_asm] = ACTIONS(2636),
    [anon_sym___asm__] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2638),
    [anon_sym_L_SQUOTE] = ACTIONS(2638),
    [anon_sym_u_SQUOTE] = ACTIONS(2638),
    [anon_sym_U_SQUOTE] = ACTIONS(2638),
    [anon_sym_u8_SQUOTE] = ACTIONS(2638),
    [anon_sym_SQUOTE] = ACTIONS(2638),
    [anon_sym_L_DQUOTE] = ACTIONS(2638),
    [anon_sym_u_DQUOTE] = ACTIONS(2638),
    [anon_sym_U_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [sym_true] = ACTIONS(2636),
    [sym_false] = ACTIONS(2636),
    [anon_sym_NULL] = ACTIONS(2636),
    [anon_sym_nullptr] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2636),
    [anon_sym_decltype] = ACTIONS(2636),
    [sym_virtual] = ACTIONS(2636),
    [anon_sym_typename] = ACTIONS(2636),
    [anon_sym_template] = ACTIONS(2636),
    [anon_sym_try] = ACTIONS(2636),
    [anon_sym_delete] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2636),
    [anon_sym_co_return] = ACTIONS(2636),
    [anon_sym_co_yield] = ACTIONS(2636),
    [anon_sym_R_DQUOTE] = ACTIONS(2638),
    [anon_sym_LR_DQUOTE] = ACTIONS(2638),
    [anon_sym_uR_DQUOTE] = ACTIONS(2638),
    [anon_sym_UR_DQUOTE] = ACTIONS(2638),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2638),
    [anon_sym_co_await] = ACTIONS(2636),
    [anon_sym_new] = ACTIONS(2636),
    [anon_sym_requires] = ACTIONS(2636),
    [sym_this] = ACTIONS(2636),
  },
  [832] = {
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_LPAREN2] = ACTIONS(2516),
    [anon_sym_BANG] = ACTIONS(2516),
    [anon_sym_TILDE] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2514),
    [anon_sym_typedef] = ACTIONS(2514),
    [anon_sym_extern] = ACTIONS(2514),
    [anon_sym___attribute__] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2516),
    [anon_sym___declspec] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2514),
    [anon_sym_unsigned] = ACTIONS(2514),
    [anon_sym_long] = ACTIONS(2514),
    [anon_sym_short] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_register] = ACTIONS(2514),
    [anon_sym_inline] = ACTIONS(2514),
    [anon_sym___inline] = ACTIONS(2514),
    [anon_sym___inline__] = ACTIONS(2514),
    [anon_sym___forceinline] = ACTIONS(2514),
    [anon_sym_thread_local] = ACTIONS(2514),
    [anon_sym___thread] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_constexpr] = ACTIONS(2514),
    [anon_sym_volatile] = ACTIONS(2514),
    [anon_sym_restrict] = ACTIONS(2514),
    [anon_sym___restrict__] = ACTIONS(2514),
    [anon_sym__Atomic] = ACTIONS(2514),
    [anon_sym__Noreturn] = ACTIONS(2514),
    [anon_sym_noreturn] = ACTIONS(2514),
    [anon_sym_mutable] = ACTIONS(2514),
    [anon_sym_constinit] = ACTIONS(2514),
    [anon_sym_consteval] = ACTIONS(2514),
    [anon_sym_alignas] = ACTIONS(2514),
    [anon_sym__Alignas] = ACTIONS(2514),
    [sym_primitive_type] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_struct] = ACTIONS(2514),
    [anon_sym_union] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_else] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_goto] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2514),
    [anon_sym___leave] = ACTIONS(2514),
    [anon_sym_not] = ACTIONS(2514),
    [anon_sym_compl] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2516),
    [anon_sym_PLUS_PLUS] = ACTIONS(2516),
    [anon_sym_sizeof] = ACTIONS(2514),
    [anon_sym___alignof__] = ACTIONS(2514),
    [anon_sym___alignof] = ACTIONS(2514),
    [anon_sym__alignof] = ACTIONS(2514),
    [anon_sym_alignof] = ACTIONS(2514),
    [anon_sym__Alignof] = ACTIONS(2514),
    [anon_sym_offsetof] = ACTIONS(2514),
    [anon_sym__Generic] = ACTIONS(2514),
    [anon_sym_asm] = ACTIONS(2514),
    [anon_sym___asm__] = ACTIONS(2514),
    [sym_number_literal] = ACTIONS(2516),
    [anon_sym_L_SQUOTE] = ACTIONS(2516),
    [anon_sym_u_SQUOTE] = ACTIONS(2516),
    [anon_sym_U_SQUOTE] = ACTIONS(2516),
    [anon_sym_u8_SQUOTE] = ACTIONS(2516),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_L_DQUOTE] = ACTIONS(2516),
    [anon_sym_u_DQUOTE] = ACTIONS(2516),
    [anon_sym_U_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8_DQUOTE] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2516),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [anon_sym_NULL] = ACTIONS(2514),
    [anon_sym_nullptr] = ACTIONS(2514),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2514),
    [anon_sym_decltype] = ACTIONS(2514),
    [sym_virtual] = ACTIONS(2514),
    [anon_sym_typename] = ACTIONS(2514),
    [anon_sym_template] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_co_return] = ACTIONS(2514),
    [anon_sym_co_yield] = ACTIONS(2514),
    [anon_sym_R_DQUOTE] = ACTIONS(2516),
    [anon_sym_LR_DQUOTE] = ACTIONS(2516),
    [anon_sym_uR_DQUOTE] = ACTIONS(2516),
    [anon_sym_UR_DQUOTE] = ACTIONS(2516),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2516),
    [anon_sym_co_await] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_requires] = ACTIONS(2514),
    [sym_this] = ACTIONS(2514),
  },
  [833] = {
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2508),
    [anon_sym_BANG] = ACTIONS(2508),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2506),
    [anon_sym_typedef] = ACTIONS(2506),
    [anon_sym_extern] = ACTIONS(2506),
    [anon_sym___attribute__] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2508),
    [anon_sym___declspec] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2506),
    [anon_sym_unsigned] = ACTIONS(2506),
    [anon_sym_long] = ACTIONS(2506),
    [anon_sym_short] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_register] = ACTIONS(2506),
    [anon_sym_inline] = ACTIONS(2506),
    [anon_sym___inline] = ACTIONS(2506),
    [anon_sym___inline__] = ACTIONS(2506),
    [anon_sym___forceinline] = ACTIONS(2506),
    [anon_sym_thread_local] = ACTIONS(2506),
    [anon_sym___thread] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_constexpr] = ACTIONS(2506),
    [anon_sym_volatile] = ACTIONS(2506),
    [anon_sym_restrict] = ACTIONS(2506),
    [anon_sym___restrict__] = ACTIONS(2506),
    [anon_sym__Atomic] = ACTIONS(2506),
    [anon_sym__Noreturn] = ACTIONS(2506),
    [anon_sym_noreturn] = ACTIONS(2506),
    [anon_sym_mutable] = ACTIONS(2506),
    [anon_sym_constinit] = ACTIONS(2506),
    [anon_sym_consteval] = ACTIONS(2506),
    [anon_sym_alignas] = ACTIONS(2506),
    [anon_sym__Alignas] = ACTIONS(2506),
    [sym_primitive_type] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_struct] = ACTIONS(2506),
    [anon_sym_union] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_else] = ACTIONS(2506),
    [anon_sym_switch] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_do] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2506),
    [anon_sym_return] = ACTIONS(2506),
    [anon_sym_break] = ACTIONS(2506),
    [anon_sym_continue] = ACTIONS(2506),
    [anon_sym_goto] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2506),
    [anon_sym___leave] = ACTIONS(2506),
    [anon_sym_not] = ACTIONS(2506),
    [anon_sym_compl] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2508),
    [anon_sym_PLUS_PLUS] = ACTIONS(2508),
    [anon_sym_sizeof] = ACTIONS(2506),
    [anon_sym___alignof__] = ACTIONS(2506),
    [anon_sym___alignof] = ACTIONS(2506),
    [anon_sym__alignof] = ACTIONS(2506),
    [anon_sym_alignof] = ACTIONS(2506),
    [anon_sym__Alignof] = ACTIONS(2506),
    [anon_sym_offsetof] = ACTIONS(2506),
    [anon_sym__Generic] = ACTIONS(2506),
    [anon_sym_asm] = ACTIONS(2506),
    [anon_sym___asm__] = ACTIONS(2506),
    [sym_number_literal] = ACTIONS(2508),
    [anon_sym_L_SQUOTE] = ACTIONS(2508),
    [anon_sym_u_SQUOTE] = ACTIONS(2508),
    [anon_sym_U_SQUOTE] = ACTIONS(2508),
    [anon_sym_u8_SQUOTE] = ACTIONS(2508),
    [anon_sym_SQUOTE] = ACTIONS(2508),
    [anon_sym_L_DQUOTE] = ACTIONS(2508),
    [anon_sym_u_DQUOTE] = ACTIONS(2508),
    [anon_sym_U_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8_DQUOTE] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2508),
    [sym_true] = ACTIONS(2506),
    [sym_false] = ACTIONS(2506),
    [anon_sym_NULL] = ACTIONS(2506),
    [anon_sym_nullptr] = ACTIONS(2506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2506),
    [anon_sym_decltype] = ACTIONS(2506),
    [sym_virtual] = ACTIONS(2506),
    [anon_sym_typename] = ACTIONS(2506),
    [anon_sym_template] = ACTIONS(2506),
    [anon_sym_try] = ACTIONS(2506),
    [anon_sym_delete] = ACTIONS(2506),
    [anon_sym_throw] = ACTIONS(2506),
    [anon_sym_co_return] = ACTIONS(2506),
    [anon_sym_co_yield] = ACTIONS(2506),
    [anon_sym_R_DQUOTE] = ACTIONS(2508),
    [anon_sym_LR_DQUOTE] = ACTIONS(2508),
    [anon_sym_uR_DQUOTE] = ACTIONS(2508),
    [anon_sym_UR_DQUOTE] = ACTIONS(2508),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2508),
    [anon_sym_co_await] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2506),
    [anon_sym_requires] = ACTIONS(2506),
    [sym_this] = ACTIONS(2506),
  },
  [834] = {
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(2504),
    [anon_sym_BANG] = ACTIONS(2504),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym___extension__] = ACTIONS(2502),
    [anon_sym_typedef] = ACTIONS(2502),
    [anon_sym_extern] = ACTIONS(2502),
    [anon_sym___attribute__] = ACTIONS(2502),
    [anon_sym_COLON_COLON] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2504),
    [anon_sym___declspec] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2502),
    [anon_sym_unsigned] = ACTIONS(2502),
    [anon_sym_long] = ACTIONS(2502),
    [anon_sym_short] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_static] = ACTIONS(2502),
    [anon_sym_register] = ACTIONS(2502),
    [anon_sym_inline] = ACTIONS(2502),
    [anon_sym___inline] = ACTIONS(2502),
    [anon_sym___inline__] = ACTIONS(2502),
    [anon_sym___forceinline] = ACTIONS(2502),
    [anon_sym_thread_local] = ACTIONS(2502),
    [anon_sym___thread] = ACTIONS(2502),
    [anon_sym_const] = ACTIONS(2502),
    [anon_sym_constexpr] = ACTIONS(2502),
    [anon_sym_volatile] = ACTIONS(2502),
    [anon_sym_restrict] = ACTIONS(2502),
    [anon_sym___restrict__] = ACTIONS(2502),
    [anon_sym__Atomic] = ACTIONS(2502),
    [anon_sym__Noreturn] = ACTIONS(2502),
    [anon_sym_noreturn] = ACTIONS(2502),
    [anon_sym_mutable] = ACTIONS(2502),
    [anon_sym_constinit] = ACTIONS(2502),
    [anon_sym_consteval] = ACTIONS(2502),
    [anon_sym_alignas] = ACTIONS(2502),
    [anon_sym__Alignas] = ACTIONS(2502),
    [sym_primitive_type] = ACTIONS(2502),
    [anon_sym_enum] = ACTIONS(2502),
    [anon_sym_class] = ACTIONS(2502),
    [anon_sym_struct] = ACTIONS(2502),
    [anon_sym_union] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_else] = ACTIONS(2502),
    [anon_sym_switch] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_do] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2502),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_break] = ACTIONS(2502),
    [anon_sym_continue] = ACTIONS(2502),
    [anon_sym_goto] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2502),
    [anon_sym___leave] = ACTIONS(2502),
    [anon_sym_not] = ACTIONS(2502),
    [anon_sym_compl] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2504),
    [anon_sym_PLUS_PLUS] = ACTIONS(2504),
    [anon_sym_sizeof] = ACTIONS(2502),
    [anon_sym___alignof__] = ACTIONS(2502),
    [anon_sym___alignof] = ACTIONS(2502),
    [anon_sym__alignof] = ACTIONS(2502),
    [anon_sym_alignof] = ACTIONS(2502),
    [anon_sym__Alignof] = ACTIONS(2502),
    [anon_sym_offsetof] = ACTIONS(2502),
    [anon_sym__Generic] = ACTIONS(2502),
    [anon_sym_asm] = ACTIONS(2502),
    [anon_sym___asm__] = ACTIONS(2502),
    [sym_number_literal] = ACTIONS(2504),
    [anon_sym_L_SQUOTE] = ACTIONS(2504),
    [anon_sym_u_SQUOTE] = ACTIONS(2504),
    [anon_sym_U_SQUOTE] = ACTIONS(2504),
    [anon_sym_u8_SQUOTE] = ACTIONS(2504),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_L_DQUOTE] = ACTIONS(2504),
    [anon_sym_u_DQUOTE] = ACTIONS(2504),
    [anon_sym_U_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8_DQUOTE] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [sym_true] = ACTIONS(2502),
    [sym_false] = ACTIONS(2502),
    [anon_sym_NULL] = ACTIONS(2502),
    [anon_sym_nullptr] = ACTIONS(2502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2502),
    [anon_sym_decltype] = ACTIONS(2502),
    [sym_virtual] = ACTIONS(2502),
    [anon_sym_typename] = ACTIONS(2502),
    [anon_sym_template] = ACTIONS(2502),
    [anon_sym_try] = ACTIONS(2502),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2502),
    [anon_sym_co_return] = ACTIONS(2502),
    [anon_sym_co_yield] = ACTIONS(2502),
    [anon_sym_R_DQUOTE] = ACTIONS(2504),
    [anon_sym_LR_DQUOTE] = ACTIONS(2504),
    [anon_sym_uR_DQUOTE] = ACTIONS(2504),
    [anon_sym_UR_DQUOTE] = ACTIONS(2504),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2504),
    [anon_sym_co_await] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2502),
    [anon_sym_requires] = ACTIONS(2502),
    [sym_this] = ACTIONS(2502),
  },
  [835] = {
    [sym_identifier] = ACTIONS(2538),
    [anon_sym_LPAREN2] = ACTIONS(2540),
    [anon_sym_BANG] = ACTIONS(2540),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2538),
    [anon_sym_typedef] = ACTIONS(2538),
    [anon_sym_extern] = ACTIONS(2538),
    [anon_sym___attribute__] = ACTIONS(2538),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2540),
    [anon_sym___declspec] = ACTIONS(2538),
    [anon_sym_LBRACE] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2538),
    [anon_sym_unsigned] = ACTIONS(2538),
    [anon_sym_long] = ACTIONS(2538),
    [anon_sym_short] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_register] = ACTIONS(2538),
    [anon_sym_inline] = ACTIONS(2538),
    [anon_sym___inline] = ACTIONS(2538),
    [anon_sym___inline__] = ACTIONS(2538),
    [anon_sym___forceinline] = ACTIONS(2538),
    [anon_sym_thread_local] = ACTIONS(2538),
    [anon_sym___thread] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_constexpr] = ACTIONS(2538),
    [anon_sym_volatile] = ACTIONS(2538),
    [anon_sym_restrict] = ACTIONS(2538),
    [anon_sym___restrict__] = ACTIONS(2538),
    [anon_sym__Atomic] = ACTIONS(2538),
    [anon_sym__Noreturn] = ACTIONS(2538),
    [anon_sym_noreturn] = ACTIONS(2538),
    [anon_sym_mutable] = ACTIONS(2538),
    [anon_sym_constinit] = ACTIONS(2538),
    [anon_sym_consteval] = ACTIONS(2538),
    [anon_sym_alignas] = ACTIONS(2538),
    [anon_sym__Alignas] = ACTIONS(2538),
    [sym_primitive_type] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_struct] = ACTIONS(2538),
    [anon_sym_union] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_else] = ACTIONS(2538),
    [anon_sym_switch] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_do] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2538),
    [anon_sym_return] = ACTIONS(2538),
    [anon_sym_break] = ACTIONS(2538),
    [anon_sym_continue] = ACTIONS(2538),
    [anon_sym_goto] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2538),
    [anon_sym___leave] = ACTIONS(2538),
    [anon_sym_not] = ACTIONS(2538),
    [anon_sym_compl] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2540),
    [anon_sym_sizeof] = ACTIONS(2538),
    [anon_sym___alignof__] = ACTIONS(2538),
    [anon_sym___alignof] = ACTIONS(2538),
    [anon_sym__alignof] = ACTIONS(2538),
    [anon_sym_alignof] = ACTIONS(2538),
    [anon_sym__Alignof] = ACTIONS(2538),
    [anon_sym_offsetof] = ACTIONS(2538),
    [anon_sym__Generic] = ACTIONS(2538),
    [anon_sym_asm] = ACTIONS(2538),
    [anon_sym___asm__] = ACTIONS(2538),
    [sym_number_literal] = ACTIONS(2540),
    [anon_sym_L_SQUOTE] = ACTIONS(2540),
    [anon_sym_u_SQUOTE] = ACTIONS(2540),
    [anon_sym_U_SQUOTE] = ACTIONS(2540),
    [anon_sym_u8_SQUOTE] = ACTIONS(2540),
    [anon_sym_SQUOTE] = ACTIONS(2540),
    [anon_sym_L_DQUOTE] = ACTIONS(2540),
    [anon_sym_u_DQUOTE] = ACTIONS(2540),
    [anon_sym_U_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8_DQUOTE] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2540),
    [sym_true] = ACTIONS(2538),
    [sym_false] = ACTIONS(2538),
    [anon_sym_NULL] = ACTIONS(2538),
    [anon_sym_nullptr] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2538),
    [anon_sym_decltype] = ACTIONS(2538),
    [sym_virtual] = ACTIONS(2538),
    [anon_sym_typename] = ACTIONS(2538),
    [anon_sym_template] = ACTIONS(2538),
    [anon_sym_try] = ACTIONS(2538),
    [anon_sym_delete] = ACTIONS(2538),
    [anon_sym_throw] = ACTIONS(2538),
    [anon_sym_co_return] = ACTIONS(2538),
    [anon_sym_co_yield] = ACTIONS(2538),
    [anon_sym_R_DQUOTE] = ACTIONS(2540),
    [anon_sym_LR_DQUOTE] = ACTIONS(2540),
    [anon_sym_uR_DQUOTE] = ACTIONS(2540),
    [anon_sym_UR_DQUOTE] = ACTIONS(2540),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2540),
    [anon_sym_co_await] = ACTIONS(2538),
    [anon_sym_new] = ACTIONS(2538),
    [anon_sym_requires] = ACTIONS(2538),
    [sym_this] = ACTIONS(2538),
  },
  [836] = {
    [sym_identifier] = ACTIONS(2640),
    [anon_sym_LPAREN2] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_TILDE] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_AMP] = ACTIONS(2642),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym___extension__] = ACTIONS(2640),
    [anon_sym_typedef] = ACTIONS(2640),
    [anon_sym_extern] = ACTIONS(2640),
    [anon_sym___attribute__] = ACTIONS(2640),
    [anon_sym_COLON_COLON] = ACTIONS(2642),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2642),
    [anon_sym___declspec] = ACTIONS(2640),
    [anon_sym_LBRACE] = ACTIONS(2642),
    [anon_sym_signed] = ACTIONS(2640),
    [anon_sym_unsigned] = ACTIONS(2640),
    [anon_sym_long] = ACTIONS(2640),
    [anon_sym_short] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_static] = ACTIONS(2640),
    [anon_sym_register] = ACTIONS(2640),
    [anon_sym_inline] = ACTIONS(2640),
    [anon_sym___inline] = ACTIONS(2640),
    [anon_sym___inline__] = ACTIONS(2640),
    [anon_sym___forceinline] = ACTIONS(2640),
    [anon_sym_thread_local] = ACTIONS(2640),
    [anon_sym___thread] = ACTIONS(2640),
    [anon_sym_const] = ACTIONS(2640),
    [anon_sym_constexpr] = ACTIONS(2640),
    [anon_sym_volatile] = ACTIONS(2640),
    [anon_sym_restrict] = ACTIONS(2640),
    [anon_sym___restrict__] = ACTIONS(2640),
    [anon_sym__Atomic] = ACTIONS(2640),
    [anon_sym__Noreturn] = ACTIONS(2640),
    [anon_sym_noreturn] = ACTIONS(2640),
    [anon_sym_mutable] = ACTIONS(2640),
    [anon_sym_constinit] = ACTIONS(2640),
    [anon_sym_consteval] = ACTIONS(2640),
    [anon_sym_alignas] = ACTIONS(2640),
    [anon_sym__Alignas] = ACTIONS(2640),
    [sym_primitive_type] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2640),
    [anon_sym_struct] = ACTIONS(2640),
    [anon_sym_union] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2640),
    [anon_sym_switch] = ACTIONS(2640),
    [anon_sym_while] = ACTIONS(2640),
    [anon_sym_do] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2640),
    [anon_sym_continue] = ACTIONS(2640),
    [anon_sym_goto] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2640),
    [anon_sym___leave] = ACTIONS(2640),
    [anon_sym_not] = ACTIONS(2640),
    [anon_sym_compl] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_sizeof] = ACTIONS(2640),
    [anon_sym___alignof__] = ACTIONS(2640),
    [anon_sym___alignof] = ACTIONS(2640),
    [anon_sym__alignof] = ACTIONS(2640),
    [anon_sym_alignof] = ACTIONS(2640),
    [anon_sym__Alignof] = ACTIONS(2640),
    [anon_sym_offsetof] = ACTIONS(2640),
    [anon_sym__Generic] = ACTIONS(2640),
    [anon_sym_asm] = ACTIONS(2640),
    [anon_sym___asm__] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2642),
    [anon_sym_L_SQUOTE] = ACTIONS(2642),
    [anon_sym_u_SQUOTE] = ACTIONS(2642),
    [anon_sym_U_SQUOTE] = ACTIONS(2642),
    [anon_sym_u8_SQUOTE] = ACTIONS(2642),
    [anon_sym_SQUOTE] = ACTIONS(2642),
    [anon_sym_L_DQUOTE] = ACTIONS(2642),
    [anon_sym_u_DQUOTE] = ACTIONS(2642),
    [anon_sym_U_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [sym_true] = ACTIONS(2640),
    [sym_false] = ACTIONS(2640),
    [anon_sym_NULL] = ACTIONS(2640),
    [anon_sym_nullptr] = ACTIONS(2640),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2640),
    [anon_sym_decltype] = ACTIONS(2640),
    [sym_virtual] = ACTIONS(2640),
    [anon_sym_typename] = ACTIONS(2640),
    [anon_sym_template] = ACTIONS(2640),
    [anon_sym_try] = ACTIONS(2640),
    [anon_sym_delete] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2640),
    [anon_sym_co_return] = ACTIONS(2640),
    [anon_sym_co_yield] = ACTIONS(2640),
    [anon_sym_R_DQUOTE] = ACTIONS(2642),
    [anon_sym_LR_DQUOTE] = ACTIONS(2642),
    [anon_sym_uR_DQUOTE] = ACTIONS(2642),
    [anon_sym_UR_DQUOTE] = ACTIONS(2642),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2642),
    [anon_sym_co_await] = ACTIONS(2640),
    [anon_sym_new] = ACTIONS(2640),
    [anon_sym_requires] = ACTIONS(2640),
    [sym_this] = ACTIONS(2640),
  },
  [837] = {
    [sym_identifier] = ACTIONS(2534),
    [anon_sym_LPAREN2] = ACTIONS(2536),
    [anon_sym_BANG] = ACTIONS(2536),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2536),
    [anon_sym_AMP] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2534),
    [anon_sym_typedef] = ACTIONS(2534),
    [anon_sym_extern] = ACTIONS(2534),
    [anon_sym___attribute__] = ACTIONS(2534),
    [anon_sym_COLON_COLON] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2536),
    [anon_sym___declspec] = ACTIONS(2534),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2534),
    [anon_sym_unsigned] = ACTIONS(2534),
    [anon_sym_long] = ACTIONS(2534),
    [anon_sym_short] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_register] = ACTIONS(2534),
    [anon_sym_inline] = ACTIONS(2534),
    [anon_sym___inline] = ACTIONS(2534),
    [anon_sym___inline__] = ACTIONS(2534),
    [anon_sym___forceinline] = ACTIONS(2534),
    [anon_sym_thread_local] = ACTIONS(2534),
    [anon_sym___thread] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_constexpr] = ACTIONS(2534),
    [anon_sym_volatile] = ACTIONS(2534),
    [anon_sym_restrict] = ACTIONS(2534),
    [anon_sym___restrict__] = ACTIONS(2534),
    [anon_sym__Atomic] = ACTIONS(2534),
    [anon_sym__Noreturn] = ACTIONS(2534),
    [anon_sym_noreturn] = ACTIONS(2534),
    [anon_sym_mutable] = ACTIONS(2534),
    [anon_sym_constinit] = ACTIONS(2534),
    [anon_sym_consteval] = ACTIONS(2534),
    [anon_sym_alignas] = ACTIONS(2534),
    [anon_sym__Alignas] = ACTIONS(2534),
    [sym_primitive_type] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_struct] = ACTIONS(2534),
    [anon_sym_union] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2534),
    [anon_sym_switch] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2534),
    [anon_sym_do] = ACTIONS(2534),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_break] = ACTIONS(2534),
    [anon_sym_continue] = ACTIONS(2534),
    [anon_sym_goto] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2534),
    [anon_sym___leave] = ACTIONS(2534),
    [anon_sym_not] = ACTIONS(2534),
    [anon_sym_compl] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_sizeof] = ACTIONS(2534),
    [anon_sym___alignof__] = ACTIONS(2534),
    [anon_sym___alignof] = ACTIONS(2534),
    [anon_sym__alignof] = ACTIONS(2534),
    [anon_sym_alignof] = ACTIONS(2534),
    [anon_sym__Alignof] = ACTIONS(2534),
    [anon_sym_offsetof] = ACTIONS(2534),
    [anon_sym__Generic] = ACTIONS(2534),
    [anon_sym_asm] = ACTIONS(2534),
    [anon_sym___asm__] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2536),
    [anon_sym_L_SQUOTE] = ACTIONS(2536),
    [anon_sym_u_SQUOTE] = ACTIONS(2536),
    [anon_sym_U_SQUOTE] = ACTIONS(2536),
    [anon_sym_u8_SQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_L_DQUOTE] = ACTIONS(2536),
    [anon_sym_u_DQUOTE] = ACTIONS(2536),
    [anon_sym_U_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8_DQUOTE] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [anon_sym_NULL] = ACTIONS(2534),
    [anon_sym_nullptr] = ACTIONS(2534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2534),
    [anon_sym_decltype] = ACTIONS(2534),
    [sym_virtual] = ACTIONS(2534),
    [anon_sym_typename] = ACTIONS(2534),
    [anon_sym_template] = ACTIONS(2534),
    [anon_sym_try] = ACTIONS(2534),
    [anon_sym_delete] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2534),
    [anon_sym_co_return] = ACTIONS(2534),
    [anon_sym_co_yield] = ACTIONS(2534),
    [anon_sym_R_DQUOTE] = ACTIONS(2536),
    [anon_sym_LR_DQUOTE] = ACTIONS(2536),
    [anon_sym_uR_DQUOTE] = ACTIONS(2536),
    [anon_sym_UR_DQUOTE] = ACTIONS(2536),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2536),
    [anon_sym_co_await] = ACTIONS(2534),
    [anon_sym_new] = ACTIONS(2534),
    [anon_sym_requires] = ACTIONS(2534),
    [sym_this] = ACTIONS(2534),
  },
  [838] = {
    [sym_identifier] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym_COLON_COLON] = ACTIONS(2602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_mutable] = ACTIONS(2600),
    [anon_sym_constinit] = ACTIONS(2600),
    [anon_sym_consteval] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym___leave] = ACTIONS(2600),
    [anon_sym_not] = ACTIONS(2600),
    [anon_sym_compl] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2600),
    [anon_sym_decltype] = ACTIONS(2600),
    [sym_virtual] = ACTIONS(2600),
    [anon_sym_typename] = ACTIONS(2600),
    [anon_sym_template] = ACTIONS(2600),
    [anon_sym_try] = ACTIONS(2600),
    [anon_sym_delete] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2600),
    [anon_sym_co_return] = ACTIONS(2600),
    [anon_sym_co_yield] = ACTIONS(2600),
    [anon_sym_R_DQUOTE] = ACTIONS(2602),
    [anon_sym_LR_DQUOTE] = ACTIONS(2602),
    [anon_sym_uR_DQUOTE] = ACTIONS(2602),
    [anon_sym_UR_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2602),
    [anon_sym_co_await] = ACTIONS(2600),
    [anon_sym_new] = ACTIONS(2600),
    [anon_sym_requires] = ACTIONS(2600),
    [sym_this] = ACTIONS(2600),
  },
  [839] = {
    [sym_identifier] = ACTIONS(2612),
    [anon_sym_LPAREN2] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym___extension__] = ACTIONS(2612),
    [anon_sym_typedef] = ACTIONS(2612),
    [anon_sym_extern] = ACTIONS(2612),
    [anon_sym___attribute__] = ACTIONS(2612),
    [anon_sym_COLON_COLON] = ACTIONS(2614),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2614),
    [anon_sym___declspec] = ACTIONS(2612),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_signed] = ACTIONS(2612),
    [anon_sym_unsigned] = ACTIONS(2612),
    [anon_sym_long] = ACTIONS(2612),
    [anon_sym_short] = ACTIONS(2612),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2612),
    [anon_sym_register] = ACTIONS(2612),
    [anon_sym_inline] = ACTIONS(2612),
    [anon_sym___inline] = ACTIONS(2612),
    [anon_sym___inline__] = ACTIONS(2612),
    [anon_sym___forceinline] = ACTIONS(2612),
    [anon_sym_thread_local] = ACTIONS(2612),
    [anon_sym___thread] = ACTIONS(2612),
    [anon_sym_const] = ACTIONS(2612),
    [anon_sym_constexpr] = ACTIONS(2612),
    [anon_sym_volatile] = ACTIONS(2612),
    [anon_sym_restrict] = ACTIONS(2612),
    [anon_sym___restrict__] = ACTIONS(2612),
    [anon_sym__Atomic] = ACTIONS(2612),
    [anon_sym__Noreturn] = ACTIONS(2612),
    [anon_sym_noreturn] = ACTIONS(2612),
    [anon_sym_mutable] = ACTIONS(2612),
    [anon_sym_constinit] = ACTIONS(2612),
    [anon_sym_consteval] = ACTIONS(2612),
    [anon_sym_alignas] = ACTIONS(2612),
    [anon_sym__Alignas] = ACTIONS(2612),
    [sym_primitive_type] = ACTIONS(2612),
    [anon_sym_enum] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2612),
    [anon_sym_struct] = ACTIONS(2612),
    [anon_sym_union] = ACTIONS(2612),
    [anon_sym_if] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2612),
    [anon_sym_switch] = ACTIONS(2612),
    [anon_sym_while] = ACTIONS(2612),
    [anon_sym_do] = ACTIONS(2612),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_return] = ACTIONS(2612),
    [anon_sym_break] = ACTIONS(2612),
    [anon_sym_continue] = ACTIONS(2612),
    [anon_sym_goto] = ACTIONS(2612),
    [anon_sym___try] = ACTIONS(2612),
    [anon_sym___leave] = ACTIONS(2612),
    [anon_sym_not] = ACTIONS(2612),
    [anon_sym_compl] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_sizeof] = ACTIONS(2612),
    [anon_sym___alignof__] = ACTIONS(2612),
    [anon_sym___alignof] = ACTIONS(2612),
    [anon_sym__alignof] = ACTIONS(2612),
    [anon_sym_alignof] = ACTIONS(2612),
    [anon_sym__Alignof] = ACTIONS(2612),
    [anon_sym_offsetof] = ACTIONS(2612),
    [anon_sym__Generic] = ACTIONS(2612),
    [anon_sym_asm] = ACTIONS(2612),
    [anon_sym___asm__] = ACTIONS(2612),
    [sym_number_literal] = ACTIONS(2614),
    [anon_sym_L_SQUOTE] = ACTIONS(2614),
    [anon_sym_u_SQUOTE] = ACTIONS(2614),
    [anon_sym_U_SQUOTE] = ACTIONS(2614),
    [anon_sym_u8_SQUOTE] = ACTIONS(2614),
    [anon_sym_SQUOTE] = ACTIONS(2614),
    [anon_sym_L_DQUOTE] = ACTIONS(2614),
    [anon_sym_u_DQUOTE] = ACTIONS(2614),
    [anon_sym_U_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8_DQUOTE] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2614),
    [sym_true] = ACTIONS(2612),
    [sym_false] = ACTIONS(2612),
    [anon_sym_NULL] = ACTIONS(2612),
    [anon_sym_nullptr] = ACTIONS(2612),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2612),
    [anon_sym_decltype] = ACTIONS(2612),
    [sym_virtual] = ACTIONS(2612),
    [anon_sym_typename] = ACTIONS(2612),
    [anon_sym_template] = ACTIONS(2612),
    [anon_sym_try] = ACTIONS(2612),
    [anon_sym_delete] = ACTIONS(2612),
    [anon_sym_throw] = ACTIONS(2612),
    [anon_sym_co_return] = ACTIONS(2612),
    [anon_sym_co_yield] = ACTIONS(2612),
    [anon_sym_R_DQUOTE] = ACTIONS(2614),
    [anon_sym_LR_DQUOTE] = ACTIONS(2614),
    [anon_sym_uR_DQUOTE] = ACTIONS(2614),
    [anon_sym_UR_DQUOTE] = ACTIONS(2614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2614),
    [anon_sym_co_await] = ACTIONS(2612),
    [anon_sym_new] = ACTIONS(2612),
    [anon_sym_requires] = ACTIONS(2612),
    [sym_this] = ACTIONS(2612),
  },
  [840] = {
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_LPAREN2] = ACTIONS(2512),
    [anon_sym_BANG] = ACTIONS(2512),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2510),
    [anon_sym_PLUS] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2510),
    [anon_sym_typedef] = ACTIONS(2510),
    [anon_sym_extern] = ACTIONS(2510),
    [anon_sym___attribute__] = ACTIONS(2510),
    [anon_sym_COLON_COLON] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2512),
    [anon_sym___declspec] = ACTIONS(2510),
    [anon_sym_LBRACE] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2510),
    [anon_sym_unsigned] = ACTIONS(2510),
    [anon_sym_long] = ACTIONS(2510),
    [anon_sym_short] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_static] = ACTIONS(2510),
    [anon_sym_register] = ACTIONS(2510),
    [anon_sym_inline] = ACTIONS(2510),
    [anon_sym___inline] = ACTIONS(2510),
    [anon_sym___inline__] = ACTIONS(2510),
    [anon_sym___forceinline] = ACTIONS(2510),
    [anon_sym_thread_local] = ACTIONS(2510),
    [anon_sym___thread] = ACTIONS(2510),
    [anon_sym_const] = ACTIONS(2510),
    [anon_sym_constexpr] = ACTIONS(2510),
    [anon_sym_volatile] = ACTIONS(2510),
    [anon_sym_restrict] = ACTIONS(2510),
    [anon_sym___restrict__] = ACTIONS(2510),
    [anon_sym__Atomic] = ACTIONS(2510),
    [anon_sym__Noreturn] = ACTIONS(2510),
    [anon_sym_noreturn] = ACTIONS(2510),
    [anon_sym_mutable] = ACTIONS(2510),
    [anon_sym_constinit] = ACTIONS(2510),
    [anon_sym_consteval] = ACTIONS(2510),
    [anon_sym_alignas] = ACTIONS(2510),
    [anon_sym__Alignas] = ACTIONS(2510),
    [sym_primitive_type] = ACTIONS(2510),
    [anon_sym_enum] = ACTIONS(2510),
    [anon_sym_class] = ACTIONS(2510),
    [anon_sym_struct] = ACTIONS(2510),
    [anon_sym_union] = ACTIONS(2510),
    [anon_sym_if] = ACTIONS(2510),
    [anon_sym_else] = ACTIONS(2510),
    [anon_sym_switch] = ACTIONS(2510),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_do] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2510),
    [anon_sym_return] = ACTIONS(2510),
    [anon_sym_break] = ACTIONS(2510),
    [anon_sym_continue] = ACTIONS(2510),
    [anon_sym_goto] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2510),
    [anon_sym___leave] = ACTIONS(2510),
    [anon_sym_not] = ACTIONS(2510),
    [anon_sym_compl] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_sizeof] = ACTIONS(2510),
    [anon_sym___alignof__] = ACTIONS(2510),
    [anon_sym___alignof] = ACTIONS(2510),
    [anon_sym__alignof] = ACTIONS(2510),
    [anon_sym_alignof] = ACTIONS(2510),
    [anon_sym__Alignof] = ACTIONS(2510),
    [anon_sym_offsetof] = ACTIONS(2510),
    [anon_sym__Generic] = ACTIONS(2510),
    [anon_sym_asm] = ACTIONS(2510),
    [anon_sym___asm__] = ACTIONS(2510),
    [sym_number_literal] = ACTIONS(2512),
    [anon_sym_L_SQUOTE] = ACTIONS(2512),
    [anon_sym_u_SQUOTE] = ACTIONS(2512),
    [anon_sym_U_SQUOTE] = ACTIONS(2512),
    [anon_sym_u8_SQUOTE] = ACTIONS(2512),
    [anon_sym_SQUOTE] = ACTIONS(2512),
    [anon_sym_L_DQUOTE] = ACTIONS(2512),
    [anon_sym_u_DQUOTE] = ACTIONS(2512),
    [anon_sym_U_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8_DQUOTE] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2512),
    [sym_true] = ACTIONS(2510),
    [sym_false] = ACTIONS(2510),
    [anon_sym_NULL] = ACTIONS(2510),
    [anon_sym_nullptr] = ACTIONS(2510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2510),
    [anon_sym_decltype] = ACTIONS(2510),
    [sym_virtual] = ACTIONS(2510),
    [anon_sym_typename] = ACTIONS(2510),
    [anon_sym_template] = ACTIONS(2510),
    [anon_sym_try] = ACTIONS(2510),
    [anon_sym_delete] = ACTIONS(2510),
    [anon_sym_throw] = ACTIONS(2510),
    [anon_sym_co_return] = ACTIONS(2510),
    [anon_sym_co_yield] = ACTIONS(2510),
    [anon_sym_R_DQUOTE] = ACTIONS(2512),
    [anon_sym_LR_DQUOTE] = ACTIONS(2512),
    [anon_sym_uR_DQUOTE] = ACTIONS(2512),
    [anon_sym_UR_DQUOTE] = ACTIONS(2512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2512),
    [anon_sym_co_await] = ACTIONS(2510),
    [anon_sym_new] = ACTIONS(2510),
    [anon_sym_requires] = ACTIONS(2510),
    [sym_this] = ACTIONS(2510),
  },
  [841] = {
    [sym_identifier] = ACTIONS(2522),
    [anon_sym_LPAREN2] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_PLUS] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2522),
    [anon_sym_typedef] = ACTIONS(2522),
    [anon_sym_extern] = ACTIONS(2522),
    [anon_sym___attribute__] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2524),
    [anon_sym___declspec] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2522),
    [anon_sym_unsigned] = ACTIONS(2522),
    [anon_sym_long] = ACTIONS(2522),
    [anon_sym_short] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2522),
    [anon_sym_register] = ACTIONS(2522),
    [anon_sym_inline] = ACTIONS(2522),
    [anon_sym___inline] = ACTIONS(2522),
    [anon_sym___inline__] = ACTIONS(2522),
    [anon_sym___forceinline] = ACTIONS(2522),
    [anon_sym_thread_local] = ACTIONS(2522),
    [anon_sym___thread] = ACTIONS(2522),
    [anon_sym_const] = ACTIONS(2522),
    [anon_sym_constexpr] = ACTIONS(2522),
    [anon_sym_volatile] = ACTIONS(2522),
    [anon_sym_restrict] = ACTIONS(2522),
    [anon_sym___restrict__] = ACTIONS(2522),
    [anon_sym__Atomic] = ACTIONS(2522),
    [anon_sym__Noreturn] = ACTIONS(2522),
    [anon_sym_noreturn] = ACTIONS(2522),
    [anon_sym_mutable] = ACTIONS(2522),
    [anon_sym_constinit] = ACTIONS(2522),
    [anon_sym_consteval] = ACTIONS(2522),
    [anon_sym_alignas] = ACTIONS(2522),
    [anon_sym__Alignas] = ACTIONS(2522),
    [sym_primitive_type] = ACTIONS(2522),
    [anon_sym_enum] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2522),
    [anon_sym_struct] = ACTIONS(2522),
    [anon_sym_union] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_else] = ACTIONS(2522),
    [anon_sym_switch] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_do] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2522),
    [anon_sym_return] = ACTIONS(2522),
    [anon_sym_break] = ACTIONS(2522),
    [anon_sym_continue] = ACTIONS(2522),
    [anon_sym_goto] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2522),
    [anon_sym___leave] = ACTIONS(2522),
    [anon_sym_not] = ACTIONS(2522),
    [anon_sym_compl] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2524),
    [anon_sym_sizeof] = ACTIONS(2522),
    [anon_sym___alignof__] = ACTIONS(2522),
    [anon_sym___alignof] = ACTIONS(2522),
    [anon_sym__alignof] = ACTIONS(2522),
    [anon_sym_alignof] = ACTIONS(2522),
    [anon_sym__Alignof] = ACTIONS(2522),
    [anon_sym_offsetof] = ACTIONS(2522),
    [anon_sym__Generic] = ACTIONS(2522),
    [anon_sym_asm] = ACTIONS(2522),
    [anon_sym___asm__] = ACTIONS(2522),
    [sym_number_literal] = ACTIONS(2524),
    [anon_sym_L_SQUOTE] = ACTIONS(2524),
    [anon_sym_u_SQUOTE] = ACTIONS(2524),
    [anon_sym_U_SQUOTE] = ACTIONS(2524),
    [anon_sym_u8_SQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_L_DQUOTE] = ACTIONS(2524),
    [anon_sym_u_DQUOTE] = ACTIONS(2524),
    [anon_sym_U_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [sym_true] = ACTIONS(2522),
    [sym_false] = ACTIONS(2522),
    [anon_sym_NULL] = ACTIONS(2522),
    [anon_sym_nullptr] = ACTIONS(2522),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2522),
    [anon_sym_decltype] = ACTIONS(2522),
    [sym_virtual] = ACTIONS(2522),
    [anon_sym_typename] = ACTIONS(2522),
    [anon_sym_template] = ACTIONS(2522),
    [anon_sym_try] = ACTIONS(2522),
    [anon_sym_delete] = ACTIONS(2522),
    [anon_sym_throw] = ACTIONS(2522),
    [anon_sym_co_return] = ACTIONS(2522),
    [anon_sym_co_yield] = ACTIONS(2522),
    [anon_sym_R_DQUOTE] = ACTIONS(2524),
    [anon_sym_LR_DQUOTE] = ACTIONS(2524),
    [anon_sym_uR_DQUOTE] = ACTIONS(2524),
    [anon_sym_UR_DQUOTE] = ACTIONS(2524),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2524),
    [anon_sym_co_await] = ACTIONS(2522),
    [anon_sym_new] = ACTIONS(2522),
    [anon_sym_requires] = ACTIONS(2522),
    [sym_this] = ACTIONS(2522),
  },
  [842] = {
    [sym_identifier] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_else] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym___leave] = ACTIONS(2604),
    [anon_sym_not] = ACTIONS(2604),
    [anon_sym_compl] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_try] = ACTIONS(2604),
    [anon_sym_delete] = ACTIONS(2604),
    [anon_sym_throw] = ACTIONS(2604),
    [anon_sym_co_return] = ACTIONS(2604),
    [anon_sym_co_yield] = ACTIONS(2604),
    [anon_sym_R_DQUOTE] = ACTIONS(2606),
    [anon_sym_LR_DQUOTE] = ACTIONS(2606),
    [anon_sym_uR_DQUOTE] = ACTIONS(2606),
    [anon_sym_UR_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2606),
    [anon_sym_co_await] = ACTIONS(2604),
    [anon_sym_new] = ACTIONS(2604),
    [anon_sym_requires] = ACTIONS(2604),
    [sym_this] = ACTIONS(2604),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_COLON_COLON] = ACTIONS(2546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_mutable] = ACTIONS(2544),
    [anon_sym_constinit] = ACTIONS(2544),
    [anon_sym_consteval] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym___leave] = ACTIONS(2544),
    [anon_sym_not] = ACTIONS(2544),
    [anon_sym_compl] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2544),
    [anon_sym_decltype] = ACTIONS(2544),
    [sym_virtual] = ACTIONS(2544),
    [anon_sym_typename] = ACTIONS(2544),
    [anon_sym_template] = ACTIONS(2544),
    [anon_sym_try] = ACTIONS(2544),
    [anon_sym_delete] = ACTIONS(2544),
    [anon_sym_throw] = ACTIONS(2544),
    [anon_sym_co_return] = ACTIONS(2544),
    [anon_sym_co_yield] = ACTIONS(2544),
    [anon_sym_R_DQUOTE] = ACTIONS(2546),
    [anon_sym_LR_DQUOTE] = ACTIONS(2546),
    [anon_sym_uR_DQUOTE] = ACTIONS(2546),
    [anon_sym_UR_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2546),
    [anon_sym_co_await] = ACTIONS(2544),
    [anon_sym_new] = ACTIONS(2544),
    [anon_sym_requires] = ACTIONS(2544),
    [sym_this] = ACTIONS(2544),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2608),
    [anon_sym_not] = ACTIONS(2608),
    [anon_sym_compl] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2610),
    [anon_sym_L_SQUOTE] = ACTIONS(2610),
    [anon_sym_u_SQUOTE] = ACTIONS(2610),
    [anon_sym_U_SQUOTE] = ACTIONS(2610),
    [anon_sym_u8_SQUOTE] = ACTIONS(2610),
    [anon_sym_SQUOTE] = ACTIONS(2610),
    [anon_sym_L_DQUOTE] = ACTIONS(2610),
    [anon_sym_u_DQUOTE] = ACTIONS(2610),
    [anon_sym_U_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8_DQUOTE] = ACTIONS(2610),
    [anon_sym_DQUOTE] = ACTIONS(2610),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2608),
    [anon_sym_throw] = ACTIONS(2608),
    [anon_sym_co_return] = ACTIONS(2608),
    [anon_sym_co_yield] = ACTIONS(2608),
    [anon_sym_R_DQUOTE] = ACTIONS(2610),
    [anon_sym_LR_DQUOTE] = ACTIONS(2610),
    [anon_sym_uR_DQUOTE] = ACTIONS(2610),
    [anon_sym_UR_DQUOTE] = ACTIONS(2610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2610),
    [anon_sym_co_await] = ACTIONS(2608),
    [anon_sym_new] = ACTIONS(2608),
    [anon_sym_requires] = ACTIONS(2608),
    [sym_this] = ACTIONS(2608),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_COLON_COLON] = ACTIONS(2550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_mutable] = ACTIONS(2548),
    [anon_sym_constinit] = ACTIONS(2548),
    [anon_sym_consteval] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2548),
    [anon_sym_not] = ACTIONS(2548),
    [anon_sym_compl] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2548),
    [anon_sym_decltype] = ACTIONS(2548),
    [sym_virtual] = ACTIONS(2548),
    [anon_sym_typename] = ACTIONS(2548),
    [anon_sym_template] = ACTIONS(2548),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2548),
    [anon_sym_throw] = ACTIONS(2548),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2548),
    [anon_sym_R_DQUOTE] = ACTIONS(2550),
    [anon_sym_LR_DQUOTE] = ACTIONS(2550),
    [anon_sym_uR_DQUOTE] = ACTIONS(2550),
    [anon_sym_UR_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2550),
    [anon_sym_co_await] = ACTIONS(2548),
    [anon_sym_new] = ACTIONS(2548),
    [anon_sym_requires] = ACTIONS(2548),
    [sym_this] = ACTIONS(2548),
  },
  [846] = {
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_mutable] = ACTIONS(2552),
    [anon_sym_constinit] = ACTIONS(2552),
    [anon_sym_consteval] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym___leave] = ACTIONS(2552),
    [anon_sym_not] = ACTIONS(2552),
    [anon_sym_compl] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2552),
    [anon_sym_decltype] = ACTIONS(2552),
    [sym_virtual] = ACTIONS(2552),
    [anon_sym_typename] = ACTIONS(2552),
    [anon_sym_template] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_delete] = ACTIONS(2552),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_co_return] = ACTIONS(2552),
    [anon_sym_co_yield] = ACTIONS(2552),
    [anon_sym_R_DQUOTE] = ACTIONS(2554),
    [anon_sym_LR_DQUOTE] = ACTIONS(2554),
    [anon_sym_uR_DQUOTE] = ACTIONS(2554),
    [anon_sym_UR_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2554),
    [anon_sym_co_await] = ACTIONS(2552),
    [anon_sym_new] = ACTIONS(2552),
    [anon_sym_requires] = ACTIONS(2552),
    [sym_this] = ACTIONS(2552),
  },
  [847] = {
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_COLON_COLON] = ACTIONS(2558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_mutable] = ACTIONS(2556),
    [anon_sym_constinit] = ACTIONS(2556),
    [anon_sym_consteval] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym___leave] = ACTIONS(2556),
    [anon_sym_not] = ACTIONS(2556),
    [anon_sym_compl] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2556),
    [anon_sym_decltype] = ACTIONS(2556),
    [sym_virtual] = ACTIONS(2556),
    [anon_sym_typename] = ACTIONS(2556),
    [anon_sym_template] = ACTIONS(2556),
    [anon_sym_try] = ACTIONS(2556),
    [anon_sym_delete] = ACTIONS(2556),
    [anon_sym_throw] = ACTIONS(2556),
    [anon_sym_co_return] = ACTIONS(2556),
    [anon_sym_co_yield] = ACTIONS(2556),
    [anon_sym_R_DQUOTE] = ACTIONS(2558),
    [anon_sym_LR_DQUOTE] = ACTIONS(2558),
    [anon_sym_uR_DQUOTE] = ACTIONS(2558),
    [anon_sym_UR_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2558),
    [anon_sym_co_await] = ACTIONS(2556),
    [anon_sym_new] = ACTIONS(2556),
    [anon_sym_requires] = ACTIONS(2556),
    [sym_this] = ACTIONS(2556),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_COLON_COLON] = ACTIONS(2562),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_mutable] = ACTIONS(2560),
    [anon_sym_constinit] = ACTIONS(2560),
    [anon_sym_consteval] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym___leave] = ACTIONS(2560),
    [anon_sym_not] = ACTIONS(2560),
    [anon_sym_compl] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2560),
    [anon_sym_decltype] = ACTIONS(2560),
    [sym_virtual] = ACTIONS(2560),
    [anon_sym_typename] = ACTIONS(2560),
    [anon_sym_template] = ACTIONS(2560),
    [anon_sym_try] = ACTIONS(2560),
    [anon_sym_delete] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2560),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2560),
    [anon_sym_R_DQUOTE] = ACTIONS(2562),
    [anon_sym_LR_DQUOTE] = ACTIONS(2562),
    [anon_sym_uR_DQUOTE] = ACTIONS(2562),
    [anon_sym_UR_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2562),
    [anon_sym_co_await] = ACTIONS(2560),
    [anon_sym_new] = ACTIONS(2560),
    [anon_sym_requires] = ACTIONS(2560),
    [sym_this] = ACTIONS(2560),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym_COLON_COLON] = ACTIONS(2570),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_mutable] = ACTIONS(2568),
    [anon_sym_constinit] = ACTIONS(2568),
    [anon_sym_consteval] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_class] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym___leave] = ACTIONS(2568),
    [anon_sym_not] = ACTIONS(2568),
    [anon_sym_compl] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2568),
    [anon_sym_decltype] = ACTIONS(2568),
    [sym_virtual] = ACTIONS(2568),
    [anon_sym_typename] = ACTIONS(2568),
    [anon_sym_template] = ACTIONS(2568),
    [anon_sym_try] = ACTIONS(2568),
    [anon_sym_delete] = ACTIONS(2568),
    [anon_sym_throw] = ACTIONS(2568),
    [anon_sym_co_return] = ACTIONS(2568),
    [anon_sym_co_yield] = ACTIONS(2568),
    [anon_sym_R_DQUOTE] = ACTIONS(2570),
    [anon_sym_LR_DQUOTE] = ACTIONS(2570),
    [anon_sym_uR_DQUOTE] = ACTIONS(2570),
    [anon_sym_UR_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2570),
    [anon_sym_co_await] = ACTIONS(2568),
    [anon_sym_new] = ACTIONS(2568),
    [anon_sym_requires] = ACTIONS(2568),
    [sym_this] = ACTIONS(2568),
  },
  [850] = {
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6072),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(5906),
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3021),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5284),
    [sym_qualified_identifier] = STATE(3023),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_operator_name] = STATE(5906),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_mutable] = ACTIONS(2572),
    [anon_sym_constinit] = ACTIONS(2572),
    [anon_sym_consteval] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym___leave] = ACTIONS(2572),
    [anon_sym_not] = ACTIONS(2572),
    [anon_sym_compl] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2572),
    [anon_sym_decltype] = ACTIONS(2572),
    [sym_virtual] = ACTIONS(2572),
    [anon_sym_typename] = ACTIONS(2572),
    [anon_sym_template] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_delete] = ACTIONS(2572),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_co_return] = ACTIONS(2572),
    [anon_sym_co_yield] = ACTIONS(2572),
    [anon_sym_R_DQUOTE] = ACTIONS(2574),
    [anon_sym_LR_DQUOTE] = ACTIONS(2574),
    [anon_sym_uR_DQUOTE] = ACTIONS(2574),
    [anon_sym_UR_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2574),
    [anon_sym_co_await] = ACTIONS(2572),
    [anon_sym_new] = ACTIONS(2572),
    [anon_sym_requires] = ACTIONS(2572),
    [sym_this] = ACTIONS(2572),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym_COLON_COLON] = ACTIONS(2578),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_mutable] = ACTIONS(2576),
    [anon_sym_constinit] = ACTIONS(2576),
    [anon_sym_consteval] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym___leave] = ACTIONS(2576),
    [anon_sym_not] = ACTIONS(2576),
    [anon_sym_compl] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2576),
    [anon_sym_decltype] = ACTIONS(2576),
    [sym_virtual] = ACTIONS(2576),
    [anon_sym_typename] = ACTIONS(2576),
    [anon_sym_template] = ACTIONS(2576),
    [anon_sym_try] = ACTIONS(2576),
    [anon_sym_delete] = ACTIONS(2576),
    [anon_sym_throw] = ACTIONS(2576),
    [anon_sym_co_return] = ACTIONS(2576),
    [anon_sym_co_yield] = ACTIONS(2576),
    [anon_sym_R_DQUOTE] = ACTIONS(2578),
    [anon_sym_LR_DQUOTE] = ACTIONS(2578),
    [anon_sym_uR_DQUOTE] = ACTIONS(2578),
    [anon_sym_UR_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2578),
    [anon_sym_co_await] = ACTIONS(2576),
    [anon_sym_new] = ACTIONS(2576),
    [anon_sym_requires] = ACTIONS(2576),
    [sym_this] = ACTIONS(2576),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2530),
    [anon_sym_LPAREN2] = ACTIONS(2532),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2532),
    [anon_sym_AMP] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2530),
    [anon_sym_typedef] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym___attribute__] = ACTIONS(2530),
    [anon_sym_COLON_COLON] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2532),
    [anon_sym___declspec] = ACTIONS(2530),
    [anon_sym_LBRACE] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2530),
    [anon_sym_unsigned] = ACTIONS(2530),
    [anon_sym_long] = ACTIONS(2530),
    [anon_sym_short] = ACTIONS(2530),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_register] = ACTIONS(2530),
    [anon_sym_inline] = ACTIONS(2530),
    [anon_sym___inline] = ACTIONS(2530),
    [anon_sym___inline__] = ACTIONS(2530),
    [anon_sym___forceinline] = ACTIONS(2530),
    [anon_sym_thread_local] = ACTIONS(2530),
    [anon_sym___thread] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_constexpr] = ACTIONS(2530),
    [anon_sym_volatile] = ACTIONS(2530),
    [anon_sym_restrict] = ACTIONS(2530),
    [anon_sym___restrict__] = ACTIONS(2530),
    [anon_sym__Atomic] = ACTIONS(2530),
    [anon_sym__Noreturn] = ACTIONS(2530),
    [anon_sym_noreturn] = ACTIONS(2530),
    [anon_sym_mutable] = ACTIONS(2530),
    [anon_sym_constinit] = ACTIONS(2530),
    [anon_sym_consteval] = ACTIONS(2530),
    [anon_sym_alignas] = ACTIONS(2530),
    [anon_sym__Alignas] = ACTIONS(2530),
    [sym_primitive_type] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_class] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [anon_sym_if] = ACTIONS(2530),
    [anon_sym_else] = ACTIONS(2530),
    [anon_sym_switch] = ACTIONS(2530),
    [anon_sym_while] = ACTIONS(2530),
    [anon_sym_do] = ACTIONS(2530),
    [anon_sym_for] = ACTIONS(2530),
    [anon_sym_return] = ACTIONS(2530),
    [anon_sym_break] = ACTIONS(2530),
    [anon_sym_continue] = ACTIONS(2530),
    [anon_sym_goto] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2530),
    [anon_sym___leave] = ACTIONS(2530),
    [anon_sym_not] = ACTIONS(2530),
    [anon_sym_compl] = ACTIONS(2530),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_sizeof] = ACTIONS(2530),
    [anon_sym___alignof__] = ACTIONS(2530),
    [anon_sym___alignof] = ACTIONS(2530),
    [anon_sym__alignof] = ACTIONS(2530),
    [anon_sym_alignof] = ACTIONS(2530),
    [anon_sym__Alignof] = ACTIONS(2530),
    [anon_sym_offsetof] = ACTIONS(2530),
    [anon_sym__Generic] = ACTIONS(2530),
    [anon_sym_asm] = ACTIONS(2530),
    [anon_sym___asm__] = ACTIONS(2530),
    [sym_number_literal] = ACTIONS(2532),
    [anon_sym_L_SQUOTE] = ACTIONS(2532),
    [anon_sym_u_SQUOTE] = ACTIONS(2532),
    [anon_sym_U_SQUOTE] = ACTIONS(2532),
    [anon_sym_u8_SQUOTE] = ACTIONS(2532),
    [anon_sym_SQUOTE] = ACTIONS(2532),
    [anon_sym_L_DQUOTE] = ACTIONS(2532),
    [anon_sym_u_DQUOTE] = ACTIONS(2532),
    [anon_sym_U_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8_DQUOTE] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2532),
    [sym_true] = ACTIONS(2530),
    [sym_false] = ACTIONS(2530),
    [anon_sym_NULL] = ACTIONS(2530),
    [anon_sym_nullptr] = ACTIONS(2530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2530),
    [anon_sym_decltype] = ACTIONS(2530),
    [sym_virtual] = ACTIONS(2530),
    [anon_sym_typename] = ACTIONS(2530),
    [anon_sym_template] = ACTIONS(2530),
    [anon_sym_try] = ACTIONS(2530),
    [anon_sym_delete] = ACTIONS(2530),
    [anon_sym_throw] = ACTIONS(2530),
    [anon_sym_co_return] = ACTIONS(2530),
    [anon_sym_co_yield] = ACTIONS(2530),
    [anon_sym_R_DQUOTE] = ACTIONS(2532),
    [anon_sym_LR_DQUOTE] = ACTIONS(2532),
    [anon_sym_uR_DQUOTE] = ACTIONS(2532),
    [anon_sym_UR_DQUOTE] = ACTIONS(2532),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2532),
    [anon_sym_co_await] = ACTIONS(2530),
    [anon_sym_new] = ACTIONS(2530),
    [anon_sym_requires] = ACTIONS(2530),
    [sym_this] = ACTIONS(2530),
  },
  [854] = {
    [sym_identifier] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2526),
    [anon_sym_PLUS] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym_LBRACE] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_else] = ACTIONS(2526),
    [anon_sym_switch] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_do] = ACTIONS(2526),
    [anon_sym_for] = ACTIONS(2526),
    [anon_sym_return] = ACTIONS(2526),
    [anon_sym_break] = ACTIONS(2526),
    [anon_sym_continue] = ACTIONS(2526),
    [anon_sym_goto] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2526),
    [anon_sym___leave] = ACTIONS(2526),
    [anon_sym_not] = ACTIONS(2526),
    [anon_sym_compl] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2528),
    [anon_sym_sizeof] = ACTIONS(2526),
    [anon_sym___alignof__] = ACTIONS(2526),
    [anon_sym___alignof] = ACTIONS(2526),
    [anon_sym__alignof] = ACTIONS(2526),
    [anon_sym_alignof] = ACTIONS(2526),
    [anon_sym__Alignof] = ACTIONS(2526),
    [anon_sym_offsetof] = ACTIONS(2526),
    [anon_sym__Generic] = ACTIONS(2526),
    [anon_sym_asm] = ACTIONS(2526),
    [anon_sym___asm__] = ACTIONS(2526),
    [sym_number_literal] = ACTIONS(2528),
    [anon_sym_L_SQUOTE] = ACTIONS(2528),
    [anon_sym_u_SQUOTE] = ACTIONS(2528),
    [anon_sym_U_SQUOTE] = ACTIONS(2528),
    [anon_sym_u8_SQUOTE] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2528),
    [anon_sym_L_DQUOTE] = ACTIONS(2528),
    [anon_sym_u_DQUOTE] = ACTIONS(2528),
    [anon_sym_U_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8_DQUOTE] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2528),
    [sym_true] = ACTIONS(2526),
    [sym_false] = ACTIONS(2526),
    [anon_sym_NULL] = ACTIONS(2526),
    [anon_sym_nullptr] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [sym_virtual] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_try] = ACTIONS(2526),
    [anon_sym_delete] = ACTIONS(2526),
    [anon_sym_throw] = ACTIONS(2526),
    [anon_sym_co_return] = ACTIONS(2526),
    [anon_sym_co_yield] = ACTIONS(2526),
    [anon_sym_R_DQUOTE] = ACTIONS(2528),
    [anon_sym_LR_DQUOTE] = ACTIONS(2528),
    [anon_sym_uR_DQUOTE] = ACTIONS(2528),
    [anon_sym_UR_DQUOTE] = ACTIONS(2528),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2528),
    [anon_sym_co_await] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2526),
    [anon_sym_requires] = ACTIONS(2526),
    [sym_this] = ACTIONS(2526),
  },
  [855] = {
    [sym_identifier] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym___leave] = ACTIONS(2584),
    [anon_sym_not] = ACTIONS(2584),
    [anon_sym_compl] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_try] = ACTIONS(2584),
    [anon_sym_delete] = ACTIONS(2584),
    [anon_sym_throw] = ACTIONS(2584),
    [anon_sym_co_return] = ACTIONS(2584),
    [anon_sym_co_yield] = ACTIONS(2584),
    [anon_sym_R_DQUOTE] = ACTIONS(2586),
    [anon_sym_LR_DQUOTE] = ACTIONS(2586),
    [anon_sym_uR_DQUOTE] = ACTIONS(2586),
    [anon_sym_UR_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2586),
    [anon_sym_co_await] = ACTIONS(2584),
    [anon_sym_new] = ACTIONS(2584),
    [anon_sym_requires] = ACTIONS(2584),
    [sym_this] = ACTIONS(2584),
  },
  [856] = {
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_COLON_COLON] = ACTIONS(2590),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_mutable] = ACTIONS(2588),
    [anon_sym_constinit] = ACTIONS(2588),
    [anon_sym_consteval] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym___leave] = ACTIONS(2588),
    [anon_sym_not] = ACTIONS(2588),
    [anon_sym_compl] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2588),
    [anon_sym_decltype] = ACTIONS(2588),
    [sym_virtual] = ACTIONS(2588),
    [anon_sym_typename] = ACTIONS(2588),
    [anon_sym_template] = ACTIONS(2588),
    [anon_sym_try] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2588),
    [anon_sym_co_return] = ACTIONS(2588),
    [anon_sym_co_yield] = ACTIONS(2588),
    [anon_sym_R_DQUOTE] = ACTIONS(2590),
    [anon_sym_LR_DQUOTE] = ACTIONS(2590),
    [anon_sym_uR_DQUOTE] = ACTIONS(2590),
    [anon_sym_UR_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2590),
    [anon_sym_co_await] = ACTIONS(2588),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_requires] = ACTIONS(2588),
    [sym_this] = ACTIONS(2588),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym_COLON_COLON] = ACTIONS(2598),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_mutable] = ACTIONS(2596),
    [anon_sym_constinit] = ACTIONS(2596),
    [anon_sym_consteval] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym___leave] = ACTIONS(2596),
    [anon_sym_not] = ACTIONS(2596),
    [anon_sym_compl] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2596),
    [anon_sym_decltype] = ACTIONS(2596),
    [sym_virtual] = ACTIONS(2596),
    [anon_sym_typename] = ACTIONS(2596),
    [anon_sym_template] = ACTIONS(2596),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2596),
    [anon_sym_co_return] = ACTIONS(2596),
    [anon_sym_co_yield] = ACTIONS(2596),
    [anon_sym_R_DQUOTE] = ACTIONS(2598),
    [anon_sym_LR_DQUOTE] = ACTIONS(2598),
    [anon_sym_uR_DQUOTE] = ACTIONS(2598),
    [anon_sym_UR_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2598),
    [anon_sym_co_await] = ACTIONS(2596),
    [anon_sym_new] = ACTIONS(2596),
    [anon_sym_requires] = ACTIONS(2596),
    [sym_this] = ACTIONS(2596),
  },
  [858] = {
    [sym_identifier] = ACTIONS(3642),
    [anon_sym_LPAREN2] = ACTIONS(3644),
    [anon_sym_BANG] = ACTIONS(3644),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3642),
    [anon_sym_PLUS] = ACTIONS(3642),
    [anon_sym_STAR] = ACTIONS(3644),
    [anon_sym_AMP] = ACTIONS(3644),
    [anon_sym_SEMI] = ACTIONS(3644),
    [anon_sym___extension__] = ACTIONS(3642),
    [anon_sym_extern] = ACTIONS(3642),
    [anon_sym___attribute__] = ACTIONS(3642),
    [anon_sym_COLON_COLON] = ACTIONS(3644),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3642),
    [anon_sym_LBRACE] = ACTIONS(3644),
    [anon_sym_signed] = ACTIONS(3642),
    [anon_sym_unsigned] = ACTIONS(3642),
    [anon_sym_long] = ACTIONS(3642),
    [anon_sym_short] = ACTIONS(3642),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_static] = ACTIONS(3642),
    [anon_sym_register] = ACTIONS(3642),
    [anon_sym_inline] = ACTIONS(3642),
    [anon_sym___inline] = ACTIONS(3642),
    [anon_sym___inline__] = ACTIONS(3642),
    [anon_sym___forceinline] = ACTIONS(3642),
    [anon_sym_thread_local] = ACTIONS(3642),
    [anon_sym___thread] = ACTIONS(3642),
    [anon_sym_const] = ACTIONS(3642),
    [anon_sym_constexpr] = ACTIONS(3642),
    [anon_sym_volatile] = ACTIONS(3642),
    [anon_sym_restrict] = ACTIONS(3642),
    [anon_sym___restrict__] = ACTIONS(3642),
    [anon_sym__Atomic] = ACTIONS(3642),
    [anon_sym__Noreturn] = ACTIONS(3642),
    [anon_sym_noreturn] = ACTIONS(3642),
    [anon_sym_mutable] = ACTIONS(3642),
    [anon_sym_constinit] = ACTIONS(3642),
    [anon_sym_consteval] = ACTIONS(3642),
    [anon_sym_alignas] = ACTIONS(3642),
    [anon_sym__Alignas] = ACTIONS(3642),
    [sym_primitive_type] = ACTIONS(3642),
    [anon_sym_enum] = ACTIONS(3642),
    [anon_sym_class] = ACTIONS(3642),
    [anon_sym_struct] = ACTIONS(3642),
    [anon_sym_union] = ACTIONS(3642),
    [anon_sym_if] = ACTIONS(3642),
    [anon_sym_switch] = ACTIONS(3642),
    [anon_sym_case] = ACTIONS(3642),
    [anon_sym_default] = ACTIONS(3642),
    [anon_sym_while] = ACTIONS(3642),
    [anon_sym_do] = ACTIONS(3642),
    [anon_sym_for] = ACTIONS(3642),
    [anon_sym_return] = ACTIONS(3642),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_continue] = ACTIONS(3642),
    [anon_sym_goto] = ACTIONS(3642),
    [anon_sym___try] = ACTIONS(3642),
    [anon_sym___leave] = ACTIONS(3642),
    [anon_sym_not] = ACTIONS(3642),
    [anon_sym_compl] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3644),
    [anon_sym_PLUS_PLUS] = ACTIONS(3644),
    [anon_sym_sizeof] = ACTIONS(3642),
    [anon_sym___alignof__] = ACTIONS(3642),
    [anon_sym___alignof] = ACTIONS(3642),
    [anon_sym__alignof] = ACTIONS(3642),
    [anon_sym_alignof] = ACTIONS(3642),
    [anon_sym__Alignof] = ACTIONS(3642),
    [anon_sym_offsetof] = ACTIONS(3642),
    [anon_sym__Generic] = ACTIONS(3642),
    [anon_sym_asm] = ACTIONS(3642),
    [anon_sym___asm__] = ACTIONS(3642),
    [sym_number_literal] = ACTIONS(3644),
    [anon_sym_L_SQUOTE] = ACTIONS(3644),
    [anon_sym_u_SQUOTE] = ACTIONS(3644),
    [anon_sym_U_SQUOTE] = ACTIONS(3644),
    [anon_sym_u8_SQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3644),
    [anon_sym_L_DQUOTE] = ACTIONS(3644),
    [anon_sym_u_DQUOTE] = ACTIONS(3644),
    [anon_sym_U_DQUOTE] = ACTIONS(3644),
    [anon_sym_u8_DQUOTE] = ACTIONS(3644),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [sym_true] = ACTIONS(3642),
    [sym_false] = ACTIONS(3642),
    [anon_sym_NULL] = ACTIONS(3642),
    [anon_sym_nullptr] = ACTIONS(3642),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3642),
    [anon_sym_decltype] = ACTIONS(3642),
    [sym_virtual] = ACTIONS(3642),
    [anon_sym_typename] = ACTIONS(3642),
    [anon_sym_template] = ACTIONS(3642),
    [anon_sym_try] = ACTIONS(3642),
    [anon_sym_delete] = ACTIONS(3642),
    [anon_sym_throw] = ACTIONS(3642),
    [anon_sym_co_return] = ACTIONS(3642),
    [anon_sym_co_yield] = ACTIONS(3642),
    [anon_sym_R_DQUOTE] = ACTIONS(3644),
    [anon_sym_LR_DQUOTE] = ACTIONS(3644),
    [anon_sym_uR_DQUOTE] = ACTIONS(3644),
    [anon_sym_UR_DQUOTE] = ACTIONS(3644),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3644),
    [anon_sym_co_await] = ACTIONS(3642),
    [anon_sym_new] = ACTIONS(3642),
    [anon_sym_requires] = ACTIONS(3642),
    [sym_this] = ACTIONS(3642),
  },
  [859] = {
    [sym_identifier] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym_COLON_COLON] = ACTIONS(2594),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_mutable] = ACTIONS(2592),
    [anon_sym_constinit] = ACTIONS(2592),
    [anon_sym_consteval] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_else] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym___leave] = ACTIONS(2592),
    [anon_sym_not] = ACTIONS(2592),
    [anon_sym_compl] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2592),
    [anon_sym_decltype] = ACTIONS(2592),
    [sym_virtual] = ACTIONS(2592),
    [anon_sym_typename] = ACTIONS(2592),
    [anon_sym_template] = ACTIONS(2592),
    [anon_sym_try] = ACTIONS(2592),
    [anon_sym_delete] = ACTIONS(2592),
    [anon_sym_throw] = ACTIONS(2592),
    [anon_sym_co_return] = ACTIONS(2592),
    [anon_sym_co_yield] = ACTIONS(2592),
    [anon_sym_R_DQUOTE] = ACTIONS(2594),
    [anon_sym_LR_DQUOTE] = ACTIONS(2594),
    [anon_sym_uR_DQUOTE] = ACTIONS(2594),
    [anon_sym_UR_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2594),
    [anon_sym_co_await] = ACTIONS(2592),
    [anon_sym_new] = ACTIONS(2592),
    [anon_sym_requires] = ACTIONS(2592),
    [sym_this] = ACTIONS(2592),
  },
  [860] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_ms_based_modifier] = STATE(7782),
    [sym_ms_call_modifier] = STATE(4457),
    [sym__declarator] = STATE(6202),
    [sym__abstract_declarator] = STATE(6337),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_abstract_parenthesized_declarator] = STATE(5819),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_abstract_pointer_declarator] = STATE(5819),
    [sym_function_declarator] = STATE(5906),
    [sym_abstract_function_declarator] = STATE(5819),
    [sym_array_declarator] = STATE(5906),
    [sym_abstract_array_declarator] = STATE(5819),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_list] = STATE(3187),
    [sym_parameter_declaration] = STATE(6690),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6690),
    [sym_variadic_parameter_declaration] = STATE(6690),
    [sym_reference_declarator] = STATE(5906),
    [sym_abstract_reference_declarator] = STATE(5819),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(2394),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5276),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(3825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1868),
    [anon_sym_RPAREN] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3831),
    [anon_sym_AMP_AMP] = ACTIONS(3833),
    [anon_sym_AMP] = ACTIONS(3835),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3837),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(1750),
    [anon_sym___clrcall] = ACTIONS(1750),
    [anon_sym___stdcall] = ACTIONS(1750),
    [anon_sym___fastcall] = ACTIONS(1750),
    [anon_sym___thiscall] = ACTIONS(1750),
    [anon_sym___vectorcall] = ACTIONS(1750),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [861] = {
    [sym_string_literal] = STATE(2215),
    [sym_template_argument_list] = STATE(1531),
    [sym_raw_string_literal] = STATE(2215),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3783),
    [anon_sym_COMMA] = ACTIONS(3783),
    [anon_sym_RPAREN] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3841),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3780),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3844),
    [anon_sym_or_eq] = ACTIONS(3844),
    [anon_sym_xor_eq] = ACTIONS(3844),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(3846),
    [anon_sym_u_DQUOTE] = ACTIONS(3846),
    [anon_sym_U_DQUOTE] = ACTIONS(3846),
    [anon_sym_u8_DQUOTE] = ACTIONS(3846),
    [anon_sym_DQUOTE] = ACTIONS(3846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3848),
    [anon_sym_LR_DQUOTE] = ACTIONS(3848),
    [anon_sym_uR_DQUOTE] = ACTIONS(3848),
    [anon_sym_UR_DQUOTE] = ACTIONS(3848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3848),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [862] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(1580),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [863] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(1580),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [864] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(1580),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3808),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [865] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(1580),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3810),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [866] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(1580),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3850),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [867] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(1580),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3821),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [868] = {
    [sym_expression] = STATE(4140),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(6838),
    [sym_initializer_pair] = STATE(6838),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3854),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3856),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [869] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(881),
    [sym_compound_requirement] = STATE(881),
    [sym__requirement] = STATE(881),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(881),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3864),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [870] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(872),
    [sym_compound_requirement] = STATE(872),
    [sym__requirement] = STATE(872),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(872),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [871] = {
    [sym_expression] = STATE(4044),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(6708),
    [sym_initializer_pair] = STATE(6708),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3870),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3872),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [872] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(893),
    [sym_compound_requirement] = STATE(893),
    [sym__requirement] = STATE(893),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(893),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [873] = {
    [sym_expression] = STATE(4123),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7035),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [874] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(888),
    [sym_compound_requirement] = STATE(888),
    [sym__requirement] = STATE(888),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(888),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3878),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [875] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(878),
    [sym_compound_requirement] = STATE(878),
    [sym__requirement] = STATE(878),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(878),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3880),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [876] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(893),
    [sym_compound_requirement] = STATE(893),
    [sym__requirement] = STATE(893),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(893),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3882),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [877] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(893),
    [sym_compound_requirement] = STATE(893),
    [sym__requirement] = STATE(893),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(893),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3884),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [878] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(893),
    [sym_compound_requirement] = STATE(893),
    [sym__requirement] = STATE(893),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(893),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3886),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [879] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(877),
    [sym_compound_requirement] = STATE(877),
    [sym__requirement] = STATE(877),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(877),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3888),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [880] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(885),
    [sym_compound_requirement] = STATE(885),
    [sym__requirement] = STATE(885),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(885),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3890),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [881] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(893),
    [sym_compound_requirement] = STATE(893),
    [sym__requirement] = STATE(893),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(893),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [882] = {
    [sym_expression] = STATE(4068),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(6869),
    [sym_initializer_pair] = STATE(6869),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3894),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [883] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(887),
    [sym_compound_requirement] = STATE(887),
    [sym__requirement] = STATE(887),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(887),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3898),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [884] = {
    [sym_expression] = STATE(4142),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7015),
    [sym_initializer_pair] = STATE(7015),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3900),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [885] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(893),
    [sym_compound_requirement] = STATE(893),
    [sym__requirement] = STATE(893),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(893),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3902),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [886] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(876),
    [sym_compound_requirement] = STATE(876),
    [sym__requirement] = STATE(876),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(876),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3904),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [887] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(893),
    [sym_compound_requirement] = STATE(893),
    [sym__requirement] = STATE(893),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(893),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3906),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [888] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(893),
    [sym_compound_requirement] = STATE(893),
    [sym__requirement] = STATE(893),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(893),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3908),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [889] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(892),
    [sym_compound_requirement] = STATE(892),
    [sym__requirement] = STATE(892),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(892),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3910),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [890] = {
    [sym_expression] = STATE(4155),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(6825),
    [sym_initializer_pair] = STATE(6825),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3912),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3914),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [891] = {
    [sym_expression] = STATE(4161),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(6930),
    [sym_initializer_pair] = STATE(6930),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_COMMA] = ACTIONS(3916),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3918),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [892] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(893),
    [sym_compound_requirement] = STATE(893),
    [sym__requirement] = STATE(893),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(893),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(3860),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3862),
    [anon_sym_RBRACE] = ACTIONS(3920),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_typename] = ACTIONS(3866),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [893] = {
    [sym_expression_statement] = STATE(2696),
    [sym_expression] = STATE(4203),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7790),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_type_requirement] = STATE(893),
    [sym_compound_requirement] = STATE(893),
    [sym__requirement] = STATE(893),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_requirement_seq_repeat1] = STATE(893),
    [sym_identifier] = ACTIONS(3922),
    [anon_sym_LPAREN2] = ACTIONS(3925),
    [anon_sym_BANG] = ACTIONS(3928),
    [anon_sym_TILDE] = ACTIONS(3928),
    [anon_sym_DASH] = ACTIONS(3931),
    [anon_sym_PLUS] = ACTIONS(3931),
    [anon_sym_STAR] = ACTIONS(3934),
    [anon_sym_AMP] = ACTIONS(3934),
    [anon_sym_SEMI] = ACTIONS(3937),
    [anon_sym_COLON_COLON] = ACTIONS(3940),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_RBRACE] = ACTIONS(3946),
    [anon_sym_LBRACK] = ACTIONS(3948),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3931),
    [anon_sym_compl] = ACTIONS(3931),
    [anon_sym_DASH_DASH] = ACTIONS(3954),
    [anon_sym_PLUS_PLUS] = ACTIONS(3954),
    [anon_sym_sizeof] = ACTIONS(3957),
    [anon_sym___alignof__] = ACTIONS(3960),
    [anon_sym___alignof] = ACTIONS(3960),
    [anon_sym__alignof] = ACTIONS(3960),
    [anon_sym_alignof] = ACTIONS(3960),
    [anon_sym__Alignof] = ACTIONS(3960),
    [anon_sym_offsetof] = ACTIONS(3963),
    [anon_sym__Generic] = ACTIONS(3966),
    [anon_sym_asm] = ACTIONS(3969),
    [anon_sym___asm__] = ACTIONS(3969),
    [sym_number_literal] = ACTIONS(3972),
    [anon_sym_L_SQUOTE] = ACTIONS(3975),
    [anon_sym_u_SQUOTE] = ACTIONS(3975),
    [anon_sym_U_SQUOTE] = ACTIONS(3975),
    [anon_sym_u8_SQUOTE] = ACTIONS(3975),
    [anon_sym_SQUOTE] = ACTIONS(3975),
    [anon_sym_L_DQUOTE] = ACTIONS(3978),
    [anon_sym_u_DQUOTE] = ACTIONS(3978),
    [anon_sym_U_DQUOTE] = ACTIONS(3978),
    [anon_sym_u8_DQUOTE] = ACTIONS(3978),
    [anon_sym_DQUOTE] = ACTIONS(3978),
    [sym_true] = ACTIONS(3981),
    [sym_false] = ACTIONS(3981),
    [anon_sym_NULL] = ACTIONS(3984),
    [anon_sym_nullptr] = ACTIONS(3984),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3987),
    [anon_sym_typename] = ACTIONS(3990),
    [anon_sym_template] = ACTIONS(3993),
    [anon_sym_delete] = ACTIONS(3996),
    [anon_sym_R_DQUOTE] = ACTIONS(3999),
    [anon_sym_LR_DQUOTE] = ACTIONS(3999),
    [anon_sym_uR_DQUOTE] = ACTIONS(3999),
    [anon_sym_UR_DQUOTE] = ACTIONS(3999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3999),
    [anon_sym_co_await] = ACTIONS(4002),
    [anon_sym_new] = ACTIONS(4005),
    [anon_sym_requires] = ACTIONS(4008),
    [sym_this] = ACTIONS(3981),
  },
  [894] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(1585),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2528),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3783),
    [anon_sym_COMMA] = ACTIONS(3783),
    [anon_sym_RPAREN] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3786),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym___extension__] = ACTIONS(3768),
    [anon_sym_extern] = ACTIONS(3768),
    [anon_sym___attribute__] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3776),
    [anon_sym___declspec] = ACTIONS(3768),
    [anon_sym___based] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(3796),
    [anon_sym_unsigned] = ACTIONS(3796),
    [anon_sym_long] = ACTIONS(3796),
    [anon_sym_short] = ACTIONS(3796),
    [anon_sym_LBRACK] = ACTIONS(3780),
    [anon_sym_static] = ACTIONS(3768),
    [anon_sym_EQ] = ACTIONS(3768),
    [anon_sym_register] = ACTIONS(3768),
    [anon_sym_inline] = ACTIONS(3768),
    [anon_sym___inline] = ACTIONS(3768),
    [anon_sym___inline__] = ACTIONS(3768),
    [anon_sym___forceinline] = ACTIONS(3768),
    [anon_sym_thread_local] = ACTIONS(3768),
    [anon_sym___thread] = ACTIONS(3768),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3768),
    [anon_sym_volatile] = ACTIONS(3768),
    [anon_sym_restrict] = ACTIONS(3768),
    [anon_sym___restrict__] = ACTIONS(3768),
    [anon_sym__Atomic] = ACTIONS(3768),
    [anon_sym__Noreturn] = ACTIONS(3768),
    [anon_sym_noreturn] = ACTIONS(3768),
    [anon_sym_mutable] = ACTIONS(3768),
    [anon_sym_constinit] = ACTIONS(3768),
    [anon_sym_consteval] = ACTIONS(3768),
    [anon_sym_alignas] = ACTIONS(3768),
    [anon_sym__Alignas] = ACTIONS(3768),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3802),
    [anon_sym_or_eq] = ACTIONS(3802),
    [anon_sym_xor_eq] = ACTIONS(3802),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
    [sym_virtual] = ACTIONS(3768),
    [anon_sym_template] = ACTIONS(3768),
    [anon_sym_operator] = ACTIONS(3768),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [895] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4011),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [896] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4013),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [897] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [898] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4017),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [899] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4019),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [900] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4021),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [901] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4023),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [902] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4025),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [903] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3876),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [904] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4027),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [905] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4029),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [906] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(4031),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [907] = {
    [sym_expression] = STATE(4257),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7147),
    [sym_initializer_pair] = STATE(7147),
    [sym_subscript_designator] = STATE(6264),
    [sym_subscript_range_designator] = STATE(6264),
    [sym_field_designator] = STATE(6264),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [aux_sym_initializer_pair_repeat1] = STATE(6264),
    [sym_identifier] = ACTIONS(3852),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [908] = {
    [sym_compound_statement] = STATE(6837),
    [sym_expression] = STATE(4139),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(6837),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4033),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4035),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [909] = {
    [sym_compound_statement] = STATE(6703),
    [sym_expression] = STATE(4042),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(6703),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4037),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4039),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [910] = {
    [sym_compound_statement] = STATE(6929),
    [sym_expression] = STATE(4159),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(6929),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4041),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [911] = {
    [sym_compound_statement] = STATE(6823),
    [sym_expression] = STATE(4152),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(6823),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4045),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4047),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [912] = {
    [sym_compound_statement] = STATE(7012),
    [sym_expression] = STATE(4057),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7012),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4049),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4051),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [913] = {
    [sym_compound_statement] = STATE(6752),
    [sym_expression] = STATE(4124),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(6752),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4053),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4055),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [914] = {
    [sym_compound_statement] = STATE(6834),
    [sym_expression] = STATE(4067),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(6834),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4057),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4059),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [915] = {
    [sym_expression] = STATE(4238),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7784),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7784),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4061),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [916] = {
    [sym_expression] = STATE(4243),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7928),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7928),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4063),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [917] = {
    [sym_expression] = STATE(3134),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7658),
    [sym__unary_right_fold] = STATE(7677),
    [sym__binary_fold] = STATE(7682),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [918] = {
    [sym_expression] = STATE(4294),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7394),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7394),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4065),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [919] = {
    [sym_expression] = STATE(3081),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7664),
    [sym__unary_right_fold] = STATE(7684),
    [sym__binary_fold] = STATE(7688),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [920] = {
    [sym_expression] = STATE(3989),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_initializer_list] = STATE(6340),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(4071),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4075),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(4077),
    [anon_sym_0] = ACTIONS(4079),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [921] = {
    [sym_expression] = STATE(4198),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7411),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7411),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [922] = {
    [sym_expression] = STATE(3065),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(8161),
    [sym__unary_right_fold] = STATE(8168),
    [sym__binary_fold] = STATE(8169),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [923] = {
    [sym_expression] = STATE(3025),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7573),
    [sym__unary_right_fold] = STATE(7697),
    [sym__binary_fold] = STATE(7714),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [924] = {
    [sym_expression] = STATE(3070),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(8164),
    [sym__unary_right_fold] = STATE(8233),
    [sym__binary_fold] = STATE(7390),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [925] = {
    [sym_expression] = STATE(3056),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7846),
    [sym__unary_right_fold] = STATE(7847),
    [sym__binary_fold] = STATE(7848),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [926] = {
    [sym_expression] = STATE(3045),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7898),
    [sym__unary_right_fold] = STATE(7744),
    [sym__binary_fold] = STATE(7915),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [927] = {
    [sym_expression] = STATE(3144),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7653),
    [sym__unary_right_fold] = STATE(7655),
    [sym__binary_fold] = STATE(7662),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [928] = {
    [sym_expression] = STATE(4216),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7722),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7722),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4083),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [929] = {
    [sym_expression] = STATE(3972),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_initializer_list] = STATE(6362),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(4085),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4075),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(4087),
    [anon_sym_0] = ACTIONS(4089),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [930] = {
    [sym_expression] = STATE(3068),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym__unary_left_fold] = STATE(7495),
    [sym__unary_right_fold] = STATE(7499),
    [sym__binary_fold] = STATE(7502),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1734),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [931] = {
    [sym_expression] = STATE(3978),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_initializer_list] = STATE(6370),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(4091),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(4075),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(4093),
    [anon_sym_0] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [932] = {
    [sym_compound_statement] = STATE(7095),
    [sym_expression] = STATE(4240),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7095),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [933] = {
    [sym_expression] = STATE(4186),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [934] = {
    [sym_expression] = STATE(4304),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [935] = {
    [sym_expression] = STATE(3041),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [936] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4109),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [937] = {
    [sym_expression] = STATE(4082),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_initializer_list] = STATE(6882),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4113),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [938] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4115),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [939] = {
    [sym_expression] = STATE(3075),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [940] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4117),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [941] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4119),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [942] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4121),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [943] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(8122),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4123),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [944] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(8122),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [945] = {
    [sym_expression] = STATE(4153),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [946] = {
    [sym_expression] = STATE(2726),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [947] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(8122),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4129),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [948] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(8122),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4132),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [949] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4135),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [950] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(8122),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [951] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(8122),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4140),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [952] = {
    [sym_expression] = STATE(4079),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_initializer_list] = STATE(6879),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4143),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [953] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4145),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [954] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [955] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(8122),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4149),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [956] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4152),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [957] = {
    [sym_expression] = STATE(4092),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [958] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4154),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [959] = {
    [sym_expression] = STATE(2931),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [960] = {
    [sym_expression] = STATE(3926),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [961] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4160),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [962] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(4162),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [963] = {
    [sym_expression] = STATE(3483),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [964] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4164),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [965] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4166),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [966] = {
    [sym_expression] = STATE(4166),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [967] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4168),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [968] = {
    [sym_expression] = STATE(3902),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [969] = {
    [sym_expression] = STATE(2975),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [970] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(8122),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4172),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [971] = {
    [sym_expression] = STATE(4025),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [972] = {
    [sym_expression] = STATE(4234),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [973] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4175),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [974] = {
    [sym_expression] = STATE(2870),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [975] = {
    [sym_expression] = STATE(2884),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [976] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [977] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4179),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [978] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4181),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [979] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(8122),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4183),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [980] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4186),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [981] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4188),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [982] = {
    [sym_expression] = STATE(4072),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [983] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(8122),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [984] = {
    [sym_expression] = STATE(4011),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [985] = {
    [sym_expression] = STATE(4109),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_initializer_list] = STATE(6999),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [986] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4195),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [987] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4197),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [988] = {
    [sym_expression] = STATE(2727),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [989] = {
    [sym_expression] = STATE(3345),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [990] = {
    [sym_expression] = STATE(2556),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [991] = {
    [sym_expression] = STATE(2558),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [992] = {
    [sym_expression] = STATE(3116),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [993] = {
    [sym_expression] = STATE(3118),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [994] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4203),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [995] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4205),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [996] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4207),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [997] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(8122),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4209),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [998] = {
    [sym_expression] = STATE(4188),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [999] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4212),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1000] = {
    [sym_expression] = STATE(4157),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4214),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1001] = {
    [sym_expression] = STATE(4072),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_lambda_default_capture] = STATE(7191),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(4162),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4111),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1002] = {
    [sym_expression] = STATE(4172),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP_AMP] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(4101),
    [anon_sym_LT] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(4099),
    [anon_sym_LBRACK] = ACTIONS(4099),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1003] = {
    [sym_expression] = STATE(4201),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7800),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4220),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1004] = {
    [sym_expression] = STATE(4196),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7491),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1005] = {
    [sym_expression] = STATE(4185),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7881),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4224),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1006] = {
    [sym_expression] = STATE(3561),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_initializer_list] = STATE(3707),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1007] = {
    [sym_expression] = STATE(4077),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1008] = {
    [sym_expression] = STATE(4434),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7497),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1009] = {
    [sym_expression] = STATE(4286),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7429),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4226),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1010] = {
    [sym_expression] = STATE(2886),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_initializer_list] = STATE(3225),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1011] = {
    [sym_expression] = STATE(3369),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_initializer_list] = STATE(3571),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1012] = {
    [sym_expression] = STATE(4168),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7469),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4228),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1013] = {
    [sym_expression] = STATE(3124),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_initializer_list] = STATE(3464),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1014] = {
    [sym_expression] = STATE(4171),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7673),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4232),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1015] = {
    [sym_expression] = STATE(4085),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7369),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1016] = {
    [sym_expression] = STATE(4049),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7035),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4234),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1017] = {
    [sym_expression] = STATE(4296),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7948),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4237),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1018] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(8122),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1019] = {
    [sym_expression] = STATE(3931),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1020] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_COMMA] = ACTIONS(4243),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4243),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1021] = {
    [sym_expression] = STATE(4293),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_initializer_list] = STATE(4467),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1022] = {
    [sym_expression] = STATE(4197),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7369),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1023] = {
    [sym_expression] = STATE(4226),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_initializer_list] = STATE(4544),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1024] = {
    [sym_expression] = STATE(4013),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1025] = {
    [sym_expression] = STATE(4285),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7997),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4247),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1026] = {
    [sym_expression] = STATE(4289),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7129),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1027] = {
    [sym_expression] = STATE(3561),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_initializer_list] = STATE(3707),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1028] = {
    [sym_expression] = STATE(4302),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7159),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1029] = {
    [sym_expression] = STATE(4202),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_initializer_list] = STATE(3707),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1030] = {
    [sym_expression] = STATE(4191),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7882),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4249),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1031] = {
    [sym_expression] = STATE(3074),
    [sym__string] = STATE(2344),
    [sym_comma_expression] = STATE(7617),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym__assignment_expression_lhs] = STATE(7781),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1032] = {
    [sym_expression] = STATE(4288),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(8092),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4251),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1033] = {
    [sym_expression] = STATE(2237),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_initializer_list] = STATE(2364),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1034] = {
    [sym_expression] = STATE(3561),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(3707),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1035] = {
    [sym_expression] = STATE(4194),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1036] = {
    [sym_expression] = STATE(3115),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_initializer_list] = STATE(2364),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1037] = {
    [sym_expression] = STATE(4211),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7572),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4257),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1038] = {
    [sym_expression] = STATE(4291),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7574),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4259),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1039] = {
    [sym_expression] = STATE(4272),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_initializer_list] = STATE(7311),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1040] = {
    [sym_expression] = STATE(3561),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_initializer_list] = STATE(3707),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1041] = {
    [sym_expression] = STATE(4295),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7432),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4261),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1042] = {
    [sym_expression] = STATE(4253),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(8109),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4263),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1043] = {
    [sym_expression] = STATE(4163),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_initializer_list] = STATE(6945),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1044] = {
    [sym_expression] = STATE(4174),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_initializer_list] = STATE(3754),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1045] = {
    [sym_expression] = STATE(4284),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7415),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4265),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1046] = {
    [sym_expression] = STATE(3439),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_initializer_list] = STATE(3564),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1047] = {
    [sym_expression] = STATE(2237),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_initializer_list] = STATE(2364),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1048] = {
    [sym_expression] = STATE(4280),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(8138),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4267),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1049] = {
    [sym_expression] = STATE(4228),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7458),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4269),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1050] = {
    [sym_expression] = STATE(4269),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7464),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4271),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1051] = {
    [sym_expression] = STATE(4429),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_initializer_list] = STATE(7466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1052] = {
    [sym_expression] = STATE(4259),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7980),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_COLON] = ACTIONS(4273),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1053] = {
    [sym_expression] = STATE(2237),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_initializer_list] = STATE(2364),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1054] = {
    [sym_expression] = STATE(2983),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1055] = {
    [sym_expression] = STATE(4378),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4280),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1056] = {
    [sym_expression] = STATE(3349),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4282),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1057] = {
    [sym_expression] = STATE(3349),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1058] = {
    [sym_expression] = STATE(3350),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4288),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1059] = {
    [sym_expression] = STATE(3350),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4291),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1060] = {
    [sym_expression] = STATE(3350),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4294),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1061] = {
    [sym_expression] = STATE(3351),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4297),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1062] = {
    [sym_expression] = STATE(3352),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1063] = {
    [sym_expression] = STATE(3353),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4303),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1064] = {
    [sym_expression] = STATE(3354),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1065] = {
    [sym_expression] = STATE(3355),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4309),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1066] = {
    [sym_expression] = STATE(3356),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4312),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1067] = {
    [sym_expression] = STATE(3356),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1068] = {
    [sym_expression] = STATE(3357),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4318),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1069] = {
    [sym_expression] = STATE(3357),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4321),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1070] = {
    [sym_expression] = STATE(3357),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4324),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1071] = {
    [sym_expression] = STATE(3357),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4277),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1072] = {
    [sym_expression] = STATE(3358),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4327),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1073] = {
    [sym_expression] = STATE(3358),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4330),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1074] = {
    [sym_expression] = STATE(3351),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4333),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1075] = {
    [sym_expression] = STATE(3352),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4336),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1076] = {
    [sym_expression] = STATE(3353),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4339),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1077] = {
    [sym_expression] = STATE(3354),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4342),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1078] = {
    [sym_expression] = STATE(3355),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4345),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1079] = {
    [sym_expression] = STATE(3356),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4348),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1080] = {
    [sym_expression] = STATE(4343),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4351),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1081] = {
    [sym_expression] = STATE(2973),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4333),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1082] = {
    [sym_expression] = STATE(2976),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4336),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1083] = {
    [sym_expression] = STATE(2978),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4339),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1084] = {
    [sym_expression] = STATE(2980),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4342),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1085] = {
    [sym_expression] = STATE(2981),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4345),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1086] = {
    [sym_expression] = STATE(2982),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4348),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1087] = {
    [sym_expression] = STATE(4049),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7035),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1088] = {
    [sym_expression] = STATE(3541),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4353),
    [anon_sym_LPAREN2] = ACTIONS(4355),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1089] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4357),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1090] = {
    [sym_expression] = STATE(4400),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(4359),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1091] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4361),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1092] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4363),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1093] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4365),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1094] = {
    [sym_expression] = STATE(2942),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4367),
    [anon_sym_LPAREN2] = ACTIONS(4369),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1095] = {
    [sym_expression] = STATE(4331),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1096] = {
    [sym_expression] = STATE(4332),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4373),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1097] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4375),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1098] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4377),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1099] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4379),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1100] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4381),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1101] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4383),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1102] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4385),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1103] = {
    [sym_expression] = STATE(4149),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_SEMI] = ACTIONS(4387),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(4389),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1104] = {
    [sym_expression] = STATE(2247),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4391),
    [anon_sym_LPAREN2] = ACTIONS(4393),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1105] = {
    [sym_expression] = STATE(4362),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4395),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1106] = {
    [sym_expression] = STATE(4363),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4397),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1107] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4399),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1108] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4401),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1109] = {
    [sym_expression] = STATE(4149),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_SEMI] = ACTIONS(4403),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(4389),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1110] = {
    [sym_expression] = STATE(4225),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4353),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1111] = {
    [sym_expression] = STATE(4382),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4407),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1112] = {
    [sym_expression] = STATE(4383),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4409),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1113] = {
    [sym_expression] = STATE(4328),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4411),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1114] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4413),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1115] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4415),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1116] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4417),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1117] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4419),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1118] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4421),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1119] = {
    [sym_expression] = STATE(3390),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4423),
    [anon_sym_LPAREN2] = ACTIONS(4425),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1120] = {
    [sym_expression] = STATE(4397),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1121] = {
    [sym_expression] = STATE(4398),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(4429),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1122] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4431),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1123] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4433),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1124] = {
    [sym_expression] = STATE(4149),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_SEMI] = ACTIONS(4435),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(4389),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1125] = {
    [sym_expression] = STATE(3128),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4437),
    [anon_sym_LPAREN2] = ACTIONS(4439),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1126] = {
    [sym_expression] = STATE(2971),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4282),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1127] = {
    [sym_expression] = STATE(2971),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4285),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1128] = {
    [sym_expression] = STATE(2972),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4288),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1129] = {
    [sym_expression] = STATE(2972),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4291),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1130] = {
    [sym_expression] = STATE(3541),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4353),
    [anon_sym_LPAREN2] = ACTIONS(4441),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1131] = {
    [sym_expression] = STATE(2972),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4294),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1132] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [anon_sym_RBRACK] = ACTIONS(4443),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1133] = {
    [sym_expression] = STATE(3541),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4353),
    [anon_sym_LPAREN2] = ACTIONS(4445),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1134] = {
    [sym_expression] = STATE(2973),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4297),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1135] = {
    [sym_expression] = STATE(2976),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4300),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1136] = {
    [sym_expression] = STATE(2247),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4391),
    [anon_sym_LPAREN2] = ACTIONS(4447),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1137] = {
    [sym_expression] = STATE(2247),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4391),
    [anon_sym_LPAREN2] = ACTIONS(4449),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1138] = {
    [sym_expression] = STATE(2978),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4303),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1139] = {
    [sym_expression] = STATE(2980),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1140] = {
    [sym_expression] = STATE(2981),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4309),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1141] = {
    [sym_expression] = STATE(2982),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4312),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1142] = {
    [sym_expression] = STATE(2982),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4315),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1143] = {
    [sym_expression] = STATE(4336),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4451),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1144] = {
    [sym_expression] = STATE(2983),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4318),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1145] = {
    [sym_expression] = STATE(4277),
    [sym__string] = STATE(3714),
    [sym_comma_expression] = STATE(7035),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1146] = {
    [sym_expression] = STATE(4368),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4453),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1147] = {
    [sym_expression] = STATE(4387),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4455),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1148] = {
    [sym_expression] = STATE(4402),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4457),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1149] = {
    [sym_expression] = STATE(2983),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4321),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1150] = {
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4459),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1151] = {
    [sym_expression] = STATE(4378),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4461),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1152] = {
    [sym_expression] = STATE(4417),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4463),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1153] = {
    [sym_expression] = STATE(2983),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4324),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1154] = {
    [sym_expression] = STATE(4421),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4465),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1155] = {
    [sym_expression] = STATE(4422),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4467),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1156] = {
    [sym_expression] = STATE(3541),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4353),
    [anon_sym_LPAREN2] = ACTIONS(4469),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1157] = {
    [sym_expression] = STATE(2987),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4327),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1158] = {
    [sym_expression] = STATE(2987),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4330),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1159] = {
    [sym_expression] = STATE(3099),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4391),
    [anon_sym_LPAREN2] = ACTIONS(4471),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1160] = {
    [sym_expression] = STATE(4262),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4473),
    [anon_sym_LPAREN2] = ACTIONS(4475),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1161] = {
    [sym_expression] = STATE(2980),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1162] = {
    [sym_expression] = STATE(3476),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1163] = {
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_TILDE] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4477),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4477),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4477),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym___extension__] = ACTIONS(4477),
    [anon_sym_extern] = ACTIONS(4477),
    [anon_sym___attribute__] = ACTIONS(4477),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4479),
    [anon_sym___declspec] = ACTIONS(4477),
    [anon_sym___based] = ACTIONS(4477),
    [anon_sym___cdecl] = ACTIONS(4477),
    [anon_sym___clrcall] = ACTIONS(4477),
    [anon_sym___stdcall] = ACTIONS(4477),
    [anon_sym___fastcall] = ACTIONS(4477),
    [anon_sym___thiscall] = ACTIONS(4477),
    [anon_sym___vectorcall] = ACTIONS(4477),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4477),
    [anon_sym_static] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_register] = ACTIONS(4477),
    [anon_sym_inline] = ACTIONS(4477),
    [anon_sym___inline] = ACTIONS(4477),
    [anon_sym___inline__] = ACTIONS(4477),
    [anon_sym___forceinline] = ACTIONS(4477),
    [anon_sym_thread_local] = ACTIONS(4477),
    [anon_sym___thread] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4477),
    [anon_sym_volatile] = ACTIONS(4477),
    [anon_sym_restrict] = ACTIONS(4477),
    [anon_sym___restrict__] = ACTIONS(4477),
    [anon_sym__Atomic] = ACTIONS(4477),
    [anon_sym__Noreturn] = ACTIONS(4477),
    [anon_sym_noreturn] = ACTIONS(4477),
    [anon_sym_mutable] = ACTIONS(4477),
    [anon_sym_constinit] = ACTIONS(4477),
    [anon_sym_consteval] = ACTIONS(4477),
    [anon_sym_alignas] = ACTIONS(4477),
    [anon_sym__Alignas] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_STAR_EQ] = ACTIONS(4479),
    [anon_sym_SLASH_EQ] = ACTIONS(4479),
    [anon_sym_PERCENT_EQ] = ACTIONS(4479),
    [anon_sym_PLUS_EQ] = ACTIONS(4479),
    [anon_sym_DASH_EQ] = ACTIONS(4479),
    [anon_sym_LT_LT_EQ] = ACTIONS(4479),
    [anon_sym_GT_GT_EQ] = ACTIONS(4479),
    [anon_sym_AMP_EQ] = ACTIONS(4479),
    [anon_sym_CARET_EQ] = ACTIONS(4479),
    [anon_sym_PIPE_EQ] = ACTIONS(4479),
    [anon_sym_and_eq] = ACTIONS(4477),
    [anon_sym_or_eq] = ACTIONS(4477),
    [anon_sym_xor_eq] = ACTIONS(4477),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4477),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4477),
    [anon_sym_not_eq] = ACTIONS(4477),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4477),
    [anon_sym_decltype] = ACTIONS(4477),
    [sym_virtual] = ACTIONS(4477),
    [anon_sym_template] = ACTIONS(4477),
    [anon_sym_operator] = ACTIONS(4477),
  },
  [1164] = {
    [sym_expression] = STATE(4020),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(4481),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1165] = {
    [sym_expression] = STATE(4386),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1166] = {
    [sym_expression] = STATE(3378),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1167] = {
    [sym_expression] = STATE(4022),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1168] = {
    [sym_expression] = STATE(4204),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1169] = {
    [sym_expression] = STATE(3131),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(4483),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1170] = {
    [sym_expression] = STATE(3132),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1171] = {
    [sym_expression] = STATE(3138),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(4485),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1172] = {
    [sym_expression] = STATE(3066),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1173] = {
    [sym_expression] = STATE(4033),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1174] = {
    [sym_expression] = STATE(3523),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1175] = {
    [sym_expression] = STATE(4237),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1176] = {
    [sym_expression] = STATE(3064),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1177] = {
    [sym_expression] = STATE(4026),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1178] = {
    [sym_expression] = STATE(4017),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1179] = {
    [sym_expression] = STATE(4031),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1180] = {
    [sym_expression] = STATE(4032),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1181] = {
    [sym_expression] = STATE(3046),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1182] = {
    [sym_expression] = STATE(4021),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1183] = {
    [sym_expression] = STATE(4016),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1184] = {
    [sym_expression] = STATE(4012),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1185] = {
    [sym_expression] = STATE(2924),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1186] = {
    [sym_expression] = STATE(2903),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1187] = {
    [sym_expression] = STATE(4023),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1188] = {
    [sym_expression] = STATE(2898),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1189] = {
    [sym_expression] = STATE(2868),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1190] = {
    [sym_expression] = STATE(4300),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(4489),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1191] = {
    [sym_expression] = STATE(2882),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1192] = {
    [sym_expression] = STATE(4018),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1193] = {
    [sym_expression] = STATE(4218),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1194] = {
    [sym_expression] = STATE(2917),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1195] = {
    [sym_expression] = STATE(2917),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(4491),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1196] = {
    [sym_expression] = STATE(2939),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1197] = {
    [sym_expression] = STATE(4298),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(4493),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1198] = {
    [sym_expression] = STATE(4149),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(4389),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1199] = {
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1200] = {
    [sym_expression] = STATE(2759),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1201] = {
    [sym_expression] = STATE(3674),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1202] = {
    [sym_expression] = STATE(3038),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1203] = {
    [sym_expression] = STATE(4063),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(4495),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1204] = {
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1205] = {
    [sym_expression] = STATE(4086),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1206] = {
    [sym_expression] = STATE(3523),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1207] = {
    [sym_expression] = STATE(4038),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1208] = {
    [sym_expression] = STATE(4089),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1209] = {
    [sym_expression] = STATE(4093),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1210] = {
    [sym_expression] = STATE(4095),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1211] = {
    [sym_expression] = STATE(4097),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1212] = {
    [sym_expression] = STATE(4100),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1213] = {
    [sym_expression] = STATE(4107),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1214] = {
    [sym_expression] = STATE(4108),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1215] = {
    [sym_expression] = STATE(4115),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1216] = {
    [sym_expression] = STATE(4224),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1217] = {
    [sym_expression] = STATE(4230),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1218] = {
    [sym_expression] = STATE(3549),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(4497),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1219] = {
    [sym_expression] = STATE(4113),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1220] = {
    [sym_expression] = STATE(4158),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1221] = {
    [sym_expression] = STATE(2287),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1222] = {
    [sym_template_argument_list] = STATE(1497),
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4503),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4508),
    [anon_sym_PLUS] = ACTIONS(4508),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_SLASH] = ACTIONS(4508),
    [anon_sym_PERCENT] = ACTIONS(4508),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4503),
    [anon_sym_PIPE] = ACTIONS(4508),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4508),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4508),
    [anon_sym_LT] = ACTIONS(4513),
    [anon_sym_LT_LT] = ACTIONS(4508),
    [anon_sym_GT_GT] = ACTIONS(4508),
    [anon_sym_SEMI] = ACTIONS(4503),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4503),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym___cdecl] = ACTIONS(4499),
    [anon_sym___clrcall] = ACTIONS(4499),
    [anon_sym___stdcall] = ACTIONS(4499),
    [anon_sym___fastcall] = ACTIONS(4499),
    [anon_sym___thiscall] = ACTIONS(4499),
    [anon_sym___vectorcall] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4506),
    [anon_sym_RBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4510),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4508),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym__Alignas] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4508),
    [anon_sym_or_eq] = ACTIONS(4508),
    [anon_sym_xor_eq] = ACTIONS(4508),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4508),
    [anon_sym_and] = ACTIONS(4508),
    [anon_sym_bitor] = ACTIONS(4508),
    [anon_sym_xor] = ACTIONS(4508),
    [anon_sym_bitand] = ACTIONS(4508),
    [anon_sym_not_eq] = ACTIONS(4508),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4508),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
  },
  [1223] = {
    [sym_expression] = STATE(3895),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1224] = {
    [sym_expression] = STATE(4145),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1225] = {
    [sym_expression] = STATE(2760),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1226] = {
    [sym_expression] = STATE(2761),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1227] = {
    [sym_expression] = STATE(2762),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1228] = {
    [sym_expression] = STATE(2763),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1229] = {
    [sym_expression] = STATE(2764),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1230] = {
    [sym_expression] = STATE(2702),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1231] = {
    [sym_expression] = STATE(4206),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1232] = {
    [sym_expression] = STATE(4212),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1233] = {
    [sym_expression] = STATE(4217),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1234] = {
    [sym_expression] = STATE(4219),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1235] = {
    [sym_expression] = STATE(4231),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1236] = {
    [sym_expression] = STATE(4233),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1237] = {
    [sym_expression] = STATE(4236),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1238] = {
    [sym_expression] = STATE(4252),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1239] = {
    [sym_expression] = STATE(4258),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1240] = {
    [sym_expression] = STATE(4266),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1241] = {
    [sym_expression] = STATE(3549),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1242] = {
    [sym_expression] = STATE(2900),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(4516),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1243] = {
    [sym_expression] = STATE(2256),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1244] = {
    [sym_expression] = STATE(2547),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(4518),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1245] = {
    [sym_expression] = STATE(2579),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1246] = {
    [sym_expression] = STATE(2557),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1247] = {
    [sym_expression] = STATE(2559),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1248] = {
    [sym_expression] = STATE(2250),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1249] = {
    [sym_expression] = STATE(2250),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(4520),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1250] = {
    [sym_expression] = STATE(2242),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1251] = {
    [sym_expression] = STATE(4261),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1252] = {
    [sym_expression] = STATE(3905),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(4522),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1253] = {
    [sym_expression] = STATE(2766),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1254] = {
    [sym_expression] = STATE(3349),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1255] = {
    [sym_expression] = STATE(3674),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1256] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1257] = {
    [sym_expression] = STATE(3927),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(4524),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1258] = {
    [sym_expression] = STATE(2732),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(4526),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1259] = {
    [sym_expression] = STATE(2256),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1260] = {
    [sym_expression] = STATE(2745),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(4528),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1261] = {
    [sym_expression] = STATE(4335),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1262] = {
    [sym_expression] = STATE(3912),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1263] = {
    [sym_expression] = STATE(3523),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1264] = {
    [sym_expression] = STATE(3914),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1265] = {
    [sym_expression] = STATE(3915),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1266] = {
    [sym_expression] = STATE(3917),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1267] = {
    [sym_expression] = STATE(3924),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1268] = {
    [sym_expression] = STATE(3925),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1269] = {
    [sym_expression] = STATE(3896),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1270] = {
    [sym_expression] = STATE(3900),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1271] = {
    [sym_expression] = STATE(3901),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1272] = {
    [sym_expression] = STATE(3908),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1273] = {
    [sym_expression] = STATE(4337),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1274] = {
    [sym_expression] = STATE(4249),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1275] = {
    [sym_expression] = STATE(4290),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1276] = {
    [sym_expression] = STATE(3898),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1277] = {
    [sym_expression] = STATE(4340),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1278] = {
    [sym_expression] = STATE(4035),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1279] = {
    [sym_expression] = STATE(2971),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1280] = {
    [sym_expression] = STATE(3906),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1281] = {
    [sym_expression] = STATE(3350),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1282] = {
    [sym_expression] = STATE(2972),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1283] = {
    [sym_expression] = STATE(2973),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1284] = {
    [sym_expression] = STATE(2976),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1285] = {
    [sym_expression] = STATE(2978),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1286] = {
    [sym_expression] = STATE(3351),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1287] = {
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1288] = {
    [sym_expression] = STATE(3352),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1289] = {
    [sym_expression] = STATE(3040),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1290] = {
    [sym_expression] = STATE(3043),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1291] = {
    [sym_expression] = STATE(3050),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1292] = {
    [sym_expression] = STATE(2992),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1293] = {
    [sym_expression] = STATE(3054),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1294] = {
    [sym_expression] = STATE(3055),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1295] = {
    [sym_expression] = STATE(3058),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1296] = {
    [sym_expression] = STATE(3059),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1297] = {
    [sym_expression] = STATE(3061),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1298] = {
    [sym_expression] = STATE(3062),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1299] = {
    [sym_expression] = STATE(2565),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(4532),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1300] = {
    [sym_expression] = STATE(2256),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1301] = {
    [sym_expression] = STATE(4264),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1302] = {
    [sym_expression] = STATE(2981),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1303] = {
    [sym_expression] = STATE(2982),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1304] = {
    [sym_expression] = STATE(4260),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1305] = {
    [sym_expression] = STATE(3353),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1306] = {
    [sym_expression] = STATE(3354),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1307] = {
    [sym_expression] = STATE(3355),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1308] = {
    [sym_expression] = STATE(2983),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1309] = {
    [sym_expression] = STATE(2987),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1310] = {
    [sym_expression] = STATE(2768),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1311] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1312] = {
    [sym_expression] = STATE(2280),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1313] = {
    [sym_expression] = STATE(3356),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1314] = {
    [sym_expression] = STATE(4369),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1315] = {
    [sym_expression] = STATE(3357),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1316] = {
    [sym_expression] = STATE(3358),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1317] = {
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1318] = {
    [sym_expression] = STATE(4030),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1319] = {
    [sym_expression] = STATE(4268),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1320] = {
    [sym_expression] = STATE(2901),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1321] = {
    [sym_expression] = STATE(2287),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1322] = {
    [sym_expression] = STATE(2940),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1323] = {
    [sym_expression] = STATE(2941),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1324] = {
    [sym_expression] = STATE(2945),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1325] = {
    [sym_expression] = STATE(2946),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1326] = {
    [sym_expression] = STATE(2947),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1327] = {
    [sym_expression] = STATE(2948),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1328] = {
    [sym_expression] = STATE(2902),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1329] = {
    [sym_expression] = STATE(3417),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1330] = {
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4534),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym___extension__] = ACTIONS(4534),
    [anon_sym_extern] = ACTIONS(4534),
    [anon_sym___attribute__] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4536),
    [anon_sym___declspec] = ACTIONS(4534),
    [anon_sym___based] = ACTIONS(4534),
    [anon_sym___cdecl] = ACTIONS(4534),
    [anon_sym___clrcall] = ACTIONS(4534),
    [anon_sym___stdcall] = ACTIONS(4534),
    [anon_sym___fastcall] = ACTIONS(4534),
    [anon_sym___thiscall] = ACTIONS(4534),
    [anon_sym___vectorcall] = ACTIONS(4534),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4534),
    [anon_sym_static] = ACTIONS(4534),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_register] = ACTIONS(4534),
    [anon_sym_inline] = ACTIONS(4534),
    [anon_sym___inline] = ACTIONS(4534),
    [anon_sym___inline__] = ACTIONS(4534),
    [anon_sym___forceinline] = ACTIONS(4534),
    [anon_sym_thread_local] = ACTIONS(4534),
    [anon_sym___thread] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4534),
    [anon_sym_volatile] = ACTIONS(4534),
    [anon_sym_restrict] = ACTIONS(4534),
    [anon_sym___restrict__] = ACTIONS(4534),
    [anon_sym__Atomic] = ACTIONS(4534),
    [anon_sym__Noreturn] = ACTIONS(4534),
    [anon_sym_noreturn] = ACTIONS(4534),
    [anon_sym_mutable] = ACTIONS(4534),
    [anon_sym_constinit] = ACTIONS(4534),
    [anon_sym_consteval] = ACTIONS(4534),
    [anon_sym_alignas] = ACTIONS(4534),
    [anon_sym__Alignas] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_STAR_EQ] = ACTIONS(4536),
    [anon_sym_SLASH_EQ] = ACTIONS(4536),
    [anon_sym_PERCENT_EQ] = ACTIONS(4536),
    [anon_sym_PLUS_EQ] = ACTIONS(4536),
    [anon_sym_DASH_EQ] = ACTIONS(4536),
    [anon_sym_LT_LT_EQ] = ACTIONS(4536),
    [anon_sym_GT_GT_EQ] = ACTIONS(4536),
    [anon_sym_AMP_EQ] = ACTIONS(4536),
    [anon_sym_CARET_EQ] = ACTIONS(4536),
    [anon_sym_PIPE_EQ] = ACTIONS(4536),
    [anon_sym_and_eq] = ACTIONS(4534),
    [anon_sym_or_eq] = ACTIONS(4534),
    [anon_sym_xor_eq] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4534),
    [anon_sym_decltype] = ACTIONS(4534),
    [sym_virtual] = ACTIONS(4534),
    [anon_sym_template] = ACTIONS(4534),
    [anon_sym_operator] = ACTIONS(4534),
  },
  [1331] = {
    [sym_expression] = STATE(3389),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1332] = {
    [sym_identifier] = ACTIONS(4538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_TILDE] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4538),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym_SEMI] = ACTIONS(4540),
    [anon_sym___extension__] = ACTIONS(4538),
    [anon_sym_extern] = ACTIONS(4538),
    [anon_sym___attribute__] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4540),
    [anon_sym___declspec] = ACTIONS(4538),
    [anon_sym___based] = ACTIONS(4538),
    [anon_sym___cdecl] = ACTIONS(4538),
    [anon_sym___clrcall] = ACTIONS(4538),
    [anon_sym___stdcall] = ACTIONS(4538),
    [anon_sym___fastcall] = ACTIONS(4538),
    [anon_sym___thiscall] = ACTIONS(4538),
    [anon_sym___vectorcall] = ACTIONS(4538),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4538),
    [anon_sym_static] = ACTIONS(4538),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_register] = ACTIONS(4538),
    [anon_sym_inline] = ACTIONS(4538),
    [anon_sym___inline] = ACTIONS(4538),
    [anon_sym___inline__] = ACTIONS(4538),
    [anon_sym___forceinline] = ACTIONS(4538),
    [anon_sym_thread_local] = ACTIONS(4538),
    [anon_sym___thread] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4538),
    [anon_sym_volatile] = ACTIONS(4538),
    [anon_sym_restrict] = ACTIONS(4538),
    [anon_sym___restrict__] = ACTIONS(4538),
    [anon_sym__Atomic] = ACTIONS(4538),
    [anon_sym__Noreturn] = ACTIONS(4538),
    [anon_sym_noreturn] = ACTIONS(4538),
    [anon_sym_mutable] = ACTIONS(4538),
    [anon_sym_constinit] = ACTIONS(4538),
    [anon_sym_consteval] = ACTIONS(4538),
    [anon_sym_alignas] = ACTIONS(4538),
    [anon_sym__Alignas] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_STAR_EQ] = ACTIONS(4540),
    [anon_sym_SLASH_EQ] = ACTIONS(4540),
    [anon_sym_PERCENT_EQ] = ACTIONS(4540),
    [anon_sym_PLUS_EQ] = ACTIONS(4540),
    [anon_sym_DASH_EQ] = ACTIONS(4540),
    [anon_sym_LT_LT_EQ] = ACTIONS(4540),
    [anon_sym_GT_GT_EQ] = ACTIONS(4540),
    [anon_sym_AMP_EQ] = ACTIONS(4540),
    [anon_sym_CARET_EQ] = ACTIONS(4540),
    [anon_sym_PIPE_EQ] = ACTIONS(4540),
    [anon_sym_and_eq] = ACTIONS(4538),
    [anon_sym_or_eq] = ACTIONS(4538),
    [anon_sym_xor_eq] = ACTIONS(4538),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4538),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4538),
    [anon_sym_not_eq] = ACTIONS(4538),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4538),
    [anon_sym_decltype] = ACTIONS(4538),
    [sym_virtual] = ACTIONS(4538),
    [anon_sym_template] = ACTIONS(4538),
    [anon_sym_operator] = ACTIONS(4538),
  },
  [1333] = {
    [sym_identifier] = ACTIONS(4542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4544),
    [anon_sym_COMMA] = ACTIONS(4544),
    [anon_sym_RPAREN] = ACTIONS(4544),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_TILDE] = ACTIONS(4544),
    [anon_sym_DASH] = ACTIONS(4542),
    [anon_sym_PLUS] = ACTIONS(4542),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_SLASH] = ACTIONS(4542),
    [anon_sym_PERCENT] = ACTIONS(4542),
    [anon_sym_PIPE_PIPE] = ACTIONS(4544),
    [anon_sym_AMP_AMP] = ACTIONS(4544),
    [anon_sym_PIPE] = ACTIONS(4542),
    [anon_sym_CARET] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_EQ_EQ] = ACTIONS(4544),
    [anon_sym_BANG_EQ] = ACTIONS(4544),
    [anon_sym_GT] = ACTIONS(4542),
    [anon_sym_GT_EQ] = ACTIONS(4544),
    [anon_sym_LT_EQ] = ACTIONS(4542),
    [anon_sym_LT] = ACTIONS(4542),
    [anon_sym_LT_LT] = ACTIONS(4542),
    [anon_sym_GT_GT] = ACTIONS(4542),
    [anon_sym_SEMI] = ACTIONS(4544),
    [anon_sym___extension__] = ACTIONS(4542),
    [anon_sym_extern] = ACTIONS(4542),
    [anon_sym___attribute__] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(4544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4544),
    [anon_sym___declspec] = ACTIONS(4542),
    [anon_sym___based] = ACTIONS(4542),
    [anon_sym___cdecl] = ACTIONS(4542),
    [anon_sym___clrcall] = ACTIONS(4542),
    [anon_sym___stdcall] = ACTIONS(4542),
    [anon_sym___fastcall] = ACTIONS(4542),
    [anon_sym___thiscall] = ACTIONS(4542),
    [anon_sym___vectorcall] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(4544),
    [anon_sym_RBRACE] = ACTIONS(4544),
    [anon_sym_LBRACK] = ACTIONS(4542),
    [anon_sym_static] = ACTIONS(4542),
    [anon_sym_EQ] = ACTIONS(4542),
    [anon_sym_register] = ACTIONS(4542),
    [anon_sym_inline] = ACTIONS(4542),
    [anon_sym___inline] = ACTIONS(4542),
    [anon_sym___inline__] = ACTIONS(4542),
    [anon_sym___forceinline] = ACTIONS(4542),
    [anon_sym_thread_local] = ACTIONS(4542),
    [anon_sym___thread] = ACTIONS(4542),
    [anon_sym_const] = ACTIONS(4542),
    [anon_sym_constexpr] = ACTIONS(4542),
    [anon_sym_volatile] = ACTIONS(4542),
    [anon_sym_restrict] = ACTIONS(4542),
    [anon_sym___restrict__] = ACTIONS(4542),
    [anon_sym__Atomic] = ACTIONS(4542),
    [anon_sym__Noreturn] = ACTIONS(4542),
    [anon_sym_noreturn] = ACTIONS(4542),
    [anon_sym_mutable] = ACTIONS(4542),
    [anon_sym_constinit] = ACTIONS(4542),
    [anon_sym_consteval] = ACTIONS(4542),
    [anon_sym_alignas] = ACTIONS(4542),
    [anon_sym__Alignas] = ACTIONS(4542),
    [anon_sym_QMARK] = ACTIONS(4544),
    [anon_sym_STAR_EQ] = ACTIONS(4544),
    [anon_sym_SLASH_EQ] = ACTIONS(4544),
    [anon_sym_PERCENT_EQ] = ACTIONS(4544),
    [anon_sym_PLUS_EQ] = ACTIONS(4544),
    [anon_sym_DASH_EQ] = ACTIONS(4544),
    [anon_sym_LT_LT_EQ] = ACTIONS(4544),
    [anon_sym_GT_GT_EQ] = ACTIONS(4544),
    [anon_sym_AMP_EQ] = ACTIONS(4544),
    [anon_sym_CARET_EQ] = ACTIONS(4544),
    [anon_sym_PIPE_EQ] = ACTIONS(4544),
    [anon_sym_and_eq] = ACTIONS(4542),
    [anon_sym_or_eq] = ACTIONS(4542),
    [anon_sym_xor_eq] = ACTIONS(4542),
    [anon_sym_LT_EQ_GT] = ACTIONS(4544),
    [anon_sym_or] = ACTIONS(4542),
    [anon_sym_and] = ACTIONS(4542),
    [anon_sym_bitor] = ACTIONS(4542),
    [anon_sym_xor] = ACTIONS(4542),
    [anon_sym_bitand] = ACTIONS(4542),
    [anon_sym_not_eq] = ACTIONS(4542),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_DOT] = ACTIONS(4542),
    [anon_sym_DOT_STAR] = ACTIONS(4544),
    [anon_sym_DASH_GT] = ACTIONS(4544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4542),
    [anon_sym_decltype] = ACTIONS(4542),
    [sym_virtual] = ACTIONS(4542),
    [anon_sym_template] = ACTIONS(4542),
    [anon_sym_operator] = ACTIONS(4542),
  },
  [1334] = {
    [sym_expression] = STATE(2767),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1335] = {
    [sym_expression] = STATE(4344),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1336] = {
    [sym_expression] = STATE(4292),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1337] = {
    [sym_expression] = STATE(2577),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1338] = {
    [sym_expression] = STATE(2287),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1339] = {
    [sym_expression] = STATE(2549),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1340] = {
    [sym_expression] = STATE(2550),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1341] = {
    [sym_expression] = STATE(2551),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1342] = {
    [sym_expression] = STATE(2552),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1343] = {
    [sym_expression] = STATE(2553),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1344] = {
    [sym_expression] = STATE(2554),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1345] = {
    [sym_expression] = STATE(2555),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1346] = {
    [sym_expression] = STATE(2578),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1347] = {
    [sym_expression] = STATE(3122),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1348] = {
    [sym_expression] = STATE(3127),
    [sym__string] = STATE(3409),
    [sym_conditional_expression] = STATE(3409),
    [sym_assignment_expression] = STATE(3409),
    [sym_pointer_expression] = STATE(3418),
    [sym_unary_expression] = STATE(3409),
    [sym_binary_expression] = STATE(3409),
    [sym_update_expression] = STATE(3409),
    [sym_cast_expression] = STATE(3409),
    [sym_sizeof_expression] = STATE(3409),
    [sym_alignof_expression] = STATE(3409),
    [sym_offsetof_expression] = STATE(3409),
    [sym_generic_expression] = STATE(3409),
    [sym_subscript_expression] = STATE(3418),
    [sym_call_expression] = STATE(3418),
    [sym_gnu_asm_expression] = STATE(3409),
    [sym_field_expression] = STATE(3418),
    [sym_compound_literal_expression] = STATE(3409),
    [sym_parenthesized_expression] = STATE(3418),
    [sym_char_literal] = STATE(3309),
    [sym_concatenated_string] = STATE(3306),
    [sym_string_literal] = STATE(2231),
    [sym_null] = STATE(3409),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7090),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3409),
    [sym_raw_string_literal] = STATE(2186),
    [sym_co_await_expression] = STATE(3409),
    [sym_new_expression] = STATE(3409),
    [sym_delete_expression] = STATE(3409),
    [sym_requires_clause] = STATE(3409),
    [sym_requires_expression] = STATE(3409),
    [sym_lambda_expression] = STATE(3409),
    [sym_lambda_capture_specifier] = STATE(5557),
    [sym_fold_expression] = STATE(3409),
    [sym_parameter_pack_expansion] = STATE(3409),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3418),
    [sym_qualified_type_identifier] = STATE(7090),
    [sym_user_defined_literal] = STATE(3418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_BANG] = ACTIONS(2424),
    [anon_sym_TILDE] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2430),
    [anon_sym_not] = ACTIONS(2422),
    [anon_sym_compl] = ACTIONS(2422),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2438),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2444),
    [anon_sym_u_SQUOTE] = ACTIONS(2444),
    [anon_sym_U_SQUOTE] = ACTIONS(2444),
    [anon_sym_u8_SQUOTE] = ACTIONS(2444),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2450),
    [anon_sym_nullptr] = ACTIONS(2450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2452),
    [anon_sym_R_DQUOTE] = ACTIONS(2454),
    [anon_sym_LR_DQUOTE] = ACTIONS(2454),
    [anon_sym_uR_DQUOTE] = ACTIONS(2454),
    [anon_sym_UR_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2454),
    [anon_sym_co_await] = ACTIONS(2456),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_requires] = ACTIONS(2460),
    [sym_this] = ACTIONS(2448),
  },
  [1349] = {
    [sym_expression] = STATE(2989),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1350] = {
    [sym_expression] = STATE(4432),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1351] = {
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4548),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_TILDE] = ACTIONS(4548),
    [anon_sym_DASH] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(4546),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_SLASH] = ACTIONS(4546),
    [anon_sym_PERCENT] = ACTIONS(4546),
    [anon_sym_PIPE_PIPE] = ACTIONS(4548),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4546),
    [anon_sym_CARET] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_EQ_EQ] = ACTIONS(4548),
    [anon_sym_BANG_EQ] = ACTIONS(4548),
    [anon_sym_GT] = ACTIONS(4546),
    [anon_sym_GT_EQ] = ACTIONS(4548),
    [anon_sym_LT_EQ] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4546),
    [anon_sym_LT_LT] = ACTIONS(4546),
    [anon_sym_GT_GT] = ACTIONS(4546),
    [anon_sym_SEMI] = ACTIONS(4548),
    [anon_sym___extension__] = ACTIONS(4546),
    [anon_sym_extern] = ACTIONS(4546),
    [anon_sym___attribute__] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(4548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4548),
    [anon_sym___declspec] = ACTIONS(4546),
    [anon_sym___based] = ACTIONS(4546),
    [anon_sym___cdecl] = ACTIONS(4546),
    [anon_sym___clrcall] = ACTIONS(4546),
    [anon_sym___stdcall] = ACTIONS(4546),
    [anon_sym___fastcall] = ACTIONS(4546),
    [anon_sym___thiscall] = ACTIONS(4546),
    [anon_sym___vectorcall] = ACTIONS(4546),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_RBRACE] = ACTIONS(4548),
    [anon_sym_LBRACK] = ACTIONS(4546),
    [anon_sym_static] = ACTIONS(4546),
    [anon_sym_EQ] = ACTIONS(4546),
    [anon_sym_register] = ACTIONS(4546),
    [anon_sym_inline] = ACTIONS(4546),
    [anon_sym___inline] = ACTIONS(4546),
    [anon_sym___inline__] = ACTIONS(4546),
    [anon_sym___forceinline] = ACTIONS(4546),
    [anon_sym_thread_local] = ACTIONS(4546),
    [anon_sym___thread] = ACTIONS(4546),
    [anon_sym_const] = ACTIONS(4546),
    [anon_sym_constexpr] = ACTIONS(4546),
    [anon_sym_volatile] = ACTIONS(4546),
    [anon_sym_restrict] = ACTIONS(4546),
    [anon_sym___restrict__] = ACTIONS(4546),
    [anon_sym__Atomic] = ACTIONS(4546),
    [anon_sym__Noreturn] = ACTIONS(4546),
    [anon_sym_noreturn] = ACTIONS(4546),
    [anon_sym_mutable] = ACTIONS(4546),
    [anon_sym_constinit] = ACTIONS(4546),
    [anon_sym_consteval] = ACTIONS(4546),
    [anon_sym_alignas] = ACTIONS(4546),
    [anon_sym__Alignas] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4548),
    [anon_sym_STAR_EQ] = ACTIONS(4548),
    [anon_sym_SLASH_EQ] = ACTIONS(4548),
    [anon_sym_PERCENT_EQ] = ACTIONS(4548),
    [anon_sym_PLUS_EQ] = ACTIONS(4548),
    [anon_sym_DASH_EQ] = ACTIONS(4548),
    [anon_sym_LT_LT_EQ] = ACTIONS(4548),
    [anon_sym_GT_GT_EQ] = ACTIONS(4548),
    [anon_sym_AMP_EQ] = ACTIONS(4548),
    [anon_sym_CARET_EQ] = ACTIONS(4548),
    [anon_sym_PIPE_EQ] = ACTIONS(4548),
    [anon_sym_and_eq] = ACTIONS(4546),
    [anon_sym_or_eq] = ACTIONS(4546),
    [anon_sym_xor_eq] = ACTIONS(4546),
    [anon_sym_LT_EQ_GT] = ACTIONS(4548),
    [anon_sym_or] = ACTIONS(4546),
    [anon_sym_and] = ACTIONS(4546),
    [anon_sym_bitor] = ACTIONS(4546),
    [anon_sym_xor] = ACTIONS(4546),
    [anon_sym_bitand] = ACTIONS(4546),
    [anon_sym_not_eq] = ACTIONS(4546),
    [anon_sym_DASH_DASH] = ACTIONS(4548),
    [anon_sym_PLUS_PLUS] = ACTIONS(4548),
    [anon_sym_DOT] = ACTIONS(4546),
    [anon_sym_DOT_STAR] = ACTIONS(4548),
    [anon_sym_DASH_GT] = ACTIONS(4548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4546),
    [anon_sym_decltype] = ACTIONS(4546),
    [sym_virtual] = ACTIONS(4546),
    [anon_sym_template] = ACTIONS(4546),
    [anon_sym_operator] = ACTIONS(4546),
  },
  [1352] = {
    [sym_identifier] = ACTIONS(4550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4552),
    [anon_sym_COMMA] = ACTIONS(4552),
    [anon_sym_RPAREN] = ACTIONS(4552),
    [anon_sym_LPAREN2] = ACTIONS(4552),
    [anon_sym_TILDE] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4550),
    [anon_sym_PLUS] = ACTIONS(4550),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_SLASH] = ACTIONS(4550),
    [anon_sym_PERCENT] = ACTIONS(4550),
    [anon_sym_PIPE_PIPE] = ACTIONS(4552),
    [anon_sym_AMP_AMP] = ACTIONS(4552),
    [anon_sym_PIPE] = ACTIONS(4550),
    [anon_sym_CARET] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4550),
    [anon_sym_EQ_EQ] = ACTIONS(4552),
    [anon_sym_BANG_EQ] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4550),
    [anon_sym_GT_EQ] = ACTIONS(4552),
    [anon_sym_LT_EQ] = ACTIONS(4550),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_LT_LT] = ACTIONS(4550),
    [anon_sym_GT_GT] = ACTIONS(4550),
    [anon_sym_SEMI] = ACTIONS(4552),
    [anon_sym___extension__] = ACTIONS(4550),
    [anon_sym_extern] = ACTIONS(4550),
    [anon_sym___attribute__] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(4552),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4552),
    [anon_sym___declspec] = ACTIONS(4550),
    [anon_sym___based] = ACTIONS(4550),
    [anon_sym___cdecl] = ACTIONS(4550),
    [anon_sym___clrcall] = ACTIONS(4550),
    [anon_sym___stdcall] = ACTIONS(4550),
    [anon_sym___fastcall] = ACTIONS(4550),
    [anon_sym___thiscall] = ACTIONS(4550),
    [anon_sym___vectorcall] = ACTIONS(4550),
    [anon_sym_LBRACE] = ACTIONS(4552),
    [anon_sym_RBRACE] = ACTIONS(4552),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [anon_sym_static] = ACTIONS(4550),
    [anon_sym_EQ] = ACTIONS(4550),
    [anon_sym_register] = ACTIONS(4550),
    [anon_sym_inline] = ACTIONS(4550),
    [anon_sym___inline] = ACTIONS(4550),
    [anon_sym___inline__] = ACTIONS(4550),
    [anon_sym___forceinline] = ACTIONS(4550),
    [anon_sym_thread_local] = ACTIONS(4550),
    [anon_sym___thread] = ACTIONS(4550),
    [anon_sym_const] = ACTIONS(4550),
    [anon_sym_constexpr] = ACTIONS(4550),
    [anon_sym_volatile] = ACTIONS(4550),
    [anon_sym_restrict] = ACTIONS(4550),
    [anon_sym___restrict__] = ACTIONS(4550),
    [anon_sym__Atomic] = ACTIONS(4550),
    [anon_sym__Noreturn] = ACTIONS(4550),
    [anon_sym_noreturn] = ACTIONS(4550),
    [anon_sym_mutable] = ACTIONS(4550),
    [anon_sym_constinit] = ACTIONS(4550),
    [anon_sym_consteval] = ACTIONS(4550),
    [anon_sym_alignas] = ACTIONS(4550),
    [anon_sym__Alignas] = ACTIONS(4550),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_STAR_EQ] = ACTIONS(4552),
    [anon_sym_SLASH_EQ] = ACTIONS(4552),
    [anon_sym_PERCENT_EQ] = ACTIONS(4552),
    [anon_sym_PLUS_EQ] = ACTIONS(4552),
    [anon_sym_DASH_EQ] = ACTIONS(4552),
    [anon_sym_LT_LT_EQ] = ACTIONS(4552),
    [anon_sym_GT_GT_EQ] = ACTIONS(4552),
    [anon_sym_AMP_EQ] = ACTIONS(4552),
    [anon_sym_CARET_EQ] = ACTIONS(4552),
    [anon_sym_PIPE_EQ] = ACTIONS(4552),
    [anon_sym_and_eq] = ACTIONS(4550),
    [anon_sym_or_eq] = ACTIONS(4550),
    [anon_sym_xor_eq] = ACTIONS(4550),
    [anon_sym_LT_EQ_GT] = ACTIONS(4552),
    [anon_sym_or] = ACTIONS(4550),
    [anon_sym_and] = ACTIONS(4550),
    [anon_sym_bitor] = ACTIONS(4550),
    [anon_sym_xor] = ACTIONS(4550),
    [anon_sym_bitand] = ACTIONS(4550),
    [anon_sym_not_eq] = ACTIONS(4550),
    [anon_sym_DASH_DASH] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4552),
    [anon_sym_DOT] = ACTIONS(4550),
    [anon_sym_DOT_STAR] = ACTIONS(4552),
    [anon_sym_DASH_GT] = ACTIONS(4552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4550),
    [anon_sym_decltype] = ACTIONS(4550),
    [sym_virtual] = ACTIONS(4550),
    [anon_sym_template] = ACTIONS(4550),
    [anon_sym_operator] = ACTIONS(4550),
  },
  [1353] = {
    [sym_expression] = STATE(4080),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1354] = {
    [sym_expression] = STATE(2709),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1355] = {
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4556),
    [anon_sym_COMMA] = ACTIONS(4556),
    [anon_sym_RPAREN] = ACTIONS(4556),
    [anon_sym_LPAREN2] = ACTIONS(4556),
    [anon_sym_TILDE] = ACTIONS(4556),
    [anon_sym_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4554),
    [anon_sym_STAR] = ACTIONS(4554),
    [anon_sym_SLASH] = ACTIONS(4554),
    [anon_sym_PERCENT] = ACTIONS(4554),
    [anon_sym_PIPE_PIPE] = ACTIONS(4556),
    [anon_sym_AMP_AMP] = ACTIONS(4556),
    [anon_sym_PIPE] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4554),
    [anon_sym_AMP] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4556),
    [anon_sym_BANG_EQ] = ACTIONS(4556),
    [anon_sym_GT] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4556),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_LT] = ACTIONS(4554),
    [anon_sym_LT_LT] = ACTIONS(4554),
    [anon_sym_GT_GT] = ACTIONS(4554),
    [anon_sym_SEMI] = ACTIONS(4556),
    [anon_sym___extension__] = ACTIONS(4554),
    [anon_sym_extern] = ACTIONS(4554),
    [anon_sym___attribute__] = ACTIONS(4554),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4556),
    [anon_sym___declspec] = ACTIONS(4554),
    [anon_sym___based] = ACTIONS(4554),
    [anon_sym___cdecl] = ACTIONS(4554),
    [anon_sym___clrcall] = ACTIONS(4554),
    [anon_sym___stdcall] = ACTIONS(4554),
    [anon_sym___fastcall] = ACTIONS(4554),
    [anon_sym___thiscall] = ACTIONS(4554),
    [anon_sym___vectorcall] = ACTIONS(4554),
    [anon_sym_LBRACE] = ACTIONS(4556),
    [anon_sym_RBRACE] = ACTIONS(4556),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_static] = ACTIONS(4554),
    [anon_sym_EQ] = ACTIONS(4554),
    [anon_sym_register] = ACTIONS(4554),
    [anon_sym_inline] = ACTIONS(4554),
    [anon_sym___inline] = ACTIONS(4554),
    [anon_sym___inline__] = ACTIONS(4554),
    [anon_sym___forceinline] = ACTIONS(4554),
    [anon_sym_thread_local] = ACTIONS(4554),
    [anon_sym___thread] = ACTIONS(4554),
    [anon_sym_const] = ACTIONS(4554),
    [anon_sym_constexpr] = ACTIONS(4554),
    [anon_sym_volatile] = ACTIONS(4554),
    [anon_sym_restrict] = ACTIONS(4554),
    [anon_sym___restrict__] = ACTIONS(4554),
    [anon_sym__Atomic] = ACTIONS(4554),
    [anon_sym__Noreturn] = ACTIONS(4554),
    [anon_sym_noreturn] = ACTIONS(4554),
    [anon_sym_mutable] = ACTIONS(4554),
    [anon_sym_constinit] = ACTIONS(4554),
    [anon_sym_consteval] = ACTIONS(4554),
    [anon_sym_alignas] = ACTIONS(4554),
    [anon_sym__Alignas] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(4556),
    [anon_sym_STAR_EQ] = ACTIONS(4556),
    [anon_sym_SLASH_EQ] = ACTIONS(4556),
    [anon_sym_PERCENT_EQ] = ACTIONS(4556),
    [anon_sym_PLUS_EQ] = ACTIONS(4556),
    [anon_sym_DASH_EQ] = ACTIONS(4556),
    [anon_sym_LT_LT_EQ] = ACTIONS(4556),
    [anon_sym_GT_GT_EQ] = ACTIONS(4556),
    [anon_sym_AMP_EQ] = ACTIONS(4556),
    [anon_sym_CARET_EQ] = ACTIONS(4556),
    [anon_sym_PIPE_EQ] = ACTIONS(4556),
    [anon_sym_and_eq] = ACTIONS(4554),
    [anon_sym_or_eq] = ACTIONS(4554),
    [anon_sym_xor_eq] = ACTIONS(4554),
    [anon_sym_LT_EQ_GT] = ACTIONS(4556),
    [anon_sym_or] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4554),
    [anon_sym_bitor] = ACTIONS(4554),
    [anon_sym_xor] = ACTIONS(4554),
    [anon_sym_bitand] = ACTIONS(4554),
    [anon_sym_not_eq] = ACTIONS(4554),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_DOT] = ACTIONS(4554),
    [anon_sym_DOT_STAR] = ACTIONS(4556),
    [anon_sym_DASH_GT] = ACTIONS(4556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4554),
    [anon_sym_decltype] = ACTIONS(4554),
    [sym_virtual] = ACTIONS(4554),
    [anon_sym_template] = ACTIONS(4554),
    [anon_sym_operator] = ACTIONS(4554),
  },
  [1356] = {
    [sym_expression] = STATE(4359),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1357] = {
    [sym_expression] = STATE(3549),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1358] = {
    [sym_expression] = STATE(3537),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3321),
    [sym_call_expression] = STATE(3321),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3321),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3321),
    [sym_char_literal] = STATE(4270),
    [sym_concatenated_string] = STATE(4281),
    [sym_string_literal] = STATE(3367),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(3440),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3321),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3321),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_LPAREN2] = ACTIONS(4067),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3496),
    [anon_sym_compl] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(4073),
    [anon_sym_PLUS_PLUS] = ACTIONS(4073),
    [anon_sym_sizeof] = ACTIONS(3502),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3504),
    [anon_sym_L_SQUOTE] = ACTIONS(3506),
    [anon_sym_u_SQUOTE] = ACTIONS(3506),
    [anon_sym_U_SQUOTE] = ACTIONS(3506),
    [anon_sym_u8_SQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_L_DQUOTE] = ACTIONS(3508),
    [anon_sym_u_DQUOTE] = ACTIONS(3508),
    [anon_sym_U_DQUOTE] = ACTIONS(3508),
    [anon_sym_u8_DQUOTE] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_R_DQUOTE] = ACTIONS(3512),
    [anon_sym_LR_DQUOTE] = ACTIONS(3512),
    [anon_sym_uR_DQUOTE] = ACTIONS(3512),
    [anon_sym_UR_DQUOTE] = ACTIONS(3512),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3512),
    [anon_sym_co_await] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1359] = {
    [sym_expression] = STATE(3549),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1360] = {
    [sym_expression] = STATE(3537),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(2720),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(2720),
    [sym_call_expression] = STATE(2720),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(2720),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(2720),
    [sym_char_literal] = STATE(3937),
    [sym_concatenated_string] = STATE(3966),
    [sym_string_literal] = STATE(2864),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2821),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2720),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(2720),
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_LPAREN2] = ACTIONS(4239),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3324),
    [anon_sym_u_SQUOTE] = ACTIONS(3324),
    [anon_sym_U_SQUOTE] = ACTIONS(3324),
    [anon_sym_u8_SQUOTE] = ACTIONS(3324),
    [anon_sym_SQUOTE] = ACTIONS(3324),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3328),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3334),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(219),
  },
  [1361] = {
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1362] = {
    [sym_expression] = STATE(4452),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1363] = {
    [sym_expression] = STATE(3674),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1364] = {
    [sym_expression] = STATE(2250),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1365] = {
    [sym_expression] = STATE(2242),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1366] = {
    [sym_expression] = STATE(2250),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1367] = {
    [sym_expression] = STATE(2242),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2613),
    [sym_concatenated_string] = STATE(2609),
    [sym_string_literal] = STATE(1663),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1664),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4253),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(4241),
    [anon_sym_AMP] = ACTIONS(4241),
    [anon_sym_COLON_COLON] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1888),
    [anon_sym_compl] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_sizeof] = ACTIONS(1898),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1908),
    [anon_sym_L_SQUOTE] = ACTIONS(1910),
    [anon_sym_u_SQUOTE] = ACTIONS(1910),
    [anon_sym_U_SQUOTE] = ACTIONS(1910),
    [anon_sym_u8_SQUOTE] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1910),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [anon_sym_co_await] = ACTIONS(1924),
    [anon_sym_new] = ACTIONS(1926),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1368] = {
    [sym_expression] = STATE(4242),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1369] = {
    [sym_expression] = STATE(4446),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1370] = {
    [sym_expression] = STATE(2949),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(4558),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1371] = {
    [sym_expression] = STATE(2955),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1372] = {
    [sym_expression] = STATE(3402),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1373] = {
    [sym_expression] = STATE(3406),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1374] = {
    [sym_expression] = STATE(2918),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1375] = {
    [sym_expression] = STATE(2765),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4245),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_TILDE] = ACTIONS(1934),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(1932),
    [anon_sym_compl] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(1938),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1946),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(1950),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1376] = {
    [sym_expression] = STATE(2914),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(4562),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1377] = {
    [sym_expression] = STATE(4330),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1378] = {
    [sym_expression] = STATE(4333),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1379] = {
    [sym_expression] = STATE(3377),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(4564),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1380] = {
    [sym_expression] = STATE(4208),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(4566),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1381] = {
    [sym_expression] = STATE(4378),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1382] = {
    [sym_expression] = STATE(4232),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1383] = {
    [sym_expression] = STATE(3523),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1384] = {
    [sym_expression] = STATE(4247),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1385] = {
    [sym_expression] = STATE(4273),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1386] = {
    [sym_expression] = STATE(4297),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1387] = {
    [sym_expression] = STATE(4275),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1388] = {
    [sym_expression] = STATE(4207),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1389] = {
    [sym_expression] = STATE(4214),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1390] = {
    [sym_expression] = STATE(4215),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1391] = {
    [sym_expression] = STATE(4263),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1392] = {
    [sym_expression] = STATE(4167),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1393] = {
    [sym_expression] = STATE(4341),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1394] = {
    [sym_expression] = STATE(4137),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1395] = {
    [sym_expression] = STATE(4306),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1396] = {
    [sym_expression] = STATE(4346),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1397] = {
    [sym_expression] = STATE(4245),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1398] = {
    [sym_expression] = STATE(4350),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1399] = {
    [sym_expression] = STATE(4205),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1400] = {
    [sym_expression] = STATE(4052),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1401] = {
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1402] = {
    [sym_expression] = STATE(4364),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1403] = {
    [sym_expression] = STATE(4370),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1404] = {
    [sym_expression] = STATE(4065),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1405] = {
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1406] = {
    [sym_expression] = STATE(4374),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1407] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1408] = {
    [sym_expression] = STATE(4118),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1409] = {
    [sym_expression] = STATE(4381),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1410] = {
    [sym_expression] = STATE(4384),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1411] = {
    [sym_expression] = STATE(3359),
    [sym__string] = STATE(3530),
    [sym_conditional_expression] = STATE(3530),
    [sym_assignment_expression] = STATE(3530),
    [sym_pointer_expression] = STATE(3296),
    [sym_unary_expression] = STATE(3530),
    [sym_binary_expression] = STATE(3530),
    [sym_update_expression] = STATE(3530),
    [sym_cast_expression] = STATE(3530),
    [sym_sizeof_expression] = STATE(3530),
    [sym_alignof_expression] = STATE(3530),
    [sym_offsetof_expression] = STATE(3530),
    [sym_generic_expression] = STATE(3530),
    [sym_subscript_expression] = STATE(3296),
    [sym_call_expression] = STATE(3296),
    [sym_gnu_asm_expression] = STATE(3530),
    [sym_field_expression] = STATE(3296),
    [sym_compound_literal_expression] = STATE(3530),
    [sym_parenthesized_expression] = STATE(3296),
    [sym_char_literal] = STATE(3522),
    [sym_concatenated_string] = STATE(3499),
    [sym_string_literal] = STATE(2350),
    [sym_null] = STATE(3530),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7205),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3530),
    [sym_raw_string_literal] = STATE(2357),
    [sym_co_await_expression] = STATE(3530),
    [sym_new_expression] = STATE(3530),
    [sym_delete_expression] = STATE(3530),
    [sym_requires_clause] = STATE(3530),
    [sym_requires_expression] = STATE(3530),
    [sym_lambda_expression] = STATE(3530),
    [sym_lambda_capture_specifier] = STATE(5536),
    [sym_fold_expression] = STATE(3530),
    [sym_parameter_pack_expansion] = STATE(3530),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3296),
    [sym_qualified_type_identifier] = STATE(7205),
    [sym_user_defined_literal] = STATE(3296),
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1812),
    [anon_sym_TILDE] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_not] = ACTIONS(1814),
    [anon_sym_compl] = ACTIONS(1814),
    [anon_sym_DASH_DASH] = ACTIONS(1830),
    [anon_sym_PLUS_PLUS] = ACTIONS(1830),
    [anon_sym_sizeof] = ACTIONS(1832),
    [anon_sym___alignof__] = ACTIONS(1834),
    [anon_sym___alignof] = ACTIONS(1834),
    [anon_sym__alignof] = ACTIONS(1834),
    [anon_sym_alignof] = ACTIONS(1834),
    [anon_sym__Alignof] = ACTIONS(1834),
    [anon_sym_offsetof] = ACTIONS(1836),
    [anon_sym__Generic] = ACTIONS(1838),
    [anon_sym_asm] = ACTIONS(1840),
    [anon_sym___asm__] = ACTIONS(1840),
    [sym_number_literal] = ACTIONS(1842),
    [anon_sym_L_SQUOTE] = ACTIONS(1844),
    [anon_sym_u_SQUOTE] = ACTIONS(1844),
    [anon_sym_U_SQUOTE] = ACTIONS(1844),
    [anon_sym_u8_SQUOTE] = ACTIONS(1844),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_L_DQUOTE] = ACTIONS(1846),
    [anon_sym_u_DQUOTE] = ACTIONS(1846),
    [anon_sym_U_DQUOTE] = ACTIONS(1846),
    [anon_sym_u8_DQUOTE] = ACTIONS(1846),
    [anon_sym_DQUOTE] = ACTIONS(1846),
    [sym_true] = ACTIONS(1848),
    [sym_false] = ACTIONS(1848),
    [anon_sym_NULL] = ACTIONS(1850),
    [anon_sym_nullptr] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1856),
    [anon_sym_R_DQUOTE] = ACTIONS(1858),
    [anon_sym_LR_DQUOTE] = ACTIONS(1858),
    [anon_sym_uR_DQUOTE] = ACTIONS(1858),
    [anon_sym_UR_DQUOTE] = ACTIONS(1858),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1858),
    [anon_sym_co_await] = ACTIONS(1860),
    [anon_sym_new] = ACTIONS(1862),
    [anon_sym_requires] = ACTIONS(1864),
    [sym_this] = ACTIONS(1848),
  },
  [1412] = {
    [sym_expression] = STATE(4388),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1413] = {
    [sym_expression] = STATE(4064),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1414] = {
    [sym_expression] = STATE(4389),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1415] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1416] = {
    [sym_expression] = STATE(4391),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1417] = {
    [sym_expression] = STATE(4084),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1418] = {
    [sym_expression] = STATE(4396),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1419] = {
    [sym_expression] = STATE(4399),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1420] = {
    [sym_expression] = STATE(4251),
    [sym__string] = STATE(4534),
    [sym_conditional_expression] = STATE(4534),
    [sym_assignment_expression] = STATE(4534),
    [sym_pointer_expression] = STATE(3463),
    [sym_unary_expression] = STATE(4534),
    [sym_binary_expression] = STATE(4534),
    [sym_update_expression] = STATE(4534),
    [sym_cast_expression] = STATE(4534),
    [sym_sizeof_expression] = STATE(4534),
    [sym_alignof_expression] = STATE(4534),
    [sym_offsetof_expression] = STATE(4534),
    [sym_generic_expression] = STATE(4534),
    [sym_subscript_expression] = STATE(3463),
    [sym_call_expression] = STATE(3463),
    [sym_gnu_asm_expression] = STATE(4534),
    [sym_field_expression] = STATE(3463),
    [sym_compound_literal_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(3463),
    [sym_char_literal] = STATE(4444),
    [sym_concatenated_string] = STATE(4443),
    [sym_string_literal] = STATE(3511),
    [sym_null] = STATE(4534),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7371),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(4534),
    [sym_raw_string_literal] = STATE(3512),
    [sym_co_await_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_delete_expression] = STATE(4534),
    [sym_requires_clause] = STATE(4534),
    [sym_requires_expression] = STATE(4534),
    [sym_lambda_expression] = STATE(4534),
    [sym_lambda_capture_specifier] = STATE(5534),
    [sym_fold_expression] = STATE(4534),
    [sym_parameter_pack_expansion] = STATE(4534),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5274),
    [sym_qualified_identifier] = STATE(3463),
    [sym_qualified_type_identifier] = STATE(7371),
    [sym_user_defined_literal] = STATE(3463),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_STAR] = ACTIONS(2840),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(3520),
    [anon_sym_not] = ACTIONS(2838),
    [anon_sym_compl] = ACTIONS(2838),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_sizeof] = ACTIONS(2858),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2862),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2866),
    [anon_sym___asm__] = ACTIONS(2866),
    [sym_number_literal] = ACTIONS(2868),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2872),
    [anon_sym_u_DQUOTE] = ACTIONS(2872),
    [anon_sym_U_DQUOTE] = ACTIONS(2872),
    [anon_sym_u8_DQUOTE] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [anon_sym_NULL] = ACTIONS(2876),
    [anon_sym_nullptr] = ACTIONS(2876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_R_DQUOTE] = ACTIONS(2888),
    [anon_sym_LR_DQUOTE] = ACTIONS(2888),
    [anon_sym_uR_DQUOTE] = ACTIONS(2888),
    [anon_sym_UR_DQUOTE] = ACTIONS(2888),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2888),
    [anon_sym_co_await] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2892),
    [anon_sym_requires] = ACTIONS(2894),
    [sym_this] = ACTIONS(2874),
  },
  [1421] = {
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1422] = {
    [sym_expression] = STATE(4047),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1423] = {
    [sym_expression] = STATE(4404),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1424] = {
    [sym_expression] = STATE(4405),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1425] = {
    [sym_expression] = STATE(4406),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1426] = {
    [sym_expression] = STATE(4058),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1427] = {
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1428] = {
    [sym_expression] = STATE(4043),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1429] = {
    [sym_expression] = STATE(4412),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1430] = {
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1431] = {
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1432] = {
    [sym_expression] = STATE(4046),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1433] = {
    [sym_expression] = STATE(2880),
    [sym__string] = STATE(3295),
    [sym_conditional_expression] = STATE(3295),
    [sym_assignment_expression] = STATE(3295),
    [sym_pointer_expression] = STATE(3333),
    [sym_unary_expression] = STATE(3295),
    [sym_binary_expression] = STATE(3295),
    [sym_update_expression] = STATE(3295),
    [sym_cast_expression] = STATE(3295),
    [sym_sizeof_expression] = STATE(3295),
    [sym_alignof_expression] = STATE(3295),
    [sym_offsetof_expression] = STATE(3295),
    [sym_generic_expression] = STATE(3295),
    [sym_subscript_expression] = STATE(3333),
    [sym_call_expression] = STATE(3333),
    [sym_gnu_asm_expression] = STATE(3295),
    [sym_field_expression] = STATE(3333),
    [sym_compound_literal_expression] = STATE(3295),
    [sym_parenthesized_expression] = STATE(3333),
    [sym_char_literal] = STATE(3024),
    [sym_concatenated_string] = STATE(3016),
    [sym_string_literal] = STATE(2043),
    [sym_null] = STATE(3295),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7078),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3295),
    [sym_raw_string_literal] = STATE(1933),
    [sym_co_await_expression] = STATE(3295),
    [sym_new_expression] = STATE(3295),
    [sym_delete_expression] = STATE(3295),
    [sym_requires_clause] = STATE(3295),
    [sym_requires_expression] = STATE(3295),
    [sym_lambda_expression] = STATE(3295),
    [sym_lambda_capture_specifier] = STATE(5500),
    [sym_fold_expression] = STATE(3295),
    [sym_parameter_pack_expansion] = STATE(3295),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5246),
    [sym_qualified_identifier] = STATE(3333),
    [sym_qualified_type_identifier] = STATE(7078),
    [sym_user_defined_literal] = STATE(3333),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_LPAREN2] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_TILDE] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_AMP] = ACTIONS(1816),
    [anon_sym_COLON_COLON] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(2232),
    [anon_sym_not] = ACTIONS(1742),
    [anon_sym_compl] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_sizeof] = ACTIONS(1768),
    [anon_sym___alignof__] = ACTIONS(1770),
    [anon_sym___alignof] = ACTIONS(1770),
    [anon_sym__alignof] = ACTIONS(1770),
    [anon_sym_alignof] = ACTIONS(1770),
    [anon_sym__Alignof] = ACTIONS(1770),
    [anon_sym_offsetof] = ACTIONS(1772),
    [anon_sym__Generic] = ACTIONS(1774),
    [anon_sym_asm] = ACTIONS(1776),
    [anon_sym___asm__] = ACTIONS(1776),
    [sym_number_literal] = ACTIONS(1778),
    [anon_sym_L_SQUOTE] = ACTIONS(1780),
    [anon_sym_u_SQUOTE] = ACTIONS(1780),
    [anon_sym_U_SQUOTE] = ACTIONS(1780),
    [anon_sym_u8_SQUOTE] = ACTIONS(1780),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_L_DQUOTE] = ACTIONS(1782),
    [anon_sym_u_DQUOTE] = ACTIONS(1782),
    [anon_sym_U_DQUOTE] = ACTIONS(1782),
    [anon_sym_u8_DQUOTE] = ACTIONS(1782),
    [anon_sym_DQUOTE] = ACTIONS(1782),
    [sym_true] = ACTIONS(1784),
    [sym_false] = ACTIONS(1784),
    [anon_sym_NULL] = ACTIONS(1786),
    [anon_sym_nullptr] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(1796),
    [anon_sym_R_DQUOTE] = ACTIONS(1798),
    [anon_sym_LR_DQUOTE] = ACTIONS(1798),
    [anon_sym_uR_DQUOTE] = ACTIONS(1798),
    [anon_sym_UR_DQUOTE] = ACTIONS(1798),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1798),
    [anon_sym_co_await] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_requires] = ACTIONS(1804),
    [sym_this] = ACTIONS(1784),
  },
  [1434] = {
    [sym_expression] = STATE(4418),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1435] = {
    [sym_expression] = STATE(4062),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1436] = {
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1437] = {
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1438] = {
    [sym_expression] = STATE(4192),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1439] = {
    [sym_expression] = STATE(4135),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1440] = {
    [sym_expression] = STATE(3537),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1441] = {
    [sym_expression] = STATE(3549),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1442] = {
    [sym_expression] = STATE(3537),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1443] = {
    [sym_expression] = STATE(4365),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1444] = {
    [sym_expression] = STATE(4241),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(4568),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1445] = {
    [sym_expression] = STATE(3674),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1446] = {
    [sym_expression] = STATE(4244),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1447] = {
    [sym_expression] = STATE(4254),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1448] = {
    [sym_expression] = STATE(3097),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1449] = {
    [sym_expression] = STATE(3098),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1450] = {
    [sym_expression] = STATE(4193),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1451] = {
    [sym_expression] = STATE(4200),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1452] = {
    [sym_expression] = STATE(4271),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1453] = {
    [sym_expression] = STATE(4282),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1454] = {
    [sym_expression] = STATE(4265),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1455] = {
    [sym_expression] = STATE(4274),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1456] = {
    [sym_expression] = STATE(4170),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1457] = {
    [sym_expression] = STATE(3126),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1458] = {
    [sym_expression] = STATE(3104),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1459] = {
    [sym_expression] = STATE(3105),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1460] = {
    [sym_expression] = STATE(3106),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1461] = {
    [sym_expression] = STATE(3107),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1462] = {
    [sym_expression] = STATE(3108),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1463] = {
    [sym_expression] = STATE(3109),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1464] = {
    [sym_expression] = STATE(3110),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1465] = {
    [sym_expression] = STATE(3111),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1466] = {
    [sym_expression] = STATE(3112),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1467] = {
    [sym_expression] = STATE(3113),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1468] = {
    [sym_expression] = STATE(3100),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(4570),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1469] = {
    [sym_expression] = STATE(3101),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1470] = {
    [sym_expression] = STATE(3102),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(4572),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1471] = {
    [sym_expression] = STATE(3114),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1472] = {
    [sym_expression] = STATE(3117),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1473] = {
    [sym_expression] = STATE(3119),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(2721),
    [sym_concatenated_string] = STATE(2715),
    [sym_string_literal] = STATE(1819),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(1820),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(1930),
    [anon_sym_LPAREN2] = ACTIONS(4255),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2462),
    [anon_sym_compl] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(4201),
    [anon_sym_PLUS_PLUS] = ACTIONS(4201),
    [anon_sym_sizeof] = ACTIONS(2468),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(1940),
    [anon_sym_L_SQUOTE] = ACTIONS(1942),
    [anon_sym_u_SQUOTE] = ACTIONS(1942),
    [anon_sym_U_SQUOTE] = ACTIONS(1942),
    [anon_sym_u8_SQUOTE] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1942),
    [anon_sym_L_DQUOTE] = ACTIONS(1944),
    [anon_sym_u_DQUOTE] = ACTIONS(1944),
    [anon_sym_U_DQUOTE] = ACTIONS(1944),
    [anon_sym_u8_DQUOTE] = ACTIONS(1944),
    [anon_sym_DQUOTE] = ACTIONS(1944),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2470),
    [anon_sym_R_DQUOTE] = ACTIONS(1948),
    [anon_sym_LR_DQUOTE] = ACTIONS(1948),
    [anon_sym_uR_DQUOTE] = ACTIONS(1948),
    [anon_sym_UR_DQUOTE] = ACTIONS(1948),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1948),
    [anon_sym_co_await] = ACTIONS(2472),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1474] = {
    [sym_expression] = STATE(4173),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(4574),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1475] = {
    [sym_expression] = STATE(4175),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1476] = {
    [sym_expression] = STATE(4176),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1477] = {
    [sym_expression] = STATE(4177),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1478] = {
    [sym_expression] = STATE(4178),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1479] = {
    [sym_expression] = STATE(4179),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1480] = {
    [sym_expression] = STATE(4180),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1481] = {
    [sym_expression] = STATE(4181),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1482] = {
    [sym_expression] = STATE(4182),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1483] = {
    [sym_expression] = STATE(4183),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1484] = {
    [sym_expression] = STATE(4184),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1485] = {
    [sym_expression] = STATE(4187),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1486] = {
    [sym_expression] = STATE(4189),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1487] = {
    [sym_expression] = STATE(4221),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1488] = {
    [sym_expression] = STATE(4223),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1489] = {
    [sym_expression] = STATE(4056),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3423),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3423),
    [sym_call_expression] = STATE(3423),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3423),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3423),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3423),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3423),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_LPAREN2] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3524),
    [anon_sym_compl] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_sizeof] = ACTIONS(3530),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1490] = {
    [sym_expression] = STATE(4195),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(4576),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1491] = {
    [sym_expression] = STATE(4227),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3466),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3466),
    [sym_call_expression] = STATE(3466),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3466),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3466),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3466),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3466),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_LPAREN2] = ACTIONS(4216),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(4218),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(3540),
    [anon_sym_compl] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_sizeof] = ACTIONS(3546),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1492] = {
    [sym_expression] = STATE(4453),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1493] = {
    [sym_expression] = STATE(4454),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1494] = {
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1495] = {
    [sym_expression] = STATE(4456),
    [sym__string] = STATE(3714),
    [sym_conditional_expression] = STATE(3714),
    [sym_assignment_expression] = STATE(3714),
    [sym_pointer_expression] = STATE(3019),
    [sym_unary_expression] = STATE(3714),
    [sym_binary_expression] = STATE(3714),
    [sym_update_expression] = STATE(3714),
    [sym_cast_expression] = STATE(3714),
    [sym_sizeof_expression] = STATE(3714),
    [sym_alignof_expression] = STATE(3714),
    [sym_offsetof_expression] = STATE(3714),
    [sym_generic_expression] = STATE(3714),
    [sym_subscript_expression] = STATE(3019),
    [sym_call_expression] = STATE(3019),
    [sym_gnu_asm_expression] = STATE(3714),
    [sym_field_expression] = STATE(3019),
    [sym_compound_literal_expression] = STATE(3714),
    [sym_parenthesized_expression] = STATE(3019),
    [sym_char_literal] = STATE(3997),
    [sym_concatenated_string] = STATE(4004),
    [sym_string_literal] = STATE(2968),
    [sym_null] = STATE(3714),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7182),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(3714),
    [sym_raw_string_literal] = STATE(2915),
    [sym_co_await_expression] = STATE(3714),
    [sym_new_expression] = STATE(3714),
    [sym_delete_expression] = STATE(3714),
    [sym_requires_clause] = STATE(3714),
    [sym_requires_expression] = STATE(3714),
    [sym_lambda_expression] = STATE(3714),
    [sym_lambda_capture_specifier] = STATE(5499),
    [sym_fold_expression] = STATE(3714),
    [sym_parameter_pack_expansion] = STATE(3714),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(3019),
    [sym_qualified_type_identifier] = STATE(7182),
    [sym_user_defined_literal] = STATE(3019),
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1956),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(97),
    [anon_sym_sizeof] = ACTIONS(99),
    [anon_sym___alignof__] = ACTIONS(101),
    [anon_sym___alignof] = ACTIONS(101),
    [anon_sym__alignof] = ACTIONS(101),
    [anon_sym_alignof] = ACTIONS(101),
    [anon_sym__Alignof] = ACTIONS(101),
    [anon_sym_offsetof] = ACTIONS(103),
    [anon_sym__Generic] = ACTIONS(105),
    [anon_sym_asm] = ACTIONS(107),
    [anon_sym___asm__] = ACTIONS(107),
    [sym_number_literal] = ACTIONS(217),
    [anon_sym_L_SQUOTE] = ACTIONS(111),
    [anon_sym_u_SQUOTE] = ACTIONS(111),
    [anon_sym_U_SQUOTE] = ACTIONS(111),
    [anon_sym_u8_SQUOTE] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(113),
    [anon_sym_u_DQUOTE] = ACTIONS(113),
    [anon_sym_U_DQUOTE] = ACTIONS(113),
    [anon_sym_u8_DQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(117),
    [anon_sym_nullptr] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(219),
  },
  [1496] = {
    [sym_expression] = STATE(2944),
    [sym__string] = STATE(2344),
    [sym_conditional_expression] = STATE(2344),
    [sym_assignment_expression] = STATE(2344),
    [sym_pointer_expression] = STATE(2313),
    [sym_unary_expression] = STATE(2344),
    [sym_binary_expression] = STATE(2344),
    [sym_update_expression] = STATE(2344),
    [sym_cast_expression] = STATE(2344),
    [sym_sizeof_expression] = STATE(2344),
    [sym_alignof_expression] = STATE(2344),
    [sym_offsetof_expression] = STATE(2344),
    [sym_generic_expression] = STATE(2344),
    [sym_subscript_expression] = STATE(2313),
    [sym_call_expression] = STATE(2313),
    [sym_gnu_asm_expression] = STATE(2344),
    [sym_field_expression] = STATE(2313),
    [sym_compound_literal_expression] = STATE(2344),
    [sym_parenthesized_expression] = STATE(2313),
    [sym_char_literal] = STATE(3031),
    [sym_concatenated_string] = STATE(3028),
    [sym_string_literal] = STATE(2075),
    [sym_null] = STATE(2344),
    [sym_decltype] = STATE(7635),
    [sym__class_name] = STATE(7336),
    [sym_template_type] = STATE(2197),
    [sym_template_function] = STATE(2344),
    [sym_raw_string_literal] = STATE(2127),
    [sym_co_await_expression] = STATE(2344),
    [sym_new_expression] = STATE(2344),
    [sym_delete_expression] = STATE(2344),
    [sym_requires_clause] = STATE(2344),
    [sym_requires_expression] = STATE(2344),
    [sym_lambda_expression] = STATE(2344),
    [sym_lambda_capture_specifier] = STATE(5532),
    [sym_fold_expression] = STATE(2344),
    [sym_parameter_pack_expansion] = STATE(2344),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5279),
    [sym_qualified_identifier] = STATE(2313),
    [sym_qualified_type_identifier] = STATE(7336),
    [sym_user_defined_literal] = STATE(2313),
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_LPAREN2] = ACTIONS(4275),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(4069),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2405),
    [sym_primitive_type] = ACTIONS(1896),
    [anon_sym_not] = ACTIONS(2321),
    [anon_sym_compl] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_sizeof] = ACTIONS(2327),
    [anon_sym___alignof__] = ACTIONS(1900),
    [anon_sym___alignof] = ACTIONS(1900),
    [anon_sym__alignof] = ACTIONS(1900),
    [anon_sym_alignof] = ACTIONS(1900),
    [anon_sym__Alignof] = ACTIONS(1900),
    [anon_sym_offsetof] = ACTIONS(1902),
    [anon_sym__Generic] = ACTIONS(1904),
    [anon_sym_asm] = ACTIONS(1906),
    [anon_sym___asm__] = ACTIONS(1906),
    [sym_number_literal] = ACTIONS(2329),
    [anon_sym_L_SQUOTE] = ACTIONS(2331),
    [anon_sym_u_SQUOTE] = ACTIONS(2331),
    [anon_sym_U_SQUOTE] = ACTIONS(2331),
    [anon_sym_u8_SQUOTE] = ACTIONS(2331),
    [anon_sym_SQUOTE] = ACTIONS(2331),
    [anon_sym_L_DQUOTE] = ACTIONS(2333),
    [anon_sym_u_DQUOTE] = ACTIONS(2333),
    [anon_sym_U_DQUOTE] = ACTIONS(2333),
    [anon_sym_u8_DQUOTE] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [sym_true] = ACTIONS(1914),
    [sym_false] = ACTIONS(1914),
    [anon_sym_NULL] = ACTIONS(1916),
    [anon_sym_nullptr] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_R_DQUOTE] = ACTIONS(2337),
    [anon_sym_LR_DQUOTE] = ACTIONS(2337),
    [anon_sym_uR_DQUOTE] = ACTIONS(2337),
    [anon_sym_UR_DQUOTE] = ACTIONS(2337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2337),
    [anon_sym_co_await] = ACTIONS(2339),
    [anon_sym_new] = ACTIONS(1952),
    [anon_sym_requires] = ACTIONS(1928),
    [sym_this] = ACTIONS(1914),
  },
  [1497] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_COMMA] = ACTIONS(4580),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym_SEMI] = ACTIONS(4582),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4582),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym___cdecl] = ACTIONS(4578),
    [anon_sym___clrcall] = ACTIONS(4578),
    [anon_sym___stdcall] = ACTIONS(4578),
    [anon_sym___fastcall] = ACTIONS(4578),
    [anon_sym___thiscall] = ACTIONS(4578),
    [anon_sym___vectorcall] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_RBRACE] = ACTIONS(4580),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4587),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4587),
    [anon_sym_or_eq] = ACTIONS(4587),
    [anon_sym_xor_eq] = ACTIONS(4587),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
  },
  [1498] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_ms_call_modifier] = STATE(5902),
    [sym__abstract_declarator] = STATE(6371),
    [sym_abstract_parenthesized_declarator] = STATE(5819),
    [sym_abstract_pointer_declarator] = STATE(5819),
    [sym_abstract_function_declarator] = STATE(5819),
    [sym_abstract_array_declarator] = STATE(5819),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_list] = STATE(3187),
    [sym_parameter_declaration] = STATE(6690),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6690),
    [sym_variadic_parameter_declaration] = STATE(6690),
    [sym_abstract_reference_declarator] = STATE(5819),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1868),
    [anon_sym_RPAREN] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(4594),
    [anon_sym_STAR] = ACTIONS(4596),
    [anon_sym_AMP_AMP] = ACTIONS(4598),
    [anon_sym_AMP] = ACTIONS(4600),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(1750),
    [anon_sym___clrcall] = ACTIONS(1750),
    [anon_sym___stdcall] = ACTIONS(1750),
    [anon_sym___fastcall] = ACTIONS(1750),
    [anon_sym___thiscall] = ACTIONS(1750),
    [anon_sym___vectorcall] = ACTIONS(1750),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(4604),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1499] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_ms_call_modifier] = STATE(5875),
    [sym__abstract_declarator] = STATE(6337),
    [sym_abstract_parenthesized_declarator] = STATE(5819),
    [sym_abstract_pointer_declarator] = STATE(5819),
    [sym_abstract_function_declarator] = STATE(5819),
    [sym_abstract_array_declarator] = STATE(5819),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_list] = STATE(3187),
    [sym_parameter_declaration] = STATE(6690),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6690),
    [sym_variadic_parameter_declaration] = STATE(6690),
    [sym_abstract_reference_declarator] = STATE(5819),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1868),
    [anon_sym_RPAREN] = ACTIONS(3827),
    [anon_sym_LPAREN2] = ACTIONS(4594),
    [anon_sym_STAR] = ACTIONS(4596),
    [anon_sym_AMP_AMP] = ACTIONS(4598),
    [anon_sym_AMP] = ACTIONS(4600),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(1750),
    [anon_sym___clrcall] = ACTIONS(1750),
    [anon_sym___stdcall] = ACTIONS(1750),
    [anon_sym___fastcall] = ACTIONS(1750),
    [anon_sym___thiscall] = ACTIONS(1750),
    [anon_sym___vectorcall] = ACTIONS(1750),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(4604),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1500] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4935),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6217),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_parameter_list] = STATE(775),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(4009),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5234),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1501] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4942),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6223),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_parameter_list] = STATE(772),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(4009),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5234),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1502] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4961),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6206),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_parameter_list] = STATE(774),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(4009),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5234),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1503] = {
    [sym_identifier] = ACTIONS(2779),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_BANG] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym___extension__] = ACTIONS(2779),
    [anon_sym_extern] = ACTIONS(2779),
    [anon_sym___attribute__] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2781),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2781),
    [anon_sym___declspec] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2779),
    [anon_sym_unsigned] = ACTIONS(2779),
    [anon_sym_long] = ACTIONS(2779),
    [anon_sym_short] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_static] = ACTIONS(2779),
    [anon_sym_register] = ACTIONS(2779),
    [anon_sym_inline] = ACTIONS(2779),
    [anon_sym___inline] = ACTIONS(2779),
    [anon_sym___inline__] = ACTIONS(2779),
    [anon_sym___forceinline] = ACTIONS(2779),
    [anon_sym_thread_local] = ACTIONS(2779),
    [anon_sym___thread] = ACTIONS(2779),
    [anon_sym_const] = ACTIONS(2779),
    [anon_sym_constexpr] = ACTIONS(2779),
    [anon_sym_volatile] = ACTIONS(2779),
    [anon_sym_restrict] = ACTIONS(2779),
    [anon_sym___restrict__] = ACTIONS(2779),
    [anon_sym__Atomic] = ACTIONS(2779),
    [anon_sym__Noreturn] = ACTIONS(2779),
    [anon_sym_noreturn] = ACTIONS(2779),
    [anon_sym_mutable] = ACTIONS(2779),
    [anon_sym_constinit] = ACTIONS(2779),
    [anon_sym_consteval] = ACTIONS(2779),
    [anon_sym_alignas] = ACTIONS(2779),
    [anon_sym__Alignas] = ACTIONS(2779),
    [sym_primitive_type] = ACTIONS(2779),
    [anon_sym_enum] = ACTIONS(2779),
    [anon_sym_class] = ACTIONS(2779),
    [anon_sym_struct] = ACTIONS(2779),
    [anon_sym_union] = ACTIONS(2779),
    [anon_sym_not] = ACTIONS(2779),
    [anon_sym_compl] = ACTIONS(2779),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_sizeof] = ACTIONS(2779),
    [anon_sym___alignof__] = ACTIONS(2779),
    [anon_sym___alignof] = ACTIONS(2779),
    [anon_sym__alignof] = ACTIONS(2779),
    [anon_sym_alignof] = ACTIONS(2779),
    [anon_sym__Alignof] = ACTIONS(2779),
    [anon_sym_offsetof] = ACTIONS(2779),
    [anon_sym__Generic] = ACTIONS(2779),
    [anon_sym_asm] = ACTIONS(2779),
    [anon_sym___asm__] = ACTIONS(2779),
    [sym_number_literal] = ACTIONS(2781),
    [anon_sym_L_SQUOTE] = ACTIONS(2781),
    [anon_sym_u_SQUOTE] = ACTIONS(2781),
    [anon_sym_U_SQUOTE] = ACTIONS(2781),
    [anon_sym_u8_SQUOTE] = ACTIONS(2781),
    [anon_sym_SQUOTE] = ACTIONS(2781),
    [anon_sym_L_DQUOTE] = ACTIONS(2781),
    [anon_sym_u_DQUOTE] = ACTIONS(2781),
    [anon_sym_U_DQUOTE] = ACTIONS(2781),
    [anon_sym_u8_DQUOTE] = ACTIONS(2781),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_true] = ACTIONS(2779),
    [sym_false] = ACTIONS(2779),
    [anon_sym_NULL] = ACTIONS(2779),
    [anon_sym_nullptr] = ACTIONS(2779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2779),
    [anon_sym_decltype] = ACTIONS(2779),
    [sym_virtual] = ACTIONS(2779),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(2779),
    [anon_sym_delete] = ACTIONS(2779),
    [anon_sym_R_DQUOTE] = ACTIONS(2781),
    [anon_sym_LR_DQUOTE] = ACTIONS(2781),
    [anon_sym_uR_DQUOTE] = ACTIONS(2781),
    [anon_sym_UR_DQUOTE] = ACTIONS(2781),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2781),
    [anon_sym_co_await] = ACTIONS(2779),
    [anon_sym_new] = ACTIONS(2779),
    [anon_sym_requires] = ACTIONS(2779),
    [sym_this] = ACTIONS(2779),
  },
  [1504] = {
    [sym_identifier] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2740),
    [anon_sym_PLUS] = ACTIONS(2740),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2742),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [anon_sym_not] = ACTIONS(2740),
    [anon_sym_compl] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2742),
    [anon_sym_sizeof] = ACTIONS(2740),
    [anon_sym___alignof__] = ACTIONS(2740),
    [anon_sym___alignof] = ACTIONS(2740),
    [anon_sym__alignof] = ACTIONS(2740),
    [anon_sym_alignof] = ACTIONS(2740),
    [anon_sym__Alignof] = ACTIONS(2740),
    [anon_sym_offsetof] = ACTIONS(2740),
    [anon_sym__Generic] = ACTIONS(2740),
    [anon_sym_asm] = ACTIONS(2740),
    [anon_sym___asm__] = ACTIONS(2740),
    [sym_number_literal] = ACTIONS(2742),
    [anon_sym_L_SQUOTE] = ACTIONS(2742),
    [anon_sym_u_SQUOTE] = ACTIONS(2742),
    [anon_sym_U_SQUOTE] = ACTIONS(2742),
    [anon_sym_u8_SQUOTE] = ACTIONS(2742),
    [anon_sym_SQUOTE] = ACTIONS(2742),
    [anon_sym_L_DQUOTE] = ACTIONS(2742),
    [anon_sym_u_DQUOTE] = ACTIONS(2742),
    [anon_sym_U_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8_DQUOTE] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2742),
    [sym_true] = ACTIONS(2740),
    [sym_false] = ACTIONS(2740),
    [anon_sym_NULL] = ACTIONS(2740),
    [anon_sym_nullptr] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_delete] = ACTIONS(2740),
    [anon_sym_R_DQUOTE] = ACTIONS(2742),
    [anon_sym_LR_DQUOTE] = ACTIONS(2742),
    [anon_sym_uR_DQUOTE] = ACTIONS(2742),
    [anon_sym_UR_DQUOTE] = ACTIONS(2742),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2742),
    [anon_sym_co_await] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(2740),
    [anon_sym_requires] = ACTIONS(2740),
    [sym_this] = ACTIONS(2740),
  },
  [1505] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4972),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6188),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5906),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_parameter_list] = STATE(770),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(4009),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5234),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_type_identifier] = STATE(3029),
    [sym_operator_name] = STATE(5906),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_LT] = ACTIONS(4608),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1506] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_LPAREN2] = ACTIONS(3065),
    [anon_sym_BANG] = ACTIONS(3065),
    [anon_sym_TILDE] = ACTIONS(3065),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3065),
    [anon_sym_AMP] = ACTIONS(3065),
    [anon_sym___extension__] = ACTIONS(3060),
    [anon_sym_extern] = ACTIONS(3060),
    [anon_sym___attribute__] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3065),
    [anon_sym___declspec] = ACTIONS(3060),
    [anon_sym_signed] = ACTIONS(3060),
    [anon_sym_unsigned] = ACTIONS(3060),
    [anon_sym_long] = ACTIONS(3060),
    [anon_sym_short] = ACTIONS(3060),
    [anon_sym_LBRACK] = ACTIONS(3060),
    [anon_sym_static] = ACTIONS(3060),
    [anon_sym_register] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym___inline] = ACTIONS(3060),
    [anon_sym___inline__] = ACTIONS(3060),
    [anon_sym___forceinline] = ACTIONS(3060),
    [anon_sym_thread_local] = ACTIONS(3060),
    [anon_sym___thread] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_constexpr] = ACTIONS(3060),
    [anon_sym_volatile] = ACTIONS(3060),
    [anon_sym_restrict] = ACTIONS(3060),
    [anon_sym___restrict__] = ACTIONS(3060),
    [anon_sym__Atomic] = ACTIONS(3060),
    [anon_sym__Noreturn] = ACTIONS(3060),
    [anon_sym_noreturn] = ACTIONS(3060),
    [anon_sym_mutable] = ACTIONS(3060),
    [anon_sym_constinit] = ACTIONS(3060),
    [anon_sym_consteval] = ACTIONS(3060),
    [anon_sym_alignas] = ACTIONS(3060),
    [anon_sym__Alignas] = ACTIONS(3060),
    [sym_primitive_type] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_class] = ACTIONS(3060),
    [anon_sym_struct] = ACTIONS(3060),
    [anon_sym_union] = ACTIONS(3060),
    [anon_sym_not] = ACTIONS(3060),
    [anon_sym_compl] = ACTIONS(3060),
    [anon_sym_DASH_DASH] = ACTIONS(3065),
    [anon_sym_PLUS_PLUS] = ACTIONS(3065),
    [anon_sym_sizeof] = ACTIONS(3060),
    [anon_sym___alignof__] = ACTIONS(3060),
    [anon_sym___alignof] = ACTIONS(3060),
    [anon_sym__alignof] = ACTIONS(3060),
    [anon_sym_alignof] = ACTIONS(3060),
    [anon_sym__Alignof] = ACTIONS(3060),
    [anon_sym_offsetof] = ACTIONS(3060),
    [anon_sym__Generic] = ACTIONS(3060),
    [anon_sym_asm] = ACTIONS(3060),
    [anon_sym___asm__] = ACTIONS(3060),
    [sym_number_literal] = ACTIONS(3065),
    [anon_sym_L_SQUOTE] = ACTIONS(3065),
    [anon_sym_u_SQUOTE] = ACTIONS(3065),
    [anon_sym_U_SQUOTE] = ACTIONS(3065),
    [anon_sym_u8_SQUOTE] = ACTIONS(3065),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_L_DQUOTE] = ACTIONS(3065),
    [anon_sym_u_DQUOTE] = ACTIONS(3065),
    [anon_sym_U_DQUOTE] = ACTIONS(3065),
    [anon_sym_u8_DQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [anon_sym_NULL] = ACTIONS(3060),
    [anon_sym_nullptr] = ACTIONS(3060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3060),
    [anon_sym_decltype] = ACTIONS(3060),
    [sym_virtual] = ACTIONS(3060),
    [anon_sym_typename] = ACTIONS(3060),
    [anon_sym_template] = ACTIONS(3060),
    [anon_sym_delete] = ACTIONS(3060),
    [anon_sym_R_DQUOTE] = ACTIONS(3065),
    [anon_sym_LR_DQUOTE] = ACTIONS(3065),
    [anon_sym_uR_DQUOTE] = ACTIONS(3065),
    [anon_sym_UR_DQUOTE] = ACTIONS(3065),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3065),
    [anon_sym_co_await] = ACTIONS(3060),
    [anon_sym_new] = ACTIONS(3060),
    [anon_sym_requires] = ACTIONS(3060),
    [sym_this] = ACTIONS(3060),
  },
  [1507] = {
    [sym_template_argument_list] = STATE(1513),
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4503),
    [anon_sym_COMMA] = ACTIONS(4503),
    [anon_sym_RPAREN] = ACTIONS(4503),
    [anon_sym_LPAREN2] = ACTIONS(4503),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4508),
    [anon_sym_PLUS] = ACTIONS(4508),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_SLASH] = ACTIONS(4508),
    [anon_sym_PERCENT] = ACTIONS(4508),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4503),
    [anon_sym_PIPE] = ACTIONS(4508),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4508),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4508),
    [anon_sym_LT] = ACTIONS(4612),
    [anon_sym_LT_LT] = ACTIONS(4508),
    [anon_sym_GT_GT] = ACTIONS(4508),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4506),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4506),
    [anon_sym_LBRACK] = ACTIONS(4510),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4510),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym__Alignas] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4508),
    [anon_sym_or_eq] = ACTIONS(4508),
    [anon_sym_xor_eq] = ACTIONS(4508),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4508),
    [anon_sym_and] = ACTIONS(4508),
    [anon_sym_bitor] = ACTIONS(4508),
    [anon_sym_xor] = ACTIONS(4508),
    [anon_sym_bitand] = ACTIONS(4508),
    [anon_sym_not_eq] = ACTIONS(4508),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4508),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4501),
  },
  [1508] = {
    [sym_string_literal] = STATE(1850),
    [sym_template_argument_list] = STATE(1613),
    [sym_raw_string_literal] = STATE(1850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3772),
    [anon_sym_LPAREN2] = ACTIONS(3772),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4615),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym___extension__] = ACTIONS(3776),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4618),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(4620),
    [anon_sym_unsigned] = ACTIONS(4620),
    [anon_sym_long] = ACTIONS(4620),
    [anon_sym_short] = ACTIONS(4620),
    [anon_sym_LBRACK] = ACTIONS(3798),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3776),
    [anon_sym_volatile] = ACTIONS(3776),
    [anon_sym_restrict] = ACTIONS(3776),
    [anon_sym___restrict__] = ACTIONS(3776),
    [anon_sym__Atomic] = ACTIONS(3776),
    [anon_sym__Noreturn] = ACTIONS(3776),
    [anon_sym_noreturn] = ACTIONS(3776),
    [anon_sym_mutable] = ACTIONS(3776),
    [anon_sym_constinit] = ACTIONS(3776),
    [anon_sym_consteval] = ACTIONS(3776),
    [anon_sym_alignas] = ACTIONS(3776),
    [anon_sym__Alignas] = ACTIONS(3776),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(4622),
    [anon_sym_u_DQUOTE] = ACTIONS(4622),
    [anon_sym_U_DQUOTE] = ACTIONS(4622),
    [anon_sym_u8_DQUOTE] = ACTIONS(4622),
    [anon_sym_DQUOTE] = ACTIONS(4622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3776),
    [anon_sym_decltype] = ACTIONS(3776),
    [anon_sym_R_DQUOTE] = ACTIONS(4624),
    [anon_sym_LR_DQUOTE] = ACTIONS(4624),
    [anon_sym_uR_DQUOTE] = ACTIONS(4624),
    [anon_sym_UR_DQUOTE] = ACTIONS(4624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4624),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [1509] = {
    [sym_template_argument_list] = STATE(1510),
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4503),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4508),
    [anon_sym_PLUS] = ACTIONS(4508),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_SLASH] = ACTIONS(4508),
    [anon_sym_PERCENT] = ACTIONS(4508),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4503),
    [anon_sym_PIPE] = ACTIONS(4508),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4508),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4508),
    [anon_sym_LT] = ACTIONS(4513),
    [anon_sym_LT_LT] = ACTIONS(4508),
    [anon_sym_GT_GT] = ACTIONS(4508),
    [anon_sym_SEMI] = ACTIONS(4501),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4506),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4506),
    [anon_sym_LBRACK] = ACTIONS(4510),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4508),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym__Alignas] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4508),
    [anon_sym_or_eq] = ACTIONS(4508),
    [anon_sym_xor_eq] = ACTIONS(4508),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4508),
    [anon_sym_and] = ACTIONS(4508),
    [anon_sym_bitor] = ACTIONS(4508),
    [anon_sym_xor] = ACTIONS(4508),
    [anon_sym_bitand] = ACTIONS(4508),
    [anon_sym_not_eq] = ACTIONS(4508),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4508),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
  },
  [1510] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_COMMA] = ACTIONS(4580),
    [anon_sym_RPAREN] = ACTIONS(4580),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym_SEMI] = ACTIONS(4580),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4587),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4587),
    [anon_sym_or_eq] = ACTIONS(4587),
    [anon_sym_xor_eq] = ACTIONS(4587),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
  },
  [1511] = {
    [sym_identifier] = ACTIONS(4550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4552),
    [anon_sym_COMMA] = ACTIONS(4552),
    [anon_sym_RPAREN] = ACTIONS(4552),
    [anon_sym_LPAREN2] = ACTIONS(4552),
    [anon_sym_TILDE] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4550),
    [anon_sym_PLUS] = ACTIONS(4550),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_SLASH] = ACTIONS(4550),
    [anon_sym_PERCENT] = ACTIONS(4550),
    [anon_sym_PIPE_PIPE] = ACTIONS(4552),
    [anon_sym_AMP_AMP] = ACTIONS(4552),
    [anon_sym_PIPE] = ACTIONS(4550),
    [anon_sym_CARET] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4550),
    [anon_sym_EQ_EQ] = ACTIONS(4552),
    [anon_sym_BANG_EQ] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4550),
    [anon_sym_GT_EQ] = ACTIONS(4552),
    [anon_sym_LT_EQ] = ACTIONS(4550),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_LT_LT] = ACTIONS(4550),
    [anon_sym_GT_GT] = ACTIONS(4550),
    [anon_sym___extension__] = ACTIONS(4550),
    [anon_sym_extern] = ACTIONS(4550),
    [anon_sym___attribute__] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(4552),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4552),
    [anon_sym___declspec] = ACTIONS(4550),
    [anon_sym___based] = ACTIONS(4550),
    [anon_sym_LBRACE] = ACTIONS(4552),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [anon_sym_static] = ACTIONS(4550),
    [anon_sym_EQ] = ACTIONS(4550),
    [anon_sym_register] = ACTIONS(4550),
    [anon_sym_inline] = ACTIONS(4550),
    [anon_sym___inline] = ACTIONS(4550),
    [anon_sym___inline__] = ACTIONS(4550),
    [anon_sym___forceinline] = ACTIONS(4550),
    [anon_sym_thread_local] = ACTIONS(4550),
    [anon_sym___thread] = ACTIONS(4550),
    [anon_sym_const] = ACTIONS(4550),
    [anon_sym_constexpr] = ACTIONS(4550),
    [anon_sym_volatile] = ACTIONS(4550),
    [anon_sym_restrict] = ACTIONS(4550),
    [anon_sym___restrict__] = ACTIONS(4550),
    [anon_sym__Atomic] = ACTIONS(4550),
    [anon_sym__Noreturn] = ACTIONS(4550),
    [anon_sym_noreturn] = ACTIONS(4550),
    [anon_sym_mutable] = ACTIONS(4550),
    [anon_sym_constinit] = ACTIONS(4550),
    [anon_sym_consteval] = ACTIONS(4550),
    [anon_sym_alignas] = ACTIONS(4550),
    [anon_sym__Alignas] = ACTIONS(4550),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_STAR_EQ] = ACTIONS(4552),
    [anon_sym_SLASH_EQ] = ACTIONS(4552),
    [anon_sym_PERCENT_EQ] = ACTIONS(4552),
    [anon_sym_PLUS_EQ] = ACTIONS(4552),
    [anon_sym_DASH_EQ] = ACTIONS(4552),
    [anon_sym_LT_LT_EQ] = ACTIONS(4552),
    [anon_sym_GT_GT_EQ] = ACTIONS(4552),
    [anon_sym_AMP_EQ] = ACTIONS(4552),
    [anon_sym_CARET_EQ] = ACTIONS(4552),
    [anon_sym_PIPE_EQ] = ACTIONS(4552),
    [anon_sym_and_eq] = ACTIONS(4550),
    [anon_sym_or_eq] = ACTIONS(4550),
    [anon_sym_xor_eq] = ACTIONS(4550),
    [anon_sym_LT_EQ_GT] = ACTIONS(4552),
    [anon_sym_or] = ACTIONS(4550),
    [anon_sym_and] = ACTIONS(4550),
    [anon_sym_bitor] = ACTIONS(4550),
    [anon_sym_xor] = ACTIONS(4550),
    [anon_sym_bitand] = ACTIONS(4550),
    [anon_sym_not_eq] = ACTIONS(4550),
    [anon_sym_DASH_DASH] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4552),
    [anon_sym_DOT] = ACTIONS(4550),
    [anon_sym_DOT_STAR] = ACTIONS(4552),
    [anon_sym_DASH_GT] = ACTIONS(4550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4550),
    [anon_sym_decltype] = ACTIONS(4550),
    [sym_virtual] = ACTIONS(4550),
    [anon_sym_template] = ACTIONS(4550),
    [anon_sym_operator] = ACTIONS(4550),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4552),
  },
  [1512] = {
    [sym_template_argument_list] = STATE(1528),
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4503),
    [anon_sym_COMMA] = ACTIONS(4503),
    [anon_sym_RPAREN] = ACTIONS(4503),
    [anon_sym_LPAREN2] = ACTIONS(4503),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4508),
    [anon_sym_PLUS] = ACTIONS(4508),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_SLASH] = ACTIONS(4508),
    [anon_sym_PERCENT] = ACTIONS(4508),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4503),
    [anon_sym_PIPE] = ACTIONS(4508),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4508),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4508),
    [anon_sym_LT] = ACTIONS(4513),
    [anon_sym_LT_LT] = ACTIONS(4508),
    [anon_sym_GT_GT] = ACTIONS(4508),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4506),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(4506),
    [anon_sym_LBRACK] = ACTIONS(4510),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_EQ] = ACTIONS(4510),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym__Alignas] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4508),
    [anon_sym_or_eq] = ACTIONS(4508),
    [anon_sym_xor_eq] = ACTIONS(4508),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4508),
    [anon_sym_and] = ACTIONS(4508),
    [anon_sym_bitor] = ACTIONS(4508),
    [anon_sym_xor] = ACTIONS(4508),
    [anon_sym_bitand] = ACTIONS(4508),
    [anon_sym_not_eq] = ACTIONS(4508),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4508),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
  },
  [1513] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4582),
    [anon_sym_COMMA] = ACTIONS(4582),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4589),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4587),
    [anon_sym_or_eq] = ACTIONS(4587),
    [anon_sym_xor_eq] = ACTIONS(4587),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4580),
  },
  [1514] = {
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4534),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym___extension__] = ACTIONS(4534),
    [anon_sym_extern] = ACTIONS(4534),
    [anon_sym___attribute__] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4536),
    [anon_sym___declspec] = ACTIONS(4534),
    [anon_sym___based] = ACTIONS(4534),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4534),
    [anon_sym_static] = ACTIONS(4534),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_register] = ACTIONS(4534),
    [anon_sym_inline] = ACTIONS(4534),
    [anon_sym___inline] = ACTIONS(4534),
    [anon_sym___inline__] = ACTIONS(4534),
    [anon_sym___forceinline] = ACTIONS(4534),
    [anon_sym_thread_local] = ACTIONS(4534),
    [anon_sym___thread] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4534),
    [anon_sym_volatile] = ACTIONS(4534),
    [anon_sym_restrict] = ACTIONS(4534),
    [anon_sym___restrict__] = ACTIONS(4534),
    [anon_sym__Atomic] = ACTIONS(4534),
    [anon_sym__Noreturn] = ACTIONS(4534),
    [anon_sym_noreturn] = ACTIONS(4534),
    [anon_sym_mutable] = ACTIONS(4534),
    [anon_sym_constinit] = ACTIONS(4534),
    [anon_sym_consteval] = ACTIONS(4534),
    [anon_sym_alignas] = ACTIONS(4534),
    [anon_sym__Alignas] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_STAR_EQ] = ACTIONS(4536),
    [anon_sym_SLASH_EQ] = ACTIONS(4536),
    [anon_sym_PERCENT_EQ] = ACTIONS(4536),
    [anon_sym_PLUS_EQ] = ACTIONS(4536),
    [anon_sym_DASH_EQ] = ACTIONS(4536),
    [anon_sym_LT_LT_EQ] = ACTIONS(4536),
    [anon_sym_GT_GT_EQ] = ACTIONS(4536),
    [anon_sym_AMP_EQ] = ACTIONS(4536),
    [anon_sym_CARET_EQ] = ACTIONS(4536),
    [anon_sym_PIPE_EQ] = ACTIONS(4536),
    [anon_sym_and_eq] = ACTIONS(4534),
    [anon_sym_or_eq] = ACTIONS(4534),
    [anon_sym_xor_eq] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4534),
    [anon_sym_decltype] = ACTIONS(4534),
    [sym_virtual] = ACTIONS(4534),
    [anon_sym_template] = ACTIONS(4534),
    [anon_sym_operator] = ACTIONS(4534),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4536),
  },
  [1515] = {
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4556),
    [anon_sym_COMMA] = ACTIONS(4556),
    [anon_sym_RPAREN] = ACTIONS(4556),
    [anon_sym_LPAREN2] = ACTIONS(4556),
    [anon_sym_TILDE] = ACTIONS(4556),
    [anon_sym_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4554),
    [anon_sym_STAR] = ACTIONS(4554),
    [anon_sym_SLASH] = ACTIONS(4554),
    [anon_sym_PERCENT] = ACTIONS(4554),
    [anon_sym_PIPE_PIPE] = ACTIONS(4556),
    [anon_sym_AMP_AMP] = ACTIONS(4556),
    [anon_sym_PIPE] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4554),
    [anon_sym_AMP] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4556),
    [anon_sym_BANG_EQ] = ACTIONS(4556),
    [anon_sym_GT] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4556),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_LT] = ACTIONS(4554),
    [anon_sym_LT_LT] = ACTIONS(4554),
    [anon_sym_GT_GT] = ACTIONS(4554),
    [anon_sym___extension__] = ACTIONS(4554),
    [anon_sym_extern] = ACTIONS(4554),
    [anon_sym___attribute__] = ACTIONS(4554),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4556),
    [anon_sym___declspec] = ACTIONS(4554),
    [anon_sym___based] = ACTIONS(4554),
    [anon_sym_LBRACE] = ACTIONS(4556),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_static] = ACTIONS(4554),
    [anon_sym_EQ] = ACTIONS(4554),
    [anon_sym_register] = ACTIONS(4554),
    [anon_sym_inline] = ACTIONS(4554),
    [anon_sym___inline] = ACTIONS(4554),
    [anon_sym___inline__] = ACTIONS(4554),
    [anon_sym___forceinline] = ACTIONS(4554),
    [anon_sym_thread_local] = ACTIONS(4554),
    [anon_sym___thread] = ACTIONS(4554),
    [anon_sym_const] = ACTIONS(4554),
    [anon_sym_constexpr] = ACTIONS(4554),
    [anon_sym_volatile] = ACTIONS(4554),
    [anon_sym_restrict] = ACTIONS(4554),
    [anon_sym___restrict__] = ACTIONS(4554),
    [anon_sym__Atomic] = ACTIONS(4554),
    [anon_sym__Noreturn] = ACTIONS(4554),
    [anon_sym_noreturn] = ACTIONS(4554),
    [anon_sym_mutable] = ACTIONS(4554),
    [anon_sym_constinit] = ACTIONS(4554),
    [anon_sym_consteval] = ACTIONS(4554),
    [anon_sym_alignas] = ACTIONS(4554),
    [anon_sym__Alignas] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(4556),
    [anon_sym_STAR_EQ] = ACTIONS(4556),
    [anon_sym_SLASH_EQ] = ACTIONS(4556),
    [anon_sym_PERCENT_EQ] = ACTIONS(4556),
    [anon_sym_PLUS_EQ] = ACTIONS(4556),
    [anon_sym_DASH_EQ] = ACTIONS(4556),
    [anon_sym_LT_LT_EQ] = ACTIONS(4556),
    [anon_sym_GT_GT_EQ] = ACTIONS(4556),
    [anon_sym_AMP_EQ] = ACTIONS(4556),
    [anon_sym_CARET_EQ] = ACTIONS(4556),
    [anon_sym_PIPE_EQ] = ACTIONS(4556),
    [anon_sym_and_eq] = ACTIONS(4554),
    [anon_sym_or_eq] = ACTIONS(4554),
    [anon_sym_xor_eq] = ACTIONS(4554),
    [anon_sym_LT_EQ_GT] = ACTIONS(4556),
    [anon_sym_or] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4554),
    [anon_sym_bitor] = ACTIONS(4554),
    [anon_sym_xor] = ACTIONS(4554),
    [anon_sym_bitand] = ACTIONS(4554),
    [anon_sym_not_eq] = ACTIONS(4554),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_DOT] = ACTIONS(4554),
    [anon_sym_DOT_STAR] = ACTIONS(4556),
    [anon_sym_DASH_GT] = ACTIONS(4554),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4554),
    [anon_sym_decltype] = ACTIONS(4554),
    [sym_virtual] = ACTIONS(4554),
    [anon_sym_template] = ACTIONS(4554),
    [anon_sym_operator] = ACTIONS(4554),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4556),
  },
  [1516] = {
    [sym_identifier] = ACTIONS(4538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_TILDE] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4538),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(4538),
    [anon_sym_extern] = ACTIONS(4538),
    [anon_sym___attribute__] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4540),
    [anon_sym___declspec] = ACTIONS(4538),
    [anon_sym___based] = ACTIONS(4538),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4538),
    [anon_sym_static] = ACTIONS(4538),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_register] = ACTIONS(4538),
    [anon_sym_inline] = ACTIONS(4538),
    [anon_sym___inline] = ACTIONS(4538),
    [anon_sym___inline__] = ACTIONS(4538),
    [anon_sym___forceinline] = ACTIONS(4538),
    [anon_sym_thread_local] = ACTIONS(4538),
    [anon_sym___thread] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4538),
    [anon_sym_volatile] = ACTIONS(4538),
    [anon_sym_restrict] = ACTIONS(4538),
    [anon_sym___restrict__] = ACTIONS(4538),
    [anon_sym__Atomic] = ACTIONS(4538),
    [anon_sym__Noreturn] = ACTIONS(4538),
    [anon_sym_noreturn] = ACTIONS(4538),
    [anon_sym_mutable] = ACTIONS(4538),
    [anon_sym_constinit] = ACTIONS(4538),
    [anon_sym_consteval] = ACTIONS(4538),
    [anon_sym_alignas] = ACTIONS(4538),
    [anon_sym__Alignas] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_STAR_EQ] = ACTIONS(4540),
    [anon_sym_SLASH_EQ] = ACTIONS(4540),
    [anon_sym_PERCENT_EQ] = ACTIONS(4540),
    [anon_sym_PLUS_EQ] = ACTIONS(4540),
    [anon_sym_DASH_EQ] = ACTIONS(4540),
    [anon_sym_LT_LT_EQ] = ACTIONS(4540),
    [anon_sym_GT_GT_EQ] = ACTIONS(4540),
    [anon_sym_AMP_EQ] = ACTIONS(4540),
    [anon_sym_CARET_EQ] = ACTIONS(4540),
    [anon_sym_PIPE_EQ] = ACTIONS(4540),
    [anon_sym_and_eq] = ACTIONS(4538),
    [anon_sym_or_eq] = ACTIONS(4538),
    [anon_sym_xor_eq] = ACTIONS(4538),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4538),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4538),
    [anon_sym_not_eq] = ACTIONS(4538),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4538),
    [anon_sym_decltype] = ACTIONS(4538),
    [sym_virtual] = ACTIONS(4538),
    [anon_sym_template] = ACTIONS(4538),
    [anon_sym_operator] = ACTIONS(4538),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4540),
  },
  [1517] = {
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4548),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_TILDE] = ACTIONS(4548),
    [anon_sym_DASH] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(4546),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_SLASH] = ACTIONS(4546),
    [anon_sym_PERCENT] = ACTIONS(4546),
    [anon_sym_PIPE_PIPE] = ACTIONS(4548),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4546),
    [anon_sym_CARET] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_EQ_EQ] = ACTIONS(4548),
    [anon_sym_BANG_EQ] = ACTIONS(4548),
    [anon_sym_GT] = ACTIONS(4546),
    [anon_sym_GT_EQ] = ACTIONS(4548),
    [anon_sym_LT_EQ] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4546),
    [anon_sym_LT_LT] = ACTIONS(4546),
    [anon_sym_GT_GT] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(4546),
    [anon_sym_extern] = ACTIONS(4546),
    [anon_sym___attribute__] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(4548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4548),
    [anon_sym___declspec] = ACTIONS(4546),
    [anon_sym___based] = ACTIONS(4546),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_LBRACK] = ACTIONS(4546),
    [anon_sym_static] = ACTIONS(4546),
    [anon_sym_EQ] = ACTIONS(4546),
    [anon_sym_register] = ACTIONS(4546),
    [anon_sym_inline] = ACTIONS(4546),
    [anon_sym___inline] = ACTIONS(4546),
    [anon_sym___inline__] = ACTIONS(4546),
    [anon_sym___forceinline] = ACTIONS(4546),
    [anon_sym_thread_local] = ACTIONS(4546),
    [anon_sym___thread] = ACTIONS(4546),
    [anon_sym_const] = ACTIONS(4546),
    [anon_sym_constexpr] = ACTIONS(4546),
    [anon_sym_volatile] = ACTIONS(4546),
    [anon_sym_restrict] = ACTIONS(4546),
    [anon_sym___restrict__] = ACTIONS(4546),
    [anon_sym__Atomic] = ACTIONS(4546),
    [anon_sym__Noreturn] = ACTIONS(4546),
    [anon_sym_noreturn] = ACTIONS(4546),
    [anon_sym_mutable] = ACTIONS(4546),
    [anon_sym_constinit] = ACTIONS(4546),
    [anon_sym_consteval] = ACTIONS(4546),
    [anon_sym_alignas] = ACTIONS(4546),
    [anon_sym__Alignas] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4548),
    [anon_sym_STAR_EQ] = ACTIONS(4548),
    [anon_sym_SLASH_EQ] = ACTIONS(4548),
    [anon_sym_PERCENT_EQ] = ACTIONS(4548),
    [anon_sym_PLUS_EQ] = ACTIONS(4548),
    [anon_sym_DASH_EQ] = ACTIONS(4548),
    [anon_sym_LT_LT_EQ] = ACTIONS(4548),
    [anon_sym_GT_GT_EQ] = ACTIONS(4548),
    [anon_sym_AMP_EQ] = ACTIONS(4548),
    [anon_sym_CARET_EQ] = ACTIONS(4548),
    [anon_sym_PIPE_EQ] = ACTIONS(4548),
    [anon_sym_and_eq] = ACTIONS(4546),
    [anon_sym_or_eq] = ACTIONS(4546),
    [anon_sym_xor_eq] = ACTIONS(4546),
    [anon_sym_LT_EQ_GT] = ACTIONS(4548),
    [anon_sym_or] = ACTIONS(4546),
    [anon_sym_and] = ACTIONS(4546),
    [anon_sym_bitor] = ACTIONS(4546),
    [anon_sym_xor] = ACTIONS(4546),
    [anon_sym_bitand] = ACTIONS(4546),
    [anon_sym_not_eq] = ACTIONS(4546),
    [anon_sym_DASH_DASH] = ACTIONS(4548),
    [anon_sym_PLUS_PLUS] = ACTIONS(4548),
    [anon_sym_DOT] = ACTIONS(4546),
    [anon_sym_DOT_STAR] = ACTIONS(4548),
    [anon_sym_DASH_GT] = ACTIONS(4546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4546),
    [anon_sym_decltype] = ACTIONS(4546),
    [sym_virtual] = ACTIONS(4546),
    [anon_sym_template] = ACTIONS(4546),
    [anon_sym_operator] = ACTIONS(4546),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4548),
  },
  [1518] = {
    [sym_identifier] = ACTIONS(4542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4544),
    [anon_sym_COMMA] = ACTIONS(4544),
    [anon_sym_RPAREN] = ACTIONS(4544),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_TILDE] = ACTIONS(4544),
    [anon_sym_DASH] = ACTIONS(4542),
    [anon_sym_PLUS] = ACTIONS(4542),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_SLASH] = ACTIONS(4542),
    [anon_sym_PERCENT] = ACTIONS(4542),
    [anon_sym_PIPE_PIPE] = ACTIONS(4544),
    [anon_sym_AMP_AMP] = ACTIONS(4544),
    [anon_sym_PIPE] = ACTIONS(4542),
    [anon_sym_CARET] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_EQ_EQ] = ACTIONS(4544),
    [anon_sym_BANG_EQ] = ACTIONS(4544),
    [anon_sym_GT] = ACTIONS(4542),
    [anon_sym_GT_EQ] = ACTIONS(4544),
    [anon_sym_LT_EQ] = ACTIONS(4542),
    [anon_sym_LT] = ACTIONS(4542),
    [anon_sym_LT_LT] = ACTIONS(4542),
    [anon_sym_GT_GT] = ACTIONS(4542),
    [anon_sym___extension__] = ACTIONS(4542),
    [anon_sym_extern] = ACTIONS(4542),
    [anon_sym___attribute__] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(4544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4544),
    [anon_sym___declspec] = ACTIONS(4542),
    [anon_sym___based] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(4544),
    [anon_sym_LBRACK] = ACTIONS(4542),
    [anon_sym_static] = ACTIONS(4542),
    [anon_sym_EQ] = ACTIONS(4542),
    [anon_sym_register] = ACTIONS(4542),
    [anon_sym_inline] = ACTIONS(4542),
    [anon_sym___inline] = ACTIONS(4542),
    [anon_sym___inline__] = ACTIONS(4542),
    [anon_sym___forceinline] = ACTIONS(4542),
    [anon_sym_thread_local] = ACTIONS(4542),
    [anon_sym___thread] = ACTIONS(4542),
    [anon_sym_const] = ACTIONS(4542),
    [anon_sym_constexpr] = ACTIONS(4542),
    [anon_sym_volatile] = ACTIONS(4542),
    [anon_sym_restrict] = ACTIONS(4542),
    [anon_sym___restrict__] = ACTIONS(4542),
    [anon_sym__Atomic] = ACTIONS(4542),
    [anon_sym__Noreturn] = ACTIONS(4542),
    [anon_sym_noreturn] = ACTIONS(4542),
    [anon_sym_mutable] = ACTIONS(4542),
    [anon_sym_constinit] = ACTIONS(4542),
    [anon_sym_consteval] = ACTIONS(4542),
    [anon_sym_alignas] = ACTIONS(4542),
    [anon_sym__Alignas] = ACTIONS(4542),
    [anon_sym_QMARK] = ACTIONS(4544),
    [anon_sym_STAR_EQ] = ACTIONS(4544),
    [anon_sym_SLASH_EQ] = ACTIONS(4544),
    [anon_sym_PERCENT_EQ] = ACTIONS(4544),
    [anon_sym_PLUS_EQ] = ACTIONS(4544),
    [anon_sym_DASH_EQ] = ACTIONS(4544),
    [anon_sym_LT_LT_EQ] = ACTIONS(4544),
    [anon_sym_GT_GT_EQ] = ACTIONS(4544),
    [anon_sym_AMP_EQ] = ACTIONS(4544),
    [anon_sym_CARET_EQ] = ACTIONS(4544),
    [anon_sym_PIPE_EQ] = ACTIONS(4544),
    [anon_sym_and_eq] = ACTIONS(4542),
    [anon_sym_or_eq] = ACTIONS(4542),
    [anon_sym_xor_eq] = ACTIONS(4542),
    [anon_sym_LT_EQ_GT] = ACTIONS(4544),
    [anon_sym_or] = ACTIONS(4542),
    [anon_sym_and] = ACTIONS(4542),
    [anon_sym_bitor] = ACTIONS(4542),
    [anon_sym_xor] = ACTIONS(4542),
    [anon_sym_bitand] = ACTIONS(4542),
    [anon_sym_not_eq] = ACTIONS(4542),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_DOT] = ACTIONS(4542),
    [anon_sym_DOT_STAR] = ACTIONS(4544),
    [anon_sym_DASH_GT] = ACTIONS(4542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4542),
    [anon_sym_decltype] = ACTIONS(4542),
    [sym_virtual] = ACTIONS(4542),
    [anon_sym_template] = ACTIONS(4542),
    [anon_sym_operator] = ACTIONS(4542),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4544),
  },
  [1519] = {
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_TILDE] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4477),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4477),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4477),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym___extension__] = ACTIONS(4477),
    [anon_sym_extern] = ACTIONS(4477),
    [anon_sym___attribute__] = ACTIONS(4477),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4479),
    [anon_sym___declspec] = ACTIONS(4477),
    [anon_sym___based] = ACTIONS(4477),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4477),
    [anon_sym_static] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_register] = ACTIONS(4477),
    [anon_sym_inline] = ACTIONS(4477),
    [anon_sym___inline] = ACTIONS(4477),
    [anon_sym___inline__] = ACTIONS(4477),
    [anon_sym___forceinline] = ACTIONS(4477),
    [anon_sym_thread_local] = ACTIONS(4477),
    [anon_sym___thread] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4477),
    [anon_sym_volatile] = ACTIONS(4477),
    [anon_sym_restrict] = ACTIONS(4477),
    [anon_sym___restrict__] = ACTIONS(4477),
    [anon_sym__Atomic] = ACTIONS(4477),
    [anon_sym__Noreturn] = ACTIONS(4477),
    [anon_sym_noreturn] = ACTIONS(4477),
    [anon_sym_mutable] = ACTIONS(4477),
    [anon_sym_constinit] = ACTIONS(4477),
    [anon_sym_consteval] = ACTIONS(4477),
    [anon_sym_alignas] = ACTIONS(4477),
    [anon_sym__Alignas] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_STAR_EQ] = ACTIONS(4479),
    [anon_sym_SLASH_EQ] = ACTIONS(4479),
    [anon_sym_PERCENT_EQ] = ACTIONS(4479),
    [anon_sym_PLUS_EQ] = ACTIONS(4479),
    [anon_sym_DASH_EQ] = ACTIONS(4479),
    [anon_sym_LT_LT_EQ] = ACTIONS(4479),
    [anon_sym_GT_GT_EQ] = ACTIONS(4479),
    [anon_sym_AMP_EQ] = ACTIONS(4479),
    [anon_sym_CARET_EQ] = ACTIONS(4479),
    [anon_sym_PIPE_EQ] = ACTIONS(4479),
    [anon_sym_and_eq] = ACTIONS(4477),
    [anon_sym_or_eq] = ACTIONS(4477),
    [anon_sym_xor_eq] = ACTIONS(4477),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4477),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4477),
    [anon_sym_not_eq] = ACTIONS(4477),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4477),
    [anon_sym_decltype] = ACTIONS(4477),
    [sym_virtual] = ACTIONS(4477),
    [anon_sym_template] = ACTIONS(4477),
    [anon_sym_operator] = ACTIONS(4477),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4479),
  },
  [1520] = {
    [sym_string_literal] = STATE(1850),
    [sym_template_argument_list] = STATE(1645),
    [sym_raw_string_literal] = STATE(1850),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4626),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym___extension__] = ACTIONS(3776),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(4620),
    [anon_sym_unsigned] = ACTIONS(4620),
    [anon_sym_long] = ACTIONS(4620),
    [anon_sym_short] = ACTIONS(4620),
    [anon_sym_LBRACK] = ACTIONS(3783),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3776),
    [anon_sym_volatile] = ACTIONS(3776),
    [anon_sym_restrict] = ACTIONS(3776),
    [anon_sym___restrict__] = ACTIONS(3776),
    [anon_sym__Atomic] = ACTIONS(3776),
    [anon_sym__Noreturn] = ACTIONS(3776),
    [anon_sym_noreturn] = ACTIONS(3776),
    [anon_sym_mutable] = ACTIONS(3776),
    [anon_sym_constinit] = ACTIONS(3776),
    [anon_sym_consteval] = ACTIONS(3776),
    [anon_sym_alignas] = ACTIONS(3776),
    [anon_sym__Alignas] = ACTIONS(3776),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(4622),
    [anon_sym_u_DQUOTE] = ACTIONS(4622),
    [anon_sym_U_DQUOTE] = ACTIONS(4622),
    [anon_sym_u8_DQUOTE] = ACTIONS(4622),
    [anon_sym_DQUOTE] = ACTIONS(4622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3776),
    [anon_sym_decltype] = ACTIONS(3776),
    [anon_sym_R_DQUOTE] = ACTIONS(4624),
    [anon_sym_LR_DQUOTE] = ACTIONS(4624),
    [anon_sym_uR_DQUOTE] = ACTIONS(4624),
    [anon_sym_UR_DQUOTE] = ACTIONS(4624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4624),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [1521] = {
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4536),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4536),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4536),
    [anon_sym_GT_GT] = ACTIONS(4536),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym___extension__] = ACTIONS(4534),
    [anon_sym_extern] = ACTIONS(4534),
    [anon_sym___attribute__] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4536),
    [anon_sym___declspec] = ACTIONS(4534),
    [anon_sym___based] = ACTIONS(4534),
    [anon_sym___cdecl] = ACTIONS(4534),
    [anon_sym___clrcall] = ACTIONS(4534),
    [anon_sym___stdcall] = ACTIONS(4534),
    [anon_sym___fastcall] = ACTIONS(4534),
    [anon_sym___thiscall] = ACTIONS(4534),
    [anon_sym___vectorcall] = ACTIONS(4534),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4534),
    [anon_sym_static] = ACTIONS(4534),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_register] = ACTIONS(4534),
    [anon_sym_inline] = ACTIONS(4534),
    [anon_sym___inline] = ACTIONS(4534),
    [anon_sym___inline__] = ACTIONS(4534),
    [anon_sym___forceinline] = ACTIONS(4534),
    [anon_sym_thread_local] = ACTIONS(4534),
    [anon_sym___thread] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4534),
    [anon_sym_volatile] = ACTIONS(4534),
    [anon_sym_restrict] = ACTIONS(4534),
    [anon_sym___restrict__] = ACTIONS(4534),
    [anon_sym__Atomic] = ACTIONS(4534),
    [anon_sym__Noreturn] = ACTIONS(4534),
    [anon_sym_noreturn] = ACTIONS(4534),
    [anon_sym_mutable] = ACTIONS(4534),
    [anon_sym_constinit] = ACTIONS(4534),
    [anon_sym_consteval] = ACTIONS(4534),
    [anon_sym_alignas] = ACTIONS(4534),
    [anon_sym__Alignas] = ACTIONS(4534),
    [anon_sym_COLON] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4534),
    [anon_sym_decltype] = ACTIONS(4534),
    [anon_sym_final] = ACTIONS(4534),
    [anon_sym_override] = ACTIONS(4534),
    [sym_virtual] = ACTIONS(4534),
    [anon_sym_template] = ACTIONS(4534),
    [anon_sym_operator] = ACTIONS(4534),
    [anon_sym_try] = ACTIONS(4534),
    [anon_sym_requires] = ACTIONS(4534),
  },
  [1522] = {
    [sym_identifier] = ACTIONS(4550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4552),
    [anon_sym_COMMA] = ACTIONS(4552),
    [anon_sym_RPAREN] = ACTIONS(4552),
    [anon_sym_LPAREN2] = ACTIONS(4552),
    [anon_sym_TILDE] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4550),
    [anon_sym_PLUS] = ACTIONS(4550),
    [anon_sym_STAR] = ACTIONS(4552),
    [anon_sym_SLASH] = ACTIONS(4550),
    [anon_sym_PERCENT] = ACTIONS(4552),
    [anon_sym_PIPE_PIPE] = ACTIONS(4552),
    [anon_sym_AMP_AMP] = ACTIONS(4552),
    [anon_sym_PIPE] = ACTIONS(4550),
    [anon_sym_CARET] = ACTIONS(4552),
    [anon_sym_AMP] = ACTIONS(4550),
    [anon_sym_EQ_EQ] = ACTIONS(4552),
    [anon_sym_BANG_EQ] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4550),
    [anon_sym_GT_EQ] = ACTIONS(4552),
    [anon_sym_LT_EQ] = ACTIONS(4550),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_LT_LT] = ACTIONS(4552),
    [anon_sym_GT_GT] = ACTIONS(4552),
    [anon_sym_SEMI] = ACTIONS(4552),
    [anon_sym___extension__] = ACTIONS(4550),
    [anon_sym_extern] = ACTIONS(4550),
    [anon_sym___attribute__] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(4552),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4552),
    [anon_sym___declspec] = ACTIONS(4550),
    [anon_sym___based] = ACTIONS(4550),
    [anon_sym___cdecl] = ACTIONS(4550),
    [anon_sym___clrcall] = ACTIONS(4550),
    [anon_sym___stdcall] = ACTIONS(4550),
    [anon_sym___fastcall] = ACTIONS(4550),
    [anon_sym___thiscall] = ACTIONS(4550),
    [anon_sym___vectorcall] = ACTIONS(4550),
    [anon_sym_LBRACE] = ACTIONS(4552),
    [anon_sym_RBRACE] = ACTIONS(4552),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [anon_sym_static] = ACTIONS(4550),
    [anon_sym_EQ] = ACTIONS(4550),
    [anon_sym_register] = ACTIONS(4550),
    [anon_sym_inline] = ACTIONS(4550),
    [anon_sym___inline] = ACTIONS(4550),
    [anon_sym___inline__] = ACTIONS(4550),
    [anon_sym___forceinline] = ACTIONS(4550),
    [anon_sym_thread_local] = ACTIONS(4550),
    [anon_sym___thread] = ACTIONS(4550),
    [anon_sym_const] = ACTIONS(4550),
    [anon_sym_constexpr] = ACTIONS(4550),
    [anon_sym_volatile] = ACTIONS(4550),
    [anon_sym_restrict] = ACTIONS(4550),
    [anon_sym___restrict__] = ACTIONS(4550),
    [anon_sym__Atomic] = ACTIONS(4550),
    [anon_sym__Noreturn] = ACTIONS(4550),
    [anon_sym_noreturn] = ACTIONS(4550),
    [anon_sym_mutable] = ACTIONS(4550),
    [anon_sym_constinit] = ACTIONS(4550),
    [anon_sym_consteval] = ACTIONS(4550),
    [anon_sym_alignas] = ACTIONS(4550),
    [anon_sym__Alignas] = ACTIONS(4550),
    [anon_sym_COLON] = ACTIONS(4550),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_LT_EQ_GT] = ACTIONS(4552),
    [anon_sym_or] = ACTIONS(4550),
    [anon_sym_and] = ACTIONS(4550),
    [anon_sym_bitor] = ACTIONS(4550),
    [anon_sym_xor] = ACTIONS(4550),
    [anon_sym_bitand] = ACTIONS(4550),
    [anon_sym_not_eq] = ACTIONS(4550),
    [anon_sym_DASH_DASH] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4552),
    [anon_sym_DOT] = ACTIONS(4550),
    [anon_sym_DOT_STAR] = ACTIONS(4552),
    [anon_sym_DASH_GT] = ACTIONS(4552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4550),
    [anon_sym_decltype] = ACTIONS(4550),
    [anon_sym_final] = ACTIONS(4550),
    [anon_sym_override] = ACTIONS(4550),
    [sym_virtual] = ACTIONS(4550),
    [anon_sym_template] = ACTIONS(4550),
    [anon_sym_operator] = ACTIONS(4550),
    [anon_sym_try] = ACTIONS(4550),
    [anon_sym_requires] = ACTIONS(4550),
  },
  [1523] = {
    [sym_identifier] = ACTIONS(4542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4544),
    [anon_sym_COMMA] = ACTIONS(4544),
    [anon_sym_RPAREN] = ACTIONS(4544),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_TILDE] = ACTIONS(4544),
    [anon_sym_DASH] = ACTIONS(4542),
    [anon_sym_PLUS] = ACTIONS(4542),
    [anon_sym_STAR] = ACTIONS(4544),
    [anon_sym_SLASH] = ACTIONS(4542),
    [anon_sym_PERCENT] = ACTIONS(4544),
    [anon_sym_PIPE_PIPE] = ACTIONS(4544),
    [anon_sym_AMP_AMP] = ACTIONS(4544),
    [anon_sym_PIPE] = ACTIONS(4542),
    [anon_sym_CARET] = ACTIONS(4544),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_EQ_EQ] = ACTIONS(4544),
    [anon_sym_BANG_EQ] = ACTIONS(4544),
    [anon_sym_GT] = ACTIONS(4542),
    [anon_sym_GT_EQ] = ACTIONS(4544),
    [anon_sym_LT_EQ] = ACTIONS(4542),
    [anon_sym_LT] = ACTIONS(4542),
    [anon_sym_LT_LT] = ACTIONS(4544),
    [anon_sym_GT_GT] = ACTIONS(4544),
    [anon_sym_SEMI] = ACTIONS(4544),
    [anon_sym___extension__] = ACTIONS(4542),
    [anon_sym_extern] = ACTIONS(4542),
    [anon_sym___attribute__] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(4544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4544),
    [anon_sym___declspec] = ACTIONS(4542),
    [anon_sym___based] = ACTIONS(4542),
    [anon_sym___cdecl] = ACTIONS(4542),
    [anon_sym___clrcall] = ACTIONS(4542),
    [anon_sym___stdcall] = ACTIONS(4542),
    [anon_sym___fastcall] = ACTIONS(4542),
    [anon_sym___thiscall] = ACTIONS(4542),
    [anon_sym___vectorcall] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(4544),
    [anon_sym_RBRACE] = ACTIONS(4544),
    [anon_sym_LBRACK] = ACTIONS(4542),
    [anon_sym_static] = ACTIONS(4542),
    [anon_sym_EQ] = ACTIONS(4542),
    [anon_sym_register] = ACTIONS(4542),
    [anon_sym_inline] = ACTIONS(4542),
    [anon_sym___inline] = ACTIONS(4542),
    [anon_sym___inline__] = ACTIONS(4542),
    [anon_sym___forceinline] = ACTIONS(4542),
    [anon_sym_thread_local] = ACTIONS(4542),
    [anon_sym___thread] = ACTIONS(4542),
    [anon_sym_const] = ACTIONS(4542),
    [anon_sym_constexpr] = ACTIONS(4542),
    [anon_sym_volatile] = ACTIONS(4542),
    [anon_sym_restrict] = ACTIONS(4542),
    [anon_sym___restrict__] = ACTIONS(4542),
    [anon_sym__Atomic] = ACTIONS(4542),
    [anon_sym__Noreturn] = ACTIONS(4542),
    [anon_sym_noreturn] = ACTIONS(4542),
    [anon_sym_mutable] = ACTIONS(4542),
    [anon_sym_constinit] = ACTIONS(4542),
    [anon_sym_consteval] = ACTIONS(4542),
    [anon_sym_alignas] = ACTIONS(4542),
    [anon_sym__Alignas] = ACTIONS(4542),
    [anon_sym_COLON] = ACTIONS(4542),
    [anon_sym_QMARK] = ACTIONS(4544),
    [anon_sym_LT_EQ_GT] = ACTIONS(4544),
    [anon_sym_or] = ACTIONS(4542),
    [anon_sym_and] = ACTIONS(4542),
    [anon_sym_bitor] = ACTIONS(4542),
    [anon_sym_xor] = ACTIONS(4542),
    [anon_sym_bitand] = ACTIONS(4542),
    [anon_sym_not_eq] = ACTIONS(4542),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_DOT] = ACTIONS(4542),
    [anon_sym_DOT_STAR] = ACTIONS(4544),
    [anon_sym_DASH_GT] = ACTIONS(4544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4542),
    [anon_sym_decltype] = ACTIONS(4542),
    [anon_sym_final] = ACTIONS(4542),
    [anon_sym_override] = ACTIONS(4542),
    [sym_virtual] = ACTIONS(4542),
    [anon_sym_template] = ACTIONS(4542),
    [anon_sym_operator] = ACTIONS(4542),
    [anon_sym_try] = ACTIONS(4542),
    [anon_sym_requires] = ACTIONS(4542),
  },
  [1524] = {
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4548),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_TILDE] = ACTIONS(4548),
    [anon_sym_DASH] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(4546),
    [anon_sym_STAR] = ACTIONS(4548),
    [anon_sym_SLASH] = ACTIONS(4546),
    [anon_sym_PERCENT] = ACTIONS(4548),
    [anon_sym_PIPE_PIPE] = ACTIONS(4548),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4546),
    [anon_sym_CARET] = ACTIONS(4548),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_EQ_EQ] = ACTIONS(4548),
    [anon_sym_BANG_EQ] = ACTIONS(4548),
    [anon_sym_GT] = ACTIONS(4546),
    [anon_sym_GT_EQ] = ACTIONS(4548),
    [anon_sym_LT_EQ] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4546),
    [anon_sym_LT_LT] = ACTIONS(4548),
    [anon_sym_GT_GT] = ACTIONS(4548),
    [anon_sym_SEMI] = ACTIONS(4548),
    [anon_sym___extension__] = ACTIONS(4546),
    [anon_sym_extern] = ACTIONS(4546),
    [anon_sym___attribute__] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(4548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4548),
    [anon_sym___declspec] = ACTIONS(4546),
    [anon_sym___based] = ACTIONS(4546),
    [anon_sym___cdecl] = ACTIONS(4546),
    [anon_sym___clrcall] = ACTIONS(4546),
    [anon_sym___stdcall] = ACTIONS(4546),
    [anon_sym___fastcall] = ACTIONS(4546),
    [anon_sym___thiscall] = ACTIONS(4546),
    [anon_sym___vectorcall] = ACTIONS(4546),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_RBRACE] = ACTIONS(4548),
    [anon_sym_LBRACK] = ACTIONS(4546),
    [anon_sym_static] = ACTIONS(4546),
    [anon_sym_EQ] = ACTIONS(4546),
    [anon_sym_register] = ACTIONS(4546),
    [anon_sym_inline] = ACTIONS(4546),
    [anon_sym___inline] = ACTIONS(4546),
    [anon_sym___inline__] = ACTIONS(4546),
    [anon_sym___forceinline] = ACTIONS(4546),
    [anon_sym_thread_local] = ACTIONS(4546),
    [anon_sym___thread] = ACTIONS(4546),
    [anon_sym_const] = ACTIONS(4546),
    [anon_sym_constexpr] = ACTIONS(4546),
    [anon_sym_volatile] = ACTIONS(4546),
    [anon_sym_restrict] = ACTIONS(4546),
    [anon_sym___restrict__] = ACTIONS(4546),
    [anon_sym__Atomic] = ACTIONS(4546),
    [anon_sym__Noreturn] = ACTIONS(4546),
    [anon_sym_noreturn] = ACTIONS(4546),
    [anon_sym_mutable] = ACTIONS(4546),
    [anon_sym_constinit] = ACTIONS(4546),
    [anon_sym_consteval] = ACTIONS(4546),
    [anon_sym_alignas] = ACTIONS(4546),
    [anon_sym__Alignas] = ACTIONS(4546),
    [anon_sym_COLON] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4548),
    [anon_sym_LT_EQ_GT] = ACTIONS(4548),
    [anon_sym_or] = ACTIONS(4546),
    [anon_sym_and] = ACTIONS(4546),
    [anon_sym_bitor] = ACTIONS(4546),
    [anon_sym_xor] = ACTIONS(4546),
    [anon_sym_bitand] = ACTIONS(4546),
    [anon_sym_not_eq] = ACTIONS(4546),
    [anon_sym_DASH_DASH] = ACTIONS(4548),
    [anon_sym_PLUS_PLUS] = ACTIONS(4548),
    [anon_sym_DOT] = ACTIONS(4546),
    [anon_sym_DOT_STAR] = ACTIONS(4548),
    [anon_sym_DASH_GT] = ACTIONS(4548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4546),
    [anon_sym_decltype] = ACTIONS(4546),
    [anon_sym_final] = ACTIONS(4546),
    [anon_sym_override] = ACTIONS(4546),
    [sym_virtual] = ACTIONS(4546),
    [anon_sym_template] = ACTIONS(4546),
    [anon_sym_operator] = ACTIONS(4546),
    [anon_sym_try] = ACTIONS(4546),
    [anon_sym_requires] = ACTIONS(4546),
  },
  [1525] = {
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_TILDE] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4479),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4479),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4479),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4479),
    [anon_sym_GT_GT] = ACTIONS(4479),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym___extension__] = ACTIONS(4477),
    [anon_sym_extern] = ACTIONS(4477),
    [anon_sym___attribute__] = ACTIONS(4477),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4479),
    [anon_sym___declspec] = ACTIONS(4477),
    [anon_sym___based] = ACTIONS(4477),
    [anon_sym___cdecl] = ACTIONS(4477),
    [anon_sym___clrcall] = ACTIONS(4477),
    [anon_sym___stdcall] = ACTIONS(4477),
    [anon_sym___fastcall] = ACTIONS(4477),
    [anon_sym___thiscall] = ACTIONS(4477),
    [anon_sym___vectorcall] = ACTIONS(4477),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4477),
    [anon_sym_static] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_register] = ACTIONS(4477),
    [anon_sym_inline] = ACTIONS(4477),
    [anon_sym___inline] = ACTIONS(4477),
    [anon_sym___inline__] = ACTIONS(4477),
    [anon_sym___forceinline] = ACTIONS(4477),
    [anon_sym_thread_local] = ACTIONS(4477),
    [anon_sym___thread] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4477),
    [anon_sym_volatile] = ACTIONS(4477),
    [anon_sym_restrict] = ACTIONS(4477),
    [anon_sym___restrict__] = ACTIONS(4477),
    [anon_sym__Atomic] = ACTIONS(4477),
    [anon_sym__Noreturn] = ACTIONS(4477),
    [anon_sym_noreturn] = ACTIONS(4477),
    [anon_sym_mutable] = ACTIONS(4477),
    [anon_sym_constinit] = ACTIONS(4477),
    [anon_sym_consteval] = ACTIONS(4477),
    [anon_sym_alignas] = ACTIONS(4477),
    [anon_sym__Alignas] = ACTIONS(4477),
    [anon_sym_COLON] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4477),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4477),
    [anon_sym_not_eq] = ACTIONS(4477),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4477),
    [anon_sym_decltype] = ACTIONS(4477),
    [anon_sym_final] = ACTIONS(4477),
    [anon_sym_override] = ACTIONS(4477),
    [sym_virtual] = ACTIONS(4477),
    [anon_sym_template] = ACTIONS(4477),
    [anon_sym_operator] = ACTIONS(4477),
    [anon_sym_try] = ACTIONS(4477),
    [anon_sym_requires] = ACTIONS(4477),
  },
  [1526] = {
    [sym_identifier] = ACTIONS(4538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_TILDE] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4540),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4540),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4540),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4540),
    [anon_sym_GT_GT] = ACTIONS(4540),
    [anon_sym_SEMI] = ACTIONS(4540),
    [anon_sym___extension__] = ACTIONS(4538),
    [anon_sym_extern] = ACTIONS(4538),
    [anon_sym___attribute__] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4540),
    [anon_sym___declspec] = ACTIONS(4538),
    [anon_sym___based] = ACTIONS(4538),
    [anon_sym___cdecl] = ACTIONS(4538),
    [anon_sym___clrcall] = ACTIONS(4538),
    [anon_sym___stdcall] = ACTIONS(4538),
    [anon_sym___fastcall] = ACTIONS(4538),
    [anon_sym___thiscall] = ACTIONS(4538),
    [anon_sym___vectorcall] = ACTIONS(4538),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4538),
    [anon_sym_static] = ACTIONS(4538),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_register] = ACTIONS(4538),
    [anon_sym_inline] = ACTIONS(4538),
    [anon_sym___inline] = ACTIONS(4538),
    [anon_sym___inline__] = ACTIONS(4538),
    [anon_sym___forceinline] = ACTIONS(4538),
    [anon_sym_thread_local] = ACTIONS(4538),
    [anon_sym___thread] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4538),
    [anon_sym_volatile] = ACTIONS(4538),
    [anon_sym_restrict] = ACTIONS(4538),
    [anon_sym___restrict__] = ACTIONS(4538),
    [anon_sym__Atomic] = ACTIONS(4538),
    [anon_sym__Noreturn] = ACTIONS(4538),
    [anon_sym_noreturn] = ACTIONS(4538),
    [anon_sym_mutable] = ACTIONS(4538),
    [anon_sym_constinit] = ACTIONS(4538),
    [anon_sym_consteval] = ACTIONS(4538),
    [anon_sym_alignas] = ACTIONS(4538),
    [anon_sym__Alignas] = ACTIONS(4538),
    [anon_sym_COLON] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4538),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4538),
    [anon_sym_not_eq] = ACTIONS(4538),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4538),
    [anon_sym_decltype] = ACTIONS(4538),
    [anon_sym_final] = ACTIONS(4538),
    [anon_sym_override] = ACTIONS(4538),
    [sym_virtual] = ACTIONS(4538),
    [anon_sym_template] = ACTIONS(4538),
    [anon_sym_operator] = ACTIONS(4538),
    [anon_sym_try] = ACTIONS(4538),
    [anon_sym_requires] = ACTIONS(4538),
  },
  [1527] = {
    [sym_string_literal] = STATE(3319),
    [sym_template_argument_list] = STATE(2850),
    [sym_raw_string_literal] = STATE(3319),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2240),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3783),
    [anon_sym_COMMA] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3778),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4629),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym___extension__] = ACTIONS(3776),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(4632),
    [anon_sym_unsigned] = ACTIONS(4632),
    [anon_sym_long] = ACTIONS(4632),
    [anon_sym_short] = ACTIONS(4632),
    [anon_sym_LBRACK] = ACTIONS(3783),
    [anon_sym_EQ] = ACTIONS(4634),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3776),
    [anon_sym_volatile] = ACTIONS(3776),
    [anon_sym_restrict] = ACTIONS(3776),
    [anon_sym___restrict__] = ACTIONS(3776),
    [anon_sym__Atomic] = ACTIONS(3776),
    [anon_sym__Noreturn] = ACTIONS(3776),
    [anon_sym_noreturn] = ACTIONS(3776),
    [anon_sym_mutable] = ACTIONS(3776),
    [anon_sym_constinit] = ACTIONS(3776),
    [anon_sym_consteval] = ACTIONS(3776),
    [anon_sym_alignas] = ACTIONS(3776),
    [anon_sym__Alignas] = ACTIONS(3776),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(4636),
    [anon_sym_SLASH_EQ] = ACTIONS(4636),
    [anon_sym_PERCENT_EQ] = ACTIONS(4636),
    [anon_sym_PLUS_EQ] = ACTIONS(4636),
    [anon_sym_DASH_EQ] = ACTIONS(4636),
    [anon_sym_LT_LT_EQ] = ACTIONS(4636),
    [anon_sym_GT_GT_EQ] = ACTIONS(4634),
    [anon_sym_AMP_EQ] = ACTIONS(4636),
    [anon_sym_CARET_EQ] = ACTIONS(4636),
    [anon_sym_PIPE_EQ] = ACTIONS(4636),
    [anon_sym_and_eq] = ACTIONS(4636),
    [anon_sym_or_eq] = ACTIONS(4636),
    [anon_sym_xor_eq] = ACTIONS(4636),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(4638),
    [anon_sym_u_DQUOTE] = ACTIONS(4638),
    [anon_sym_U_DQUOTE] = ACTIONS(4638),
    [anon_sym_u8_DQUOTE] = ACTIONS(4638),
    [anon_sym_DQUOTE] = ACTIONS(4638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3776),
    [anon_sym_decltype] = ACTIONS(3776),
    [anon_sym_GT2] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(4640),
    [anon_sym_LR_DQUOTE] = ACTIONS(4640),
    [anon_sym_uR_DQUOTE] = ACTIONS(4640),
    [anon_sym_UR_DQUOTE] = ACTIONS(4640),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4640),
  },
  [1528] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4582),
    [anon_sym_COMMA] = ACTIONS(4582),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4589),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4587),
    [anon_sym_or_eq] = ACTIONS(4587),
    [anon_sym_xor_eq] = ACTIONS(4587),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
  },
  [1529] = {
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4556),
    [anon_sym_COMMA] = ACTIONS(4556),
    [anon_sym_RPAREN] = ACTIONS(4556),
    [anon_sym_LPAREN2] = ACTIONS(4556),
    [anon_sym_TILDE] = ACTIONS(4556),
    [anon_sym_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4554),
    [anon_sym_STAR] = ACTIONS(4556),
    [anon_sym_SLASH] = ACTIONS(4554),
    [anon_sym_PERCENT] = ACTIONS(4556),
    [anon_sym_PIPE_PIPE] = ACTIONS(4556),
    [anon_sym_AMP_AMP] = ACTIONS(4556),
    [anon_sym_PIPE] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4556),
    [anon_sym_AMP] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4556),
    [anon_sym_BANG_EQ] = ACTIONS(4556),
    [anon_sym_GT] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4556),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_LT] = ACTIONS(4554),
    [anon_sym_LT_LT] = ACTIONS(4556),
    [anon_sym_GT_GT] = ACTIONS(4556),
    [anon_sym_SEMI] = ACTIONS(4556),
    [anon_sym___extension__] = ACTIONS(4554),
    [anon_sym_extern] = ACTIONS(4554),
    [anon_sym___attribute__] = ACTIONS(4554),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4556),
    [anon_sym___declspec] = ACTIONS(4554),
    [anon_sym___based] = ACTIONS(4554),
    [anon_sym___cdecl] = ACTIONS(4554),
    [anon_sym___clrcall] = ACTIONS(4554),
    [anon_sym___stdcall] = ACTIONS(4554),
    [anon_sym___fastcall] = ACTIONS(4554),
    [anon_sym___thiscall] = ACTIONS(4554),
    [anon_sym___vectorcall] = ACTIONS(4554),
    [anon_sym_LBRACE] = ACTIONS(4556),
    [anon_sym_RBRACE] = ACTIONS(4556),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_static] = ACTIONS(4554),
    [anon_sym_EQ] = ACTIONS(4554),
    [anon_sym_register] = ACTIONS(4554),
    [anon_sym_inline] = ACTIONS(4554),
    [anon_sym___inline] = ACTIONS(4554),
    [anon_sym___inline__] = ACTIONS(4554),
    [anon_sym___forceinline] = ACTIONS(4554),
    [anon_sym_thread_local] = ACTIONS(4554),
    [anon_sym___thread] = ACTIONS(4554),
    [anon_sym_const] = ACTIONS(4554),
    [anon_sym_constexpr] = ACTIONS(4554),
    [anon_sym_volatile] = ACTIONS(4554),
    [anon_sym_restrict] = ACTIONS(4554),
    [anon_sym___restrict__] = ACTIONS(4554),
    [anon_sym__Atomic] = ACTIONS(4554),
    [anon_sym__Noreturn] = ACTIONS(4554),
    [anon_sym_noreturn] = ACTIONS(4554),
    [anon_sym_mutable] = ACTIONS(4554),
    [anon_sym_constinit] = ACTIONS(4554),
    [anon_sym_consteval] = ACTIONS(4554),
    [anon_sym_alignas] = ACTIONS(4554),
    [anon_sym__Alignas] = ACTIONS(4554),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(4556),
    [anon_sym_LT_EQ_GT] = ACTIONS(4556),
    [anon_sym_or] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4554),
    [anon_sym_bitor] = ACTIONS(4554),
    [anon_sym_xor] = ACTIONS(4554),
    [anon_sym_bitand] = ACTIONS(4554),
    [anon_sym_not_eq] = ACTIONS(4554),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_DOT] = ACTIONS(4554),
    [anon_sym_DOT_STAR] = ACTIONS(4556),
    [anon_sym_DASH_GT] = ACTIONS(4556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4554),
    [anon_sym_decltype] = ACTIONS(4554),
    [anon_sym_final] = ACTIONS(4554),
    [anon_sym_override] = ACTIONS(4554),
    [sym_virtual] = ACTIONS(4554),
    [anon_sym_template] = ACTIONS(4554),
    [anon_sym_operator] = ACTIONS(4554),
    [anon_sym_try] = ACTIONS(4554),
    [anon_sym_requires] = ACTIONS(4554),
  },
  [1530] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(2988),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3783),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3783),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3780),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym___extension__] = ACTIONS(3776),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_signed] = ACTIONS(4620),
    [anon_sym_unsigned] = ACTIONS(4620),
    [anon_sym_long] = ACTIONS(4620),
    [anon_sym_short] = ACTIONS(4620),
    [anon_sym_LBRACK] = ACTIONS(3783),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_const] = ACTIONS(3768),
    [anon_sym_constexpr] = ACTIONS(3776),
    [anon_sym_volatile] = ACTIONS(3776),
    [anon_sym_restrict] = ACTIONS(3776),
    [anon_sym___restrict__] = ACTIONS(3776),
    [anon_sym__Atomic] = ACTIONS(3776),
    [anon_sym__Noreturn] = ACTIONS(3776),
    [anon_sym_noreturn] = ACTIONS(3776),
    [anon_sym_mutable] = ACTIONS(3776),
    [anon_sym_constinit] = ACTIONS(3776),
    [anon_sym_consteval] = ACTIONS(3776),
    [anon_sym_alignas] = ACTIONS(3776),
    [anon_sym__Alignas] = ACTIONS(3776),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3776),
    [anon_sym_decltype] = ACTIONS(3776),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1531] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4582),
    [anon_sym_COMMA] = ACTIONS(4582),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4589),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4580),
  },
  [1532] = {
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_TILDE] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4534),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym___extension__] = ACTIONS(4534),
    [anon_sym_extern] = ACTIONS(4534),
    [anon_sym___attribute__] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4536),
    [anon_sym___declspec] = ACTIONS(4534),
    [anon_sym___based] = ACTIONS(4534),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4534),
    [anon_sym_static] = ACTIONS(4534),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_register] = ACTIONS(4534),
    [anon_sym_inline] = ACTIONS(4534),
    [anon_sym___inline] = ACTIONS(4534),
    [anon_sym___inline__] = ACTIONS(4534),
    [anon_sym___forceinline] = ACTIONS(4534),
    [anon_sym_thread_local] = ACTIONS(4534),
    [anon_sym___thread] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4534),
    [anon_sym_volatile] = ACTIONS(4534),
    [anon_sym_restrict] = ACTIONS(4534),
    [anon_sym___restrict__] = ACTIONS(4534),
    [anon_sym__Atomic] = ACTIONS(4534),
    [anon_sym__Noreturn] = ACTIONS(4534),
    [anon_sym_noreturn] = ACTIONS(4534),
    [anon_sym_mutable] = ACTIONS(4534),
    [anon_sym_constinit] = ACTIONS(4534),
    [anon_sym_consteval] = ACTIONS(4534),
    [anon_sym_alignas] = ACTIONS(4534),
    [anon_sym__Alignas] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_STAR_EQ] = ACTIONS(4536),
    [anon_sym_SLASH_EQ] = ACTIONS(4536),
    [anon_sym_PERCENT_EQ] = ACTIONS(4536),
    [anon_sym_PLUS_EQ] = ACTIONS(4536),
    [anon_sym_DASH_EQ] = ACTIONS(4536),
    [anon_sym_LT_LT_EQ] = ACTIONS(4536),
    [anon_sym_GT_GT_EQ] = ACTIONS(4536),
    [anon_sym_AMP_EQ] = ACTIONS(4536),
    [anon_sym_CARET_EQ] = ACTIONS(4536),
    [anon_sym_PIPE_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4534),
    [anon_sym_decltype] = ACTIONS(4534),
    [sym_virtual] = ACTIONS(4534),
    [anon_sym_template] = ACTIONS(4534),
    [anon_sym_operator] = ACTIONS(4534),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4536),
  },
  [1533] = {
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_TILDE] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4477),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4477),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4477),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym___extension__] = ACTIONS(4477),
    [anon_sym_extern] = ACTIONS(4477),
    [anon_sym___attribute__] = ACTIONS(4477),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4479),
    [anon_sym___declspec] = ACTIONS(4477),
    [anon_sym___based] = ACTIONS(4477),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4477),
    [anon_sym_static] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_register] = ACTIONS(4477),
    [anon_sym_inline] = ACTIONS(4477),
    [anon_sym___inline] = ACTIONS(4477),
    [anon_sym___inline__] = ACTIONS(4477),
    [anon_sym___forceinline] = ACTIONS(4477),
    [anon_sym_thread_local] = ACTIONS(4477),
    [anon_sym___thread] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4477),
    [anon_sym_volatile] = ACTIONS(4477),
    [anon_sym_restrict] = ACTIONS(4477),
    [anon_sym___restrict__] = ACTIONS(4477),
    [anon_sym__Atomic] = ACTIONS(4477),
    [anon_sym__Noreturn] = ACTIONS(4477),
    [anon_sym_noreturn] = ACTIONS(4477),
    [anon_sym_mutable] = ACTIONS(4477),
    [anon_sym_constinit] = ACTIONS(4477),
    [anon_sym_consteval] = ACTIONS(4477),
    [anon_sym_alignas] = ACTIONS(4477),
    [anon_sym__Alignas] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_STAR_EQ] = ACTIONS(4479),
    [anon_sym_SLASH_EQ] = ACTIONS(4479),
    [anon_sym_PERCENT_EQ] = ACTIONS(4479),
    [anon_sym_PLUS_EQ] = ACTIONS(4479),
    [anon_sym_DASH_EQ] = ACTIONS(4479),
    [anon_sym_LT_LT_EQ] = ACTIONS(4479),
    [anon_sym_GT_GT_EQ] = ACTIONS(4479),
    [anon_sym_AMP_EQ] = ACTIONS(4479),
    [anon_sym_CARET_EQ] = ACTIONS(4479),
    [anon_sym_PIPE_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4477),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4477),
    [anon_sym_not_eq] = ACTIONS(4477),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4477),
    [anon_sym_decltype] = ACTIONS(4477),
    [sym_virtual] = ACTIONS(4477),
    [anon_sym_template] = ACTIONS(4477),
    [anon_sym_operator] = ACTIONS(4477),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4479),
  },
  [1534] = {
    [sym_identifier] = ACTIONS(4538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_TILDE] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4538),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(4538),
    [anon_sym_extern] = ACTIONS(4538),
    [anon_sym___attribute__] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4540),
    [anon_sym___declspec] = ACTIONS(4538),
    [anon_sym___based] = ACTIONS(4538),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4538),
    [anon_sym_static] = ACTIONS(4538),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_register] = ACTIONS(4538),
    [anon_sym_inline] = ACTIONS(4538),
    [anon_sym___inline] = ACTIONS(4538),
    [anon_sym___inline__] = ACTIONS(4538),
    [anon_sym___forceinline] = ACTIONS(4538),
    [anon_sym_thread_local] = ACTIONS(4538),
    [anon_sym___thread] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4538),
    [anon_sym_volatile] = ACTIONS(4538),
    [anon_sym_restrict] = ACTIONS(4538),
    [anon_sym___restrict__] = ACTIONS(4538),
    [anon_sym__Atomic] = ACTIONS(4538),
    [anon_sym__Noreturn] = ACTIONS(4538),
    [anon_sym_noreturn] = ACTIONS(4538),
    [anon_sym_mutable] = ACTIONS(4538),
    [anon_sym_constinit] = ACTIONS(4538),
    [anon_sym_consteval] = ACTIONS(4538),
    [anon_sym_alignas] = ACTIONS(4538),
    [anon_sym__Alignas] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_STAR_EQ] = ACTIONS(4540),
    [anon_sym_SLASH_EQ] = ACTIONS(4540),
    [anon_sym_PERCENT_EQ] = ACTIONS(4540),
    [anon_sym_PLUS_EQ] = ACTIONS(4540),
    [anon_sym_DASH_EQ] = ACTIONS(4540),
    [anon_sym_LT_LT_EQ] = ACTIONS(4540),
    [anon_sym_GT_GT_EQ] = ACTIONS(4540),
    [anon_sym_AMP_EQ] = ACTIONS(4540),
    [anon_sym_CARET_EQ] = ACTIONS(4540),
    [anon_sym_PIPE_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4538),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4538),
    [anon_sym_not_eq] = ACTIONS(4538),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4538),
    [anon_sym_decltype] = ACTIONS(4538),
    [sym_virtual] = ACTIONS(4538),
    [anon_sym_template] = ACTIONS(4538),
    [anon_sym_operator] = ACTIONS(4538),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4540),
  },
  [1535] = {
    [sym_identifier] = ACTIONS(4542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4544),
    [anon_sym_COMMA] = ACTIONS(4544),
    [anon_sym_RPAREN] = ACTIONS(4544),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_TILDE] = ACTIONS(4544),
    [anon_sym_DASH] = ACTIONS(4542),
    [anon_sym_PLUS] = ACTIONS(4542),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_SLASH] = ACTIONS(4542),
    [anon_sym_PERCENT] = ACTIONS(4542),
    [anon_sym_PIPE_PIPE] = ACTIONS(4544),
    [anon_sym_AMP_AMP] = ACTIONS(4544),
    [anon_sym_PIPE] = ACTIONS(4542),
    [anon_sym_CARET] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_EQ_EQ] = ACTIONS(4544),
    [anon_sym_BANG_EQ] = ACTIONS(4544),
    [anon_sym_GT] = ACTIONS(4542),
    [anon_sym_GT_EQ] = ACTIONS(4544),
    [anon_sym_LT_EQ] = ACTIONS(4542),
    [anon_sym_LT] = ACTIONS(4542),
    [anon_sym_LT_LT] = ACTIONS(4542),
    [anon_sym_GT_GT] = ACTIONS(4542),
    [anon_sym___extension__] = ACTIONS(4542),
    [anon_sym_extern] = ACTIONS(4542),
    [anon_sym___attribute__] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(4544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4544),
    [anon_sym___declspec] = ACTIONS(4542),
    [anon_sym___based] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(4544),
    [anon_sym_LBRACK] = ACTIONS(4542),
    [anon_sym_static] = ACTIONS(4542),
    [anon_sym_EQ] = ACTIONS(4542),
    [anon_sym_register] = ACTIONS(4542),
    [anon_sym_inline] = ACTIONS(4542),
    [anon_sym___inline] = ACTIONS(4542),
    [anon_sym___inline__] = ACTIONS(4542),
    [anon_sym___forceinline] = ACTIONS(4542),
    [anon_sym_thread_local] = ACTIONS(4542),
    [anon_sym___thread] = ACTIONS(4542),
    [anon_sym_const] = ACTIONS(4542),
    [anon_sym_constexpr] = ACTIONS(4542),
    [anon_sym_volatile] = ACTIONS(4542),
    [anon_sym_restrict] = ACTIONS(4542),
    [anon_sym___restrict__] = ACTIONS(4542),
    [anon_sym__Atomic] = ACTIONS(4542),
    [anon_sym__Noreturn] = ACTIONS(4542),
    [anon_sym_noreturn] = ACTIONS(4542),
    [anon_sym_mutable] = ACTIONS(4542),
    [anon_sym_constinit] = ACTIONS(4542),
    [anon_sym_consteval] = ACTIONS(4542),
    [anon_sym_alignas] = ACTIONS(4542),
    [anon_sym__Alignas] = ACTIONS(4542),
    [anon_sym_QMARK] = ACTIONS(4544),
    [anon_sym_STAR_EQ] = ACTIONS(4544),
    [anon_sym_SLASH_EQ] = ACTIONS(4544),
    [anon_sym_PERCENT_EQ] = ACTIONS(4544),
    [anon_sym_PLUS_EQ] = ACTIONS(4544),
    [anon_sym_DASH_EQ] = ACTIONS(4544),
    [anon_sym_LT_LT_EQ] = ACTIONS(4544),
    [anon_sym_GT_GT_EQ] = ACTIONS(4544),
    [anon_sym_AMP_EQ] = ACTIONS(4544),
    [anon_sym_CARET_EQ] = ACTIONS(4544),
    [anon_sym_PIPE_EQ] = ACTIONS(4544),
    [anon_sym_LT_EQ_GT] = ACTIONS(4544),
    [anon_sym_or] = ACTIONS(4542),
    [anon_sym_and] = ACTIONS(4542),
    [anon_sym_bitor] = ACTIONS(4542),
    [anon_sym_xor] = ACTIONS(4542),
    [anon_sym_bitand] = ACTIONS(4542),
    [anon_sym_not_eq] = ACTIONS(4542),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_DOT] = ACTIONS(4542),
    [anon_sym_DOT_STAR] = ACTIONS(4544),
    [anon_sym_DASH_GT] = ACTIONS(4542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4542),
    [anon_sym_decltype] = ACTIONS(4542),
    [sym_virtual] = ACTIONS(4542),
    [anon_sym_template] = ACTIONS(4542),
    [anon_sym_operator] = ACTIONS(4542),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4544),
  },
  [1536] = {
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4548),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_TILDE] = ACTIONS(4548),
    [anon_sym_DASH] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(4546),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_SLASH] = ACTIONS(4546),
    [anon_sym_PERCENT] = ACTIONS(4546),
    [anon_sym_PIPE_PIPE] = ACTIONS(4548),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4546),
    [anon_sym_CARET] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_EQ_EQ] = ACTIONS(4548),
    [anon_sym_BANG_EQ] = ACTIONS(4548),
    [anon_sym_GT] = ACTIONS(4546),
    [anon_sym_GT_EQ] = ACTIONS(4548),
    [anon_sym_LT_EQ] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4546),
    [anon_sym_LT_LT] = ACTIONS(4546),
    [anon_sym_GT_GT] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(4546),
    [anon_sym_extern] = ACTIONS(4546),
    [anon_sym___attribute__] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(4548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4548),
    [anon_sym___declspec] = ACTIONS(4546),
    [anon_sym___based] = ACTIONS(4546),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_LBRACK] = ACTIONS(4546),
    [anon_sym_static] = ACTIONS(4546),
    [anon_sym_EQ] = ACTIONS(4546),
    [anon_sym_register] = ACTIONS(4546),
    [anon_sym_inline] = ACTIONS(4546),
    [anon_sym___inline] = ACTIONS(4546),
    [anon_sym___inline__] = ACTIONS(4546),
    [anon_sym___forceinline] = ACTIONS(4546),
    [anon_sym_thread_local] = ACTIONS(4546),
    [anon_sym___thread] = ACTIONS(4546),
    [anon_sym_const] = ACTIONS(4546),
    [anon_sym_constexpr] = ACTIONS(4546),
    [anon_sym_volatile] = ACTIONS(4546),
    [anon_sym_restrict] = ACTIONS(4546),
    [anon_sym___restrict__] = ACTIONS(4546),
    [anon_sym__Atomic] = ACTIONS(4546),
    [anon_sym__Noreturn] = ACTIONS(4546),
    [anon_sym_noreturn] = ACTIONS(4546),
    [anon_sym_mutable] = ACTIONS(4546),
    [anon_sym_constinit] = ACTIONS(4546),
    [anon_sym_consteval] = ACTIONS(4546),
    [anon_sym_alignas] = ACTIONS(4546),
    [anon_sym__Alignas] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4548),
    [anon_sym_STAR_EQ] = ACTIONS(4548),
    [anon_sym_SLASH_EQ] = ACTIONS(4548),
    [anon_sym_PERCENT_EQ] = ACTIONS(4548),
    [anon_sym_PLUS_EQ] = ACTIONS(4548),
    [anon_sym_DASH_EQ] = ACTIONS(4548),
    [anon_sym_LT_LT_EQ] = ACTIONS(4548),
    [anon_sym_GT_GT_EQ] = ACTIONS(4548),
    [anon_sym_AMP_EQ] = ACTIONS(4548),
    [anon_sym_CARET_EQ] = ACTIONS(4548),
    [anon_sym_PIPE_EQ] = ACTIONS(4548),
    [anon_sym_LT_EQ_GT] = ACTIONS(4548),
    [anon_sym_or] = ACTIONS(4546),
    [anon_sym_and] = ACTIONS(4546),
    [anon_sym_bitor] = ACTIONS(4546),
    [anon_sym_xor] = ACTIONS(4546),
    [anon_sym_bitand] = ACTIONS(4546),
    [anon_sym_not_eq] = ACTIONS(4546),
    [anon_sym_DASH_DASH] = ACTIONS(4548),
    [anon_sym_PLUS_PLUS] = ACTIONS(4548),
    [anon_sym_DOT] = ACTIONS(4546),
    [anon_sym_DOT_STAR] = ACTIONS(4548),
    [anon_sym_DASH_GT] = ACTIONS(4546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4546),
    [anon_sym_decltype] = ACTIONS(4546),
    [sym_virtual] = ACTIONS(4546),
    [anon_sym_template] = ACTIONS(4546),
    [anon_sym_operator] = ACTIONS(4546),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4548),
  },
  [1537] = {
    [sym_identifier] = ACTIONS(4550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4552),
    [anon_sym_COMMA] = ACTIONS(4552),
    [anon_sym_RPAREN] = ACTIONS(4552),
    [anon_sym_LPAREN2] = ACTIONS(4552),
    [anon_sym_TILDE] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4550),
    [anon_sym_PLUS] = ACTIONS(4550),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_SLASH] = ACTIONS(4550),
    [anon_sym_PERCENT] = ACTIONS(4550),
    [anon_sym_PIPE_PIPE] = ACTIONS(4552),
    [anon_sym_AMP_AMP] = ACTIONS(4552),
    [anon_sym_PIPE] = ACTIONS(4550),
    [anon_sym_CARET] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4550),
    [anon_sym_EQ_EQ] = ACTIONS(4552),
    [anon_sym_BANG_EQ] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4550),
    [anon_sym_GT_EQ] = ACTIONS(4552),
    [anon_sym_LT_EQ] = ACTIONS(4550),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_LT_LT] = ACTIONS(4550),
    [anon_sym_GT_GT] = ACTIONS(4550),
    [anon_sym___extension__] = ACTIONS(4550),
    [anon_sym_extern] = ACTIONS(4550),
    [anon_sym___attribute__] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(4552),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4552),
    [anon_sym___declspec] = ACTIONS(4550),
    [anon_sym___based] = ACTIONS(4550),
    [anon_sym_LBRACE] = ACTIONS(4552),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [anon_sym_static] = ACTIONS(4550),
    [anon_sym_EQ] = ACTIONS(4550),
    [anon_sym_register] = ACTIONS(4550),
    [anon_sym_inline] = ACTIONS(4550),
    [anon_sym___inline] = ACTIONS(4550),
    [anon_sym___inline__] = ACTIONS(4550),
    [anon_sym___forceinline] = ACTIONS(4550),
    [anon_sym_thread_local] = ACTIONS(4550),
    [anon_sym___thread] = ACTIONS(4550),
    [anon_sym_const] = ACTIONS(4550),
    [anon_sym_constexpr] = ACTIONS(4550),
    [anon_sym_volatile] = ACTIONS(4550),
    [anon_sym_restrict] = ACTIONS(4550),
    [anon_sym___restrict__] = ACTIONS(4550),
    [anon_sym__Atomic] = ACTIONS(4550),
    [anon_sym__Noreturn] = ACTIONS(4550),
    [anon_sym_noreturn] = ACTIONS(4550),
    [anon_sym_mutable] = ACTIONS(4550),
    [anon_sym_constinit] = ACTIONS(4550),
    [anon_sym_consteval] = ACTIONS(4550),
    [anon_sym_alignas] = ACTIONS(4550),
    [anon_sym__Alignas] = ACTIONS(4550),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_STAR_EQ] = ACTIONS(4552),
    [anon_sym_SLASH_EQ] = ACTIONS(4552),
    [anon_sym_PERCENT_EQ] = ACTIONS(4552),
    [anon_sym_PLUS_EQ] = ACTIONS(4552),
    [anon_sym_DASH_EQ] = ACTIONS(4552),
    [anon_sym_LT_LT_EQ] = ACTIONS(4552),
    [anon_sym_GT_GT_EQ] = ACTIONS(4552),
    [anon_sym_AMP_EQ] = ACTIONS(4552),
    [anon_sym_CARET_EQ] = ACTIONS(4552),
    [anon_sym_PIPE_EQ] = ACTIONS(4552),
    [anon_sym_LT_EQ_GT] = ACTIONS(4552),
    [anon_sym_or] = ACTIONS(4550),
    [anon_sym_and] = ACTIONS(4550),
    [anon_sym_bitor] = ACTIONS(4550),
    [anon_sym_xor] = ACTIONS(4550),
    [anon_sym_bitand] = ACTIONS(4550),
    [anon_sym_not_eq] = ACTIONS(4550),
    [anon_sym_DASH_DASH] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4552),
    [anon_sym_DOT] = ACTIONS(4550),
    [anon_sym_DOT_STAR] = ACTIONS(4552),
    [anon_sym_DASH_GT] = ACTIONS(4550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4550),
    [anon_sym_decltype] = ACTIONS(4550),
    [sym_virtual] = ACTIONS(4550),
    [anon_sym_template] = ACTIONS(4550),
    [anon_sym_operator] = ACTIONS(4550),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4552),
  },
  [1538] = {
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4556),
    [anon_sym_COMMA] = ACTIONS(4556),
    [anon_sym_RPAREN] = ACTIONS(4556),
    [anon_sym_LPAREN2] = ACTIONS(4556),
    [anon_sym_TILDE] = ACTIONS(4556),
    [anon_sym_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4554),
    [anon_sym_STAR] = ACTIONS(4554),
    [anon_sym_SLASH] = ACTIONS(4554),
    [anon_sym_PERCENT] = ACTIONS(4554),
    [anon_sym_PIPE_PIPE] = ACTIONS(4556),
    [anon_sym_AMP_AMP] = ACTIONS(4556),
    [anon_sym_PIPE] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4554),
    [anon_sym_AMP] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4556),
    [anon_sym_BANG_EQ] = ACTIONS(4556),
    [anon_sym_GT] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4556),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_LT] = ACTIONS(4554),
    [anon_sym_LT_LT] = ACTIONS(4554),
    [anon_sym_GT_GT] = ACTIONS(4554),
    [anon_sym___extension__] = ACTIONS(4554),
    [anon_sym_extern] = ACTIONS(4554),
    [anon_sym___attribute__] = ACTIONS(4554),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4556),
    [anon_sym___declspec] = ACTIONS(4554),
    [anon_sym___based] = ACTIONS(4554),
    [anon_sym_LBRACE] = ACTIONS(4556),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_static] = ACTIONS(4554),
    [anon_sym_EQ] = ACTIONS(4554),
    [anon_sym_register] = ACTIONS(4554),
    [anon_sym_inline] = ACTIONS(4554),
    [anon_sym___inline] = ACTIONS(4554),
    [anon_sym___inline__] = ACTIONS(4554),
    [anon_sym___forceinline] = ACTIONS(4554),
    [anon_sym_thread_local] = ACTIONS(4554),
    [anon_sym___thread] = ACTIONS(4554),
    [anon_sym_const] = ACTIONS(4554),
    [anon_sym_constexpr] = ACTIONS(4554),
    [anon_sym_volatile] = ACTIONS(4554),
    [anon_sym_restrict] = ACTIONS(4554),
    [anon_sym___restrict__] = ACTIONS(4554),
    [anon_sym__Atomic] = ACTIONS(4554),
    [anon_sym__Noreturn] = ACTIONS(4554),
    [anon_sym_noreturn] = ACTIONS(4554),
    [anon_sym_mutable] = ACTIONS(4554),
    [anon_sym_constinit] = ACTIONS(4554),
    [anon_sym_consteval] = ACTIONS(4554),
    [anon_sym_alignas] = ACTIONS(4554),
    [anon_sym__Alignas] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(4556),
    [anon_sym_STAR_EQ] = ACTIONS(4556),
    [anon_sym_SLASH_EQ] = ACTIONS(4556),
    [anon_sym_PERCENT_EQ] = ACTIONS(4556),
    [anon_sym_PLUS_EQ] = ACTIONS(4556),
    [anon_sym_DASH_EQ] = ACTIONS(4556),
    [anon_sym_LT_LT_EQ] = ACTIONS(4556),
    [anon_sym_GT_GT_EQ] = ACTIONS(4556),
    [anon_sym_AMP_EQ] = ACTIONS(4556),
    [anon_sym_CARET_EQ] = ACTIONS(4556),
    [anon_sym_PIPE_EQ] = ACTIONS(4556),
    [anon_sym_LT_EQ_GT] = ACTIONS(4556),
    [anon_sym_or] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4554),
    [anon_sym_bitor] = ACTIONS(4554),
    [anon_sym_xor] = ACTIONS(4554),
    [anon_sym_bitand] = ACTIONS(4554),
    [anon_sym_not_eq] = ACTIONS(4554),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_DOT] = ACTIONS(4554),
    [anon_sym_DOT_STAR] = ACTIONS(4556),
    [anon_sym_DASH_GT] = ACTIONS(4554),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4554),
    [anon_sym_decltype] = ACTIONS(4554),
    [sym_virtual] = ACTIONS(4554),
    [anon_sym_template] = ACTIONS(4554),
    [anon_sym_operator] = ACTIONS(4554),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4556),
  },
  [1539] = {
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4556),
    [anon_sym_COMMA] = ACTIONS(4556),
    [anon_sym_RPAREN] = ACTIONS(4556),
    [aux_sym_preproc_if_token2] = ACTIONS(4556),
    [aux_sym_preproc_else_token1] = ACTIONS(4556),
    [aux_sym_preproc_elif_token1] = ACTIONS(4554),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4556),
    [anon_sym_LPAREN2] = ACTIONS(4556),
    [anon_sym_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4554),
    [anon_sym_STAR] = ACTIONS(4554),
    [anon_sym_SLASH] = ACTIONS(4554),
    [anon_sym_PERCENT] = ACTIONS(4554),
    [anon_sym_PIPE_PIPE] = ACTIONS(4556),
    [anon_sym_AMP_AMP] = ACTIONS(4556),
    [anon_sym_PIPE] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4554),
    [anon_sym_AMP] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4556),
    [anon_sym_BANG_EQ] = ACTIONS(4556),
    [anon_sym_GT] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4556),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_LT] = ACTIONS(4554),
    [anon_sym_LT_LT] = ACTIONS(4554),
    [anon_sym_GT_GT] = ACTIONS(4554),
    [anon_sym_SEMI] = ACTIONS(4556),
    [anon_sym___extension__] = ACTIONS(4554),
    [anon_sym___attribute__] = ACTIONS(4554),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACE] = ACTIONS(4556),
    [anon_sym_RBRACE] = ACTIONS(4556),
    [anon_sym_LBRACK] = ACTIONS(4556),
    [anon_sym_RBRACK] = ACTIONS(4556),
    [anon_sym_EQ] = ACTIONS(4554),
    [anon_sym_const] = ACTIONS(4554),
    [anon_sym_constexpr] = ACTIONS(4554),
    [anon_sym_volatile] = ACTIONS(4554),
    [anon_sym_restrict] = ACTIONS(4554),
    [anon_sym___restrict__] = ACTIONS(4554),
    [anon_sym__Atomic] = ACTIONS(4554),
    [anon_sym__Noreturn] = ACTIONS(4554),
    [anon_sym_noreturn] = ACTIONS(4554),
    [anon_sym_mutable] = ACTIONS(4554),
    [anon_sym_constinit] = ACTIONS(4554),
    [anon_sym_consteval] = ACTIONS(4554),
    [anon_sym_alignas] = ACTIONS(4554),
    [anon_sym__Alignas] = ACTIONS(4554),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(4556),
    [anon_sym_STAR_EQ] = ACTIONS(4556),
    [anon_sym_SLASH_EQ] = ACTIONS(4556),
    [anon_sym_PERCENT_EQ] = ACTIONS(4556),
    [anon_sym_PLUS_EQ] = ACTIONS(4556),
    [anon_sym_DASH_EQ] = ACTIONS(4556),
    [anon_sym_LT_LT_EQ] = ACTIONS(4556),
    [anon_sym_GT_GT_EQ] = ACTIONS(4556),
    [anon_sym_AMP_EQ] = ACTIONS(4556),
    [anon_sym_CARET_EQ] = ACTIONS(4556),
    [anon_sym_PIPE_EQ] = ACTIONS(4556),
    [anon_sym_and_eq] = ACTIONS(4554),
    [anon_sym_or_eq] = ACTIONS(4554),
    [anon_sym_xor_eq] = ACTIONS(4554),
    [anon_sym_LT_EQ_GT] = ACTIONS(4556),
    [anon_sym_or] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4554),
    [anon_sym_bitor] = ACTIONS(4554),
    [anon_sym_xor] = ACTIONS(4554),
    [anon_sym_bitand] = ACTIONS(4554),
    [anon_sym_not_eq] = ACTIONS(4554),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_DOT] = ACTIONS(4554),
    [anon_sym_DOT_STAR] = ACTIONS(4556),
    [anon_sym_DASH_GT] = ACTIONS(4556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4554),
    [anon_sym_decltype] = ACTIONS(4554),
    [anon_sym_final] = ACTIONS(4554),
    [anon_sym_override] = ACTIONS(4554),
  },
  [1540] = {
    [sym_identifier] = ACTIONS(4550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4552),
    [anon_sym_COMMA] = ACTIONS(4552),
    [anon_sym_RPAREN] = ACTIONS(4552),
    [aux_sym_preproc_if_token2] = ACTIONS(4552),
    [aux_sym_preproc_else_token1] = ACTIONS(4552),
    [aux_sym_preproc_elif_token1] = ACTIONS(4550),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4552),
    [anon_sym_LPAREN2] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4550),
    [anon_sym_PLUS] = ACTIONS(4550),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_SLASH] = ACTIONS(4550),
    [anon_sym_PERCENT] = ACTIONS(4550),
    [anon_sym_PIPE_PIPE] = ACTIONS(4552),
    [anon_sym_AMP_AMP] = ACTIONS(4552),
    [anon_sym_PIPE] = ACTIONS(4550),
    [anon_sym_CARET] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4550),
    [anon_sym_EQ_EQ] = ACTIONS(4552),
    [anon_sym_BANG_EQ] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4550),
    [anon_sym_GT_EQ] = ACTIONS(4552),
    [anon_sym_LT_EQ] = ACTIONS(4550),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_LT_LT] = ACTIONS(4550),
    [anon_sym_GT_GT] = ACTIONS(4550),
    [anon_sym_SEMI] = ACTIONS(4552),
    [anon_sym___extension__] = ACTIONS(4550),
    [anon_sym___attribute__] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(4552),
    [anon_sym_LBRACE] = ACTIONS(4552),
    [anon_sym_RBRACE] = ACTIONS(4552),
    [anon_sym_LBRACK] = ACTIONS(4552),
    [anon_sym_RBRACK] = ACTIONS(4552),
    [anon_sym_EQ] = ACTIONS(4550),
    [anon_sym_const] = ACTIONS(4550),
    [anon_sym_constexpr] = ACTIONS(4550),
    [anon_sym_volatile] = ACTIONS(4550),
    [anon_sym_restrict] = ACTIONS(4550),
    [anon_sym___restrict__] = ACTIONS(4550),
    [anon_sym__Atomic] = ACTIONS(4550),
    [anon_sym__Noreturn] = ACTIONS(4550),
    [anon_sym_noreturn] = ACTIONS(4550),
    [anon_sym_mutable] = ACTIONS(4550),
    [anon_sym_constinit] = ACTIONS(4550),
    [anon_sym_consteval] = ACTIONS(4550),
    [anon_sym_alignas] = ACTIONS(4550),
    [anon_sym__Alignas] = ACTIONS(4550),
    [anon_sym_COLON] = ACTIONS(4550),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_STAR_EQ] = ACTIONS(4552),
    [anon_sym_SLASH_EQ] = ACTIONS(4552),
    [anon_sym_PERCENT_EQ] = ACTIONS(4552),
    [anon_sym_PLUS_EQ] = ACTIONS(4552),
    [anon_sym_DASH_EQ] = ACTIONS(4552),
    [anon_sym_LT_LT_EQ] = ACTIONS(4552),
    [anon_sym_GT_GT_EQ] = ACTIONS(4552),
    [anon_sym_AMP_EQ] = ACTIONS(4552),
    [anon_sym_CARET_EQ] = ACTIONS(4552),
    [anon_sym_PIPE_EQ] = ACTIONS(4552),
    [anon_sym_and_eq] = ACTIONS(4550),
    [anon_sym_or_eq] = ACTIONS(4550),
    [anon_sym_xor_eq] = ACTIONS(4550),
    [anon_sym_LT_EQ_GT] = ACTIONS(4552),
    [anon_sym_or] = ACTIONS(4550),
    [anon_sym_and] = ACTIONS(4550),
    [anon_sym_bitor] = ACTIONS(4550),
    [anon_sym_xor] = ACTIONS(4550),
    [anon_sym_bitand] = ACTIONS(4550),
    [anon_sym_not_eq] = ACTIONS(4550),
    [anon_sym_DASH_DASH] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4552),
    [anon_sym_DOT] = ACTIONS(4550),
    [anon_sym_DOT_STAR] = ACTIONS(4552),
    [anon_sym_DASH_GT] = ACTIONS(4552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4550),
    [anon_sym_decltype] = ACTIONS(4550),
    [anon_sym_final] = ACTIONS(4550),
    [anon_sym_override] = ACTIONS(4550),
  },
  [1541] = {
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4548),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [aux_sym_preproc_if_token2] = ACTIONS(4548),
    [aux_sym_preproc_else_token1] = ACTIONS(4548),
    [aux_sym_preproc_elif_token1] = ACTIONS(4546),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_DASH] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(4546),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_SLASH] = ACTIONS(4546),
    [anon_sym_PERCENT] = ACTIONS(4546),
    [anon_sym_PIPE_PIPE] = ACTIONS(4548),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4546),
    [anon_sym_CARET] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_EQ_EQ] = ACTIONS(4548),
    [anon_sym_BANG_EQ] = ACTIONS(4548),
    [anon_sym_GT] = ACTIONS(4546),
    [anon_sym_GT_EQ] = ACTIONS(4548),
    [anon_sym_LT_EQ] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4546),
    [anon_sym_LT_LT] = ACTIONS(4546),
    [anon_sym_GT_GT] = ACTIONS(4546),
    [anon_sym_SEMI] = ACTIONS(4548),
    [anon_sym___extension__] = ACTIONS(4546),
    [anon_sym___attribute__] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(4548),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_RBRACE] = ACTIONS(4548),
    [anon_sym_LBRACK] = ACTIONS(4548),
    [anon_sym_RBRACK] = ACTIONS(4548),
    [anon_sym_EQ] = ACTIONS(4546),
    [anon_sym_const] = ACTIONS(4546),
    [anon_sym_constexpr] = ACTIONS(4546),
    [anon_sym_volatile] = ACTIONS(4546),
    [anon_sym_restrict] = ACTIONS(4546),
    [anon_sym___restrict__] = ACTIONS(4546),
    [anon_sym__Atomic] = ACTIONS(4546),
    [anon_sym__Noreturn] = ACTIONS(4546),
    [anon_sym_noreturn] = ACTIONS(4546),
    [anon_sym_mutable] = ACTIONS(4546),
    [anon_sym_constinit] = ACTIONS(4546),
    [anon_sym_consteval] = ACTIONS(4546),
    [anon_sym_alignas] = ACTIONS(4546),
    [anon_sym__Alignas] = ACTIONS(4546),
    [anon_sym_COLON] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4548),
    [anon_sym_STAR_EQ] = ACTIONS(4548),
    [anon_sym_SLASH_EQ] = ACTIONS(4548),
    [anon_sym_PERCENT_EQ] = ACTIONS(4548),
    [anon_sym_PLUS_EQ] = ACTIONS(4548),
    [anon_sym_DASH_EQ] = ACTIONS(4548),
    [anon_sym_LT_LT_EQ] = ACTIONS(4548),
    [anon_sym_GT_GT_EQ] = ACTIONS(4548),
    [anon_sym_AMP_EQ] = ACTIONS(4548),
    [anon_sym_CARET_EQ] = ACTIONS(4548),
    [anon_sym_PIPE_EQ] = ACTIONS(4548),
    [anon_sym_and_eq] = ACTIONS(4546),
    [anon_sym_or_eq] = ACTIONS(4546),
    [anon_sym_xor_eq] = ACTIONS(4546),
    [anon_sym_LT_EQ_GT] = ACTIONS(4548),
    [anon_sym_or] = ACTIONS(4546),
    [anon_sym_and] = ACTIONS(4546),
    [anon_sym_bitor] = ACTIONS(4546),
    [anon_sym_xor] = ACTIONS(4546),
    [anon_sym_bitand] = ACTIONS(4546),
    [anon_sym_not_eq] = ACTIONS(4546),
    [anon_sym_DASH_DASH] = ACTIONS(4548),
    [anon_sym_PLUS_PLUS] = ACTIONS(4548),
    [anon_sym_DOT] = ACTIONS(4546),
    [anon_sym_DOT_STAR] = ACTIONS(4548),
    [anon_sym_DASH_GT] = ACTIONS(4548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4546),
    [anon_sym_decltype] = ACTIONS(4546),
    [anon_sym_final] = ACTIONS(4546),
    [anon_sym_override] = ACTIONS(4546),
  },
  [1542] = {
    [sym_identifier] = ACTIONS(4542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4544),
    [anon_sym_COMMA] = ACTIONS(4544),
    [anon_sym_RPAREN] = ACTIONS(4544),
    [aux_sym_preproc_if_token2] = ACTIONS(4544),
    [aux_sym_preproc_else_token1] = ACTIONS(4544),
    [aux_sym_preproc_elif_token1] = ACTIONS(4542),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4544),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_DASH] = ACTIONS(4542),
    [anon_sym_PLUS] = ACTIONS(4542),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_SLASH] = ACTIONS(4542),
    [anon_sym_PERCENT] = ACTIONS(4542),
    [anon_sym_PIPE_PIPE] = ACTIONS(4544),
    [anon_sym_AMP_AMP] = ACTIONS(4544),
    [anon_sym_PIPE] = ACTIONS(4542),
    [anon_sym_CARET] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_EQ_EQ] = ACTIONS(4544),
    [anon_sym_BANG_EQ] = ACTIONS(4544),
    [anon_sym_GT] = ACTIONS(4542),
    [anon_sym_GT_EQ] = ACTIONS(4544),
    [anon_sym_LT_EQ] = ACTIONS(4542),
    [anon_sym_LT] = ACTIONS(4542),
    [anon_sym_LT_LT] = ACTIONS(4542),
    [anon_sym_GT_GT] = ACTIONS(4542),
    [anon_sym_SEMI] = ACTIONS(4544),
    [anon_sym___extension__] = ACTIONS(4542),
    [anon_sym___attribute__] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(4544),
    [anon_sym_LBRACE] = ACTIONS(4544),
    [anon_sym_RBRACE] = ACTIONS(4544),
    [anon_sym_LBRACK] = ACTIONS(4544),
    [anon_sym_RBRACK] = ACTIONS(4544),
    [anon_sym_EQ] = ACTIONS(4542),
    [anon_sym_const] = ACTIONS(4542),
    [anon_sym_constexpr] = ACTIONS(4542),
    [anon_sym_volatile] = ACTIONS(4542),
    [anon_sym_restrict] = ACTIONS(4542),
    [anon_sym___restrict__] = ACTIONS(4542),
    [anon_sym__Atomic] = ACTIONS(4542),
    [anon_sym__Noreturn] = ACTIONS(4542),
    [anon_sym_noreturn] = ACTIONS(4542),
    [anon_sym_mutable] = ACTIONS(4542),
    [anon_sym_constinit] = ACTIONS(4542),
    [anon_sym_consteval] = ACTIONS(4542),
    [anon_sym_alignas] = ACTIONS(4542),
    [anon_sym__Alignas] = ACTIONS(4542),
    [anon_sym_COLON] = ACTIONS(4542),
    [anon_sym_QMARK] = ACTIONS(4544),
    [anon_sym_STAR_EQ] = ACTIONS(4544),
    [anon_sym_SLASH_EQ] = ACTIONS(4544),
    [anon_sym_PERCENT_EQ] = ACTIONS(4544),
    [anon_sym_PLUS_EQ] = ACTIONS(4544),
    [anon_sym_DASH_EQ] = ACTIONS(4544),
    [anon_sym_LT_LT_EQ] = ACTIONS(4544),
    [anon_sym_GT_GT_EQ] = ACTIONS(4544),
    [anon_sym_AMP_EQ] = ACTIONS(4544),
    [anon_sym_CARET_EQ] = ACTIONS(4544),
    [anon_sym_PIPE_EQ] = ACTIONS(4544),
    [anon_sym_and_eq] = ACTIONS(4542),
    [anon_sym_or_eq] = ACTIONS(4542),
    [anon_sym_xor_eq] = ACTIONS(4542),
    [anon_sym_LT_EQ_GT] = ACTIONS(4544),
    [anon_sym_or] = ACTIONS(4542),
    [anon_sym_and] = ACTIONS(4542),
    [anon_sym_bitor] = ACTIONS(4542),
    [anon_sym_xor] = ACTIONS(4542),
    [anon_sym_bitand] = ACTIONS(4542),
    [anon_sym_not_eq] = ACTIONS(4542),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_DOT] = ACTIONS(4542),
    [anon_sym_DOT_STAR] = ACTIONS(4544),
    [anon_sym_DASH_GT] = ACTIONS(4544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4542),
    [anon_sym_decltype] = ACTIONS(4542),
    [anon_sym_final] = ACTIONS(4542),
    [anon_sym_override] = ACTIONS(4542),
  },
  [1543] = {
    [sym_identifier] = ACTIONS(4538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [aux_sym_preproc_if_token2] = ACTIONS(4540),
    [aux_sym_preproc_else_token1] = ACTIONS(4540),
    [aux_sym_preproc_elif_token1] = ACTIONS(4538),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4538),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym_SEMI] = ACTIONS(4540),
    [anon_sym___extension__] = ACTIONS(4538),
    [anon_sym___attribute__] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_RBRACK] = ACTIONS(4540),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4538),
    [anon_sym_volatile] = ACTIONS(4538),
    [anon_sym_restrict] = ACTIONS(4538),
    [anon_sym___restrict__] = ACTIONS(4538),
    [anon_sym__Atomic] = ACTIONS(4538),
    [anon_sym__Noreturn] = ACTIONS(4538),
    [anon_sym_noreturn] = ACTIONS(4538),
    [anon_sym_mutable] = ACTIONS(4538),
    [anon_sym_constinit] = ACTIONS(4538),
    [anon_sym_consteval] = ACTIONS(4538),
    [anon_sym_alignas] = ACTIONS(4538),
    [anon_sym__Alignas] = ACTIONS(4538),
    [anon_sym_COLON] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_STAR_EQ] = ACTIONS(4540),
    [anon_sym_SLASH_EQ] = ACTIONS(4540),
    [anon_sym_PERCENT_EQ] = ACTIONS(4540),
    [anon_sym_PLUS_EQ] = ACTIONS(4540),
    [anon_sym_DASH_EQ] = ACTIONS(4540),
    [anon_sym_LT_LT_EQ] = ACTIONS(4540),
    [anon_sym_GT_GT_EQ] = ACTIONS(4540),
    [anon_sym_AMP_EQ] = ACTIONS(4540),
    [anon_sym_CARET_EQ] = ACTIONS(4540),
    [anon_sym_PIPE_EQ] = ACTIONS(4540),
    [anon_sym_and_eq] = ACTIONS(4538),
    [anon_sym_or_eq] = ACTIONS(4538),
    [anon_sym_xor_eq] = ACTIONS(4538),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4538),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4538),
    [anon_sym_not_eq] = ACTIONS(4538),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4538),
    [anon_sym_decltype] = ACTIONS(4538),
    [anon_sym_final] = ACTIONS(4538),
    [anon_sym_override] = ACTIONS(4538),
  },
  [1544] = {
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [aux_sym_preproc_if_token2] = ACTIONS(4479),
    [aux_sym_preproc_else_token1] = ACTIONS(4479),
    [aux_sym_preproc_elif_token1] = ACTIONS(4477),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4479),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4477),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4477),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4477),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym___extension__] = ACTIONS(4477),
    [anon_sym___attribute__] = ACTIONS(4477),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_RBRACK] = ACTIONS(4479),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4477),
    [anon_sym_volatile] = ACTIONS(4477),
    [anon_sym_restrict] = ACTIONS(4477),
    [anon_sym___restrict__] = ACTIONS(4477),
    [anon_sym__Atomic] = ACTIONS(4477),
    [anon_sym__Noreturn] = ACTIONS(4477),
    [anon_sym_noreturn] = ACTIONS(4477),
    [anon_sym_mutable] = ACTIONS(4477),
    [anon_sym_constinit] = ACTIONS(4477),
    [anon_sym_consteval] = ACTIONS(4477),
    [anon_sym_alignas] = ACTIONS(4477),
    [anon_sym__Alignas] = ACTIONS(4477),
    [anon_sym_COLON] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_STAR_EQ] = ACTIONS(4479),
    [anon_sym_SLASH_EQ] = ACTIONS(4479),
    [anon_sym_PERCENT_EQ] = ACTIONS(4479),
    [anon_sym_PLUS_EQ] = ACTIONS(4479),
    [anon_sym_DASH_EQ] = ACTIONS(4479),
    [anon_sym_LT_LT_EQ] = ACTIONS(4479),
    [anon_sym_GT_GT_EQ] = ACTIONS(4479),
    [anon_sym_AMP_EQ] = ACTIONS(4479),
    [anon_sym_CARET_EQ] = ACTIONS(4479),
    [anon_sym_PIPE_EQ] = ACTIONS(4479),
    [anon_sym_and_eq] = ACTIONS(4477),
    [anon_sym_or_eq] = ACTIONS(4477),
    [anon_sym_xor_eq] = ACTIONS(4477),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4477),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4477),
    [anon_sym_not_eq] = ACTIONS(4477),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4477),
    [anon_sym_decltype] = ACTIONS(4477),
    [anon_sym_final] = ACTIONS(4477),
    [anon_sym_override] = ACTIONS(4477),
  },
  [1545] = {
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [aux_sym_preproc_if_token2] = ACTIONS(4536),
    [aux_sym_preproc_else_token1] = ACTIONS(4536),
    [aux_sym_preproc_elif_token1] = ACTIONS(4534),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4534),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym___extension__] = ACTIONS(4534),
    [anon_sym___attribute__] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_RBRACK] = ACTIONS(4536),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4534),
    [anon_sym_volatile] = ACTIONS(4534),
    [anon_sym_restrict] = ACTIONS(4534),
    [anon_sym___restrict__] = ACTIONS(4534),
    [anon_sym__Atomic] = ACTIONS(4534),
    [anon_sym__Noreturn] = ACTIONS(4534),
    [anon_sym_noreturn] = ACTIONS(4534),
    [anon_sym_mutable] = ACTIONS(4534),
    [anon_sym_constinit] = ACTIONS(4534),
    [anon_sym_consteval] = ACTIONS(4534),
    [anon_sym_alignas] = ACTIONS(4534),
    [anon_sym__Alignas] = ACTIONS(4534),
    [anon_sym_COLON] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_STAR_EQ] = ACTIONS(4536),
    [anon_sym_SLASH_EQ] = ACTIONS(4536),
    [anon_sym_PERCENT_EQ] = ACTIONS(4536),
    [anon_sym_PLUS_EQ] = ACTIONS(4536),
    [anon_sym_DASH_EQ] = ACTIONS(4536),
    [anon_sym_LT_LT_EQ] = ACTIONS(4536),
    [anon_sym_GT_GT_EQ] = ACTIONS(4536),
    [anon_sym_AMP_EQ] = ACTIONS(4536),
    [anon_sym_CARET_EQ] = ACTIONS(4536),
    [anon_sym_PIPE_EQ] = ACTIONS(4536),
    [anon_sym_and_eq] = ACTIONS(4534),
    [anon_sym_or_eq] = ACTIONS(4534),
    [anon_sym_xor_eq] = ACTIONS(4534),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4534),
    [anon_sym_decltype] = ACTIONS(4534),
    [anon_sym_final] = ACTIONS(4534),
    [anon_sym_override] = ACTIONS(4534),
  },
  [1546] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_COMMA] = ACTIONS(4580),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4582),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4580),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4580),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4580),
    [anon_sym_GT_GT] = ACTIONS(4580),
    [anon_sym_SEMI] = ACTIONS(4582),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4582),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym___cdecl] = ACTIONS(4578),
    [anon_sym___clrcall] = ACTIONS(4578),
    [anon_sym___stdcall] = ACTIONS(4578),
    [anon_sym___fastcall] = ACTIONS(4578),
    [anon_sym___thiscall] = ACTIONS(4578),
    [anon_sym___vectorcall] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_RBRACE] = ACTIONS(4580),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
  },
  [1547] = {
    [sym_function_definition] = STATE(595),
    [sym_declaration] = STATE(595),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4433),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_call_modifier] = STATE(1853),
    [sym_declaration_list] = STATE(595),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(4649),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1548] = {
    [sym_function_definition] = STATE(305),
    [sym_declaration] = STATE(305),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_call_modifier] = STATE(1852),
    [sym_declaration_list] = STATE(305),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(4651),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1549] = {
    [sym_function_definition] = STATE(572),
    [sym_declaration] = STATE(572),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_call_modifier] = STATE(1868),
    [sym_declaration_list] = STATE(572),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(4653),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1550] = {
    [sym_function_definition] = STATE(678),
    [sym_declaration] = STATE(678),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4355),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_call_modifier] = STATE(1827),
    [sym_declaration_list] = STATE(678),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(4655),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1551] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4585),
    [anon_sym_COMMA] = ACTIONS(4585),
    [anon_sym_RPAREN] = ACTIONS(4585),
    [anon_sym_LPAREN2] = ACTIONS(4585),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_STAR] = ACTIONS(4585),
    [anon_sym_PIPE_PIPE] = ACTIONS(4585),
    [anon_sym_AMP_AMP] = ACTIONS(4585),
    [anon_sym_AMP] = ACTIONS(4578),
    [anon_sym_SEMI] = ACTIONS(4585),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym___cdecl] = ACTIONS(4578),
    [anon_sym___clrcall] = ACTIONS(4578),
    [anon_sym___stdcall] = ACTIONS(4578),
    [anon_sym___fastcall] = ACTIONS(4578),
    [anon_sym___thiscall] = ACTIONS(4578),
    [anon_sym___vectorcall] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_signed] = ACTIONS(4578),
    [anon_sym_unsigned] = ACTIONS(4578),
    [anon_sym_long] = ACTIONS(4578),
    [anon_sym_short] = ACTIONS(4578),
    [anon_sym_LBRACK] = ACTIONS(4578),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4585),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [sym_primitive_type] = ACTIONS(4578),
    [anon_sym_enum] = ACTIONS(4578),
    [anon_sym_class] = ACTIONS(4578),
    [anon_sym_struct] = ACTIONS(4578),
    [anon_sym_union] = ACTIONS(4578),
    [anon_sym_COLON] = ACTIONS(4578),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_asm] = ACTIONS(4578),
    [anon_sym___asm__] = ACTIONS(4578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [anon_sym_final] = ACTIONS(4578),
    [anon_sym_override] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_explicit] = ACTIONS(4578),
    [anon_sym_typename] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_GT2] = ACTIONS(4585),
    [anon_sym_operator] = ACTIONS(4578),
    [anon_sym_try] = ACTIONS(4578),
    [anon_sym_friend] = ACTIONS(4578),
    [anon_sym_using] = ACTIONS(4578),
    [anon_sym_concept] = ACTIONS(4578),
    [anon_sym_requires] = ACTIONS(4578),
  },
  [1552] = {
    [sym_function_definition] = STATE(674),
    [sym_declaration] = STATE(674),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4355),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_call_modifier] = STATE(1827),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(8115),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3732),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4659),
    [anon_sym_struct] = ACTIONS(4661),
    [anon_sym_union] = ACTIONS(4663),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1553] = {
    [sym_function_definition] = STATE(1721),
    [sym_declaration] = STATE(1721),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4437),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_call_modifier] = STATE(1857),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(8037),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3732),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4665),
    [anon_sym_struct] = ACTIONS(4667),
    [anon_sym_union] = ACTIONS(4669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1554] = {
    [sym_function_definition] = STATE(308),
    [sym_declaration] = STATE(308),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4430),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_call_modifier] = STATE(1852),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7874),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3732),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4671),
    [anon_sym_struct] = ACTIONS(4673),
    [anon_sym_union] = ACTIONS(4675),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1555] = {
    [sym_function_definition] = STATE(580),
    [sym_declaration] = STATE(580),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4433),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_call_modifier] = STATE(1853),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7709),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3732),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4677),
    [anon_sym_struct] = ACTIONS(4679),
    [anon_sym_union] = ACTIONS(4681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1556] = {
    [sym_function_definition] = STATE(2122),
    [sym_declaration] = STATE(2122),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4438),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_call_modifier] = STATE(1859),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(8007),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3732),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4683),
    [anon_sym_struct] = ACTIONS(4685),
    [anon_sym_union] = ACTIONS(4687),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1557] = {
    [sym_function_definition] = STATE(544),
    [sym_declaration] = STATE(544),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4426),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_call_modifier] = STATE(1868),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7478),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3732),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4689),
    [anon_sym_struct] = ACTIONS(4691),
    [anon_sym_union] = ACTIONS(4693),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1558] = {
    [sym_function_definition] = STATE(2113),
    [sym_declaration] = STATE(2113),
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4436),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_ms_call_modifier] = STATE(1855),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym__class_name] = STATE(7952),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(3732),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3733),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4657),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(4695),
    [anon_sym_struct] = ACTIONS(4697),
    [anon_sym_union] = ACTIONS(4699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1559] = {
    [sym_identifier] = ACTIONS(4701),
    [anon_sym_COMMA] = ACTIONS(4703),
    [anon_sym_RPAREN] = ACTIONS(4703),
    [anon_sym_LPAREN2] = ACTIONS(4703),
    [anon_sym_TILDE] = ACTIONS(4703),
    [anon_sym_STAR] = ACTIONS(4703),
    [anon_sym_PIPE_PIPE] = ACTIONS(4703),
    [anon_sym_AMP_AMP] = ACTIONS(4703),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_SEMI] = ACTIONS(4703),
    [anon_sym___extension__] = ACTIONS(4701),
    [anon_sym_extern] = ACTIONS(4701),
    [anon_sym___attribute__] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(4703),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4703),
    [anon_sym___declspec] = ACTIONS(4701),
    [anon_sym___based] = ACTIONS(4701),
    [anon_sym___cdecl] = ACTIONS(4701),
    [anon_sym___clrcall] = ACTIONS(4701),
    [anon_sym___stdcall] = ACTIONS(4701),
    [anon_sym___fastcall] = ACTIONS(4701),
    [anon_sym___thiscall] = ACTIONS(4701),
    [anon_sym___vectorcall] = ACTIONS(4701),
    [anon_sym_LBRACE] = ACTIONS(4703),
    [anon_sym_signed] = ACTIONS(4701),
    [anon_sym_unsigned] = ACTIONS(4701),
    [anon_sym_long] = ACTIONS(4701),
    [anon_sym_short] = ACTIONS(4701),
    [anon_sym_LBRACK] = ACTIONS(4701),
    [anon_sym_static] = ACTIONS(4701),
    [anon_sym_EQ] = ACTIONS(4703),
    [anon_sym_register] = ACTIONS(4701),
    [anon_sym_inline] = ACTIONS(4701),
    [anon_sym___inline] = ACTIONS(4701),
    [anon_sym___inline__] = ACTIONS(4701),
    [anon_sym___forceinline] = ACTIONS(4701),
    [anon_sym_thread_local] = ACTIONS(4701),
    [anon_sym___thread] = ACTIONS(4701),
    [anon_sym_const] = ACTIONS(4701),
    [anon_sym_constexpr] = ACTIONS(4701),
    [anon_sym_volatile] = ACTIONS(4701),
    [anon_sym_restrict] = ACTIONS(4701),
    [anon_sym___restrict__] = ACTIONS(4701),
    [anon_sym__Atomic] = ACTIONS(4701),
    [anon_sym__Noreturn] = ACTIONS(4701),
    [anon_sym_noreturn] = ACTIONS(4701),
    [anon_sym_mutable] = ACTIONS(4701),
    [anon_sym_constinit] = ACTIONS(4701),
    [anon_sym_consteval] = ACTIONS(4701),
    [anon_sym_alignas] = ACTIONS(4701),
    [anon_sym__Alignas] = ACTIONS(4701),
    [sym_primitive_type] = ACTIONS(4701),
    [anon_sym_enum] = ACTIONS(4701),
    [anon_sym_class] = ACTIONS(4701),
    [anon_sym_struct] = ACTIONS(4701),
    [anon_sym_union] = ACTIONS(4701),
    [anon_sym_or] = ACTIONS(4701),
    [anon_sym_and] = ACTIONS(4701),
    [anon_sym_asm] = ACTIONS(4701),
    [anon_sym___asm__] = ACTIONS(4701),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4701),
    [anon_sym_decltype] = ACTIONS(4701),
    [anon_sym_final] = ACTIONS(4701),
    [anon_sym_override] = ACTIONS(4701),
    [sym_virtual] = ACTIONS(4701),
    [anon_sym_explicit] = ACTIONS(4701),
    [anon_sym_typename] = ACTIONS(4701),
    [anon_sym_template] = ACTIONS(4701),
    [anon_sym_GT2] = ACTIONS(4703),
    [anon_sym_operator] = ACTIONS(4701),
    [anon_sym_try] = ACTIONS(4701),
    [anon_sym_friend] = ACTIONS(4701),
    [anon_sym_using] = ACTIONS(4701),
    [anon_sym_concept] = ACTIONS(4701),
    [anon_sym_requires] = ACTIONS(4701),
  },
  [1560] = {
    [sym_identifier] = ACTIONS(4705),
    [anon_sym_COMMA] = ACTIONS(4707),
    [anon_sym_RPAREN] = ACTIONS(4707),
    [anon_sym_LPAREN2] = ACTIONS(4707),
    [anon_sym_TILDE] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_PIPE_PIPE] = ACTIONS(4707),
    [anon_sym_AMP_AMP] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4705),
    [anon_sym_SEMI] = ACTIONS(4707),
    [anon_sym___extension__] = ACTIONS(4705),
    [anon_sym_extern] = ACTIONS(4705),
    [anon_sym___attribute__] = ACTIONS(4705),
    [anon_sym_COLON_COLON] = ACTIONS(4707),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4707),
    [anon_sym___declspec] = ACTIONS(4705),
    [anon_sym___based] = ACTIONS(4705),
    [anon_sym___cdecl] = ACTIONS(4705),
    [anon_sym___clrcall] = ACTIONS(4705),
    [anon_sym___stdcall] = ACTIONS(4705),
    [anon_sym___fastcall] = ACTIONS(4705),
    [anon_sym___thiscall] = ACTIONS(4705),
    [anon_sym___vectorcall] = ACTIONS(4705),
    [anon_sym_LBRACE] = ACTIONS(4707),
    [anon_sym_signed] = ACTIONS(4705),
    [anon_sym_unsigned] = ACTIONS(4705),
    [anon_sym_long] = ACTIONS(4705),
    [anon_sym_short] = ACTIONS(4705),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_static] = ACTIONS(4705),
    [anon_sym_EQ] = ACTIONS(4707),
    [anon_sym_register] = ACTIONS(4705),
    [anon_sym_inline] = ACTIONS(4705),
    [anon_sym___inline] = ACTIONS(4705),
    [anon_sym___inline__] = ACTIONS(4705),
    [anon_sym___forceinline] = ACTIONS(4705),
    [anon_sym_thread_local] = ACTIONS(4705),
    [anon_sym___thread] = ACTIONS(4705),
    [anon_sym_const] = ACTIONS(4705),
    [anon_sym_constexpr] = ACTIONS(4705),
    [anon_sym_volatile] = ACTIONS(4705),
    [anon_sym_restrict] = ACTIONS(4705),
    [anon_sym___restrict__] = ACTIONS(4705),
    [anon_sym__Atomic] = ACTIONS(4705),
    [anon_sym__Noreturn] = ACTIONS(4705),
    [anon_sym_noreturn] = ACTIONS(4705),
    [anon_sym_mutable] = ACTIONS(4705),
    [anon_sym_constinit] = ACTIONS(4705),
    [anon_sym_consteval] = ACTIONS(4705),
    [anon_sym_alignas] = ACTIONS(4705),
    [anon_sym__Alignas] = ACTIONS(4705),
    [sym_primitive_type] = ACTIONS(4705),
    [anon_sym_enum] = ACTIONS(4705),
    [anon_sym_class] = ACTIONS(4705),
    [anon_sym_struct] = ACTIONS(4705),
    [anon_sym_union] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_asm] = ACTIONS(4705),
    [anon_sym___asm__] = ACTIONS(4705),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4705),
    [anon_sym_decltype] = ACTIONS(4705),
    [anon_sym_final] = ACTIONS(4705),
    [anon_sym_override] = ACTIONS(4705),
    [sym_virtual] = ACTIONS(4705),
    [anon_sym_explicit] = ACTIONS(4705),
    [anon_sym_typename] = ACTIONS(4705),
    [anon_sym_template] = ACTIONS(4705),
    [anon_sym_GT2] = ACTIONS(4707),
    [anon_sym_operator] = ACTIONS(4705),
    [anon_sym_try] = ACTIONS(4705),
    [anon_sym_friend] = ACTIONS(4705),
    [anon_sym_using] = ACTIONS(4705),
    [anon_sym_concept] = ACTIONS(4705),
    [anon_sym_requires] = ACTIONS(4705),
  },
  [1561] = {
    [sym_identifier] = ACTIONS(4709),
    [anon_sym_COMMA] = ACTIONS(4711),
    [anon_sym_RPAREN] = ACTIONS(4711),
    [anon_sym_LPAREN2] = ACTIONS(4711),
    [anon_sym_TILDE] = ACTIONS(4711),
    [anon_sym_STAR] = ACTIONS(4711),
    [anon_sym_PIPE_PIPE] = ACTIONS(4711),
    [anon_sym_AMP_AMP] = ACTIONS(4711),
    [anon_sym_AMP] = ACTIONS(4709),
    [anon_sym_SEMI] = ACTIONS(4711),
    [anon_sym___extension__] = ACTIONS(4709),
    [anon_sym_extern] = ACTIONS(4709),
    [anon_sym___attribute__] = ACTIONS(4709),
    [anon_sym_COLON_COLON] = ACTIONS(4711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4711),
    [anon_sym___declspec] = ACTIONS(4709),
    [anon_sym___based] = ACTIONS(4709),
    [anon_sym___cdecl] = ACTIONS(4709),
    [anon_sym___clrcall] = ACTIONS(4709),
    [anon_sym___stdcall] = ACTIONS(4709),
    [anon_sym___fastcall] = ACTIONS(4709),
    [anon_sym___thiscall] = ACTIONS(4709),
    [anon_sym___vectorcall] = ACTIONS(4709),
    [anon_sym_LBRACE] = ACTIONS(4711),
    [anon_sym_signed] = ACTIONS(4709),
    [anon_sym_unsigned] = ACTIONS(4709),
    [anon_sym_long] = ACTIONS(4709),
    [anon_sym_short] = ACTIONS(4709),
    [anon_sym_LBRACK] = ACTIONS(4709),
    [anon_sym_static] = ACTIONS(4709),
    [anon_sym_EQ] = ACTIONS(4711),
    [anon_sym_register] = ACTIONS(4709),
    [anon_sym_inline] = ACTIONS(4709),
    [anon_sym___inline] = ACTIONS(4709),
    [anon_sym___inline__] = ACTIONS(4709),
    [anon_sym___forceinline] = ACTIONS(4709),
    [anon_sym_thread_local] = ACTIONS(4709),
    [anon_sym___thread] = ACTIONS(4709),
    [anon_sym_const] = ACTIONS(4709),
    [anon_sym_constexpr] = ACTIONS(4709),
    [anon_sym_volatile] = ACTIONS(4709),
    [anon_sym_restrict] = ACTIONS(4709),
    [anon_sym___restrict__] = ACTIONS(4709),
    [anon_sym__Atomic] = ACTIONS(4709),
    [anon_sym__Noreturn] = ACTIONS(4709),
    [anon_sym_noreturn] = ACTIONS(4709),
    [anon_sym_mutable] = ACTIONS(4709),
    [anon_sym_constinit] = ACTIONS(4709),
    [anon_sym_consteval] = ACTIONS(4709),
    [anon_sym_alignas] = ACTIONS(4709),
    [anon_sym__Alignas] = ACTIONS(4709),
    [sym_primitive_type] = ACTIONS(4709),
    [anon_sym_enum] = ACTIONS(4709),
    [anon_sym_class] = ACTIONS(4709),
    [anon_sym_struct] = ACTIONS(4709),
    [anon_sym_union] = ACTIONS(4709),
    [anon_sym_or] = ACTIONS(4709),
    [anon_sym_and] = ACTIONS(4709),
    [anon_sym_asm] = ACTIONS(4709),
    [anon_sym___asm__] = ACTIONS(4709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4709),
    [anon_sym_decltype] = ACTIONS(4709),
    [anon_sym_final] = ACTIONS(4709),
    [anon_sym_override] = ACTIONS(4709),
    [sym_virtual] = ACTIONS(4709),
    [anon_sym_explicit] = ACTIONS(4709),
    [anon_sym_typename] = ACTIONS(4709),
    [anon_sym_template] = ACTIONS(4709),
    [anon_sym_GT2] = ACTIONS(4711),
    [anon_sym_operator] = ACTIONS(4709),
    [anon_sym_try] = ACTIONS(4709),
    [anon_sym_friend] = ACTIONS(4709),
    [anon_sym_using] = ACTIONS(4709),
    [anon_sym_concept] = ACTIONS(4709),
    [anon_sym_requires] = ACTIONS(4709),
  },
  [1562] = {
    [sym_identifier] = ACTIONS(4713),
    [anon_sym_COMMA] = ACTIONS(4715),
    [anon_sym_RPAREN] = ACTIONS(4715),
    [anon_sym_LPAREN2] = ACTIONS(4715),
    [anon_sym_TILDE] = ACTIONS(4715),
    [anon_sym_STAR] = ACTIONS(4715),
    [anon_sym_PIPE_PIPE] = ACTIONS(4715),
    [anon_sym_AMP_AMP] = ACTIONS(4715),
    [anon_sym_AMP] = ACTIONS(4713),
    [anon_sym_SEMI] = ACTIONS(4715),
    [anon_sym___extension__] = ACTIONS(4713),
    [anon_sym_extern] = ACTIONS(4713),
    [anon_sym___attribute__] = ACTIONS(4713),
    [anon_sym_COLON_COLON] = ACTIONS(4715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4715),
    [anon_sym___declspec] = ACTIONS(4713),
    [anon_sym___based] = ACTIONS(4713),
    [anon_sym___cdecl] = ACTIONS(4713),
    [anon_sym___clrcall] = ACTIONS(4713),
    [anon_sym___stdcall] = ACTIONS(4713),
    [anon_sym___fastcall] = ACTIONS(4713),
    [anon_sym___thiscall] = ACTIONS(4713),
    [anon_sym___vectorcall] = ACTIONS(4713),
    [anon_sym_LBRACE] = ACTIONS(4715),
    [anon_sym_signed] = ACTIONS(4713),
    [anon_sym_unsigned] = ACTIONS(4713),
    [anon_sym_long] = ACTIONS(4713),
    [anon_sym_short] = ACTIONS(4713),
    [anon_sym_LBRACK] = ACTIONS(4713),
    [anon_sym_static] = ACTIONS(4713),
    [anon_sym_EQ] = ACTIONS(4715),
    [anon_sym_register] = ACTIONS(4713),
    [anon_sym_inline] = ACTIONS(4713),
    [anon_sym___inline] = ACTIONS(4713),
    [anon_sym___inline__] = ACTIONS(4713),
    [anon_sym___forceinline] = ACTIONS(4713),
    [anon_sym_thread_local] = ACTIONS(4713),
    [anon_sym___thread] = ACTIONS(4713),
    [anon_sym_const] = ACTIONS(4713),
    [anon_sym_constexpr] = ACTIONS(4713),
    [anon_sym_volatile] = ACTIONS(4713),
    [anon_sym_restrict] = ACTIONS(4713),
    [anon_sym___restrict__] = ACTIONS(4713),
    [anon_sym__Atomic] = ACTIONS(4713),
    [anon_sym__Noreturn] = ACTIONS(4713),
    [anon_sym_noreturn] = ACTIONS(4713),
    [anon_sym_mutable] = ACTIONS(4713),
    [anon_sym_constinit] = ACTIONS(4713),
    [anon_sym_consteval] = ACTIONS(4713),
    [anon_sym_alignas] = ACTIONS(4713),
    [anon_sym__Alignas] = ACTIONS(4713),
    [sym_primitive_type] = ACTIONS(4713),
    [anon_sym_enum] = ACTIONS(4713),
    [anon_sym_class] = ACTIONS(4713),
    [anon_sym_struct] = ACTIONS(4713),
    [anon_sym_union] = ACTIONS(4713),
    [anon_sym_or] = ACTIONS(4713),
    [anon_sym_and] = ACTIONS(4713),
    [anon_sym_asm] = ACTIONS(4713),
    [anon_sym___asm__] = ACTIONS(4713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4713),
    [anon_sym_decltype] = ACTIONS(4713),
    [anon_sym_final] = ACTIONS(4713),
    [anon_sym_override] = ACTIONS(4713),
    [sym_virtual] = ACTIONS(4713),
    [anon_sym_explicit] = ACTIONS(4713),
    [anon_sym_typename] = ACTIONS(4713),
    [anon_sym_template] = ACTIONS(4713),
    [anon_sym_GT2] = ACTIONS(4715),
    [anon_sym_operator] = ACTIONS(4713),
    [anon_sym_try] = ACTIONS(4713),
    [anon_sym_friend] = ACTIONS(4713),
    [anon_sym_using] = ACTIONS(4713),
    [anon_sym_concept] = ACTIONS(4713),
    [anon_sym_requires] = ACTIONS(4713),
  },
  [1563] = {
    [sym_identifier] = ACTIONS(4717),
    [anon_sym_COMMA] = ACTIONS(4719),
    [anon_sym_RPAREN] = ACTIONS(4719),
    [anon_sym_LPAREN2] = ACTIONS(4719),
    [anon_sym_TILDE] = ACTIONS(4719),
    [anon_sym_STAR] = ACTIONS(4719),
    [anon_sym_PIPE_PIPE] = ACTIONS(4719),
    [anon_sym_AMP_AMP] = ACTIONS(4719),
    [anon_sym_AMP] = ACTIONS(4717),
    [anon_sym_SEMI] = ACTIONS(4719),
    [anon_sym___extension__] = ACTIONS(4717),
    [anon_sym_extern] = ACTIONS(4717),
    [anon_sym___attribute__] = ACTIONS(4717),
    [anon_sym_COLON_COLON] = ACTIONS(4719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4719),
    [anon_sym___declspec] = ACTIONS(4717),
    [anon_sym___based] = ACTIONS(4717),
    [anon_sym___cdecl] = ACTIONS(4717),
    [anon_sym___clrcall] = ACTIONS(4717),
    [anon_sym___stdcall] = ACTIONS(4717),
    [anon_sym___fastcall] = ACTIONS(4717),
    [anon_sym___thiscall] = ACTIONS(4717),
    [anon_sym___vectorcall] = ACTIONS(4717),
    [anon_sym_LBRACE] = ACTIONS(4719),
    [anon_sym_signed] = ACTIONS(4717),
    [anon_sym_unsigned] = ACTIONS(4717),
    [anon_sym_long] = ACTIONS(4717),
    [anon_sym_short] = ACTIONS(4717),
    [anon_sym_LBRACK] = ACTIONS(4717),
    [anon_sym_static] = ACTIONS(4717),
    [anon_sym_EQ] = ACTIONS(4719),
    [anon_sym_register] = ACTIONS(4717),
    [anon_sym_inline] = ACTIONS(4717),
    [anon_sym___inline] = ACTIONS(4717),
    [anon_sym___inline__] = ACTIONS(4717),
    [anon_sym___forceinline] = ACTIONS(4717),
    [anon_sym_thread_local] = ACTIONS(4717),
    [anon_sym___thread] = ACTIONS(4717),
    [anon_sym_const] = ACTIONS(4717),
    [anon_sym_constexpr] = ACTIONS(4717),
    [anon_sym_volatile] = ACTIONS(4717),
    [anon_sym_restrict] = ACTIONS(4717),
    [anon_sym___restrict__] = ACTIONS(4717),
    [anon_sym__Atomic] = ACTIONS(4717),
    [anon_sym__Noreturn] = ACTIONS(4717),
    [anon_sym_noreturn] = ACTIONS(4717),
    [anon_sym_mutable] = ACTIONS(4717),
    [anon_sym_constinit] = ACTIONS(4717),
    [anon_sym_consteval] = ACTIONS(4717),
    [anon_sym_alignas] = ACTIONS(4717),
    [anon_sym__Alignas] = ACTIONS(4717),
    [sym_primitive_type] = ACTIONS(4717),
    [anon_sym_enum] = ACTIONS(4717),
    [anon_sym_class] = ACTIONS(4717),
    [anon_sym_struct] = ACTIONS(4717),
    [anon_sym_union] = ACTIONS(4717),
    [anon_sym_or] = ACTIONS(4717),
    [anon_sym_and] = ACTIONS(4717),
    [anon_sym_asm] = ACTIONS(4717),
    [anon_sym___asm__] = ACTIONS(4717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4717),
    [anon_sym_decltype] = ACTIONS(4717),
    [anon_sym_final] = ACTIONS(4717),
    [anon_sym_override] = ACTIONS(4717),
    [sym_virtual] = ACTIONS(4717),
    [anon_sym_explicit] = ACTIONS(4717),
    [anon_sym_typename] = ACTIONS(4717),
    [anon_sym_template] = ACTIONS(4717),
    [anon_sym_GT2] = ACTIONS(4719),
    [anon_sym_operator] = ACTIONS(4717),
    [anon_sym_try] = ACTIONS(4717),
    [anon_sym_friend] = ACTIONS(4717),
    [anon_sym_using] = ACTIONS(4717),
    [anon_sym_concept] = ACTIONS(4717),
    [anon_sym_requires] = ACTIONS(4717),
  },
  [1564] = {
    [sym_identifier] = ACTIONS(4721),
    [anon_sym_COMMA] = ACTIONS(4723),
    [anon_sym_RPAREN] = ACTIONS(4723),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_TILDE] = ACTIONS(4723),
    [anon_sym_STAR] = ACTIONS(4723),
    [anon_sym_PIPE_PIPE] = ACTIONS(4723),
    [anon_sym_AMP_AMP] = ACTIONS(4723),
    [anon_sym_AMP] = ACTIONS(4721),
    [anon_sym_SEMI] = ACTIONS(4723),
    [anon_sym___extension__] = ACTIONS(4721),
    [anon_sym_extern] = ACTIONS(4721),
    [anon_sym___attribute__] = ACTIONS(4721),
    [anon_sym_COLON_COLON] = ACTIONS(4723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4723),
    [anon_sym___declspec] = ACTIONS(4721),
    [anon_sym___based] = ACTIONS(4721),
    [anon_sym___cdecl] = ACTIONS(4721),
    [anon_sym___clrcall] = ACTIONS(4721),
    [anon_sym___stdcall] = ACTIONS(4721),
    [anon_sym___fastcall] = ACTIONS(4721),
    [anon_sym___thiscall] = ACTIONS(4721),
    [anon_sym___vectorcall] = ACTIONS(4721),
    [anon_sym_LBRACE] = ACTIONS(4723),
    [anon_sym_signed] = ACTIONS(4721),
    [anon_sym_unsigned] = ACTIONS(4721),
    [anon_sym_long] = ACTIONS(4721),
    [anon_sym_short] = ACTIONS(4721),
    [anon_sym_LBRACK] = ACTIONS(4721),
    [anon_sym_static] = ACTIONS(4721),
    [anon_sym_EQ] = ACTIONS(4723),
    [anon_sym_register] = ACTIONS(4721),
    [anon_sym_inline] = ACTIONS(4721),
    [anon_sym___inline] = ACTIONS(4721),
    [anon_sym___inline__] = ACTIONS(4721),
    [anon_sym___forceinline] = ACTIONS(4721),
    [anon_sym_thread_local] = ACTIONS(4721),
    [anon_sym___thread] = ACTIONS(4721),
    [anon_sym_const] = ACTIONS(4721),
    [anon_sym_constexpr] = ACTIONS(4721),
    [anon_sym_volatile] = ACTIONS(4721),
    [anon_sym_restrict] = ACTIONS(4721),
    [anon_sym___restrict__] = ACTIONS(4721),
    [anon_sym__Atomic] = ACTIONS(4721),
    [anon_sym__Noreturn] = ACTIONS(4721),
    [anon_sym_noreturn] = ACTIONS(4721),
    [anon_sym_mutable] = ACTIONS(4721),
    [anon_sym_constinit] = ACTIONS(4721),
    [anon_sym_consteval] = ACTIONS(4721),
    [anon_sym_alignas] = ACTIONS(4721),
    [anon_sym__Alignas] = ACTIONS(4721),
    [sym_primitive_type] = ACTIONS(4721),
    [anon_sym_enum] = ACTIONS(4721),
    [anon_sym_class] = ACTIONS(4721),
    [anon_sym_struct] = ACTIONS(4721),
    [anon_sym_union] = ACTIONS(4721),
    [anon_sym_or] = ACTIONS(4721),
    [anon_sym_and] = ACTIONS(4721),
    [anon_sym_asm] = ACTIONS(4721),
    [anon_sym___asm__] = ACTIONS(4721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4721),
    [anon_sym_decltype] = ACTIONS(4721),
    [anon_sym_final] = ACTIONS(4721),
    [anon_sym_override] = ACTIONS(4721),
    [sym_virtual] = ACTIONS(4721),
    [anon_sym_explicit] = ACTIONS(4721),
    [anon_sym_typename] = ACTIONS(4721),
    [anon_sym_template] = ACTIONS(4721),
    [anon_sym_GT2] = ACTIONS(4723),
    [anon_sym_operator] = ACTIONS(4721),
    [anon_sym_try] = ACTIONS(4721),
    [anon_sym_friend] = ACTIONS(4721),
    [anon_sym_using] = ACTIONS(4721),
    [anon_sym_concept] = ACTIONS(4721),
    [anon_sym_requires] = ACTIONS(4721),
  },
  [1565] = {
    [sym_identifier] = ACTIONS(4725),
    [anon_sym_COMMA] = ACTIONS(4727),
    [anon_sym_RPAREN] = ACTIONS(4727),
    [anon_sym_LPAREN2] = ACTIONS(4727),
    [anon_sym_TILDE] = ACTIONS(4727),
    [anon_sym_STAR] = ACTIONS(4727),
    [anon_sym_PIPE_PIPE] = ACTIONS(4727),
    [anon_sym_AMP_AMP] = ACTIONS(4727),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_SEMI] = ACTIONS(4727),
    [anon_sym___extension__] = ACTIONS(4725),
    [anon_sym_extern] = ACTIONS(4725),
    [anon_sym___attribute__] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(4727),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4727),
    [anon_sym___declspec] = ACTIONS(4725),
    [anon_sym___based] = ACTIONS(4725),
    [anon_sym___cdecl] = ACTIONS(4725),
    [anon_sym___clrcall] = ACTIONS(4725),
    [anon_sym___stdcall] = ACTIONS(4725),
    [anon_sym___fastcall] = ACTIONS(4725),
    [anon_sym___thiscall] = ACTIONS(4725),
    [anon_sym___vectorcall] = ACTIONS(4725),
    [anon_sym_LBRACE] = ACTIONS(4727),
    [anon_sym_signed] = ACTIONS(4725),
    [anon_sym_unsigned] = ACTIONS(4725),
    [anon_sym_long] = ACTIONS(4725),
    [anon_sym_short] = ACTIONS(4725),
    [anon_sym_LBRACK] = ACTIONS(4725),
    [anon_sym_static] = ACTIONS(4725),
    [anon_sym_EQ] = ACTIONS(4727),
    [anon_sym_register] = ACTIONS(4725),
    [anon_sym_inline] = ACTIONS(4725),
    [anon_sym___inline] = ACTIONS(4725),
    [anon_sym___inline__] = ACTIONS(4725),
    [anon_sym___forceinline] = ACTIONS(4725),
    [anon_sym_thread_local] = ACTIONS(4725),
    [anon_sym___thread] = ACTIONS(4725),
    [anon_sym_const] = ACTIONS(4725),
    [anon_sym_constexpr] = ACTIONS(4725),
    [anon_sym_volatile] = ACTIONS(4725),
    [anon_sym_restrict] = ACTIONS(4725),
    [anon_sym___restrict__] = ACTIONS(4725),
    [anon_sym__Atomic] = ACTIONS(4725),
    [anon_sym__Noreturn] = ACTIONS(4725),
    [anon_sym_noreturn] = ACTIONS(4725),
    [anon_sym_mutable] = ACTIONS(4725),
    [anon_sym_constinit] = ACTIONS(4725),
    [anon_sym_consteval] = ACTIONS(4725),
    [anon_sym_alignas] = ACTIONS(4725),
    [anon_sym__Alignas] = ACTIONS(4725),
    [sym_primitive_type] = ACTIONS(4725),
    [anon_sym_enum] = ACTIONS(4725),
    [anon_sym_class] = ACTIONS(4725),
    [anon_sym_struct] = ACTIONS(4725),
    [anon_sym_union] = ACTIONS(4725),
    [anon_sym_or] = ACTIONS(4725),
    [anon_sym_and] = ACTIONS(4725),
    [anon_sym_asm] = ACTIONS(4725),
    [anon_sym___asm__] = ACTIONS(4725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4725),
    [anon_sym_decltype] = ACTIONS(4725),
    [anon_sym_final] = ACTIONS(4725),
    [anon_sym_override] = ACTIONS(4725),
    [sym_virtual] = ACTIONS(4725),
    [anon_sym_explicit] = ACTIONS(4725),
    [anon_sym_typename] = ACTIONS(4725),
    [anon_sym_template] = ACTIONS(4725),
    [anon_sym_GT2] = ACTIONS(4727),
    [anon_sym_operator] = ACTIONS(4725),
    [anon_sym_try] = ACTIONS(4725),
    [anon_sym_friend] = ACTIONS(4725),
    [anon_sym_using] = ACTIONS(4725),
    [anon_sym_concept] = ACTIONS(4725),
    [anon_sym_requires] = ACTIONS(4725),
  },
  [1566] = {
    [sym_identifier] = ACTIONS(4729),
    [anon_sym_COMMA] = ACTIONS(4731),
    [anon_sym_RPAREN] = ACTIONS(4731),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_TILDE] = ACTIONS(4731),
    [anon_sym_STAR] = ACTIONS(4731),
    [anon_sym_PIPE_PIPE] = ACTIONS(4731),
    [anon_sym_AMP_AMP] = ACTIONS(4731),
    [anon_sym_AMP] = ACTIONS(4729),
    [anon_sym_SEMI] = ACTIONS(4731),
    [anon_sym___extension__] = ACTIONS(4729),
    [anon_sym_extern] = ACTIONS(4729),
    [anon_sym___attribute__] = ACTIONS(4729),
    [anon_sym_COLON_COLON] = ACTIONS(4731),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4731),
    [anon_sym___declspec] = ACTIONS(4729),
    [anon_sym___based] = ACTIONS(4729),
    [anon_sym___cdecl] = ACTIONS(4729),
    [anon_sym___clrcall] = ACTIONS(4729),
    [anon_sym___stdcall] = ACTIONS(4729),
    [anon_sym___fastcall] = ACTIONS(4729),
    [anon_sym___thiscall] = ACTIONS(4729),
    [anon_sym___vectorcall] = ACTIONS(4729),
    [anon_sym_LBRACE] = ACTIONS(4731),
    [anon_sym_signed] = ACTIONS(4729),
    [anon_sym_unsigned] = ACTIONS(4729),
    [anon_sym_long] = ACTIONS(4729),
    [anon_sym_short] = ACTIONS(4729),
    [anon_sym_LBRACK] = ACTIONS(4729),
    [anon_sym_static] = ACTIONS(4729),
    [anon_sym_EQ] = ACTIONS(4731),
    [anon_sym_register] = ACTIONS(4729),
    [anon_sym_inline] = ACTIONS(4729),
    [anon_sym___inline] = ACTIONS(4729),
    [anon_sym___inline__] = ACTIONS(4729),
    [anon_sym___forceinline] = ACTIONS(4729),
    [anon_sym_thread_local] = ACTIONS(4729),
    [anon_sym___thread] = ACTIONS(4729),
    [anon_sym_const] = ACTIONS(4729),
    [anon_sym_constexpr] = ACTIONS(4729),
    [anon_sym_volatile] = ACTIONS(4729),
    [anon_sym_restrict] = ACTIONS(4729),
    [anon_sym___restrict__] = ACTIONS(4729),
    [anon_sym__Atomic] = ACTIONS(4729),
    [anon_sym__Noreturn] = ACTIONS(4729),
    [anon_sym_noreturn] = ACTIONS(4729),
    [anon_sym_mutable] = ACTIONS(4729),
    [anon_sym_constinit] = ACTIONS(4729),
    [anon_sym_consteval] = ACTIONS(4729),
    [anon_sym_alignas] = ACTIONS(4729),
    [anon_sym__Alignas] = ACTIONS(4729),
    [sym_primitive_type] = ACTIONS(4729),
    [anon_sym_enum] = ACTIONS(4729),
    [anon_sym_class] = ACTIONS(4729),
    [anon_sym_struct] = ACTIONS(4729),
    [anon_sym_union] = ACTIONS(4729),
    [anon_sym_or] = ACTIONS(4729),
    [anon_sym_and] = ACTIONS(4729),
    [anon_sym_asm] = ACTIONS(4729),
    [anon_sym___asm__] = ACTIONS(4729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4729),
    [anon_sym_decltype] = ACTIONS(4729),
    [anon_sym_final] = ACTIONS(4729),
    [anon_sym_override] = ACTIONS(4729),
    [sym_virtual] = ACTIONS(4729),
    [anon_sym_explicit] = ACTIONS(4729),
    [anon_sym_typename] = ACTIONS(4729),
    [anon_sym_template] = ACTIONS(4729),
    [anon_sym_GT2] = ACTIONS(4731),
    [anon_sym_operator] = ACTIONS(4729),
    [anon_sym_try] = ACTIONS(4729),
    [anon_sym_friend] = ACTIONS(4729),
    [anon_sym_using] = ACTIONS(4729),
    [anon_sym_concept] = ACTIONS(4729),
    [anon_sym_requires] = ACTIONS(4729),
  },
  [1567] = {
    [sym_identifier] = ACTIONS(4733),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_RPAREN] = ACTIONS(4735),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_TILDE] = ACTIONS(4735),
    [anon_sym_STAR] = ACTIONS(4735),
    [anon_sym_PIPE_PIPE] = ACTIONS(4735),
    [anon_sym_AMP_AMP] = ACTIONS(4735),
    [anon_sym_AMP] = ACTIONS(4733),
    [anon_sym_SEMI] = ACTIONS(4735),
    [anon_sym___extension__] = ACTIONS(4733),
    [anon_sym_extern] = ACTIONS(4733),
    [anon_sym___attribute__] = ACTIONS(4733),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4735),
    [anon_sym___declspec] = ACTIONS(4733),
    [anon_sym___based] = ACTIONS(4733),
    [anon_sym___cdecl] = ACTIONS(4733),
    [anon_sym___clrcall] = ACTIONS(4733),
    [anon_sym___stdcall] = ACTIONS(4733),
    [anon_sym___fastcall] = ACTIONS(4733),
    [anon_sym___thiscall] = ACTIONS(4733),
    [anon_sym___vectorcall] = ACTIONS(4733),
    [anon_sym_LBRACE] = ACTIONS(4735),
    [anon_sym_signed] = ACTIONS(4733),
    [anon_sym_unsigned] = ACTIONS(4733),
    [anon_sym_long] = ACTIONS(4733),
    [anon_sym_short] = ACTIONS(4733),
    [anon_sym_LBRACK] = ACTIONS(4733),
    [anon_sym_static] = ACTIONS(4733),
    [anon_sym_EQ] = ACTIONS(4735),
    [anon_sym_register] = ACTIONS(4733),
    [anon_sym_inline] = ACTIONS(4733),
    [anon_sym___inline] = ACTIONS(4733),
    [anon_sym___inline__] = ACTIONS(4733),
    [anon_sym___forceinline] = ACTIONS(4733),
    [anon_sym_thread_local] = ACTIONS(4733),
    [anon_sym___thread] = ACTIONS(4733),
    [anon_sym_const] = ACTIONS(4733),
    [anon_sym_constexpr] = ACTIONS(4733),
    [anon_sym_volatile] = ACTIONS(4733),
    [anon_sym_restrict] = ACTIONS(4733),
    [anon_sym___restrict__] = ACTIONS(4733),
    [anon_sym__Atomic] = ACTIONS(4733),
    [anon_sym__Noreturn] = ACTIONS(4733),
    [anon_sym_noreturn] = ACTIONS(4733),
    [anon_sym_mutable] = ACTIONS(4733),
    [anon_sym_constinit] = ACTIONS(4733),
    [anon_sym_consteval] = ACTIONS(4733),
    [anon_sym_alignas] = ACTIONS(4733),
    [anon_sym__Alignas] = ACTIONS(4733),
    [sym_primitive_type] = ACTIONS(4733),
    [anon_sym_enum] = ACTIONS(4733),
    [anon_sym_class] = ACTIONS(4733),
    [anon_sym_struct] = ACTIONS(4733),
    [anon_sym_union] = ACTIONS(4733),
    [anon_sym_or] = ACTIONS(4733),
    [anon_sym_and] = ACTIONS(4733),
    [anon_sym_asm] = ACTIONS(4733),
    [anon_sym___asm__] = ACTIONS(4733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4733),
    [anon_sym_decltype] = ACTIONS(4733),
    [anon_sym_final] = ACTIONS(4733),
    [anon_sym_override] = ACTIONS(4733),
    [sym_virtual] = ACTIONS(4733),
    [anon_sym_explicit] = ACTIONS(4733),
    [anon_sym_typename] = ACTIONS(4733),
    [anon_sym_template] = ACTIONS(4733),
    [anon_sym_GT2] = ACTIONS(4735),
    [anon_sym_operator] = ACTIONS(4733),
    [anon_sym_try] = ACTIONS(4733),
    [anon_sym_friend] = ACTIONS(4733),
    [anon_sym_using] = ACTIONS(4733),
    [anon_sym_concept] = ACTIONS(4733),
    [anon_sym_requires] = ACTIONS(4733),
  },
  [1568] = {
    [sym_identifier] = ACTIONS(4737),
    [anon_sym_COMMA] = ACTIONS(4739),
    [anon_sym_RPAREN] = ACTIONS(4739),
    [anon_sym_LPAREN2] = ACTIONS(4739),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_STAR] = ACTIONS(4739),
    [anon_sym_PIPE_PIPE] = ACTIONS(4739),
    [anon_sym_AMP_AMP] = ACTIONS(4739),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_SEMI] = ACTIONS(4739),
    [anon_sym___extension__] = ACTIONS(4737),
    [anon_sym_extern] = ACTIONS(4737),
    [anon_sym___attribute__] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(4739),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4739),
    [anon_sym___declspec] = ACTIONS(4737),
    [anon_sym___based] = ACTIONS(4737),
    [anon_sym___cdecl] = ACTIONS(4737),
    [anon_sym___clrcall] = ACTIONS(4737),
    [anon_sym___stdcall] = ACTIONS(4737),
    [anon_sym___fastcall] = ACTIONS(4737),
    [anon_sym___thiscall] = ACTIONS(4737),
    [anon_sym___vectorcall] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(4739),
    [anon_sym_signed] = ACTIONS(4737),
    [anon_sym_unsigned] = ACTIONS(4737),
    [anon_sym_long] = ACTIONS(4737),
    [anon_sym_short] = ACTIONS(4737),
    [anon_sym_LBRACK] = ACTIONS(4737),
    [anon_sym_static] = ACTIONS(4737),
    [anon_sym_EQ] = ACTIONS(4739),
    [anon_sym_register] = ACTIONS(4737),
    [anon_sym_inline] = ACTIONS(4737),
    [anon_sym___inline] = ACTIONS(4737),
    [anon_sym___inline__] = ACTIONS(4737),
    [anon_sym___forceinline] = ACTIONS(4737),
    [anon_sym_thread_local] = ACTIONS(4737),
    [anon_sym___thread] = ACTIONS(4737),
    [anon_sym_const] = ACTIONS(4737),
    [anon_sym_constexpr] = ACTIONS(4737),
    [anon_sym_volatile] = ACTIONS(4737),
    [anon_sym_restrict] = ACTIONS(4737),
    [anon_sym___restrict__] = ACTIONS(4737),
    [anon_sym__Atomic] = ACTIONS(4737),
    [anon_sym__Noreturn] = ACTIONS(4737),
    [anon_sym_noreturn] = ACTIONS(4737),
    [anon_sym_mutable] = ACTIONS(4737),
    [anon_sym_constinit] = ACTIONS(4737),
    [anon_sym_consteval] = ACTIONS(4737),
    [anon_sym_alignas] = ACTIONS(4737),
    [anon_sym__Alignas] = ACTIONS(4737),
    [sym_primitive_type] = ACTIONS(4737),
    [anon_sym_enum] = ACTIONS(4737),
    [anon_sym_class] = ACTIONS(4737),
    [anon_sym_struct] = ACTIONS(4737),
    [anon_sym_union] = ACTIONS(4737),
    [anon_sym_or] = ACTIONS(4737),
    [anon_sym_and] = ACTIONS(4737),
    [anon_sym_asm] = ACTIONS(4737),
    [anon_sym___asm__] = ACTIONS(4737),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4737),
    [anon_sym_decltype] = ACTIONS(4737),
    [anon_sym_final] = ACTIONS(4737),
    [anon_sym_override] = ACTIONS(4737),
    [sym_virtual] = ACTIONS(4737),
    [anon_sym_explicit] = ACTIONS(4737),
    [anon_sym_typename] = ACTIONS(4737),
    [anon_sym_template] = ACTIONS(4737),
    [anon_sym_GT2] = ACTIONS(4739),
    [anon_sym_operator] = ACTIONS(4737),
    [anon_sym_try] = ACTIONS(4737),
    [anon_sym_friend] = ACTIONS(4737),
    [anon_sym_using] = ACTIONS(4737),
    [anon_sym_concept] = ACTIONS(4737),
    [anon_sym_requires] = ACTIONS(4737),
  },
  [1569] = {
    [sym_identifier] = ACTIONS(4741),
    [anon_sym_COMMA] = ACTIONS(4743),
    [anon_sym_RPAREN] = ACTIONS(4743),
    [anon_sym_LPAREN2] = ACTIONS(4743),
    [anon_sym_TILDE] = ACTIONS(4743),
    [anon_sym_STAR] = ACTIONS(4743),
    [anon_sym_PIPE_PIPE] = ACTIONS(4743),
    [anon_sym_AMP_AMP] = ACTIONS(4743),
    [anon_sym_AMP] = ACTIONS(4741),
    [anon_sym_SEMI] = ACTIONS(4743),
    [anon_sym___extension__] = ACTIONS(4741),
    [anon_sym_extern] = ACTIONS(4741),
    [anon_sym___attribute__] = ACTIONS(4741),
    [anon_sym_COLON_COLON] = ACTIONS(4743),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4743),
    [anon_sym___declspec] = ACTIONS(4741),
    [anon_sym___based] = ACTIONS(4741),
    [anon_sym___cdecl] = ACTIONS(4741),
    [anon_sym___clrcall] = ACTIONS(4741),
    [anon_sym___stdcall] = ACTIONS(4741),
    [anon_sym___fastcall] = ACTIONS(4741),
    [anon_sym___thiscall] = ACTIONS(4741),
    [anon_sym___vectorcall] = ACTIONS(4741),
    [anon_sym_LBRACE] = ACTIONS(4743),
    [anon_sym_signed] = ACTIONS(4741),
    [anon_sym_unsigned] = ACTIONS(4741),
    [anon_sym_long] = ACTIONS(4741),
    [anon_sym_short] = ACTIONS(4741),
    [anon_sym_LBRACK] = ACTIONS(4741),
    [anon_sym_static] = ACTIONS(4741),
    [anon_sym_EQ] = ACTIONS(4743),
    [anon_sym_register] = ACTIONS(4741),
    [anon_sym_inline] = ACTIONS(4741),
    [anon_sym___inline] = ACTIONS(4741),
    [anon_sym___inline__] = ACTIONS(4741),
    [anon_sym___forceinline] = ACTIONS(4741),
    [anon_sym_thread_local] = ACTIONS(4741),
    [anon_sym___thread] = ACTIONS(4741),
    [anon_sym_const] = ACTIONS(4741),
    [anon_sym_constexpr] = ACTIONS(4741),
    [anon_sym_volatile] = ACTIONS(4741),
    [anon_sym_restrict] = ACTIONS(4741),
    [anon_sym___restrict__] = ACTIONS(4741),
    [anon_sym__Atomic] = ACTIONS(4741),
    [anon_sym__Noreturn] = ACTIONS(4741),
    [anon_sym_noreturn] = ACTIONS(4741),
    [anon_sym_mutable] = ACTIONS(4741),
    [anon_sym_constinit] = ACTIONS(4741),
    [anon_sym_consteval] = ACTIONS(4741),
    [anon_sym_alignas] = ACTIONS(4741),
    [anon_sym__Alignas] = ACTIONS(4741),
    [sym_primitive_type] = ACTIONS(4741),
    [anon_sym_enum] = ACTIONS(4741),
    [anon_sym_class] = ACTIONS(4741),
    [anon_sym_struct] = ACTIONS(4741),
    [anon_sym_union] = ACTIONS(4741),
    [anon_sym_or] = ACTIONS(4741),
    [anon_sym_and] = ACTIONS(4741),
    [anon_sym_asm] = ACTIONS(4741),
    [anon_sym___asm__] = ACTIONS(4741),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4741),
    [anon_sym_decltype] = ACTIONS(4741),
    [anon_sym_final] = ACTIONS(4741),
    [anon_sym_override] = ACTIONS(4741),
    [sym_virtual] = ACTIONS(4741),
    [anon_sym_explicit] = ACTIONS(4741),
    [anon_sym_typename] = ACTIONS(4741),
    [anon_sym_template] = ACTIONS(4741),
    [anon_sym_GT2] = ACTIONS(4743),
    [anon_sym_operator] = ACTIONS(4741),
    [anon_sym_try] = ACTIONS(4741),
    [anon_sym_friend] = ACTIONS(4741),
    [anon_sym_using] = ACTIONS(4741),
    [anon_sym_concept] = ACTIONS(4741),
    [anon_sym_requires] = ACTIONS(4741),
  },
  [1570] = {
    [sym_identifier] = ACTIONS(4745),
    [anon_sym_COMMA] = ACTIONS(4747),
    [anon_sym_RPAREN] = ACTIONS(4747),
    [anon_sym_LPAREN2] = ACTIONS(4747),
    [anon_sym_TILDE] = ACTIONS(4747),
    [anon_sym_STAR] = ACTIONS(4747),
    [anon_sym_PIPE_PIPE] = ACTIONS(4747),
    [anon_sym_AMP_AMP] = ACTIONS(4747),
    [anon_sym_AMP] = ACTIONS(4745),
    [anon_sym_SEMI] = ACTIONS(4747),
    [anon_sym___extension__] = ACTIONS(4745),
    [anon_sym_extern] = ACTIONS(4745),
    [anon_sym___attribute__] = ACTIONS(4745),
    [anon_sym_COLON_COLON] = ACTIONS(4747),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4747),
    [anon_sym___declspec] = ACTIONS(4745),
    [anon_sym___based] = ACTIONS(4745),
    [anon_sym___cdecl] = ACTIONS(4745),
    [anon_sym___clrcall] = ACTIONS(4745),
    [anon_sym___stdcall] = ACTIONS(4745),
    [anon_sym___fastcall] = ACTIONS(4745),
    [anon_sym___thiscall] = ACTIONS(4745),
    [anon_sym___vectorcall] = ACTIONS(4745),
    [anon_sym_LBRACE] = ACTIONS(4747),
    [anon_sym_signed] = ACTIONS(4745),
    [anon_sym_unsigned] = ACTIONS(4745),
    [anon_sym_long] = ACTIONS(4745),
    [anon_sym_short] = ACTIONS(4745),
    [anon_sym_LBRACK] = ACTIONS(4745),
    [anon_sym_static] = ACTIONS(4745),
    [anon_sym_EQ] = ACTIONS(4747),
    [anon_sym_register] = ACTIONS(4745),
    [anon_sym_inline] = ACTIONS(4745),
    [anon_sym___inline] = ACTIONS(4745),
    [anon_sym___inline__] = ACTIONS(4745),
    [anon_sym___forceinline] = ACTIONS(4745),
    [anon_sym_thread_local] = ACTIONS(4745),
    [anon_sym___thread] = ACTIONS(4745),
    [anon_sym_const] = ACTIONS(4745),
    [anon_sym_constexpr] = ACTIONS(4745),
    [anon_sym_volatile] = ACTIONS(4745),
    [anon_sym_restrict] = ACTIONS(4745),
    [anon_sym___restrict__] = ACTIONS(4745),
    [anon_sym__Atomic] = ACTIONS(4745),
    [anon_sym__Noreturn] = ACTIONS(4745),
    [anon_sym_noreturn] = ACTIONS(4745),
    [anon_sym_mutable] = ACTIONS(4745),
    [anon_sym_constinit] = ACTIONS(4745),
    [anon_sym_consteval] = ACTIONS(4745),
    [anon_sym_alignas] = ACTIONS(4745),
    [anon_sym__Alignas] = ACTIONS(4745),
    [sym_primitive_type] = ACTIONS(4745),
    [anon_sym_enum] = ACTIONS(4745),
    [anon_sym_class] = ACTIONS(4745),
    [anon_sym_struct] = ACTIONS(4745),
    [anon_sym_union] = ACTIONS(4745),
    [anon_sym_or] = ACTIONS(4745),
    [anon_sym_and] = ACTIONS(4745),
    [anon_sym_asm] = ACTIONS(4745),
    [anon_sym___asm__] = ACTIONS(4745),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4745),
    [anon_sym_decltype] = ACTIONS(4745),
    [anon_sym_final] = ACTIONS(4745),
    [anon_sym_override] = ACTIONS(4745),
    [sym_virtual] = ACTIONS(4745),
    [anon_sym_explicit] = ACTIONS(4745),
    [anon_sym_typename] = ACTIONS(4745),
    [anon_sym_template] = ACTIONS(4745),
    [anon_sym_GT2] = ACTIONS(4747),
    [anon_sym_operator] = ACTIONS(4745),
    [anon_sym_try] = ACTIONS(4745),
    [anon_sym_friend] = ACTIONS(4745),
    [anon_sym_using] = ACTIONS(4745),
    [anon_sym_concept] = ACTIONS(4745),
    [anon_sym_requires] = ACTIONS(4745),
  },
  [1571] = {
    [sym_identifier] = ACTIONS(4749),
    [anon_sym_COMMA] = ACTIONS(4751),
    [anon_sym_RPAREN] = ACTIONS(4751),
    [anon_sym_LPAREN2] = ACTIONS(4751),
    [anon_sym_TILDE] = ACTIONS(4751),
    [anon_sym_STAR] = ACTIONS(4751),
    [anon_sym_PIPE_PIPE] = ACTIONS(4751),
    [anon_sym_AMP_AMP] = ACTIONS(4751),
    [anon_sym_AMP] = ACTIONS(4749),
    [anon_sym_SEMI] = ACTIONS(4751),
    [anon_sym___extension__] = ACTIONS(4749),
    [anon_sym_extern] = ACTIONS(4749),
    [anon_sym___attribute__] = ACTIONS(4749),
    [anon_sym_COLON_COLON] = ACTIONS(4751),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4751),
    [anon_sym___declspec] = ACTIONS(4749),
    [anon_sym___based] = ACTIONS(4749),
    [anon_sym___cdecl] = ACTIONS(4749),
    [anon_sym___clrcall] = ACTIONS(4749),
    [anon_sym___stdcall] = ACTIONS(4749),
    [anon_sym___fastcall] = ACTIONS(4749),
    [anon_sym___thiscall] = ACTIONS(4749),
    [anon_sym___vectorcall] = ACTIONS(4749),
    [anon_sym_LBRACE] = ACTIONS(4751),
    [anon_sym_signed] = ACTIONS(4749),
    [anon_sym_unsigned] = ACTIONS(4749),
    [anon_sym_long] = ACTIONS(4749),
    [anon_sym_short] = ACTIONS(4749),
    [anon_sym_LBRACK] = ACTIONS(4749),
    [anon_sym_static] = ACTIONS(4749),
    [anon_sym_EQ] = ACTIONS(4751),
    [anon_sym_register] = ACTIONS(4749),
    [anon_sym_inline] = ACTIONS(4749),
    [anon_sym___inline] = ACTIONS(4749),
    [anon_sym___inline__] = ACTIONS(4749),
    [anon_sym___forceinline] = ACTIONS(4749),
    [anon_sym_thread_local] = ACTIONS(4749),
    [anon_sym___thread] = ACTIONS(4749),
    [anon_sym_const] = ACTIONS(4749),
    [anon_sym_constexpr] = ACTIONS(4749),
    [anon_sym_volatile] = ACTIONS(4749),
    [anon_sym_restrict] = ACTIONS(4749),
    [anon_sym___restrict__] = ACTIONS(4749),
    [anon_sym__Atomic] = ACTIONS(4749),
    [anon_sym__Noreturn] = ACTIONS(4749),
    [anon_sym_noreturn] = ACTIONS(4749),
    [anon_sym_mutable] = ACTIONS(4749),
    [anon_sym_constinit] = ACTIONS(4749),
    [anon_sym_consteval] = ACTIONS(4749),
    [anon_sym_alignas] = ACTIONS(4749),
    [anon_sym__Alignas] = ACTIONS(4749),
    [sym_primitive_type] = ACTIONS(4749),
    [anon_sym_enum] = ACTIONS(4749),
    [anon_sym_class] = ACTIONS(4749),
    [anon_sym_struct] = ACTIONS(4749),
    [anon_sym_union] = ACTIONS(4749),
    [anon_sym_or] = ACTIONS(4749),
    [anon_sym_and] = ACTIONS(4749),
    [anon_sym_asm] = ACTIONS(4749),
    [anon_sym___asm__] = ACTIONS(4749),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4749),
    [anon_sym_decltype] = ACTIONS(4749),
    [anon_sym_final] = ACTIONS(4749),
    [anon_sym_override] = ACTIONS(4749),
    [sym_virtual] = ACTIONS(4749),
    [anon_sym_explicit] = ACTIONS(4749),
    [anon_sym_typename] = ACTIONS(4749),
    [anon_sym_template] = ACTIONS(4749),
    [anon_sym_GT2] = ACTIONS(4751),
    [anon_sym_operator] = ACTIONS(4749),
    [anon_sym_try] = ACTIONS(4749),
    [anon_sym_friend] = ACTIONS(4749),
    [anon_sym_using] = ACTIONS(4749),
    [anon_sym_concept] = ACTIONS(4749),
    [anon_sym_requires] = ACTIONS(4749),
  },
  [1572] = {
    [sym_identifier] = ACTIONS(4705),
    [anon_sym_COMMA] = ACTIONS(4707),
    [anon_sym_RPAREN] = ACTIONS(4707),
    [anon_sym_LPAREN2] = ACTIONS(4707),
    [anon_sym_TILDE] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_PIPE_PIPE] = ACTIONS(4707),
    [anon_sym_AMP_AMP] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4705),
    [anon_sym_SEMI] = ACTIONS(4707),
    [anon_sym___extension__] = ACTIONS(4705),
    [anon_sym_extern] = ACTIONS(4705),
    [anon_sym___attribute__] = ACTIONS(4705),
    [anon_sym_COLON_COLON] = ACTIONS(4707),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4707),
    [anon_sym___declspec] = ACTIONS(4705),
    [anon_sym___based] = ACTIONS(4705),
    [anon_sym___cdecl] = ACTIONS(4705),
    [anon_sym___clrcall] = ACTIONS(4705),
    [anon_sym___stdcall] = ACTIONS(4705),
    [anon_sym___fastcall] = ACTIONS(4705),
    [anon_sym___thiscall] = ACTIONS(4705),
    [anon_sym___vectorcall] = ACTIONS(4705),
    [anon_sym_LBRACE] = ACTIONS(4707),
    [anon_sym_signed] = ACTIONS(4705),
    [anon_sym_unsigned] = ACTIONS(4705),
    [anon_sym_long] = ACTIONS(4705),
    [anon_sym_short] = ACTIONS(4705),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_static] = ACTIONS(4705),
    [anon_sym_EQ] = ACTIONS(4707),
    [anon_sym_register] = ACTIONS(4705),
    [anon_sym_inline] = ACTIONS(4705),
    [anon_sym___inline] = ACTIONS(4705),
    [anon_sym___inline__] = ACTIONS(4705),
    [anon_sym___forceinline] = ACTIONS(4705),
    [anon_sym_thread_local] = ACTIONS(4705),
    [anon_sym___thread] = ACTIONS(4705),
    [anon_sym_const] = ACTIONS(4705),
    [anon_sym_constexpr] = ACTIONS(4705),
    [anon_sym_volatile] = ACTIONS(4705),
    [anon_sym_restrict] = ACTIONS(4705),
    [anon_sym___restrict__] = ACTIONS(4705),
    [anon_sym__Atomic] = ACTIONS(4705),
    [anon_sym__Noreturn] = ACTIONS(4705),
    [anon_sym_noreturn] = ACTIONS(4705),
    [anon_sym_mutable] = ACTIONS(4705),
    [anon_sym_constinit] = ACTIONS(4705),
    [anon_sym_consteval] = ACTIONS(4705),
    [anon_sym_alignas] = ACTIONS(4705),
    [anon_sym__Alignas] = ACTIONS(4705),
    [sym_primitive_type] = ACTIONS(4705),
    [anon_sym_enum] = ACTIONS(4705),
    [anon_sym_class] = ACTIONS(4705),
    [anon_sym_struct] = ACTIONS(4705),
    [anon_sym_union] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_asm] = ACTIONS(4705),
    [anon_sym___asm__] = ACTIONS(4705),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4705),
    [anon_sym_decltype] = ACTIONS(4705),
    [anon_sym_final] = ACTIONS(4705),
    [anon_sym_override] = ACTIONS(4705),
    [sym_virtual] = ACTIONS(4705),
    [anon_sym_explicit] = ACTIONS(4705),
    [anon_sym_typename] = ACTIONS(4705),
    [anon_sym_template] = ACTIONS(4705),
    [anon_sym_GT2] = ACTIONS(4707),
    [anon_sym_operator] = ACTIONS(4705),
    [anon_sym_try] = ACTIONS(4705),
    [anon_sym_friend] = ACTIONS(4705),
    [anon_sym_using] = ACTIONS(4705),
    [anon_sym_concept] = ACTIONS(4705),
    [anon_sym_requires] = ACTIONS(4705),
  },
  [1573] = {
    [sym_string_literal] = STATE(1576),
    [sym_template_argument_list] = STATE(2204),
    [sym_raw_string_literal] = STATE(1576),
    [sym_identifier] = ACTIONS(3778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(3770),
    [aux_sym_preproc_else_token1] = ACTIONS(3770),
    [aux_sym_preproc_elif_token1] = ACTIONS(3778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4753),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_RBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_COLON] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3778),
    [anon_sym_or_eq] = ACTIONS(3778),
    [anon_sym_xor_eq] = ACTIONS(3778),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
  },
  [1574] = {
    [sym_identifier] = ACTIONS(4705),
    [anon_sym_COMMA] = ACTIONS(4707),
    [anon_sym_RPAREN] = ACTIONS(4707),
    [anon_sym_LPAREN2] = ACTIONS(4707),
    [anon_sym_TILDE] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_PIPE_PIPE] = ACTIONS(4707),
    [anon_sym_AMP_AMP] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4705),
    [anon_sym_SEMI] = ACTIONS(4707),
    [anon_sym___extension__] = ACTIONS(4705),
    [anon_sym_extern] = ACTIONS(4705),
    [anon_sym___attribute__] = ACTIONS(4705),
    [anon_sym_COLON_COLON] = ACTIONS(4707),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4707),
    [anon_sym___declspec] = ACTIONS(4705),
    [anon_sym___based] = ACTIONS(4705),
    [anon_sym___cdecl] = ACTIONS(4705),
    [anon_sym___clrcall] = ACTIONS(4705),
    [anon_sym___stdcall] = ACTIONS(4705),
    [anon_sym___fastcall] = ACTIONS(4705),
    [anon_sym___thiscall] = ACTIONS(4705),
    [anon_sym___vectorcall] = ACTIONS(4705),
    [anon_sym_LBRACE] = ACTIONS(4707),
    [anon_sym_signed] = ACTIONS(4705),
    [anon_sym_unsigned] = ACTIONS(4705),
    [anon_sym_long] = ACTIONS(4705),
    [anon_sym_short] = ACTIONS(4705),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_static] = ACTIONS(4705),
    [anon_sym_EQ] = ACTIONS(4707),
    [anon_sym_register] = ACTIONS(4705),
    [anon_sym_inline] = ACTIONS(4705),
    [anon_sym___inline] = ACTIONS(4705),
    [anon_sym___inline__] = ACTIONS(4705),
    [anon_sym___forceinline] = ACTIONS(4705),
    [anon_sym_thread_local] = ACTIONS(4705),
    [anon_sym___thread] = ACTIONS(4705),
    [anon_sym_const] = ACTIONS(4705),
    [anon_sym_constexpr] = ACTIONS(4705),
    [anon_sym_volatile] = ACTIONS(4705),
    [anon_sym_restrict] = ACTIONS(4705),
    [anon_sym___restrict__] = ACTIONS(4705),
    [anon_sym__Atomic] = ACTIONS(4705),
    [anon_sym__Noreturn] = ACTIONS(4705),
    [anon_sym_noreturn] = ACTIONS(4705),
    [anon_sym_mutable] = ACTIONS(4705),
    [anon_sym_constinit] = ACTIONS(4705),
    [anon_sym_consteval] = ACTIONS(4705),
    [anon_sym_alignas] = ACTIONS(4705),
    [anon_sym__Alignas] = ACTIONS(4705),
    [sym_primitive_type] = ACTIONS(4705),
    [anon_sym_enum] = ACTIONS(4705),
    [anon_sym_class] = ACTIONS(4705),
    [anon_sym_struct] = ACTIONS(4705),
    [anon_sym_union] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_asm] = ACTIONS(4705),
    [anon_sym___asm__] = ACTIONS(4705),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4705),
    [anon_sym_decltype] = ACTIONS(4705),
    [anon_sym_final] = ACTIONS(4705),
    [anon_sym_override] = ACTIONS(4705),
    [sym_virtual] = ACTIONS(4705),
    [anon_sym_explicit] = ACTIONS(4705),
    [anon_sym_typename] = ACTIONS(4705),
    [anon_sym_template] = ACTIONS(4705),
    [anon_sym_GT2] = ACTIONS(4707),
    [anon_sym_operator] = ACTIONS(4705),
    [anon_sym_try] = ACTIONS(4705),
    [anon_sym_friend] = ACTIONS(4705),
    [anon_sym_using] = ACTIONS(4705),
    [anon_sym_concept] = ACTIONS(4705),
    [anon_sym_requires] = ACTIONS(4705),
  },
  [1575] = {
    [sym_string_literal] = STATE(1578),
    [sym_raw_string_literal] = STATE(1578),
    [aux_sym_concatenated_string_repeat1] = STATE(1578),
    [sym_identifier] = ACTIONS(4756),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4758),
    [anon_sym_COMMA] = ACTIONS(4758),
    [anon_sym_RPAREN] = ACTIONS(4758),
    [aux_sym_preproc_if_token2] = ACTIONS(4758),
    [aux_sym_preproc_else_token1] = ACTIONS(4758),
    [aux_sym_preproc_elif_token1] = ACTIONS(4760),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4758),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4758),
    [anon_sym_LPAREN2] = ACTIONS(4758),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_STAR] = ACTIONS(4760),
    [anon_sym_SLASH] = ACTIONS(4760),
    [anon_sym_PERCENT] = ACTIONS(4760),
    [anon_sym_PIPE_PIPE] = ACTIONS(4758),
    [anon_sym_AMP_AMP] = ACTIONS(4758),
    [anon_sym_PIPE] = ACTIONS(4760),
    [anon_sym_CARET] = ACTIONS(4760),
    [anon_sym_AMP] = ACTIONS(4760),
    [anon_sym_EQ_EQ] = ACTIONS(4758),
    [anon_sym_BANG_EQ] = ACTIONS(4758),
    [anon_sym_GT] = ACTIONS(4760),
    [anon_sym_GT_EQ] = ACTIONS(4758),
    [anon_sym_LT_EQ] = ACTIONS(4760),
    [anon_sym_LT] = ACTIONS(4760),
    [anon_sym_LT_LT] = ACTIONS(4760),
    [anon_sym_GT_GT] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4758),
    [anon_sym_RBRACE] = ACTIONS(4758),
    [anon_sym_LBRACK] = ACTIONS(4758),
    [anon_sym_RBRACK] = ACTIONS(4758),
    [anon_sym_EQ] = ACTIONS(4760),
    [anon_sym_COLON] = ACTIONS(4758),
    [anon_sym_QMARK] = ACTIONS(4758),
    [anon_sym_STAR_EQ] = ACTIONS(4758),
    [anon_sym_SLASH_EQ] = ACTIONS(4758),
    [anon_sym_PERCENT_EQ] = ACTIONS(4758),
    [anon_sym_PLUS_EQ] = ACTIONS(4758),
    [anon_sym_DASH_EQ] = ACTIONS(4758),
    [anon_sym_LT_LT_EQ] = ACTIONS(4758),
    [anon_sym_GT_GT_EQ] = ACTIONS(4758),
    [anon_sym_AMP_EQ] = ACTIONS(4758),
    [anon_sym_CARET_EQ] = ACTIONS(4758),
    [anon_sym_PIPE_EQ] = ACTIONS(4758),
    [anon_sym_and_eq] = ACTIONS(4760),
    [anon_sym_or_eq] = ACTIONS(4760),
    [anon_sym_xor_eq] = ACTIONS(4760),
    [anon_sym_LT_EQ_GT] = ACTIONS(4758),
    [anon_sym_or] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(4760),
    [anon_sym_bitor] = ACTIONS(4760),
    [anon_sym_xor] = ACTIONS(4760),
    [anon_sym_bitand] = ACTIONS(4760),
    [anon_sym_not_eq] = ACTIONS(4760),
    [anon_sym_DASH_DASH] = ACTIONS(4758),
    [anon_sym_PLUS_PLUS] = ACTIONS(4758),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_DOT_STAR] = ACTIONS(4758),
    [anon_sym_DASH_GT] = ACTIONS(4758),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [sym_literal_suffix] = ACTIONS(4760),
  },
  [1576] = {
    [sym_string_literal] = STATE(1575),
    [sym_raw_string_literal] = STATE(1575),
    [aux_sym_concatenated_string_repeat1] = STATE(1575),
    [sym_identifier] = ACTIONS(4762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4764),
    [anon_sym_COMMA] = ACTIONS(4764),
    [anon_sym_RPAREN] = ACTIONS(4764),
    [aux_sym_preproc_if_token2] = ACTIONS(4764),
    [aux_sym_preproc_else_token1] = ACTIONS(4764),
    [aux_sym_preproc_elif_token1] = ACTIONS(4766),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4764),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4764),
    [anon_sym_LPAREN2] = ACTIONS(4764),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_STAR] = ACTIONS(4766),
    [anon_sym_SLASH] = ACTIONS(4766),
    [anon_sym_PERCENT] = ACTIONS(4766),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_PIPE] = ACTIONS(4766),
    [anon_sym_CARET] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_GT] = ACTIONS(4766),
    [anon_sym_GT_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4766),
    [anon_sym_LT] = ACTIONS(4766),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_SEMI] = ACTIONS(4764),
    [anon_sym_RBRACE] = ACTIONS(4764),
    [anon_sym_LBRACK] = ACTIONS(4764),
    [anon_sym_RBRACK] = ACTIONS(4764),
    [anon_sym_EQ] = ACTIONS(4766),
    [anon_sym_COLON] = ACTIONS(4764),
    [anon_sym_QMARK] = ACTIONS(4764),
    [anon_sym_STAR_EQ] = ACTIONS(4764),
    [anon_sym_SLASH_EQ] = ACTIONS(4764),
    [anon_sym_PERCENT_EQ] = ACTIONS(4764),
    [anon_sym_PLUS_EQ] = ACTIONS(4764),
    [anon_sym_DASH_EQ] = ACTIONS(4764),
    [anon_sym_LT_LT_EQ] = ACTIONS(4764),
    [anon_sym_GT_GT_EQ] = ACTIONS(4764),
    [anon_sym_AMP_EQ] = ACTIONS(4764),
    [anon_sym_CARET_EQ] = ACTIONS(4764),
    [anon_sym_PIPE_EQ] = ACTIONS(4764),
    [anon_sym_and_eq] = ACTIONS(4766),
    [anon_sym_or_eq] = ACTIONS(4766),
    [anon_sym_xor_eq] = ACTIONS(4766),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_or] = ACTIONS(4766),
    [anon_sym_and] = ACTIONS(4766),
    [anon_sym_bitor] = ACTIONS(4766),
    [anon_sym_xor] = ACTIONS(4766),
    [anon_sym_bitand] = ACTIONS(4766),
    [anon_sym_not_eq] = ACTIONS(4766),
    [anon_sym_DASH_DASH] = ACTIONS(4764),
    [anon_sym_PLUS_PLUS] = ACTIONS(4764),
    [anon_sym_DOT] = ACTIONS(4766),
    [anon_sym_DOT_STAR] = ACTIONS(4764),
    [anon_sym_DASH_GT] = ACTIONS(4764),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [sym_literal_suffix] = ACTIONS(4766),
  },
  [1577] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3911),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6928),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_type_parameter_declaration] = STATE(6928),
    [sym_variadic_type_parameter_declaration] = STATE(6928),
    [sym_optional_type_parameter_declaration] = STATE(6928),
    [sym_template_template_parameter_declaration] = STATE(6928),
    [sym_optional_parameter_declaration] = STATE(6928),
    [sym_variadic_parameter_declaration] = STATE(6928),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(4768),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(4770),
    [anon_sym_template] = ACTIONS(4772),
    [anon_sym_GT2] = ACTIONS(4774),
  },
  [1578] = {
    [sym_string_literal] = STATE(1578),
    [sym_raw_string_literal] = STATE(1578),
    [aux_sym_concatenated_string_repeat1] = STATE(1578),
    [sym_identifier] = ACTIONS(4776),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4779),
    [anon_sym_COMMA] = ACTIONS(4779),
    [anon_sym_RPAREN] = ACTIONS(4779),
    [aux_sym_preproc_if_token2] = ACTIONS(4779),
    [aux_sym_preproc_else_token1] = ACTIONS(4779),
    [aux_sym_preproc_elif_token1] = ACTIONS(4781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4779),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4779),
    [anon_sym_LPAREN2] = ACTIONS(4779),
    [anon_sym_DASH] = ACTIONS(4781),
    [anon_sym_PLUS] = ACTIONS(4781),
    [anon_sym_STAR] = ACTIONS(4781),
    [anon_sym_SLASH] = ACTIONS(4781),
    [anon_sym_PERCENT] = ACTIONS(4781),
    [anon_sym_PIPE_PIPE] = ACTIONS(4779),
    [anon_sym_AMP_AMP] = ACTIONS(4779),
    [anon_sym_PIPE] = ACTIONS(4781),
    [anon_sym_CARET] = ACTIONS(4781),
    [anon_sym_AMP] = ACTIONS(4781),
    [anon_sym_EQ_EQ] = ACTIONS(4779),
    [anon_sym_BANG_EQ] = ACTIONS(4779),
    [anon_sym_GT] = ACTIONS(4781),
    [anon_sym_GT_EQ] = ACTIONS(4779),
    [anon_sym_LT_EQ] = ACTIONS(4781),
    [anon_sym_LT] = ACTIONS(4781),
    [anon_sym_LT_LT] = ACTIONS(4781),
    [anon_sym_GT_GT] = ACTIONS(4781),
    [anon_sym_SEMI] = ACTIONS(4779),
    [anon_sym_RBRACE] = ACTIONS(4779),
    [anon_sym_LBRACK] = ACTIONS(4779),
    [anon_sym_RBRACK] = ACTIONS(4779),
    [anon_sym_EQ] = ACTIONS(4781),
    [anon_sym_COLON] = ACTIONS(4779),
    [anon_sym_QMARK] = ACTIONS(4779),
    [anon_sym_STAR_EQ] = ACTIONS(4779),
    [anon_sym_SLASH_EQ] = ACTIONS(4779),
    [anon_sym_PERCENT_EQ] = ACTIONS(4779),
    [anon_sym_PLUS_EQ] = ACTIONS(4779),
    [anon_sym_DASH_EQ] = ACTIONS(4779),
    [anon_sym_LT_LT_EQ] = ACTIONS(4779),
    [anon_sym_GT_GT_EQ] = ACTIONS(4779),
    [anon_sym_AMP_EQ] = ACTIONS(4779),
    [anon_sym_CARET_EQ] = ACTIONS(4779),
    [anon_sym_PIPE_EQ] = ACTIONS(4779),
    [anon_sym_and_eq] = ACTIONS(4781),
    [anon_sym_or_eq] = ACTIONS(4781),
    [anon_sym_xor_eq] = ACTIONS(4781),
    [anon_sym_LT_EQ_GT] = ACTIONS(4779),
    [anon_sym_or] = ACTIONS(4781),
    [anon_sym_and] = ACTIONS(4781),
    [anon_sym_bitor] = ACTIONS(4781),
    [anon_sym_xor] = ACTIONS(4781),
    [anon_sym_bitand] = ACTIONS(4781),
    [anon_sym_not_eq] = ACTIONS(4781),
    [anon_sym_DASH_DASH] = ACTIONS(4779),
    [anon_sym_PLUS_PLUS] = ACTIONS(4779),
    [anon_sym_DOT] = ACTIONS(4781),
    [anon_sym_DOT_STAR] = ACTIONS(4779),
    [anon_sym_DASH_GT] = ACTIONS(4779),
    [anon_sym_L_DQUOTE] = ACTIONS(4783),
    [anon_sym_u_DQUOTE] = ACTIONS(4783),
    [anon_sym_U_DQUOTE] = ACTIONS(4783),
    [anon_sym_u8_DQUOTE] = ACTIONS(4783),
    [anon_sym_DQUOTE] = ACTIONS(4783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4786),
    [anon_sym_LR_DQUOTE] = ACTIONS(4786),
    [anon_sym_uR_DQUOTE] = ACTIONS(4786),
    [anon_sym_UR_DQUOTE] = ACTIONS(4786),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4786),
    [sym_literal_suffix] = ACTIONS(4781),
  },
  [1579] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3911),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(7017),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_type_parameter_declaration] = STATE(7017),
    [sym_variadic_type_parameter_declaration] = STATE(7017),
    [sym_optional_type_parameter_declaration] = STATE(7017),
    [sym_template_template_parameter_declaration] = STATE(7017),
    [sym_optional_parameter_declaration] = STATE(7017),
    [sym_variadic_parameter_declaration] = STATE(7017),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(4768),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(4770),
    [anon_sym_template] = ACTIONS(4772),
    [anon_sym_GT2] = ACTIONS(4789),
  },
  [1580] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_COMMA] = ACTIONS(4580),
    [anon_sym_RPAREN] = ACTIONS(4580),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4582),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4580),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4580),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4580),
    [anon_sym_GT_GT] = ACTIONS(4580),
    [anon_sym_SEMI] = ACTIONS(4580),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
  },
  [1581] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4556),
    [anon_sym_COMMA] = ACTIONS(4556),
    [anon_sym_RPAREN] = ACTIONS(4556),
    [anon_sym_LPAREN2] = ACTIONS(4556),
    [anon_sym_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4554),
    [anon_sym_STAR] = ACTIONS(4554),
    [anon_sym_SLASH] = ACTIONS(4554),
    [anon_sym_PERCENT] = ACTIONS(4554),
    [anon_sym_PIPE_PIPE] = ACTIONS(4556),
    [anon_sym_AMP_AMP] = ACTIONS(4556),
    [anon_sym_PIPE] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4554),
    [anon_sym_AMP] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4556),
    [anon_sym_BANG_EQ] = ACTIONS(4556),
    [anon_sym_GT] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4556),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_LT] = ACTIONS(4554),
    [anon_sym_LT_LT] = ACTIONS(4554),
    [anon_sym_GT_GT] = ACTIONS(4554),
    [anon_sym___extension__] = ACTIONS(4556),
    [anon_sym___attribute__] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACE] = ACTIONS(4556),
    [anon_sym_LBRACK] = ACTIONS(4556),
    [anon_sym_EQ] = ACTIONS(4554),
    [anon_sym_const] = ACTIONS(4554),
    [anon_sym_constexpr] = ACTIONS(4556),
    [anon_sym_volatile] = ACTIONS(4556),
    [anon_sym_restrict] = ACTIONS(4556),
    [anon_sym___restrict__] = ACTIONS(4556),
    [anon_sym__Atomic] = ACTIONS(4556),
    [anon_sym__Noreturn] = ACTIONS(4556),
    [anon_sym_noreturn] = ACTIONS(4556),
    [anon_sym_mutable] = ACTIONS(4556),
    [anon_sym_constinit] = ACTIONS(4556),
    [anon_sym_consteval] = ACTIONS(4556),
    [anon_sym_alignas] = ACTIONS(4556),
    [anon_sym__Alignas] = ACTIONS(4556),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(4556),
    [anon_sym_STAR_EQ] = ACTIONS(4556),
    [anon_sym_SLASH_EQ] = ACTIONS(4556),
    [anon_sym_PERCENT_EQ] = ACTIONS(4556),
    [anon_sym_PLUS_EQ] = ACTIONS(4556),
    [anon_sym_DASH_EQ] = ACTIONS(4556),
    [anon_sym_LT_LT_EQ] = ACTIONS(4556),
    [anon_sym_GT_GT_EQ] = ACTIONS(4556),
    [anon_sym_AMP_EQ] = ACTIONS(4556),
    [anon_sym_CARET_EQ] = ACTIONS(4556),
    [anon_sym_PIPE_EQ] = ACTIONS(4556),
    [anon_sym_and_eq] = ACTIONS(4556),
    [anon_sym_or_eq] = ACTIONS(4556),
    [anon_sym_xor_eq] = ACTIONS(4556),
    [anon_sym_LT_EQ_GT] = ACTIONS(4556),
    [anon_sym_or] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4554),
    [anon_sym_bitor] = ACTIONS(4556),
    [anon_sym_xor] = ACTIONS(4554),
    [anon_sym_bitand] = ACTIONS(4556),
    [anon_sym_not_eq] = ACTIONS(4556),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_DOT] = ACTIONS(4554),
    [anon_sym_DOT_STAR] = ACTIONS(4556),
    [anon_sym_DASH_GT] = ACTIONS(4554),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4556),
    [anon_sym_decltype] = ACTIONS(4556),
    [anon_sym_final] = ACTIONS(4556),
    [anon_sym_override] = ACTIONS(4556),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4556),
  },
  [1582] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4552),
    [anon_sym_COMMA] = ACTIONS(4552),
    [anon_sym_RPAREN] = ACTIONS(4552),
    [anon_sym_LPAREN2] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4550),
    [anon_sym_PLUS] = ACTIONS(4550),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_SLASH] = ACTIONS(4550),
    [anon_sym_PERCENT] = ACTIONS(4550),
    [anon_sym_PIPE_PIPE] = ACTIONS(4552),
    [anon_sym_AMP_AMP] = ACTIONS(4552),
    [anon_sym_PIPE] = ACTIONS(4550),
    [anon_sym_CARET] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4550),
    [anon_sym_EQ_EQ] = ACTIONS(4552),
    [anon_sym_BANG_EQ] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4550),
    [anon_sym_GT_EQ] = ACTIONS(4552),
    [anon_sym_LT_EQ] = ACTIONS(4550),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_LT_LT] = ACTIONS(4550),
    [anon_sym_GT_GT] = ACTIONS(4550),
    [anon_sym___extension__] = ACTIONS(4552),
    [anon_sym___attribute__] = ACTIONS(4552),
    [anon_sym_COLON_COLON] = ACTIONS(4552),
    [anon_sym_LBRACE] = ACTIONS(4552),
    [anon_sym_LBRACK] = ACTIONS(4552),
    [anon_sym_EQ] = ACTIONS(4550),
    [anon_sym_const] = ACTIONS(4550),
    [anon_sym_constexpr] = ACTIONS(4552),
    [anon_sym_volatile] = ACTIONS(4552),
    [anon_sym_restrict] = ACTIONS(4552),
    [anon_sym___restrict__] = ACTIONS(4552),
    [anon_sym__Atomic] = ACTIONS(4552),
    [anon_sym__Noreturn] = ACTIONS(4552),
    [anon_sym_noreturn] = ACTIONS(4552),
    [anon_sym_mutable] = ACTIONS(4552),
    [anon_sym_constinit] = ACTIONS(4552),
    [anon_sym_consteval] = ACTIONS(4552),
    [anon_sym_alignas] = ACTIONS(4552),
    [anon_sym__Alignas] = ACTIONS(4552),
    [anon_sym_COLON] = ACTIONS(4550),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_STAR_EQ] = ACTIONS(4552),
    [anon_sym_SLASH_EQ] = ACTIONS(4552),
    [anon_sym_PERCENT_EQ] = ACTIONS(4552),
    [anon_sym_PLUS_EQ] = ACTIONS(4552),
    [anon_sym_DASH_EQ] = ACTIONS(4552),
    [anon_sym_LT_LT_EQ] = ACTIONS(4552),
    [anon_sym_GT_GT_EQ] = ACTIONS(4552),
    [anon_sym_AMP_EQ] = ACTIONS(4552),
    [anon_sym_CARET_EQ] = ACTIONS(4552),
    [anon_sym_PIPE_EQ] = ACTIONS(4552),
    [anon_sym_and_eq] = ACTIONS(4552),
    [anon_sym_or_eq] = ACTIONS(4552),
    [anon_sym_xor_eq] = ACTIONS(4552),
    [anon_sym_LT_EQ_GT] = ACTIONS(4552),
    [anon_sym_or] = ACTIONS(4550),
    [anon_sym_and] = ACTIONS(4550),
    [anon_sym_bitor] = ACTIONS(4552),
    [anon_sym_xor] = ACTIONS(4550),
    [anon_sym_bitand] = ACTIONS(4552),
    [anon_sym_not_eq] = ACTIONS(4552),
    [anon_sym_DASH_DASH] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4552),
    [anon_sym_DOT] = ACTIONS(4550),
    [anon_sym_DOT_STAR] = ACTIONS(4552),
    [anon_sym_DASH_GT] = ACTIONS(4550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4552),
    [anon_sym_decltype] = ACTIONS(4552),
    [anon_sym_final] = ACTIONS(4552),
    [anon_sym_override] = ACTIONS(4552),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4552),
  },
  [1583] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4538),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(4540),
    [anon_sym___attribute__] = ACTIONS(4540),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4540),
    [anon_sym_volatile] = ACTIONS(4540),
    [anon_sym_restrict] = ACTIONS(4540),
    [anon_sym___restrict__] = ACTIONS(4540),
    [anon_sym__Atomic] = ACTIONS(4540),
    [anon_sym__Noreturn] = ACTIONS(4540),
    [anon_sym_noreturn] = ACTIONS(4540),
    [anon_sym_mutable] = ACTIONS(4540),
    [anon_sym_constinit] = ACTIONS(4540),
    [anon_sym_consteval] = ACTIONS(4540),
    [anon_sym_alignas] = ACTIONS(4540),
    [anon_sym__Alignas] = ACTIONS(4540),
    [anon_sym_COLON] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_STAR_EQ] = ACTIONS(4540),
    [anon_sym_SLASH_EQ] = ACTIONS(4540),
    [anon_sym_PERCENT_EQ] = ACTIONS(4540),
    [anon_sym_PLUS_EQ] = ACTIONS(4540),
    [anon_sym_DASH_EQ] = ACTIONS(4540),
    [anon_sym_LT_LT_EQ] = ACTIONS(4540),
    [anon_sym_GT_GT_EQ] = ACTIONS(4540),
    [anon_sym_AMP_EQ] = ACTIONS(4540),
    [anon_sym_CARET_EQ] = ACTIONS(4540),
    [anon_sym_PIPE_EQ] = ACTIONS(4540),
    [anon_sym_and_eq] = ACTIONS(4540),
    [anon_sym_or_eq] = ACTIONS(4540),
    [anon_sym_xor_eq] = ACTIONS(4540),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4540),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4540),
    [anon_sym_not_eq] = ACTIONS(4540),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4540),
    [anon_sym_decltype] = ACTIONS(4540),
    [anon_sym_final] = ACTIONS(4540),
    [anon_sym_override] = ACTIONS(4540),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4540),
  },
  [1584] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1584),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_COMMA] = ACTIONS(4793),
    [anon_sym_RPAREN] = ACTIONS(4793),
    [aux_sym_preproc_if_token2] = ACTIONS(4793),
    [aux_sym_preproc_else_token1] = ACTIONS(4793),
    [aux_sym_preproc_elif_token1] = ACTIONS(4791),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4793),
    [anon_sym_LPAREN2] = ACTIONS(4793),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_STAR] = ACTIONS(4793),
    [anon_sym_SLASH] = ACTIONS(4791),
    [anon_sym_PERCENT] = ACTIONS(4793),
    [anon_sym_PIPE_PIPE] = ACTIONS(4793),
    [anon_sym_AMP_AMP] = ACTIONS(4793),
    [anon_sym_PIPE] = ACTIONS(4791),
    [anon_sym_CARET] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4791),
    [anon_sym_EQ_EQ] = ACTIONS(4793),
    [anon_sym_BANG_EQ] = ACTIONS(4793),
    [anon_sym_GT] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4793),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_LT] = ACTIONS(4791),
    [anon_sym_LT_LT] = ACTIONS(4793),
    [anon_sym_GT_GT] = ACTIONS(4793),
    [anon_sym_SEMI] = ACTIONS(4793),
    [anon_sym___extension__] = ACTIONS(4791),
    [anon_sym___attribute__] = ACTIONS(4791),
    [anon_sym_LBRACE] = ACTIONS(4793),
    [anon_sym_RBRACE] = ACTIONS(4793),
    [anon_sym_signed] = ACTIONS(4795),
    [anon_sym_unsigned] = ACTIONS(4795),
    [anon_sym_long] = ACTIONS(4795),
    [anon_sym_short] = ACTIONS(4795),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [anon_sym_RBRACK] = ACTIONS(4793),
    [anon_sym_const] = ACTIONS(4791),
    [anon_sym_constexpr] = ACTIONS(4791),
    [anon_sym_volatile] = ACTIONS(4791),
    [anon_sym_restrict] = ACTIONS(4791),
    [anon_sym___restrict__] = ACTIONS(4791),
    [anon_sym__Atomic] = ACTIONS(4791),
    [anon_sym__Noreturn] = ACTIONS(4791),
    [anon_sym_noreturn] = ACTIONS(4791),
    [anon_sym_mutable] = ACTIONS(4791),
    [anon_sym_constinit] = ACTIONS(4791),
    [anon_sym_consteval] = ACTIONS(4791),
    [anon_sym_alignas] = ACTIONS(4791),
    [anon_sym__Alignas] = ACTIONS(4791),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_COLON] = ACTIONS(4793),
    [anon_sym_QMARK] = ACTIONS(4793),
    [anon_sym_LT_EQ_GT] = ACTIONS(4793),
    [anon_sym_or] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4791),
    [anon_sym_bitor] = ACTIONS(4791),
    [anon_sym_xor] = ACTIONS(4791),
    [anon_sym_bitand] = ACTIONS(4791),
    [anon_sym_not_eq] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4793),
    [anon_sym_PLUS_PLUS] = ACTIONS(4793),
    [anon_sym_DOT] = ACTIONS(4791),
    [anon_sym_DOT_STAR] = ACTIONS(4793),
    [anon_sym_DASH_GT] = ACTIONS(4793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4791),
    [anon_sym_decltype] = ACTIONS(4791),
    [anon_sym_final] = ACTIONS(4791),
    [anon_sym_override] = ACTIONS(4791),
    [anon_sym_requires] = ACTIONS(4791),
  },
  [1585] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4582),
    [anon_sym_COMMA] = ACTIONS(4582),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4582),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4580),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4580),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4580),
    [anon_sym_GT_GT] = ACTIONS(4580),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym_extern] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4585),
    [anon_sym___declspec] = ACTIONS(4578),
    [anon_sym___based] = ACTIONS(4578),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_static] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4578),
    [anon_sym_register] = ACTIONS(4578),
    [anon_sym_inline] = ACTIONS(4578),
    [anon_sym___inline] = ACTIONS(4578),
    [anon_sym___inline__] = ACTIONS(4578),
    [anon_sym___forceinline] = ACTIONS(4578),
    [anon_sym_thread_local] = ACTIONS(4578),
    [anon_sym___thread] = ACTIONS(4578),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4587),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4587),
    [anon_sym_not_eq] = ACTIONS(4587),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [sym_virtual] = ACTIONS(4578),
    [anon_sym_template] = ACTIONS(4578),
    [anon_sym_operator] = ACTIONS(4578),
  },
  [1586] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4544),
    [anon_sym_COMMA] = ACTIONS(4544),
    [anon_sym_RPAREN] = ACTIONS(4544),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_DASH] = ACTIONS(4542),
    [anon_sym_PLUS] = ACTIONS(4542),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_SLASH] = ACTIONS(4542),
    [anon_sym_PERCENT] = ACTIONS(4542),
    [anon_sym_PIPE_PIPE] = ACTIONS(4544),
    [anon_sym_AMP_AMP] = ACTIONS(4544),
    [anon_sym_PIPE] = ACTIONS(4542),
    [anon_sym_CARET] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_EQ_EQ] = ACTIONS(4544),
    [anon_sym_BANG_EQ] = ACTIONS(4544),
    [anon_sym_GT] = ACTIONS(4542),
    [anon_sym_GT_EQ] = ACTIONS(4544),
    [anon_sym_LT_EQ] = ACTIONS(4542),
    [anon_sym_LT] = ACTIONS(4542),
    [anon_sym_LT_LT] = ACTIONS(4542),
    [anon_sym_GT_GT] = ACTIONS(4542),
    [anon_sym___extension__] = ACTIONS(4544),
    [anon_sym___attribute__] = ACTIONS(4544),
    [anon_sym_COLON_COLON] = ACTIONS(4544),
    [anon_sym_LBRACE] = ACTIONS(4544),
    [anon_sym_LBRACK] = ACTIONS(4544),
    [anon_sym_EQ] = ACTIONS(4542),
    [anon_sym_const] = ACTIONS(4542),
    [anon_sym_constexpr] = ACTIONS(4544),
    [anon_sym_volatile] = ACTIONS(4544),
    [anon_sym_restrict] = ACTIONS(4544),
    [anon_sym___restrict__] = ACTIONS(4544),
    [anon_sym__Atomic] = ACTIONS(4544),
    [anon_sym__Noreturn] = ACTIONS(4544),
    [anon_sym_noreturn] = ACTIONS(4544),
    [anon_sym_mutable] = ACTIONS(4544),
    [anon_sym_constinit] = ACTIONS(4544),
    [anon_sym_consteval] = ACTIONS(4544),
    [anon_sym_alignas] = ACTIONS(4544),
    [anon_sym__Alignas] = ACTIONS(4544),
    [anon_sym_COLON] = ACTIONS(4542),
    [anon_sym_QMARK] = ACTIONS(4544),
    [anon_sym_STAR_EQ] = ACTIONS(4544),
    [anon_sym_SLASH_EQ] = ACTIONS(4544),
    [anon_sym_PERCENT_EQ] = ACTIONS(4544),
    [anon_sym_PLUS_EQ] = ACTIONS(4544),
    [anon_sym_DASH_EQ] = ACTIONS(4544),
    [anon_sym_LT_LT_EQ] = ACTIONS(4544),
    [anon_sym_GT_GT_EQ] = ACTIONS(4544),
    [anon_sym_AMP_EQ] = ACTIONS(4544),
    [anon_sym_CARET_EQ] = ACTIONS(4544),
    [anon_sym_PIPE_EQ] = ACTIONS(4544),
    [anon_sym_and_eq] = ACTIONS(4544),
    [anon_sym_or_eq] = ACTIONS(4544),
    [anon_sym_xor_eq] = ACTIONS(4544),
    [anon_sym_LT_EQ_GT] = ACTIONS(4544),
    [anon_sym_or] = ACTIONS(4542),
    [anon_sym_and] = ACTIONS(4542),
    [anon_sym_bitor] = ACTIONS(4544),
    [anon_sym_xor] = ACTIONS(4542),
    [anon_sym_bitand] = ACTIONS(4544),
    [anon_sym_not_eq] = ACTIONS(4544),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_DOT] = ACTIONS(4542),
    [anon_sym_DOT_STAR] = ACTIONS(4544),
    [anon_sym_DASH_GT] = ACTIONS(4542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4544),
    [anon_sym_decltype] = ACTIONS(4544),
    [anon_sym_final] = ACTIONS(4544),
    [anon_sym_override] = ACTIONS(4544),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4544),
  },
  [1587] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3911),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(7224),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_type_parameter_declaration] = STATE(7224),
    [sym_variadic_type_parameter_declaration] = STATE(7224),
    [sym_optional_type_parameter_declaration] = STATE(7224),
    [sym_template_template_parameter_declaration] = STATE(7224),
    [sym_optional_parameter_declaration] = STATE(7224),
    [sym_variadic_parameter_declaration] = STATE(7224),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(4768),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(4770),
    [anon_sym_template] = ACTIONS(4772),
  },
  [1588] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4477),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4477),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4477),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym___extension__] = ACTIONS(4479),
    [anon_sym___attribute__] = ACTIONS(4479),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4479),
    [anon_sym_volatile] = ACTIONS(4479),
    [anon_sym_restrict] = ACTIONS(4479),
    [anon_sym___restrict__] = ACTIONS(4479),
    [anon_sym__Atomic] = ACTIONS(4479),
    [anon_sym__Noreturn] = ACTIONS(4479),
    [anon_sym_noreturn] = ACTIONS(4479),
    [anon_sym_mutable] = ACTIONS(4479),
    [anon_sym_constinit] = ACTIONS(4479),
    [anon_sym_consteval] = ACTIONS(4479),
    [anon_sym_alignas] = ACTIONS(4479),
    [anon_sym__Alignas] = ACTIONS(4479),
    [anon_sym_COLON] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_STAR_EQ] = ACTIONS(4479),
    [anon_sym_SLASH_EQ] = ACTIONS(4479),
    [anon_sym_PERCENT_EQ] = ACTIONS(4479),
    [anon_sym_PLUS_EQ] = ACTIONS(4479),
    [anon_sym_DASH_EQ] = ACTIONS(4479),
    [anon_sym_LT_LT_EQ] = ACTIONS(4479),
    [anon_sym_GT_GT_EQ] = ACTIONS(4479),
    [anon_sym_AMP_EQ] = ACTIONS(4479),
    [anon_sym_CARET_EQ] = ACTIONS(4479),
    [anon_sym_PIPE_EQ] = ACTIONS(4479),
    [anon_sym_and_eq] = ACTIONS(4479),
    [anon_sym_or_eq] = ACTIONS(4479),
    [anon_sym_xor_eq] = ACTIONS(4479),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4479),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4479),
    [anon_sym_not_eq] = ACTIONS(4479),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4477),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4479),
    [anon_sym_decltype] = ACTIONS(4479),
    [anon_sym_final] = ACTIONS(4479),
    [anon_sym_override] = ACTIONS(4479),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4479),
  },
  [1589] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4548),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_DASH] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(4546),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_SLASH] = ACTIONS(4546),
    [anon_sym_PERCENT] = ACTIONS(4546),
    [anon_sym_PIPE_PIPE] = ACTIONS(4548),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4546),
    [anon_sym_CARET] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_EQ_EQ] = ACTIONS(4548),
    [anon_sym_BANG_EQ] = ACTIONS(4548),
    [anon_sym_GT] = ACTIONS(4546),
    [anon_sym_GT_EQ] = ACTIONS(4548),
    [anon_sym_LT_EQ] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4546),
    [anon_sym_LT_LT] = ACTIONS(4546),
    [anon_sym_GT_GT] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(4548),
    [anon_sym___attribute__] = ACTIONS(4548),
    [anon_sym_COLON_COLON] = ACTIONS(4548),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_LBRACK] = ACTIONS(4548),
    [anon_sym_EQ] = ACTIONS(4546),
    [anon_sym_const] = ACTIONS(4546),
    [anon_sym_constexpr] = ACTIONS(4548),
    [anon_sym_volatile] = ACTIONS(4548),
    [anon_sym_restrict] = ACTIONS(4548),
    [anon_sym___restrict__] = ACTIONS(4548),
    [anon_sym__Atomic] = ACTIONS(4548),
    [anon_sym__Noreturn] = ACTIONS(4548),
    [anon_sym_noreturn] = ACTIONS(4548),
    [anon_sym_mutable] = ACTIONS(4548),
    [anon_sym_constinit] = ACTIONS(4548),
    [anon_sym_consteval] = ACTIONS(4548),
    [anon_sym_alignas] = ACTIONS(4548),
    [anon_sym__Alignas] = ACTIONS(4548),
    [anon_sym_COLON] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4548),
    [anon_sym_STAR_EQ] = ACTIONS(4548),
    [anon_sym_SLASH_EQ] = ACTIONS(4548),
    [anon_sym_PERCENT_EQ] = ACTIONS(4548),
    [anon_sym_PLUS_EQ] = ACTIONS(4548),
    [anon_sym_DASH_EQ] = ACTIONS(4548),
    [anon_sym_LT_LT_EQ] = ACTIONS(4548),
    [anon_sym_GT_GT_EQ] = ACTIONS(4548),
    [anon_sym_AMP_EQ] = ACTIONS(4548),
    [anon_sym_CARET_EQ] = ACTIONS(4548),
    [anon_sym_PIPE_EQ] = ACTIONS(4548),
    [anon_sym_and_eq] = ACTIONS(4548),
    [anon_sym_or_eq] = ACTIONS(4548),
    [anon_sym_xor_eq] = ACTIONS(4548),
    [anon_sym_LT_EQ_GT] = ACTIONS(4548),
    [anon_sym_or] = ACTIONS(4546),
    [anon_sym_and] = ACTIONS(4546),
    [anon_sym_bitor] = ACTIONS(4548),
    [anon_sym_xor] = ACTIONS(4546),
    [anon_sym_bitand] = ACTIONS(4548),
    [anon_sym_not_eq] = ACTIONS(4548),
    [anon_sym_DASH_DASH] = ACTIONS(4548),
    [anon_sym_PLUS_PLUS] = ACTIONS(4548),
    [anon_sym_DOT] = ACTIONS(4546),
    [anon_sym_DOT_STAR] = ACTIONS(4548),
    [anon_sym_DASH_GT] = ACTIONS(4546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4548),
    [anon_sym_decltype] = ACTIONS(4548),
    [anon_sym_final] = ACTIONS(4548),
    [anon_sym_override] = ACTIONS(4548),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4548),
  },
  [1590] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4534),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym___extension__] = ACTIONS(4536),
    [anon_sym___attribute__] = ACTIONS(4536),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4536),
    [anon_sym_volatile] = ACTIONS(4536),
    [anon_sym_restrict] = ACTIONS(4536),
    [anon_sym___restrict__] = ACTIONS(4536),
    [anon_sym__Atomic] = ACTIONS(4536),
    [anon_sym__Noreturn] = ACTIONS(4536),
    [anon_sym_noreturn] = ACTIONS(4536),
    [anon_sym_mutable] = ACTIONS(4536),
    [anon_sym_constinit] = ACTIONS(4536),
    [anon_sym_consteval] = ACTIONS(4536),
    [anon_sym_alignas] = ACTIONS(4536),
    [anon_sym__Alignas] = ACTIONS(4536),
    [anon_sym_COLON] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_STAR_EQ] = ACTIONS(4536),
    [anon_sym_SLASH_EQ] = ACTIONS(4536),
    [anon_sym_PERCENT_EQ] = ACTIONS(4536),
    [anon_sym_PLUS_EQ] = ACTIONS(4536),
    [anon_sym_DASH_EQ] = ACTIONS(4536),
    [anon_sym_LT_LT_EQ] = ACTIONS(4536),
    [anon_sym_GT_GT_EQ] = ACTIONS(4536),
    [anon_sym_AMP_EQ] = ACTIONS(4536),
    [anon_sym_CARET_EQ] = ACTIONS(4536),
    [anon_sym_PIPE_EQ] = ACTIONS(4536),
    [anon_sym_and_eq] = ACTIONS(4536),
    [anon_sym_or_eq] = ACTIONS(4536),
    [anon_sym_xor_eq] = ACTIONS(4536),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4536),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4536),
    [anon_sym_not_eq] = ACTIONS(4536),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4536),
    [anon_sym_decltype] = ACTIONS(4536),
    [anon_sym_final] = ACTIONS(4536),
    [anon_sym_override] = ACTIONS(4536),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4536),
  },
  [1591] = {
    [sym_identifier] = ACTIONS(4798),
    [anon_sym_LPAREN2] = ACTIONS(4800),
    [anon_sym_BANG] = ACTIONS(4800),
    [anon_sym_TILDE] = ACTIONS(4800),
    [anon_sym_DASH] = ACTIONS(4798),
    [anon_sym_PLUS] = ACTIONS(4798),
    [anon_sym_STAR] = ACTIONS(4800),
    [anon_sym_AMP] = ACTIONS(4800),
    [anon_sym_SEMI] = ACTIONS(4800),
    [anon_sym_COLON_COLON] = ACTIONS(4800),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4800),
    [anon_sym_LBRACE] = ACTIONS(4800),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [sym_primitive_type] = ACTIONS(4798),
    [anon_sym_if] = ACTIONS(4798),
    [anon_sym_switch] = ACTIONS(4798),
    [anon_sym_case] = ACTIONS(4798),
    [anon_sym_default] = ACTIONS(4798),
    [anon_sym_while] = ACTIONS(4798),
    [anon_sym_do] = ACTIONS(4798),
    [anon_sym_for] = ACTIONS(4798),
    [anon_sym_return] = ACTIONS(4798),
    [anon_sym_break] = ACTIONS(4798),
    [anon_sym_continue] = ACTIONS(4798),
    [anon_sym_goto] = ACTIONS(4798),
    [anon_sym___try] = ACTIONS(4798),
    [anon_sym___leave] = ACTIONS(4798),
    [anon_sym_not] = ACTIONS(4798),
    [anon_sym_compl] = ACTIONS(4798),
    [anon_sym_DASH_DASH] = ACTIONS(4800),
    [anon_sym_PLUS_PLUS] = ACTIONS(4800),
    [anon_sym_sizeof] = ACTIONS(4798),
    [anon_sym___alignof__] = ACTIONS(4798),
    [anon_sym___alignof] = ACTIONS(4798),
    [anon_sym__alignof] = ACTIONS(4798),
    [anon_sym_alignof] = ACTIONS(4798),
    [anon_sym__Alignof] = ACTIONS(4798),
    [anon_sym_offsetof] = ACTIONS(4798),
    [anon_sym__Generic] = ACTIONS(4798),
    [anon_sym_asm] = ACTIONS(4798),
    [anon_sym___asm__] = ACTIONS(4798),
    [sym_number_literal] = ACTIONS(4800),
    [anon_sym_L_SQUOTE] = ACTIONS(4800),
    [anon_sym_u_SQUOTE] = ACTIONS(4800),
    [anon_sym_U_SQUOTE] = ACTIONS(4800),
    [anon_sym_u8_SQUOTE] = ACTIONS(4800),
    [anon_sym_SQUOTE] = ACTIONS(4800),
    [anon_sym_L_DQUOTE] = ACTIONS(4800),
    [anon_sym_u_DQUOTE] = ACTIONS(4800),
    [anon_sym_U_DQUOTE] = ACTIONS(4800),
    [anon_sym_u8_DQUOTE] = ACTIONS(4800),
    [anon_sym_DQUOTE] = ACTIONS(4800),
    [sym_true] = ACTIONS(4798),
    [sym_false] = ACTIONS(4798),
    [anon_sym_NULL] = ACTIONS(4798),
    [anon_sym_nullptr] = ACTIONS(4798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4798),
    [anon_sym_template] = ACTIONS(4798),
    [anon_sym_try] = ACTIONS(4798),
    [anon_sym_delete] = ACTIONS(4798),
    [anon_sym_throw] = ACTIONS(4798),
    [anon_sym_co_return] = ACTIONS(4798),
    [anon_sym_co_yield] = ACTIONS(4798),
    [anon_sym_R_DQUOTE] = ACTIONS(4800),
    [anon_sym_LR_DQUOTE] = ACTIONS(4800),
    [anon_sym_uR_DQUOTE] = ACTIONS(4800),
    [anon_sym_UR_DQUOTE] = ACTIONS(4800),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4800),
    [anon_sym_co_await] = ACTIONS(4798),
    [anon_sym_new] = ACTIONS(4798),
    [anon_sym_requires] = ACTIONS(4798),
    [sym_this] = ACTIONS(4798),
  },
  [1592] = {
    [sym_identifier] = ACTIONS(4802),
    [anon_sym_LPAREN2] = ACTIONS(4804),
    [anon_sym_BANG] = ACTIONS(4804),
    [anon_sym_TILDE] = ACTIONS(4804),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_STAR] = ACTIONS(4804),
    [anon_sym_AMP] = ACTIONS(4804),
    [anon_sym_SEMI] = ACTIONS(4804),
    [anon_sym_COLON_COLON] = ACTIONS(4804),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4804),
    [anon_sym_LBRACE] = ACTIONS(4804),
    [anon_sym_LBRACK] = ACTIONS(4802),
    [sym_primitive_type] = ACTIONS(4802),
    [anon_sym_if] = ACTIONS(4802),
    [anon_sym_switch] = ACTIONS(4802),
    [anon_sym_case] = ACTIONS(4802),
    [anon_sym_default] = ACTIONS(4802),
    [anon_sym_while] = ACTIONS(4802),
    [anon_sym_do] = ACTIONS(4802),
    [anon_sym_for] = ACTIONS(4802),
    [anon_sym_return] = ACTIONS(4802),
    [anon_sym_break] = ACTIONS(4802),
    [anon_sym_continue] = ACTIONS(4802),
    [anon_sym_goto] = ACTIONS(4802),
    [anon_sym___try] = ACTIONS(4802),
    [anon_sym___leave] = ACTIONS(4802),
    [anon_sym_not] = ACTIONS(4802),
    [anon_sym_compl] = ACTIONS(4802),
    [anon_sym_DASH_DASH] = ACTIONS(4804),
    [anon_sym_PLUS_PLUS] = ACTIONS(4804),
    [anon_sym_sizeof] = ACTIONS(4802),
    [anon_sym___alignof__] = ACTIONS(4802),
    [anon_sym___alignof] = ACTIONS(4802),
    [anon_sym__alignof] = ACTIONS(4802),
    [anon_sym_alignof] = ACTIONS(4802),
    [anon_sym__Alignof] = ACTIONS(4802),
    [anon_sym_offsetof] = ACTIONS(4802),
    [anon_sym__Generic] = ACTIONS(4802),
    [anon_sym_asm] = ACTIONS(4802),
    [anon_sym___asm__] = ACTIONS(4802),
    [sym_number_literal] = ACTIONS(4804),
    [anon_sym_L_SQUOTE] = ACTIONS(4804),
    [anon_sym_u_SQUOTE] = ACTIONS(4804),
    [anon_sym_U_SQUOTE] = ACTIONS(4804),
    [anon_sym_u8_SQUOTE] = ACTIONS(4804),
    [anon_sym_SQUOTE] = ACTIONS(4804),
    [anon_sym_L_DQUOTE] = ACTIONS(4804),
    [anon_sym_u_DQUOTE] = ACTIONS(4804),
    [anon_sym_U_DQUOTE] = ACTIONS(4804),
    [anon_sym_u8_DQUOTE] = ACTIONS(4804),
    [anon_sym_DQUOTE] = ACTIONS(4804),
    [sym_true] = ACTIONS(4802),
    [sym_false] = ACTIONS(4802),
    [anon_sym_NULL] = ACTIONS(4802),
    [anon_sym_nullptr] = ACTIONS(4802),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4802),
    [anon_sym_template] = ACTIONS(4802),
    [anon_sym_try] = ACTIONS(4802),
    [anon_sym_delete] = ACTIONS(4802),
    [anon_sym_throw] = ACTIONS(4802),
    [anon_sym_co_return] = ACTIONS(4802),
    [anon_sym_co_yield] = ACTIONS(4802),
    [anon_sym_R_DQUOTE] = ACTIONS(4804),
    [anon_sym_LR_DQUOTE] = ACTIONS(4804),
    [anon_sym_uR_DQUOTE] = ACTIONS(4804),
    [anon_sym_UR_DQUOTE] = ACTIONS(4804),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4804),
    [anon_sym_co_await] = ACTIONS(4802),
    [anon_sym_new] = ACTIONS(4802),
    [anon_sym_requires] = ACTIONS(4802),
    [sym_this] = ACTIONS(4802),
  },
  [1593] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4534),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4534),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4534),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4534),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym___extension__] = ACTIONS(4536),
    [anon_sym___attribute__] = ACTIONS(4536),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_EQ] = ACTIONS(4534),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4536),
    [anon_sym_volatile] = ACTIONS(4536),
    [anon_sym_restrict] = ACTIONS(4536),
    [anon_sym___restrict__] = ACTIONS(4536),
    [anon_sym__Atomic] = ACTIONS(4536),
    [anon_sym__Noreturn] = ACTIONS(4536),
    [anon_sym_noreturn] = ACTIONS(4536),
    [anon_sym_mutable] = ACTIONS(4536),
    [anon_sym_constinit] = ACTIONS(4536),
    [anon_sym_consteval] = ACTIONS(4536),
    [anon_sym_alignas] = ACTIONS(4536),
    [anon_sym__Alignas] = ACTIONS(4536),
    [anon_sym_COLON] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_STAR_EQ] = ACTIONS(4536),
    [anon_sym_SLASH_EQ] = ACTIONS(4536),
    [anon_sym_PERCENT_EQ] = ACTIONS(4536),
    [anon_sym_PLUS_EQ] = ACTIONS(4536),
    [anon_sym_DASH_EQ] = ACTIONS(4536),
    [anon_sym_LT_LT_EQ] = ACTIONS(4536),
    [anon_sym_GT_GT_EQ] = ACTIONS(4534),
    [anon_sym_AMP_EQ] = ACTIONS(4536),
    [anon_sym_CARET_EQ] = ACTIONS(4536),
    [anon_sym_PIPE_EQ] = ACTIONS(4536),
    [anon_sym_and_eq] = ACTIONS(4536),
    [anon_sym_or_eq] = ACTIONS(4536),
    [anon_sym_xor_eq] = ACTIONS(4536),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4536),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4536),
    [anon_sym_not_eq] = ACTIONS(4536),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4536),
    [anon_sym_decltype] = ACTIONS(4536),
    [anon_sym_final] = ACTIONS(4536),
    [anon_sym_override] = ACTIONS(4536),
    [anon_sym_GT2] = ACTIONS(4536),
  },
  [1594] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4538),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4538),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4538),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4538),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym___extension__] = ACTIONS(4540),
    [anon_sym___attribute__] = ACTIONS(4540),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_EQ] = ACTIONS(4538),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4540),
    [anon_sym_volatile] = ACTIONS(4540),
    [anon_sym_restrict] = ACTIONS(4540),
    [anon_sym___restrict__] = ACTIONS(4540),
    [anon_sym__Atomic] = ACTIONS(4540),
    [anon_sym__Noreturn] = ACTIONS(4540),
    [anon_sym_noreturn] = ACTIONS(4540),
    [anon_sym_mutable] = ACTIONS(4540),
    [anon_sym_constinit] = ACTIONS(4540),
    [anon_sym_consteval] = ACTIONS(4540),
    [anon_sym_alignas] = ACTIONS(4540),
    [anon_sym__Alignas] = ACTIONS(4540),
    [anon_sym_COLON] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_STAR_EQ] = ACTIONS(4540),
    [anon_sym_SLASH_EQ] = ACTIONS(4540),
    [anon_sym_PERCENT_EQ] = ACTIONS(4540),
    [anon_sym_PLUS_EQ] = ACTIONS(4540),
    [anon_sym_DASH_EQ] = ACTIONS(4540),
    [anon_sym_LT_LT_EQ] = ACTIONS(4540),
    [anon_sym_GT_GT_EQ] = ACTIONS(4538),
    [anon_sym_AMP_EQ] = ACTIONS(4540),
    [anon_sym_CARET_EQ] = ACTIONS(4540),
    [anon_sym_PIPE_EQ] = ACTIONS(4540),
    [anon_sym_and_eq] = ACTIONS(4540),
    [anon_sym_or_eq] = ACTIONS(4540),
    [anon_sym_xor_eq] = ACTIONS(4540),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4540),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4540),
    [anon_sym_not_eq] = ACTIONS(4540),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4540),
    [anon_sym_decltype] = ACTIONS(4540),
    [anon_sym_final] = ACTIONS(4540),
    [anon_sym_override] = ACTIONS(4540),
    [anon_sym_GT2] = ACTIONS(4540),
  },
  [1595] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4477),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4477),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4477),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4477),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym___extension__] = ACTIONS(4479),
    [anon_sym___attribute__] = ACTIONS(4479),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_EQ] = ACTIONS(4477),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4479),
    [anon_sym_volatile] = ACTIONS(4479),
    [anon_sym_restrict] = ACTIONS(4479),
    [anon_sym___restrict__] = ACTIONS(4479),
    [anon_sym__Atomic] = ACTIONS(4479),
    [anon_sym__Noreturn] = ACTIONS(4479),
    [anon_sym_noreturn] = ACTIONS(4479),
    [anon_sym_mutable] = ACTIONS(4479),
    [anon_sym_constinit] = ACTIONS(4479),
    [anon_sym_consteval] = ACTIONS(4479),
    [anon_sym_alignas] = ACTIONS(4479),
    [anon_sym__Alignas] = ACTIONS(4479),
    [anon_sym_COLON] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_STAR_EQ] = ACTIONS(4479),
    [anon_sym_SLASH_EQ] = ACTIONS(4479),
    [anon_sym_PERCENT_EQ] = ACTIONS(4479),
    [anon_sym_PLUS_EQ] = ACTIONS(4479),
    [anon_sym_DASH_EQ] = ACTIONS(4479),
    [anon_sym_LT_LT_EQ] = ACTIONS(4479),
    [anon_sym_GT_GT_EQ] = ACTIONS(4477),
    [anon_sym_AMP_EQ] = ACTIONS(4479),
    [anon_sym_CARET_EQ] = ACTIONS(4479),
    [anon_sym_PIPE_EQ] = ACTIONS(4479),
    [anon_sym_and_eq] = ACTIONS(4479),
    [anon_sym_or_eq] = ACTIONS(4479),
    [anon_sym_xor_eq] = ACTIONS(4479),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4479),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4479),
    [anon_sym_not_eq] = ACTIONS(4479),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4479),
    [anon_sym_decltype] = ACTIONS(4479),
    [anon_sym_final] = ACTIONS(4479),
    [anon_sym_override] = ACTIONS(4479),
    [anon_sym_GT2] = ACTIONS(4479),
  },
  [1596] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4544),
    [anon_sym_COMMA] = ACTIONS(4544),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_DASH] = ACTIONS(4542),
    [anon_sym_PLUS] = ACTIONS(4542),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_SLASH] = ACTIONS(4542),
    [anon_sym_PERCENT] = ACTIONS(4542),
    [anon_sym_PIPE_PIPE] = ACTIONS(4544),
    [anon_sym_AMP_AMP] = ACTIONS(4544),
    [anon_sym_PIPE] = ACTIONS(4542),
    [anon_sym_CARET] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_EQ_EQ] = ACTIONS(4544),
    [anon_sym_BANG_EQ] = ACTIONS(4544),
    [anon_sym_GT] = ACTIONS(4542),
    [anon_sym_GT_EQ] = ACTIONS(4542),
    [anon_sym_LT_EQ] = ACTIONS(4542),
    [anon_sym_LT] = ACTIONS(4542),
    [anon_sym_LT_LT] = ACTIONS(4542),
    [anon_sym_GT_GT] = ACTIONS(4542),
    [anon_sym___extension__] = ACTIONS(4544),
    [anon_sym___attribute__] = ACTIONS(4544),
    [anon_sym_COLON_COLON] = ACTIONS(4544),
    [anon_sym_LBRACE] = ACTIONS(4544),
    [anon_sym_LBRACK] = ACTIONS(4544),
    [anon_sym_EQ] = ACTIONS(4542),
    [anon_sym_const] = ACTIONS(4542),
    [anon_sym_constexpr] = ACTIONS(4544),
    [anon_sym_volatile] = ACTIONS(4544),
    [anon_sym_restrict] = ACTIONS(4544),
    [anon_sym___restrict__] = ACTIONS(4544),
    [anon_sym__Atomic] = ACTIONS(4544),
    [anon_sym__Noreturn] = ACTIONS(4544),
    [anon_sym_noreturn] = ACTIONS(4544),
    [anon_sym_mutable] = ACTIONS(4544),
    [anon_sym_constinit] = ACTIONS(4544),
    [anon_sym_consteval] = ACTIONS(4544),
    [anon_sym_alignas] = ACTIONS(4544),
    [anon_sym__Alignas] = ACTIONS(4544),
    [anon_sym_COLON] = ACTIONS(4542),
    [anon_sym_QMARK] = ACTIONS(4544),
    [anon_sym_STAR_EQ] = ACTIONS(4544),
    [anon_sym_SLASH_EQ] = ACTIONS(4544),
    [anon_sym_PERCENT_EQ] = ACTIONS(4544),
    [anon_sym_PLUS_EQ] = ACTIONS(4544),
    [anon_sym_DASH_EQ] = ACTIONS(4544),
    [anon_sym_LT_LT_EQ] = ACTIONS(4544),
    [anon_sym_GT_GT_EQ] = ACTIONS(4542),
    [anon_sym_AMP_EQ] = ACTIONS(4544),
    [anon_sym_CARET_EQ] = ACTIONS(4544),
    [anon_sym_PIPE_EQ] = ACTIONS(4544),
    [anon_sym_and_eq] = ACTIONS(4544),
    [anon_sym_or_eq] = ACTIONS(4544),
    [anon_sym_xor_eq] = ACTIONS(4544),
    [anon_sym_LT_EQ_GT] = ACTIONS(4544),
    [anon_sym_or] = ACTIONS(4542),
    [anon_sym_and] = ACTIONS(4542),
    [anon_sym_bitor] = ACTIONS(4544),
    [anon_sym_xor] = ACTIONS(4542),
    [anon_sym_bitand] = ACTIONS(4544),
    [anon_sym_not_eq] = ACTIONS(4544),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_DOT] = ACTIONS(4542),
    [anon_sym_DOT_STAR] = ACTIONS(4544),
    [anon_sym_DASH_GT] = ACTIONS(4544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4544),
    [anon_sym_decltype] = ACTIONS(4544),
    [anon_sym_final] = ACTIONS(4544),
    [anon_sym_override] = ACTIONS(4544),
    [anon_sym_GT2] = ACTIONS(4544),
  },
  [1597] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4548),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_DASH] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(4546),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_SLASH] = ACTIONS(4546),
    [anon_sym_PERCENT] = ACTIONS(4546),
    [anon_sym_PIPE_PIPE] = ACTIONS(4548),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4546),
    [anon_sym_CARET] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_EQ_EQ] = ACTIONS(4548),
    [anon_sym_BANG_EQ] = ACTIONS(4548),
    [anon_sym_GT] = ACTIONS(4546),
    [anon_sym_GT_EQ] = ACTIONS(4546),
    [anon_sym_LT_EQ] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4546),
    [anon_sym_LT_LT] = ACTIONS(4546),
    [anon_sym_GT_GT] = ACTIONS(4546),
    [anon_sym___extension__] = ACTIONS(4548),
    [anon_sym___attribute__] = ACTIONS(4548),
    [anon_sym_COLON_COLON] = ACTIONS(4548),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_LBRACK] = ACTIONS(4548),
    [anon_sym_EQ] = ACTIONS(4546),
    [anon_sym_const] = ACTIONS(4546),
    [anon_sym_constexpr] = ACTIONS(4548),
    [anon_sym_volatile] = ACTIONS(4548),
    [anon_sym_restrict] = ACTIONS(4548),
    [anon_sym___restrict__] = ACTIONS(4548),
    [anon_sym__Atomic] = ACTIONS(4548),
    [anon_sym__Noreturn] = ACTIONS(4548),
    [anon_sym_noreturn] = ACTIONS(4548),
    [anon_sym_mutable] = ACTIONS(4548),
    [anon_sym_constinit] = ACTIONS(4548),
    [anon_sym_consteval] = ACTIONS(4548),
    [anon_sym_alignas] = ACTIONS(4548),
    [anon_sym__Alignas] = ACTIONS(4548),
    [anon_sym_COLON] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4548),
    [anon_sym_STAR_EQ] = ACTIONS(4548),
    [anon_sym_SLASH_EQ] = ACTIONS(4548),
    [anon_sym_PERCENT_EQ] = ACTIONS(4548),
    [anon_sym_PLUS_EQ] = ACTIONS(4548),
    [anon_sym_DASH_EQ] = ACTIONS(4548),
    [anon_sym_LT_LT_EQ] = ACTIONS(4548),
    [anon_sym_GT_GT_EQ] = ACTIONS(4546),
    [anon_sym_AMP_EQ] = ACTIONS(4548),
    [anon_sym_CARET_EQ] = ACTIONS(4548),
    [anon_sym_PIPE_EQ] = ACTIONS(4548),
    [anon_sym_and_eq] = ACTIONS(4548),
    [anon_sym_or_eq] = ACTIONS(4548),
    [anon_sym_xor_eq] = ACTIONS(4548),
    [anon_sym_LT_EQ_GT] = ACTIONS(4548),
    [anon_sym_or] = ACTIONS(4546),
    [anon_sym_and] = ACTIONS(4546),
    [anon_sym_bitor] = ACTIONS(4548),
    [anon_sym_xor] = ACTIONS(4546),
    [anon_sym_bitand] = ACTIONS(4548),
    [anon_sym_not_eq] = ACTIONS(4548),
    [anon_sym_DASH_DASH] = ACTIONS(4548),
    [anon_sym_PLUS_PLUS] = ACTIONS(4548),
    [anon_sym_DOT] = ACTIONS(4546),
    [anon_sym_DOT_STAR] = ACTIONS(4548),
    [anon_sym_DASH_GT] = ACTIONS(4548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4548),
    [anon_sym_decltype] = ACTIONS(4548),
    [anon_sym_final] = ACTIONS(4548),
    [anon_sym_override] = ACTIONS(4548),
    [anon_sym_GT2] = ACTIONS(4548),
  },
  [1598] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4552),
    [anon_sym_COMMA] = ACTIONS(4552),
    [anon_sym_LPAREN2] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4550),
    [anon_sym_PLUS] = ACTIONS(4550),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_SLASH] = ACTIONS(4550),
    [anon_sym_PERCENT] = ACTIONS(4550),
    [anon_sym_PIPE_PIPE] = ACTIONS(4552),
    [anon_sym_AMP_AMP] = ACTIONS(4552),
    [anon_sym_PIPE] = ACTIONS(4550),
    [anon_sym_CARET] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4550),
    [anon_sym_EQ_EQ] = ACTIONS(4552),
    [anon_sym_BANG_EQ] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4550),
    [anon_sym_GT_EQ] = ACTIONS(4550),
    [anon_sym_LT_EQ] = ACTIONS(4550),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_LT_LT] = ACTIONS(4550),
    [anon_sym_GT_GT] = ACTIONS(4550),
    [anon_sym___extension__] = ACTIONS(4552),
    [anon_sym___attribute__] = ACTIONS(4552),
    [anon_sym_COLON_COLON] = ACTIONS(4552),
    [anon_sym_LBRACE] = ACTIONS(4552),
    [anon_sym_LBRACK] = ACTIONS(4552),
    [anon_sym_EQ] = ACTIONS(4550),
    [anon_sym_const] = ACTIONS(4550),
    [anon_sym_constexpr] = ACTIONS(4552),
    [anon_sym_volatile] = ACTIONS(4552),
    [anon_sym_restrict] = ACTIONS(4552),
    [anon_sym___restrict__] = ACTIONS(4552),
    [anon_sym__Atomic] = ACTIONS(4552),
    [anon_sym__Noreturn] = ACTIONS(4552),
    [anon_sym_noreturn] = ACTIONS(4552),
    [anon_sym_mutable] = ACTIONS(4552),
    [anon_sym_constinit] = ACTIONS(4552),
    [anon_sym_consteval] = ACTIONS(4552),
    [anon_sym_alignas] = ACTIONS(4552),
    [anon_sym__Alignas] = ACTIONS(4552),
    [anon_sym_COLON] = ACTIONS(4550),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_STAR_EQ] = ACTIONS(4552),
    [anon_sym_SLASH_EQ] = ACTIONS(4552),
    [anon_sym_PERCENT_EQ] = ACTIONS(4552),
    [anon_sym_PLUS_EQ] = ACTIONS(4552),
    [anon_sym_DASH_EQ] = ACTIONS(4552),
    [anon_sym_LT_LT_EQ] = ACTIONS(4552),
    [anon_sym_GT_GT_EQ] = ACTIONS(4550),
    [anon_sym_AMP_EQ] = ACTIONS(4552),
    [anon_sym_CARET_EQ] = ACTIONS(4552),
    [anon_sym_PIPE_EQ] = ACTIONS(4552),
    [anon_sym_and_eq] = ACTIONS(4552),
    [anon_sym_or_eq] = ACTIONS(4552),
    [anon_sym_xor_eq] = ACTIONS(4552),
    [anon_sym_LT_EQ_GT] = ACTIONS(4552),
    [anon_sym_or] = ACTIONS(4550),
    [anon_sym_and] = ACTIONS(4550),
    [anon_sym_bitor] = ACTIONS(4552),
    [anon_sym_xor] = ACTIONS(4550),
    [anon_sym_bitand] = ACTIONS(4552),
    [anon_sym_not_eq] = ACTIONS(4552),
    [anon_sym_DASH_DASH] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4552),
    [anon_sym_DOT] = ACTIONS(4550),
    [anon_sym_DOT_STAR] = ACTIONS(4552),
    [anon_sym_DASH_GT] = ACTIONS(4552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4552),
    [anon_sym_decltype] = ACTIONS(4552),
    [anon_sym_final] = ACTIONS(4552),
    [anon_sym_override] = ACTIONS(4552),
    [anon_sym_GT2] = ACTIONS(4552),
  },
  [1599] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4556),
    [anon_sym_COMMA] = ACTIONS(4556),
    [anon_sym_LPAREN2] = ACTIONS(4556),
    [anon_sym_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4554),
    [anon_sym_STAR] = ACTIONS(4554),
    [anon_sym_SLASH] = ACTIONS(4554),
    [anon_sym_PERCENT] = ACTIONS(4554),
    [anon_sym_PIPE_PIPE] = ACTIONS(4556),
    [anon_sym_AMP_AMP] = ACTIONS(4556),
    [anon_sym_PIPE] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4554),
    [anon_sym_AMP] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4556),
    [anon_sym_BANG_EQ] = ACTIONS(4556),
    [anon_sym_GT] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4554),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_LT] = ACTIONS(4554),
    [anon_sym_LT_LT] = ACTIONS(4554),
    [anon_sym_GT_GT] = ACTIONS(4554),
    [anon_sym___extension__] = ACTIONS(4556),
    [anon_sym___attribute__] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym_LBRACE] = ACTIONS(4556),
    [anon_sym_LBRACK] = ACTIONS(4556),
    [anon_sym_EQ] = ACTIONS(4554),
    [anon_sym_const] = ACTIONS(4554),
    [anon_sym_constexpr] = ACTIONS(4556),
    [anon_sym_volatile] = ACTIONS(4556),
    [anon_sym_restrict] = ACTIONS(4556),
    [anon_sym___restrict__] = ACTIONS(4556),
    [anon_sym__Atomic] = ACTIONS(4556),
    [anon_sym__Noreturn] = ACTIONS(4556),
    [anon_sym_noreturn] = ACTIONS(4556),
    [anon_sym_mutable] = ACTIONS(4556),
    [anon_sym_constinit] = ACTIONS(4556),
    [anon_sym_consteval] = ACTIONS(4556),
    [anon_sym_alignas] = ACTIONS(4556),
    [anon_sym__Alignas] = ACTIONS(4556),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(4556),
    [anon_sym_STAR_EQ] = ACTIONS(4556),
    [anon_sym_SLASH_EQ] = ACTIONS(4556),
    [anon_sym_PERCENT_EQ] = ACTIONS(4556),
    [anon_sym_PLUS_EQ] = ACTIONS(4556),
    [anon_sym_DASH_EQ] = ACTIONS(4556),
    [anon_sym_LT_LT_EQ] = ACTIONS(4556),
    [anon_sym_GT_GT_EQ] = ACTIONS(4554),
    [anon_sym_AMP_EQ] = ACTIONS(4556),
    [anon_sym_CARET_EQ] = ACTIONS(4556),
    [anon_sym_PIPE_EQ] = ACTIONS(4556),
    [anon_sym_and_eq] = ACTIONS(4556),
    [anon_sym_or_eq] = ACTIONS(4556),
    [anon_sym_xor_eq] = ACTIONS(4556),
    [anon_sym_LT_EQ_GT] = ACTIONS(4556),
    [anon_sym_or] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4554),
    [anon_sym_bitor] = ACTIONS(4556),
    [anon_sym_xor] = ACTIONS(4554),
    [anon_sym_bitand] = ACTIONS(4556),
    [anon_sym_not_eq] = ACTIONS(4556),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_DOT] = ACTIONS(4554),
    [anon_sym_DOT_STAR] = ACTIONS(4556),
    [anon_sym_DASH_GT] = ACTIONS(4556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4556),
    [anon_sym_decltype] = ACTIONS(4556),
    [anon_sym_final] = ACTIONS(4556),
    [anon_sym_override] = ACTIONS(4556),
    [anon_sym_GT2] = ACTIONS(4556),
  },
  [1600] = {
    [sym_template_argument_list] = STATE(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4503),
    [anon_sym_LPAREN2] = ACTIONS(4503),
    [anon_sym_DASH] = ACTIONS(4508),
    [anon_sym_PLUS] = ACTIONS(4508),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_SLASH] = ACTIONS(4508),
    [anon_sym_PERCENT] = ACTIONS(4508),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4503),
    [anon_sym_PIPE] = ACTIONS(4508),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4508),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4508),
    [anon_sym_LT] = ACTIONS(4612),
    [anon_sym_LT_LT] = ACTIONS(4508),
    [anon_sym_GT_GT] = ACTIONS(4508),
    [anon_sym___extension__] = ACTIONS(4506),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4501),
    [anon_sym_LBRACE] = ACTIONS(4506),
    [anon_sym_LBRACK] = ACTIONS(4510),
    [anon_sym_EQ] = ACTIONS(4508),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4506),
    [anon_sym_volatile] = ACTIONS(4506),
    [anon_sym_restrict] = ACTIONS(4506),
    [anon_sym___restrict__] = ACTIONS(4506),
    [anon_sym__Atomic] = ACTIONS(4506),
    [anon_sym__Noreturn] = ACTIONS(4506),
    [anon_sym_noreturn] = ACTIONS(4506),
    [anon_sym_mutable] = ACTIONS(4506),
    [anon_sym_constinit] = ACTIONS(4506),
    [anon_sym_consteval] = ACTIONS(4506),
    [anon_sym_alignas] = ACTIONS(4506),
    [anon_sym__Alignas] = ACTIONS(4506),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4501),
    [anon_sym_or_eq] = ACTIONS(4501),
    [anon_sym_xor_eq] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4508),
    [anon_sym_and] = ACTIONS(4508),
    [anon_sym_bitor] = ACTIONS(4501),
    [anon_sym_xor] = ACTIONS(4508),
    [anon_sym_bitand] = ACTIONS(4501),
    [anon_sym_not_eq] = ACTIONS(4501),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4508),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4506),
    [anon_sym_decltype] = ACTIONS(4506),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4501),
  },
  [1601] = {
    [sym_catch_clause] = STATE(1601),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1601),
    [sym_identifier] = ACTIONS(2413),
    [aux_sym_preproc_def_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token2] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2413),
    [aux_sym_preproc_else_token1] = ACTIONS(2413),
    [aux_sym_preproc_elif_token1] = ACTIONS(2413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2413),
    [sym_preproc_directive] = ACTIONS(2413),
    [anon_sym_LPAREN2] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2415),
    [anon_sym_AMP_AMP] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym___extension__] = ACTIONS(2413),
    [anon_sym_typedef] = ACTIONS(2413),
    [anon_sym_extern] = ACTIONS(2413),
    [anon_sym___attribute__] = ACTIONS(2413),
    [anon_sym_COLON_COLON] = ACTIONS(2415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2415),
    [anon_sym___declspec] = ACTIONS(2413),
    [anon_sym___based] = ACTIONS(2413),
    [anon_sym_signed] = ACTIONS(2413),
    [anon_sym_unsigned] = ACTIONS(2413),
    [anon_sym_long] = ACTIONS(2413),
    [anon_sym_short] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2413),
    [anon_sym_static] = ACTIONS(2413),
    [anon_sym_register] = ACTIONS(2413),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym___inline] = ACTIONS(2413),
    [anon_sym___inline__] = ACTIONS(2413),
    [anon_sym___forceinline] = ACTIONS(2413),
    [anon_sym_thread_local] = ACTIONS(2413),
    [anon_sym___thread] = ACTIONS(2413),
    [anon_sym_const] = ACTIONS(2413),
    [anon_sym_constexpr] = ACTIONS(2413),
    [anon_sym_volatile] = ACTIONS(2413),
    [anon_sym_restrict] = ACTIONS(2413),
    [anon_sym___restrict__] = ACTIONS(2413),
    [anon_sym__Atomic] = ACTIONS(2413),
    [anon_sym__Noreturn] = ACTIONS(2413),
    [anon_sym_noreturn] = ACTIONS(2413),
    [anon_sym_mutable] = ACTIONS(2413),
    [anon_sym_constinit] = ACTIONS(2413),
    [anon_sym_consteval] = ACTIONS(2413),
    [anon_sym_alignas] = ACTIONS(2413),
    [anon_sym__Alignas] = ACTIONS(2413),
    [sym_primitive_type] = ACTIONS(2413),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_class] = ACTIONS(2413),
    [anon_sym_struct] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2413),
    [anon_sym_decltype] = ACTIONS(2413),
    [sym_virtual] = ACTIONS(2413),
    [anon_sym_explicit] = ACTIONS(2413),
    [anon_sym_typename] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2413),
    [anon_sym_operator] = ACTIONS(2413),
    [anon_sym_friend] = ACTIONS(2413),
    [anon_sym_public] = ACTIONS(2413),
    [anon_sym_private] = ACTIONS(2413),
    [anon_sym_protected] = ACTIONS(2413),
    [anon_sym_using] = ACTIONS(2413),
    [anon_sym_static_assert] = ACTIONS(2413),
    [anon_sym_catch] = ACTIONS(4806),
  },
  [1602] = {
    [sym_catch_clause] = STATE(1601),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1601),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [aux_sym_preproc_else_token1] = ACTIONS(2478),
    [aux_sym_preproc_elif_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_friend] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(4809),
  },
  [1603] = {
    [sym_identifier] = ACTIONS(4811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4813),
    [anon_sym_COMMA] = ACTIONS(4813),
    [anon_sym_RPAREN] = ACTIONS(4813),
    [aux_sym_preproc_if_token2] = ACTIONS(4813),
    [aux_sym_preproc_else_token1] = ACTIONS(4813),
    [aux_sym_preproc_elif_token1] = ACTIONS(4811),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4813),
    [anon_sym_LPAREN2] = ACTIONS(4813),
    [anon_sym_DASH] = ACTIONS(4811),
    [anon_sym_PLUS] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4811),
    [anon_sym_SLASH] = ACTIONS(4811),
    [anon_sym_PERCENT] = ACTIONS(4811),
    [anon_sym_PIPE_PIPE] = ACTIONS(4813),
    [anon_sym_AMP_AMP] = ACTIONS(4813),
    [anon_sym_PIPE] = ACTIONS(4811),
    [anon_sym_CARET] = ACTIONS(4811),
    [anon_sym_AMP] = ACTIONS(4811),
    [anon_sym_EQ_EQ] = ACTIONS(4813),
    [anon_sym_BANG_EQ] = ACTIONS(4813),
    [anon_sym_GT] = ACTIONS(4811),
    [anon_sym_GT_EQ] = ACTIONS(4813),
    [anon_sym_LT_EQ] = ACTIONS(4811),
    [anon_sym_LT] = ACTIONS(4811),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_SEMI] = ACTIONS(4813),
    [anon_sym_RBRACE] = ACTIONS(4813),
    [anon_sym_LBRACK] = ACTIONS(4813),
    [anon_sym_RBRACK] = ACTIONS(4813),
    [anon_sym_EQ] = ACTIONS(4811),
    [anon_sym_COLON] = ACTIONS(4813),
    [anon_sym_QMARK] = ACTIONS(4813),
    [anon_sym_STAR_EQ] = ACTIONS(4813),
    [anon_sym_SLASH_EQ] = ACTIONS(4813),
    [anon_sym_PERCENT_EQ] = ACTIONS(4813),
    [anon_sym_PLUS_EQ] = ACTIONS(4813),
    [anon_sym_DASH_EQ] = ACTIONS(4813),
    [anon_sym_LT_LT_EQ] = ACTIONS(4813),
    [anon_sym_GT_GT_EQ] = ACTIONS(4813),
    [anon_sym_AMP_EQ] = ACTIONS(4813),
    [anon_sym_CARET_EQ] = ACTIONS(4813),
    [anon_sym_PIPE_EQ] = ACTIONS(4813),
    [anon_sym_and_eq] = ACTIONS(4811),
    [anon_sym_or_eq] = ACTIONS(4811),
    [anon_sym_xor_eq] = ACTIONS(4811),
    [anon_sym_LT_EQ_GT] = ACTIONS(4813),
    [anon_sym_or] = ACTIONS(4811),
    [anon_sym_and] = ACTIONS(4811),
    [anon_sym_bitor] = ACTIONS(4811),
    [anon_sym_xor] = ACTIONS(4811),
    [anon_sym_bitand] = ACTIONS(4811),
    [anon_sym_not_eq] = ACTIONS(4811),
    [anon_sym_DASH_DASH] = ACTIONS(4813),
    [anon_sym_PLUS_PLUS] = ACTIONS(4813),
    [anon_sym_DOT] = ACTIONS(4811),
    [anon_sym_DOT_STAR] = ACTIONS(4813),
    [anon_sym_DASH_GT] = ACTIONS(4813),
    [anon_sym_L_DQUOTE] = ACTIONS(4813),
    [anon_sym_u_DQUOTE] = ACTIONS(4813),
    [anon_sym_U_DQUOTE] = ACTIONS(4813),
    [anon_sym_u8_DQUOTE] = ACTIONS(4813),
    [anon_sym_DQUOTE] = ACTIONS(4813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4813),
    [anon_sym_LR_DQUOTE] = ACTIONS(4813),
    [anon_sym_uR_DQUOTE] = ACTIONS(4813),
    [anon_sym_UR_DQUOTE] = ACTIONS(4813),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4813),
    [sym_literal_suffix] = ACTIONS(4811),
  },
  [1604] = {
    [sym_identifier] = ACTIONS(4815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4817),
    [anon_sym_COMMA] = ACTIONS(4817),
    [anon_sym_RPAREN] = ACTIONS(4817),
    [aux_sym_preproc_if_token2] = ACTIONS(4817),
    [aux_sym_preproc_else_token1] = ACTIONS(4817),
    [aux_sym_preproc_elif_token1] = ACTIONS(4815),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4817),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4817),
    [anon_sym_LPAREN2] = ACTIONS(4817),
    [anon_sym_DASH] = ACTIONS(4815),
    [anon_sym_PLUS] = ACTIONS(4815),
    [anon_sym_STAR] = ACTIONS(4815),
    [anon_sym_SLASH] = ACTIONS(4815),
    [anon_sym_PERCENT] = ACTIONS(4815),
    [anon_sym_PIPE_PIPE] = ACTIONS(4817),
    [anon_sym_AMP_AMP] = ACTIONS(4817),
    [anon_sym_PIPE] = ACTIONS(4815),
    [anon_sym_CARET] = ACTIONS(4815),
    [anon_sym_AMP] = ACTIONS(4815),
    [anon_sym_EQ_EQ] = ACTIONS(4817),
    [anon_sym_BANG_EQ] = ACTIONS(4817),
    [anon_sym_GT] = ACTIONS(4815),
    [anon_sym_GT_EQ] = ACTIONS(4817),
    [anon_sym_LT_EQ] = ACTIONS(4815),
    [anon_sym_LT] = ACTIONS(4815),
    [anon_sym_LT_LT] = ACTIONS(4815),
    [anon_sym_GT_GT] = ACTIONS(4815),
    [anon_sym_SEMI] = ACTIONS(4817),
    [anon_sym_RBRACE] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(4817),
    [anon_sym_EQ] = ACTIONS(4815),
    [anon_sym_COLON] = ACTIONS(4817),
    [anon_sym_QMARK] = ACTIONS(4817),
    [anon_sym_STAR_EQ] = ACTIONS(4817),
    [anon_sym_SLASH_EQ] = ACTIONS(4817),
    [anon_sym_PERCENT_EQ] = ACTIONS(4817),
    [anon_sym_PLUS_EQ] = ACTIONS(4817),
    [anon_sym_DASH_EQ] = ACTIONS(4817),
    [anon_sym_LT_LT_EQ] = ACTIONS(4817),
    [anon_sym_GT_GT_EQ] = ACTIONS(4817),
    [anon_sym_AMP_EQ] = ACTIONS(4817),
    [anon_sym_CARET_EQ] = ACTIONS(4817),
    [anon_sym_PIPE_EQ] = ACTIONS(4817),
    [anon_sym_and_eq] = ACTIONS(4815),
    [anon_sym_or_eq] = ACTIONS(4815),
    [anon_sym_xor_eq] = ACTIONS(4815),
    [anon_sym_LT_EQ_GT] = ACTIONS(4817),
    [anon_sym_or] = ACTIONS(4815),
    [anon_sym_and] = ACTIONS(4815),
    [anon_sym_bitor] = ACTIONS(4815),
    [anon_sym_xor] = ACTIONS(4815),
    [anon_sym_bitand] = ACTIONS(4815),
    [anon_sym_not_eq] = ACTIONS(4815),
    [anon_sym_DASH_DASH] = ACTIONS(4817),
    [anon_sym_PLUS_PLUS] = ACTIONS(4817),
    [anon_sym_DOT] = ACTIONS(4815),
    [anon_sym_DOT_STAR] = ACTIONS(4817),
    [anon_sym_DASH_GT] = ACTIONS(4817),
    [anon_sym_L_DQUOTE] = ACTIONS(4817),
    [anon_sym_u_DQUOTE] = ACTIONS(4817),
    [anon_sym_U_DQUOTE] = ACTIONS(4817),
    [anon_sym_u8_DQUOTE] = ACTIONS(4817),
    [anon_sym_DQUOTE] = ACTIONS(4817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4817),
    [anon_sym_LR_DQUOTE] = ACTIONS(4817),
    [anon_sym_uR_DQUOTE] = ACTIONS(4817),
    [anon_sym_UR_DQUOTE] = ACTIONS(4817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4817),
    [sym_literal_suffix] = ACTIONS(4815),
  },
  [1605] = {
    [sym_identifier] = ACTIONS(4819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4821),
    [anon_sym_COMMA] = ACTIONS(4821),
    [anon_sym_RPAREN] = ACTIONS(4821),
    [aux_sym_preproc_if_token2] = ACTIONS(4821),
    [aux_sym_preproc_else_token1] = ACTIONS(4821),
    [aux_sym_preproc_elif_token1] = ACTIONS(4819),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4821),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4821),
    [anon_sym_LPAREN2] = ACTIONS(4821),
    [anon_sym_DASH] = ACTIONS(4819),
    [anon_sym_PLUS] = ACTIONS(4819),
    [anon_sym_STAR] = ACTIONS(4819),
    [anon_sym_SLASH] = ACTIONS(4819),
    [anon_sym_PERCENT] = ACTIONS(4819),
    [anon_sym_PIPE_PIPE] = ACTIONS(4821),
    [anon_sym_AMP_AMP] = ACTIONS(4821),
    [anon_sym_PIPE] = ACTIONS(4819),
    [anon_sym_CARET] = ACTIONS(4819),
    [anon_sym_AMP] = ACTIONS(4819),
    [anon_sym_EQ_EQ] = ACTIONS(4821),
    [anon_sym_BANG_EQ] = ACTIONS(4821),
    [anon_sym_GT] = ACTIONS(4819),
    [anon_sym_GT_EQ] = ACTIONS(4821),
    [anon_sym_LT_EQ] = ACTIONS(4819),
    [anon_sym_LT] = ACTIONS(4819),
    [anon_sym_LT_LT] = ACTIONS(4819),
    [anon_sym_GT_GT] = ACTIONS(4819),
    [anon_sym_SEMI] = ACTIONS(4821),
    [anon_sym_RBRACE] = ACTIONS(4821),
    [anon_sym_LBRACK] = ACTIONS(4821),
    [anon_sym_RBRACK] = ACTIONS(4821),
    [anon_sym_EQ] = ACTIONS(4819),
    [anon_sym_COLON] = ACTIONS(4821),
    [anon_sym_QMARK] = ACTIONS(4821),
    [anon_sym_STAR_EQ] = ACTIONS(4821),
    [anon_sym_SLASH_EQ] = ACTIONS(4821),
    [anon_sym_PERCENT_EQ] = ACTIONS(4821),
    [anon_sym_PLUS_EQ] = ACTIONS(4821),
    [anon_sym_DASH_EQ] = ACTIONS(4821),
    [anon_sym_LT_LT_EQ] = ACTIONS(4821),
    [anon_sym_GT_GT_EQ] = ACTIONS(4821),
    [anon_sym_AMP_EQ] = ACTIONS(4821),
    [anon_sym_CARET_EQ] = ACTIONS(4821),
    [anon_sym_PIPE_EQ] = ACTIONS(4821),
    [anon_sym_and_eq] = ACTIONS(4819),
    [anon_sym_or_eq] = ACTIONS(4819),
    [anon_sym_xor_eq] = ACTIONS(4819),
    [anon_sym_LT_EQ_GT] = ACTIONS(4821),
    [anon_sym_or] = ACTIONS(4819),
    [anon_sym_and] = ACTIONS(4819),
    [anon_sym_bitor] = ACTIONS(4819),
    [anon_sym_xor] = ACTIONS(4819),
    [anon_sym_bitand] = ACTIONS(4819),
    [anon_sym_not_eq] = ACTIONS(4819),
    [anon_sym_DASH_DASH] = ACTIONS(4821),
    [anon_sym_PLUS_PLUS] = ACTIONS(4821),
    [anon_sym_DOT] = ACTIONS(4819),
    [anon_sym_DOT_STAR] = ACTIONS(4821),
    [anon_sym_DASH_GT] = ACTIONS(4821),
    [anon_sym_L_DQUOTE] = ACTIONS(4821),
    [anon_sym_u_DQUOTE] = ACTIONS(4821),
    [anon_sym_U_DQUOTE] = ACTIONS(4821),
    [anon_sym_u8_DQUOTE] = ACTIONS(4821),
    [anon_sym_DQUOTE] = ACTIONS(4821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4821),
    [anon_sym_LR_DQUOTE] = ACTIONS(4821),
    [anon_sym_uR_DQUOTE] = ACTIONS(4821),
    [anon_sym_UR_DQUOTE] = ACTIONS(4821),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4821),
    [sym_literal_suffix] = ACTIONS(4819),
  },
  [1606] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6853),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6853),
    [sym_variadic_parameter_declaration] = STATE(6853),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4823),
    [anon_sym_RPAREN] = ACTIONS(4825),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1607] = {
    [sym_identifier] = ACTIONS(4827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4829),
    [anon_sym_COMMA] = ACTIONS(4829),
    [anon_sym_RPAREN] = ACTIONS(4829),
    [aux_sym_preproc_if_token2] = ACTIONS(4829),
    [aux_sym_preproc_else_token1] = ACTIONS(4829),
    [aux_sym_preproc_elif_token1] = ACTIONS(4827),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4829),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4829),
    [anon_sym_LPAREN2] = ACTIONS(4829),
    [anon_sym_DASH] = ACTIONS(4827),
    [anon_sym_PLUS] = ACTIONS(4827),
    [anon_sym_STAR] = ACTIONS(4827),
    [anon_sym_SLASH] = ACTIONS(4827),
    [anon_sym_PERCENT] = ACTIONS(4827),
    [anon_sym_PIPE_PIPE] = ACTIONS(4829),
    [anon_sym_AMP_AMP] = ACTIONS(4829),
    [anon_sym_PIPE] = ACTIONS(4827),
    [anon_sym_CARET] = ACTIONS(4827),
    [anon_sym_AMP] = ACTIONS(4827),
    [anon_sym_EQ_EQ] = ACTIONS(4829),
    [anon_sym_BANG_EQ] = ACTIONS(4829),
    [anon_sym_GT] = ACTIONS(4827),
    [anon_sym_GT_EQ] = ACTIONS(4829),
    [anon_sym_LT_EQ] = ACTIONS(4827),
    [anon_sym_LT] = ACTIONS(4827),
    [anon_sym_LT_LT] = ACTIONS(4827),
    [anon_sym_GT_GT] = ACTIONS(4827),
    [anon_sym_SEMI] = ACTIONS(4829),
    [anon_sym_RBRACE] = ACTIONS(4829),
    [anon_sym_LBRACK] = ACTIONS(4829),
    [anon_sym_RBRACK] = ACTIONS(4829),
    [anon_sym_EQ] = ACTIONS(4827),
    [anon_sym_COLON] = ACTIONS(4829),
    [anon_sym_QMARK] = ACTIONS(4829),
    [anon_sym_STAR_EQ] = ACTIONS(4829),
    [anon_sym_SLASH_EQ] = ACTIONS(4829),
    [anon_sym_PERCENT_EQ] = ACTIONS(4829),
    [anon_sym_PLUS_EQ] = ACTIONS(4829),
    [anon_sym_DASH_EQ] = ACTIONS(4829),
    [anon_sym_LT_LT_EQ] = ACTIONS(4829),
    [anon_sym_GT_GT_EQ] = ACTIONS(4829),
    [anon_sym_AMP_EQ] = ACTIONS(4829),
    [anon_sym_CARET_EQ] = ACTIONS(4829),
    [anon_sym_PIPE_EQ] = ACTIONS(4829),
    [anon_sym_and_eq] = ACTIONS(4827),
    [anon_sym_or_eq] = ACTIONS(4827),
    [anon_sym_xor_eq] = ACTIONS(4827),
    [anon_sym_LT_EQ_GT] = ACTIONS(4829),
    [anon_sym_or] = ACTIONS(4827),
    [anon_sym_and] = ACTIONS(4827),
    [anon_sym_bitor] = ACTIONS(4827),
    [anon_sym_xor] = ACTIONS(4827),
    [anon_sym_bitand] = ACTIONS(4827),
    [anon_sym_not_eq] = ACTIONS(4827),
    [anon_sym_DASH_DASH] = ACTIONS(4829),
    [anon_sym_PLUS_PLUS] = ACTIONS(4829),
    [anon_sym_DOT] = ACTIONS(4827),
    [anon_sym_DOT_STAR] = ACTIONS(4829),
    [anon_sym_DASH_GT] = ACTIONS(4829),
    [anon_sym_L_DQUOTE] = ACTIONS(4829),
    [anon_sym_u_DQUOTE] = ACTIONS(4829),
    [anon_sym_U_DQUOTE] = ACTIONS(4829),
    [anon_sym_u8_DQUOTE] = ACTIONS(4829),
    [anon_sym_DQUOTE] = ACTIONS(4829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4829),
    [anon_sym_LR_DQUOTE] = ACTIONS(4829),
    [anon_sym_uR_DQUOTE] = ACTIONS(4829),
    [anon_sym_UR_DQUOTE] = ACTIONS(4829),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4829),
    [sym_literal_suffix] = ACTIONS(4827),
  },
  [1608] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6737),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6737),
    [sym_variadic_parameter_declaration] = STATE(6737),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4831),
    [anon_sym_RPAREN] = ACTIONS(4833),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1609] = {
    [sym_catch_clause] = STATE(1601),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1601),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [aux_sym_preproc_else_token1] = ACTIONS(2474),
    [aux_sym_preproc_elif_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_friend] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(4809),
  },
  [1610] = {
    [sym_type_qualifier] = STATE(1610),
    [sym_alignas_qualifier] = STATE(1661),
    [aux_sym_array_declarator_repeat1] = STATE(1610),
    [sym_identifier] = ACTIONS(4835),
    [anon_sym_LPAREN2] = ACTIONS(4837),
    [anon_sym_BANG] = ACTIONS(4837),
    [anon_sym_TILDE] = ACTIONS(4837),
    [anon_sym_DASH] = ACTIONS(4835),
    [anon_sym_PLUS] = ACTIONS(4835),
    [anon_sym_STAR] = ACTIONS(4837),
    [anon_sym_AMP] = ACTIONS(4837),
    [anon_sym___extension__] = ACTIONS(4839),
    [anon_sym_COLON_COLON] = ACTIONS(4837),
    [anon_sym_LBRACK] = ACTIONS(4837),
    [anon_sym_static] = ACTIONS(4842),
    [anon_sym_RBRACK] = ACTIONS(4837),
    [anon_sym_const] = ACTIONS(4839),
    [anon_sym_constexpr] = ACTIONS(4839),
    [anon_sym_volatile] = ACTIONS(4839),
    [anon_sym_restrict] = ACTIONS(4839),
    [anon_sym___restrict__] = ACTIONS(4839),
    [anon_sym__Atomic] = ACTIONS(4839),
    [anon_sym__Noreturn] = ACTIONS(4839),
    [anon_sym_noreturn] = ACTIONS(4839),
    [anon_sym_mutable] = ACTIONS(4839),
    [anon_sym_constinit] = ACTIONS(4839),
    [anon_sym_consteval] = ACTIONS(4839),
    [anon_sym_alignas] = ACTIONS(4845),
    [anon_sym__Alignas] = ACTIONS(4845),
    [sym_primitive_type] = ACTIONS(4835),
    [anon_sym_not] = ACTIONS(4835),
    [anon_sym_compl] = ACTIONS(4835),
    [anon_sym_DASH_DASH] = ACTIONS(4837),
    [anon_sym_PLUS_PLUS] = ACTIONS(4837),
    [anon_sym_sizeof] = ACTIONS(4835),
    [anon_sym___alignof__] = ACTIONS(4835),
    [anon_sym___alignof] = ACTIONS(4835),
    [anon_sym__alignof] = ACTIONS(4835),
    [anon_sym_alignof] = ACTIONS(4835),
    [anon_sym__Alignof] = ACTIONS(4835),
    [anon_sym_offsetof] = ACTIONS(4835),
    [anon_sym__Generic] = ACTIONS(4835),
    [anon_sym_asm] = ACTIONS(4835),
    [anon_sym___asm__] = ACTIONS(4835),
    [sym_number_literal] = ACTIONS(4837),
    [anon_sym_L_SQUOTE] = ACTIONS(4837),
    [anon_sym_u_SQUOTE] = ACTIONS(4837),
    [anon_sym_U_SQUOTE] = ACTIONS(4837),
    [anon_sym_u8_SQUOTE] = ACTIONS(4837),
    [anon_sym_SQUOTE] = ACTIONS(4837),
    [anon_sym_L_DQUOTE] = ACTIONS(4837),
    [anon_sym_u_DQUOTE] = ACTIONS(4837),
    [anon_sym_U_DQUOTE] = ACTIONS(4837),
    [anon_sym_u8_DQUOTE] = ACTIONS(4837),
    [anon_sym_DQUOTE] = ACTIONS(4837),
    [sym_true] = ACTIONS(4835),
    [sym_false] = ACTIONS(4835),
    [anon_sym_NULL] = ACTIONS(4835),
    [anon_sym_nullptr] = ACTIONS(4835),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4835),
    [anon_sym_template] = ACTIONS(4835),
    [anon_sym_delete] = ACTIONS(4835),
    [anon_sym_R_DQUOTE] = ACTIONS(4837),
    [anon_sym_LR_DQUOTE] = ACTIONS(4837),
    [anon_sym_uR_DQUOTE] = ACTIONS(4837),
    [anon_sym_UR_DQUOTE] = ACTIONS(4837),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4837),
    [anon_sym_co_await] = ACTIONS(4835),
    [anon_sym_new] = ACTIONS(4835),
    [anon_sym_requires] = ACTIONS(4835),
    [sym_this] = ACTIONS(4835),
  },
  [1611] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6690),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6690),
    [sym_variadic_parameter_declaration] = STATE(6690),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1868),
    [anon_sym_RPAREN] = ACTIONS(3827),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1612] = {
    [sym_catch_clause] = STATE(1601),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1601),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token2] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [aux_sym_preproc_else_token1] = ACTIONS(2407),
    [aux_sym_preproc_elif_token1] = ACTIONS(2407),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_friend] = ACTIONS(2407),
    [anon_sym_public] = ACTIONS(2407),
    [anon_sym_private] = ACTIONS(2407),
    [anon_sym_protected] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(4809),
  },
  [1613] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_COMMA] = ACTIONS(4580),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym_SEMI] = ACTIONS(4580),
    [anon_sym___extension__] = ACTIONS(4585),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4580),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4589),
    [anon_sym_EQ] = ACTIONS(4587),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4585),
    [anon_sym_volatile] = ACTIONS(4585),
    [anon_sym_restrict] = ACTIONS(4585),
    [anon_sym___restrict__] = ACTIONS(4585),
    [anon_sym__Atomic] = ACTIONS(4585),
    [anon_sym__Noreturn] = ACTIONS(4585),
    [anon_sym_noreturn] = ACTIONS(4585),
    [anon_sym_mutable] = ACTIONS(4585),
    [anon_sym_constinit] = ACTIONS(4585),
    [anon_sym_consteval] = ACTIONS(4585),
    [anon_sym_alignas] = ACTIONS(4585),
    [anon_sym__Alignas] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4580),
    [anon_sym_or_eq] = ACTIONS(4580),
    [anon_sym_xor_eq] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4580),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4580),
    [anon_sym_not_eq] = ACTIONS(4580),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4585),
    [anon_sym_decltype] = ACTIONS(4585),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4580),
  },
  [1614] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6973),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6973),
    [sym_variadic_parameter_declaration] = STATE(6973),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4848),
    [anon_sym_RPAREN] = ACTIONS(4850),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1615] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [aux_sym_preproc_else_token1] = ACTIONS(1878),
    [aux_sym_preproc_elif_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(4852),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
  },
  [1616] = {
    [sym_attribute_specifier] = STATE(2175),
    [sym_field_declaration_list] = STATE(1872),
    [sym_virtual_specifier] = STATE(6463),
    [sym_base_class_clause] = STATE(7057),
    [sym_identifier] = ACTIONS(4854),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4856),
    [anon_sym_COMMA] = ACTIONS(4856),
    [anon_sym_RPAREN] = ACTIONS(4856),
    [aux_sym_preproc_if_token2] = ACTIONS(4856),
    [aux_sym_preproc_else_token1] = ACTIONS(4856),
    [aux_sym_preproc_elif_token1] = ACTIONS(4854),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_STAR] = ACTIONS(4854),
    [anon_sym_SLASH] = ACTIONS(4854),
    [anon_sym_PERCENT] = ACTIONS(4854),
    [anon_sym_PIPE_PIPE] = ACTIONS(4856),
    [anon_sym_AMP_AMP] = ACTIONS(4856),
    [anon_sym_PIPE] = ACTIONS(4854),
    [anon_sym_CARET] = ACTIONS(4854),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4854),
    [anon_sym_GT_EQ] = ACTIONS(4856),
    [anon_sym_LT_EQ] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4854),
    [anon_sym_LT_LT] = ACTIONS(4854),
    [anon_sym_GT_GT] = ACTIONS(4854),
    [anon_sym_SEMI] = ACTIONS(4856),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(4860),
    [anon_sym_RBRACE] = ACTIONS(4856),
    [anon_sym_LBRACK] = ACTIONS(4856),
    [anon_sym_RBRACK] = ACTIONS(4856),
    [anon_sym_EQ] = ACTIONS(4854),
    [anon_sym_COLON] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4856),
    [anon_sym_STAR_EQ] = ACTIONS(4856),
    [anon_sym_SLASH_EQ] = ACTIONS(4856),
    [anon_sym_PERCENT_EQ] = ACTIONS(4856),
    [anon_sym_PLUS_EQ] = ACTIONS(4856),
    [anon_sym_DASH_EQ] = ACTIONS(4856),
    [anon_sym_LT_LT_EQ] = ACTIONS(4856),
    [anon_sym_GT_GT_EQ] = ACTIONS(4856),
    [anon_sym_AMP_EQ] = ACTIONS(4856),
    [anon_sym_CARET_EQ] = ACTIONS(4856),
    [anon_sym_PIPE_EQ] = ACTIONS(4856),
    [anon_sym_and_eq] = ACTIONS(4854),
    [anon_sym_or_eq] = ACTIONS(4854),
    [anon_sym_xor_eq] = ACTIONS(4854),
    [anon_sym_LT_EQ_GT] = ACTIONS(4856),
    [anon_sym_or] = ACTIONS(4854),
    [anon_sym_and] = ACTIONS(4854),
    [anon_sym_bitor] = ACTIONS(4854),
    [anon_sym_xor] = ACTIONS(4854),
    [anon_sym_bitand] = ACTIONS(4854),
    [anon_sym_not_eq] = ACTIONS(4854),
    [anon_sym_DASH_DASH] = ACTIONS(4856),
    [anon_sym_PLUS_PLUS] = ACTIONS(4856),
    [anon_sym_DOT] = ACTIONS(4854),
    [anon_sym_DOT_STAR] = ACTIONS(4856),
    [anon_sym_DASH_GT] = ACTIONS(4856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4854),
    [anon_sym_decltype] = ACTIONS(4854),
    [anon_sym_final] = ACTIONS(4864),
    [anon_sym_override] = ACTIONS(4864),
  },
  [1617] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [sym_identifier] = ACTIONS(3778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(3770),
    [aux_sym_preproc_else_token1] = ACTIONS(3770),
    [aux_sym_preproc_elif_token1] = ACTIONS(3778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(4869),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(4871),
    [anon_sym_SLASH_EQ] = ACTIONS(4871),
    [anon_sym_PERCENT_EQ] = ACTIONS(4871),
    [anon_sym_PLUS_EQ] = ACTIONS(4871),
    [anon_sym_DASH_EQ] = ACTIONS(4871),
    [anon_sym_LT_LT_EQ] = ACTIONS(4871),
    [anon_sym_GT_GT_EQ] = ACTIONS(4871),
    [anon_sym_AMP_EQ] = ACTIONS(4871),
    [anon_sym_CARET_EQ] = ACTIONS(4871),
    [anon_sym_PIPE_EQ] = ACTIONS(4871),
    [anon_sym_and_eq] = ACTIONS(4869),
    [anon_sym_or_eq] = ACTIONS(4869),
    [anon_sym_xor_eq] = ACTIONS(4869),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1618] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(7215),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(7215),
    [sym_variadic_parameter_declaration] = STATE(7215),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4873),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1619] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(6816),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(6816),
    [sym_variadic_parameter_declaration] = STATE(6816),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1620] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1620),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_COMMA] = ACTIONS(4793),
    [anon_sym_RPAREN] = ACTIONS(4793),
    [aux_sym_preproc_if_token2] = ACTIONS(4793),
    [aux_sym_preproc_else_token1] = ACTIONS(4793),
    [aux_sym_preproc_elif_token1] = ACTIONS(4791),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4793),
    [anon_sym_LPAREN2] = ACTIONS(4793),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4791),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4793),
    [anon_sym_AMP_AMP] = ACTIONS(4793),
    [anon_sym_PIPE] = ACTIONS(4791),
    [anon_sym_CARET] = ACTIONS(4791),
    [anon_sym_AMP] = ACTIONS(4791),
    [anon_sym_EQ_EQ] = ACTIONS(4793),
    [anon_sym_BANG_EQ] = ACTIONS(4793),
    [anon_sym_GT] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4793),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_LT] = ACTIONS(4791),
    [anon_sym_LT_LT] = ACTIONS(4791),
    [anon_sym_GT_GT] = ACTIONS(4791),
    [anon_sym_SEMI] = ACTIONS(4793),
    [anon_sym___attribute__] = ACTIONS(4791),
    [anon_sym_LBRACE] = ACTIONS(4793),
    [anon_sym_RBRACE] = ACTIONS(4793),
    [anon_sym_signed] = ACTIONS(4875),
    [anon_sym_unsigned] = ACTIONS(4875),
    [anon_sym_long] = ACTIONS(4875),
    [anon_sym_short] = ACTIONS(4875),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [anon_sym_RBRACK] = ACTIONS(4793),
    [anon_sym_EQ] = ACTIONS(4791),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_COLON] = ACTIONS(4793),
    [anon_sym_QMARK] = ACTIONS(4793),
    [anon_sym_STAR_EQ] = ACTIONS(4793),
    [anon_sym_SLASH_EQ] = ACTIONS(4793),
    [anon_sym_PERCENT_EQ] = ACTIONS(4793),
    [anon_sym_PLUS_EQ] = ACTIONS(4793),
    [anon_sym_DASH_EQ] = ACTIONS(4793),
    [anon_sym_LT_LT_EQ] = ACTIONS(4793),
    [anon_sym_GT_GT_EQ] = ACTIONS(4793),
    [anon_sym_AMP_EQ] = ACTIONS(4793),
    [anon_sym_CARET_EQ] = ACTIONS(4793),
    [anon_sym_PIPE_EQ] = ACTIONS(4793),
    [anon_sym_and_eq] = ACTIONS(4791),
    [anon_sym_or_eq] = ACTIONS(4791),
    [anon_sym_xor_eq] = ACTIONS(4791),
    [anon_sym_LT_EQ_GT] = ACTIONS(4793),
    [anon_sym_or] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4791),
    [anon_sym_bitor] = ACTIONS(4791),
    [anon_sym_xor] = ACTIONS(4791),
    [anon_sym_bitand] = ACTIONS(4791),
    [anon_sym_not_eq] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4793),
    [anon_sym_PLUS_PLUS] = ACTIONS(4793),
    [anon_sym_DOT] = ACTIONS(4791),
    [anon_sym_DOT_STAR] = ACTIONS(4793),
    [anon_sym_DASH_GT] = ACTIONS(4793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4791),
    [anon_sym_decltype] = ACTIONS(4791),
  },
  [1621] = {
    [sym_template_argument_list] = STATE(1645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4503),
    [anon_sym_LPAREN2] = ACTIONS(4503),
    [anon_sym_DASH] = ACTIONS(4508),
    [anon_sym_PLUS] = ACTIONS(4508),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_SLASH] = ACTIONS(4508),
    [anon_sym_PERCENT] = ACTIONS(4508),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4503),
    [anon_sym_PIPE] = ACTIONS(4508),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4508),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4508),
    [anon_sym_LT] = ACTIONS(4878),
    [anon_sym_LT_LT] = ACTIONS(4508),
    [anon_sym_GT_GT] = ACTIONS(4508),
    [anon_sym___extension__] = ACTIONS(4506),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(4506),
    [anon_sym_LBRACK] = ACTIONS(4503),
    [anon_sym_EQ] = ACTIONS(4508),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4506),
    [anon_sym_volatile] = ACTIONS(4506),
    [anon_sym_restrict] = ACTIONS(4506),
    [anon_sym___restrict__] = ACTIONS(4506),
    [anon_sym__Atomic] = ACTIONS(4506),
    [anon_sym__Noreturn] = ACTIONS(4506),
    [anon_sym_noreturn] = ACTIONS(4506),
    [anon_sym_mutable] = ACTIONS(4506),
    [anon_sym_constinit] = ACTIONS(4506),
    [anon_sym_consteval] = ACTIONS(4506),
    [anon_sym_alignas] = ACTIONS(4506),
    [anon_sym__Alignas] = ACTIONS(4506),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4501),
    [anon_sym_or_eq] = ACTIONS(4501),
    [anon_sym_xor_eq] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4508),
    [anon_sym_and] = ACTIONS(4508),
    [anon_sym_bitor] = ACTIONS(4501),
    [anon_sym_xor] = ACTIONS(4508),
    [anon_sym_bitand] = ACTIONS(4501),
    [anon_sym_not_eq] = ACTIONS(4501),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4508),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4506),
    [anon_sym_decltype] = ACTIONS(4506),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4501),
  },
  [1622] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [aux_sym_preproc_else_token1] = ACTIONS(1878),
    [aux_sym_preproc_elif_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
  },
  [1623] = {
    [sym_decltype_auto] = STATE(1736),
    [sym_identifier] = ACTIONS(4881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4881),
    [anon_sym_PLUS] = ACTIONS(4881),
    [anon_sym_STAR] = ACTIONS(4883),
    [anon_sym_SLASH] = ACTIONS(4881),
    [anon_sym_PERCENT] = ACTIONS(4883),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_PIPE] = ACTIONS(4881),
    [anon_sym_CARET] = ACTIONS(4883),
    [anon_sym_AMP] = ACTIONS(4881),
    [anon_sym_EQ_EQ] = ACTIONS(4883),
    [anon_sym_BANG_EQ] = ACTIONS(4883),
    [anon_sym_GT] = ACTIONS(4881),
    [anon_sym_GT_EQ] = ACTIONS(4883),
    [anon_sym_LT_EQ] = ACTIONS(4881),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym_LT_LT] = ACTIONS(4883),
    [anon_sym_GT_GT] = ACTIONS(4883),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___extension__] = ACTIONS(4881),
    [anon_sym___attribute__] = ACTIONS(4881),
    [anon_sym___based] = ACTIONS(4881),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_signed] = ACTIONS(4881),
    [anon_sym_unsigned] = ACTIONS(4881),
    [anon_sym_long] = ACTIONS(4881),
    [anon_sym_short] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_RBRACK] = ACTIONS(4883),
    [anon_sym_const] = ACTIONS(4881),
    [anon_sym_constexpr] = ACTIONS(4881),
    [anon_sym_volatile] = ACTIONS(4881),
    [anon_sym_restrict] = ACTIONS(4881),
    [anon_sym___restrict__] = ACTIONS(4881),
    [anon_sym__Atomic] = ACTIONS(4881),
    [anon_sym__Noreturn] = ACTIONS(4881),
    [anon_sym_noreturn] = ACTIONS(4881),
    [anon_sym_mutable] = ACTIONS(4881),
    [anon_sym_constinit] = ACTIONS(4881),
    [anon_sym_consteval] = ACTIONS(4881),
    [anon_sym_alignas] = ACTIONS(4881),
    [anon_sym__Alignas] = ACTIONS(4881),
    [sym_primitive_type] = ACTIONS(4881),
    [anon_sym_COLON] = ACTIONS(4883),
    [anon_sym_QMARK] = ACTIONS(4883),
    [anon_sym_LT_EQ_GT] = ACTIONS(4883),
    [anon_sym_or] = ACTIONS(4881),
    [anon_sym_and] = ACTIONS(4881),
    [anon_sym_bitor] = ACTIONS(4881),
    [anon_sym_xor] = ACTIONS(4881),
    [anon_sym_bitand] = ACTIONS(4881),
    [anon_sym_not_eq] = ACTIONS(4881),
    [anon_sym_DASH_DASH] = ACTIONS(4883),
    [anon_sym_PLUS_PLUS] = ACTIONS(4883),
    [anon_sym_DOT] = ACTIONS(4881),
    [anon_sym_DOT_STAR] = ACTIONS(4883),
    [anon_sym_DASH_GT] = ACTIONS(4883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4885),
    [anon_sym_decltype] = ACTIONS(4887),
    [anon_sym_final] = ACTIONS(4881),
    [anon_sym_override] = ACTIONS(4881),
    [anon_sym_requires] = ACTIONS(4881),
  },
  [1624] = {
    [sym__declaration_modifiers] = STATE(3360),
    [sym_attribute_specifier] = STATE(3360),
    [sym_attribute_declaration] = STATE(3360),
    [sym_ms_declspec_modifier] = STATE(3360),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5767),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3360),
    [sym_type_qualifier] = STATE(3360),
    [sym_alignas_qualifier] = STATE(3026),
    [sym_decltype] = STATE(7635),
    [sym_explicit_function_specifier] = STATE(3360),
    [sym_operator_cast] = STATE(6319),
    [sym__constructor_specifiers] = STATE(3360),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_operator_cast_identifier] = STATE(6319),
    [sym_operator_name] = STATE(5906),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3360),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_extern] = ACTIONS(4893),
    [anon_sym___attribute__] = ACTIONS(4895),
    [anon_sym_COLON_COLON] = ACTIONS(4897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4899),
    [anon_sym___declspec] = ACTIONS(4901),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4893),
    [anon_sym_inline] = ACTIONS(4893),
    [anon_sym___inline] = ACTIONS(4893),
    [anon_sym___inline__] = ACTIONS(4893),
    [anon_sym___forceinline] = ACTIONS(4893),
    [anon_sym_thread_local] = ACTIONS(4893),
    [anon_sym___thread] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4891),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4903),
    [anon_sym__Alignas] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4905),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1625] = {
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4556),
    [anon_sym_COMMA] = ACTIONS(4556),
    [anon_sym_RPAREN] = ACTIONS(4556),
    [anon_sym_LPAREN2] = ACTIONS(4556),
    [anon_sym_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4554),
    [anon_sym_STAR] = ACTIONS(4556),
    [anon_sym_SLASH] = ACTIONS(4554),
    [anon_sym_PERCENT] = ACTIONS(4556),
    [anon_sym_PIPE_PIPE] = ACTIONS(4556),
    [anon_sym_AMP_AMP] = ACTIONS(4556),
    [anon_sym_PIPE] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4556),
    [anon_sym_AMP] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4556),
    [anon_sym_BANG_EQ] = ACTIONS(4556),
    [anon_sym_GT] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4556),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_LT] = ACTIONS(4554),
    [anon_sym_LT_LT] = ACTIONS(4556),
    [anon_sym_GT_GT] = ACTIONS(4556),
    [anon_sym_SEMI] = ACTIONS(4556),
    [anon_sym___extension__] = ACTIONS(4554),
    [anon_sym___attribute__] = ACTIONS(4554),
    [anon_sym_COLON_COLON] = ACTIONS(4556),
    [anon_sym___based] = ACTIONS(4554),
    [anon_sym_LBRACE] = ACTIONS(4556),
    [anon_sym_RBRACE] = ACTIONS(4556),
    [anon_sym_signed] = ACTIONS(4554),
    [anon_sym_unsigned] = ACTIONS(4554),
    [anon_sym_long] = ACTIONS(4554),
    [anon_sym_short] = ACTIONS(4554),
    [anon_sym_LBRACK] = ACTIONS(4556),
    [anon_sym_RBRACK] = ACTIONS(4556),
    [anon_sym_const] = ACTIONS(4554),
    [anon_sym_constexpr] = ACTIONS(4554),
    [anon_sym_volatile] = ACTIONS(4554),
    [anon_sym_restrict] = ACTIONS(4554),
    [anon_sym___restrict__] = ACTIONS(4554),
    [anon_sym__Atomic] = ACTIONS(4554),
    [anon_sym__Noreturn] = ACTIONS(4554),
    [anon_sym_noreturn] = ACTIONS(4554),
    [anon_sym_mutable] = ACTIONS(4554),
    [anon_sym_constinit] = ACTIONS(4554),
    [anon_sym_consteval] = ACTIONS(4554),
    [anon_sym_alignas] = ACTIONS(4554),
    [anon_sym__Alignas] = ACTIONS(4554),
    [sym_primitive_type] = ACTIONS(4554),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(4556),
    [anon_sym_LT_EQ_GT] = ACTIONS(4556),
    [anon_sym_or] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4554),
    [anon_sym_bitor] = ACTIONS(4554),
    [anon_sym_xor] = ACTIONS(4554),
    [anon_sym_bitand] = ACTIONS(4554),
    [anon_sym_not_eq] = ACTIONS(4554),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_DOT] = ACTIONS(4554),
    [anon_sym_DOT_STAR] = ACTIONS(4556),
    [anon_sym_DASH_GT] = ACTIONS(4556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4554),
    [anon_sym_decltype] = ACTIONS(4554),
    [anon_sym_final] = ACTIONS(4554),
    [anon_sym_override] = ACTIONS(4554),
    [anon_sym_requires] = ACTIONS(4554),
  },
  [1626] = {
    [sym_template_argument_list] = STATE(1670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4503),
    [anon_sym_COMMA] = ACTIONS(4503),
    [anon_sym_LPAREN2] = ACTIONS(4503),
    [anon_sym_DASH] = ACTIONS(4508),
    [anon_sym_PLUS] = ACTIONS(4508),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_SLASH] = ACTIONS(4508),
    [anon_sym_PERCENT] = ACTIONS(4508),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4503),
    [anon_sym_PIPE] = ACTIONS(4508),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4508),
    [anon_sym_GT_EQ] = ACTIONS(4508),
    [anon_sym_LT_EQ] = ACTIONS(4508),
    [anon_sym_LT] = ACTIONS(4907),
    [anon_sym_LT_LT] = ACTIONS(4508),
    [anon_sym_GT_GT] = ACTIONS(4508),
    [anon_sym___extension__] = ACTIONS(4506),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(4506),
    [anon_sym_LBRACK] = ACTIONS(4503),
    [anon_sym_EQ] = ACTIONS(4508),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4506),
    [anon_sym_volatile] = ACTIONS(4506),
    [anon_sym_restrict] = ACTIONS(4506),
    [anon_sym___restrict__] = ACTIONS(4506),
    [anon_sym__Atomic] = ACTIONS(4506),
    [anon_sym__Noreturn] = ACTIONS(4506),
    [anon_sym_noreturn] = ACTIONS(4506),
    [anon_sym_mutable] = ACTIONS(4506),
    [anon_sym_constinit] = ACTIONS(4506),
    [anon_sym_consteval] = ACTIONS(4506),
    [anon_sym_alignas] = ACTIONS(4506),
    [anon_sym__Alignas] = ACTIONS(4506),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4508),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4501),
    [anon_sym_or_eq] = ACTIONS(4501),
    [anon_sym_xor_eq] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4508),
    [anon_sym_and] = ACTIONS(4508),
    [anon_sym_bitor] = ACTIONS(4501),
    [anon_sym_xor] = ACTIONS(4508),
    [anon_sym_bitand] = ACTIONS(4501),
    [anon_sym_not_eq] = ACTIONS(4501),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4508),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4506),
    [anon_sym_decltype] = ACTIONS(4506),
    [anon_sym_GT2] = ACTIONS(4503),
  },
  [1627] = {
    [sym_identifier] = ACTIONS(4910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4912),
    [anon_sym_COMMA] = ACTIONS(4912),
    [anon_sym_RPAREN] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(4912),
    [anon_sym_DASH] = ACTIONS(4910),
    [anon_sym_PLUS] = ACTIONS(4910),
    [anon_sym_STAR] = ACTIONS(4912),
    [anon_sym_SLASH] = ACTIONS(4910),
    [anon_sym_PERCENT] = ACTIONS(4912),
    [anon_sym_PIPE_PIPE] = ACTIONS(4912),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_PIPE] = ACTIONS(4910),
    [anon_sym_CARET] = ACTIONS(4912),
    [anon_sym_AMP] = ACTIONS(4910),
    [anon_sym_EQ_EQ] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4912),
    [anon_sym_GT] = ACTIONS(4910),
    [anon_sym_GT_EQ] = ACTIONS(4912),
    [anon_sym_LT_EQ] = ACTIONS(4910),
    [anon_sym_LT] = ACTIONS(4910),
    [anon_sym_LT_LT] = ACTIONS(4912),
    [anon_sym_GT_GT] = ACTIONS(4912),
    [anon_sym_SEMI] = ACTIONS(4912),
    [anon_sym___extension__] = ACTIONS(4910),
    [anon_sym___attribute__] = ACTIONS(4910),
    [anon_sym_COLON_COLON] = ACTIONS(4914),
    [anon_sym___based] = ACTIONS(4910),
    [anon_sym_LBRACE] = ACTIONS(4912),
    [anon_sym_RBRACE] = ACTIONS(4912),
    [anon_sym_signed] = ACTIONS(4910),
    [anon_sym_unsigned] = ACTIONS(4910),
    [anon_sym_long] = ACTIONS(4910),
    [anon_sym_short] = ACTIONS(4910),
    [anon_sym_LBRACK] = ACTIONS(4912),
    [anon_sym_RBRACK] = ACTIONS(4912),
    [anon_sym_const] = ACTIONS(4910),
    [anon_sym_constexpr] = ACTIONS(4910),
    [anon_sym_volatile] = ACTIONS(4910),
    [anon_sym_restrict] = ACTIONS(4910),
    [anon_sym___restrict__] = ACTIONS(4910),
    [anon_sym__Atomic] = ACTIONS(4910),
    [anon_sym__Noreturn] = ACTIONS(4910),
    [anon_sym_noreturn] = ACTIONS(4910),
    [anon_sym_mutable] = ACTIONS(4910),
    [anon_sym_constinit] = ACTIONS(4910),
    [anon_sym_consteval] = ACTIONS(4910),
    [anon_sym_alignas] = ACTIONS(4910),
    [anon_sym__Alignas] = ACTIONS(4910),
    [sym_primitive_type] = ACTIONS(4910),
    [anon_sym_COLON] = ACTIONS(4910),
    [anon_sym_QMARK] = ACTIONS(4912),
    [anon_sym_LT_EQ_GT] = ACTIONS(4912),
    [anon_sym_or] = ACTIONS(4910),
    [anon_sym_and] = ACTIONS(4910),
    [anon_sym_bitor] = ACTIONS(4910),
    [anon_sym_xor] = ACTIONS(4910),
    [anon_sym_bitand] = ACTIONS(4910),
    [anon_sym_not_eq] = ACTIONS(4910),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_DOT] = ACTIONS(4910),
    [anon_sym_DOT_STAR] = ACTIONS(4912),
    [anon_sym_DASH_GT] = ACTIONS(4912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4910),
    [anon_sym_decltype] = ACTIONS(4910),
    [anon_sym_final] = ACTIONS(4910),
    [anon_sym_override] = ACTIONS(4910),
    [anon_sym_requires] = ACTIONS(4910),
  },
  [1628] = {
    [sym__declaration_modifiers] = STATE(1899),
    [sym__declaration_specifiers] = STATE(3918),
    [sym_attribute_specifier] = STATE(1899),
    [sym_attribute_declaration] = STATE(1899),
    [sym_ms_declspec_modifier] = STATE(1899),
    [sym_storage_class_specifier] = STATE(1899),
    [sym_type_qualifier] = STATE(1899),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_parameter_declaration] = STATE(7193),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_optional_parameter_declaration] = STATE(7193),
    [sym_variadic_parameter_declaration] = STATE(7193),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1899),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1852),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1629] = {
    [sym_identifier] = ACTIONS(4916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4918),
    [anon_sym_COMMA] = ACTIONS(4918),
    [anon_sym_RPAREN] = ACTIONS(4918),
    [anon_sym_LPAREN2] = ACTIONS(4918),
    [anon_sym_DASH] = ACTIONS(4916),
    [anon_sym_PLUS] = ACTIONS(4916),
    [anon_sym_STAR] = ACTIONS(4918),
    [anon_sym_SLASH] = ACTIONS(4916),
    [anon_sym_PERCENT] = ACTIONS(4918),
    [anon_sym_PIPE_PIPE] = ACTIONS(4918),
    [anon_sym_AMP_AMP] = ACTIONS(4918),
    [anon_sym_PIPE] = ACTIONS(4916),
    [anon_sym_CARET] = ACTIONS(4918),
    [anon_sym_AMP] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4918),
    [anon_sym_BANG_EQ] = ACTIONS(4918),
    [anon_sym_GT] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4916),
    [anon_sym_LT] = ACTIONS(4916),
    [anon_sym_LT_LT] = ACTIONS(4918),
    [anon_sym_GT_GT] = ACTIONS(4918),
    [anon_sym_SEMI] = ACTIONS(4918),
    [anon_sym___extension__] = ACTIONS(4916),
    [anon_sym___attribute__] = ACTIONS(4916),
    [anon_sym_COLON_COLON] = ACTIONS(4918),
    [anon_sym___based] = ACTIONS(4916),
    [anon_sym_LBRACE] = ACTIONS(4918),
    [anon_sym_RBRACE] = ACTIONS(4918),
    [anon_sym_signed] = ACTIONS(4916),
    [anon_sym_unsigned] = ACTIONS(4916),
    [anon_sym_long] = ACTIONS(4916),
    [anon_sym_short] = ACTIONS(4916),
    [anon_sym_LBRACK] = ACTIONS(4918),
    [anon_sym_RBRACK] = ACTIONS(4918),
    [anon_sym_const] = ACTIONS(4916),
    [anon_sym_constexpr] = ACTIONS(4916),
    [anon_sym_volatile] = ACTIONS(4916),
    [anon_sym_restrict] = ACTIONS(4916),
    [anon_sym___restrict__] = ACTIONS(4916),
    [anon_sym__Atomic] = ACTIONS(4916),
    [anon_sym__Noreturn] = ACTIONS(4916),
    [anon_sym_noreturn] = ACTIONS(4916),
    [anon_sym_mutable] = ACTIONS(4916),
    [anon_sym_constinit] = ACTIONS(4916),
    [anon_sym_consteval] = ACTIONS(4916),
    [anon_sym_alignas] = ACTIONS(4916),
    [anon_sym__Alignas] = ACTIONS(4916),
    [sym_primitive_type] = ACTIONS(4916),
    [anon_sym_COLON] = ACTIONS(4916),
    [anon_sym_QMARK] = ACTIONS(4918),
    [anon_sym_LT_EQ_GT] = ACTIONS(4918),
    [anon_sym_or] = ACTIONS(4916),
    [anon_sym_and] = ACTIONS(4916),
    [anon_sym_bitor] = ACTIONS(4916),
    [anon_sym_xor] = ACTIONS(4916),
    [anon_sym_bitand] = ACTIONS(4916),
    [anon_sym_not_eq] = ACTIONS(4916),
    [anon_sym_DASH_DASH] = ACTIONS(4918),
    [anon_sym_PLUS_PLUS] = ACTIONS(4918),
    [anon_sym_DOT] = ACTIONS(4916),
    [anon_sym_DOT_STAR] = ACTIONS(4918),
    [anon_sym_DASH_GT] = ACTIONS(4918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4916),
    [anon_sym_decltype] = ACTIONS(4916),
    [anon_sym_final] = ACTIONS(4916),
    [anon_sym_override] = ACTIONS(4916),
    [anon_sym_requires] = ACTIONS(4916),
  },
  [1630] = {
    [sym__declaration_modifiers] = STATE(3360),
    [sym_attribute_specifier] = STATE(3360),
    [sym_attribute_declaration] = STATE(3360),
    [sym_ms_declspec_modifier] = STATE(3360),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5855),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3360),
    [sym_type_qualifier] = STATE(3360),
    [sym_alignas_qualifier] = STATE(3026),
    [sym_decltype] = STATE(7635),
    [sym_explicit_function_specifier] = STATE(3360),
    [sym_operator_cast] = STATE(6304),
    [sym__constructor_specifiers] = STATE(3360),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_operator_cast_identifier] = STATE(6304),
    [sym_operator_name] = STATE(5906),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3360),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_extern] = ACTIONS(4893),
    [anon_sym___attribute__] = ACTIONS(4895),
    [anon_sym_COLON_COLON] = ACTIONS(4897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4899),
    [anon_sym___declspec] = ACTIONS(4901),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4893),
    [anon_sym_inline] = ACTIONS(4893),
    [anon_sym___inline] = ACTIONS(4893),
    [anon_sym___inline__] = ACTIONS(4893),
    [anon_sym___forceinline] = ACTIONS(4893),
    [anon_sym_thread_local] = ACTIONS(4893),
    [anon_sym___thread] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4891),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4903),
    [anon_sym__Alignas] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4905),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1631] = {
    [sym__declaration_modifiers] = STATE(3360),
    [sym_attribute_specifier] = STATE(3360),
    [sym_attribute_declaration] = STATE(3360),
    [sym_ms_declspec_modifier] = STATE(3360),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5833),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3360),
    [sym_type_qualifier] = STATE(3360),
    [sym_alignas_qualifier] = STATE(3026),
    [sym_decltype] = STATE(7635),
    [sym_explicit_function_specifier] = STATE(3360),
    [sym_operator_cast] = STATE(6280),
    [sym__constructor_specifiers] = STATE(3360),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_operator_cast_identifier] = STATE(6280),
    [sym_operator_name] = STATE(5906),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3360),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_extern] = ACTIONS(4893),
    [anon_sym___attribute__] = ACTIONS(4895),
    [anon_sym_COLON_COLON] = ACTIONS(4897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4899),
    [anon_sym___declspec] = ACTIONS(4901),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4893),
    [anon_sym_inline] = ACTIONS(4893),
    [anon_sym___inline] = ACTIONS(4893),
    [anon_sym___inline__] = ACTIONS(4893),
    [anon_sym___forceinline] = ACTIONS(4893),
    [anon_sym_thread_local] = ACTIONS(4893),
    [anon_sym___thread] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4891),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4903),
    [anon_sym__Alignas] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4905),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1632] = {
    [sym__declaration_modifiers] = STATE(3360),
    [sym_attribute_specifier] = STATE(3360),
    [sym_attribute_declaration] = STATE(3360),
    [sym_ms_declspec_modifier] = STATE(3360),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5931),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3360),
    [sym_type_qualifier] = STATE(3360),
    [sym_alignas_qualifier] = STATE(3026),
    [sym_decltype] = STATE(7635),
    [sym_explicit_function_specifier] = STATE(3360),
    [sym_operator_cast] = STATE(6323),
    [sym__constructor_specifiers] = STATE(3360),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_operator_cast_identifier] = STATE(6323),
    [sym_operator_name] = STATE(5906),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3360),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_extern] = ACTIONS(4893),
    [anon_sym___attribute__] = ACTIONS(4895),
    [anon_sym_COLON_COLON] = ACTIONS(4897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4899),
    [anon_sym___declspec] = ACTIONS(4901),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4893),
    [anon_sym_inline] = ACTIONS(4893),
    [anon_sym___inline] = ACTIONS(4893),
    [anon_sym___inline__] = ACTIONS(4893),
    [anon_sym___forceinline] = ACTIONS(4893),
    [anon_sym_thread_local] = ACTIONS(4893),
    [anon_sym___thread] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4891),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4903),
    [anon_sym__Alignas] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4905),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1633] = {
    [sym__declaration_modifiers] = STATE(3360),
    [sym_attribute_specifier] = STATE(3360),
    [sym_attribute_declaration] = STATE(3360),
    [sym_ms_declspec_modifier] = STATE(3360),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5811),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3360),
    [sym_type_qualifier] = STATE(3360),
    [sym_alignas_qualifier] = STATE(3026),
    [sym_decltype] = STATE(7635),
    [sym_explicit_function_specifier] = STATE(3360),
    [sym_operator_cast] = STATE(6323),
    [sym__constructor_specifiers] = STATE(3360),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_operator_cast_identifier] = STATE(6323),
    [sym_operator_name] = STATE(5906),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3360),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_extern] = ACTIONS(4893),
    [anon_sym___attribute__] = ACTIONS(4895),
    [anon_sym_COLON_COLON] = ACTIONS(4897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4899),
    [anon_sym___declspec] = ACTIONS(4901),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4893),
    [anon_sym_inline] = ACTIONS(4893),
    [anon_sym___inline] = ACTIONS(4893),
    [anon_sym___inline__] = ACTIONS(4893),
    [anon_sym___forceinline] = ACTIONS(4893),
    [anon_sym_thread_local] = ACTIONS(4893),
    [anon_sym___thread] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4891),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4903),
    [anon_sym__Alignas] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4905),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1634] = {
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4922),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4922),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4922),
    [anon_sym_GT_GT] = ACTIONS(4922),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym_COLON_COLON] = ACTIONS(4914),
    [anon_sym___based] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_RBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(4920),
    [anon_sym_unsigned] = ACTIONS(4920),
    [anon_sym_long] = ACTIONS(4920),
    [anon_sym_short] = ACTIONS(4920),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_RBRACK] = ACTIONS(4922),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [sym_primitive_type] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_final] = ACTIONS(4920),
    [anon_sym_override] = ACTIONS(4920),
    [anon_sym_requires] = ACTIONS(4920),
  },
  [1635] = {
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4922),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4922),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4922),
    [anon_sym_GT_GT] = ACTIONS(4922),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym_COLON_COLON] = ACTIONS(4914),
    [anon_sym___based] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_RBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(4920),
    [anon_sym_unsigned] = ACTIONS(4920),
    [anon_sym_long] = ACTIONS(4920),
    [anon_sym_short] = ACTIONS(4920),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_RBRACK] = ACTIONS(4922),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [sym_primitive_type] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_final] = ACTIONS(4920),
    [anon_sym_override] = ACTIONS(4920),
    [anon_sym_requires] = ACTIONS(4920),
  },
  [1636] = {
    [sym__declaration_modifiers] = STATE(3360),
    [sym_attribute_specifier] = STATE(3360),
    [sym_attribute_declaration] = STATE(3360),
    [sym_ms_declspec_modifier] = STATE(3360),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5807),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3360),
    [sym_type_qualifier] = STATE(3360),
    [sym_alignas_qualifier] = STATE(3026),
    [sym_decltype] = STATE(7635),
    [sym_explicit_function_specifier] = STATE(3360),
    [sym_operator_cast] = STATE(6280),
    [sym__constructor_specifiers] = STATE(3360),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_operator_cast_identifier] = STATE(6280),
    [sym_operator_name] = STATE(5906),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3360),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_extern] = ACTIONS(4893),
    [anon_sym___attribute__] = ACTIONS(4895),
    [anon_sym_COLON_COLON] = ACTIONS(4897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4899),
    [anon_sym___declspec] = ACTIONS(4901),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4893),
    [anon_sym_inline] = ACTIONS(4893),
    [anon_sym___inline] = ACTIONS(4893),
    [anon_sym___inline__] = ACTIONS(4893),
    [anon_sym___forceinline] = ACTIONS(4893),
    [anon_sym_thread_local] = ACTIONS(4893),
    [anon_sym___thread] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4891),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4903),
    [anon_sym__Alignas] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4905),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1637] = {
    [sym__declaration_modifiers] = STATE(3360),
    [sym_attribute_specifier] = STATE(3360),
    [sym_attribute_declaration] = STATE(3360),
    [sym_ms_declspec_modifier] = STATE(3360),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5844),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3360),
    [sym_type_qualifier] = STATE(3360),
    [sym_alignas_qualifier] = STATE(3026),
    [sym_decltype] = STATE(7635),
    [sym_explicit_function_specifier] = STATE(3360),
    [sym_operator_cast] = STATE(6327),
    [sym__constructor_specifiers] = STATE(3360),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_operator_cast_identifier] = STATE(6327),
    [sym_operator_name] = STATE(5906),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3360),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_extern] = ACTIONS(4893),
    [anon_sym___attribute__] = ACTIONS(4895),
    [anon_sym_COLON_COLON] = ACTIONS(4897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4899),
    [anon_sym___declspec] = ACTIONS(4901),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4893),
    [anon_sym_inline] = ACTIONS(4893),
    [anon_sym___inline] = ACTIONS(4893),
    [anon_sym___inline__] = ACTIONS(4893),
    [anon_sym___forceinline] = ACTIONS(4893),
    [anon_sym_thread_local] = ACTIONS(4893),
    [anon_sym___thread] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4891),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4903),
    [anon_sym__Alignas] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4905),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1638] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token2] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [aux_sym_preproc_else_token1] = ACTIONS(2494),
    [aux_sym_preproc_elif_token1] = ACTIONS(2494),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_friend] = ACTIONS(2494),
    [anon_sym_public] = ACTIONS(2494),
    [anon_sym_private] = ACTIONS(2494),
    [anon_sym_protected] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
  },
  [1639] = {
    [sym_identifier] = ACTIONS(4477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LPAREN2] = ACTIONS(4479),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4479),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4479),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_CARET] = ACTIONS(4479),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4479),
    [anon_sym_GT_GT] = ACTIONS(4479),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym___extension__] = ACTIONS(4477),
    [anon_sym___attribute__] = ACTIONS(4477),
    [anon_sym_COLON_COLON] = ACTIONS(4479),
    [anon_sym___based] = ACTIONS(4477),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_signed] = ACTIONS(4477),
    [anon_sym_unsigned] = ACTIONS(4477),
    [anon_sym_long] = ACTIONS(4477),
    [anon_sym_short] = ACTIONS(4477),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_RBRACK] = ACTIONS(4479),
    [anon_sym_const] = ACTIONS(4477),
    [anon_sym_constexpr] = ACTIONS(4477),
    [anon_sym_volatile] = ACTIONS(4477),
    [anon_sym_restrict] = ACTIONS(4477),
    [anon_sym___restrict__] = ACTIONS(4477),
    [anon_sym__Atomic] = ACTIONS(4477),
    [anon_sym__Noreturn] = ACTIONS(4477),
    [anon_sym_noreturn] = ACTIONS(4477),
    [anon_sym_mutable] = ACTIONS(4477),
    [anon_sym_constinit] = ACTIONS(4477),
    [anon_sym_consteval] = ACTIONS(4477),
    [anon_sym_alignas] = ACTIONS(4477),
    [anon_sym__Alignas] = ACTIONS(4477),
    [sym_primitive_type] = ACTIONS(4477),
    [anon_sym_COLON] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4479),
    [anon_sym_LT_EQ_GT] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_bitor] = ACTIONS(4477),
    [anon_sym_xor] = ACTIONS(4477),
    [anon_sym_bitand] = ACTIONS(4477),
    [anon_sym_not_eq] = ACTIONS(4477),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_DOT_STAR] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4477),
    [anon_sym_decltype] = ACTIONS(4477),
    [anon_sym_final] = ACTIONS(4477),
    [anon_sym_override] = ACTIONS(4477),
    [anon_sym_requires] = ACTIONS(4477),
  },
  [1640] = {
    [sym_identifier] = ACTIONS(4550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4552),
    [anon_sym_COMMA] = ACTIONS(4552),
    [anon_sym_RPAREN] = ACTIONS(4552),
    [anon_sym_LPAREN2] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4550),
    [anon_sym_PLUS] = ACTIONS(4550),
    [anon_sym_STAR] = ACTIONS(4552),
    [anon_sym_SLASH] = ACTIONS(4550),
    [anon_sym_PERCENT] = ACTIONS(4552),
    [anon_sym_PIPE_PIPE] = ACTIONS(4552),
    [anon_sym_AMP_AMP] = ACTIONS(4552),
    [anon_sym_PIPE] = ACTIONS(4550),
    [anon_sym_CARET] = ACTIONS(4552),
    [anon_sym_AMP] = ACTIONS(4550),
    [anon_sym_EQ_EQ] = ACTIONS(4552),
    [anon_sym_BANG_EQ] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4550),
    [anon_sym_GT_EQ] = ACTIONS(4552),
    [anon_sym_LT_EQ] = ACTIONS(4550),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_LT_LT] = ACTIONS(4552),
    [anon_sym_GT_GT] = ACTIONS(4552),
    [anon_sym_SEMI] = ACTIONS(4552),
    [anon_sym___extension__] = ACTIONS(4550),
    [anon_sym___attribute__] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(4552),
    [anon_sym___based] = ACTIONS(4550),
    [anon_sym_LBRACE] = ACTIONS(4552),
    [anon_sym_RBRACE] = ACTIONS(4552),
    [anon_sym_signed] = ACTIONS(4550),
    [anon_sym_unsigned] = ACTIONS(4550),
    [anon_sym_long] = ACTIONS(4550),
    [anon_sym_short] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4552),
    [anon_sym_RBRACK] = ACTIONS(4552),
    [anon_sym_const] = ACTIONS(4550),
    [anon_sym_constexpr] = ACTIONS(4550),
    [anon_sym_volatile] = ACTIONS(4550),
    [anon_sym_restrict] = ACTIONS(4550),
    [anon_sym___restrict__] = ACTIONS(4550),
    [anon_sym__Atomic] = ACTIONS(4550),
    [anon_sym__Noreturn] = ACTIONS(4550),
    [anon_sym_noreturn] = ACTIONS(4550),
    [anon_sym_mutable] = ACTIONS(4550),
    [anon_sym_constinit] = ACTIONS(4550),
    [anon_sym_consteval] = ACTIONS(4550),
    [anon_sym_alignas] = ACTIONS(4550),
    [anon_sym__Alignas] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(4550),
    [anon_sym_COLON] = ACTIONS(4550),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_LT_EQ_GT] = ACTIONS(4552),
    [anon_sym_or] = ACTIONS(4550),
    [anon_sym_and] = ACTIONS(4550),
    [anon_sym_bitor] = ACTIONS(4550),
    [anon_sym_xor] = ACTIONS(4550),
    [anon_sym_bitand] = ACTIONS(4550),
    [anon_sym_not_eq] = ACTIONS(4550),
    [anon_sym_DASH_DASH] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4552),
    [anon_sym_DOT] = ACTIONS(4550),
    [anon_sym_DOT_STAR] = ACTIONS(4552),
    [anon_sym_DASH_GT] = ACTIONS(4552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4550),
    [anon_sym_decltype] = ACTIONS(4550),
    [anon_sym_final] = ACTIONS(4550),
    [anon_sym_override] = ACTIONS(4550),
    [anon_sym_requires] = ACTIONS(4550),
  },
  [1641] = {
    [sym__declaration_modifiers] = STATE(3360),
    [sym_attribute_specifier] = STATE(3360),
    [sym_attribute_declaration] = STATE(3360),
    [sym_ms_declspec_modifier] = STATE(3360),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5820),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3360),
    [sym_type_qualifier] = STATE(3360),
    [sym_alignas_qualifier] = STATE(3026),
    [sym_decltype] = STATE(7635),
    [sym_explicit_function_specifier] = STATE(3360),
    [sym_operator_cast] = STATE(6327),
    [sym__constructor_specifiers] = STATE(3360),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_operator_cast_identifier] = STATE(6327),
    [sym_operator_name] = STATE(5906),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3360),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_extern] = ACTIONS(4893),
    [anon_sym___attribute__] = ACTIONS(4895),
    [anon_sym_COLON_COLON] = ACTIONS(4897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4899),
    [anon_sym___declspec] = ACTIONS(4901),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4893),
    [anon_sym_inline] = ACTIONS(4893),
    [anon_sym___inline] = ACTIONS(4893),
    [anon_sym___inline__] = ACTIONS(4893),
    [anon_sym___forceinline] = ACTIONS(4893),
    [anon_sym_thread_local] = ACTIONS(4893),
    [anon_sym___thread] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4891),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4903),
    [anon_sym__Alignas] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4905),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1642] = {
    [sym_identifier] = ACTIONS(4546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4548),
    [anon_sym_COMMA] = ACTIONS(4548),
    [anon_sym_RPAREN] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(4548),
    [anon_sym_DASH] = ACTIONS(4546),
    [anon_sym_PLUS] = ACTIONS(4546),
    [anon_sym_STAR] = ACTIONS(4548),
    [anon_sym_SLASH] = ACTIONS(4546),
    [anon_sym_PERCENT] = ACTIONS(4548),
    [anon_sym_PIPE_PIPE] = ACTIONS(4548),
    [anon_sym_AMP_AMP] = ACTIONS(4548),
    [anon_sym_PIPE] = ACTIONS(4546),
    [anon_sym_CARET] = ACTIONS(4548),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_EQ_EQ] = ACTIONS(4548),
    [anon_sym_BANG_EQ] = ACTIONS(4548),
    [anon_sym_GT] = ACTIONS(4546),
    [anon_sym_GT_EQ] = ACTIONS(4548),
    [anon_sym_LT_EQ] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4546),
    [anon_sym_LT_LT] = ACTIONS(4548),
    [anon_sym_GT_GT] = ACTIONS(4548),
    [anon_sym_SEMI] = ACTIONS(4548),
    [anon_sym___extension__] = ACTIONS(4546),
    [anon_sym___attribute__] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(4548),
    [anon_sym___based] = ACTIONS(4546),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_RBRACE] = ACTIONS(4548),
    [anon_sym_signed] = ACTIONS(4546),
    [anon_sym_unsigned] = ACTIONS(4546),
    [anon_sym_long] = ACTIONS(4546),
    [anon_sym_short] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4548),
    [anon_sym_RBRACK] = ACTIONS(4548),
    [anon_sym_const] = ACTIONS(4546),
    [anon_sym_constexpr] = ACTIONS(4546),
    [anon_sym_volatile] = ACTIONS(4546),
    [anon_sym_restrict] = ACTIONS(4546),
    [anon_sym___restrict__] = ACTIONS(4546),
    [anon_sym__Atomic] = ACTIONS(4546),
    [anon_sym__Noreturn] = ACTIONS(4546),
    [anon_sym_noreturn] = ACTIONS(4546),
    [anon_sym_mutable] = ACTIONS(4546),
    [anon_sym_constinit] = ACTIONS(4546),
    [anon_sym_consteval] = ACTIONS(4546),
    [anon_sym_alignas] = ACTIONS(4546),
    [anon_sym__Alignas] = ACTIONS(4546),
    [sym_primitive_type] = ACTIONS(4546),
    [anon_sym_COLON] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4548),
    [anon_sym_LT_EQ_GT] = ACTIONS(4548),
    [anon_sym_or] = ACTIONS(4546),
    [anon_sym_and] = ACTIONS(4546),
    [anon_sym_bitor] = ACTIONS(4546),
    [anon_sym_xor] = ACTIONS(4546),
    [anon_sym_bitand] = ACTIONS(4546),
    [anon_sym_not_eq] = ACTIONS(4546),
    [anon_sym_DASH_DASH] = ACTIONS(4548),
    [anon_sym_PLUS_PLUS] = ACTIONS(4548),
    [anon_sym_DOT] = ACTIONS(4546),
    [anon_sym_DOT_STAR] = ACTIONS(4548),
    [anon_sym_DASH_GT] = ACTIONS(4548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4546),
    [anon_sym_decltype] = ACTIONS(4546),
    [anon_sym_final] = ACTIONS(4546),
    [anon_sym_override] = ACTIONS(4546),
    [anon_sym_requires] = ACTIONS(4546),
  },
  [1643] = {
    [sym__declaration_modifiers] = STATE(3360),
    [sym_attribute_specifier] = STATE(3360),
    [sym_attribute_declaration] = STATE(3360),
    [sym_ms_declspec_modifier] = STATE(3360),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5717),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3360),
    [sym_type_qualifier] = STATE(3360),
    [sym_alignas_qualifier] = STATE(3026),
    [sym_decltype] = STATE(7635),
    [sym_explicit_function_specifier] = STATE(3360),
    [sym_operator_cast] = STATE(6304),
    [sym__constructor_specifiers] = STATE(3360),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_operator_cast_identifier] = STATE(6304),
    [sym_operator_name] = STATE(5906),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3360),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_extern] = ACTIONS(4893),
    [anon_sym___attribute__] = ACTIONS(4895),
    [anon_sym_COLON_COLON] = ACTIONS(4897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4899),
    [anon_sym___declspec] = ACTIONS(4901),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4893),
    [anon_sym_inline] = ACTIONS(4893),
    [anon_sym___inline] = ACTIONS(4893),
    [anon_sym___inline__] = ACTIONS(4893),
    [anon_sym___forceinline] = ACTIONS(4893),
    [anon_sym_thread_local] = ACTIONS(4893),
    [anon_sym___thread] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4891),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4903),
    [anon_sym__Alignas] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4905),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1644] = {
    [sym__declaration_modifiers] = STATE(3360),
    [sym_attribute_specifier] = STATE(3360),
    [sym_attribute_declaration] = STATE(3360),
    [sym_ms_declspec_modifier] = STATE(3360),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5766),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3360),
    [sym_type_qualifier] = STATE(3360),
    [sym_alignas_qualifier] = STATE(3026),
    [sym_decltype] = STATE(7635),
    [sym_explicit_function_specifier] = STATE(3360),
    [sym_operator_cast] = STATE(6313),
    [sym__constructor_specifiers] = STATE(3360),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_operator_cast_identifier] = STATE(6313),
    [sym_operator_name] = STATE(5906),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3360),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_extern] = ACTIONS(4893),
    [anon_sym___attribute__] = ACTIONS(4895),
    [anon_sym_COLON_COLON] = ACTIONS(4897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4899),
    [anon_sym___declspec] = ACTIONS(4901),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4893),
    [anon_sym_inline] = ACTIONS(4893),
    [anon_sym___inline] = ACTIONS(4893),
    [anon_sym___inline__] = ACTIONS(4893),
    [anon_sym___forceinline] = ACTIONS(4893),
    [anon_sym_thread_local] = ACTIONS(4893),
    [anon_sym___thread] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4891),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4903),
    [anon_sym__Alignas] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4905),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1645] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_COMMA] = ACTIONS(4580),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym___extension__] = ACTIONS(4585),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4582),
    [anon_sym_EQ] = ACTIONS(4587),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4585),
    [anon_sym_volatile] = ACTIONS(4585),
    [anon_sym_restrict] = ACTIONS(4585),
    [anon_sym___restrict__] = ACTIONS(4585),
    [anon_sym__Atomic] = ACTIONS(4585),
    [anon_sym__Noreturn] = ACTIONS(4585),
    [anon_sym_noreturn] = ACTIONS(4585),
    [anon_sym_mutable] = ACTIONS(4585),
    [anon_sym_constinit] = ACTIONS(4585),
    [anon_sym_consteval] = ACTIONS(4585),
    [anon_sym_alignas] = ACTIONS(4585),
    [anon_sym__Alignas] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4580),
    [anon_sym_or_eq] = ACTIONS(4580),
    [anon_sym_xor_eq] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4580),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4580),
    [anon_sym_not_eq] = ACTIONS(4580),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4585),
    [anon_sym_decltype] = ACTIONS(4585),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4580),
  },
  [1646] = {
    [sym_identifier] = ACTIONS(4534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LPAREN2] = ACTIONS(4536),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4536),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_CARET] = ACTIONS(4536),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4536),
    [anon_sym_GT_GT] = ACTIONS(4536),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym___extension__] = ACTIONS(4534),
    [anon_sym___attribute__] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(4536),
    [anon_sym___based] = ACTIONS(4534),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_signed] = ACTIONS(4534),
    [anon_sym_unsigned] = ACTIONS(4534),
    [anon_sym_long] = ACTIONS(4534),
    [anon_sym_short] = ACTIONS(4534),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_RBRACK] = ACTIONS(4536),
    [anon_sym_const] = ACTIONS(4534),
    [anon_sym_constexpr] = ACTIONS(4534),
    [anon_sym_volatile] = ACTIONS(4534),
    [anon_sym_restrict] = ACTIONS(4534),
    [anon_sym___restrict__] = ACTIONS(4534),
    [anon_sym__Atomic] = ACTIONS(4534),
    [anon_sym__Noreturn] = ACTIONS(4534),
    [anon_sym_noreturn] = ACTIONS(4534),
    [anon_sym_mutable] = ACTIONS(4534),
    [anon_sym_constinit] = ACTIONS(4534),
    [anon_sym_consteval] = ACTIONS(4534),
    [anon_sym_alignas] = ACTIONS(4534),
    [anon_sym__Alignas] = ACTIONS(4534),
    [sym_primitive_type] = ACTIONS(4534),
    [anon_sym_COLON] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_LT_EQ_GT] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_bitor] = ACTIONS(4534),
    [anon_sym_xor] = ACTIONS(4534),
    [anon_sym_bitand] = ACTIONS(4534),
    [anon_sym_not_eq] = ACTIONS(4534),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_DOT_STAR] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4534),
    [anon_sym_decltype] = ACTIONS(4534),
    [anon_sym_final] = ACTIONS(4534),
    [anon_sym_override] = ACTIONS(4534),
    [anon_sym_requires] = ACTIONS(4534),
  },
  [1647] = {
    [sym_identifier] = ACTIONS(4538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4540),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4540),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_CARET] = ACTIONS(4540),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4540),
    [anon_sym_GT_GT] = ACTIONS(4540),
    [anon_sym_SEMI] = ACTIONS(4540),
    [anon_sym___extension__] = ACTIONS(4538),
    [anon_sym___attribute__] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(4540),
    [anon_sym___based] = ACTIONS(4538),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4540),
    [anon_sym_signed] = ACTIONS(4538),
    [anon_sym_unsigned] = ACTIONS(4538),
    [anon_sym_long] = ACTIONS(4538),
    [anon_sym_short] = ACTIONS(4538),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_RBRACK] = ACTIONS(4540),
    [anon_sym_const] = ACTIONS(4538),
    [anon_sym_constexpr] = ACTIONS(4538),
    [anon_sym_volatile] = ACTIONS(4538),
    [anon_sym_restrict] = ACTIONS(4538),
    [anon_sym___restrict__] = ACTIONS(4538),
    [anon_sym__Atomic] = ACTIONS(4538),
    [anon_sym__Noreturn] = ACTIONS(4538),
    [anon_sym_noreturn] = ACTIONS(4538),
    [anon_sym_mutable] = ACTIONS(4538),
    [anon_sym_constinit] = ACTIONS(4538),
    [anon_sym_consteval] = ACTIONS(4538),
    [anon_sym_alignas] = ACTIONS(4538),
    [anon_sym__Alignas] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(4538),
    [anon_sym_COLON] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4540),
    [anon_sym_LT_EQ_GT] = ACTIONS(4540),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_bitor] = ACTIONS(4538),
    [anon_sym_xor] = ACTIONS(4538),
    [anon_sym_bitand] = ACTIONS(4538),
    [anon_sym_not_eq] = ACTIONS(4538),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_DOT_STAR] = ACTIONS(4540),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4538),
    [anon_sym_decltype] = ACTIONS(4538),
    [anon_sym_final] = ACTIONS(4538),
    [anon_sym_override] = ACTIONS(4538),
    [anon_sym_requires] = ACTIONS(4538),
  },
  [1648] = {
    [sym_identifier] = ACTIONS(4542),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4544),
    [anon_sym_COMMA] = ACTIONS(4544),
    [anon_sym_RPAREN] = ACTIONS(4544),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_DASH] = ACTIONS(4542),
    [anon_sym_PLUS] = ACTIONS(4542),
    [anon_sym_STAR] = ACTIONS(4544),
    [anon_sym_SLASH] = ACTIONS(4542),
    [anon_sym_PERCENT] = ACTIONS(4544),
    [anon_sym_PIPE_PIPE] = ACTIONS(4544),
    [anon_sym_AMP_AMP] = ACTIONS(4544),
    [anon_sym_PIPE] = ACTIONS(4542),
    [anon_sym_CARET] = ACTIONS(4544),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_EQ_EQ] = ACTIONS(4544),
    [anon_sym_BANG_EQ] = ACTIONS(4544),
    [anon_sym_GT] = ACTIONS(4542),
    [anon_sym_GT_EQ] = ACTIONS(4544),
    [anon_sym_LT_EQ] = ACTIONS(4542),
    [anon_sym_LT] = ACTIONS(4542),
    [anon_sym_LT_LT] = ACTIONS(4544),
    [anon_sym_GT_GT] = ACTIONS(4544),
    [anon_sym_SEMI] = ACTIONS(4544),
    [anon_sym___extension__] = ACTIONS(4542),
    [anon_sym___attribute__] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(4544),
    [anon_sym___based] = ACTIONS(4542),
    [anon_sym_LBRACE] = ACTIONS(4544),
    [anon_sym_RBRACE] = ACTIONS(4544),
    [anon_sym_signed] = ACTIONS(4542),
    [anon_sym_unsigned] = ACTIONS(4542),
    [anon_sym_long] = ACTIONS(4542),
    [anon_sym_short] = ACTIONS(4542),
    [anon_sym_LBRACK] = ACTIONS(4544),
    [anon_sym_RBRACK] = ACTIONS(4544),
    [anon_sym_const] = ACTIONS(4542),
    [anon_sym_constexpr] = ACTIONS(4542),
    [anon_sym_volatile] = ACTIONS(4542),
    [anon_sym_restrict] = ACTIONS(4542),
    [anon_sym___restrict__] = ACTIONS(4542),
    [anon_sym__Atomic] = ACTIONS(4542),
    [anon_sym__Noreturn] = ACTIONS(4542),
    [anon_sym_noreturn] = ACTIONS(4542),
    [anon_sym_mutable] = ACTIONS(4542),
    [anon_sym_constinit] = ACTIONS(4542),
    [anon_sym_consteval] = ACTIONS(4542),
    [anon_sym_alignas] = ACTIONS(4542),
    [anon_sym__Alignas] = ACTIONS(4542),
    [sym_primitive_type] = ACTIONS(4542),
    [anon_sym_COLON] = ACTIONS(4542),
    [anon_sym_QMARK] = ACTIONS(4544),
    [anon_sym_LT_EQ_GT] = ACTIONS(4544),
    [anon_sym_or] = ACTIONS(4542),
    [anon_sym_and] = ACTIONS(4542),
    [anon_sym_bitor] = ACTIONS(4542),
    [anon_sym_xor] = ACTIONS(4542),
    [anon_sym_bitand] = ACTIONS(4542),
    [anon_sym_not_eq] = ACTIONS(4542),
    [anon_sym_DASH_DASH] = ACTIONS(4544),
    [anon_sym_PLUS_PLUS] = ACTIONS(4544),
    [anon_sym_DOT] = ACTIONS(4542),
    [anon_sym_DOT_STAR] = ACTIONS(4544),
    [anon_sym_DASH_GT] = ACTIONS(4544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4542),
    [anon_sym_decltype] = ACTIONS(4542),
    [anon_sym_final] = ACTIONS(4542),
    [anon_sym_override] = ACTIONS(4542),
    [anon_sym_requires] = ACTIONS(4542),
  },
  [1649] = {
    [sym_identifier] = ACTIONS(4924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4926),
    [anon_sym_COMMA] = ACTIONS(4926),
    [anon_sym_RPAREN] = ACTIONS(4926),
    [anon_sym_LPAREN2] = ACTIONS(4926),
    [anon_sym_DASH] = ACTIONS(4924),
    [anon_sym_PLUS] = ACTIONS(4924),
    [anon_sym_STAR] = ACTIONS(4926),
    [anon_sym_SLASH] = ACTIONS(4924),
    [anon_sym_PERCENT] = ACTIONS(4926),
    [anon_sym_PIPE_PIPE] = ACTIONS(4926),
    [anon_sym_AMP_AMP] = ACTIONS(4926),
    [anon_sym_PIPE] = ACTIONS(4924),
    [anon_sym_CARET] = ACTIONS(4926),
    [anon_sym_AMP] = ACTIONS(4924),
    [anon_sym_EQ_EQ] = ACTIONS(4926),
    [anon_sym_BANG_EQ] = ACTIONS(4926),
    [anon_sym_GT] = ACTIONS(4924),
    [anon_sym_GT_EQ] = ACTIONS(4926),
    [anon_sym_LT_EQ] = ACTIONS(4924),
    [anon_sym_LT] = ACTIONS(4924),
    [anon_sym_LT_LT] = ACTIONS(4926),
    [anon_sym_GT_GT] = ACTIONS(4926),
    [anon_sym_SEMI] = ACTIONS(4926),
    [anon_sym___extension__] = ACTIONS(4924),
    [anon_sym___attribute__] = ACTIONS(4924),
    [anon_sym_COLON_COLON] = ACTIONS(4914),
    [anon_sym___based] = ACTIONS(4924),
    [anon_sym_LBRACE] = ACTIONS(4926),
    [anon_sym_RBRACE] = ACTIONS(4926),
    [anon_sym_signed] = ACTIONS(4924),
    [anon_sym_unsigned] = ACTIONS(4924),
    [anon_sym_long] = ACTIONS(4924),
    [anon_sym_short] = ACTIONS(4924),
    [anon_sym_LBRACK] = ACTIONS(4926),
    [anon_sym_RBRACK] = ACTIONS(4926),
    [anon_sym_const] = ACTIONS(4924),
    [anon_sym_constexpr] = ACTIONS(4924),
    [anon_sym_volatile] = ACTIONS(4924),
    [anon_sym_restrict] = ACTIONS(4924),
    [anon_sym___restrict__] = ACTIONS(4924),
    [anon_sym__Atomic] = ACTIONS(4924),
    [anon_sym__Noreturn] = ACTIONS(4924),
    [anon_sym_noreturn] = ACTIONS(4924),
    [anon_sym_mutable] = ACTIONS(4924),
    [anon_sym_constinit] = ACTIONS(4924),
    [anon_sym_consteval] = ACTIONS(4924),
    [anon_sym_alignas] = ACTIONS(4924),
    [anon_sym__Alignas] = ACTIONS(4924),
    [sym_primitive_type] = ACTIONS(4924),
    [anon_sym_COLON] = ACTIONS(4924),
    [anon_sym_QMARK] = ACTIONS(4926),
    [anon_sym_LT_EQ_GT] = ACTIONS(4926),
    [anon_sym_or] = ACTIONS(4924),
    [anon_sym_and] = ACTIONS(4924),
    [anon_sym_bitor] = ACTIONS(4924),
    [anon_sym_xor] = ACTIONS(4924),
    [anon_sym_bitand] = ACTIONS(4924),
    [anon_sym_not_eq] = ACTIONS(4924),
    [anon_sym_DASH_DASH] = ACTIONS(4926),
    [anon_sym_PLUS_PLUS] = ACTIONS(4926),
    [anon_sym_DOT] = ACTIONS(4924),
    [anon_sym_DOT_STAR] = ACTIONS(4926),
    [anon_sym_DASH_GT] = ACTIONS(4926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4924),
    [anon_sym_decltype] = ACTIONS(4924),
    [anon_sym_final] = ACTIONS(4924),
    [anon_sym_override] = ACTIONS(4924),
    [anon_sym_requires] = ACTIONS(4924),
  },
  [1650] = {
    [sym_identifier] = ACTIONS(4928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(4930),
    [anon_sym_RPAREN] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(4930),
    [anon_sym_DASH] = ACTIONS(4928),
    [anon_sym_PLUS] = ACTIONS(4928),
    [anon_sym_STAR] = ACTIONS(4930),
    [anon_sym_SLASH] = ACTIONS(4928),
    [anon_sym_PERCENT] = ACTIONS(4930),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_PIPE] = ACTIONS(4928),
    [anon_sym_CARET] = ACTIONS(4930),
    [anon_sym_AMP] = ACTIONS(4928),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4928),
    [anon_sym_GT_EQ] = ACTIONS(4930),
    [anon_sym_LT_EQ] = ACTIONS(4928),
    [anon_sym_LT] = ACTIONS(4928),
    [anon_sym_LT_LT] = ACTIONS(4930),
    [anon_sym_GT_GT] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(4930),
    [anon_sym___extension__] = ACTIONS(4928),
    [anon_sym___attribute__] = ACTIONS(4928),
    [anon_sym_COLON_COLON] = ACTIONS(4930),
    [anon_sym___based] = ACTIONS(4928),
    [anon_sym_LBRACE] = ACTIONS(4930),
    [anon_sym_RBRACE] = ACTIONS(4930),
    [anon_sym_signed] = ACTIONS(4928),
    [anon_sym_unsigned] = ACTIONS(4928),
    [anon_sym_long] = ACTIONS(4928),
    [anon_sym_short] = ACTIONS(4928),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [anon_sym_const] = ACTIONS(4928),
    [anon_sym_constexpr] = ACTIONS(4928),
    [anon_sym_volatile] = ACTIONS(4928),
    [anon_sym_restrict] = ACTIONS(4928),
    [anon_sym___restrict__] = ACTIONS(4928),
    [anon_sym__Atomic] = ACTIONS(4928),
    [anon_sym__Noreturn] = ACTIONS(4928),
    [anon_sym_noreturn] = ACTIONS(4928),
    [anon_sym_mutable] = ACTIONS(4928),
    [anon_sym_constinit] = ACTIONS(4928),
    [anon_sym_consteval] = ACTIONS(4928),
    [anon_sym_alignas] = ACTIONS(4928),
    [anon_sym__Alignas] = ACTIONS(4928),
    [sym_primitive_type] = ACTIONS(4928),
    [anon_sym_COLON] = ACTIONS(4928),
    [anon_sym_QMARK] = ACTIONS(4930),
    [anon_sym_LT_EQ_GT] = ACTIONS(4930),
    [anon_sym_or] = ACTIONS(4928),
    [anon_sym_and] = ACTIONS(4928),
    [anon_sym_bitor] = ACTIONS(4928),
    [anon_sym_xor] = ACTIONS(4928),
    [anon_sym_bitand] = ACTIONS(4928),
    [anon_sym_not_eq] = ACTIONS(4928),
    [anon_sym_DASH_DASH] = ACTIONS(4930),
    [anon_sym_PLUS_PLUS] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4928),
    [anon_sym_DOT_STAR] = ACTIONS(4930),
    [anon_sym_DASH_GT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4928),
    [anon_sym_decltype] = ACTIONS(4928),
    [anon_sym_final] = ACTIONS(4928),
    [anon_sym_override] = ACTIONS(4928),
    [anon_sym_requires] = ACTIONS(4928),
  },
  [1651] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [aux_sym_preproc_else_token1] = ACTIONS(1878),
    [aux_sym_preproc_elif_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
  },
  [1652] = {
    [sym__declaration_modifiers] = STATE(3360),
    [sym_attribute_specifier] = STATE(3360),
    [sym_attribute_declaration] = STATE(3360),
    [sym_ms_declspec_modifier] = STATE(3360),
    [sym_ms_based_modifier] = STATE(7782),
    [sym__declarator] = STATE(6246),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_function_declarator] = STATE(5774),
    [sym_array_declarator] = STATE(5906),
    [sym_storage_class_specifier] = STATE(3360),
    [sym_type_qualifier] = STATE(3360),
    [sym_alignas_qualifier] = STATE(3026),
    [sym_decltype] = STATE(7635),
    [sym_explicit_function_specifier] = STATE(3360),
    [sym_operator_cast] = STATE(6325),
    [sym__constructor_specifiers] = STATE(3360),
    [sym_reference_declarator] = STATE(5906),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5174),
    [sym_qualified_identifier] = STATE(5906),
    [sym_qualified_operator_cast_identifier] = STATE(6325),
    [sym_operator_name] = STATE(5906),
    [aux_sym_operator_cast_definition_repeat1] = STATE(3360),
    [sym_identifier] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym___extension__] = ACTIONS(4891),
    [anon_sym_extern] = ACTIONS(4893),
    [anon_sym___attribute__] = ACTIONS(4895),
    [anon_sym_COLON_COLON] = ACTIONS(4897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4899),
    [anon_sym___declspec] = ACTIONS(4901),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(4893),
    [anon_sym_register] = ACTIONS(4893),
    [anon_sym_inline] = ACTIONS(4893),
    [anon_sym___inline] = ACTIONS(4893),
    [anon_sym___inline__] = ACTIONS(4893),
    [anon_sym___forceinline] = ACTIONS(4893),
    [anon_sym_thread_local] = ACTIONS(4893),
    [anon_sym___thread] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4891),
    [anon_sym_constexpr] = ACTIONS(4891),
    [anon_sym_volatile] = ACTIONS(4891),
    [anon_sym_restrict] = ACTIONS(4891),
    [anon_sym___restrict__] = ACTIONS(4891),
    [anon_sym__Atomic] = ACTIONS(4891),
    [anon_sym__Noreturn] = ACTIONS(4891),
    [anon_sym_noreturn] = ACTIONS(4891),
    [anon_sym_mutable] = ACTIONS(4891),
    [anon_sym_constinit] = ACTIONS(4891),
    [anon_sym_consteval] = ACTIONS(4891),
    [anon_sym_alignas] = ACTIONS(4903),
    [anon_sym__Alignas] = ACTIONS(4903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [sym_virtual] = ACTIONS(4905),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(131),
  },
  [1653] = {
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token2] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [aux_sym_preproc_else_token1] = ACTIONS(1882),
    [aux_sym_preproc_elif_token1] = ACTIONS(1882),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_friend] = ACTIONS(1882),
    [anon_sym_public] = ACTIONS(1882),
    [anon_sym_private] = ACTIONS(1882),
    [anon_sym_protected] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
  },
  [1654] = {
    [sym_identifier] = ACTIONS(4932),
    [aux_sym_preproc_def_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token2] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4932),
    [aux_sym_preproc_else_token1] = ACTIONS(4932),
    [aux_sym_preproc_elif_token1] = ACTIONS(4932),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4932),
    [sym_preproc_directive] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4934),
    [anon_sym_TILDE] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4934),
    [anon_sym_AMP_AMP] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(4932),
    [anon_sym_typedef] = ACTIONS(4932),
    [anon_sym_extern] = ACTIONS(4932),
    [anon_sym___attribute__] = ACTIONS(4932),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4934),
    [anon_sym___declspec] = ACTIONS(4932),
    [anon_sym___based] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4932),
    [anon_sym_unsigned] = ACTIONS(4932),
    [anon_sym_long] = ACTIONS(4932),
    [anon_sym_short] = ACTIONS(4932),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_static] = ACTIONS(4932),
    [anon_sym_register] = ACTIONS(4932),
    [anon_sym_inline] = ACTIONS(4932),
    [anon_sym___inline] = ACTIONS(4932),
    [anon_sym___inline__] = ACTIONS(4932),
    [anon_sym___forceinline] = ACTIONS(4932),
    [anon_sym_thread_local] = ACTIONS(4932),
    [anon_sym___thread] = ACTIONS(4932),
    [anon_sym_const] = ACTIONS(4932),
    [anon_sym_constexpr] = ACTIONS(4932),
    [anon_sym_volatile] = ACTIONS(4932),
    [anon_sym_restrict] = ACTIONS(4932),
    [anon_sym___restrict__] = ACTIONS(4932),
    [anon_sym__Atomic] = ACTIONS(4932),
    [anon_sym__Noreturn] = ACTIONS(4932),
    [anon_sym_noreturn] = ACTIONS(4932),
    [anon_sym_mutable] = ACTIONS(4932),
    [anon_sym_constinit] = ACTIONS(4932),
    [anon_sym_consteval] = ACTIONS(4932),
    [anon_sym_alignas] = ACTIONS(4932),
    [anon_sym__Alignas] = ACTIONS(4932),
    [sym_primitive_type] = ACTIONS(4932),
    [anon_sym_enum] = ACTIONS(4932),
    [anon_sym_class] = ACTIONS(4932),
    [anon_sym_struct] = ACTIONS(4932),
    [anon_sym_union] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4932),
    [anon_sym_decltype] = ACTIONS(4932),
    [sym_virtual] = ACTIONS(4932),
    [anon_sym_explicit] = ACTIONS(4932),
    [anon_sym_typename] = ACTIONS(4932),
    [anon_sym_template] = ACTIONS(4932),
    [anon_sym_operator] = ACTIONS(4932),
    [anon_sym_friend] = ACTIONS(4932),
    [anon_sym_public] = ACTIONS(4932),
    [anon_sym_private] = ACTIONS(4932),
    [anon_sym_protected] = ACTIONS(4932),
    [anon_sym_using] = ACTIONS(4932),
    [anon_sym_static_assert] = ACTIONS(4932),
  },
  [1655] = {
    [sym_identifier] = ACTIONS(2620),
    [aux_sym_preproc_def_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token2] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2620),
    [aux_sym_preproc_else_token1] = ACTIONS(2620),
    [aux_sym_preproc_elif_token1] = ACTIONS(2620),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2620),
    [sym_preproc_directive] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym___based] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_explicit] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_operator] = ACTIONS(2620),
    [anon_sym_friend] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(2620),
    [anon_sym_static_assert] = ACTIONS(2620),
  },
  [1656] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [aux_sym_preproc_else_token1] = ACTIONS(2740),
    [aux_sym_preproc_elif_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_friend] = ACTIONS(2740),
    [anon_sym_public] = ACTIONS(2740),
    [anon_sym_private] = ACTIONS(2740),
    [anon_sym_protected] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
  },
  [1657] = {
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token2] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [aux_sym_preproc_else_token1] = ACTIONS(2526),
    [aux_sym_preproc_elif_token1] = ACTIONS(2526),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [sym_virtual] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_friend] = ACTIONS(2526),
    [anon_sym_public] = ACTIONS(2526),
    [anon_sym_private] = ACTIONS(2526),
    [anon_sym_protected] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
  },
  [1658] = {
    [sym_identifier] = ACTIONS(2779),
    [aux_sym_preproc_def_token1] = ACTIONS(2779),
    [aux_sym_preproc_if_token1] = ACTIONS(2779),
    [aux_sym_preproc_if_token2] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2779),
    [aux_sym_preproc_else_token1] = ACTIONS(2779),
    [aux_sym_preproc_elif_token1] = ACTIONS(2779),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2779),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2779),
    [sym_preproc_directive] = ACTIONS(2779),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2779),
    [anon_sym_typedef] = ACTIONS(2779),
    [anon_sym_extern] = ACTIONS(2779),
    [anon_sym___attribute__] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2781),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2781),
    [anon_sym___declspec] = ACTIONS(2779),
    [anon_sym___based] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2779),
    [anon_sym_unsigned] = ACTIONS(2779),
    [anon_sym_long] = ACTIONS(2779),
    [anon_sym_short] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_static] = ACTIONS(2779),
    [anon_sym_register] = ACTIONS(2779),
    [anon_sym_inline] = ACTIONS(2779),
    [anon_sym___inline] = ACTIONS(2779),
    [anon_sym___inline__] = ACTIONS(2779),
    [anon_sym___forceinline] = ACTIONS(2779),
    [anon_sym_thread_local] = ACTIONS(2779),
    [anon_sym___thread] = ACTIONS(2779),
    [anon_sym_const] = ACTIONS(2779),
    [anon_sym_constexpr] = ACTIONS(2779),
    [anon_sym_volatile] = ACTIONS(2779),
    [anon_sym_restrict] = ACTIONS(2779),
    [anon_sym___restrict__] = ACTIONS(2779),
    [anon_sym__Atomic] = ACTIONS(2779),
    [anon_sym__Noreturn] = ACTIONS(2779),
    [anon_sym_noreturn] = ACTIONS(2779),
    [anon_sym_mutable] = ACTIONS(2779),
    [anon_sym_constinit] = ACTIONS(2779),
    [anon_sym_consteval] = ACTIONS(2779),
    [anon_sym_alignas] = ACTIONS(2779),
    [anon_sym__Alignas] = ACTIONS(2779),
    [sym_primitive_type] = ACTIONS(2779),
    [anon_sym_enum] = ACTIONS(2779),
    [anon_sym_class] = ACTIONS(2779),
    [anon_sym_struct] = ACTIONS(2779),
    [anon_sym_union] = ACTIONS(2779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2779),
    [anon_sym_decltype] = ACTIONS(2779),
    [sym_virtual] = ACTIONS(2779),
    [anon_sym_explicit] = ACTIONS(2779),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(2779),
    [anon_sym_operator] = ACTIONS(2779),
    [anon_sym_friend] = ACTIONS(2779),
    [anon_sym_public] = ACTIONS(2779),
    [anon_sym_private] = ACTIONS(2779),
    [anon_sym_protected] = ACTIONS(2779),
    [anon_sym_using] = ACTIONS(2779),
    [anon_sym_static_assert] = ACTIONS(2779),
  },
  [1659] = {
    [sym_template_argument_list] = STATE(1803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4503),
    [anon_sym_LPAREN2] = ACTIONS(4503),
    [anon_sym_DASH] = ACTIONS(4508),
    [anon_sym_PLUS] = ACTIONS(4508),
    [anon_sym_STAR] = ACTIONS(4510),
    [anon_sym_SLASH] = ACTIONS(4508),
    [anon_sym_PERCENT] = ACTIONS(4508),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4503),
    [anon_sym_PIPE] = ACTIONS(4508),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4510),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4508),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4508),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4508),
    [anon_sym_GT_GT] = ACTIONS(4508),
    [anon_sym___extension__] = ACTIONS(4506),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(4506),
    [anon_sym_LBRACK] = ACTIONS(4503),
    [anon_sym_EQ] = ACTIONS(4508),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4506),
    [anon_sym_volatile] = ACTIONS(4506),
    [anon_sym_restrict] = ACTIONS(4506),
    [anon_sym___restrict__] = ACTIONS(4506),
    [anon_sym__Atomic] = ACTIONS(4506),
    [anon_sym__Noreturn] = ACTIONS(4506),
    [anon_sym_noreturn] = ACTIONS(4506),
    [anon_sym_mutable] = ACTIONS(4506),
    [anon_sym_constinit] = ACTIONS(4506),
    [anon_sym_consteval] = ACTIONS(4506),
    [anon_sym_alignas] = ACTIONS(4506),
    [anon_sym__Alignas] = ACTIONS(4506),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4501),
    [anon_sym_or_eq] = ACTIONS(4501),
    [anon_sym_xor_eq] = ACTIONS(4501),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4508),
    [anon_sym_and] = ACTIONS(4508),
    [anon_sym_bitor] = ACTIONS(4501),
    [anon_sym_xor] = ACTIONS(4508),
    [anon_sym_bitand] = ACTIONS(4501),
    [anon_sym_not_eq] = ACTIONS(4501),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4508),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4506),
    [anon_sym_decltype] = ACTIONS(4506),
  },
  [1660] = {
    [sym_identifier] = ACTIONS(4939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4941),
    [anon_sym_COMMA] = ACTIONS(4941),
    [anon_sym_RPAREN] = ACTIONS(4941),
    [anon_sym_LPAREN2] = ACTIONS(4941),
    [anon_sym_DASH] = ACTIONS(4939),
    [anon_sym_PLUS] = ACTIONS(4939),
    [anon_sym_STAR] = ACTIONS(4941),
    [anon_sym_SLASH] = ACTIONS(4939),
    [anon_sym_PERCENT] = ACTIONS(4941),
    [anon_sym_PIPE_PIPE] = ACTIONS(4941),
    [anon_sym_AMP_AMP] = ACTIONS(4941),
    [anon_sym_PIPE] = ACTIONS(4939),
    [anon_sym_CARET] = ACTIONS(4941),
    [anon_sym_AMP] = ACTIONS(4939),
    [anon_sym_EQ_EQ] = ACTIONS(4941),
    [anon_sym_BANG_EQ] = ACTIONS(4941),
    [anon_sym_GT] = ACTIONS(4939),
    [anon_sym_GT_EQ] = ACTIONS(4941),
    [anon_sym_LT_EQ] = ACTIONS(4939),
    [anon_sym_LT] = ACTIONS(4939),
    [anon_sym_LT_LT] = ACTIONS(4941),
    [anon_sym_GT_GT] = ACTIONS(4941),
    [anon_sym_SEMI] = ACTIONS(4941),
    [anon_sym___extension__] = ACTIONS(4939),
    [anon_sym___attribute__] = ACTIONS(4939),
    [anon_sym___based] = ACTIONS(4939),
    [anon_sym_LBRACE] = ACTIONS(4941),
    [anon_sym_RBRACE] = ACTIONS(4941),
    [anon_sym_signed] = ACTIONS(4939),
    [anon_sym_unsigned] = ACTIONS(4939),
    [anon_sym_long] = ACTIONS(4939),
    [anon_sym_short] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(4941),
    [anon_sym_RBRACK] = ACTIONS(4941),
    [anon_sym_const] = ACTIONS(4939),
    [anon_sym_constexpr] = ACTIONS(4939),
    [anon_sym_volatile] = ACTIONS(4939),
    [anon_sym_restrict] = ACTIONS(4939),
    [anon_sym___restrict__] = ACTIONS(4939),
    [anon_sym__Atomic] = ACTIONS(4939),
    [anon_sym__Noreturn] = ACTIONS(4939),
    [anon_sym_noreturn] = ACTIONS(4939),
    [anon_sym_mutable] = ACTIONS(4939),
    [anon_sym_constinit] = ACTIONS(4939),
    [anon_sym_consteval] = ACTIONS(4939),
    [anon_sym_alignas] = ACTIONS(4939),
    [anon_sym__Alignas] = ACTIONS(4939),
    [sym_primitive_type] = ACTIONS(4939),
    [anon_sym_COLON] = ACTIONS(4941),
    [anon_sym_QMARK] = ACTIONS(4941),
    [anon_sym_LT_EQ_GT] = ACTIONS(4941),
    [anon_sym_or] = ACTIONS(4939),
    [anon_sym_and] = ACTIONS(4939),
    [anon_sym_bitor] = ACTIONS(4939),
    [anon_sym_xor] = ACTIONS(4939),
    [anon_sym_bitand] = ACTIONS(4939),
    [anon_sym_not_eq] = ACTIONS(4939),
    [anon_sym_DASH_DASH] = ACTIONS(4941),
    [anon_sym_PLUS_PLUS] = ACTIONS(4941),
    [anon_sym_DOT] = ACTIONS(4939),
    [anon_sym_DOT_STAR] = ACTIONS(4941),
    [anon_sym_DASH_GT] = ACTIONS(4941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4939),
    [anon_sym_decltype] = ACTIONS(4939),
    [anon_sym_final] = ACTIONS(4939),
    [anon_sym_override] = ACTIONS(4939),
    [anon_sym_requires] = ACTIONS(4939),
  },
  [1661] = {
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK] = ACTIONS(3194),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_RBRACK] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym__Alignas] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(3192),
    [anon_sym_compl] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_sizeof] = ACTIONS(3192),
    [anon_sym___alignof__] = ACTIONS(3192),
    [anon_sym___alignof] = ACTIONS(3192),
    [anon_sym__alignof] = ACTIONS(3192),
    [anon_sym_alignof] = ACTIONS(3192),
    [anon_sym__Alignof] = ACTIONS(3192),
    [anon_sym_offsetof] = ACTIONS(3192),
    [anon_sym__Generic] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [sym_number_literal] = ACTIONS(3194),
    [anon_sym_L_SQUOTE] = ACTIONS(3194),
    [anon_sym_u_SQUOTE] = ACTIONS(3194),
    [anon_sym_U_SQUOTE] = ACTIONS(3194),
    [anon_sym_u8_SQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_L_DQUOTE] = ACTIONS(3194),
    [anon_sym_u_DQUOTE] = ACTIONS(3194),
    [anon_sym_U_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [anon_sym_NULL] = ACTIONS(3192),
    [anon_sym_nullptr] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_R_DQUOTE] = ACTIONS(3194),
    [anon_sym_LR_DQUOTE] = ACTIONS(3194),
    [anon_sym_uR_DQUOTE] = ACTIONS(3194),
    [anon_sym_UR_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3194),
    [anon_sym_co_await] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
  },
  [1662] = {
    [sym_identifier] = ACTIONS(4943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4945),
    [anon_sym_COMMA] = ACTIONS(4945),
    [anon_sym_RPAREN] = ACTIONS(4945),
    [anon_sym_LPAREN2] = ACTIONS(4945),
    [anon_sym_DASH] = ACTIONS(4943),
    [anon_sym_PLUS] = ACTIONS(4943),
    [anon_sym_STAR] = ACTIONS(4945),
    [anon_sym_SLASH] = ACTIONS(4943),
    [anon_sym_PERCENT] = ACTIONS(4945),
    [anon_sym_PIPE_PIPE] = ACTIONS(4945),
    [anon_sym_AMP_AMP] = ACTIONS(4945),
    [anon_sym_PIPE] = ACTIONS(4943),
    [anon_sym_CARET] = ACTIONS(4945),
    [anon_sym_AMP] = ACTIONS(4943),
    [anon_sym_EQ_EQ] = ACTIONS(4945),
    [anon_sym_BANG_EQ] = ACTIONS(4945),
    [anon_sym_GT] = ACTIONS(4943),
    [anon_sym_GT_EQ] = ACTIONS(4945),
    [anon_sym_LT_EQ] = ACTIONS(4943),
    [anon_sym_LT] = ACTIONS(4943),
    [anon_sym_LT_LT] = ACTIONS(4945),
    [anon_sym_GT_GT] = ACTIONS(4945),
    [anon_sym_SEMI] = ACTIONS(4945),
    [anon_sym___extension__] = ACTIONS(4943),
    [anon_sym___attribute__] = ACTIONS(4943),
    [anon_sym___based] = ACTIONS(4943),
    [anon_sym_LBRACE] = ACTIONS(4945),
    [anon_sym_RBRACE] = ACTIONS(4945),
    [anon_sym_signed] = ACTIONS(4943),
    [anon_sym_unsigned] = ACTIONS(4943),
    [anon_sym_long] = ACTIONS(4943),
    [anon_sym_short] = ACTIONS(4943),
    [anon_sym_LBRACK] = ACTIONS(4945),
    [anon_sym_RBRACK] = ACTIONS(4945),
    [anon_sym_const] = ACTIONS(4943),
    [anon_sym_constexpr] = ACTIONS(4943),
    [anon_sym_volatile] = ACTIONS(4943),
    [anon_sym_restrict] = ACTIONS(4943),
    [anon_sym___restrict__] = ACTIONS(4943),
    [anon_sym__Atomic] = ACTIONS(4943),
    [anon_sym__Noreturn] = ACTIONS(4943),
    [anon_sym_noreturn] = ACTIONS(4943),
    [anon_sym_mutable] = ACTIONS(4943),
    [anon_sym_constinit] = ACTIONS(4943),
    [anon_sym_consteval] = ACTIONS(4943),
    [anon_sym_alignas] = ACTIONS(4943),
    [anon_sym__Alignas] = ACTIONS(4943),
    [sym_primitive_type] = ACTIONS(4943),
    [anon_sym_COLON] = ACTIONS(4945),
    [anon_sym_QMARK] = ACTIONS(4945),
    [anon_sym_LT_EQ_GT] = ACTIONS(4945),
    [anon_sym_or] = ACTIONS(4943),
    [anon_sym_and] = ACTIONS(4943),
    [anon_sym_bitor] = ACTIONS(4943),
    [anon_sym_xor] = ACTIONS(4943),
    [anon_sym_bitand] = ACTIONS(4943),
    [anon_sym_not_eq] = ACTIONS(4943),
    [anon_sym_DASH_DASH] = ACTIONS(4945),
    [anon_sym_PLUS_PLUS] = ACTIONS(4945),
    [anon_sym_DOT] = ACTIONS(4943),
    [anon_sym_DOT_STAR] = ACTIONS(4945),
    [anon_sym_DASH_GT] = ACTIONS(4945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4943),
    [anon_sym_decltype] = ACTIONS(4943),
    [anon_sym_final] = ACTIONS(4943),
    [anon_sym_override] = ACTIONS(4943),
    [anon_sym_requires] = ACTIONS(4943),
  },
  [1663] = {
    [sym_string_literal] = STATE(1576),
    [sym_raw_string_literal] = STATE(1576),
    [sym_identifier] = ACTIONS(4947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4949),
    [anon_sym_COMMA] = ACTIONS(4949),
    [aux_sym_preproc_if_token2] = ACTIONS(4949),
    [aux_sym_preproc_else_token1] = ACTIONS(4949),
    [aux_sym_preproc_elif_token1] = ACTIONS(4947),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4949),
    [anon_sym_LPAREN2] = ACTIONS(4949),
    [anon_sym_DASH] = ACTIONS(4947),
    [anon_sym_PLUS] = ACTIONS(4947),
    [anon_sym_STAR] = ACTIONS(4947),
    [anon_sym_SLASH] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(4947),
    [anon_sym_PIPE_PIPE] = ACTIONS(4949),
    [anon_sym_AMP_AMP] = ACTIONS(4949),
    [anon_sym_PIPE] = ACTIONS(4947),
    [anon_sym_CARET] = ACTIONS(4947),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_EQ_EQ] = ACTIONS(4949),
    [anon_sym_BANG_EQ] = ACTIONS(4949),
    [anon_sym_GT] = ACTIONS(4947),
    [anon_sym_GT_EQ] = ACTIONS(4949),
    [anon_sym_LT_EQ] = ACTIONS(4947),
    [anon_sym_LT] = ACTIONS(4947),
    [anon_sym_LT_LT] = ACTIONS(4947),
    [anon_sym_GT_GT] = ACTIONS(4947),
    [anon_sym_LBRACK] = ACTIONS(4949),
    [anon_sym_EQ] = ACTIONS(4947),
    [anon_sym_QMARK] = ACTIONS(4949),
    [anon_sym_STAR_EQ] = ACTIONS(4949),
    [anon_sym_SLASH_EQ] = ACTIONS(4949),
    [anon_sym_PERCENT_EQ] = ACTIONS(4949),
    [anon_sym_PLUS_EQ] = ACTIONS(4949),
    [anon_sym_DASH_EQ] = ACTIONS(4949),
    [anon_sym_LT_LT_EQ] = ACTIONS(4949),
    [anon_sym_GT_GT_EQ] = ACTIONS(4949),
    [anon_sym_AMP_EQ] = ACTIONS(4949),
    [anon_sym_CARET_EQ] = ACTIONS(4949),
    [anon_sym_PIPE_EQ] = ACTIONS(4949),
    [anon_sym_and_eq] = ACTIONS(4947),
    [anon_sym_or_eq] = ACTIONS(4947),
    [anon_sym_xor_eq] = ACTIONS(4947),
    [anon_sym_LT_EQ_GT] = ACTIONS(4949),
    [anon_sym_or] = ACTIONS(4947),
    [anon_sym_and] = ACTIONS(4947),
    [anon_sym_bitor] = ACTIONS(4947),
    [anon_sym_xor] = ACTIONS(4947),
    [anon_sym_bitand] = ACTIONS(4947),
    [anon_sym_not_eq] = ACTIONS(4947),
    [anon_sym_DASH_DASH] = ACTIONS(4949),
    [anon_sym_PLUS_PLUS] = ACTIONS(4949),
    [anon_sym_DOT] = ACTIONS(4947),
    [anon_sym_DOT_STAR] = ACTIONS(4949),
    [anon_sym_DASH_GT] = ACTIONS(4949),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [sym_literal_suffix] = ACTIONS(4951),
  },
  [1664] = {
    [sym_string_literal] = STATE(1576),
    [sym_raw_string_literal] = STATE(1576),
    [sym_identifier] = ACTIONS(3778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [aux_sym_preproc_if_token2] = ACTIONS(3770),
    [aux_sym_preproc_else_token1] = ACTIONS(3770),
    [aux_sym_preproc_elif_token1] = ACTIONS(3778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3778),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3778),
    [anon_sym_or_eq] = ACTIONS(3778),
    [anon_sym_xor_eq] = ACTIONS(3778),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [sym_literal_suffix] = ACTIONS(4951),
  },
  [1665] = {
    [sym_identifier] = ACTIONS(4953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4955),
    [anon_sym_COMMA] = ACTIONS(4955),
    [anon_sym_RPAREN] = ACTIONS(4955),
    [anon_sym_LPAREN2] = ACTIONS(4955),
    [anon_sym_DASH] = ACTIONS(4953),
    [anon_sym_PLUS] = ACTIONS(4953),
    [anon_sym_STAR] = ACTIONS(4955),
    [anon_sym_SLASH] = ACTIONS(4953),
    [anon_sym_PERCENT] = ACTIONS(4955),
    [anon_sym_PIPE_PIPE] = ACTIONS(4955),
    [anon_sym_AMP_AMP] = ACTIONS(4955),
    [anon_sym_PIPE] = ACTIONS(4953),
    [anon_sym_CARET] = ACTIONS(4955),
    [anon_sym_AMP] = ACTIONS(4953),
    [anon_sym_EQ_EQ] = ACTIONS(4955),
    [anon_sym_BANG_EQ] = ACTIONS(4955),
    [anon_sym_GT] = ACTIONS(4953),
    [anon_sym_GT_EQ] = ACTIONS(4955),
    [anon_sym_LT_EQ] = ACTIONS(4953),
    [anon_sym_LT] = ACTIONS(4953),
    [anon_sym_LT_LT] = ACTIONS(4955),
    [anon_sym_GT_GT] = ACTIONS(4955),
    [anon_sym_SEMI] = ACTIONS(4955),
    [anon_sym___extension__] = ACTIONS(4953),
    [anon_sym___attribute__] = ACTIONS(4953),
    [anon_sym___based] = ACTIONS(4953),
    [anon_sym_LBRACE] = ACTIONS(4955),
    [anon_sym_RBRACE] = ACTIONS(4955),
    [anon_sym_signed] = ACTIONS(4953),
    [anon_sym_unsigned] = ACTIONS(4953),
    [anon_sym_long] = ACTIONS(4953),
    [anon_sym_short] = ACTIONS(4953),
    [anon_sym_LBRACK] = ACTIONS(4955),
    [anon_sym_RBRACK] = ACTIONS(4955),
    [anon_sym_const] = ACTIONS(4953),
    [anon_sym_constexpr] = ACTIONS(4953),
    [anon_sym_volatile] = ACTIONS(4953),
    [anon_sym_restrict] = ACTIONS(4953),
    [anon_sym___restrict__] = ACTIONS(4953),
    [anon_sym__Atomic] = ACTIONS(4953),
    [anon_sym__Noreturn] = ACTIONS(4953),
    [anon_sym_noreturn] = ACTIONS(4953),
    [anon_sym_mutable] = ACTIONS(4953),
    [anon_sym_constinit] = ACTIONS(4953),
    [anon_sym_consteval] = ACTIONS(4953),
    [anon_sym_alignas] = ACTIONS(4953),
    [anon_sym__Alignas] = ACTIONS(4953),
    [sym_primitive_type] = ACTIONS(4953),
    [anon_sym_COLON] = ACTIONS(4955),
    [anon_sym_QMARK] = ACTIONS(4955),
    [anon_sym_LT_EQ_GT] = ACTIONS(4955),
    [anon_sym_or] = ACTIONS(4953),
    [anon_sym_and] = ACTIONS(4953),
    [anon_sym_bitor] = ACTIONS(4953),
    [anon_sym_xor] = ACTIONS(4953),
    [anon_sym_bitand] = ACTIONS(4953),
    [anon_sym_not_eq] = ACTIONS(4953),
    [anon_sym_DASH_DASH] = ACTIONS(4955),
    [anon_sym_PLUS_PLUS] = ACTIONS(4955),
    [anon_sym_DOT] = ACTIONS(4953),
    [anon_sym_DOT_STAR] = ACTIONS(4955),
    [anon_sym_DASH_GT] = ACTIONS(4955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4953),
    [anon_sym_decltype] = ACTIONS(4953),
    [anon_sym_final] = ACTIONS(4953),
    [anon_sym_override] = ACTIONS(4953),
    [anon_sym_requires] = ACTIONS(4953),
  },
  [1666] = {
    [sym_identifier] = ACTIONS(4957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4959),
    [anon_sym_COMMA] = ACTIONS(4959),
    [anon_sym_RPAREN] = ACTIONS(4959),
    [anon_sym_LPAREN2] = ACTIONS(4959),
    [anon_sym_DASH] = ACTIONS(4957),
    [anon_sym_PLUS] = ACTIONS(4957),
    [anon_sym_STAR] = ACTIONS(4959),
    [anon_sym_SLASH] = ACTIONS(4957),
    [anon_sym_PERCENT] = ACTIONS(4959),
    [anon_sym_PIPE_PIPE] = ACTIONS(4959),
    [anon_sym_AMP_AMP] = ACTIONS(4959),
    [anon_sym_PIPE] = ACTIONS(4957),
    [anon_sym_CARET] = ACTIONS(4959),
    [anon_sym_AMP] = ACTIONS(4957),
    [anon_sym_EQ_EQ] = ACTIONS(4959),
    [anon_sym_BANG_EQ] = ACTIONS(4959),
    [anon_sym_GT] = ACTIONS(4957),
    [anon_sym_GT_EQ] = ACTIONS(4959),
    [anon_sym_LT_EQ] = ACTIONS(4957),
    [anon_sym_LT] = ACTIONS(4957),
    [anon_sym_LT_LT] = ACTIONS(4959),
    [anon_sym_GT_GT] = ACTIONS(4959),
    [anon_sym_SEMI] = ACTIONS(4959),
    [anon_sym___extension__] = ACTIONS(4957),
    [anon_sym___attribute__] = ACTIONS(4957),
    [anon_sym___based] = ACTIONS(4957),
    [anon_sym_LBRACE] = ACTIONS(4959),
    [anon_sym_RBRACE] = ACTIONS(4959),
    [anon_sym_signed] = ACTIONS(4957),
    [anon_sym_unsigned] = ACTIONS(4957),
    [anon_sym_long] = ACTIONS(4957),
    [anon_sym_short] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(4959),
    [anon_sym_RBRACK] = ACTIONS(4959),
    [anon_sym_const] = ACTIONS(4957),
    [anon_sym_constexpr] = ACTIONS(4957),
    [anon_sym_volatile] = ACTIONS(4957),
    [anon_sym_restrict] = ACTIONS(4957),
    [anon_sym___restrict__] = ACTIONS(4957),
    [anon_sym__Atomic] = ACTIONS(4957),
    [anon_sym__Noreturn] = ACTIONS(4957),
    [anon_sym_noreturn] = ACTIONS(4957),
    [anon_sym_mutable] = ACTIONS(4957),
    [anon_sym_constinit] = ACTIONS(4957),
    [anon_sym_consteval] = ACTIONS(4957),
    [anon_sym_alignas] = ACTIONS(4957),
    [anon_sym__Alignas] = ACTIONS(4957),
    [sym_primitive_type] = ACTIONS(4957),
    [anon_sym_COLON] = ACTIONS(4959),
    [anon_sym_QMARK] = ACTIONS(4959),
    [anon_sym_LT_EQ_GT] = ACTIONS(4959),
    [anon_sym_or] = ACTIONS(4957),
    [anon_sym_and] = ACTIONS(4957),
    [anon_sym_bitor] = ACTIONS(4957),
    [anon_sym_xor] = ACTIONS(4957),
    [anon_sym_bitand] = ACTIONS(4957),
    [anon_sym_not_eq] = ACTIONS(4957),
    [anon_sym_DASH_DASH] = ACTIONS(4959),
    [anon_sym_PLUS_PLUS] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(4957),
    [anon_sym_DOT_STAR] = ACTIONS(4959),
    [anon_sym_DASH_GT] = ACTIONS(4959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4957),
    [anon_sym_decltype] = ACTIONS(4957),
    [anon_sym_final] = ACTIONS(4957),
    [anon_sym_override] = ACTIONS(4957),
    [anon_sym_requires] = ACTIONS(4957),
  },
  [1667] = {
    [sym_identifier] = ACTIONS(4961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4963),
    [anon_sym_RPAREN] = ACTIONS(4963),
    [anon_sym_LPAREN2] = ACTIONS(4963),
    [anon_sym_DASH] = ACTIONS(4961),
    [anon_sym_PLUS] = ACTIONS(4961),
    [anon_sym_STAR] = ACTIONS(4963),
    [anon_sym_SLASH] = ACTIONS(4961),
    [anon_sym_PERCENT] = ACTIONS(4963),
    [anon_sym_PIPE_PIPE] = ACTIONS(4963),
    [anon_sym_AMP_AMP] = ACTIONS(4963),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_CARET] = ACTIONS(4963),
    [anon_sym_AMP] = ACTIONS(4961),
    [anon_sym_EQ_EQ] = ACTIONS(4963),
    [anon_sym_BANG_EQ] = ACTIONS(4963),
    [anon_sym_GT] = ACTIONS(4961),
    [anon_sym_GT_EQ] = ACTIONS(4963),
    [anon_sym_LT_EQ] = ACTIONS(4961),
    [anon_sym_LT] = ACTIONS(4961),
    [anon_sym_LT_LT] = ACTIONS(4963),
    [anon_sym_GT_GT] = ACTIONS(4963),
    [anon_sym_SEMI] = ACTIONS(4963),
    [anon_sym___extension__] = ACTIONS(4961),
    [anon_sym___attribute__] = ACTIONS(4961),
    [anon_sym___based] = ACTIONS(4961),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_RBRACE] = ACTIONS(4963),
    [anon_sym_signed] = ACTIONS(4961),
    [anon_sym_unsigned] = ACTIONS(4961),
    [anon_sym_long] = ACTIONS(4961),
    [anon_sym_short] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_RBRACK] = ACTIONS(4963),
    [anon_sym_const] = ACTIONS(4961),
    [anon_sym_constexpr] = ACTIONS(4961),
    [anon_sym_volatile] = ACTIONS(4961),
    [anon_sym_restrict] = ACTIONS(4961),
    [anon_sym___restrict__] = ACTIONS(4961),
    [anon_sym__Atomic] = ACTIONS(4961),
    [anon_sym__Noreturn] = ACTIONS(4961),
    [anon_sym_noreturn] = ACTIONS(4961),
    [anon_sym_mutable] = ACTIONS(4961),
    [anon_sym_constinit] = ACTIONS(4961),
    [anon_sym_consteval] = ACTIONS(4961),
    [anon_sym_alignas] = ACTIONS(4961),
    [anon_sym__Alignas] = ACTIONS(4961),
    [sym_primitive_type] = ACTIONS(4961),
    [anon_sym_COLON] = ACTIONS(4963),
    [anon_sym_QMARK] = ACTIONS(4963),
    [anon_sym_LT_EQ_GT] = ACTIONS(4963),
    [anon_sym_or] = ACTIONS(4961),
    [anon_sym_and] = ACTIONS(4961),
    [anon_sym_bitor] = ACTIONS(4961),
    [anon_sym_xor] = ACTIONS(4961),
    [anon_sym_bitand] = ACTIONS(4961),
    [anon_sym_not_eq] = ACTIONS(4961),
    [anon_sym_DASH_DASH] = ACTIONS(4963),
    [anon_sym_PLUS_PLUS] = ACTIONS(4963),
    [anon_sym_DOT] = ACTIONS(4961),
    [anon_sym_DOT_STAR] = ACTIONS(4963),
    [anon_sym_DASH_GT] = ACTIONS(4963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4961),
    [anon_sym_decltype] = ACTIONS(4961),
    [anon_sym_final] = ACTIONS(4961),
    [anon_sym_override] = ACTIONS(4961),
    [anon_sym_requires] = ACTIONS(4961),
  },
  [1668] = {
    [sym_identifier] = ACTIONS(4965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4967),
    [anon_sym_COMMA] = ACTIONS(4967),
    [anon_sym_RPAREN] = ACTIONS(4967),
    [anon_sym_LPAREN2] = ACTIONS(4967),
    [anon_sym_DASH] = ACTIONS(4965),
    [anon_sym_PLUS] = ACTIONS(4965),
    [anon_sym_STAR] = ACTIONS(4967),
    [anon_sym_SLASH] = ACTIONS(4965),
    [anon_sym_PERCENT] = ACTIONS(4967),
    [anon_sym_PIPE_PIPE] = ACTIONS(4967),
    [anon_sym_AMP_AMP] = ACTIONS(4967),
    [anon_sym_PIPE] = ACTIONS(4965),
    [anon_sym_CARET] = ACTIONS(4967),
    [anon_sym_AMP] = ACTIONS(4965),
    [anon_sym_EQ_EQ] = ACTIONS(4967),
    [anon_sym_BANG_EQ] = ACTIONS(4967),
    [anon_sym_GT] = ACTIONS(4965),
    [anon_sym_GT_EQ] = ACTIONS(4967),
    [anon_sym_LT_EQ] = ACTIONS(4965),
    [anon_sym_LT] = ACTIONS(4965),
    [anon_sym_LT_LT] = ACTIONS(4967),
    [anon_sym_GT_GT] = ACTIONS(4967),
    [anon_sym_SEMI] = ACTIONS(4967),
    [anon_sym___extension__] = ACTIONS(4965),
    [anon_sym___attribute__] = ACTIONS(4965),
    [anon_sym___based] = ACTIONS(4965),
    [anon_sym_LBRACE] = ACTIONS(4967),
    [anon_sym_RBRACE] = ACTIONS(4967),
    [anon_sym_signed] = ACTIONS(4965),
    [anon_sym_unsigned] = ACTIONS(4965),
    [anon_sym_long] = ACTIONS(4965),
    [anon_sym_short] = ACTIONS(4965),
    [anon_sym_LBRACK] = ACTIONS(4967),
    [anon_sym_RBRACK] = ACTIONS(4967),
    [anon_sym_const] = ACTIONS(4965),
    [anon_sym_constexpr] = ACTIONS(4965),
    [anon_sym_volatile] = ACTIONS(4965),
    [anon_sym_restrict] = ACTIONS(4965),
    [anon_sym___restrict__] = ACTIONS(4965),
    [anon_sym__Atomic] = ACTIONS(4965),
    [anon_sym__Noreturn] = ACTIONS(4965),
    [anon_sym_noreturn] = ACTIONS(4965),
    [anon_sym_mutable] = ACTIONS(4965),
    [anon_sym_constinit] = ACTIONS(4965),
    [anon_sym_consteval] = ACTIONS(4965),
    [anon_sym_alignas] = ACTIONS(4965),
    [anon_sym__Alignas] = ACTIONS(4965),
    [sym_primitive_type] = ACTIONS(4965),
    [anon_sym_COLON] = ACTIONS(4967),
    [anon_sym_QMARK] = ACTIONS(4967),
    [anon_sym_LT_EQ_GT] = ACTIONS(4967),
    [anon_sym_or] = ACTIONS(4965),
    [anon_sym_and] = ACTIONS(4965),
    [anon_sym_bitor] = ACTIONS(4965),
    [anon_sym_xor] = ACTIONS(4965),
    [anon_sym_bitand] = ACTIONS(4965),
    [anon_sym_not_eq] = ACTIONS(4965),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_DOT] = ACTIONS(4965),
    [anon_sym_DOT_STAR] = ACTIONS(4967),
    [anon_sym_DASH_GT] = ACTIONS(4967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4965),
    [anon_sym_decltype] = ACTIONS(4965),
    [anon_sym_final] = ACTIONS(4965),
    [anon_sym_override] = ACTIONS(4965),
    [anon_sym_requires] = ACTIONS(4965),
  },
  [1669] = {
    [sym_identifier] = ACTIONS(4969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4971),
    [anon_sym_COMMA] = ACTIONS(4971),
    [anon_sym_RPAREN] = ACTIONS(4971),
    [anon_sym_LPAREN2] = ACTIONS(4971),
    [anon_sym_DASH] = ACTIONS(4969),
    [anon_sym_PLUS] = ACTIONS(4969),
    [anon_sym_STAR] = ACTIONS(4971),
    [anon_sym_SLASH] = ACTIONS(4969),
    [anon_sym_PERCENT] = ACTIONS(4971),
    [anon_sym_PIPE_PIPE] = ACTIONS(4971),
    [anon_sym_AMP_AMP] = ACTIONS(4971),
    [anon_sym_PIPE] = ACTIONS(4969),
    [anon_sym_CARET] = ACTIONS(4971),
    [anon_sym_AMP] = ACTIONS(4969),
    [anon_sym_EQ_EQ] = ACTIONS(4971),
    [anon_sym_BANG_EQ] = ACTIONS(4971),
    [anon_sym_GT] = ACTIONS(4969),
    [anon_sym_GT_EQ] = ACTIONS(4971),
    [anon_sym_LT_EQ] = ACTIONS(4969),
    [anon_sym_LT] = ACTIONS(4969),
    [anon_sym_LT_LT] = ACTIONS(4971),
    [anon_sym_GT_GT] = ACTIONS(4971),
    [anon_sym_SEMI] = ACTIONS(4971),
    [anon_sym___extension__] = ACTIONS(4969),
    [anon_sym___attribute__] = ACTIONS(4969),
    [anon_sym___based] = ACTIONS(4969),
    [anon_sym_LBRACE] = ACTIONS(4971),
    [anon_sym_RBRACE] = ACTIONS(4971),
    [anon_sym_signed] = ACTIONS(4969),
    [anon_sym_unsigned] = ACTIONS(4969),
    [anon_sym_long] = ACTIONS(4969),
    [anon_sym_short] = ACTIONS(4969),
    [anon_sym_LBRACK] = ACTIONS(4971),
    [anon_sym_RBRACK] = ACTIONS(4971),
    [anon_sym_const] = ACTIONS(4969),
    [anon_sym_constexpr] = ACTIONS(4969),
    [anon_sym_volatile] = ACTIONS(4969),
    [anon_sym_restrict] = ACTIONS(4969),
    [anon_sym___restrict__] = ACTIONS(4969),
    [anon_sym__Atomic] = ACTIONS(4969),
    [anon_sym__Noreturn] = ACTIONS(4969),
    [anon_sym_noreturn] = ACTIONS(4969),
    [anon_sym_mutable] = ACTIONS(4969),
    [anon_sym_constinit] = ACTIONS(4969),
    [anon_sym_consteval] = ACTIONS(4969),
    [anon_sym_alignas] = ACTIONS(4969),
    [anon_sym__Alignas] = ACTIONS(4969),
    [sym_primitive_type] = ACTIONS(4969),
    [anon_sym_COLON] = ACTIONS(4971),
    [anon_sym_QMARK] = ACTIONS(4971),
    [anon_sym_LT_EQ_GT] = ACTIONS(4971),
    [anon_sym_or] = ACTIONS(4969),
    [anon_sym_and] = ACTIONS(4969),
    [anon_sym_bitor] = ACTIONS(4969),
    [anon_sym_xor] = ACTIONS(4969),
    [anon_sym_bitand] = ACTIONS(4969),
    [anon_sym_not_eq] = ACTIONS(4969),
    [anon_sym_DASH_DASH] = ACTIONS(4971),
    [anon_sym_PLUS_PLUS] = ACTIONS(4971),
    [anon_sym_DOT] = ACTIONS(4969),
    [anon_sym_DOT_STAR] = ACTIONS(4971),
    [anon_sym_DASH_GT] = ACTIONS(4971),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4969),
    [anon_sym_decltype] = ACTIONS(4969),
    [anon_sym_final] = ACTIONS(4969),
    [anon_sym_override] = ACTIONS(4969),
    [anon_sym_requires] = ACTIONS(4969),
  },
  [1670] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4582),
    [anon_sym_COMMA] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4587),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym___extension__] = ACTIONS(4585),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4582),
    [anon_sym_EQ] = ACTIONS(4587),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4585),
    [anon_sym_volatile] = ACTIONS(4585),
    [anon_sym_restrict] = ACTIONS(4585),
    [anon_sym___restrict__] = ACTIONS(4585),
    [anon_sym__Atomic] = ACTIONS(4585),
    [anon_sym__Noreturn] = ACTIONS(4585),
    [anon_sym_noreturn] = ACTIONS(4585),
    [anon_sym_mutable] = ACTIONS(4585),
    [anon_sym_constinit] = ACTIONS(4585),
    [anon_sym_consteval] = ACTIONS(4585),
    [anon_sym_alignas] = ACTIONS(4585),
    [anon_sym__Alignas] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4587),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4580),
    [anon_sym_or_eq] = ACTIONS(4580),
    [anon_sym_xor_eq] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4580),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4580),
    [anon_sym_not_eq] = ACTIONS(4580),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4585),
    [anon_sym_decltype] = ACTIONS(4585),
    [anon_sym_GT2] = ACTIONS(4582),
  },
  [1671] = {
    [sym_identifier] = ACTIONS(4961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4963),
    [anon_sym_RPAREN] = ACTIONS(4963),
    [anon_sym_LPAREN2] = ACTIONS(4963),
    [anon_sym_DASH] = ACTIONS(4961),
    [anon_sym_PLUS] = ACTIONS(4961),
    [anon_sym_STAR] = ACTIONS(4963),
    [anon_sym_SLASH] = ACTIONS(4961),
    [anon_sym_PERCENT] = ACTIONS(4963),
    [anon_sym_PIPE_PIPE] = ACTIONS(4963),
    [anon_sym_AMP_AMP] = ACTIONS(4963),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_CARET] = ACTIONS(4963),
    [anon_sym_AMP] = ACTIONS(4961),
    [anon_sym_EQ_EQ] = ACTIONS(4963),
    [anon_sym_BANG_EQ] = ACTIONS(4963),
    [anon_sym_GT] = ACTIONS(4961),
    [anon_sym_GT_EQ] = ACTIONS(4963),
    [anon_sym_LT_EQ] = ACTIONS(4961),
    [anon_sym_LT] = ACTIONS(4961),
    [anon_sym_LT_LT] = ACTIONS(4963),
    [anon_sym_GT_GT] = ACTIONS(4963),
    [anon_sym_SEMI] = ACTIONS(4963),
    [anon_sym___extension__] = ACTIONS(4961),
    [anon_sym___attribute__] = ACTIONS(4961),
    [anon_sym___based] = ACTIONS(4961),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_RBRACE] = ACTIONS(4963),
    [anon_sym_signed] = ACTIONS(4961),
    [anon_sym_unsigned] = ACTIONS(4961),
    [anon_sym_long] = ACTIONS(4961),
    [anon_sym_short] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_RBRACK] = ACTIONS(4963),
    [anon_sym_const] = ACTIONS(4961),
    [anon_sym_constexpr] = ACTIONS(4961),
    [anon_sym_volatile] = ACTIONS(4961),
    [anon_sym_restrict] = ACTIONS(4961),
    [anon_sym___restrict__] = ACTIONS(4961),
    [anon_sym__Atomic] = ACTIONS(4961),
    [anon_sym__Noreturn] = ACTIONS(4961),
    [anon_sym_noreturn] = ACTIONS(4961),
    [anon_sym_mutable] = ACTIONS(4961),
    [anon_sym_constinit] = ACTIONS(4961),
    [anon_sym_consteval] = ACTIONS(4961),
    [anon_sym_alignas] = ACTIONS(4961),
    [anon_sym__Alignas] = ACTIONS(4961),
    [sym_primitive_type] = ACTIONS(4961),
    [anon_sym_COLON] = ACTIONS(4963),
    [anon_sym_QMARK] = ACTIONS(4963),
    [anon_sym_LT_EQ_GT] = ACTIONS(4963),
    [anon_sym_or] = ACTIONS(4961),
    [anon_sym_and] = ACTIONS(4961),
    [anon_sym_bitor] = ACTIONS(4961),
    [anon_sym_xor] = ACTIONS(4961),
    [anon_sym_bitand] = ACTIONS(4961),
    [anon_sym_not_eq] = ACTIONS(4961),
    [anon_sym_DASH_DASH] = ACTIONS(4963),
    [anon_sym_PLUS_PLUS] = ACTIONS(4963),
    [anon_sym_DOT] = ACTIONS(4961),
    [anon_sym_DOT_STAR] = ACTIONS(4963),
    [anon_sym_DASH_GT] = ACTIONS(4963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4961),
    [anon_sym_decltype] = ACTIONS(4961),
    [anon_sym_final] = ACTIONS(4961),
    [anon_sym_override] = ACTIONS(4961),
    [anon_sym_requires] = ACTIONS(4961),
  },
  [1672] = {
    [sym_identifier] = ACTIONS(4961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4963),
    [anon_sym_RPAREN] = ACTIONS(4963),
    [anon_sym_LPAREN2] = ACTIONS(4963),
    [anon_sym_DASH] = ACTIONS(4961),
    [anon_sym_PLUS] = ACTIONS(4961),
    [anon_sym_STAR] = ACTIONS(4963),
    [anon_sym_SLASH] = ACTIONS(4961),
    [anon_sym_PERCENT] = ACTIONS(4963),
    [anon_sym_PIPE_PIPE] = ACTIONS(4963),
    [anon_sym_AMP_AMP] = ACTIONS(4963),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_CARET] = ACTIONS(4963),
    [anon_sym_AMP] = ACTIONS(4961),
    [anon_sym_EQ_EQ] = ACTIONS(4963),
    [anon_sym_BANG_EQ] = ACTIONS(4963),
    [anon_sym_GT] = ACTIONS(4961),
    [anon_sym_GT_EQ] = ACTIONS(4963),
    [anon_sym_LT_EQ] = ACTIONS(4961),
    [anon_sym_LT] = ACTIONS(4961),
    [anon_sym_LT_LT] = ACTIONS(4963),
    [anon_sym_GT_GT] = ACTIONS(4963),
    [anon_sym_SEMI] = ACTIONS(4963),
    [anon_sym___extension__] = ACTIONS(4961),
    [anon_sym___attribute__] = ACTIONS(4961),
    [anon_sym___based] = ACTIONS(4961),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_RBRACE] = ACTIONS(4963),
    [anon_sym_signed] = ACTIONS(4961),
    [anon_sym_unsigned] = ACTIONS(4961),
    [anon_sym_long] = ACTIONS(4961),
    [anon_sym_short] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_RBRACK] = ACTIONS(4963),
    [anon_sym_const] = ACTIONS(4961),
    [anon_sym_constexpr] = ACTIONS(4961),
    [anon_sym_volatile] = ACTIONS(4961),
    [anon_sym_restrict] = ACTIONS(4961),
    [anon_sym___restrict__] = ACTIONS(4961),
    [anon_sym__Atomic] = ACTIONS(4961),
    [anon_sym__Noreturn] = ACTIONS(4961),
    [anon_sym_noreturn] = ACTIONS(4961),
    [anon_sym_mutable] = ACTIONS(4961),
    [anon_sym_constinit] = ACTIONS(4961),
    [anon_sym_consteval] = ACTIONS(4961),
    [anon_sym_alignas] = ACTIONS(4961),
    [anon_sym__Alignas] = ACTIONS(4961),
    [sym_primitive_type] = ACTIONS(4961),
    [anon_sym_COLON] = ACTIONS(4963),
    [anon_sym_QMARK] = ACTIONS(4963),
    [anon_sym_LT_EQ_GT] = ACTIONS(4963),
    [anon_sym_or] = ACTIONS(4961),
    [anon_sym_and] = ACTIONS(4961),
    [anon_sym_bitor] = ACTIONS(4961),
    [anon_sym_xor] = ACTIONS(4961),
    [anon_sym_bitand] = ACTIONS(4961),
    [anon_sym_not_eq] = ACTIONS(4961),
    [anon_sym_DASH_DASH] = ACTIONS(4963),
    [anon_sym_PLUS_PLUS] = ACTIONS(4963),
    [anon_sym_DOT] = ACTIONS(4961),
    [anon_sym_DOT_STAR] = ACTIONS(4963),
    [anon_sym_DASH_GT] = ACTIONS(4963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4961),
    [anon_sym_decltype] = ACTIONS(4961),
    [anon_sym_final] = ACTIONS(4961),
    [anon_sym_override] = ACTIONS(4961),
    [anon_sym_requires] = ACTIONS(4961),
  },
  [1673] = {
    [sym_identifier] = ACTIONS(4973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4975),
    [anon_sym_COMMA] = ACTIONS(4975),
    [anon_sym_RPAREN] = ACTIONS(4975),
    [anon_sym_LPAREN2] = ACTIONS(4975),
    [anon_sym_DASH] = ACTIONS(4973),
    [anon_sym_PLUS] = ACTIONS(4973),
    [anon_sym_STAR] = ACTIONS(4975),
    [anon_sym_SLASH] = ACTIONS(4973),
    [anon_sym_PERCENT] = ACTIONS(4975),
    [anon_sym_PIPE_PIPE] = ACTIONS(4975),
    [anon_sym_AMP_AMP] = ACTIONS(4975),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_CARET] = ACTIONS(4975),
    [anon_sym_AMP] = ACTIONS(4973),
    [anon_sym_EQ_EQ] = ACTIONS(4975),
    [anon_sym_BANG_EQ] = ACTIONS(4975),
    [anon_sym_GT] = ACTIONS(4973),
    [anon_sym_GT_EQ] = ACTIONS(4975),
    [anon_sym_LT_EQ] = ACTIONS(4973),
    [anon_sym_LT] = ACTIONS(4973),
    [anon_sym_LT_LT] = ACTIONS(4975),
    [anon_sym_GT_GT] = ACTIONS(4975),
    [anon_sym_SEMI] = ACTIONS(4975),
    [anon_sym___extension__] = ACTIONS(4973),
    [anon_sym___attribute__] = ACTIONS(4973),
    [anon_sym___based] = ACTIONS(4973),
    [anon_sym_LBRACE] = ACTIONS(4975),
    [anon_sym_RBRACE] = ACTIONS(4975),
    [anon_sym_signed] = ACTIONS(4973),
    [anon_sym_unsigned] = ACTIONS(4973),
    [anon_sym_long] = ACTIONS(4973),
    [anon_sym_short] = ACTIONS(4973),
    [anon_sym_LBRACK] = ACTIONS(4975),
    [anon_sym_RBRACK] = ACTIONS(4975),
    [anon_sym_const] = ACTIONS(4973),
    [anon_sym_constexpr] = ACTIONS(4973),
    [anon_sym_volatile] = ACTIONS(4973),
    [anon_sym_restrict] = ACTIONS(4973),
    [anon_sym___restrict__] = ACTIONS(4973),
    [anon_sym__Atomic] = ACTIONS(4973),
    [anon_sym__Noreturn] = ACTIONS(4973),
    [anon_sym_noreturn] = ACTIONS(4973),
    [anon_sym_mutable] = ACTIONS(4973),
    [anon_sym_constinit] = ACTIONS(4973),
    [anon_sym_consteval] = ACTIONS(4973),
    [anon_sym_alignas] = ACTIONS(4973),
    [anon_sym__Alignas] = ACTIONS(4973),
    [sym_primitive_type] = ACTIONS(4973),
    [anon_sym_COLON] = ACTIONS(4975),
    [anon_sym_QMARK] = ACTIONS(4975),
    [anon_sym_LT_EQ_GT] = ACTIONS(4975),
    [anon_sym_or] = ACTIONS(4973),
    [anon_sym_and] = ACTIONS(4973),
    [anon_sym_bitor] = ACTIONS(4973),
    [anon_sym_xor] = ACTIONS(4973),
    [anon_sym_bitand] = ACTIONS(4973),
    [anon_sym_not_eq] = ACTIONS(4973),
    [anon_sym_DASH_DASH] = ACTIONS(4975),
    [anon_sym_PLUS_PLUS] = ACTIONS(4975),
    [anon_sym_DOT] = ACTIONS(4973),
    [anon_sym_DOT_STAR] = ACTIONS(4975),
    [anon_sym_DASH_GT] = ACTIONS(4975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4973),
    [anon_sym_decltype] = ACTIONS(4973),
    [anon_sym_final] = ACTIONS(4973),
    [anon_sym_override] = ACTIONS(4973),
    [anon_sym_requires] = ACTIONS(4973),
  },
  [1674] = {
    [sym_identifier] = ACTIONS(4977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4979),
    [anon_sym_COMMA] = ACTIONS(4979),
    [anon_sym_RPAREN] = ACTIONS(4979),
    [anon_sym_LPAREN2] = ACTIONS(4979),
    [anon_sym_DASH] = ACTIONS(4977),
    [anon_sym_PLUS] = ACTIONS(4977),
    [anon_sym_STAR] = ACTIONS(4979),
    [anon_sym_SLASH] = ACTIONS(4977),
    [anon_sym_PERCENT] = ACTIONS(4979),
    [anon_sym_PIPE_PIPE] = ACTIONS(4979),
    [anon_sym_AMP_AMP] = ACTIONS(4979),
    [anon_sym_PIPE] = ACTIONS(4977),
    [anon_sym_CARET] = ACTIONS(4979),
    [anon_sym_AMP] = ACTIONS(4977),
    [anon_sym_EQ_EQ] = ACTIONS(4979),
    [anon_sym_BANG_EQ] = ACTIONS(4979),
    [anon_sym_GT] = ACTIONS(4977),
    [anon_sym_GT_EQ] = ACTIONS(4979),
    [anon_sym_LT_EQ] = ACTIONS(4977),
    [anon_sym_LT] = ACTIONS(4977),
    [anon_sym_LT_LT] = ACTIONS(4979),
    [anon_sym_GT_GT] = ACTIONS(4979),
    [anon_sym_SEMI] = ACTIONS(4979),
    [anon_sym___extension__] = ACTIONS(4977),
    [anon_sym___attribute__] = ACTIONS(4977),
    [anon_sym___based] = ACTIONS(4977),
    [anon_sym_LBRACE] = ACTIONS(4979),
    [anon_sym_RBRACE] = ACTIONS(4979),
    [anon_sym_signed] = ACTIONS(4977),
    [anon_sym_unsigned] = ACTIONS(4977),
    [anon_sym_long] = ACTIONS(4977),
    [anon_sym_short] = ACTIONS(4977),
    [anon_sym_LBRACK] = ACTIONS(4979),
    [anon_sym_RBRACK] = ACTIONS(4979),
    [anon_sym_const] = ACTIONS(4977),
    [anon_sym_constexpr] = ACTIONS(4977),
    [anon_sym_volatile] = ACTIONS(4977),
    [anon_sym_restrict] = ACTIONS(4977),
    [anon_sym___restrict__] = ACTIONS(4977),
    [anon_sym__Atomic] = ACTIONS(4977),
    [anon_sym__Noreturn] = ACTIONS(4977),
    [anon_sym_noreturn] = ACTIONS(4977),
    [anon_sym_mutable] = ACTIONS(4977),
    [anon_sym_constinit] = ACTIONS(4977),
    [anon_sym_consteval] = ACTIONS(4977),
    [anon_sym_alignas] = ACTIONS(4977),
    [anon_sym__Alignas] = ACTIONS(4977),
    [sym_primitive_type] = ACTIONS(4977),
    [anon_sym_COLON] = ACTIONS(4979),
    [anon_sym_QMARK] = ACTIONS(4979),
    [anon_sym_LT_EQ_GT] = ACTIONS(4979),
    [anon_sym_or] = ACTIONS(4977),
    [anon_sym_and] = ACTIONS(4977),
    [anon_sym_bitor] = ACTIONS(4977),
    [anon_sym_xor] = ACTIONS(4977),
    [anon_sym_bitand] = ACTIONS(4977),
    [anon_sym_not_eq] = ACTIONS(4977),
    [anon_sym_DASH_DASH] = ACTIONS(4979),
    [anon_sym_PLUS_PLUS] = ACTIONS(4979),
    [anon_sym_DOT] = ACTIONS(4977),
    [anon_sym_DOT_STAR] = ACTIONS(4979),
    [anon_sym_DASH_GT] = ACTIONS(4979),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4977),
    [anon_sym_decltype] = ACTIONS(4977),
    [anon_sym_final] = ACTIONS(4977),
    [anon_sym_override] = ACTIONS(4977),
    [anon_sym_requires] = ACTIONS(4977),
  },
  [1675] = {
    [sym_identifier] = ACTIONS(4981),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4983),
    [anon_sym_COMMA] = ACTIONS(4983),
    [anon_sym_RPAREN] = ACTIONS(4983),
    [anon_sym_LPAREN2] = ACTIONS(4983),
    [anon_sym_DASH] = ACTIONS(4981),
    [anon_sym_PLUS] = ACTIONS(4981),
    [anon_sym_STAR] = ACTIONS(4983),
    [anon_sym_SLASH] = ACTIONS(4981),
    [anon_sym_PERCENT] = ACTIONS(4983),
    [anon_sym_PIPE_PIPE] = ACTIONS(4983),
    [anon_sym_AMP_AMP] = ACTIONS(4983),
    [anon_sym_PIPE] = ACTIONS(4981),
    [anon_sym_CARET] = ACTIONS(4983),
    [anon_sym_AMP] = ACTIONS(4981),
    [anon_sym_EQ_EQ] = ACTIONS(4983),
    [anon_sym_BANG_EQ] = ACTIONS(4983),
    [anon_sym_GT] = ACTIONS(4981),
    [anon_sym_GT_EQ] = ACTIONS(4983),
    [anon_sym_LT_EQ] = ACTIONS(4981),
    [anon_sym_LT] = ACTIONS(4981),
    [anon_sym_LT_LT] = ACTIONS(4983),
    [anon_sym_GT_GT] = ACTIONS(4983),
    [anon_sym_SEMI] = ACTIONS(4983),
    [anon_sym___extension__] = ACTIONS(4981),
    [anon_sym___attribute__] = ACTIONS(4981),
    [anon_sym___based] = ACTIONS(4981),
    [anon_sym_LBRACE] = ACTIONS(4983),
    [anon_sym_RBRACE] = ACTIONS(4983),
    [anon_sym_signed] = ACTIONS(4981),
    [anon_sym_unsigned] = ACTIONS(4981),
    [anon_sym_long] = ACTIONS(4981),
    [anon_sym_short] = ACTIONS(4981),
    [anon_sym_LBRACK] = ACTIONS(4983),
    [anon_sym_RBRACK] = ACTIONS(4983),
    [anon_sym_const] = ACTIONS(4981),
    [anon_sym_constexpr] = ACTIONS(4981),
    [anon_sym_volatile] = ACTIONS(4981),
    [anon_sym_restrict] = ACTIONS(4981),
    [anon_sym___restrict__] = ACTIONS(4981),
    [anon_sym__Atomic] = ACTIONS(4981),
    [anon_sym__Noreturn] = ACTIONS(4981),
    [anon_sym_noreturn] = ACTIONS(4981),
    [anon_sym_mutable] = ACTIONS(4981),
    [anon_sym_constinit] = ACTIONS(4981),
    [anon_sym_consteval] = ACTIONS(4981),
    [anon_sym_alignas] = ACTIONS(4981),
    [anon_sym__Alignas] = ACTIONS(4981),
    [sym_primitive_type] = ACTIONS(4981),
    [anon_sym_COLON] = ACTIONS(4983),
    [anon_sym_QMARK] = ACTIONS(4983),
    [anon_sym_LT_EQ_GT] = ACTIONS(4983),
    [anon_sym_or] = ACTIONS(4981),
    [anon_sym_and] = ACTIONS(4981),
    [anon_sym_bitor] = ACTIONS(4981),
    [anon_sym_xor] = ACTIONS(4981),
    [anon_sym_bitand] = ACTIONS(4981),
    [anon_sym_not_eq] = ACTIONS(4981),
    [anon_sym_DASH_DASH] = ACTIONS(4983),
    [anon_sym_PLUS_PLUS] = ACTIONS(4983),
    [anon_sym_DOT] = ACTIONS(4981),
    [anon_sym_DOT_STAR] = ACTIONS(4983),
    [anon_sym_DASH_GT] = ACTIONS(4983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4981),
    [anon_sym_decltype] = ACTIONS(4981),
    [anon_sym_final] = ACTIONS(4981),
    [anon_sym_override] = ACTIONS(4981),
    [anon_sym_requires] = ACTIONS(4981),
  },
  [1676] = {
    [sym_identifier] = ACTIONS(4985),
    [aux_sym_preproc_def_token1] = ACTIONS(4985),
    [aux_sym_preproc_if_token1] = ACTIONS(4985),
    [aux_sym_preproc_if_token2] = ACTIONS(4985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4985),
    [aux_sym_preproc_else_token1] = ACTIONS(4985),
    [aux_sym_preproc_elif_token1] = ACTIONS(4985),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4985),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4985),
    [sym_preproc_directive] = ACTIONS(4985),
    [anon_sym_LPAREN2] = ACTIONS(4987),
    [anon_sym_TILDE] = ACTIONS(4987),
    [anon_sym_STAR] = ACTIONS(4987),
    [anon_sym_AMP_AMP] = ACTIONS(4987),
    [anon_sym_AMP] = ACTIONS(4985),
    [anon_sym___extension__] = ACTIONS(4985),
    [anon_sym_typedef] = ACTIONS(4985),
    [anon_sym_extern] = ACTIONS(4985),
    [anon_sym___attribute__] = ACTIONS(4985),
    [anon_sym_COLON_COLON] = ACTIONS(4987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4987),
    [anon_sym___declspec] = ACTIONS(4985),
    [anon_sym___based] = ACTIONS(4985),
    [anon_sym_signed] = ACTIONS(4985),
    [anon_sym_unsigned] = ACTIONS(4985),
    [anon_sym_long] = ACTIONS(4985),
    [anon_sym_short] = ACTIONS(4985),
    [anon_sym_LBRACK] = ACTIONS(4985),
    [anon_sym_static] = ACTIONS(4985),
    [anon_sym_register] = ACTIONS(4985),
    [anon_sym_inline] = ACTIONS(4985),
    [anon_sym___inline] = ACTIONS(4985),
    [anon_sym___inline__] = ACTIONS(4985),
    [anon_sym___forceinline] = ACTIONS(4985),
    [anon_sym_thread_local] = ACTIONS(4985),
    [anon_sym___thread] = ACTIONS(4985),
    [anon_sym_const] = ACTIONS(4985),
    [anon_sym_constexpr] = ACTIONS(4985),
    [anon_sym_volatile] = ACTIONS(4985),
    [anon_sym_restrict] = ACTIONS(4985),
    [anon_sym___restrict__] = ACTIONS(4985),
    [anon_sym__Atomic] = ACTIONS(4985),
    [anon_sym__Noreturn] = ACTIONS(4985),
    [anon_sym_noreturn] = ACTIONS(4985),
    [anon_sym_mutable] = ACTIONS(4985),
    [anon_sym_constinit] = ACTIONS(4985),
    [anon_sym_consteval] = ACTIONS(4985),
    [anon_sym_alignas] = ACTIONS(4985),
    [anon_sym__Alignas] = ACTIONS(4985),
    [sym_primitive_type] = ACTIONS(4985),
    [anon_sym_enum] = ACTIONS(4985),
    [anon_sym_class] = ACTIONS(4985),
    [anon_sym_struct] = ACTIONS(4985),
    [anon_sym_union] = ACTIONS(4985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4985),
    [anon_sym_decltype] = ACTIONS(4985),
    [sym_virtual] = ACTIONS(4985),
    [anon_sym_explicit] = ACTIONS(4985),
    [anon_sym_typename] = ACTIONS(4985),
    [anon_sym_template] = ACTIONS(4985),
    [anon_sym_operator] = ACTIONS(4985),
    [anon_sym_friend] = ACTIONS(4985),
    [anon_sym_public] = ACTIONS(4985),
    [anon_sym_private] = ACTIONS(4985),
    [anon_sym_protected] = ACTIONS(4985),
    [anon_sym_using] = ACTIONS(4985),
    [anon_sym_static_assert] = ACTIONS(4985),
  },
  [1677] = {
    [sym_identifier] = ACTIONS(4989),
    [aux_sym_preproc_def_token1] = ACTIONS(4989),
    [aux_sym_preproc_if_token1] = ACTIONS(4989),
    [aux_sym_preproc_if_token2] = ACTIONS(4989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4989),
    [aux_sym_preproc_else_token1] = ACTIONS(4989),
    [aux_sym_preproc_elif_token1] = ACTIONS(4989),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4989),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4989),
    [sym_preproc_directive] = ACTIONS(4989),
    [anon_sym_LPAREN2] = ACTIONS(4991),
    [anon_sym_TILDE] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4991),
    [anon_sym_AMP_AMP] = ACTIONS(4991),
    [anon_sym_AMP] = ACTIONS(4989),
    [anon_sym___extension__] = ACTIONS(4989),
    [anon_sym_typedef] = ACTIONS(4989),
    [anon_sym_extern] = ACTIONS(4989),
    [anon_sym___attribute__] = ACTIONS(4989),
    [anon_sym_COLON_COLON] = ACTIONS(4991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4991),
    [anon_sym___declspec] = ACTIONS(4989),
    [anon_sym___based] = ACTIONS(4989),
    [anon_sym_signed] = ACTIONS(4989),
    [anon_sym_unsigned] = ACTIONS(4989),
    [anon_sym_long] = ACTIONS(4989),
    [anon_sym_short] = ACTIONS(4989),
    [anon_sym_LBRACK] = ACTIONS(4989),
    [anon_sym_static] = ACTIONS(4989),
    [anon_sym_register] = ACTIONS(4989),
    [anon_sym_inline] = ACTIONS(4989),
    [anon_sym___inline] = ACTIONS(4989),
    [anon_sym___inline__] = ACTIONS(4989),
    [anon_sym___forceinline] = ACTIONS(4989),
    [anon_sym_thread_local] = ACTIONS(4989),
    [anon_sym___thread] = ACTIONS(4989),
    [anon_sym_const] = ACTIONS(4989),
    [anon_sym_constexpr] = ACTIONS(4989),
    [anon_sym_volatile] = ACTIONS(4989),
    [anon_sym_restrict] = ACTIONS(4989),
    [anon_sym___restrict__] = ACTIONS(4989),
    [anon_sym__Atomic] = ACTIONS(4989),
    [anon_sym__Noreturn] = ACTIONS(4989),
    [anon_sym_noreturn] = ACTIONS(4989),
    [anon_sym_mutable] = ACTIONS(4989),
    [anon_sym_constinit] = ACTIONS(4989),
    [anon_sym_consteval] = ACTIONS(4989),
    [anon_sym_alignas] = ACTIONS(4989),
    [anon_sym__Alignas] = ACTIONS(4989),
    [sym_primitive_type] = ACTIONS(4989),
    [anon_sym_enum] = ACTIONS(4989),
    [anon_sym_class] = ACTIONS(4989),
    [anon_sym_struct] = ACTIONS(4989),
    [anon_sym_union] = ACTIONS(4989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4989),
    [anon_sym_decltype] = ACTIONS(4989),
    [sym_virtual] = ACTIONS(4989),
    [anon_sym_explicit] = ACTIONS(4989),
    [anon_sym_typename] = ACTIONS(4989),
    [anon_sym_template] = ACTIONS(4989),
    [anon_sym_operator] = ACTIONS(4989),
    [anon_sym_friend] = ACTIONS(4989),
    [anon_sym_public] = ACTIONS(4989),
    [anon_sym_private] = ACTIONS(4989),
    [anon_sym_protected] = ACTIONS(4989),
    [anon_sym_using] = ACTIONS(4989),
    [anon_sym_static_assert] = ACTIONS(4989),
  },
  [1678] = {
    [sym_identifier] = ACTIONS(4993),
    [aux_sym_preproc_def_token1] = ACTIONS(4993),
    [aux_sym_preproc_if_token1] = ACTIONS(4993),
    [aux_sym_preproc_if_token2] = ACTIONS(4993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4993),
    [aux_sym_preproc_else_token1] = ACTIONS(4993),
    [aux_sym_preproc_elif_token1] = ACTIONS(4993),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4993),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4993),
    [sym_preproc_directive] = ACTIONS(4993),
    [anon_sym_LPAREN2] = ACTIONS(4995),
    [anon_sym_TILDE] = ACTIONS(4995),
    [anon_sym_STAR] = ACTIONS(4995),
    [anon_sym_AMP_AMP] = ACTIONS(4995),
    [anon_sym_AMP] = ACTIONS(4993),
    [anon_sym___extension__] = ACTIONS(4993),
    [anon_sym_typedef] = ACTIONS(4993),
    [anon_sym_extern] = ACTIONS(4993),
    [anon_sym___attribute__] = ACTIONS(4993),
    [anon_sym_COLON_COLON] = ACTIONS(4995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4995),
    [anon_sym___declspec] = ACTIONS(4993),
    [anon_sym___based] = ACTIONS(4993),
    [anon_sym_signed] = ACTIONS(4993),
    [anon_sym_unsigned] = ACTIONS(4993),
    [anon_sym_long] = ACTIONS(4993),
    [anon_sym_short] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4993),
    [anon_sym_static] = ACTIONS(4993),
    [anon_sym_register] = ACTIONS(4993),
    [anon_sym_inline] = ACTIONS(4993),
    [anon_sym___inline] = ACTIONS(4993),
    [anon_sym___inline__] = ACTIONS(4993),
    [anon_sym___forceinline] = ACTIONS(4993),
    [anon_sym_thread_local] = ACTIONS(4993),
    [anon_sym___thread] = ACTIONS(4993),
    [anon_sym_const] = ACTIONS(4993),
    [anon_sym_constexpr] = ACTIONS(4993),
    [anon_sym_volatile] = ACTIONS(4993),
    [anon_sym_restrict] = ACTIONS(4993),
    [anon_sym___restrict__] = ACTIONS(4993),
    [anon_sym__Atomic] = ACTIONS(4993),
    [anon_sym__Noreturn] = ACTIONS(4993),
    [anon_sym_noreturn] = ACTIONS(4993),
    [anon_sym_mutable] = ACTIONS(4993),
    [anon_sym_constinit] = ACTIONS(4993),
    [anon_sym_consteval] = ACTIONS(4993),
    [anon_sym_alignas] = ACTIONS(4993),
    [anon_sym__Alignas] = ACTIONS(4993),
    [sym_primitive_type] = ACTIONS(4993),
    [anon_sym_enum] = ACTIONS(4993),
    [anon_sym_class] = ACTIONS(4993),
    [anon_sym_struct] = ACTIONS(4993),
    [anon_sym_union] = ACTIONS(4993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4993),
    [anon_sym_decltype] = ACTIONS(4993),
    [sym_virtual] = ACTIONS(4993),
    [anon_sym_explicit] = ACTIONS(4993),
    [anon_sym_typename] = ACTIONS(4993),
    [anon_sym_template] = ACTIONS(4993),
    [anon_sym_operator] = ACTIONS(4993),
    [anon_sym_friend] = ACTIONS(4993),
    [anon_sym_public] = ACTIONS(4993),
    [anon_sym_private] = ACTIONS(4993),
    [anon_sym_protected] = ACTIONS(4993),
    [anon_sym_using] = ACTIONS(4993),
    [anon_sym_static_assert] = ACTIONS(4993),
  },
  [1679] = {
    [sym_identifier] = ACTIONS(4997),
    [aux_sym_preproc_def_token1] = ACTIONS(4997),
    [aux_sym_preproc_if_token1] = ACTIONS(4997),
    [aux_sym_preproc_if_token2] = ACTIONS(4997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4997),
    [aux_sym_preproc_else_token1] = ACTIONS(4997),
    [aux_sym_preproc_elif_token1] = ACTIONS(4997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4997),
    [sym_preproc_directive] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_TILDE] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4997),
    [anon_sym___extension__] = ACTIONS(4997),
    [anon_sym_typedef] = ACTIONS(4997),
    [anon_sym_extern] = ACTIONS(4997),
    [anon_sym___attribute__] = ACTIONS(4997),
    [anon_sym_COLON_COLON] = ACTIONS(4999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4999),
    [anon_sym___declspec] = ACTIONS(4997),
    [anon_sym___based] = ACTIONS(4997),
    [anon_sym_signed] = ACTIONS(4997),
    [anon_sym_unsigned] = ACTIONS(4997),
    [anon_sym_long] = ACTIONS(4997),
    [anon_sym_short] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4997),
    [anon_sym_static] = ACTIONS(4997),
    [anon_sym_register] = ACTIONS(4997),
    [anon_sym_inline] = ACTIONS(4997),
    [anon_sym___inline] = ACTIONS(4997),
    [anon_sym___inline__] = ACTIONS(4997),
    [anon_sym___forceinline] = ACTIONS(4997),
    [anon_sym_thread_local] = ACTIONS(4997),
    [anon_sym___thread] = ACTIONS(4997),
    [anon_sym_const] = ACTIONS(4997),
    [anon_sym_constexpr] = ACTIONS(4997),
    [anon_sym_volatile] = ACTIONS(4997),
    [anon_sym_restrict] = ACTIONS(4997),
    [anon_sym___restrict__] = ACTIONS(4997),
    [anon_sym__Atomic] = ACTIONS(4997),
    [anon_sym__Noreturn] = ACTIONS(4997),
    [anon_sym_noreturn] = ACTIONS(4997),
    [anon_sym_mutable] = ACTIONS(4997),
    [anon_sym_constinit] = ACTIONS(4997),
    [anon_sym_consteval] = ACTIONS(4997),
    [anon_sym_alignas] = ACTIONS(4997),
    [anon_sym__Alignas] = ACTIONS(4997),
    [sym_primitive_type] = ACTIONS(4997),
    [anon_sym_enum] = ACTIONS(4997),
    [anon_sym_class] = ACTIONS(4997),
    [anon_sym_struct] = ACTIONS(4997),
    [anon_sym_union] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4997),
    [anon_sym_decltype] = ACTIONS(4997),
    [sym_virtual] = ACTIONS(4997),
    [anon_sym_explicit] = ACTIONS(4997),
    [anon_sym_typename] = ACTIONS(4997),
    [anon_sym_template] = ACTIONS(4997),
    [anon_sym_operator] = ACTIONS(4997),
    [anon_sym_friend] = ACTIONS(4997),
    [anon_sym_public] = ACTIONS(4997),
    [anon_sym_private] = ACTIONS(4997),
    [anon_sym_protected] = ACTIONS(4997),
    [anon_sym_using] = ACTIONS(4997),
    [anon_sym_static_assert] = ACTIONS(4997),
  },
  [1680] = {
    [sym_identifier] = ACTIONS(5001),
    [aux_sym_preproc_def_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token2] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5001),
    [aux_sym_preproc_else_token1] = ACTIONS(5001),
    [aux_sym_preproc_elif_token1] = ACTIONS(5001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5001),
    [sym_preproc_directive] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5003),
    [anon_sym_TILDE] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_AMP_AMP] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5001),
    [anon_sym___extension__] = ACTIONS(5001),
    [anon_sym_typedef] = ACTIONS(5001),
    [anon_sym_extern] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(5003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5003),
    [anon_sym___declspec] = ACTIONS(5001),
    [anon_sym___based] = ACTIONS(5001),
    [anon_sym_signed] = ACTIONS(5001),
    [anon_sym_unsigned] = ACTIONS(5001),
    [anon_sym_long] = ACTIONS(5001),
    [anon_sym_short] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_static] = ACTIONS(5001),
    [anon_sym_register] = ACTIONS(5001),
    [anon_sym_inline] = ACTIONS(5001),
    [anon_sym___inline] = ACTIONS(5001),
    [anon_sym___inline__] = ACTIONS(5001),
    [anon_sym___forceinline] = ACTIONS(5001),
    [anon_sym_thread_local] = ACTIONS(5001),
    [anon_sym___thread] = ACTIONS(5001),
    [anon_sym_const] = ACTIONS(5001),
    [anon_sym_constexpr] = ACTIONS(5001),
    [anon_sym_volatile] = ACTIONS(5001),
    [anon_sym_restrict] = ACTIONS(5001),
    [anon_sym___restrict__] = ACTIONS(5001),
    [anon_sym__Atomic] = ACTIONS(5001),
    [anon_sym__Noreturn] = ACTIONS(5001),
    [anon_sym_noreturn] = ACTIONS(5001),
    [anon_sym_mutable] = ACTIONS(5001),
    [anon_sym_constinit] = ACTIONS(5001),
    [anon_sym_consteval] = ACTIONS(5001),
    [anon_sym_alignas] = ACTIONS(5001),
    [anon_sym__Alignas] = ACTIONS(5001),
    [sym_primitive_type] = ACTIONS(5001),
    [anon_sym_enum] = ACTIONS(5001),
    [anon_sym_class] = ACTIONS(5001),
    [anon_sym_struct] = ACTIONS(5001),
    [anon_sym_union] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5001),
    [anon_sym_decltype] = ACTIONS(5001),
    [sym_virtual] = ACTIONS(5001),
    [anon_sym_explicit] = ACTIONS(5001),
    [anon_sym_typename] = ACTIONS(5001),
    [anon_sym_template] = ACTIONS(5001),
    [anon_sym_operator] = ACTIONS(5001),
    [anon_sym_friend] = ACTIONS(5001),
    [anon_sym_public] = ACTIONS(5001),
    [anon_sym_private] = ACTIONS(5001),
    [anon_sym_protected] = ACTIONS(5001),
    [anon_sym_using] = ACTIONS(5001),
    [anon_sym_static_assert] = ACTIONS(5001),
  },
  [1681] = {
    [sym_identifier] = ACTIONS(5001),
    [aux_sym_preproc_def_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token2] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5001),
    [aux_sym_preproc_else_token1] = ACTIONS(5001),
    [aux_sym_preproc_elif_token1] = ACTIONS(5001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5001),
    [sym_preproc_directive] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5003),
    [anon_sym_TILDE] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_AMP_AMP] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5001),
    [anon_sym___extension__] = ACTIONS(5001),
    [anon_sym_typedef] = ACTIONS(5001),
    [anon_sym_extern] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(5003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5003),
    [anon_sym___declspec] = ACTIONS(5001),
    [anon_sym___based] = ACTIONS(5001),
    [anon_sym_signed] = ACTIONS(5001),
    [anon_sym_unsigned] = ACTIONS(5001),
    [anon_sym_long] = ACTIONS(5001),
    [anon_sym_short] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_static] = ACTIONS(5001),
    [anon_sym_register] = ACTIONS(5001),
    [anon_sym_inline] = ACTIONS(5001),
    [anon_sym___inline] = ACTIONS(5001),
    [anon_sym___inline__] = ACTIONS(5001),
    [anon_sym___forceinline] = ACTIONS(5001),
    [anon_sym_thread_local] = ACTIONS(5001),
    [anon_sym___thread] = ACTIONS(5001),
    [anon_sym_const] = ACTIONS(5001),
    [anon_sym_constexpr] = ACTIONS(5001),
    [anon_sym_volatile] = ACTIONS(5001),
    [anon_sym_restrict] = ACTIONS(5001),
    [anon_sym___restrict__] = ACTIONS(5001),
    [anon_sym__Atomic] = ACTIONS(5001),
    [anon_sym__Noreturn] = ACTIONS(5001),
    [anon_sym_noreturn] = ACTIONS(5001),
    [anon_sym_mutable] = ACTIONS(5001),
    [anon_sym_constinit] = ACTIONS(5001),
    [anon_sym_consteval] = ACTIONS(5001),
    [anon_sym_alignas] = ACTIONS(5001),
    [anon_sym__Alignas] = ACTIONS(5001),
    [sym_primitive_type] = ACTIONS(5001),
    [anon_sym_enum] = ACTIONS(5001),
    [anon_sym_class] = ACTIONS(5001),
    [anon_sym_struct] = ACTIONS(5001),
    [anon_sym_union] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5001),
    [anon_sym_decltype] = ACTIONS(5001),
    [sym_virtual] = ACTIONS(5001),
    [anon_sym_explicit] = ACTIONS(5001),
    [anon_sym_typename] = ACTIONS(5001),
    [anon_sym_template] = ACTIONS(5001),
    [anon_sym_operator] = ACTIONS(5001),
    [anon_sym_friend] = ACTIONS(5001),
    [anon_sym_public] = ACTIONS(5001),
    [anon_sym_private] = ACTIONS(5001),
    [anon_sym_protected] = ACTIONS(5001),
    [anon_sym_using] = ACTIONS(5001),
    [anon_sym_static_assert] = ACTIONS(5001),
  },
  [1682] = {
    [sym_identifier] = ACTIONS(5001),
    [aux_sym_preproc_def_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token2] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5001),
    [aux_sym_preproc_else_token1] = ACTIONS(5001),
    [aux_sym_preproc_elif_token1] = ACTIONS(5001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5001),
    [sym_preproc_directive] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5003),
    [anon_sym_TILDE] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_AMP_AMP] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5001),
    [anon_sym___extension__] = ACTIONS(5001),
    [anon_sym_typedef] = ACTIONS(5001),
    [anon_sym_extern] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(5003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5003),
    [anon_sym___declspec] = ACTIONS(5001),
    [anon_sym___based] = ACTIONS(5001),
    [anon_sym_signed] = ACTIONS(5001),
    [anon_sym_unsigned] = ACTIONS(5001),
    [anon_sym_long] = ACTIONS(5001),
    [anon_sym_short] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_static] = ACTIONS(5001),
    [anon_sym_register] = ACTIONS(5001),
    [anon_sym_inline] = ACTIONS(5001),
    [anon_sym___inline] = ACTIONS(5001),
    [anon_sym___inline__] = ACTIONS(5001),
    [anon_sym___forceinline] = ACTIONS(5001),
    [anon_sym_thread_local] = ACTIONS(5001),
    [anon_sym___thread] = ACTIONS(5001),
    [anon_sym_const] = ACTIONS(5001),
    [anon_sym_constexpr] = ACTIONS(5001),
    [anon_sym_volatile] = ACTIONS(5001),
    [anon_sym_restrict] = ACTIONS(5001),
    [anon_sym___restrict__] = ACTIONS(5001),
    [anon_sym__Atomic] = ACTIONS(5001),
    [anon_sym__Noreturn] = ACTIONS(5001),
    [anon_sym_noreturn] = ACTIONS(5001),
    [anon_sym_mutable] = ACTIONS(5001),
    [anon_sym_constinit] = ACTIONS(5001),
    [anon_sym_consteval] = ACTIONS(5001),
    [anon_sym_alignas] = ACTIONS(5001),
    [anon_sym__Alignas] = ACTIONS(5001),
    [sym_primitive_type] = ACTIONS(5001),
    [anon_sym_enum] = ACTIONS(5001),
    [anon_sym_class] = ACTIONS(5001),
    [anon_sym_struct] = ACTIONS(5001),
    [anon_sym_union] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5001),
    [anon_sym_decltype] = ACTIONS(5001),
    [sym_virtual] = ACTIONS(5001),
    [anon_sym_explicit] = ACTIONS(5001),
    [anon_sym_typename] = ACTIONS(5001),
    [anon_sym_template] = ACTIONS(5001),
    [anon_sym_operator] = ACTIONS(5001),
    [anon_sym_friend] = ACTIONS(5001),
    [anon_sym_public] = ACTIONS(5001),
    [anon_sym_private] = ACTIONS(5001),
    [anon_sym_protected] = ACTIONS(5001),
    [anon_sym_using] = ACTIONS(5001),
    [anon_sym_static_assert] = ACTIONS(5001),
  },
  [1683] = {
    [sym_identifier] = ACTIONS(4997),
    [aux_sym_preproc_def_token1] = ACTIONS(4997),
    [aux_sym_preproc_if_token1] = ACTIONS(4997),
    [aux_sym_preproc_if_token2] = ACTIONS(4997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4997),
    [aux_sym_preproc_else_token1] = ACTIONS(4997),
    [aux_sym_preproc_elif_token1] = ACTIONS(4997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4997),
    [sym_preproc_directive] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_TILDE] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4997),
    [anon_sym___extension__] = ACTIONS(4997),
    [anon_sym_typedef] = ACTIONS(4997),
    [anon_sym_extern] = ACTIONS(4997),
    [anon_sym___attribute__] = ACTIONS(4997),
    [anon_sym_COLON_COLON] = ACTIONS(4999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4999),
    [anon_sym___declspec] = ACTIONS(4997),
    [anon_sym___based] = ACTIONS(4997),
    [anon_sym_signed] = ACTIONS(4997),
    [anon_sym_unsigned] = ACTIONS(4997),
    [anon_sym_long] = ACTIONS(4997),
    [anon_sym_short] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4997),
    [anon_sym_static] = ACTIONS(4997),
    [anon_sym_register] = ACTIONS(4997),
    [anon_sym_inline] = ACTIONS(4997),
    [anon_sym___inline] = ACTIONS(4997),
    [anon_sym___inline__] = ACTIONS(4997),
    [anon_sym___forceinline] = ACTIONS(4997),
    [anon_sym_thread_local] = ACTIONS(4997),
    [anon_sym___thread] = ACTIONS(4997),
    [anon_sym_const] = ACTIONS(4997),
    [anon_sym_constexpr] = ACTIONS(4997),
    [anon_sym_volatile] = ACTIONS(4997),
    [anon_sym_restrict] = ACTIONS(4997),
    [anon_sym___restrict__] = ACTIONS(4997),
    [anon_sym__Atomic] = ACTIONS(4997),
    [anon_sym__Noreturn] = ACTIONS(4997),
    [anon_sym_noreturn] = ACTIONS(4997),
    [anon_sym_mutable] = ACTIONS(4997),
    [anon_sym_constinit] = ACTIONS(4997),
    [anon_sym_consteval] = ACTIONS(4997),
    [anon_sym_alignas] = ACTIONS(4997),
    [anon_sym__Alignas] = ACTIONS(4997),
    [sym_primitive_type] = ACTIONS(4997),
    [anon_sym_enum] = ACTIONS(4997),
    [anon_sym_class] = ACTIONS(4997),
    [anon_sym_struct] = ACTIONS(4997),
    [anon_sym_union] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4997),
    [anon_sym_decltype] = ACTIONS(4997),
    [sym_virtual] = ACTIONS(4997),
    [anon_sym_explicit] = ACTIONS(4997),
    [anon_sym_typename] = ACTIONS(4997),
    [anon_sym_template] = ACTIONS(4997),
    [anon_sym_operator] = ACTIONS(4997),
    [anon_sym_friend] = ACTIONS(4997),
    [anon_sym_public] = ACTIONS(4997),
    [anon_sym_private] = ACTIONS(4997),
    [anon_sym_protected] = ACTIONS(4997),
    [anon_sym_using] = ACTIONS(4997),
    [anon_sym_static_assert] = ACTIONS(4997),
  },
  [1684] = {
    [sym_identifier] = ACTIONS(5005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5007),
    [anon_sym_COMMA] = ACTIONS(5007),
    [anon_sym_RPAREN] = ACTIONS(5007),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_DASH] = ACTIONS(5005),
    [anon_sym_PLUS] = ACTIONS(5005),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_SLASH] = ACTIONS(5005),
    [anon_sym_PERCENT] = ACTIONS(5007),
    [anon_sym_PIPE_PIPE] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_PIPE] = ACTIONS(5005),
    [anon_sym_CARET] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5005),
    [anon_sym_EQ_EQ] = ACTIONS(5007),
    [anon_sym_BANG_EQ] = ACTIONS(5007),
    [anon_sym_GT] = ACTIONS(5005),
    [anon_sym_GT_EQ] = ACTIONS(5007),
    [anon_sym_LT_EQ] = ACTIONS(5005),
    [anon_sym_LT] = ACTIONS(5005),
    [anon_sym_LT_LT] = ACTIONS(5007),
    [anon_sym_GT_GT] = ACTIONS(5007),
    [anon_sym_SEMI] = ACTIONS(5007),
    [anon_sym___extension__] = ACTIONS(5005),
    [anon_sym___attribute__] = ACTIONS(5005),
    [anon_sym___based] = ACTIONS(5005),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_RBRACE] = ACTIONS(5007),
    [anon_sym_signed] = ACTIONS(5005),
    [anon_sym_unsigned] = ACTIONS(5005),
    [anon_sym_long] = ACTIONS(5005),
    [anon_sym_short] = ACTIONS(5005),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [anon_sym_RBRACK] = ACTIONS(5007),
    [anon_sym_const] = ACTIONS(5005),
    [anon_sym_constexpr] = ACTIONS(5005),
    [anon_sym_volatile] = ACTIONS(5005),
    [anon_sym_restrict] = ACTIONS(5005),
    [anon_sym___restrict__] = ACTIONS(5005),
    [anon_sym__Atomic] = ACTIONS(5005),
    [anon_sym__Noreturn] = ACTIONS(5005),
    [anon_sym_noreturn] = ACTIONS(5005),
    [anon_sym_mutable] = ACTIONS(5005),
    [anon_sym_constinit] = ACTIONS(5005),
    [anon_sym_consteval] = ACTIONS(5005),
    [anon_sym_alignas] = ACTIONS(5005),
    [anon_sym__Alignas] = ACTIONS(5005),
    [sym_primitive_type] = ACTIONS(5005),
    [anon_sym_COLON] = ACTIONS(5007),
    [anon_sym_QMARK] = ACTIONS(5007),
    [anon_sym_LT_EQ_GT] = ACTIONS(5007),
    [anon_sym_or] = ACTIONS(5005),
    [anon_sym_and] = ACTIONS(5005),
    [anon_sym_bitor] = ACTIONS(5005),
    [anon_sym_xor] = ACTIONS(5005),
    [anon_sym_bitand] = ACTIONS(5005),
    [anon_sym_not_eq] = ACTIONS(5005),
    [anon_sym_DASH_DASH] = ACTIONS(5007),
    [anon_sym_PLUS_PLUS] = ACTIONS(5007),
    [anon_sym_DOT] = ACTIONS(5005),
    [anon_sym_DOT_STAR] = ACTIONS(5007),
    [anon_sym_DASH_GT] = ACTIONS(5007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5005),
    [anon_sym_decltype] = ACTIONS(5005),
    [anon_sym_final] = ACTIONS(5005),
    [anon_sym_override] = ACTIONS(5005),
    [anon_sym_requires] = ACTIONS(5005),
  },
  [1685] = {
    [sym_identifier] = ACTIONS(5009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5011),
    [anon_sym_COMMA] = ACTIONS(5011),
    [anon_sym_RPAREN] = ACTIONS(5011),
    [anon_sym_LPAREN2] = ACTIONS(5011),
    [anon_sym_DASH] = ACTIONS(5009),
    [anon_sym_PLUS] = ACTIONS(5009),
    [anon_sym_STAR] = ACTIONS(5011),
    [anon_sym_SLASH] = ACTIONS(5009),
    [anon_sym_PERCENT] = ACTIONS(5011),
    [anon_sym_PIPE_PIPE] = ACTIONS(5011),
    [anon_sym_AMP_AMP] = ACTIONS(5011),
    [anon_sym_PIPE] = ACTIONS(5009),
    [anon_sym_CARET] = ACTIONS(5011),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_EQ_EQ] = ACTIONS(5011),
    [anon_sym_BANG_EQ] = ACTIONS(5011),
    [anon_sym_GT] = ACTIONS(5009),
    [anon_sym_GT_EQ] = ACTIONS(5011),
    [anon_sym_LT_EQ] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5009),
    [anon_sym_LT_LT] = ACTIONS(5011),
    [anon_sym_GT_GT] = ACTIONS(5011),
    [anon_sym_SEMI] = ACTIONS(5011),
    [anon_sym___extension__] = ACTIONS(5009),
    [anon_sym___attribute__] = ACTIONS(5009),
    [anon_sym___based] = ACTIONS(5009),
    [anon_sym_LBRACE] = ACTIONS(5011),
    [anon_sym_RBRACE] = ACTIONS(5011),
    [anon_sym_signed] = ACTIONS(5009),
    [anon_sym_unsigned] = ACTIONS(5009),
    [anon_sym_long] = ACTIONS(5009),
    [anon_sym_short] = ACTIONS(5009),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_RBRACK] = ACTIONS(5011),
    [anon_sym_const] = ACTIONS(5009),
    [anon_sym_constexpr] = ACTIONS(5009),
    [anon_sym_volatile] = ACTIONS(5009),
    [anon_sym_restrict] = ACTIONS(5009),
    [anon_sym___restrict__] = ACTIONS(5009),
    [anon_sym__Atomic] = ACTIONS(5009),
    [anon_sym__Noreturn] = ACTIONS(5009),
    [anon_sym_noreturn] = ACTIONS(5009),
    [anon_sym_mutable] = ACTIONS(5009),
    [anon_sym_constinit] = ACTIONS(5009),
    [anon_sym_consteval] = ACTIONS(5009),
    [anon_sym_alignas] = ACTIONS(5009),
    [anon_sym__Alignas] = ACTIONS(5009),
    [sym_primitive_type] = ACTIONS(5009),
    [anon_sym_COLON] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5011),
    [anon_sym_LT_EQ_GT] = ACTIONS(5011),
    [anon_sym_or] = ACTIONS(5009),
    [anon_sym_and] = ACTIONS(5009),
    [anon_sym_bitor] = ACTIONS(5009),
    [anon_sym_xor] = ACTIONS(5009),
    [anon_sym_bitand] = ACTIONS(5009),
    [anon_sym_not_eq] = ACTIONS(5009),
    [anon_sym_DASH_DASH] = ACTIONS(5011),
    [anon_sym_PLUS_PLUS] = ACTIONS(5011),
    [anon_sym_DOT] = ACTIONS(5009),
    [anon_sym_DOT_STAR] = ACTIONS(5011),
    [anon_sym_DASH_GT] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5009),
    [anon_sym_decltype] = ACTIONS(5009),
    [anon_sym_final] = ACTIONS(5009),
    [anon_sym_override] = ACTIONS(5009),
    [anon_sym_requires] = ACTIONS(5009),
  },
  [1686] = {
    [sym_identifier] = ACTIONS(5013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5015),
    [anon_sym_COMMA] = ACTIONS(5015),
    [anon_sym_RPAREN] = ACTIONS(5015),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_DASH] = ACTIONS(5013),
    [anon_sym_PLUS] = ACTIONS(5013),
    [anon_sym_STAR] = ACTIONS(5015),
    [anon_sym_SLASH] = ACTIONS(5013),
    [anon_sym_PERCENT] = ACTIONS(5015),
    [anon_sym_PIPE_PIPE] = ACTIONS(5015),
    [anon_sym_AMP_AMP] = ACTIONS(5015),
    [anon_sym_PIPE] = ACTIONS(5013),
    [anon_sym_CARET] = ACTIONS(5015),
    [anon_sym_AMP] = ACTIONS(5013),
    [anon_sym_EQ_EQ] = ACTIONS(5015),
    [anon_sym_BANG_EQ] = ACTIONS(5015),
    [anon_sym_GT] = ACTIONS(5013),
    [anon_sym_GT_EQ] = ACTIONS(5015),
    [anon_sym_LT_EQ] = ACTIONS(5013),
    [anon_sym_LT] = ACTIONS(5013),
    [anon_sym_LT_LT] = ACTIONS(5015),
    [anon_sym_GT_GT] = ACTIONS(5015),
    [anon_sym_SEMI] = ACTIONS(5015),
    [anon_sym___extension__] = ACTIONS(5013),
    [anon_sym___attribute__] = ACTIONS(5013),
    [anon_sym___based] = ACTIONS(5013),
    [anon_sym_LBRACE] = ACTIONS(5015),
    [anon_sym_RBRACE] = ACTIONS(5015),
    [anon_sym_signed] = ACTIONS(5013),
    [anon_sym_unsigned] = ACTIONS(5013),
    [anon_sym_long] = ACTIONS(5013),
    [anon_sym_short] = ACTIONS(5013),
    [anon_sym_LBRACK] = ACTIONS(5015),
    [anon_sym_RBRACK] = ACTIONS(5015),
    [anon_sym_const] = ACTIONS(5013),
    [anon_sym_constexpr] = ACTIONS(5013),
    [anon_sym_volatile] = ACTIONS(5013),
    [anon_sym_restrict] = ACTIONS(5013),
    [anon_sym___restrict__] = ACTIONS(5013),
    [anon_sym__Atomic] = ACTIONS(5013),
    [anon_sym__Noreturn] = ACTIONS(5013),
    [anon_sym_noreturn] = ACTIONS(5013),
    [anon_sym_mutable] = ACTIONS(5013),
    [anon_sym_constinit] = ACTIONS(5013),
    [anon_sym_consteval] = ACTIONS(5013),
    [anon_sym_alignas] = ACTIONS(5013),
    [anon_sym__Alignas] = ACTIONS(5013),
    [sym_primitive_type] = ACTIONS(5013),
    [anon_sym_COLON] = ACTIONS(5015),
    [anon_sym_QMARK] = ACTIONS(5015),
    [anon_sym_LT_EQ_GT] = ACTIONS(5015),
    [anon_sym_or] = ACTIONS(5013),
    [anon_sym_and] = ACTIONS(5013),
    [anon_sym_bitor] = ACTIONS(5013),
    [anon_sym_xor] = ACTIONS(5013),
    [anon_sym_bitand] = ACTIONS(5013),
    [anon_sym_not_eq] = ACTIONS(5013),
    [anon_sym_DASH_DASH] = ACTIONS(5015),
    [anon_sym_PLUS_PLUS] = ACTIONS(5015),
    [anon_sym_DOT] = ACTIONS(5013),
    [anon_sym_DOT_STAR] = ACTIONS(5015),
    [anon_sym_DASH_GT] = ACTIONS(5015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5013),
    [anon_sym_decltype] = ACTIONS(5013),
    [anon_sym_final] = ACTIONS(5013),
    [anon_sym_override] = ACTIONS(5013),
    [anon_sym_requires] = ACTIONS(5013),
  },
  [1687] = {
    [sym_template_argument_list] = STATE(1802),
    [sym_identifier] = ACTIONS(5017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3794),
    [anon_sym_COMMA] = ACTIONS(3794),
    [anon_sym_RPAREN] = ACTIONS(3794),
    [aux_sym_preproc_if_token2] = ACTIONS(3794),
    [aux_sym_preproc_else_token1] = ACTIONS(3794),
    [aux_sym_preproc_elif_token1] = ACTIONS(5017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3794),
    [anon_sym_LPAREN2] = ACTIONS(3794),
    [anon_sym_DASH] = ACTIONS(5017),
    [anon_sym_PLUS] = ACTIONS(5017),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_SLASH] = ACTIONS(5017),
    [anon_sym_PERCENT] = ACTIONS(5017),
    [anon_sym_PIPE_PIPE] = ACTIONS(3794),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_PIPE] = ACTIONS(5017),
    [anon_sym_CARET] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_EQ_EQ] = ACTIONS(3794),
    [anon_sym_BANG_EQ] = ACTIONS(3794),
    [anon_sym_GT] = ACTIONS(5017),
    [anon_sym_GT_EQ] = ACTIONS(3794),
    [anon_sym_LT_EQ] = ACTIONS(5017),
    [anon_sym_LT] = ACTIONS(5019),
    [anon_sym_LT_LT] = ACTIONS(5017),
    [anon_sym_GT_GT] = ACTIONS(5017),
    [anon_sym_SEMI] = ACTIONS(3794),
    [anon_sym___attribute__] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3794),
    [anon_sym_RBRACK] = ACTIONS(3794),
    [anon_sym_EQ] = ACTIONS(5017),
    [anon_sym_COLON] = ACTIONS(5017),
    [anon_sym_QMARK] = ACTIONS(3794),
    [anon_sym_STAR_EQ] = ACTIONS(3794),
    [anon_sym_SLASH_EQ] = ACTIONS(3794),
    [anon_sym_PERCENT_EQ] = ACTIONS(3794),
    [anon_sym_PLUS_EQ] = ACTIONS(3794),
    [anon_sym_DASH_EQ] = ACTIONS(3794),
    [anon_sym_LT_LT_EQ] = ACTIONS(3794),
    [anon_sym_GT_GT_EQ] = ACTIONS(3794),
    [anon_sym_AMP_EQ] = ACTIONS(3794),
    [anon_sym_CARET_EQ] = ACTIONS(3794),
    [anon_sym_PIPE_EQ] = ACTIONS(3794),
    [anon_sym_and_eq] = ACTIONS(5017),
    [anon_sym_or_eq] = ACTIONS(5017),
    [anon_sym_xor_eq] = ACTIONS(5017),
    [anon_sym_LT_EQ_GT] = ACTIONS(3794),
    [anon_sym_or] = ACTIONS(5017),
    [anon_sym_and] = ACTIONS(5017),
    [anon_sym_bitor] = ACTIONS(5017),
    [anon_sym_xor] = ACTIONS(5017),
    [anon_sym_bitand] = ACTIONS(5017),
    [anon_sym_not_eq] = ACTIONS(5017),
    [anon_sym_DASH_DASH] = ACTIONS(3794),
    [anon_sym_PLUS_PLUS] = ACTIONS(3794),
    [anon_sym_DOT] = ACTIONS(5017),
    [anon_sym_DOT_STAR] = ACTIONS(3794),
    [anon_sym_DASH_GT] = ACTIONS(3794),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5017),
    [anon_sym_decltype] = ACTIONS(5017),
    [anon_sym_final] = ACTIONS(5017),
    [anon_sym_override] = ACTIONS(5017),
  },
  [1688] = {
    [sym_identifier] = ACTIONS(5021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5023),
    [anon_sym_COMMA] = ACTIONS(5023),
    [anon_sym_RPAREN] = ACTIONS(5023),
    [anon_sym_LPAREN2] = ACTIONS(5023),
    [anon_sym_DASH] = ACTIONS(5021),
    [anon_sym_PLUS] = ACTIONS(5021),
    [anon_sym_STAR] = ACTIONS(5023),
    [anon_sym_SLASH] = ACTIONS(5021),
    [anon_sym_PERCENT] = ACTIONS(5023),
    [anon_sym_PIPE_PIPE] = ACTIONS(5023),
    [anon_sym_AMP_AMP] = ACTIONS(5023),
    [anon_sym_PIPE] = ACTIONS(5021),
    [anon_sym_CARET] = ACTIONS(5023),
    [anon_sym_AMP] = ACTIONS(5021),
    [anon_sym_EQ_EQ] = ACTIONS(5023),
    [anon_sym_BANG_EQ] = ACTIONS(5023),
    [anon_sym_GT] = ACTIONS(5021),
    [anon_sym_GT_EQ] = ACTIONS(5023),
    [anon_sym_LT_EQ] = ACTIONS(5021),
    [anon_sym_LT] = ACTIONS(5021),
    [anon_sym_LT_LT] = ACTIONS(5023),
    [anon_sym_GT_GT] = ACTIONS(5023),
    [anon_sym_SEMI] = ACTIONS(5023),
    [anon_sym___extension__] = ACTIONS(5021),
    [anon_sym___attribute__] = ACTIONS(5021),
    [anon_sym___based] = ACTIONS(5021),
    [anon_sym_LBRACE] = ACTIONS(5023),
    [anon_sym_RBRACE] = ACTIONS(5023),
    [anon_sym_signed] = ACTIONS(5021),
    [anon_sym_unsigned] = ACTIONS(5021),
    [anon_sym_long] = ACTIONS(5021),
    [anon_sym_short] = ACTIONS(5021),
    [anon_sym_LBRACK] = ACTIONS(5023),
    [anon_sym_RBRACK] = ACTIONS(5023),
    [anon_sym_const] = ACTIONS(5021),
    [anon_sym_constexpr] = ACTIONS(5021),
    [anon_sym_volatile] = ACTIONS(5021),
    [anon_sym_restrict] = ACTIONS(5021),
    [anon_sym___restrict__] = ACTIONS(5021),
    [anon_sym__Atomic] = ACTIONS(5021),
    [anon_sym__Noreturn] = ACTIONS(5021),
    [anon_sym_noreturn] = ACTIONS(5021),
    [anon_sym_mutable] = ACTIONS(5021),
    [anon_sym_constinit] = ACTIONS(5021),
    [anon_sym_consteval] = ACTIONS(5021),
    [anon_sym_alignas] = ACTIONS(5021),
    [anon_sym__Alignas] = ACTIONS(5021),
    [sym_primitive_type] = ACTIONS(5021),
    [anon_sym_COLON] = ACTIONS(5023),
    [anon_sym_QMARK] = ACTIONS(5023),
    [anon_sym_LT_EQ_GT] = ACTIONS(5023),
    [anon_sym_or] = ACTIONS(5021),
    [anon_sym_and] = ACTIONS(5021),
    [anon_sym_bitor] = ACTIONS(5021),
    [anon_sym_xor] = ACTIONS(5021),
    [anon_sym_bitand] = ACTIONS(5021),
    [anon_sym_not_eq] = ACTIONS(5021),
    [anon_sym_DASH_DASH] = ACTIONS(5023),
    [anon_sym_PLUS_PLUS] = ACTIONS(5023),
    [anon_sym_DOT] = ACTIONS(5021),
    [anon_sym_DOT_STAR] = ACTIONS(5023),
    [anon_sym_DASH_GT] = ACTIONS(5023),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5021),
    [anon_sym_decltype] = ACTIONS(5021),
    [anon_sym_final] = ACTIONS(5021),
    [anon_sym_override] = ACTIONS(5021),
    [anon_sym_requires] = ACTIONS(5021),
  },
  [1689] = {
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4922),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4922),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4922),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4922),
    [anon_sym_GT_GT] = ACTIONS(4922),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___extension__] = ACTIONS(4920),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym___based] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_RBRACE] = ACTIONS(4922),
    [anon_sym_signed] = ACTIONS(4920),
    [anon_sym_unsigned] = ACTIONS(4920),
    [anon_sym_long] = ACTIONS(4920),
    [anon_sym_short] = ACTIONS(4920),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_RBRACK] = ACTIONS(4922),
    [anon_sym_const] = ACTIONS(4920),
    [anon_sym_constexpr] = ACTIONS(4920),
    [anon_sym_volatile] = ACTIONS(4920),
    [anon_sym_restrict] = ACTIONS(4920),
    [anon_sym___restrict__] = ACTIONS(4920),
    [anon_sym__Atomic] = ACTIONS(4920),
    [anon_sym__Noreturn] = ACTIONS(4920),
    [anon_sym_noreturn] = ACTIONS(4920),
    [anon_sym_mutable] = ACTIONS(4920),
    [anon_sym_constinit] = ACTIONS(4920),
    [anon_sym_consteval] = ACTIONS(4920),
    [anon_sym_alignas] = ACTIONS(4920),
    [anon_sym__Alignas] = ACTIONS(4920),
    [sym_primitive_type] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4922),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_final] = ACTIONS(4920),
    [anon_sym_override] = ACTIONS(4920),
    [anon_sym_requires] = ACTIONS(4920),
  },
  [1690] = {
    [sym_identifier] = ACTIONS(5025),
    [aux_sym_preproc_def_token1] = ACTIONS(5025),
    [aux_sym_preproc_if_token1] = ACTIONS(5025),
    [aux_sym_preproc_if_token2] = ACTIONS(5025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5025),
    [aux_sym_preproc_else_token1] = ACTIONS(5025),
    [aux_sym_preproc_elif_token1] = ACTIONS(5025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5025),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5025),
    [sym_preproc_directive] = ACTIONS(5025),
    [anon_sym_LPAREN2] = ACTIONS(5027),
    [anon_sym_TILDE] = ACTIONS(5027),
    [anon_sym_STAR] = ACTIONS(5027),
    [anon_sym_AMP_AMP] = ACTIONS(5027),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym___extension__] = ACTIONS(5025),
    [anon_sym_typedef] = ACTIONS(5025),
    [anon_sym_extern] = ACTIONS(5025),
    [anon_sym___attribute__] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(5027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5027),
    [anon_sym___declspec] = ACTIONS(5025),
    [anon_sym___based] = ACTIONS(5025),
    [anon_sym_signed] = ACTIONS(5025),
    [anon_sym_unsigned] = ACTIONS(5025),
    [anon_sym_long] = ACTIONS(5025),
    [anon_sym_short] = ACTIONS(5025),
    [anon_sym_LBRACK] = ACTIONS(5025),
    [anon_sym_static] = ACTIONS(5025),
    [anon_sym_register] = ACTIONS(5025),
    [anon_sym_inline] = ACTIONS(5025),
    [anon_sym___inline] = ACTIONS(5025),
    [anon_sym___inline__] = ACTIONS(5025),
    [anon_sym___forceinline] = ACTIONS(5025),
    [anon_sym_thread_local] = ACTIONS(5025),
    [anon_sym___thread] = ACTIONS(5025),
    [anon_sym_const] = ACTIONS(5025),
    [anon_sym_constexpr] = ACTIONS(5025),
    [anon_sym_volatile] = ACTIONS(5025),
    [anon_sym_restrict] = ACTIONS(5025),
    [anon_sym___restrict__] = ACTIONS(5025),
    [anon_sym__Atomic] = ACTIONS(5025),
    [anon_sym__Noreturn] = ACTIONS(5025),
    [anon_sym_noreturn] = ACTIONS(5025),
    [anon_sym_mutable] = ACTIONS(5025),
    [anon_sym_constinit] = ACTIONS(5025),
    [anon_sym_consteval] = ACTIONS(5025),
    [anon_sym_alignas] = ACTIONS(5025),
    [anon_sym__Alignas] = ACTIONS(5025),
    [sym_primitive_type] = ACTIONS(5025),
    [anon_sym_enum] = ACTIONS(5025),
    [anon_sym_class] = ACTIONS(5025),
    [anon_sym_struct] = ACTIONS(5025),
    [anon_sym_union] = ACTIONS(5025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5025),
    [anon_sym_decltype] = ACTIONS(5025),
    [sym_virtual] = ACTIONS(5025),
    [anon_sym_explicit] = ACTIONS(5025),
    [anon_sym_typename] = ACTIONS(5025),
    [anon_sym_template] = ACTIONS(5025),
    [anon_sym_operator] = ACTIONS(5025),
    [anon_sym_friend] = ACTIONS(5025),
    [anon_sym_public] = ACTIONS(5025),
    [anon_sym_private] = ACTIONS(5025),
    [anon_sym_protected] = ACTIONS(5025),
    [anon_sym_using] = ACTIONS(5025),
    [anon_sym_static_assert] = ACTIONS(5025),
  },
  [1691] = {
    [sym_identifier] = ACTIONS(5029),
    [aux_sym_preproc_def_token1] = ACTIONS(5029),
    [aux_sym_preproc_if_token1] = ACTIONS(5029),
    [aux_sym_preproc_if_token2] = ACTIONS(5029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5029),
    [aux_sym_preproc_else_token1] = ACTIONS(5029),
    [aux_sym_preproc_elif_token1] = ACTIONS(5029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5029),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5029),
    [sym_preproc_directive] = ACTIONS(5029),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_TILDE] = ACTIONS(5031),
    [anon_sym_STAR] = ACTIONS(5031),
    [anon_sym_AMP_AMP] = ACTIONS(5031),
    [anon_sym_AMP] = ACTIONS(5029),
    [anon_sym___extension__] = ACTIONS(5029),
    [anon_sym_typedef] = ACTIONS(5029),
    [anon_sym_extern] = ACTIONS(5029),
    [anon_sym___attribute__] = ACTIONS(5029),
    [anon_sym_COLON_COLON] = ACTIONS(5031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5031),
    [anon_sym___declspec] = ACTIONS(5029),
    [anon_sym___based] = ACTIONS(5029),
    [anon_sym_signed] = ACTIONS(5029),
    [anon_sym_unsigned] = ACTIONS(5029),
    [anon_sym_long] = ACTIONS(5029),
    [anon_sym_short] = ACTIONS(5029),
    [anon_sym_LBRACK] = ACTIONS(5029),
    [anon_sym_static] = ACTIONS(5029),
    [anon_sym_register] = ACTIONS(5029),
    [anon_sym_inline] = ACTIONS(5029),
    [anon_sym___inline] = ACTIONS(5029),
    [anon_sym___inline__] = ACTIONS(5029),
    [anon_sym___forceinline] = ACTIONS(5029),
    [anon_sym_thread_local] = ACTIONS(5029),
    [anon_sym___thread] = ACTIONS(5029),
    [anon_sym_const] = ACTIONS(5029),
    [anon_sym_constexpr] = ACTIONS(5029),
    [anon_sym_volatile] = ACTIONS(5029),
    [anon_sym_restrict] = ACTIONS(5029),
    [anon_sym___restrict__] = ACTIONS(5029),
    [anon_sym__Atomic] = ACTIONS(5029),
    [anon_sym__Noreturn] = ACTIONS(5029),
    [anon_sym_noreturn] = ACTIONS(5029),
    [anon_sym_mutable] = ACTIONS(5029),
    [anon_sym_constinit] = ACTIONS(5029),
    [anon_sym_consteval] = ACTIONS(5029),
    [anon_sym_alignas] = ACTIONS(5029),
    [anon_sym__Alignas] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(5029),
    [anon_sym_enum] = ACTIONS(5029),
    [anon_sym_class] = ACTIONS(5029),
    [anon_sym_struct] = ACTIONS(5029),
    [anon_sym_union] = ACTIONS(5029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5029),
    [anon_sym_decltype] = ACTIONS(5029),
    [sym_virtual] = ACTIONS(5029),
    [anon_sym_explicit] = ACTIONS(5029),
    [anon_sym_typename] = ACTIONS(5029),
    [anon_sym_template] = ACTIONS(5029),
    [anon_sym_operator] = ACTIONS(5029),
    [anon_sym_friend] = ACTIONS(5029),
    [anon_sym_public] = ACTIONS(5029),
    [anon_sym_private] = ACTIONS(5029),
    [anon_sym_protected] = ACTIONS(5029),
    [anon_sym_using] = ACTIONS(5029),
    [anon_sym_static_assert] = ACTIONS(5029),
  },
  [1692] = {
    [sym_identifier] = ACTIONS(5033),
    [aux_sym_preproc_def_token1] = ACTIONS(5033),
    [aux_sym_preproc_if_token1] = ACTIONS(5033),
    [aux_sym_preproc_if_token2] = ACTIONS(5033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5033),
    [aux_sym_preproc_else_token1] = ACTIONS(5033),
    [aux_sym_preproc_elif_token1] = ACTIONS(5033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5033),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5033),
    [sym_preproc_directive] = ACTIONS(5033),
    [anon_sym_LPAREN2] = ACTIONS(5035),
    [anon_sym_TILDE] = ACTIONS(5035),
    [anon_sym_STAR] = ACTIONS(5035),
    [anon_sym_AMP_AMP] = ACTIONS(5035),
    [anon_sym_AMP] = ACTIONS(5033),
    [anon_sym___extension__] = ACTIONS(5033),
    [anon_sym_typedef] = ACTIONS(5033),
    [anon_sym_extern] = ACTIONS(5033),
    [anon_sym___attribute__] = ACTIONS(5033),
    [anon_sym_COLON_COLON] = ACTIONS(5035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5035),
    [anon_sym___declspec] = ACTIONS(5033),
    [anon_sym___based] = ACTIONS(5033),
    [anon_sym_signed] = ACTIONS(5033),
    [anon_sym_unsigned] = ACTIONS(5033),
    [anon_sym_long] = ACTIONS(5033),
    [anon_sym_short] = ACTIONS(5033),
    [anon_sym_LBRACK] = ACTIONS(5033),
    [anon_sym_static] = ACTIONS(5033),
    [anon_sym_register] = ACTIONS(5033),
    [anon_sym_inline] = ACTIONS(5033),
    [anon_sym___inline] = ACTIONS(5033),
    [anon_sym___inline__] = ACTIONS(5033),
    [anon_sym___forceinline] = ACTIONS(5033),
    [anon_sym_thread_local] = ACTIONS(5033),
    [anon_sym___thread] = ACTIONS(5033),
    [anon_sym_const] = ACTIONS(5033),
    [anon_sym_constexpr] = ACTIONS(5033),
    [anon_sym_volatile] = ACTIONS(5033),
    [anon_sym_restrict] = ACTIONS(5033),
    [anon_sym___restrict__] = ACTIONS(5033),
    [anon_sym__Atomic] = ACTIONS(5033),
    [anon_sym__Noreturn] = ACTIONS(5033),
    [anon_sym_noreturn] = ACTIONS(5033),
    [anon_sym_mutable] = ACTIONS(5033),
    [anon_sym_constinit] = ACTIONS(5033),
    [anon_sym_consteval] = ACTIONS(5033),
    [anon_sym_alignas] = ACTIONS(5033),
    [anon_sym__Alignas] = ACTIONS(5033),
    [sym_primitive_type] = ACTIONS(5033),
    [anon_sym_enum] = ACTIONS(5033),
    [anon_sym_class] = ACTIONS(5033),
    [anon_sym_struct] = ACTIONS(5033),
    [anon_sym_union] = ACTIONS(5033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5033),
    [anon_sym_decltype] = ACTIONS(5033),
    [sym_virtual] = ACTIONS(5033),
    [anon_sym_explicit] = ACTIONS(5033),
    [anon_sym_typename] = ACTIONS(5033),
    [anon_sym_template] = ACTIONS(5033),
    [anon_sym_operator] = ACTIONS(5033),
    [anon_sym_friend] = ACTIONS(5033),
    [anon_sym_public] = ACTIONS(5033),
    [anon_sym_private] = ACTIONS(5033),
    [anon_sym_protected] = ACTIONS(5033),
    [anon_sym_using] = ACTIONS(5033),
    [anon_sym_static_assert] = ACTIONS(5033),
  },
  [1693] = {
    [sym_identifier] = ACTIONS(5037),
    [aux_sym_preproc_def_token1] = ACTIONS(5037),
    [aux_sym_preproc_if_token1] = ACTIONS(5037),
    [aux_sym_preproc_if_token2] = ACTIONS(5037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5037),
    [aux_sym_preproc_else_token1] = ACTIONS(5037),
    [aux_sym_preproc_elif_token1] = ACTIONS(5037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5037),
    [sym_preproc_directive] = ACTIONS(5037),
    [anon_sym_LPAREN2] = ACTIONS(5039),
    [anon_sym_TILDE] = ACTIONS(5039),
    [anon_sym_STAR] = ACTIONS(5039),
    [anon_sym_AMP_AMP] = ACTIONS(5039),
    [anon_sym_AMP] = ACTIONS(5037),
    [anon_sym___extension__] = ACTIONS(5037),
    [anon_sym_typedef] = ACTIONS(5037),
    [anon_sym_extern] = ACTIONS(5037),
    [anon_sym___attribute__] = ACTIONS(5037),
    [anon_sym_COLON_COLON] = ACTIONS(5039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5039),
    [anon_sym___declspec] = ACTIONS(5037),
    [anon_sym___based] = ACTIONS(5037),
    [anon_sym_signed] = ACTIONS(5037),
    [anon_sym_unsigned] = ACTIONS(5037),
    [anon_sym_long] = ACTIONS(5037),
    [anon_sym_short] = ACTIONS(5037),
    [anon_sym_LBRACK] = ACTIONS(5037),
    [anon_sym_static] = ACTIONS(5037),
    [anon_sym_register] = ACTIONS(5037),
    [anon_sym_inline] = ACTIONS(5037),
    [anon_sym___inline] = ACTIONS(5037),
    [anon_sym___inline__] = ACTIONS(5037),
    [anon_sym___forceinline] = ACTIONS(5037),
    [anon_sym_thread_local] = ACTIONS(5037),
    [anon_sym___thread] = ACTIONS(5037),
    [anon_sym_const] = ACTIONS(5037),
    [anon_sym_constexpr] = ACTIONS(5037),
    [anon_sym_volatile] = ACTIONS(5037),
    [anon_sym_restrict] = ACTIONS(5037),
    [anon_sym___restrict__] = ACTIONS(5037),
    [anon_sym__Atomic] = ACTIONS(5037),
    [anon_sym__Noreturn] = ACTIONS(5037),
    [anon_sym_noreturn] = ACTIONS(5037),
    [anon_sym_mutable] = ACTIONS(5037),
    [anon_sym_constinit] = ACTIONS(5037),
    [anon_sym_consteval] = ACTIONS(5037),
    [anon_sym_alignas] = ACTIONS(5037),
    [anon_sym__Alignas] = ACTIONS(5037),
    [sym_primitive_type] = ACTIONS(5037),
    [anon_sym_enum] = ACTIONS(5037),
    [anon_sym_class] = ACTIONS(5037),
    [anon_sym_struct] = ACTIONS(5037),
    [anon_sym_union] = ACTIONS(5037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5037),
    [anon_sym_decltype] = ACTIONS(5037),
    [sym_virtual] = ACTIONS(5037),
    [anon_sym_explicit] = ACTIONS(5037),
    [anon_sym_typename] = ACTIONS(5037),
    [anon_sym_template] = ACTIONS(5037),
    [anon_sym_operator] = ACTIONS(5037),
    [anon_sym_friend] = ACTIONS(5037),
    [anon_sym_public] = ACTIONS(5037),
    [anon_sym_private] = ACTIONS(5037),
    [anon_sym_protected] = ACTIONS(5037),
    [anon_sym_using] = ACTIONS(5037),
    [anon_sym_static_assert] = ACTIONS(5037),
  },
  [1694] = {
    [sym_identifier] = ACTIONS(5037),
    [aux_sym_preproc_def_token1] = ACTIONS(5037),
    [aux_sym_preproc_if_token1] = ACTIONS(5037),
    [aux_sym_preproc_if_token2] = ACTIONS(5037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5037),
    [aux_sym_preproc_else_token1] = ACTIONS(5037),
    [aux_sym_preproc_elif_token1] = ACTIONS(5037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5037),
    [sym_preproc_directive] = ACTIONS(5037),
    [anon_sym_LPAREN2] = ACTIONS(5039),
    [anon_sym_TILDE] = ACTIONS(5039),
    [anon_sym_STAR] = ACTIONS(5039),
    [anon_sym_AMP_AMP] = ACTIONS(5039),
    [anon_sym_AMP] = ACTIONS(5037),
    [anon_sym___extension__] = ACTIONS(5037),
    [anon_sym_typedef] = ACTIONS(5037),
    [anon_sym_extern] = ACTIONS(5037),
    [anon_sym___attribute__] = ACTIONS(5037),
    [anon_sym_COLON_COLON] = ACTIONS(5039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5039),
    [anon_sym___declspec] = ACTIONS(5037),
    [anon_sym___based] = ACTIONS(5037),
    [anon_sym_signed] = ACTIONS(5037),
    [anon_sym_unsigned] = ACTIONS(5037),
    [anon_sym_long] = ACTIONS(5037),
    [anon_sym_short] = ACTIONS(5037),
    [anon_sym_LBRACK] = ACTIONS(5037),
    [anon_sym_static] = ACTIONS(5037),
    [anon_sym_register] = ACTIONS(5037),
    [anon_sym_inline] = ACTIONS(5037),
    [anon_sym___inline] = ACTIONS(5037),
    [anon_sym___inline__] = ACTIONS(5037),
    [anon_sym___forceinline] = ACTIONS(5037),
    [anon_sym_thread_local] = ACTIONS(5037),
    [anon_sym___thread] = ACTIONS(5037),
    [anon_sym_const] = ACTIONS(5037),
    [anon_sym_constexpr] = ACTIONS(5037),
    [anon_sym_volatile] = ACTIONS(5037),
    [anon_sym_restrict] = ACTIONS(5037),
    [anon_sym___restrict__] = ACTIONS(5037),
    [anon_sym__Atomic] = ACTIONS(5037),
    [anon_sym__Noreturn] = ACTIONS(5037),
    [anon_sym_noreturn] = ACTIONS(5037),
    [anon_sym_mutable] = ACTIONS(5037),
    [anon_sym_constinit] = ACTIONS(5037),
    [anon_sym_consteval] = ACTIONS(5037),
    [anon_sym_alignas] = ACTIONS(5037),
    [anon_sym__Alignas] = ACTIONS(5037),
    [sym_primitive_type] = ACTIONS(5037),
    [anon_sym_enum] = ACTIONS(5037),
    [anon_sym_class] = ACTIONS(5037),
    [anon_sym_struct] = ACTIONS(5037),
    [anon_sym_union] = ACTIONS(5037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5037),
    [anon_sym_decltype] = ACTIONS(5037),
    [sym_virtual] = ACTIONS(5037),
    [anon_sym_explicit] = ACTIONS(5037),
    [anon_sym_typename] = ACTIONS(5037),
    [anon_sym_template] = ACTIONS(5037),
    [anon_sym_operator] = ACTIONS(5037),
    [anon_sym_friend] = ACTIONS(5037),
    [anon_sym_public] = ACTIONS(5037),
    [anon_sym_private] = ACTIONS(5037),
    [anon_sym_protected] = ACTIONS(5037),
    [anon_sym_using] = ACTIONS(5037),
    [anon_sym_static_assert] = ACTIONS(5037),
  },
  [1695] = {
    [sym_identifier] = ACTIONS(5041),
    [aux_sym_preproc_def_token1] = ACTIONS(5041),
    [aux_sym_preproc_if_token1] = ACTIONS(5041),
    [aux_sym_preproc_if_token2] = ACTIONS(5041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5041),
    [aux_sym_preproc_else_token1] = ACTIONS(5041),
    [aux_sym_preproc_elif_token1] = ACTIONS(5041),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5041),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5041),
    [sym_preproc_directive] = ACTIONS(5041),
    [anon_sym_LPAREN2] = ACTIONS(5043),
    [anon_sym_TILDE] = ACTIONS(5043),
    [anon_sym_STAR] = ACTIONS(5043),
    [anon_sym_AMP_AMP] = ACTIONS(5043),
    [anon_sym_AMP] = ACTIONS(5041),
    [anon_sym___extension__] = ACTIONS(5041),
    [anon_sym_typedef] = ACTIONS(5041),
    [anon_sym_extern] = ACTIONS(5041),
    [anon_sym___attribute__] = ACTIONS(5041),
    [anon_sym_COLON_COLON] = ACTIONS(5043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5043),
    [anon_sym___declspec] = ACTIONS(5041),
    [anon_sym___based] = ACTIONS(5041),
    [anon_sym_signed] = ACTIONS(5041),
    [anon_sym_unsigned] = ACTIONS(5041),
    [anon_sym_long] = ACTIONS(5041),
    [anon_sym_short] = ACTIONS(5041),
    [anon_sym_LBRACK] = ACTIONS(5041),
    [anon_sym_static] = ACTIONS(5041),
    [anon_sym_register] = ACTIONS(5041),
    [anon_sym_inline] = ACTIONS(5041),
    [anon_sym___inline] = ACTIONS(5041),
    [anon_sym___inline__] = ACTIONS(5041),
    [anon_sym___forceinline] = ACTIONS(5041),
    [anon_sym_thread_local] = ACTIONS(5041),
    [anon_sym___thread] = ACTIONS(5041),
    [anon_sym_const] = ACTIONS(5041),
    [anon_sym_constexpr] = ACTIONS(5041),
    [anon_sym_volatile] = ACTIONS(5041),
    [anon_sym_restrict] = ACTIONS(5041),
    [anon_sym___restrict__] = ACTIONS(5041),
    [anon_sym__Atomic] = ACTIONS(5041),
    [anon_sym__Noreturn] = ACTIONS(5041),
    [anon_sym_noreturn] = ACTIONS(5041),
    [anon_sym_mutable] = ACTIONS(5041),
    [anon_sym_constinit] = ACTIONS(5041),
    [anon_sym_consteval] = ACTIONS(5041),
    [anon_sym_alignas] = ACTIONS(5041),
    [anon_sym__Alignas] = ACTIONS(5041),
    [sym_primitive_type] = ACTIONS(5041),
    [anon_sym_enum] = ACTIONS(5041),
    [anon_sym_class] = ACTIONS(5041),
    [anon_sym_struct] = ACTIONS(5041),
    [anon_sym_union] = ACTIONS(5041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5041),
    [anon_sym_decltype] = ACTIONS(5041),
    [sym_virtual] = ACTIONS(5041),
    [anon_sym_explicit] = ACTIONS(5041),
    [anon_sym_typename] = ACTIONS(5041),
    [anon_sym_template] = ACTIONS(5041),
    [anon_sym_operator] = ACTIONS(5041),
    [anon_sym_friend] = ACTIONS(5041),
    [anon_sym_public] = ACTIONS(5041),
    [anon_sym_private] = ACTIONS(5041),
    [anon_sym_protected] = ACTIONS(5041),
    [anon_sym_using] = ACTIONS(5041),
    [anon_sym_static_assert] = ACTIONS(5041),
  },
  [1696] = {
    [sym_identifier] = ACTIONS(5045),
    [aux_sym_preproc_def_token1] = ACTIONS(5045),
    [aux_sym_preproc_if_token1] = ACTIONS(5045),
    [aux_sym_preproc_if_token2] = ACTIONS(5045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5045),
    [aux_sym_preproc_else_token1] = ACTIONS(5045),
    [aux_sym_preproc_elif_token1] = ACTIONS(5045),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5045),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5045),
    [sym_preproc_directive] = ACTIONS(5045),
    [anon_sym_LPAREN2] = ACTIONS(5047),
    [anon_sym_TILDE] = ACTIONS(5047),
    [anon_sym_STAR] = ACTIONS(5047),
    [anon_sym_AMP_AMP] = ACTIONS(5047),
    [anon_sym_AMP] = ACTIONS(5045),
    [anon_sym___extension__] = ACTIONS(5045),
    [anon_sym_typedef] = ACTIONS(5045),
    [anon_sym_extern] = ACTIONS(5045),
    [anon_sym___attribute__] = ACTIONS(5045),
    [anon_sym_COLON_COLON] = ACTIONS(5047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5047),
    [anon_sym___declspec] = ACTIONS(5045),
    [anon_sym___based] = ACTIONS(5045),
    [anon_sym_signed] = ACTIONS(5045),
    [anon_sym_unsigned] = ACTIONS(5045),
    [anon_sym_long] = ACTIONS(5045),
    [anon_sym_short] = ACTIONS(5045),
    [anon_sym_LBRACK] = ACTIONS(5045),
    [anon_sym_static] = ACTIONS(5045),
    [anon_sym_register] = ACTIONS(5045),
    [anon_sym_inline] = ACTIONS(5045),
    [anon_sym___inline] = ACTIONS(5045),
    [anon_sym___inline__] = ACTIONS(5045),
    [anon_sym___forceinline] = ACTIONS(5045),
    [anon_sym_thread_local] = ACTIONS(5045),
    [anon_sym___thread] = ACTIONS(5045),
    [anon_sym_const] = ACTIONS(5045),
    [anon_sym_constexpr] = ACTIONS(5045),
    [anon_sym_volatile] = ACTIONS(5045),
    [anon_sym_restrict] = ACTIONS(5045),
    [anon_sym___restrict__] = ACTIONS(5045),
    [anon_sym__Atomic] = ACTIONS(5045),
    [anon_sym__Noreturn] = ACTIONS(5045),
    [anon_sym_noreturn] = ACTIONS(5045),
    [anon_sym_mutable] = ACTIONS(5045),
    [anon_sym_constinit] = ACTIONS(5045),
    [anon_sym_consteval] = ACTIONS(5045),
    [anon_sym_alignas] = ACTIONS(5045),
    [anon_sym__Alignas] = ACTIONS(5045),
    [sym_primitive_type] = ACTIONS(5045),
    [anon_sym_enum] = ACTIONS(5045),
    [anon_sym_class] = ACTIONS(5045),
    [anon_sym_struct] = ACTIONS(5045),
    [anon_sym_union] = ACTIONS(5045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5045),
    [anon_sym_decltype] = ACTIONS(5045),
    [sym_virtual] = ACTIONS(5045),
    [anon_sym_explicit] = ACTIONS(5045),
    [anon_sym_typename] = ACTIONS(5045),
    [anon_sym_template] = ACTIONS(5045),
    [anon_sym_operator] = ACTIONS(5045),
    [anon_sym_friend] = ACTIONS(5045),
    [anon_sym_public] = ACTIONS(5045),
    [anon_sym_private] = ACTIONS(5045),
    [anon_sym_protected] = ACTIONS(5045),
    [anon_sym_using] = ACTIONS(5045),
    [anon_sym_static_assert] = ACTIONS(5045),
  },
  [1697] = {
    [sym_identifier] = ACTIONS(5049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5051),
    [anon_sym_COMMA] = ACTIONS(5051),
    [anon_sym_RPAREN] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5051),
    [anon_sym_DASH] = ACTIONS(5049),
    [anon_sym_PLUS] = ACTIONS(5049),
    [anon_sym_STAR] = ACTIONS(5051),
    [anon_sym_SLASH] = ACTIONS(5049),
    [anon_sym_PERCENT] = ACTIONS(5051),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5051),
    [anon_sym_PIPE] = ACTIONS(5049),
    [anon_sym_CARET] = ACTIONS(5051),
    [anon_sym_AMP] = ACTIONS(5049),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5049),
    [anon_sym_GT_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ] = ACTIONS(5049),
    [anon_sym_LT] = ACTIONS(5049),
    [anon_sym_LT_LT] = ACTIONS(5051),
    [anon_sym_GT_GT] = ACTIONS(5051),
    [anon_sym_SEMI] = ACTIONS(5051),
    [anon_sym___extension__] = ACTIONS(5049),
    [anon_sym___attribute__] = ACTIONS(5049),
    [anon_sym___based] = ACTIONS(5049),
    [anon_sym_LBRACE] = ACTIONS(5051),
    [anon_sym_RBRACE] = ACTIONS(5051),
    [anon_sym_signed] = ACTIONS(5049),
    [anon_sym_unsigned] = ACTIONS(5049),
    [anon_sym_long] = ACTIONS(5049),
    [anon_sym_short] = ACTIONS(5049),
    [anon_sym_LBRACK] = ACTIONS(5051),
    [anon_sym_RBRACK] = ACTIONS(5051),
    [anon_sym_const] = ACTIONS(5049),
    [anon_sym_constexpr] = ACTIONS(5049),
    [anon_sym_volatile] = ACTIONS(5049),
    [anon_sym_restrict] = ACTIONS(5049),
    [anon_sym___restrict__] = ACTIONS(5049),
    [anon_sym__Atomic] = ACTIONS(5049),
    [anon_sym__Noreturn] = ACTIONS(5049),
    [anon_sym_noreturn] = ACTIONS(5049),
    [anon_sym_mutable] = ACTIONS(5049),
    [anon_sym_constinit] = ACTIONS(5049),
    [anon_sym_consteval] = ACTIONS(5049),
    [anon_sym_alignas] = ACTIONS(5049),
    [anon_sym__Alignas] = ACTIONS(5049),
    [sym_primitive_type] = ACTIONS(5049),
    [anon_sym_COLON] = ACTIONS(5051),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5049),
    [anon_sym_and] = ACTIONS(5049),
    [anon_sym_bitor] = ACTIONS(5049),
    [anon_sym_xor] = ACTIONS(5049),
    [anon_sym_bitand] = ACTIONS(5049),
    [anon_sym_not_eq] = ACTIONS(5049),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5049),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5049),
    [anon_sym_decltype] = ACTIONS(5049),
    [anon_sym_final] = ACTIONS(5049),
    [anon_sym_override] = ACTIONS(5049),
    [anon_sym_requires] = ACTIONS(5049),
  },
  [1698] = {
    [sym_identifier] = ACTIONS(5053),
    [aux_sym_preproc_def_token1] = ACTIONS(5053),
    [aux_sym_preproc_if_token1] = ACTIONS(5053),
    [aux_sym_preproc_if_token2] = ACTIONS(5053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5053),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5053),
    [aux_sym_preproc_else_token1] = ACTIONS(5053),
    [aux_sym_preproc_elif_token1] = ACTIONS(5053),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5053),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5053),
    [sym_preproc_directive] = ACTIONS(5053),
    [anon_sym_LPAREN2] = ACTIONS(5055),
    [anon_sym_TILDE] = ACTIONS(5055),
    [anon_sym_STAR] = ACTIONS(5055),
    [anon_sym_AMP_AMP] = ACTIONS(5055),
    [anon_sym_AMP] = ACTIONS(5053),
    [anon_sym___extension__] = ACTIONS(5053),
    [anon_sym_typedef] = ACTIONS(5053),
    [anon_sym_extern] = ACTIONS(5053),
    [anon_sym___attribute__] = ACTIONS(5053),
    [anon_sym_COLON_COLON] = ACTIONS(5055),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5055),
    [anon_sym___declspec] = ACTIONS(5053),
    [anon_sym___based] = ACTIONS(5053),
    [anon_sym_signed] = ACTIONS(5053),
    [anon_sym_unsigned] = ACTIONS(5053),
    [anon_sym_long] = ACTIONS(5053),
    [anon_sym_short] = ACTIONS(5053),
    [anon_sym_LBRACK] = ACTIONS(5053),
    [anon_sym_static] = ACTIONS(5053),
    [anon_sym_register] = ACTIONS(5053),
    [anon_sym_inline] = ACTIONS(5053),
    [anon_sym___inline] = ACTIONS(5053),
    [anon_sym___inline__] = ACTIONS(5053),
    [anon_sym___forceinline] = ACTIONS(5053),
    [anon_sym_thread_local] = ACTIONS(5053),
    [anon_sym___thread] = ACTIONS(5053),
    [anon_sym_const] = ACTIONS(5053),
    [anon_sym_constexpr] = ACTIONS(5053),
    [anon_sym_volatile] = ACTIONS(5053),
    [anon_sym_restrict] = ACTIONS(5053),
    [anon_sym___restrict__] = ACTIONS(5053),
    [anon_sym__Atomic] = ACTIONS(5053),
    [anon_sym__Noreturn] = ACTIONS(5053),
    [anon_sym_noreturn] = ACTIONS(5053),
    [anon_sym_mutable] = ACTIONS(5053),
    [anon_sym_constinit] = ACTIONS(5053),
    [anon_sym_consteval] = ACTIONS(5053),
    [anon_sym_alignas] = ACTIONS(5053),
    [anon_sym__Alignas] = ACTIONS(5053),
    [sym_primitive_type] = ACTIONS(5053),
    [anon_sym_enum] = ACTIONS(5053),
    [anon_sym_class] = ACTIONS(5053),
    [anon_sym_struct] = ACTIONS(5053),
    [anon_sym_union] = ACTIONS(5053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5053),
    [anon_sym_decltype] = ACTIONS(5053),
    [sym_virtual] = ACTIONS(5053),
    [anon_sym_explicit] = ACTIONS(5053),
    [anon_sym_typename] = ACTIONS(5053),
    [anon_sym_template] = ACTIONS(5053),
    [anon_sym_operator] = ACTIONS(5053),
    [anon_sym_friend] = ACTIONS(5053),
    [anon_sym_public] = ACTIONS(5053),
    [anon_sym_private] = ACTIONS(5053),
    [anon_sym_protected] = ACTIONS(5053),
    [anon_sym_using] = ACTIONS(5053),
    [anon_sym_static_assert] = ACTIONS(5053),
  },
  [1699] = {
    [sym_identifier] = ACTIONS(5057),
    [aux_sym_preproc_def_token1] = ACTIONS(5057),
    [aux_sym_preproc_if_token1] = ACTIONS(5057),
    [aux_sym_preproc_if_token2] = ACTIONS(5057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5057),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5057),
    [aux_sym_preproc_else_token1] = ACTIONS(5057),
    [aux_sym_preproc_elif_token1] = ACTIONS(5057),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5057),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5057),
    [sym_preproc_directive] = ACTIONS(5057),
    [anon_sym_LPAREN2] = ACTIONS(5059),
    [anon_sym_TILDE] = ACTIONS(5059),
    [anon_sym_STAR] = ACTIONS(5059),
    [anon_sym_AMP_AMP] = ACTIONS(5059),
    [anon_sym_AMP] = ACTIONS(5057),
    [anon_sym___extension__] = ACTIONS(5057),
    [anon_sym_typedef] = ACTIONS(5057),
    [anon_sym_extern] = ACTIONS(5057),
    [anon_sym___attribute__] = ACTIONS(5057),
    [anon_sym_COLON_COLON] = ACTIONS(5059),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5059),
    [anon_sym___declspec] = ACTIONS(5057),
    [anon_sym___based] = ACTIONS(5057),
    [anon_sym_signed] = ACTIONS(5057),
    [anon_sym_unsigned] = ACTIONS(5057),
    [anon_sym_long] = ACTIONS(5057),
    [anon_sym_short] = ACTIONS(5057),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [anon_sym_static] = ACTIONS(5057),
    [anon_sym_register] = ACTIONS(5057),
    [anon_sym_inline] = ACTIONS(5057),
    [anon_sym___inline] = ACTIONS(5057),
    [anon_sym___inline__] = ACTIONS(5057),
    [anon_sym___forceinline] = ACTIONS(5057),
    [anon_sym_thread_local] = ACTIONS(5057),
    [anon_sym___thread] = ACTIONS(5057),
    [anon_sym_const] = ACTIONS(5057),
    [anon_sym_constexpr] = ACTIONS(5057),
    [anon_sym_volatile] = ACTIONS(5057),
    [anon_sym_restrict] = ACTIONS(5057),
    [anon_sym___restrict__] = ACTIONS(5057),
    [anon_sym__Atomic] = ACTIONS(5057),
    [anon_sym__Noreturn] = ACTIONS(5057),
    [anon_sym_noreturn] = ACTIONS(5057),
    [anon_sym_mutable] = ACTIONS(5057),
    [anon_sym_constinit] = ACTIONS(5057),
    [anon_sym_consteval] = ACTIONS(5057),
    [anon_sym_alignas] = ACTIONS(5057),
    [anon_sym__Alignas] = ACTIONS(5057),
    [sym_primitive_type] = ACTIONS(5057),
    [anon_sym_enum] = ACTIONS(5057),
    [anon_sym_class] = ACTIONS(5057),
    [anon_sym_struct] = ACTIONS(5057),
    [anon_sym_union] = ACTIONS(5057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5057),
    [anon_sym_decltype] = ACTIONS(5057),
    [sym_virtual] = ACTIONS(5057),
    [anon_sym_explicit] = ACTIONS(5057),
    [anon_sym_typename] = ACTIONS(5057),
    [anon_sym_template] = ACTIONS(5057),
    [anon_sym_operator] = ACTIONS(5057),
    [anon_sym_friend] = ACTIONS(5057),
    [anon_sym_public] = ACTIONS(5057),
    [anon_sym_private] = ACTIONS(5057),
    [anon_sym_protected] = ACTIONS(5057),
    [anon_sym_using] = ACTIONS(5057),
    [anon_sym_static_assert] = ACTIONS(5057),
  },
  [1700] = {
    [sym_identifier] = ACTIONS(5061),
    [aux_sym_preproc_def_token1] = ACTIONS(5061),
    [aux_sym_preproc_if_token1] = ACTIONS(5061),
    [aux_sym_preproc_if_token2] = ACTIONS(5061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5061),
    [aux_sym_preproc_else_token1] = ACTIONS(5061),
    [aux_sym_preproc_elif_token1] = ACTIONS(5061),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5061),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5061),
    [sym_preproc_directive] = ACTIONS(5061),
    [anon_sym_LPAREN2] = ACTIONS(5063),
    [anon_sym_TILDE] = ACTIONS(5063),
    [anon_sym_STAR] = ACTIONS(5063),
    [anon_sym_AMP_AMP] = ACTIONS(5063),
    [anon_sym_AMP] = ACTIONS(5061),
    [anon_sym___extension__] = ACTIONS(5061),
    [anon_sym_typedef] = ACTIONS(5061),
    [anon_sym_extern] = ACTIONS(5061),
    [anon_sym___attribute__] = ACTIONS(5061),
    [anon_sym_COLON_COLON] = ACTIONS(5063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5063),
    [anon_sym___declspec] = ACTIONS(5061),
    [anon_sym___based] = ACTIONS(5061),
    [anon_sym_signed] = ACTIONS(5061),
    [anon_sym_unsigned] = ACTIONS(5061),
    [anon_sym_long] = ACTIONS(5061),
    [anon_sym_short] = ACTIONS(5061),
    [anon_sym_LBRACK] = ACTIONS(5061),
    [anon_sym_static] = ACTIONS(5061),
    [anon_sym_register] = ACTIONS(5061),
    [anon_sym_inline] = ACTIONS(5061),
    [anon_sym___inline] = ACTIONS(5061),
    [anon_sym___inline__] = ACTIONS(5061),
    [anon_sym___forceinline] = ACTIONS(5061),
    [anon_sym_thread_local] = ACTIONS(5061),
    [anon_sym___thread] = ACTIONS(5061),
    [anon_sym_const] = ACTIONS(5061),
    [anon_sym_constexpr] = ACTIONS(5061),
    [anon_sym_volatile] = ACTIONS(5061),
    [anon_sym_restrict] = ACTIONS(5061),
    [anon_sym___restrict__] = ACTIONS(5061),
    [anon_sym__Atomic] = ACTIONS(5061),
    [anon_sym__Noreturn] = ACTIONS(5061),
    [anon_sym_noreturn] = ACTIONS(5061),
    [anon_sym_mutable] = ACTIONS(5061),
    [anon_sym_constinit] = ACTIONS(5061),
    [anon_sym_consteval] = ACTIONS(5061),
    [anon_sym_alignas] = ACTIONS(5061),
    [anon_sym__Alignas] = ACTIONS(5061),
    [sym_primitive_type] = ACTIONS(5061),
    [anon_sym_enum] = ACTIONS(5061),
    [anon_sym_class] = ACTIONS(5061),
    [anon_sym_struct] = ACTIONS(5061),
    [anon_sym_union] = ACTIONS(5061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5061),
    [anon_sym_decltype] = ACTIONS(5061),
    [sym_virtual] = ACTIONS(5061),
    [anon_sym_explicit] = ACTIONS(5061),
    [anon_sym_typename] = ACTIONS(5061),
    [anon_sym_template] = ACTIONS(5061),
    [anon_sym_operator] = ACTIONS(5061),
    [anon_sym_friend] = ACTIONS(5061),
    [anon_sym_public] = ACTIONS(5061),
    [anon_sym_private] = ACTIONS(5061),
    [anon_sym_protected] = ACTIONS(5061),
    [anon_sym_using] = ACTIONS(5061),
    [anon_sym_static_assert] = ACTIONS(5061),
  },
  [1701] = {
    [sym_identifier] = ACTIONS(5065),
    [aux_sym_preproc_def_token1] = ACTIONS(5065),
    [aux_sym_preproc_if_token1] = ACTIONS(5065),
    [aux_sym_preproc_if_token2] = ACTIONS(5065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5065),
    [aux_sym_preproc_else_token1] = ACTIONS(5065),
    [aux_sym_preproc_elif_token1] = ACTIONS(5065),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5065),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5065),
    [sym_preproc_directive] = ACTIONS(5065),
    [anon_sym_LPAREN2] = ACTIONS(5067),
    [anon_sym_TILDE] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5067),
    [anon_sym_AMP_AMP] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym___extension__] = ACTIONS(5065),
    [anon_sym_typedef] = ACTIONS(5065),
    [anon_sym_extern] = ACTIONS(5065),
    [anon_sym___attribute__] = ACTIONS(5065),
    [anon_sym_COLON_COLON] = ACTIONS(5067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5067),
    [anon_sym___declspec] = ACTIONS(5065),
    [anon_sym___based] = ACTIONS(5065),
    [anon_sym_signed] = ACTIONS(5065),
    [anon_sym_unsigned] = ACTIONS(5065),
    [anon_sym_long] = ACTIONS(5065),
    [anon_sym_short] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [anon_sym_static] = ACTIONS(5065),
    [anon_sym_register] = ACTIONS(5065),
    [anon_sym_inline] = ACTIONS(5065),
    [anon_sym___inline] = ACTIONS(5065),
    [anon_sym___inline__] = ACTIONS(5065),
    [anon_sym___forceinline] = ACTIONS(5065),
    [anon_sym_thread_local] = ACTIONS(5065),
    [anon_sym___thread] = ACTIONS(5065),
    [anon_sym_const] = ACTIONS(5065),
    [anon_sym_constexpr] = ACTIONS(5065),
    [anon_sym_volatile] = ACTIONS(5065),
    [anon_sym_restrict] = ACTIONS(5065),
    [anon_sym___restrict__] = ACTIONS(5065),
    [anon_sym__Atomic] = ACTIONS(5065),
    [anon_sym__Noreturn] = ACTIONS(5065),
    [anon_sym_noreturn] = ACTIONS(5065),
    [anon_sym_mutable] = ACTIONS(5065),
    [anon_sym_constinit] = ACTIONS(5065),
    [anon_sym_consteval] = ACTIONS(5065),
    [anon_sym_alignas] = ACTIONS(5065),
    [anon_sym__Alignas] = ACTIONS(5065),
    [sym_primitive_type] = ACTIONS(5065),
    [anon_sym_enum] = ACTIONS(5065),
    [anon_sym_class] = ACTIONS(5065),
    [anon_sym_struct] = ACTIONS(5065),
    [anon_sym_union] = ACTIONS(5065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5065),
    [anon_sym_decltype] = ACTIONS(5065),
    [sym_virtual] = ACTIONS(5065),
    [anon_sym_explicit] = ACTIONS(5065),
    [anon_sym_typename] = ACTIONS(5065),
    [anon_sym_template] = ACTIONS(5065),
    [anon_sym_operator] = ACTIONS(5065),
    [anon_sym_friend] = ACTIONS(5065),
    [anon_sym_public] = ACTIONS(5065),
    [anon_sym_private] = ACTIONS(5065),
    [anon_sym_protected] = ACTIONS(5065),
    [anon_sym_using] = ACTIONS(5065),
    [anon_sym_static_assert] = ACTIONS(5065),
  },
  [1702] = {
    [sym_identifier] = ACTIONS(5065),
    [aux_sym_preproc_def_token1] = ACTIONS(5065),
    [aux_sym_preproc_if_token1] = ACTIONS(5065),
    [aux_sym_preproc_if_token2] = ACTIONS(5065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5065),
    [aux_sym_preproc_else_token1] = ACTIONS(5065),
    [aux_sym_preproc_elif_token1] = ACTIONS(5065),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5065),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5065),
    [sym_preproc_directive] = ACTIONS(5065),
    [anon_sym_LPAREN2] = ACTIONS(5067),
    [anon_sym_TILDE] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5067),
    [anon_sym_AMP_AMP] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym___extension__] = ACTIONS(5065),
    [anon_sym_typedef] = ACTIONS(5065),
    [anon_sym_extern] = ACTIONS(5065),
    [anon_sym___attribute__] = ACTIONS(5065),
    [anon_sym_COLON_COLON] = ACTIONS(5067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5067),
    [anon_sym___declspec] = ACTIONS(5065),
    [anon_sym___based] = ACTIONS(5065),
    [anon_sym_signed] = ACTIONS(5065),
    [anon_sym_unsigned] = ACTIONS(5065),
    [anon_sym_long] = ACTIONS(5065),
    [anon_sym_short] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [anon_sym_static] = ACTIONS(5065),
    [anon_sym_register] = ACTIONS(5065),
    [anon_sym_inline] = ACTIONS(5065),
    [anon_sym___inline] = ACTIONS(5065),
    [anon_sym___inline__] = ACTIONS(5065),
    [anon_sym___forceinline] = ACTIONS(5065),
    [anon_sym_thread_local] = ACTIONS(5065),
    [anon_sym___thread] = ACTIONS(5065),
    [anon_sym_const] = ACTIONS(5065),
    [anon_sym_constexpr] = ACTIONS(5065),
    [anon_sym_volatile] = ACTIONS(5065),
    [anon_sym_restrict] = ACTIONS(5065),
    [anon_sym___restrict__] = ACTIONS(5065),
    [anon_sym__Atomic] = ACTIONS(5065),
    [anon_sym__Noreturn] = ACTIONS(5065),
    [anon_sym_noreturn] = ACTIONS(5065),
    [anon_sym_mutable] = ACTIONS(5065),
    [anon_sym_constinit] = ACTIONS(5065),
    [anon_sym_consteval] = ACTIONS(5065),
    [anon_sym_alignas] = ACTIONS(5065),
    [anon_sym__Alignas] = ACTIONS(5065),
    [sym_primitive_type] = ACTIONS(5065),
    [anon_sym_enum] = ACTIONS(5065),
    [anon_sym_class] = ACTIONS(5065),
    [anon_sym_struct] = ACTIONS(5065),
    [anon_sym_union] = ACTIONS(5065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5065),
    [anon_sym_decltype] = ACTIONS(5065),
    [sym_virtual] = ACTIONS(5065),
    [anon_sym_explicit] = ACTIONS(5065),
    [anon_sym_typename] = ACTIONS(5065),
    [anon_sym_template] = ACTIONS(5065),
    [anon_sym_operator] = ACTIONS(5065),
    [anon_sym_friend] = ACTIONS(5065),
    [anon_sym_public] = ACTIONS(5065),
    [anon_sym_private] = ACTIONS(5065),
    [anon_sym_protected] = ACTIONS(5065),
    [anon_sym_using] = ACTIONS(5065),
    [anon_sym_static_assert] = ACTIONS(5065),
  },
  [1703] = {
    [sym_identifier] = ACTIONS(5069),
    [aux_sym_preproc_def_token1] = ACTIONS(5069),
    [aux_sym_preproc_if_token1] = ACTIONS(5069),
    [aux_sym_preproc_if_token2] = ACTIONS(5069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5069),
    [aux_sym_preproc_else_token1] = ACTIONS(5069),
    [aux_sym_preproc_elif_token1] = ACTIONS(5069),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5069),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5069),
    [sym_preproc_directive] = ACTIONS(5069),
    [anon_sym_LPAREN2] = ACTIONS(5071),
    [anon_sym_TILDE] = ACTIONS(5071),
    [anon_sym_STAR] = ACTIONS(5071),
    [anon_sym_AMP_AMP] = ACTIONS(5071),
    [anon_sym_AMP] = ACTIONS(5069),
    [anon_sym___extension__] = ACTIONS(5069),
    [anon_sym_typedef] = ACTIONS(5069),
    [anon_sym_extern] = ACTIONS(5069),
    [anon_sym___attribute__] = ACTIONS(5069),
    [anon_sym_COLON_COLON] = ACTIONS(5071),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5071),
    [anon_sym___declspec] = ACTIONS(5069),
    [anon_sym___based] = ACTIONS(5069),
    [anon_sym_signed] = ACTIONS(5069),
    [anon_sym_unsigned] = ACTIONS(5069),
    [anon_sym_long] = ACTIONS(5069),
    [anon_sym_short] = ACTIONS(5069),
    [anon_sym_LBRACK] = ACTIONS(5069),
    [anon_sym_static] = ACTIONS(5069),
    [anon_sym_register] = ACTIONS(5069),
    [anon_sym_inline] = ACTIONS(5069),
    [anon_sym___inline] = ACTIONS(5069),
    [anon_sym___inline__] = ACTIONS(5069),
    [anon_sym___forceinline] = ACTIONS(5069),
    [anon_sym_thread_local] = ACTIONS(5069),
    [anon_sym___thread] = ACTIONS(5069),
    [anon_sym_const] = ACTIONS(5069),
    [anon_sym_constexpr] = ACTIONS(5069),
    [anon_sym_volatile] = ACTIONS(5069),
    [anon_sym_restrict] = ACTIONS(5069),
    [anon_sym___restrict__] = ACTIONS(5069),
    [anon_sym__Atomic] = ACTIONS(5069),
    [anon_sym__Noreturn] = ACTIONS(5069),
    [anon_sym_noreturn] = ACTIONS(5069),
    [anon_sym_mutable] = ACTIONS(5069),
    [anon_sym_constinit] = ACTIONS(5069),
    [anon_sym_consteval] = ACTIONS(5069),
    [anon_sym_alignas] = ACTIONS(5069),
    [anon_sym__Alignas] = ACTIONS(5069),
    [sym_primitive_type] = ACTIONS(5069),
    [anon_sym_enum] = ACTIONS(5069),
    [anon_sym_class] = ACTIONS(5069),
    [anon_sym_struct] = ACTIONS(5069),
    [anon_sym_union] = ACTIONS(5069),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5069),
    [anon_sym_decltype] = ACTIONS(5069),
    [sym_virtual] = ACTIONS(5069),
    [anon_sym_explicit] = ACTIONS(5069),
    [anon_sym_typename] = ACTIONS(5069),
    [anon_sym_template] = ACTIONS(5069),
    [anon_sym_operator] = ACTIONS(5069),
    [anon_sym_friend] = ACTIONS(5069),
    [anon_sym_public] = ACTIONS(5069),
    [anon_sym_private] = ACTIONS(5069),
    [anon_sym_protected] = ACTIONS(5069),
    [anon_sym_using] = ACTIONS(5069),
    [anon_sym_static_assert] = ACTIONS(5069),
  },
  [1704] = {
    [sym_identifier] = ACTIONS(5073),
    [aux_sym_preproc_def_token1] = ACTIONS(5073),
    [aux_sym_preproc_if_token1] = ACTIONS(5073),
    [aux_sym_preproc_if_token2] = ACTIONS(5073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5073),
    [aux_sym_preproc_else_token1] = ACTIONS(5073),
    [aux_sym_preproc_elif_token1] = ACTIONS(5073),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5073),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5073),
    [sym_preproc_directive] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(5075),
    [anon_sym_TILDE] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_AMP_AMP] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5073),
    [anon_sym___extension__] = ACTIONS(5073),
    [anon_sym_typedef] = ACTIONS(5073),
    [anon_sym_extern] = ACTIONS(5073),
    [anon_sym___attribute__] = ACTIONS(5073),
    [anon_sym_COLON_COLON] = ACTIONS(5075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5075),
    [anon_sym___declspec] = ACTIONS(5073),
    [anon_sym___based] = ACTIONS(5073),
    [anon_sym_signed] = ACTIONS(5073),
    [anon_sym_unsigned] = ACTIONS(5073),
    [anon_sym_long] = ACTIONS(5073),
    [anon_sym_short] = ACTIONS(5073),
    [anon_sym_LBRACK] = ACTIONS(5073),
    [anon_sym_static] = ACTIONS(5073),
    [anon_sym_register] = ACTIONS(5073),
    [anon_sym_inline] = ACTIONS(5073),
    [anon_sym___inline] = ACTIONS(5073),
    [anon_sym___inline__] = ACTIONS(5073),
    [anon_sym___forceinline] = ACTIONS(5073),
    [anon_sym_thread_local] = ACTIONS(5073),
    [anon_sym___thread] = ACTIONS(5073),
    [anon_sym_const] = ACTIONS(5073),
    [anon_sym_constexpr] = ACTIONS(5073),
    [anon_sym_volatile] = ACTIONS(5073),
    [anon_sym_restrict] = ACTIONS(5073),
    [anon_sym___restrict__] = ACTIONS(5073),
    [anon_sym__Atomic] = ACTIONS(5073),
    [anon_sym__Noreturn] = ACTIONS(5073),
    [anon_sym_noreturn] = ACTIONS(5073),
    [anon_sym_mutable] = ACTIONS(5073),
    [anon_sym_constinit] = ACTIONS(5073),
    [anon_sym_consteval] = ACTIONS(5073),
    [anon_sym_alignas] = ACTIONS(5073),
    [anon_sym__Alignas] = ACTIONS(5073),
    [sym_primitive_type] = ACTIONS(5073),
    [anon_sym_enum] = ACTIONS(5073),
    [anon_sym_class] = ACTIONS(5073),
    [anon_sym_struct] = ACTIONS(5073),
    [anon_sym_union] = ACTIONS(5073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5073),
    [anon_sym_decltype] = ACTIONS(5073),
    [sym_virtual] = ACTIONS(5073),
    [anon_sym_explicit] = ACTIONS(5073),
    [anon_sym_typename] = ACTIONS(5073),
    [anon_sym_template] = ACTIONS(5073),
    [anon_sym_operator] = ACTIONS(5073),
    [anon_sym_friend] = ACTIONS(5073),
    [anon_sym_public] = ACTIONS(5073),
    [anon_sym_private] = ACTIONS(5073),
    [anon_sym_protected] = ACTIONS(5073),
    [anon_sym_using] = ACTIONS(5073),
    [anon_sym_static_assert] = ACTIONS(5073),
  },
  [1705] = {
    [sym_identifier] = ACTIONS(5077),
    [aux_sym_preproc_def_token1] = ACTIONS(5077),
    [aux_sym_preproc_if_token1] = ACTIONS(5077),
    [aux_sym_preproc_if_token2] = ACTIONS(5077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5077),
    [aux_sym_preproc_else_token1] = ACTIONS(5077),
    [aux_sym_preproc_elif_token1] = ACTIONS(5077),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5077),
    [sym_preproc_directive] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5079),
    [anon_sym_TILDE] = ACTIONS(5079),
    [anon_sym_STAR] = ACTIONS(5079),
    [anon_sym_AMP_AMP] = ACTIONS(5079),
    [anon_sym_AMP] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(5077),
    [anon_sym_typedef] = ACTIONS(5077),
    [anon_sym_extern] = ACTIONS(5077),
    [anon_sym___attribute__] = ACTIONS(5077),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5079),
    [anon_sym___declspec] = ACTIONS(5077),
    [anon_sym___based] = ACTIONS(5077),
    [anon_sym_signed] = ACTIONS(5077),
    [anon_sym_unsigned] = ACTIONS(5077),
    [anon_sym_long] = ACTIONS(5077),
    [anon_sym_short] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [anon_sym_static] = ACTIONS(5077),
    [anon_sym_register] = ACTIONS(5077),
    [anon_sym_inline] = ACTIONS(5077),
    [anon_sym___inline] = ACTIONS(5077),
    [anon_sym___inline__] = ACTIONS(5077),
    [anon_sym___forceinline] = ACTIONS(5077),
    [anon_sym_thread_local] = ACTIONS(5077),
    [anon_sym___thread] = ACTIONS(5077),
    [anon_sym_const] = ACTIONS(5077),
    [anon_sym_constexpr] = ACTIONS(5077),
    [anon_sym_volatile] = ACTIONS(5077),
    [anon_sym_restrict] = ACTIONS(5077),
    [anon_sym___restrict__] = ACTIONS(5077),
    [anon_sym__Atomic] = ACTIONS(5077),
    [anon_sym__Noreturn] = ACTIONS(5077),
    [anon_sym_noreturn] = ACTIONS(5077),
    [anon_sym_mutable] = ACTIONS(5077),
    [anon_sym_constinit] = ACTIONS(5077),
    [anon_sym_consteval] = ACTIONS(5077),
    [anon_sym_alignas] = ACTIONS(5077),
    [anon_sym__Alignas] = ACTIONS(5077),
    [sym_primitive_type] = ACTIONS(5077),
    [anon_sym_enum] = ACTIONS(5077),
    [anon_sym_class] = ACTIONS(5077),
    [anon_sym_struct] = ACTIONS(5077),
    [anon_sym_union] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5077),
    [anon_sym_decltype] = ACTIONS(5077),
    [sym_virtual] = ACTIONS(5077),
    [anon_sym_explicit] = ACTIONS(5077),
    [anon_sym_typename] = ACTIONS(5077),
    [anon_sym_template] = ACTIONS(5077),
    [anon_sym_operator] = ACTIONS(5077),
    [anon_sym_friend] = ACTIONS(5077),
    [anon_sym_public] = ACTIONS(5077),
    [anon_sym_private] = ACTIONS(5077),
    [anon_sym_protected] = ACTIONS(5077),
    [anon_sym_using] = ACTIONS(5077),
    [anon_sym_static_assert] = ACTIONS(5077),
  },
  [1706] = {
    [sym_identifier] = ACTIONS(5081),
    [aux_sym_preproc_def_token1] = ACTIONS(5081),
    [aux_sym_preproc_if_token1] = ACTIONS(5081),
    [aux_sym_preproc_if_token2] = ACTIONS(5081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5081),
    [aux_sym_preproc_else_token1] = ACTIONS(5081),
    [aux_sym_preproc_elif_token1] = ACTIONS(5081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5081),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5081),
    [sym_preproc_directive] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5083),
    [anon_sym_TILDE] = ACTIONS(5083),
    [anon_sym_STAR] = ACTIONS(5083),
    [anon_sym_AMP_AMP] = ACTIONS(5083),
    [anon_sym_AMP] = ACTIONS(5081),
    [anon_sym___extension__] = ACTIONS(5081),
    [anon_sym_typedef] = ACTIONS(5081),
    [anon_sym_extern] = ACTIONS(5081),
    [anon_sym___attribute__] = ACTIONS(5081),
    [anon_sym_COLON_COLON] = ACTIONS(5083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5083),
    [anon_sym___declspec] = ACTIONS(5081),
    [anon_sym___based] = ACTIONS(5081),
    [anon_sym_signed] = ACTIONS(5081),
    [anon_sym_unsigned] = ACTIONS(5081),
    [anon_sym_long] = ACTIONS(5081),
    [anon_sym_short] = ACTIONS(5081),
    [anon_sym_LBRACK] = ACTIONS(5081),
    [anon_sym_static] = ACTIONS(5081),
    [anon_sym_register] = ACTIONS(5081),
    [anon_sym_inline] = ACTIONS(5081),
    [anon_sym___inline] = ACTIONS(5081),
    [anon_sym___inline__] = ACTIONS(5081),
    [anon_sym___forceinline] = ACTIONS(5081),
    [anon_sym_thread_local] = ACTIONS(5081),
    [anon_sym___thread] = ACTIONS(5081),
    [anon_sym_const] = ACTIONS(5081),
    [anon_sym_constexpr] = ACTIONS(5081),
    [anon_sym_volatile] = ACTIONS(5081),
    [anon_sym_restrict] = ACTIONS(5081),
    [anon_sym___restrict__] = ACTIONS(5081),
    [anon_sym__Atomic] = ACTIONS(5081),
    [anon_sym__Noreturn] = ACTIONS(5081),
    [anon_sym_noreturn] = ACTIONS(5081),
    [anon_sym_mutable] = ACTIONS(5081),
    [anon_sym_constinit] = ACTIONS(5081),
    [anon_sym_consteval] = ACTIONS(5081),
    [anon_sym_alignas] = ACTIONS(5081),
    [anon_sym__Alignas] = ACTIONS(5081),
    [sym_primitive_type] = ACTIONS(5081),
    [anon_sym_enum] = ACTIONS(5081),
    [anon_sym_class] = ACTIONS(5081),
    [anon_sym_struct] = ACTIONS(5081),
    [anon_sym_union] = ACTIONS(5081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5081),
    [anon_sym_decltype] = ACTIONS(5081),
    [sym_virtual] = ACTIONS(5081),
    [anon_sym_explicit] = ACTIONS(5081),
    [anon_sym_typename] = ACTIONS(5081),
    [anon_sym_template] = ACTIONS(5081),
    [anon_sym_operator] = ACTIONS(5081),
    [anon_sym_friend] = ACTIONS(5081),
    [anon_sym_public] = ACTIONS(5081),
    [anon_sym_private] = ACTIONS(5081),
    [anon_sym_protected] = ACTIONS(5081),
    [anon_sym_using] = ACTIONS(5081),
    [anon_sym_static_assert] = ACTIONS(5081),
  },
  [1707] = {
    [sym_identifier] = ACTIONS(5085),
    [aux_sym_preproc_def_token1] = ACTIONS(5085),
    [aux_sym_preproc_if_token1] = ACTIONS(5085),
    [aux_sym_preproc_if_token2] = ACTIONS(5085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5085),
    [aux_sym_preproc_else_token1] = ACTIONS(5085),
    [aux_sym_preproc_elif_token1] = ACTIONS(5085),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5085),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5085),
    [sym_preproc_directive] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(5087),
    [anon_sym_TILDE] = ACTIONS(5087),
    [anon_sym_STAR] = ACTIONS(5087),
    [anon_sym_AMP_AMP] = ACTIONS(5087),
    [anon_sym_AMP] = ACTIONS(5085),
    [anon_sym___extension__] = ACTIONS(5085),
    [anon_sym_typedef] = ACTIONS(5085),
    [anon_sym_extern] = ACTIONS(5085),
    [anon_sym___attribute__] = ACTIONS(5085),
    [anon_sym_COLON_COLON] = ACTIONS(5087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5087),
    [anon_sym___declspec] = ACTIONS(5085),
    [anon_sym___based] = ACTIONS(5085),
    [anon_sym_signed] = ACTIONS(5085),
    [anon_sym_unsigned] = ACTIONS(5085),
    [anon_sym_long] = ACTIONS(5085),
    [anon_sym_short] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(5085),
    [anon_sym_static] = ACTIONS(5085),
    [anon_sym_register] = ACTIONS(5085),
    [anon_sym_inline] = ACTIONS(5085),
    [anon_sym___inline] = ACTIONS(5085),
    [anon_sym___inline__] = ACTIONS(5085),
    [anon_sym___forceinline] = ACTIONS(5085),
    [anon_sym_thread_local] = ACTIONS(5085),
    [anon_sym___thread] = ACTIONS(5085),
    [anon_sym_const] = ACTIONS(5085),
    [anon_sym_constexpr] = ACTIONS(5085),
    [anon_sym_volatile] = ACTIONS(5085),
    [anon_sym_restrict] = ACTIONS(5085),
    [anon_sym___restrict__] = ACTIONS(5085),
    [anon_sym__Atomic] = ACTIONS(5085),
    [anon_sym__Noreturn] = ACTIONS(5085),
    [anon_sym_noreturn] = ACTIONS(5085),
    [anon_sym_mutable] = ACTIONS(5085),
    [anon_sym_constinit] = ACTIONS(5085),
    [anon_sym_consteval] = ACTIONS(5085),
    [anon_sym_alignas] = ACTIONS(5085),
    [anon_sym__Alignas] = ACTIONS(5085),
    [sym_primitive_type] = ACTIONS(5085),
    [anon_sym_enum] = ACTIONS(5085),
    [anon_sym_class] = ACTIONS(5085),
    [anon_sym_struct] = ACTIONS(5085),
    [anon_sym_union] = ACTIONS(5085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5085),
    [anon_sym_decltype] = ACTIONS(5085),
    [sym_virtual] = ACTIONS(5085),
    [anon_sym_explicit] = ACTIONS(5085),
    [anon_sym_typename] = ACTIONS(5085),
    [anon_sym_template] = ACTIONS(5085),
    [anon_sym_operator] = ACTIONS(5085),
    [anon_sym_friend] = ACTIONS(5085),
    [anon_sym_public] = ACTIONS(5085),
    [anon_sym_private] = ACTIONS(5085),
    [anon_sym_protected] = ACTIONS(5085),
    [anon_sym_using] = ACTIONS(5085),
    [anon_sym_static_assert] = ACTIONS(5085),
  },
  [1708] = {
    [sym_template_argument_list] = STATE(1802),
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4506),
    [anon_sym_COMMA] = ACTIONS(4506),
    [anon_sym_RPAREN] = ACTIONS(4506),
    [aux_sym_preproc_if_token2] = ACTIONS(4506),
    [aux_sym_preproc_else_token1] = ACTIONS(4506),
    [aux_sym_preproc_elif_token1] = ACTIONS(4499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4506),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4506),
    [anon_sym_LPAREN2] = ACTIONS(4506),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4506),
    [anon_sym_AMP_AMP] = ACTIONS(4506),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_CARET] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4506),
    [anon_sym_BANG_EQ] = ACTIONS(4506),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4506),
    [anon_sym_LT_EQ] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(5089),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym_SEMI] = ACTIONS(4506),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(4506),
    [anon_sym_RBRACE] = ACTIONS(4506),
    [anon_sym_LBRACK] = ACTIONS(4506),
    [anon_sym_RBRACK] = ACTIONS(4506),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_QMARK] = ACTIONS(4506),
    [anon_sym_STAR_EQ] = ACTIONS(4506),
    [anon_sym_SLASH_EQ] = ACTIONS(4506),
    [anon_sym_PERCENT_EQ] = ACTIONS(4506),
    [anon_sym_PLUS_EQ] = ACTIONS(4506),
    [anon_sym_DASH_EQ] = ACTIONS(4506),
    [anon_sym_LT_LT_EQ] = ACTIONS(4506),
    [anon_sym_GT_GT_EQ] = ACTIONS(4506),
    [anon_sym_AMP_EQ] = ACTIONS(4506),
    [anon_sym_CARET_EQ] = ACTIONS(4506),
    [anon_sym_PIPE_EQ] = ACTIONS(4506),
    [anon_sym_and_eq] = ACTIONS(4499),
    [anon_sym_or_eq] = ACTIONS(4499),
    [anon_sym_xor_eq] = ACTIONS(4499),
    [anon_sym_LT_EQ_GT] = ACTIONS(4506),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [anon_sym_bitor] = ACTIONS(4499),
    [anon_sym_xor] = ACTIONS(4499),
    [anon_sym_bitand] = ACTIONS(4499),
    [anon_sym_not_eq] = ACTIONS(4499),
    [anon_sym_DASH_DASH] = ACTIONS(4506),
    [anon_sym_PLUS_PLUS] = ACTIONS(4506),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_DOT_STAR] = ACTIONS(4506),
    [anon_sym_DASH_GT] = ACTIONS(4506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [anon_sym_final] = ACTIONS(4499),
    [anon_sym_override] = ACTIONS(4499),
  },
  [1709] = {
    [sym_identifier] = ACTIONS(5092),
    [aux_sym_preproc_def_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token2] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5092),
    [aux_sym_preproc_else_token1] = ACTIONS(5092),
    [aux_sym_preproc_elif_token1] = ACTIONS(5092),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5092),
    [sym_preproc_directive] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_TILDE] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_AMP_AMP] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5092),
    [anon_sym___extension__] = ACTIONS(5092),
    [anon_sym_typedef] = ACTIONS(5092),
    [anon_sym_extern] = ACTIONS(5092),
    [anon_sym___attribute__] = ACTIONS(5092),
    [anon_sym_COLON_COLON] = ACTIONS(5094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5094),
    [anon_sym___declspec] = ACTIONS(5092),
    [anon_sym___based] = ACTIONS(5092),
    [anon_sym_signed] = ACTIONS(5092),
    [anon_sym_unsigned] = ACTIONS(5092),
    [anon_sym_long] = ACTIONS(5092),
    [anon_sym_short] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [anon_sym_static] = ACTIONS(5092),
    [anon_sym_register] = ACTIONS(5092),
    [anon_sym_inline] = ACTIONS(5092),
    [anon_sym___inline] = ACTIONS(5092),
    [anon_sym___inline__] = ACTIONS(5092),
    [anon_sym___forceinline] = ACTIONS(5092),
    [anon_sym_thread_local] = ACTIONS(5092),
    [anon_sym___thread] = ACTIONS(5092),
    [anon_sym_const] = ACTIONS(5092),
    [anon_sym_constexpr] = ACTIONS(5092),
    [anon_sym_volatile] = ACTIONS(5092),
    [anon_sym_restrict] = ACTIONS(5092),
    [anon_sym___restrict__] = ACTIONS(5092),
    [anon_sym__Atomic] = ACTIONS(5092),
    [anon_sym__Noreturn] = ACTIONS(5092),
    [anon_sym_noreturn] = ACTIONS(5092),
    [anon_sym_mutable] = ACTIONS(5092),
    [anon_sym_constinit] = ACTIONS(5092),
    [anon_sym_consteval] = ACTIONS(5092),
    [anon_sym_alignas] = ACTIONS(5092),
    [anon_sym__Alignas] = ACTIONS(5092),
    [sym_primitive_type] = ACTIONS(5092),
    [anon_sym_enum] = ACTIONS(5092),
    [anon_sym_class] = ACTIONS(5092),
    [anon_sym_struct] = ACTIONS(5092),
    [anon_sym_union] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5092),
    [anon_sym_decltype] = ACTIONS(5092),
    [sym_virtual] = ACTIONS(5092),
    [anon_sym_explicit] = ACTIONS(5092),
    [anon_sym_typename] = ACTIONS(5092),
    [anon_sym_template] = ACTIONS(5092),
    [anon_sym_operator] = ACTIONS(5092),
    [anon_sym_friend] = ACTIONS(5092),
    [anon_sym_public] = ACTIONS(5092),
    [anon_sym_private] = ACTIONS(5092),
    [anon_sym_protected] = ACTIONS(5092),
    [anon_sym_using] = ACTIONS(5092),
    [anon_sym_static_assert] = ACTIONS(5092),
  },
  [1710] = {
    [sym_identifier] = ACTIONS(5096),
    [aux_sym_preproc_def_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token2] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5096),
    [aux_sym_preproc_else_token1] = ACTIONS(5096),
    [aux_sym_preproc_elif_token1] = ACTIONS(5096),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5096),
    [sym_preproc_directive] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_TILDE] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym___extension__] = ACTIONS(5096),
    [anon_sym_typedef] = ACTIONS(5096),
    [anon_sym_extern] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym_COLON_COLON] = ACTIONS(5098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5098),
    [anon_sym___declspec] = ACTIONS(5096),
    [anon_sym___based] = ACTIONS(5096),
    [anon_sym_signed] = ACTIONS(5096),
    [anon_sym_unsigned] = ACTIONS(5096),
    [anon_sym_long] = ACTIONS(5096),
    [anon_sym_short] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [anon_sym_static] = ACTIONS(5096),
    [anon_sym_register] = ACTIONS(5096),
    [anon_sym_inline] = ACTIONS(5096),
    [anon_sym___inline] = ACTIONS(5096),
    [anon_sym___inline__] = ACTIONS(5096),
    [anon_sym___forceinline] = ACTIONS(5096),
    [anon_sym_thread_local] = ACTIONS(5096),
    [anon_sym___thread] = ACTIONS(5096),
    [anon_sym_const] = ACTIONS(5096),
    [anon_sym_constexpr] = ACTIONS(5096),
    [anon_sym_volatile] = ACTIONS(5096),
    [anon_sym_restrict] = ACTIONS(5096),
    [anon_sym___restrict__] = ACTIONS(5096),
    [anon_sym__Atomic] = ACTIONS(5096),
    [anon_sym__Noreturn] = ACTIONS(5096),
    [anon_sym_noreturn] = ACTIONS(5096),
    [anon_sym_mutable] = ACTIONS(5096),
    [anon_sym_constinit] = ACTIONS(5096),
    [anon_sym_consteval] = ACTIONS(5096),
    [anon_sym_alignas] = ACTIONS(5096),
    [anon_sym__Alignas] = ACTIONS(5096),
    [sym_primitive_type] = ACTIONS(5096),
    [anon_sym_enum] = ACTIONS(5096),
    [anon_sym_class] = ACTIONS(5096),
    [anon_sym_struct] = ACTIONS(5096),
    [anon_sym_union] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
    [sym_virtual] = ACTIONS(5096),
    [anon_sym_explicit] = ACTIONS(5096),
    [anon_sym_typename] = ACTIONS(5096),
    [anon_sym_template] = ACTIONS(5096),
    [anon_sym_operator] = ACTIONS(5096),
    [anon_sym_friend] = ACTIONS(5096),
    [anon_sym_public] = ACTIONS(5096),
    [anon_sym_private] = ACTIONS(5096),
    [anon_sym_protected] = ACTIONS(5096),
    [anon_sym_using] = ACTIONS(5096),
    [anon_sym_static_assert] = ACTIONS(5096),
  },
  [1711] = {
    [sym_identifier] = ACTIONS(5092),
    [aux_sym_preproc_def_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token2] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5092),
    [aux_sym_preproc_else_token1] = ACTIONS(5092),
    [aux_sym_preproc_elif_token1] = ACTIONS(5092),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5092),
    [sym_preproc_directive] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_TILDE] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_AMP_AMP] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5092),
    [anon_sym___extension__] = ACTIONS(5092),
    [anon_sym_typedef] = ACTIONS(5092),
    [anon_sym_extern] = ACTIONS(5092),
    [anon_sym___attribute__] = ACTIONS(5092),
    [anon_sym_COLON_COLON] = ACTIONS(5094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5094),
    [anon_sym___declspec] = ACTIONS(5092),
    [anon_sym___based] = ACTIONS(5092),
    [anon_sym_signed] = ACTIONS(5092),
    [anon_sym_unsigned] = ACTIONS(5092),
    [anon_sym_long] = ACTIONS(5092),
    [anon_sym_short] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [anon_sym_static] = ACTIONS(5092),
    [anon_sym_register] = ACTIONS(5092),
    [anon_sym_inline] = ACTIONS(5092),
    [anon_sym___inline] = ACTIONS(5092),
    [anon_sym___inline__] = ACTIONS(5092),
    [anon_sym___forceinline] = ACTIONS(5092),
    [anon_sym_thread_local] = ACTIONS(5092),
    [anon_sym___thread] = ACTIONS(5092),
    [anon_sym_const] = ACTIONS(5092),
    [anon_sym_constexpr] = ACTIONS(5092),
    [anon_sym_volatile] = ACTIONS(5092),
    [anon_sym_restrict] = ACTIONS(5092),
    [anon_sym___restrict__] = ACTIONS(5092),
    [anon_sym__Atomic] = ACTIONS(5092),
    [anon_sym__Noreturn] = ACTIONS(5092),
    [anon_sym_noreturn] = ACTIONS(5092),
    [anon_sym_mutable] = ACTIONS(5092),
    [anon_sym_constinit] = ACTIONS(5092),
    [anon_sym_consteval] = ACTIONS(5092),
    [anon_sym_alignas] = ACTIONS(5092),
    [anon_sym__Alignas] = ACTIONS(5092),
    [sym_primitive_type] = ACTIONS(5092),
    [anon_sym_enum] = ACTIONS(5092),
    [anon_sym_class] = ACTIONS(5092),
    [anon_sym_struct] = ACTIONS(5092),
    [anon_sym_union] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5092),
    [anon_sym_decltype] = ACTIONS(5092),
    [sym_virtual] = ACTIONS(5092),
    [anon_sym_explicit] = ACTIONS(5092),
    [anon_sym_typename] = ACTIONS(5092),
    [anon_sym_template] = ACTIONS(5092),
    [anon_sym_operator] = ACTIONS(5092),
    [anon_sym_friend] = ACTIONS(5092),
    [anon_sym_public] = ACTIONS(5092),
    [anon_sym_private] = ACTIONS(5092),
    [anon_sym_protected] = ACTIONS(5092),
    [anon_sym_using] = ACTIONS(5092),
    [anon_sym_static_assert] = ACTIONS(5092),
  },
  [1712] = {
    [sym_identifier] = ACTIONS(5096),
    [aux_sym_preproc_def_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token2] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5096),
    [aux_sym_preproc_else_token1] = ACTIONS(5096),
    [aux_sym_preproc_elif_token1] = ACTIONS(5096),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5096),
    [sym_preproc_directive] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_TILDE] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym___extension__] = ACTIONS(5096),
    [anon_sym_typedef] = ACTIONS(5096),
    [anon_sym_extern] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym_COLON_COLON] = ACTIONS(5098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5098),
    [anon_sym___declspec] = ACTIONS(5096),
    [anon_sym___based] = ACTIONS(5096),
    [anon_sym_signed] = ACTIONS(5096),
    [anon_sym_unsigned] = ACTIONS(5096),
    [anon_sym_long] = ACTIONS(5096),
    [anon_sym_short] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [anon_sym_static] = ACTIONS(5096),
    [anon_sym_register] = ACTIONS(5096),
    [anon_sym_inline] = ACTIONS(5096),
    [anon_sym___inline] = ACTIONS(5096),
    [anon_sym___inline__] = ACTIONS(5096),
    [anon_sym___forceinline] = ACTIONS(5096),
    [anon_sym_thread_local] = ACTIONS(5096),
    [anon_sym___thread] = ACTIONS(5096),
    [anon_sym_const] = ACTIONS(5096),
    [anon_sym_constexpr] = ACTIONS(5096),
    [anon_sym_volatile] = ACTIONS(5096),
    [anon_sym_restrict] = ACTIONS(5096),
    [anon_sym___restrict__] = ACTIONS(5096),
    [anon_sym__Atomic] = ACTIONS(5096),
    [anon_sym__Noreturn] = ACTIONS(5096),
    [anon_sym_noreturn] = ACTIONS(5096),
    [anon_sym_mutable] = ACTIONS(5096),
    [anon_sym_constinit] = ACTIONS(5096),
    [anon_sym_consteval] = ACTIONS(5096),
    [anon_sym_alignas] = ACTIONS(5096),
    [anon_sym__Alignas] = ACTIONS(5096),
    [sym_primitive_type] = ACTIONS(5096),
    [anon_sym_enum] = ACTIONS(5096),
    [anon_sym_class] = ACTIONS(5096),
    [anon_sym_struct] = ACTIONS(5096),
    [anon_sym_union] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
    [sym_virtual] = ACTIONS(5096),
    [anon_sym_explicit] = ACTIONS(5096),
    [anon_sym_typename] = ACTIONS(5096),
    [anon_sym_template] = ACTIONS(5096),
    [anon_sym_operator] = ACTIONS(5096),
    [anon_sym_friend] = ACTIONS(5096),
    [anon_sym_public] = ACTIONS(5096),
    [anon_sym_private] = ACTIONS(5096),
    [anon_sym_protected] = ACTIONS(5096),
    [anon_sym_using] = ACTIONS(5096),
    [anon_sym_static_assert] = ACTIONS(5096),
  },
  [1713] = {
    [sym_identifier] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [aux_sym_preproc_else_token1] = ACTIONS(5100),
    [aux_sym_preproc_elif_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5102),
    [anon_sym_TILDE] = ACTIONS(5102),
    [anon_sym_STAR] = ACTIONS(5102),
    [anon_sym_AMP_AMP] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(5100),
    [anon_sym___extension__] = ACTIONS(5100),
    [anon_sym_typedef] = ACTIONS(5100),
    [anon_sym_extern] = ACTIONS(5100),
    [anon_sym___attribute__] = ACTIONS(5100),
    [anon_sym_COLON_COLON] = ACTIONS(5102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5102),
    [anon_sym___declspec] = ACTIONS(5100),
    [anon_sym___based] = ACTIONS(5100),
    [anon_sym_signed] = ACTIONS(5100),
    [anon_sym_unsigned] = ACTIONS(5100),
    [anon_sym_long] = ACTIONS(5100),
    [anon_sym_short] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5100),
    [anon_sym_static] = ACTIONS(5100),
    [anon_sym_register] = ACTIONS(5100),
    [anon_sym_inline] = ACTIONS(5100),
    [anon_sym___inline] = ACTIONS(5100),
    [anon_sym___inline__] = ACTIONS(5100),
    [anon_sym___forceinline] = ACTIONS(5100),
    [anon_sym_thread_local] = ACTIONS(5100),
    [anon_sym___thread] = ACTIONS(5100),
    [anon_sym_const] = ACTIONS(5100),
    [anon_sym_constexpr] = ACTIONS(5100),
    [anon_sym_volatile] = ACTIONS(5100),
    [anon_sym_restrict] = ACTIONS(5100),
    [anon_sym___restrict__] = ACTIONS(5100),
    [anon_sym__Atomic] = ACTIONS(5100),
    [anon_sym__Noreturn] = ACTIONS(5100),
    [anon_sym_noreturn] = ACTIONS(5100),
    [anon_sym_mutable] = ACTIONS(5100),
    [anon_sym_constinit] = ACTIONS(5100),
    [anon_sym_consteval] = ACTIONS(5100),
    [anon_sym_alignas] = ACTIONS(5100),
    [anon_sym__Alignas] = ACTIONS(5100),
    [sym_primitive_type] = ACTIONS(5100),
    [anon_sym_enum] = ACTIONS(5100),
    [anon_sym_class] = ACTIONS(5100),
    [anon_sym_struct] = ACTIONS(5100),
    [anon_sym_union] = ACTIONS(5100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5100),
    [anon_sym_decltype] = ACTIONS(5100),
    [sym_virtual] = ACTIONS(5100),
    [anon_sym_explicit] = ACTIONS(5100),
    [anon_sym_typename] = ACTIONS(5100),
    [anon_sym_template] = ACTIONS(5100),
    [anon_sym_operator] = ACTIONS(5100),
    [anon_sym_friend] = ACTIONS(5100),
    [anon_sym_public] = ACTIONS(5100),
    [anon_sym_private] = ACTIONS(5100),
    [anon_sym_protected] = ACTIONS(5100),
    [anon_sym_using] = ACTIONS(5100),
    [anon_sym_static_assert] = ACTIONS(5100),
  },
  [1714] = {
    [sym_identifier] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [aux_sym_preproc_else_token1] = ACTIONS(5104),
    [aux_sym_preproc_elif_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [anon_sym_STAR] = ACTIONS(5106),
    [anon_sym_AMP_AMP] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(5104),
    [anon_sym___extension__] = ACTIONS(5104),
    [anon_sym_typedef] = ACTIONS(5104),
    [anon_sym_extern] = ACTIONS(5104),
    [anon_sym___attribute__] = ACTIONS(5104),
    [anon_sym_COLON_COLON] = ACTIONS(5106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5106),
    [anon_sym___declspec] = ACTIONS(5104),
    [anon_sym___based] = ACTIONS(5104),
    [anon_sym_signed] = ACTIONS(5104),
    [anon_sym_unsigned] = ACTIONS(5104),
    [anon_sym_long] = ACTIONS(5104),
    [anon_sym_short] = ACTIONS(5104),
    [anon_sym_LBRACK] = ACTIONS(5104),
    [anon_sym_static] = ACTIONS(5104),
    [anon_sym_register] = ACTIONS(5104),
    [anon_sym_inline] = ACTIONS(5104),
    [anon_sym___inline] = ACTIONS(5104),
    [anon_sym___inline__] = ACTIONS(5104),
    [anon_sym___forceinline] = ACTIONS(5104),
    [anon_sym_thread_local] = ACTIONS(5104),
    [anon_sym___thread] = ACTIONS(5104),
    [anon_sym_const] = ACTIONS(5104),
    [anon_sym_constexpr] = ACTIONS(5104),
    [anon_sym_volatile] = ACTIONS(5104),
    [anon_sym_restrict] = ACTIONS(5104),
    [anon_sym___restrict__] = ACTIONS(5104),
    [anon_sym__Atomic] = ACTIONS(5104),
    [anon_sym__Noreturn] = ACTIONS(5104),
    [anon_sym_noreturn] = ACTIONS(5104),
    [anon_sym_mutable] = ACTIONS(5104),
    [anon_sym_constinit] = ACTIONS(5104),
    [anon_sym_consteval] = ACTIONS(5104),
    [anon_sym_alignas] = ACTIONS(5104),
    [anon_sym__Alignas] = ACTIONS(5104),
    [sym_primitive_type] = ACTIONS(5104),
    [anon_sym_enum] = ACTIONS(5104),
    [anon_sym_class] = ACTIONS(5104),
    [anon_sym_struct] = ACTIONS(5104),
    [anon_sym_union] = ACTIONS(5104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5104),
    [anon_sym_decltype] = ACTIONS(5104),
    [sym_virtual] = ACTIONS(5104),
    [anon_sym_explicit] = ACTIONS(5104),
    [anon_sym_typename] = ACTIONS(5104),
    [anon_sym_template] = ACTIONS(5104),
    [anon_sym_operator] = ACTIONS(5104),
    [anon_sym_friend] = ACTIONS(5104),
    [anon_sym_public] = ACTIONS(5104),
    [anon_sym_private] = ACTIONS(5104),
    [anon_sym_protected] = ACTIONS(5104),
    [anon_sym_using] = ACTIONS(5104),
    [anon_sym_static_assert] = ACTIONS(5104),
  },
  [1715] = {
    [sym_identifier] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [aux_sym_preproc_else_token1] = ACTIONS(5108),
    [aux_sym_preproc_elif_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_AMP_AMP] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(5108),
    [anon_sym_typedef] = ACTIONS(5108),
    [anon_sym_extern] = ACTIONS(5108),
    [anon_sym___attribute__] = ACTIONS(5108),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5108),
    [anon_sym___based] = ACTIONS(5108),
    [anon_sym_signed] = ACTIONS(5108),
    [anon_sym_unsigned] = ACTIONS(5108),
    [anon_sym_long] = ACTIONS(5108),
    [anon_sym_short] = ACTIONS(5108),
    [anon_sym_LBRACK] = ACTIONS(5108),
    [anon_sym_static] = ACTIONS(5108),
    [anon_sym_register] = ACTIONS(5108),
    [anon_sym_inline] = ACTIONS(5108),
    [anon_sym___inline] = ACTIONS(5108),
    [anon_sym___inline__] = ACTIONS(5108),
    [anon_sym___forceinline] = ACTIONS(5108),
    [anon_sym_thread_local] = ACTIONS(5108),
    [anon_sym___thread] = ACTIONS(5108),
    [anon_sym_const] = ACTIONS(5108),
    [anon_sym_constexpr] = ACTIONS(5108),
    [anon_sym_volatile] = ACTIONS(5108),
    [anon_sym_restrict] = ACTIONS(5108),
    [anon_sym___restrict__] = ACTIONS(5108),
    [anon_sym__Atomic] = ACTIONS(5108),
    [anon_sym__Noreturn] = ACTIONS(5108),
    [anon_sym_noreturn] = ACTIONS(5108),
    [anon_sym_mutable] = ACTIONS(5108),
    [anon_sym_constinit] = ACTIONS(5108),
    [anon_sym_consteval] = ACTIONS(5108),
    [anon_sym_alignas] = ACTIONS(5108),
    [anon_sym__Alignas] = ACTIONS(5108),
    [sym_primitive_type] = ACTIONS(5108),
    [anon_sym_enum] = ACTIONS(5108),
    [anon_sym_class] = ACTIONS(5108),
    [anon_sym_struct] = ACTIONS(5108),
    [anon_sym_union] = ACTIONS(5108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5108),
    [anon_sym_decltype] = ACTIONS(5108),
    [sym_virtual] = ACTIONS(5108),
    [anon_sym_explicit] = ACTIONS(5108),
    [anon_sym_typename] = ACTIONS(5108),
    [anon_sym_template] = ACTIONS(5108),
    [anon_sym_operator] = ACTIONS(5108),
    [anon_sym_friend] = ACTIONS(5108),
    [anon_sym_public] = ACTIONS(5108),
    [anon_sym_private] = ACTIONS(5108),
    [anon_sym_protected] = ACTIONS(5108),
    [anon_sym_using] = ACTIONS(5108),
    [anon_sym_static_assert] = ACTIONS(5108),
  },
  [1716] = {
    [sym_identifier] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [aux_sym_preproc_else_token1] = ACTIONS(5108),
    [aux_sym_preproc_elif_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_AMP_AMP] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(5108),
    [anon_sym_typedef] = ACTIONS(5108),
    [anon_sym_extern] = ACTIONS(5108),
    [anon_sym___attribute__] = ACTIONS(5108),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5108),
    [anon_sym___based] = ACTIONS(5108),
    [anon_sym_signed] = ACTIONS(5108),
    [anon_sym_unsigned] = ACTIONS(5108),
    [anon_sym_long] = ACTIONS(5108),
    [anon_sym_short] = ACTIONS(5108),
    [anon_sym_LBRACK] = ACTIONS(5108),
    [anon_sym_static] = ACTIONS(5108),
    [anon_sym_register] = ACTIONS(5108),
    [anon_sym_inline] = ACTIONS(5108),
    [anon_sym___inline] = ACTIONS(5108),
    [anon_sym___inline__] = ACTIONS(5108),
    [anon_sym___forceinline] = ACTIONS(5108),
    [anon_sym_thread_local] = ACTIONS(5108),
    [anon_sym___thread] = ACTIONS(5108),
    [anon_sym_const] = ACTIONS(5108),
    [anon_sym_constexpr] = ACTIONS(5108),
    [anon_sym_volatile] = ACTIONS(5108),
    [anon_sym_restrict] = ACTIONS(5108),
    [anon_sym___restrict__] = ACTIONS(5108),
    [anon_sym__Atomic] = ACTIONS(5108),
    [anon_sym__Noreturn] = ACTIONS(5108),
    [anon_sym_noreturn] = ACTIONS(5108),
    [anon_sym_mutable] = ACTIONS(5108),
    [anon_sym_constinit] = ACTIONS(5108),
    [anon_sym_consteval] = ACTIONS(5108),
    [anon_sym_alignas] = ACTIONS(5108),
    [anon_sym__Alignas] = ACTIONS(5108),
    [sym_primitive_type] = ACTIONS(5108),
    [anon_sym_enum] = ACTIONS(5108),
    [anon_sym_class] = ACTIONS(5108),
    [anon_sym_struct] = ACTIONS(5108),
    [anon_sym_union] = ACTIONS(5108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5108),
    [anon_sym_decltype] = ACTIONS(5108),
    [sym_virtual] = ACTIONS(5108),
    [anon_sym_explicit] = ACTIONS(5108),
    [anon_sym_typename] = ACTIONS(5108),
    [anon_sym_template] = ACTIONS(5108),
    [anon_sym_operator] = ACTIONS(5108),
    [anon_sym_friend] = ACTIONS(5108),
    [anon_sym_public] = ACTIONS(5108),
    [anon_sym_private] = ACTIONS(5108),
    [anon_sym_protected] = ACTIONS(5108),
    [anon_sym_using] = ACTIONS(5108),
    [anon_sym_static_assert] = ACTIONS(5108),
  },
  [1717] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1584),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5112),
    [anon_sym_COMMA] = ACTIONS(5112),
    [anon_sym_RPAREN] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_DASH] = ACTIONS(5115),
    [anon_sym_PLUS] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5112),
    [anon_sym_SLASH] = ACTIONS(5115),
    [anon_sym_PERCENT] = ACTIONS(5112),
    [anon_sym_PIPE_PIPE] = ACTIONS(5112),
    [anon_sym_AMP_AMP] = ACTIONS(5112),
    [anon_sym_PIPE] = ACTIONS(5115),
    [anon_sym_CARET] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(5115),
    [anon_sym_EQ_EQ] = ACTIONS(5112),
    [anon_sym_BANG_EQ] = ACTIONS(5112),
    [anon_sym_GT] = ACTIONS(5115),
    [anon_sym_GT_EQ] = ACTIONS(5112),
    [anon_sym_LT_EQ] = ACTIONS(5115),
    [anon_sym_LT] = ACTIONS(5115),
    [anon_sym_LT_LT] = ACTIONS(5112),
    [anon_sym_GT_GT] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5112),
    [anon_sym___extension__] = ACTIONS(5115),
    [anon_sym___attribute__] = ACTIONS(5115),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_RBRACE] = ACTIONS(5112),
    [anon_sym_signed] = ACTIONS(4795),
    [anon_sym_unsigned] = ACTIONS(4795),
    [anon_sym_long] = ACTIONS(4795),
    [anon_sym_short] = ACTIONS(4795),
    [anon_sym_LBRACK] = ACTIONS(5112),
    [anon_sym_RBRACK] = ACTIONS(5112),
    [anon_sym_const] = ACTIONS(5115),
    [anon_sym_constexpr] = ACTIONS(5115),
    [anon_sym_volatile] = ACTIONS(5115),
    [anon_sym_restrict] = ACTIONS(5115),
    [anon_sym___restrict__] = ACTIONS(5115),
    [anon_sym__Atomic] = ACTIONS(5115),
    [anon_sym__Noreturn] = ACTIONS(5115),
    [anon_sym_noreturn] = ACTIONS(5115),
    [anon_sym_mutable] = ACTIONS(5115),
    [anon_sym_constinit] = ACTIONS(5115),
    [anon_sym_consteval] = ACTIONS(5115),
    [anon_sym_alignas] = ACTIONS(5115),
    [anon_sym__Alignas] = ACTIONS(5115),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_COLON] = ACTIONS(5112),
    [anon_sym_QMARK] = ACTIONS(5112),
    [anon_sym_LT_EQ_GT] = ACTIONS(5112),
    [anon_sym_or] = ACTIONS(5115),
    [anon_sym_and] = ACTIONS(5115),
    [anon_sym_bitor] = ACTIONS(5115),
    [anon_sym_xor] = ACTIONS(5115),
    [anon_sym_bitand] = ACTIONS(5115),
    [anon_sym_not_eq] = ACTIONS(5115),
    [anon_sym_DASH_DASH] = ACTIONS(5112),
    [anon_sym_PLUS_PLUS] = ACTIONS(5112),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_DOT_STAR] = ACTIONS(5112),
    [anon_sym_DASH_GT] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5115),
    [anon_sym_decltype] = ACTIONS(5115),
    [anon_sym_final] = ACTIONS(5115),
    [anon_sym_override] = ACTIONS(5115),
    [anon_sym_requires] = ACTIONS(5115),
  },
  [1718] = {
    [sym_identifier] = ACTIONS(5118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5120),
    [anon_sym_COMMA] = ACTIONS(5120),
    [anon_sym_RPAREN] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_STAR] = ACTIONS(5120),
    [anon_sym_SLASH] = ACTIONS(5118),
    [anon_sym_PERCENT] = ACTIONS(5120),
    [anon_sym_PIPE_PIPE] = ACTIONS(5120),
    [anon_sym_AMP_AMP] = ACTIONS(5120),
    [anon_sym_PIPE] = ACTIONS(5118),
    [anon_sym_CARET] = ACTIONS(5120),
    [anon_sym_AMP] = ACTIONS(5118),
    [anon_sym_EQ_EQ] = ACTIONS(5120),
    [anon_sym_BANG_EQ] = ACTIONS(5120),
    [anon_sym_GT] = ACTIONS(5118),
    [anon_sym_GT_EQ] = ACTIONS(5120),
    [anon_sym_LT_EQ] = ACTIONS(5118),
    [anon_sym_LT] = ACTIONS(5118),
    [anon_sym_LT_LT] = ACTIONS(5120),
    [anon_sym_GT_GT] = ACTIONS(5120),
    [anon_sym_SEMI] = ACTIONS(5120),
    [anon_sym___extension__] = ACTIONS(5118),
    [anon_sym___attribute__] = ACTIONS(5118),
    [anon_sym___based] = ACTIONS(5118),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_RBRACE] = ACTIONS(5120),
    [anon_sym_signed] = ACTIONS(5118),
    [anon_sym_unsigned] = ACTIONS(5118),
    [anon_sym_long] = ACTIONS(5118),
    [anon_sym_short] = ACTIONS(5118),
    [anon_sym_LBRACK] = ACTIONS(5120),
    [anon_sym_RBRACK] = ACTIONS(5120),
    [anon_sym_const] = ACTIONS(5118),
    [anon_sym_constexpr] = ACTIONS(5118),
    [anon_sym_volatile] = ACTIONS(5118),
    [anon_sym_restrict] = ACTIONS(5118),
    [anon_sym___restrict__] = ACTIONS(5118),
    [anon_sym__Atomic] = ACTIONS(5118),
    [anon_sym__Noreturn] = ACTIONS(5118),
    [anon_sym_noreturn] = ACTIONS(5118),
    [anon_sym_mutable] = ACTIONS(5118),
    [anon_sym_constinit] = ACTIONS(5118),
    [anon_sym_consteval] = ACTIONS(5118),
    [anon_sym_alignas] = ACTIONS(5118),
    [anon_sym__Alignas] = ACTIONS(5118),
    [sym_primitive_type] = ACTIONS(5118),
    [anon_sym_COLON] = ACTIONS(5120),
    [anon_sym_QMARK] = ACTIONS(5120),
    [anon_sym_LT_EQ_GT] = ACTIONS(5120),
    [anon_sym_or] = ACTIONS(5118),
    [anon_sym_and] = ACTIONS(5118),
    [anon_sym_bitor] = ACTIONS(5118),
    [anon_sym_xor] = ACTIONS(5118),
    [anon_sym_bitand] = ACTIONS(5118),
    [anon_sym_not_eq] = ACTIONS(5118),
    [anon_sym_DASH_DASH] = ACTIONS(5120),
    [anon_sym_PLUS_PLUS] = ACTIONS(5120),
    [anon_sym_DOT] = ACTIONS(5118),
    [anon_sym_DOT_STAR] = ACTIONS(5120),
    [anon_sym_DASH_GT] = ACTIONS(5120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5118),
    [anon_sym_decltype] = ACTIONS(5118),
    [anon_sym_final] = ACTIONS(5118),
    [anon_sym_override] = ACTIONS(5118),
    [anon_sym_requires] = ACTIONS(5118),
  },
  [1719] = {
    [sym_identifier] = ACTIONS(5122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5124),
    [anon_sym_COMMA] = ACTIONS(5124),
    [anon_sym_RPAREN] = ACTIONS(5124),
    [anon_sym_LPAREN2] = ACTIONS(5124),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5124),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5124),
    [anon_sym_PIPE_PIPE] = ACTIONS(5124),
    [anon_sym_AMP_AMP] = ACTIONS(5124),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5124),
    [anon_sym_AMP] = ACTIONS(5122),
    [anon_sym_EQ_EQ] = ACTIONS(5124),
    [anon_sym_BANG_EQ] = ACTIONS(5124),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5124),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5124),
    [anon_sym_GT_GT] = ACTIONS(5124),
    [anon_sym_SEMI] = ACTIONS(5124),
    [anon_sym___extension__] = ACTIONS(5122),
    [anon_sym___attribute__] = ACTIONS(5122),
    [anon_sym___based] = ACTIONS(5122),
    [anon_sym_LBRACE] = ACTIONS(5124),
    [anon_sym_RBRACE] = ACTIONS(5124),
    [anon_sym_signed] = ACTIONS(5122),
    [anon_sym_unsigned] = ACTIONS(5122),
    [anon_sym_long] = ACTIONS(5122),
    [anon_sym_short] = ACTIONS(5122),
    [anon_sym_LBRACK] = ACTIONS(5124),
    [anon_sym_RBRACK] = ACTIONS(5124),
    [anon_sym_const] = ACTIONS(5122),
    [anon_sym_constexpr] = ACTIONS(5122),
    [anon_sym_volatile] = ACTIONS(5122),
    [anon_sym_restrict] = ACTIONS(5122),
    [anon_sym___restrict__] = ACTIONS(5122),
    [anon_sym__Atomic] = ACTIONS(5122),
    [anon_sym__Noreturn] = ACTIONS(5122),
    [anon_sym_noreturn] = ACTIONS(5122),
    [anon_sym_mutable] = ACTIONS(5122),
    [anon_sym_constinit] = ACTIONS(5122),
    [anon_sym_consteval] = ACTIONS(5122),
    [anon_sym_alignas] = ACTIONS(5122),
    [anon_sym__Alignas] = ACTIONS(5122),
    [sym_primitive_type] = ACTIONS(5122),
    [anon_sym_COLON] = ACTIONS(5124),
    [anon_sym_QMARK] = ACTIONS(5124),
    [anon_sym_LT_EQ_GT] = ACTIONS(5124),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5122),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5122),
    [anon_sym_not_eq] = ACTIONS(5122),
    [anon_sym_DASH_DASH] = ACTIONS(5124),
    [anon_sym_PLUS_PLUS] = ACTIONS(5124),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5124),
    [anon_sym_DASH_GT] = ACTIONS(5124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5122),
    [anon_sym_decltype] = ACTIONS(5122),
    [anon_sym_final] = ACTIONS(5122),
    [anon_sym_override] = ACTIONS(5122),
    [anon_sym_requires] = ACTIONS(5122),
  },
  [1720] = {
    [sym_identifier] = ACTIONS(5126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5128),
    [anon_sym_COMMA] = ACTIONS(5128),
    [anon_sym_RPAREN] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_STAR] = ACTIONS(5128),
    [anon_sym_SLASH] = ACTIONS(5126),
    [anon_sym_PERCENT] = ACTIONS(5128),
    [anon_sym_PIPE_PIPE] = ACTIONS(5128),
    [anon_sym_AMP_AMP] = ACTIONS(5128),
    [anon_sym_PIPE] = ACTIONS(5126),
    [anon_sym_CARET] = ACTIONS(5128),
    [anon_sym_AMP] = ACTIONS(5126),
    [anon_sym_EQ_EQ] = ACTIONS(5128),
    [anon_sym_BANG_EQ] = ACTIONS(5128),
    [anon_sym_GT] = ACTIONS(5126),
    [anon_sym_GT_EQ] = ACTIONS(5128),
    [anon_sym_LT_EQ] = ACTIONS(5126),
    [anon_sym_LT] = ACTIONS(5126),
    [anon_sym_LT_LT] = ACTIONS(5128),
    [anon_sym_GT_GT] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(5128),
    [anon_sym___extension__] = ACTIONS(5126),
    [anon_sym___attribute__] = ACTIONS(5126),
    [anon_sym___based] = ACTIONS(5126),
    [anon_sym_LBRACE] = ACTIONS(5128),
    [anon_sym_RBRACE] = ACTIONS(5128),
    [anon_sym_signed] = ACTIONS(5126),
    [anon_sym_unsigned] = ACTIONS(5126),
    [anon_sym_long] = ACTIONS(5126),
    [anon_sym_short] = ACTIONS(5126),
    [anon_sym_LBRACK] = ACTIONS(5128),
    [anon_sym_RBRACK] = ACTIONS(5128),
    [anon_sym_const] = ACTIONS(5126),
    [anon_sym_constexpr] = ACTIONS(5126),
    [anon_sym_volatile] = ACTIONS(5126),
    [anon_sym_restrict] = ACTIONS(5126),
    [anon_sym___restrict__] = ACTIONS(5126),
    [anon_sym__Atomic] = ACTIONS(5126),
    [anon_sym__Noreturn] = ACTIONS(5126),
    [anon_sym_noreturn] = ACTIONS(5126),
    [anon_sym_mutable] = ACTIONS(5126),
    [anon_sym_constinit] = ACTIONS(5126),
    [anon_sym_consteval] = ACTIONS(5126),
    [anon_sym_alignas] = ACTIONS(5126),
    [anon_sym__Alignas] = ACTIONS(5126),
    [sym_primitive_type] = ACTIONS(5126),
    [anon_sym_COLON] = ACTIONS(5128),
    [anon_sym_QMARK] = ACTIONS(5128),
    [anon_sym_LT_EQ_GT] = ACTIONS(5128),
    [anon_sym_or] = ACTIONS(5126),
    [anon_sym_and] = ACTIONS(5126),
    [anon_sym_bitor] = ACTIONS(5126),
    [anon_sym_xor] = ACTIONS(5126),
    [anon_sym_bitand] = ACTIONS(5126),
    [anon_sym_not_eq] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5128),
    [anon_sym_PLUS_PLUS] = ACTIONS(5128),
    [anon_sym_DOT] = ACTIONS(5126),
    [anon_sym_DOT_STAR] = ACTIONS(5128),
    [anon_sym_DASH_GT] = ACTIONS(5128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5126),
    [anon_sym_decltype] = ACTIONS(5126),
    [anon_sym_final] = ACTIONS(5126),
    [anon_sym_override] = ACTIONS(5126),
    [anon_sym_requires] = ACTIONS(5126),
  },
  [1721] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [aux_sym_preproc_else_token1] = ACTIONS(2797),
    [aux_sym_preproc_elif_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [sym_virtual] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_friend] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
  },
  [1722] = {
    [sym_argument_list] = STATE(2387),
    [sym_initializer_list] = STATE(2387),
    [sym_decltype_auto] = STATE(2097),
    [sym_new_declarator] = STATE(1993),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5132),
    [anon_sym_COMMA] = ACTIONS(5132),
    [anon_sym_RPAREN] = ACTIONS(5132),
    [aux_sym_preproc_if_token2] = ACTIONS(5132),
    [aux_sym_preproc_else_token1] = ACTIONS(5132),
    [aux_sym_preproc_elif_token1] = ACTIONS(5130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5132),
    [anon_sym_LPAREN2] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5130),
    [anon_sym_PLUS] = ACTIONS(5130),
    [anon_sym_STAR] = ACTIONS(5130),
    [anon_sym_SLASH] = ACTIONS(5130),
    [anon_sym_PERCENT] = ACTIONS(5130),
    [anon_sym_PIPE_PIPE] = ACTIONS(5132),
    [anon_sym_AMP_AMP] = ACTIONS(5132),
    [anon_sym_PIPE] = ACTIONS(5130),
    [anon_sym_CARET] = ACTIONS(5130),
    [anon_sym_AMP] = ACTIONS(5130),
    [anon_sym_EQ_EQ] = ACTIONS(5132),
    [anon_sym_BANG_EQ] = ACTIONS(5132),
    [anon_sym_GT] = ACTIONS(5130),
    [anon_sym_GT_EQ] = ACTIONS(5132),
    [anon_sym_LT_EQ] = ACTIONS(5130),
    [anon_sym_LT] = ACTIONS(5130),
    [anon_sym_LT_LT] = ACTIONS(5130),
    [anon_sym_GT_GT] = ACTIONS(5130),
    [anon_sym_SEMI] = ACTIONS(5132),
    [anon_sym___attribute__] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5132),
    [anon_sym_LBRACK] = ACTIONS(5136),
    [anon_sym_RBRACK] = ACTIONS(5132),
    [anon_sym_EQ] = ACTIONS(5130),
    [anon_sym_COLON] = ACTIONS(5132),
    [anon_sym_QMARK] = ACTIONS(5132),
    [anon_sym_STAR_EQ] = ACTIONS(5132),
    [anon_sym_SLASH_EQ] = ACTIONS(5132),
    [anon_sym_PERCENT_EQ] = ACTIONS(5132),
    [anon_sym_PLUS_EQ] = ACTIONS(5132),
    [anon_sym_DASH_EQ] = ACTIONS(5132),
    [anon_sym_LT_LT_EQ] = ACTIONS(5132),
    [anon_sym_GT_GT_EQ] = ACTIONS(5132),
    [anon_sym_AMP_EQ] = ACTIONS(5132),
    [anon_sym_CARET_EQ] = ACTIONS(5132),
    [anon_sym_PIPE_EQ] = ACTIONS(5132),
    [anon_sym_and_eq] = ACTIONS(5130),
    [anon_sym_or_eq] = ACTIONS(5130),
    [anon_sym_xor_eq] = ACTIONS(5130),
    [anon_sym_LT_EQ_GT] = ACTIONS(5132),
    [anon_sym_or] = ACTIONS(5130),
    [anon_sym_and] = ACTIONS(5130),
    [anon_sym_bitor] = ACTIONS(5130),
    [anon_sym_xor] = ACTIONS(5130),
    [anon_sym_bitand] = ACTIONS(5130),
    [anon_sym_not_eq] = ACTIONS(5130),
    [anon_sym_DASH_DASH] = ACTIONS(5132),
    [anon_sym_PLUS_PLUS] = ACTIONS(5132),
    [anon_sym_DOT] = ACTIONS(5130),
    [anon_sym_DOT_STAR] = ACTIONS(5132),
    [anon_sym_DASH_GT] = ACTIONS(5132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5138),
    [anon_sym_decltype] = ACTIONS(5140),
  },
  [1723] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [aux_sym_preproc_else_token1] = ACTIONS(2801),
    [aux_sym_preproc_elif_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [sym_primitive_type] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [sym_virtual] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_friend] = ACTIONS(2801),
    [anon_sym_public] = ACTIONS(2801),
    [anon_sym_private] = ACTIONS(2801),
    [anon_sym_protected] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
  },
  [1724] = {
    [sym_identifier] = ACTIONS(5142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5144),
    [anon_sym_COMMA] = ACTIONS(5144),
    [anon_sym_RPAREN] = ACTIONS(5144),
    [anon_sym_LPAREN2] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5142),
    [anon_sym_PLUS] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_SLASH] = ACTIONS(5142),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5144),
    [anon_sym_AMP_AMP] = ACTIONS(5144),
    [anon_sym_PIPE] = ACTIONS(5142),
    [anon_sym_CARET] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(5142),
    [anon_sym_EQ_EQ] = ACTIONS(5144),
    [anon_sym_BANG_EQ] = ACTIONS(5144),
    [anon_sym_GT] = ACTIONS(5142),
    [anon_sym_GT_EQ] = ACTIONS(5144),
    [anon_sym_LT_EQ] = ACTIONS(5142),
    [anon_sym_LT] = ACTIONS(5142),
    [anon_sym_LT_LT] = ACTIONS(5144),
    [anon_sym_GT_GT] = ACTIONS(5144),
    [anon_sym_SEMI] = ACTIONS(5144),
    [anon_sym___extension__] = ACTIONS(5142),
    [anon_sym___attribute__] = ACTIONS(5142),
    [anon_sym___based] = ACTIONS(5142),
    [anon_sym_LBRACE] = ACTIONS(5144),
    [anon_sym_RBRACE] = ACTIONS(5144),
    [anon_sym_signed] = ACTIONS(5142),
    [anon_sym_unsigned] = ACTIONS(5142),
    [anon_sym_long] = ACTIONS(5142),
    [anon_sym_short] = ACTIONS(5142),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [anon_sym_RBRACK] = ACTIONS(5144),
    [anon_sym_const] = ACTIONS(5142),
    [anon_sym_constexpr] = ACTIONS(5142),
    [anon_sym_volatile] = ACTIONS(5142),
    [anon_sym_restrict] = ACTIONS(5142),
    [anon_sym___restrict__] = ACTIONS(5142),
    [anon_sym__Atomic] = ACTIONS(5142),
    [anon_sym__Noreturn] = ACTIONS(5142),
    [anon_sym_noreturn] = ACTIONS(5142),
    [anon_sym_mutable] = ACTIONS(5142),
    [anon_sym_constinit] = ACTIONS(5142),
    [anon_sym_consteval] = ACTIONS(5142),
    [anon_sym_alignas] = ACTIONS(5142),
    [anon_sym__Alignas] = ACTIONS(5142),
    [sym_primitive_type] = ACTIONS(5142),
    [anon_sym_COLON] = ACTIONS(5144),
    [anon_sym_QMARK] = ACTIONS(5144),
    [anon_sym_LT_EQ_GT] = ACTIONS(5144),
    [anon_sym_or] = ACTIONS(5142),
    [anon_sym_and] = ACTIONS(5142),
    [anon_sym_bitor] = ACTIONS(5142),
    [anon_sym_xor] = ACTIONS(5142),
    [anon_sym_bitand] = ACTIONS(5142),
    [anon_sym_not_eq] = ACTIONS(5142),
    [anon_sym_DASH_DASH] = ACTIONS(5144),
    [anon_sym_PLUS_PLUS] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_DOT_STAR] = ACTIONS(5144),
    [anon_sym_DASH_GT] = ACTIONS(5144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5142),
    [anon_sym_decltype] = ACTIONS(5142),
    [anon_sym_final] = ACTIONS(5142),
    [anon_sym_override] = ACTIONS(5142),
    [anon_sym_requires] = ACTIONS(5142),
  },
  [1725] = {
    [sym_identifier] = ACTIONS(5146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5148),
    [anon_sym_COMMA] = ACTIONS(5148),
    [anon_sym_RPAREN] = ACTIONS(5148),
    [anon_sym_LPAREN2] = ACTIONS(5148),
    [anon_sym_DASH] = ACTIONS(5146),
    [anon_sym_PLUS] = ACTIONS(5146),
    [anon_sym_STAR] = ACTIONS(5148),
    [anon_sym_SLASH] = ACTIONS(5146),
    [anon_sym_PERCENT] = ACTIONS(5148),
    [anon_sym_PIPE_PIPE] = ACTIONS(5148),
    [anon_sym_AMP_AMP] = ACTIONS(5148),
    [anon_sym_PIPE] = ACTIONS(5146),
    [anon_sym_CARET] = ACTIONS(5148),
    [anon_sym_AMP] = ACTIONS(5146),
    [anon_sym_EQ_EQ] = ACTIONS(5148),
    [anon_sym_BANG_EQ] = ACTIONS(5148),
    [anon_sym_GT] = ACTIONS(5146),
    [anon_sym_GT_EQ] = ACTIONS(5148),
    [anon_sym_LT_EQ] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(5146),
    [anon_sym_LT_LT] = ACTIONS(5148),
    [anon_sym_GT_GT] = ACTIONS(5148),
    [anon_sym_SEMI] = ACTIONS(5148),
    [anon_sym___extension__] = ACTIONS(5146),
    [anon_sym___attribute__] = ACTIONS(5146),
    [anon_sym___based] = ACTIONS(5146),
    [anon_sym_LBRACE] = ACTIONS(5148),
    [anon_sym_RBRACE] = ACTIONS(5148),
    [anon_sym_signed] = ACTIONS(5146),
    [anon_sym_unsigned] = ACTIONS(5146),
    [anon_sym_long] = ACTIONS(5146),
    [anon_sym_short] = ACTIONS(5146),
    [anon_sym_LBRACK] = ACTIONS(5148),
    [anon_sym_RBRACK] = ACTIONS(5148),
    [anon_sym_const] = ACTIONS(5146),
    [anon_sym_constexpr] = ACTIONS(5146),
    [anon_sym_volatile] = ACTIONS(5146),
    [anon_sym_restrict] = ACTIONS(5146),
    [anon_sym___restrict__] = ACTIONS(5146),
    [anon_sym__Atomic] = ACTIONS(5146),
    [anon_sym__Noreturn] = ACTIONS(5146),
    [anon_sym_noreturn] = ACTIONS(5146),
    [anon_sym_mutable] = ACTIONS(5146),
    [anon_sym_constinit] = ACTIONS(5146),
    [anon_sym_consteval] = ACTIONS(5146),
    [anon_sym_alignas] = ACTIONS(5146),
    [anon_sym__Alignas] = ACTIONS(5146),
    [sym_primitive_type] = ACTIONS(5146),
    [anon_sym_COLON] = ACTIONS(5148),
    [anon_sym_QMARK] = ACTIONS(5148),
    [anon_sym_LT_EQ_GT] = ACTIONS(5148),
    [anon_sym_or] = ACTIONS(5146),
    [anon_sym_and] = ACTIONS(5146),
    [anon_sym_bitor] = ACTIONS(5146),
    [anon_sym_xor] = ACTIONS(5146),
    [anon_sym_bitand] = ACTIONS(5146),
    [anon_sym_not_eq] = ACTIONS(5146),
    [anon_sym_DASH_DASH] = ACTIONS(5148),
    [anon_sym_PLUS_PLUS] = ACTIONS(5148),
    [anon_sym_DOT] = ACTIONS(5146),
    [anon_sym_DOT_STAR] = ACTIONS(5148),
    [anon_sym_DASH_GT] = ACTIONS(5148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5146),
    [anon_sym_decltype] = ACTIONS(5146),
    [anon_sym_final] = ACTIONS(5146),
    [anon_sym_override] = ACTIONS(5146),
    [anon_sym_requires] = ACTIONS(5146),
  },
  [1726] = {
    [sym_identifier] = ACTIONS(5150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5152),
    [anon_sym_COMMA] = ACTIONS(5152),
    [anon_sym_RPAREN] = ACTIONS(5152),
    [anon_sym_LPAREN2] = ACTIONS(5152),
    [anon_sym_DASH] = ACTIONS(5150),
    [anon_sym_PLUS] = ACTIONS(5150),
    [anon_sym_STAR] = ACTIONS(5152),
    [anon_sym_SLASH] = ACTIONS(5150),
    [anon_sym_PERCENT] = ACTIONS(5152),
    [anon_sym_PIPE_PIPE] = ACTIONS(5152),
    [anon_sym_AMP_AMP] = ACTIONS(5152),
    [anon_sym_PIPE] = ACTIONS(5150),
    [anon_sym_CARET] = ACTIONS(5152),
    [anon_sym_AMP] = ACTIONS(5150),
    [anon_sym_EQ_EQ] = ACTIONS(5152),
    [anon_sym_BANG_EQ] = ACTIONS(5152),
    [anon_sym_GT] = ACTIONS(5150),
    [anon_sym_GT_EQ] = ACTIONS(5152),
    [anon_sym_LT_EQ] = ACTIONS(5150),
    [anon_sym_LT] = ACTIONS(5150),
    [anon_sym_LT_LT] = ACTIONS(5152),
    [anon_sym_GT_GT] = ACTIONS(5152),
    [anon_sym_SEMI] = ACTIONS(5152),
    [anon_sym___extension__] = ACTIONS(5150),
    [anon_sym___attribute__] = ACTIONS(5150),
    [anon_sym___based] = ACTIONS(5150),
    [anon_sym_LBRACE] = ACTIONS(5152),
    [anon_sym_RBRACE] = ACTIONS(5152),
    [anon_sym_signed] = ACTIONS(5150),
    [anon_sym_unsigned] = ACTIONS(5150),
    [anon_sym_long] = ACTIONS(5150),
    [anon_sym_short] = ACTIONS(5150),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [anon_sym_RBRACK] = ACTIONS(5152),
    [anon_sym_const] = ACTIONS(5150),
    [anon_sym_constexpr] = ACTIONS(5150),
    [anon_sym_volatile] = ACTIONS(5150),
    [anon_sym_restrict] = ACTIONS(5150),
    [anon_sym___restrict__] = ACTIONS(5150),
    [anon_sym__Atomic] = ACTIONS(5150),
    [anon_sym__Noreturn] = ACTIONS(5150),
    [anon_sym_noreturn] = ACTIONS(5150),
    [anon_sym_mutable] = ACTIONS(5150),
    [anon_sym_constinit] = ACTIONS(5150),
    [anon_sym_consteval] = ACTIONS(5150),
    [anon_sym_alignas] = ACTIONS(5150),
    [anon_sym__Alignas] = ACTIONS(5150),
    [sym_primitive_type] = ACTIONS(5150),
    [anon_sym_COLON] = ACTIONS(5152),
    [anon_sym_QMARK] = ACTIONS(5152),
    [anon_sym_LT_EQ_GT] = ACTIONS(5152),
    [anon_sym_or] = ACTIONS(5150),
    [anon_sym_and] = ACTIONS(5150),
    [anon_sym_bitor] = ACTIONS(5150),
    [anon_sym_xor] = ACTIONS(5150),
    [anon_sym_bitand] = ACTIONS(5150),
    [anon_sym_not_eq] = ACTIONS(5150),
    [anon_sym_DASH_DASH] = ACTIONS(5152),
    [anon_sym_PLUS_PLUS] = ACTIONS(5152),
    [anon_sym_DOT] = ACTIONS(5150),
    [anon_sym_DOT_STAR] = ACTIONS(5152),
    [anon_sym_DASH_GT] = ACTIONS(5152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5150),
    [anon_sym_decltype] = ACTIONS(5150),
    [anon_sym_final] = ACTIONS(5150),
    [anon_sym_override] = ACTIONS(5150),
    [anon_sym_requires] = ACTIONS(5150),
  },
  [1727] = {
    [sym_identifier] = ACTIONS(5154),
    [aux_sym_preproc_def_token1] = ACTIONS(5154),
    [aux_sym_preproc_if_token1] = ACTIONS(5154),
    [aux_sym_preproc_if_token2] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5154),
    [aux_sym_preproc_else_token1] = ACTIONS(5154),
    [aux_sym_preproc_elif_token1] = ACTIONS(5154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5154),
    [sym_preproc_directive] = ACTIONS(5154),
    [anon_sym_LPAREN2] = ACTIONS(5156),
    [anon_sym_TILDE] = ACTIONS(5156),
    [anon_sym_STAR] = ACTIONS(5156),
    [anon_sym_AMP_AMP] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(5154),
    [anon_sym___extension__] = ACTIONS(5154),
    [anon_sym_typedef] = ACTIONS(5154),
    [anon_sym_extern] = ACTIONS(5154),
    [anon_sym___attribute__] = ACTIONS(5154),
    [anon_sym_COLON_COLON] = ACTIONS(5156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5156),
    [anon_sym___declspec] = ACTIONS(5154),
    [anon_sym___based] = ACTIONS(5154),
    [anon_sym_signed] = ACTIONS(5154),
    [anon_sym_unsigned] = ACTIONS(5154),
    [anon_sym_long] = ACTIONS(5154),
    [anon_sym_short] = ACTIONS(5154),
    [anon_sym_LBRACK] = ACTIONS(5154),
    [anon_sym_static] = ACTIONS(5154),
    [anon_sym_register] = ACTIONS(5154),
    [anon_sym_inline] = ACTIONS(5154),
    [anon_sym___inline] = ACTIONS(5154),
    [anon_sym___inline__] = ACTIONS(5154),
    [anon_sym___forceinline] = ACTIONS(5154),
    [anon_sym_thread_local] = ACTIONS(5154),
    [anon_sym___thread] = ACTIONS(5154),
    [anon_sym_const] = ACTIONS(5154),
    [anon_sym_constexpr] = ACTIONS(5154),
    [anon_sym_volatile] = ACTIONS(5154),
    [anon_sym_restrict] = ACTIONS(5154),
    [anon_sym___restrict__] = ACTIONS(5154),
    [anon_sym__Atomic] = ACTIONS(5154),
    [anon_sym__Noreturn] = ACTIONS(5154),
    [anon_sym_noreturn] = ACTIONS(5154),
    [anon_sym_mutable] = ACTIONS(5154),
    [anon_sym_constinit] = ACTIONS(5154),
    [anon_sym_consteval] = ACTIONS(5154),
    [anon_sym_alignas] = ACTIONS(5154),
    [anon_sym__Alignas] = ACTIONS(5154),
    [sym_primitive_type] = ACTIONS(5154),
    [anon_sym_enum] = ACTIONS(5154),
    [anon_sym_class] = ACTIONS(5154),
    [anon_sym_struct] = ACTIONS(5154),
    [anon_sym_union] = ACTIONS(5154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5154),
    [anon_sym_decltype] = ACTIONS(5154),
    [sym_virtual] = ACTIONS(5154),
    [anon_sym_explicit] = ACTIONS(5154),
    [anon_sym_typename] = ACTIONS(5154),
    [anon_sym_template] = ACTIONS(5154),
    [anon_sym_operator] = ACTIONS(5154),
    [anon_sym_friend] = ACTIONS(5154),
    [anon_sym_public] = ACTIONS(5154),
    [anon_sym_private] = ACTIONS(5154),
    [anon_sym_protected] = ACTIONS(5154),
    [anon_sym_using] = ACTIONS(5154),
    [anon_sym_static_assert] = ACTIONS(5154),
  },
  [1728] = {
    [sym_identifier] = ACTIONS(5158),
    [aux_sym_preproc_def_token1] = ACTIONS(5158),
    [aux_sym_preproc_if_token1] = ACTIONS(5158),
    [aux_sym_preproc_if_token2] = ACTIONS(5158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5158),
    [aux_sym_preproc_else_token1] = ACTIONS(5158),
    [aux_sym_preproc_elif_token1] = ACTIONS(5158),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5158),
    [sym_preproc_directive] = ACTIONS(5158),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_TILDE] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5160),
    [anon_sym_AMP_AMP] = ACTIONS(5160),
    [anon_sym_AMP] = ACTIONS(5158),
    [anon_sym___extension__] = ACTIONS(5158),
    [anon_sym_typedef] = ACTIONS(5158),
    [anon_sym_extern] = ACTIONS(5158),
    [anon_sym___attribute__] = ACTIONS(5158),
    [anon_sym_COLON_COLON] = ACTIONS(5160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5160),
    [anon_sym___declspec] = ACTIONS(5158),
    [anon_sym___based] = ACTIONS(5158),
    [anon_sym_signed] = ACTIONS(5158),
    [anon_sym_unsigned] = ACTIONS(5158),
    [anon_sym_long] = ACTIONS(5158),
    [anon_sym_short] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5158),
    [anon_sym_static] = ACTIONS(5158),
    [anon_sym_register] = ACTIONS(5158),
    [anon_sym_inline] = ACTIONS(5158),
    [anon_sym___inline] = ACTIONS(5158),
    [anon_sym___inline__] = ACTIONS(5158),
    [anon_sym___forceinline] = ACTIONS(5158),
    [anon_sym_thread_local] = ACTIONS(5158),
    [anon_sym___thread] = ACTIONS(5158),
    [anon_sym_const] = ACTIONS(5158),
    [anon_sym_constexpr] = ACTIONS(5158),
    [anon_sym_volatile] = ACTIONS(5158),
    [anon_sym_restrict] = ACTIONS(5158),
    [anon_sym___restrict__] = ACTIONS(5158),
    [anon_sym__Atomic] = ACTIONS(5158),
    [anon_sym__Noreturn] = ACTIONS(5158),
    [anon_sym_noreturn] = ACTIONS(5158),
    [anon_sym_mutable] = ACTIONS(5158),
    [anon_sym_constinit] = ACTIONS(5158),
    [anon_sym_consteval] = ACTIONS(5158),
    [anon_sym_alignas] = ACTIONS(5158),
    [anon_sym__Alignas] = ACTIONS(5158),
    [sym_primitive_type] = ACTIONS(5158),
    [anon_sym_enum] = ACTIONS(5158),
    [anon_sym_class] = ACTIONS(5158),
    [anon_sym_struct] = ACTIONS(5158),
    [anon_sym_union] = ACTIONS(5158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5158),
    [anon_sym_decltype] = ACTIONS(5158),
    [sym_virtual] = ACTIONS(5158),
    [anon_sym_explicit] = ACTIONS(5158),
    [anon_sym_typename] = ACTIONS(5158),
    [anon_sym_template] = ACTIONS(5158),
    [anon_sym_operator] = ACTIONS(5158),
    [anon_sym_friend] = ACTIONS(5158),
    [anon_sym_public] = ACTIONS(5158),
    [anon_sym_private] = ACTIONS(5158),
    [anon_sym_protected] = ACTIONS(5158),
    [anon_sym_using] = ACTIONS(5158),
    [anon_sym_static_assert] = ACTIONS(5158),
  },
  [1729] = {
    [sym_identifier] = ACTIONS(5162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5164),
    [anon_sym_COMMA] = ACTIONS(5164),
    [anon_sym_RPAREN] = ACTIONS(5164),
    [anon_sym_LPAREN2] = ACTIONS(5164),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_STAR] = ACTIONS(5164),
    [anon_sym_SLASH] = ACTIONS(5162),
    [anon_sym_PERCENT] = ACTIONS(5164),
    [anon_sym_PIPE_PIPE] = ACTIONS(5164),
    [anon_sym_AMP_AMP] = ACTIONS(5164),
    [anon_sym_PIPE] = ACTIONS(5162),
    [anon_sym_CARET] = ACTIONS(5164),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5164),
    [anon_sym_BANG_EQ] = ACTIONS(5164),
    [anon_sym_GT] = ACTIONS(5162),
    [anon_sym_GT_EQ] = ACTIONS(5164),
    [anon_sym_LT_EQ] = ACTIONS(5162),
    [anon_sym_LT] = ACTIONS(5162),
    [anon_sym_LT_LT] = ACTIONS(5164),
    [anon_sym_GT_GT] = ACTIONS(5164),
    [anon_sym_SEMI] = ACTIONS(5164),
    [anon_sym___extension__] = ACTIONS(5162),
    [anon_sym___attribute__] = ACTIONS(5162),
    [anon_sym___based] = ACTIONS(5162),
    [anon_sym_LBRACE] = ACTIONS(5164),
    [anon_sym_RBRACE] = ACTIONS(5164),
    [anon_sym_signed] = ACTIONS(5162),
    [anon_sym_unsigned] = ACTIONS(5162),
    [anon_sym_long] = ACTIONS(5162),
    [anon_sym_short] = ACTIONS(5162),
    [anon_sym_LBRACK] = ACTIONS(5164),
    [anon_sym_RBRACK] = ACTIONS(5164),
    [anon_sym_const] = ACTIONS(5162),
    [anon_sym_constexpr] = ACTIONS(5162),
    [anon_sym_volatile] = ACTIONS(5162),
    [anon_sym_restrict] = ACTIONS(5162),
    [anon_sym___restrict__] = ACTIONS(5162),
    [anon_sym__Atomic] = ACTIONS(5162),
    [anon_sym__Noreturn] = ACTIONS(5162),
    [anon_sym_noreturn] = ACTIONS(5162),
    [anon_sym_mutable] = ACTIONS(5162),
    [anon_sym_constinit] = ACTIONS(5162),
    [anon_sym_consteval] = ACTIONS(5162),
    [anon_sym_alignas] = ACTIONS(5162),
    [anon_sym__Alignas] = ACTIONS(5162),
    [sym_primitive_type] = ACTIONS(5162),
    [anon_sym_COLON] = ACTIONS(5164),
    [anon_sym_QMARK] = ACTIONS(5164),
    [anon_sym_LT_EQ_GT] = ACTIONS(5164),
    [anon_sym_or] = ACTIONS(5162),
    [anon_sym_and] = ACTIONS(5162),
    [anon_sym_bitor] = ACTIONS(5162),
    [anon_sym_xor] = ACTIONS(5162),
    [anon_sym_bitand] = ACTIONS(5162),
    [anon_sym_not_eq] = ACTIONS(5162),
    [anon_sym_DASH_DASH] = ACTIONS(5164),
    [anon_sym_PLUS_PLUS] = ACTIONS(5164),
    [anon_sym_DOT] = ACTIONS(5162),
    [anon_sym_DOT_STAR] = ACTIONS(5164),
    [anon_sym_DASH_GT] = ACTIONS(5164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5162),
    [anon_sym_decltype] = ACTIONS(5162),
    [anon_sym_final] = ACTIONS(5162),
    [anon_sym_override] = ACTIONS(5162),
    [anon_sym_requires] = ACTIONS(5162),
  },
  [1730] = {
    [sym_identifier] = ACTIONS(2616),
    [aux_sym_preproc_def_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token2] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2616),
    [aux_sym_preproc_else_token1] = ACTIONS(2616),
    [aux_sym_preproc_elif_token1] = ACTIONS(2616),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2616),
    [sym_preproc_directive] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym___based] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_explicit] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_operator] = ACTIONS(2616),
    [anon_sym_friend] = ACTIONS(2616),
    [anon_sym_public] = ACTIONS(2616),
    [anon_sym_private] = ACTIONS(2616),
    [anon_sym_protected] = ACTIONS(2616),
    [anon_sym_using] = ACTIONS(2616),
    [anon_sym_static_assert] = ACTIONS(2616),
  },
  [1731] = {
    [sym_identifier] = ACTIONS(5166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5168),
    [anon_sym_COMMA] = ACTIONS(5168),
    [anon_sym_RPAREN] = ACTIONS(5168),
    [anon_sym_LPAREN2] = ACTIONS(5168),
    [anon_sym_DASH] = ACTIONS(5166),
    [anon_sym_PLUS] = ACTIONS(5166),
    [anon_sym_STAR] = ACTIONS(5168),
    [anon_sym_SLASH] = ACTIONS(5166),
    [anon_sym_PERCENT] = ACTIONS(5168),
    [anon_sym_PIPE_PIPE] = ACTIONS(5168),
    [anon_sym_AMP_AMP] = ACTIONS(5168),
    [anon_sym_PIPE] = ACTIONS(5166),
    [anon_sym_CARET] = ACTIONS(5168),
    [anon_sym_AMP] = ACTIONS(5166),
    [anon_sym_EQ_EQ] = ACTIONS(5168),
    [anon_sym_BANG_EQ] = ACTIONS(5168),
    [anon_sym_GT] = ACTIONS(5166),
    [anon_sym_GT_EQ] = ACTIONS(5168),
    [anon_sym_LT_EQ] = ACTIONS(5166),
    [anon_sym_LT] = ACTIONS(5166),
    [anon_sym_LT_LT] = ACTIONS(5168),
    [anon_sym_GT_GT] = ACTIONS(5168),
    [anon_sym_SEMI] = ACTIONS(5168),
    [anon_sym___extension__] = ACTIONS(5166),
    [anon_sym___attribute__] = ACTIONS(5166),
    [anon_sym___based] = ACTIONS(5166),
    [anon_sym_LBRACE] = ACTIONS(5168),
    [anon_sym_RBRACE] = ACTIONS(5168),
    [anon_sym_signed] = ACTIONS(5166),
    [anon_sym_unsigned] = ACTIONS(5166),
    [anon_sym_long] = ACTIONS(5166),
    [anon_sym_short] = ACTIONS(5166),
    [anon_sym_LBRACK] = ACTIONS(5168),
    [anon_sym_RBRACK] = ACTIONS(5168),
    [anon_sym_const] = ACTIONS(5166),
    [anon_sym_constexpr] = ACTIONS(5166),
    [anon_sym_volatile] = ACTIONS(5166),
    [anon_sym_restrict] = ACTIONS(5166),
    [anon_sym___restrict__] = ACTIONS(5166),
    [anon_sym__Atomic] = ACTIONS(5166),
    [anon_sym__Noreturn] = ACTIONS(5166),
    [anon_sym_noreturn] = ACTIONS(5166),
    [anon_sym_mutable] = ACTIONS(5166),
    [anon_sym_constinit] = ACTIONS(5166),
    [anon_sym_consteval] = ACTIONS(5166),
    [anon_sym_alignas] = ACTIONS(5166),
    [anon_sym__Alignas] = ACTIONS(5166),
    [sym_primitive_type] = ACTIONS(5166),
    [anon_sym_COLON] = ACTIONS(5168),
    [anon_sym_QMARK] = ACTIONS(5168),
    [anon_sym_LT_EQ_GT] = ACTIONS(5168),
    [anon_sym_or] = ACTIONS(5166),
    [anon_sym_and] = ACTIONS(5166),
    [anon_sym_bitor] = ACTIONS(5166),
    [anon_sym_xor] = ACTIONS(5166),
    [anon_sym_bitand] = ACTIONS(5166),
    [anon_sym_not_eq] = ACTIONS(5166),
    [anon_sym_DASH_DASH] = ACTIONS(5168),
    [anon_sym_PLUS_PLUS] = ACTIONS(5168),
    [anon_sym_DOT] = ACTIONS(5166),
    [anon_sym_DOT_STAR] = ACTIONS(5168),
    [anon_sym_DASH_GT] = ACTIONS(5168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5166),
    [anon_sym_decltype] = ACTIONS(5166),
    [anon_sym_final] = ACTIONS(5166),
    [anon_sym_override] = ACTIONS(5166),
    [anon_sym_requires] = ACTIONS(5166),
  },
  [1732] = {
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5172),
    [anon_sym_COMMA] = ACTIONS(5172),
    [anon_sym_RPAREN] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_DASH] = ACTIONS(5170),
    [anon_sym_PLUS] = ACTIONS(5170),
    [anon_sym_STAR] = ACTIONS(5172),
    [anon_sym_SLASH] = ACTIONS(5170),
    [anon_sym_PERCENT] = ACTIONS(5172),
    [anon_sym_PIPE_PIPE] = ACTIONS(5172),
    [anon_sym_AMP_AMP] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5170),
    [anon_sym_CARET] = ACTIONS(5172),
    [anon_sym_AMP] = ACTIONS(5170),
    [anon_sym_EQ_EQ] = ACTIONS(5172),
    [anon_sym_BANG_EQ] = ACTIONS(5172),
    [anon_sym_GT] = ACTIONS(5170),
    [anon_sym_GT_EQ] = ACTIONS(5172),
    [anon_sym_LT_EQ] = ACTIONS(5170),
    [anon_sym_LT] = ACTIONS(5170),
    [anon_sym_LT_LT] = ACTIONS(5172),
    [anon_sym_GT_GT] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5172),
    [anon_sym___extension__] = ACTIONS(5170),
    [anon_sym___attribute__] = ACTIONS(5170),
    [anon_sym___based] = ACTIONS(5170),
    [anon_sym_LBRACE] = ACTIONS(5172),
    [anon_sym_RBRACE] = ACTIONS(5172),
    [anon_sym_signed] = ACTIONS(5170),
    [anon_sym_unsigned] = ACTIONS(5170),
    [anon_sym_long] = ACTIONS(5170),
    [anon_sym_short] = ACTIONS(5170),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_RBRACK] = ACTIONS(5172),
    [anon_sym_const] = ACTIONS(5170),
    [anon_sym_constexpr] = ACTIONS(5170),
    [anon_sym_volatile] = ACTIONS(5170),
    [anon_sym_restrict] = ACTIONS(5170),
    [anon_sym___restrict__] = ACTIONS(5170),
    [anon_sym__Atomic] = ACTIONS(5170),
    [anon_sym__Noreturn] = ACTIONS(5170),
    [anon_sym_noreturn] = ACTIONS(5170),
    [anon_sym_mutable] = ACTIONS(5170),
    [anon_sym_constinit] = ACTIONS(5170),
    [anon_sym_consteval] = ACTIONS(5170),
    [anon_sym_alignas] = ACTIONS(5170),
    [anon_sym__Alignas] = ACTIONS(5170),
    [sym_primitive_type] = ACTIONS(5170),
    [anon_sym_COLON] = ACTIONS(5172),
    [anon_sym_QMARK] = ACTIONS(5172),
    [anon_sym_LT_EQ_GT] = ACTIONS(5172),
    [anon_sym_or] = ACTIONS(5170),
    [anon_sym_and] = ACTIONS(5170),
    [anon_sym_bitor] = ACTIONS(5170),
    [anon_sym_xor] = ACTIONS(5170),
    [anon_sym_bitand] = ACTIONS(5170),
    [anon_sym_not_eq] = ACTIONS(5170),
    [anon_sym_DASH_DASH] = ACTIONS(5172),
    [anon_sym_PLUS_PLUS] = ACTIONS(5172),
    [anon_sym_DOT] = ACTIONS(5170),
    [anon_sym_DOT_STAR] = ACTIONS(5172),
    [anon_sym_DASH_GT] = ACTIONS(5172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5170),
    [anon_sym_decltype] = ACTIONS(5170),
    [anon_sym_final] = ACTIONS(5170),
    [anon_sym_override] = ACTIONS(5170),
    [anon_sym_requires] = ACTIONS(5170),
  },
  [1733] = {
    [sym_identifier] = ACTIONS(5174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5176),
    [anon_sym_COMMA] = ACTIONS(5176),
    [anon_sym_RPAREN] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_STAR] = ACTIONS(5176),
    [anon_sym_SLASH] = ACTIONS(5174),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [anon_sym_PIPE_PIPE] = ACTIONS(5176),
    [anon_sym_AMP_AMP] = ACTIONS(5176),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_CARET] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5174),
    [anon_sym_EQ_EQ] = ACTIONS(5176),
    [anon_sym_BANG_EQ] = ACTIONS(5176),
    [anon_sym_GT] = ACTIONS(5174),
    [anon_sym_GT_EQ] = ACTIONS(5176),
    [anon_sym_LT_EQ] = ACTIONS(5174),
    [anon_sym_LT] = ACTIONS(5174),
    [anon_sym_LT_LT] = ACTIONS(5176),
    [anon_sym_GT_GT] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5176),
    [anon_sym___extension__] = ACTIONS(5174),
    [anon_sym___attribute__] = ACTIONS(5174),
    [anon_sym___based] = ACTIONS(5174),
    [anon_sym_LBRACE] = ACTIONS(5176),
    [anon_sym_RBRACE] = ACTIONS(5176),
    [anon_sym_signed] = ACTIONS(5174),
    [anon_sym_unsigned] = ACTIONS(5174),
    [anon_sym_long] = ACTIONS(5174),
    [anon_sym_short] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5176),
    [anon_sym_RBRACK] = ACTIONS(5176),
    [anon_sym_const] = ACTIONS(5174),
    [anon_sym_constexpr] = ACTIONS(5174),
    [anon_sym_volatile] = ACTIONS(5174),
    [anon_sym_restrict] = ACTIONS(5174),
    [anon_sym___restrict__] = ACTIONS(5174),
    [anon_sym__Atomic] = ACTIONS(5174),
    [anon_sym__Noreturn] = ACTIONS(5174),
    [anon_sym_noreturn] = ACTIONS(5174),
    [anon_sym_mutable] = ACTIONS(5174),
    [anon_sym_constinit] = ACTIONS(5174),
    [anon_sym_consteval] = ACTIONS(5174),
    [anon_sym_alignas] = ACTIONS(5174),
    [anon_sym__Alignas] = ACTIONS(5174),
    [sym_primitive_type] = ACTIONS(5174),
    [anon_sym_COLON] = ACTIONS(5176),
    [anon_sym_QMARK] = ACTIONS(5176),
    [anon_sym_LT_EQ_GT] = ACTIONS(5176),
    [anon_sym_or] = ACTIONS(5174),
    [anon_sym_and] = ACTIONS(5174),
    [anon_sym_bitor] = ACTIONS(5174),
    [anon_sym_xor] = ACTIONS(5174),
    [anon_sym_bitand] = ACTIONS(5174),
    [anon_sym_not_eq] = ACTIONS(5174),
    [anon_sym_DASH_DASH] = ACTIONS(5176),
    [anon_sym_PLUS_PLUS] = ACTIONS(5176),
    [anon_sym_DOT] = ACTIONS(5174),
    [anon_sym_DOT_STAR] = ACTIONS(5176),
    [anon_sym_DASH_GT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5174),
    [anon_sym_decltype] = ACTIONS(5174),
    [anon_sym_final] = ACTIONS(5174),
    [anon_sym_override] = ACTIONS(5174),
    [anon_sym_requires] = ACTIONS(5174),
  },
  [1734] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [aux_sym_preproc_else_token1] = ACTIONS(2808),
    [aux_sym_preproc_elif_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_friend] = ACTIONS(2808),
    [anon_sym_public] = ACTIONS(2808),
    [anon_sym_private] = ACTIONS(2808),
    [anon_sym_protected] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
  },
  [1735] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [aux_sym_preproc_else_token1] = ACTIONS(2812),
    [aux_sym_preproc_elif_token1] = ACTIONS(2812),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_friend] = ACTIONS(2812),
    [anon_sym_public] = ACTIONS(2812),
    [anon_sym_private] = ACTIONS(2812),
    [anon_sym_protected] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
  },
  [1736] = {
    [sym_identifier] = ACTIONS(5178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5180),
    [anon_sym_COMMA] = ACTIONS(5180),
    [anon_sym_RPAREN] = ACTIONS(5180),
    [anon_sym_LPAREN2] = ACTIONS(5180),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_STAR] = ACTIONS(5180),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5180),
    [anon_sym_PIPE_PIPE] = ACTIONS(5180),
    [anon_sym_AMP_AMP] = ACTIONS(5180),
    [anon_sym_PIPE] = ACTIONS(5178),
    [anon_sym_CARET] = ACTIONS(5180),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_EQ_EQ] = ACTIONS(5180),
    [anon_sym_BANG_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5178),
    [anon_sym_GT_EQ] = ACTIONS(5180),
    [anon_sym_LT_EQ] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5178),
    [anon_sym_LT_LT] = ACTIONS(5180),
    [anon_sym_GT_GT] = ACTIONS(5180),
    [anon_sym_SEMI] = ACTIONS(5180),
    [anon_sym___extension__] = ACTIONS(5178),
    [anon_sym___attribute__] = ACTIONS(5178),
    [anon_sym___based] = ACTIONS(5178),
    [anon_sym_LBRACE] = ACTIONS(5180),
    [anon_sym_RBRACE] = ACTIONS(5180),
    [anon_sym_signed] = ACTIONS(5178),
    [anon_sym_unsigned] = ACTIONS(5178),
    [anon_sym_long] = ACTIONS(5178),
    [anon_sym_short] = ACTIONS(5178),
    [anon_sym_LBRACK] = ACTIONS(5180),
    [anon_sym_RBRACK] = ACTIONS(5180),
    [anon_sym_const] = ACTIONS(5178),
    [anon_sym_constexpr] = ACTIONS(5178),
    [anon_sym_volatile] = ACTIONS(5178),
    [anon_sym_restrict] = ACTIONS(5178),
    [anon_sym___restrict__] = ACTIONS(5178),
    [anon_sym__Atomic] = ACTIONS(5178),
    [anon_sym__Noreturn] = ACTIONS(5178),
    [anon_sym_noreturn] = ACTIONS(5178),
    [anon_sym_mutable] = ACTIONS(5178),
    [anon_sym_constinit] = ACTIONS(5178),
    [anon_sym_consteval] = ACTIONS(5178),
    [anon_sym_alignas] = ACTIONS(5178),
    [anon_sym__Alignas] = ACTIONS(5178),
    [sym_primitive_type] = ACTIONS(5178),
    [anon_sym_COLON] = ACTIONS(5180),
    [anon_sym_QMARK] = ACTIONS(5180),
    [anon_sym_LT_EQ_GT] = ACTIONS(5180),
    [anon_sym_or] = ACTIONS(5178),
    [anon_sym_and] = ACTIONS(5178),
    [anon_sym_bitor] = ACTIONS(5178),
    [anon_sym_xor] = ACTIONS(5178),
    [anon_sym_bitand] = ACTIONS(5178),
    [anon_sym_not_eq] = ACTIONS(5178),
    [anon_sym_DASH_DASH] = ACTIONS(5180),
    [anon_sym_PLUS_PLUS] = ACTIONS(5180),
    [anon_sym_DOT] = ACTIONS(5178),
    [anon_sym_DOT_STAR] = ACTIONS(5180),
    [anon_sym_DASH_GT] = ACTIONS(5180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5178),
    [anon_sym_decltype] = ACTIONS(5178),
    [anon_sym_final] = ACTIONS(5178),
    [anon_sym_override] = ACTIONS(5178),
    [anon_sym_requires] = ACTIONS(5178),
  },
  [1737] = {
    [sym_argument_list] = STATE(2296),
    [sym_initializer_list] = STATE(2296),
    [sym_decltype_auto] = STATE(2097),
    [sym_new_declarator] = STATE(2009),
    [sym_identifier] = ACTIONS(5182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5184),
    [anon_sym_COMMA] = ACTIONS(5184),
    [anon_sym_RPAREN] = ACTIONS(5184),
    [aux_sym_preproc_if_token2] = ACTIONS(5184),
    [aux_sym_preproc_else_token1] = ACTIONS(5184),
    [aux_sym_preproc_elif_token1] = ACTIONS(5182),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5184),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5184),
    [anon_sym_LPAREN2] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5182),
    [anon_sym_PLUS] = ACTIONS(5182),
    [anon_sym_STAR] = ACTIONS(5182),
    [anon_sym_SLASH] = ACTIONS(5182),
    [anon_sym_PERCENT] = ACTIONS(5182),
    [anon_sym_PIPE_PIPE] = ACTIONS(5184),
    [anon_sym_AMP_AMP] = ACTIONS(5184),
    [anon_sym_PIPE] = ACTIONS(5182),
    [anon_sym_CARET] = ACTIONS(5182),
    [anon_sym_AMP] = ACTIONS(5182),
    [anon_sym_EQ_EQ] = ACTIONS(5184),
    [anon_sym_BANG_EQ] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5182),
    [anon_sym_GT_EQ] = ACTIONS(5184),
    [anon_sym_LT_EQ] = ACTIONS(5182),
    [anon_sym_LT] = ACTIONS(5182),
    [anon_sym_LT_LT] = ACTIONS(5182),
    [anon_sym_GT_GT] = ACTIONS(5182),
    [anon_sym_SEMI] = ACTIONS(5184),
    [anon_sym___attribute__] = ACTIONS(5182),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5184),
    [anon_sym_LBRACK] = ACTIONS(5136),
    [anon_sym_RBRACK] = ACTIONS(5184),
    [anon_sym_EQ] = ACTIONS(5182),
    [anon_sym_COLON] = ACTIONS(5184),
    [anon_sym_QMARK] = ACTIONS(5184),
    [anon_sym_STAR_EQ] = ACTIONS(5184),
    [anon_sym_SLASH_EQ] = ACTIONS(5184),
    [anon_sym_PERCENT_EQ] = ACTIONS(5184),
    [anon_sym_PLUS_EQ] = ACTIONS(5184),
    [anon_sym_DASH_EQ] = ACTIONS(5184),
    [anon_sym_LT_LT_EQ] = ACTIONS(5184),
    [anon_sym_GT_GT_EQ] = ACTIONS(5184),
    [anon_sym_AMP_EQ] = ACTIONS(5184),
    [anon_sym_CARET_EQ] = ACTIONS(5184),
    [anon_sym_PIPE_EQ] = ACTIONS(5184),
    [anon_sym_and_eq] = ACTIONS(5182),
    [anon_sym_or_eq] = ACTIONS(5182),
    [anon_sym_xor_eq] = ACTIONS(5182),
    [anon_sym_LT_EQ_GT] = ACTIONS(5184),
    [anon_sym_or] = ACTIONS(5182),
    [anon_sym_and] = ACTIONS(5182),
    [anon_sym_bitor] = ACTIONS(5182),
    [anon_sym_xor] = ACTIONS(5182),
    [anon_sym_bitand] = ACTIONS(5182),
    [anon_sym_not_eq] = ACTIONS(5182),
    [anon_sym_DASH_DASH] = ACTIONS(5184),
    [anon_sym_PLUS_PLUS] = ACTIONS(5184),
    [anon_sym_DOT] = ACTIONS(5182),
    [anon_sym_DOT_STAR] = ACTIONS(5184),
    [anon_sym_DASH_GT] = ACTIONS(5184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5138),
    [anon_sym_decltype] = ACTIONS(5140),
  },
  [1738] = {
    [sym_identifier] = ACTIONS(5186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5188),
    [anon_sym_COMMA] = ACTIONS(5188),
    [anon_sym_RPAREN] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_DASH] = ACTIONS(5186),
    [anon_sym_PLUS] = ACTIONS(5186),
    [anon_sym_STAR] = ACTIONS(5188),
    [anon_sym_SLASH] = ACTIONS(5186),
    [anon_sym_PERCENT] = ACTIONS(5188),
    [anon_sym_PIPE_PIPE] = ACTIONS(5188),
    [anon_sym_AMP_AMP] = ACTIONS(5188),
    [anon_sym_PIPE] = ACTIONS(5186),
    [anon_sym_CARET] = ACTIONS(5188),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_EQ_EQ] = ACTIONS(5188),
    [anon_sym_BANG_EQ] = ACTIONS(5188),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_GT_EQ] = ACTIONS(5188),
    [anon_sym_LT_EQ] = ACTIONS(5186),
    [anon_sym_LT] = ACTIONS(5186),
    [anon_sym_LT_LT] = ACTIONS(5188),
    [anon_sym_GT_GT] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(5188),
    [anon_sym___extension__] = ACTIONS(5186),
    [anon_sym___attribute__] = ACTIONS(5186),
    [anon_sym___based] = ACTIONS(5186),
    [anon_sym_LBRACE] = ACTIONS(5188),
    [anon_sym_RBRACE] = ACTIONS(5188),
    [anon_sym_signed] = ACTIONS(5186),
    [anon_sym_unsigned] = ACTIONS(5186),
    [anon_sym_long] = ACTIONS(5186),
    [anon_sym_short] = ACTIONS(5186),
    [anon_sym_LBRACK] = ACTIONS(5188),
    [anon_sym_RBRACK] = ACTIONS(5188),
    [anon_sym_const] = ACTIONS(5186),
    [anon_sym_constexpr] = ACTIONS(5186),
    [anon_sym_volatile] = ACTIONS(5186),
    [anon_sym_restrict] = ACTIONS(5186),
    [anon_sym___restrict__] = ACTIONS(5186),
    [anon_sym__Atomic] = ACTIONS(5186),
    [anon_sym__Noreturn] = ACTIONS(5186),
    [anon_sym_noreturn] = ACTIONS(5186),
    [anon_sym_mutable] = ACTIONS(5186),
    [anon_sym_constinit] = ACTIONS(5186),
    [anon_sym_consteval] = ACTIONS(5186),
    [anon_sym_alignas] = ACTIONS(5186),
    [anon_sym__Alignas] = ACTIONS(5186),
    [sym_primitive_type] = ACTIONS(5186),
    [anon_sym_COLON] = ACTIONS(5188),
    [anon_sym_QMARK] = ACTIONS(5188),
    [anon_sym_LT_EQ_GT] = ACTIONS(5188),
    [anon_sym_or] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(5186),
    [anon_sym_bitor] = ACTIONS(5186),
    [anon_sym_xor] = ACTIONS(5186),
    [anon_sym_bitand] = ACTIONS(5186),
    [anon_sym_not_eq] = ACTIONS(5186),
    [anon_sym_DASH_DASH] = ACTIONS(5188),
    [anon_sym_PLUS_PLUS] = ACTIONS(5188),
    [anon_sym_DOT] = ACTIONS(5186),
    [anon_sym_DOT_STAR] = ACTIONS(5188),
    [anon_sym_DASH_GT] = ACTIONS(5188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5186),
    [anon_sym_decltype] = ACTIONS(5186),
    [anon_sym_final] = ACTIONS(5186),
    [anon_sym_override] = ACTIONS(5186),
    [anon_sym_requires] = ACTIONS(5186),
  },
  [1739] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [aux_sym_preproc_else_token1] = ACTIONS(2816),
    [aux_sym_preproc_elif_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_friend] = ACTIONS(2816),
    [anon_sym_public] = ACTIONS(2816),
    [anon_sym_private] = ACTIONS(2816),
    [anon_sym_protected] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
  },
  [1740] = {
    [sym_identifier] = ACTIONS(2708),
    [aux_sym_preproc_def_token1] = ACTIONS(2708),
    [aux_sym_preproc_if_token1] = ACTIONS(2708),
    [aux_sym_preproc_if_token2] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2708),
    [aux_sym_preproc_else_token1] = ACTIONS(2708),
    [aux_sym_preproc_elif_token1] = ACTIONS(2708),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2708),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2708),
    [sym_preproc_directive] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_TILDE] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_AMP_AMP] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2708),
    [anon_sym_typedef] = ACTIONS(2708),
    [anon_sym_extern] = ACTIONS(2708),
    [anon_sym___attribute__] = ACTIONS(2708),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2710),
    [anon_sym___declspec] = ACTIONS(2708),
    [anon_sym___based] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2708),
    [anon_sym_unsigned] = ACTIONS(2708),
    [anon_sym_long] = ACTIONS(2708),
    [anon_sym_short] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_register] = ACTIONS(2708),
    [anon_sym_inline] = ACTIONS(2708),
    [anon_sym___inline] = ACTIONS(2708),
    [anon_sym___inline__] = ACTIONS(2708),
    [anon_sym___forceinline] = ACTIONS(2708),
    [anon_sym_thread_local] = ACTIONS(2708),
    [anon_sym___thread] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2708),
    [anon_sym_constexpr] = ACTIONS(2708),
    [anon_sym_volatile] = ACTIONS(2708),
    [anon_sym_restrict] = ACTIONS(2708),
    [anon_sym___restrict__] = ACTIONS(2708),
    [anon_sym__Atomic] = ACTIONS(2708),
    [anon_sym__Noreturn] = ACTIONS(2708),
    [anon_sym_noreturn] = ACTIONS(2708),
    [anon_sym_mutable] = ACTIONS(2708),
    [anon_sym_constinit] = ACTIONS(2708),
    [anon_sym_consteval] = ACTIONS(2708),
    [anon_sym_alignas] = ACTIONS(2708),
    [anon_sym__Alignas] = ACTIONS(2708),
    [sym_primitive_type] = ACTIONS(2708),
    [anon_sym_enum] = ACTIONS(2708),
    [anon_sym_class] = ACTIONS(2708),
    [anon_sym_struct] = ACTIONS(2708),
    [anon_sym_union] = ACTIONS(2708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2708),
    [anon_sym_decltype] = ACTIONS(2708),
    [sym_virtual] = ACTIONS(2708),
    [anon_sym_explicit] = ACTIONS(2708),
    [anon_sym_typename] = ACTIONS(2708),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(2708),
    [anon_sym_friend] = ACTIONS(2708),
    [anon_sym_public] = ACTIONS(2708),
    [anon_sym_private] = ACTIONS(2708),
    [anon_sym_protected] = ACTIONS(2708),
    [anon_sym_using] = ACTIONS(2708),
    [anon_sym_static_assert] = ACTIONS(2708),
  },
  [1741] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [aux_sym_preproc_else_token1] = ACTIONS(2991),
    [aux_sym_preproc_elif_token1] = ACTIONS(2991),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_friend] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_protected] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
  },
  [1742] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [sym_virtual] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_friend] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
  },
  [1743] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [aux_sym_preproc_else_token1] = ACTIONS(3013),
    [aux_sym_preproc_elif_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [sym_virtual] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_friend] = ACTIONS(3013),
    [anon_sym_public] = ACTIONS(3013),
    [anon_sym_private] = ACTIONS(3013),
    [anon_sym_protected] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
  },
  [1744] = {
    [sym_identifier] = ACTIONS(2660),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token2] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2660),
    [aux_sym_preproc_else_token1] = ACTIONS(2660),
    [aux_sym_preproc_elif_token1] = ACTIONS(2660),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2660),
    [sym_preproc_directive] = ACTIONS(2660),
    [anon_sym_LPAREN2] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2660),
    [anon_sym_typedef] = ACTIONS(2660),
    [anon_sym_extern] = ACTIONS(2660),
    [anon_sym___attribute__] = ACTIONS(2660),
    [anon_sym_COLON_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2660),
    [anon_sym___based] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2660),
    [anon_sym_unsigned] = ACTIONS(2660),
    [anon_sym_long] = ACTIONS(2660),
    [anon_sym_short] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_register] = ACTIONS(2660),
    [anon_sym_inline] = ACTIONS(2660),
    [anon_sym___inline] = ACTIONS(2660),
    [anon_sym___inline__] = ACTIONS(2660),
    [anon_sym___forceinline] = ACTIONS(2660),
    [anon_sym_thread_local] = ACTIONS(2660),
    [anon_sym___thread] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_constexpr] = ACTIONS(2660),
    [anon_sym_volatile] = ACTIONS(2660),
    [anon_sym_restrict] = ACTIONS(2660),
    [anon_sym___restrict__] = ACTIONS(2660),
    [anon_sym__Atomic] = ACTIONS(2660),
    [anon_sym__Noreturn] = ACTIONS(2660),
    [anon_sym_noreturn] = ACTIONS(2660),
    [anon_sym_mutable] = ACTIONS(2660),
    [anon_sym_constinit] = ACTIONS(2660),
    [anon_sym_consteval] = ACTIONS(2660),
    [anon_sym_alignas] = ACTIONS(2660),
    [anon_sym__Alignas] = ACTIONS(2660),
    [sym_primitive_type] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_struct] = ACTIONS(2660),
    [anon_sym_union] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2660),
    [anon_sym_decltype] = ACTIONS(2660),
    [sym_virtual] = ACTIONS(2660),
    [anon_sym_explicit] = ACTIONS(2660),
    [anon_sym_typename] = ACTIONS(2660),
    [anon_sym_template] = ACTIONS(2660),
    [anon_sym_operator] = ACTIONS(2660),
    [anon_sym_friend] = ACTIONS(2660),
    [anon_sym_public] = ACTIONS(2660),
    [anon_sym_private] = ACTIONS(2660),
    [anon_sym_protected] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_static_assert] = ACTIONS(2660),
  },
  [1745] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token2] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [aux_sym_preproc_else_token1] = ACTIONS(2688),
    [aux_sym_preproc_elif_token1] = ACTIONS(2688),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym__Alignas] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [sym_virtual] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_friend] = ACTIONS(2688),
    [anon_sym_public] = ACTIONS(2688),
    [anon_sym_private] = ACTIONS(2688),
    [anon_sym_protected] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
  },
  [1746] = {
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token2] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [aux_sym_preproc_else_token1] = ACTIONS(2644),
    [aux_sym_preproc_elif_token1] = ACTIONS(2644),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_friend] = ACTIONS(2644),
    [anon_sym_public] = ACTIONS(2644),
    [anon_sym_private] = ACTIONS(2644),
    [anon_sym_protected] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
  },
  [1747] = {
    [sym_identifier] = ACTIONS(2771),
    [aux_sym_preproc_def_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token2] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2771),
    [aux_sym_preproc_else_token1] = ACTIONS(2771),
    [aux_sym_preproc_elif_token1] = ACTIONS(2771),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2771),
    [sym_preproc_directive] = ACTIONS(2771),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2771),
    [anon_sym_typedef] = ACTIONS(2771),
    [anon_sym_extern] = ACTIONS(2771),
    [anon_sym___attribute__] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2773),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2773),
    [anon_sym___declspec] = ACTIONS(2771),
    [anon_sym___based] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2771),
    [anon_sym_unsigned] = ACTIONS(2771),
    [anon_sym_long] = ACTIONS(2771),
    [anon_sym_short] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2771),
    [anon_sym_register] = ACTIONS(2771),
    [anon_sym_inline] = ACTIONS(2771),
    [anon_sym___inline] = ACTIONS(2771),
    [anon_sym___inline__] = ACTIONS(2771),
    [anon_sym___forceinline] = ACTIONS(2771),
    [anon_sym_thread_local] = ACTIONS(2771),
    [anon_sym___thread] = ACTIONS(2771),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_constexpr] = ACTIONS(2771),
    [anon_sym_volatile] = ACTIONS(2771),
    [anon_sym_restrict] = ACTIONS(2771),
    [anon_sym___restrict__] = ACTIONS(2771),
    [anon_sym__Atomic] = ACTIONS(2771),
    [anon_sym__Noreturn] = ACTIONS(2771),
    [anon_sym_noreturn] = ACTIONS(2771),
    [anon_sym_mutable] = ACTIONS(2771),
    [anon_sym_constinit] = ACTIONS(2771),
    [anon_sym_consteval] = ACTIONS(2771),
    [anon_sym_alignas] = ACTIONS(2771),
    [anon_sym__Alignas] = ACTIONS(2771),
    [sym_primitive_type] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2771),
    [anon_sym_struct] = ACTIONS(2771),
    [anon_sym_union] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2771),
    [anon_sym_decltype] = ACTIONS(2771),
    [sym_virtual] = ACTIONS(2771),
    [anon_sym_explicit] = ACTIONS(2771),
    [anon_sym_typename] = ACTIONS(2771),
    [anon_sym_template] = ACTIONS(2771),
    [anon_sym_operator] = ACTIONS(2771),
    [anon_sym_friend] = ACTIONS(2771),
    [anon_sym_public] = ACTIONS(2771),
    [anon_sym_private] = ACTIONS(2771),
    [anon_sym_protected] = ACTIONS(2771),
    [anon_sym_using] = ACTIONS(2771),
    [anon_sym_static_assert] = ACTIONS(2771),
  },
  [1748] = {
    [sym_argument_list] = STATE(2312),
    [sym_initializer_list] = STATE(2312),
    [sym_decltype_auto] = STATE(2097),
    [sym_new_declarator] = STATE(2038),
    [sym_identifier] = ACTIONS(5190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5192),
    [anon_sym_COMMA] = ACTIONS(5192),
    [anon_sym_RPAREN] = ACTIONS(5192),
    [aux_sym_preproc_if_token2] = ACTIONS(5192),
    [aux_sym_preproc_else_token1] = ACTIONS(5192),
    [aux_sym_preproc_elif_token1] = ACTIONS(5190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5192),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5192),
    [anon_sym_LPAREN2] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(5190),
    [anon_sym_STAR] = ACTIONS(5190),
    [anon_sym_SLASH] = ACTIONS(5190),
    [anon_sym_PERCENT] = ACTIONS(5190),
    [anon_sym_PIPE_PIPE] = ACTIONS(5192),
    [anon_sym_AMP_AMP] = ACTIONS(5192),
    [anon_sym_PIPE] = ACTIONS(5190),
    [anon_sym_CARET] = ACTIONS(5190),
    [anon_sym_AMP] = ACTIONS(5190),
    [anon_sym_EQ_EQ] = ACTIONS(5192),
    [anon_sym_BANG_EQ] = ACTIONS(5192),
    [anon_sym_GT] = ACTIONS(5190),
    [anon_sym_GT_EQ] = ACTIONS(5192),
    [anon_sym_LT_EQ] = ACTIONS(5190),
    [anon_sym_LT] = ACTIONS(5190),
    [anon_sym_LT_LT] = ACTIONS(5190),
    [anon_sym_GT_GT] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(5192),
    [anon_sym___attribute__] = ACTIONS(5190),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5192),
    [anon_sym_LBRACK] = ACTIONS(5136),
    [anon_sym_RBRACK] = ACTIONS(5192),
    [anon_sym_EQ] = ACTIONS(5190),
    [anon_sym_COLON] = ACTIONS(5192),
    [anon_sym_QMARK] = ACTIONS(5192),
    [anon_sym_STAR_EQ] = ACTIONS(5192),
    [anon_sym_SLASH_EQ] = ACTIONS(5192),
    [anon_sym_PERCENT_EQ] = ACTIONS(5192),
    [anon_sym_PLUS_EQ] = ACTIONS(5192),
    [anon_sym_DASH_EQ] = ACTIONS(5192),
    [anon_sym_LT_LT_EQ] = ACTIONS(5192),
    [anon_sym_GT_GT_EQ] = ACTIONS(5192),
    [anon_sym_AMP_EQ] = ACTIONS(5192),
    [anon_sym_CARET_EQ] = ACTIONS(5192),
    [anon_sym_PIPE_EQ] = ACTIONS(5192),
    [anon_sym_and_eq] = ACTIONS(5190),
    [anon_sym_or_eq] = ACTIONS(5190),
    [anon_sym_xor_eq] = ACTIONS(5190),
    [anon_sym_LT_EQ_GT] = ACTIONS(5192),
    [anon_sym_or] = ACTIONS(5190),
    [anon_sym_and] = ACTIONS(5190),
    [anon_sym_bitor] = ACTIONS(5190),
    [anon_sym_xor] = ACTIONS(5190),
    [anon_sym_bitand] = ACTIONS(5190),
    [anon_sym_not_eq] = ACTIONS(5190),
    [anon_sym_DASH_DASH] = ACTIONS(5192),
    [anon_sym_PLUS_PLUS] = ACTIONS(5192),
    [anon_sym_DOT] = ACTIONS(5190),
    [anon_sym_DOT_STAR] = ACTIONS(5192),
    [anon_sym_DASH_GT] = ACTIONS(5192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5138),
    [anon_sym_decltype] = ACTIONS(5140),
  },
  [1749] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [aux_sym_preproc_else_token1] = ACTIONS(2696),
    [aux_sym_preproc_elif_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [sym_virtual] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_friend] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
  },
  [1750] = {
    [sym_identifier] = ACTIONS(2728),
    [aux_sym_preproc_def_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token2] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [aux_sym_preproc_else_token1] = ACTIONS(2728),
    [aux_sym_preproc_elif_token1] = ACTIONS(2728),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2728),
    [anon_sym_typedef] = ACTIONS(2728),
    [anon_sym_extern] = ACTIONS(2728),
    [anon_sym___attribute__] = ACTIONS(2728),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2730),
    [anon_sym___declspec] = ACTIONS(2728),
    [anon_sym___based] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2728),
    [anon_sym_unsigned] = ACTIONS(2728),
    [anon_sym_long] = ACTIONS(2728),
    [anon_sym_short] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_register] = ACTIONS(2728),
    [anon_sym_inline] = ACTIONS(2728),
    [anon_sym___inline] = ACTIONS(2728),
    [anon_sym___inline__] = ACTIONS(2728),
    [anon_sym___forceinline] = ACTIONS(2728),
    [anon_sym_thread_local] = ACTIONS(2728),
    [anon_sym___thread] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_constexpr] = ACTIONS(2728),
    [anon_sym_volatile] = ACTIONS(2728),
    [anon_sym_restrict] = ACTIONS(2728),
    [anon_sym___restrict__] = ACTIONS(2728),
    [anon_sym__Atomic] = ACTIONS(2728),
    [anon_sym__Noreturn] = ACTIONS(2728),
    [anon_sym_noreturn] = ACTIONS(2728),
    [anon_sym_mutable] = ACTIONS(2728),
    [anon_sym_constinit] = ACTIONS(2728),
    [anon_sym_consteval] = ACTIONS(2728),
    [anon_sym_alignas] = ACTIONS(2728),
    [anon_sym__Alignas] = ACTIONS(2728),
    [sym_primitive_type] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_struct] = ACTIONS(2728),
    [anon_sym_union] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2728),
    [anon_sym_decltype] = ACTIONS(2728),
    [sym_virtual] = ACTIONS(2728),
    [anon_sym_explicit] = ACTIONS(2728),
    [anon_sym_typename] = ACTIONS(2728),
    [anon_sym_template] = ACTIONS(2728),
    [anon_sym_operator] = ACTIONS(2728),
    [anon_sym_friend] = ACTIONS(2728),
    [anon_sym_public] = ACTIONS(2728),
    [anon_sym_private] = ACTIONS(2728),
    [anon_sym_protected] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_static_assert] = ACTIONS(2728),
  },
  [1751] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token2] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [aux_sym_preproc_else_token1] = ACTIONS(2775),
    [aux_sym_preproc_elif_token1] = ACTIONS(2775),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_friend] = ACTIONS(2775),
    [anon_sym_public] = ACTIONS(2775),
    [anon_sym_private] = ACTIONS(2775),
    [anon_sym_protected] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
  },
  [1752] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token2] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [aux_sym_preproc_else_token1] = ACTIONS(2775),
    [aux_sym_preproc_elif_token1] = ACTIONS(2775),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_friend] = ACTIONS(2775),
    [anon_sym_public] = ACTIONS(2775),
    [anon_sym_private] = ACTIONS(2775),
    [anon_sym_protected] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
  },
  [1753] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [aux_sym_preproc_else_token1] = ACTIONS(2793),
    [aux_sym_preproc_elif_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [sym_virtual] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_friend] = ACTIONS(2793),
    [anon_sym_public] = ACTIONS(2793),
    [anon_sym_private] = ACTIONS(2793),
    [anon_sym_protected] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
  },
  [1754] = {
    [sym_argument_list] = STATE(2359),
    [sym_initializer_list] = STATE(2359),
    [sym_decltype_auto] = STATE(2097),
    [sym_new_declarator] = STATE(2057),
    [sym_identifier] = ACTIONS(5194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5196),
    [anon_sym_COMMA] = ACTIONS(5196),
    [anon_sym_RPAREN] = ACTIONS(5196),
    [aux_sym_preproc_if_token2] = ACTIONS(5196),
    [aux_sym_preproc_else_token1] = ACTIONS(5196),
    [aux_sym_preproc_elif_token1] = ACTIONS(5194),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5196),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5196),
    [anon_sym_LPAREN2] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5194),
    [anon_sym_STAR] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5194),
    [anon_sym_PERCENT] = ACTIONS(5194),
    [anon_sym_PIPE_PIPE] = ACTIONS(5196),
    [anon_sym_AMP_AMP] = ACTIONS(5196),
    [anon_sym_PIPE] = ACTIONS(5194),
    [anon_sym_CARET] = ACTIONS(5194),
    [anon_sym_AMP] = ACTIONS(5194),
    [anon_sym_EQ_EQ] = ACTIONS(5196),
    [anon_sym_BANG_EQ] = ACTIONS(5196),
    [anon_sym_GT] = ACTIONS(5194),
    [anon_sym_GT_EQ] = ACTIONS(5196),
    [anon_sym_LT_EQ] = ACTIONS(5194),
    [anon_sym_LT] = ACTIONS(5194),
    [anon_sym_LT_LT] = ACTIONS(5194),
    [anon_sym_GT_GT] = ACTIONS(5194),
    [anon_sym_SEMI] = ACTIONS(5196),
    [anon_sym___attribute__] = ACTIONS(5194),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5196),
    [anon_sym_LBRACK] = ACTIONS(5136),
    [anon_sym_RBRACK] = ACTIONS(5196),
    [anon_sym_EQ] = ACTIONS(5194),
    [anon_sym_COLON] = ACTIONS(5196),
    [anon_sym_QMARK] = ACTIONS(5196),
    [anon_sym_STAR_EQ] = ACTIONS(5196),
    [anon_sym_SLASH_EQ] = ACTIONS(5196),
    [anon_sym_PERCENT_EQ] = ACTIONS(5196),
    [anon_sym_PLUS_EQ] = ACTIONS(5196),
    [anon_sym_DASH_EQ] = ACTIONS(5196),
    [anon_sym_LT_LT_EQ] = ACTIONS(5196),
    [anon_sym_GT_GT_EQ] = ACTIONS(5196),
    [anon_sym_AMP_EQ] = ACTIONS(5196),
    [anon_sym_CARET_EQ] = ACTIONS(5196),
    [anon_sym_PIPE_EQ] = ACTIONS(5196),
    [anon_sym_and_eq] = ACTIONS(5194),
    [anon_sym_or_eq] = ACTIONS(5194),
    [anon_sym_xor_eq] = ACTIONS(5194),
    [anon_sym_LT_EQ_GT] = ACTIONS(5196),
    [anon_sym_or] = ACTIONS(5194),
    [anon_sym_and] = ACTIONS(5194),
    [anon_sym_bitor] = ACTIONS(5194),
    [anon_sym_xor] = ACTIONS(5194),
    [anon_sym_bitand] = ACTIONS(5194),
    [anon_sym_not_eq] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5196),
    [anon_sym_PLUS_PLUS] = ACTIONS(5196),
    [anon_sym_DOT] = ACTIONS(5194),
    [anon_sym_DOT_STAR] = ACTIONS(5196),
    [anon_sym_DASH_GT] = ACTIONS(5196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5138),
    [anon_sym_decltype] = ACTIONS(5140),
  },
  [1755] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token2] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [aux_sym_preproc_else_token1] = ACTIONS(2820),
    [aux_sym_preproc_elif_token1] = ACTIONS(2820),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [sym_virtual] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_friend] = ACTIONS(2820),
    [anon_sym_public] = ACTIONS(2820),
    [anon_sym_private] = ACTIONS(2820),
    [anon_sym_protected] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
  },
  [1756] = {
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [aux_sym_preproc_else_token1] = ACTIONS(3017),
    [aux_sym_preproc_elif_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [sym_virtual] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_friend] = ACTIONS(3017),
    [anon_sym_public] = ACTIONS(3017),
    [anon_sym_private] = ACTIONS(3017),
    [anon_sym_protected] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
  },
  [1757] = {
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [aux_sym_preproc_else_token1] = ACTIONS(2828),
    [aux_sym_preproc_elif_token1] = ACTIONS(2828),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym__Alignas] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [sym_virtual] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_friend] = ACTIONS(2828),
    [anon_sym_public] = ACTIONS(2828),
    [anon_sym_private] = ACTIONS(2828),
    [anon_sym_protected] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
  },
  [1758] = {
    [sym_identifier] = ACTIONS(2899),
    [aux_sym_preproc_def_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token2] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2899),
    [aux_sym_preproc_else_token1] = ACTIONS(2899),
    [aux_sym_preproc_elif_token1] = ACTIONS(2899),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2899),
    [sym_preproc_directive] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym___based] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym__Alignas] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [sym_virtual] = ACTIONS(2899),
    [anon_sym_explicit] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_operator] = ACTIONS(2899),
    [anon_sym_friend] = ACTIONS(2899),
    [anon_sym_public] = ACTIONS(2899),
    [anon_sym_private] = ACTIONS(2899),
    [anon_sym_protected] = ACTIONS(2899),
    [anon_sym_using] = ACTIONS(2899),
    [anon_sym_static_assert] = ACTIONS(2899),
  },
  [1759] = {
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token2] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [aux_sym_preproc_else_token1] = ACTIONS(2903),
    [aux_sym_preproc_elif_token1] = ACTIONS(2903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym__Alignas] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [sym_virtual] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_friend] = ACTIONS(2903),
    [anon_sym_public] = ACTIONS(2903),
    [anon_sym_private] = ACTIONS(2903),
    [anon_sym_protected] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
  },
  [1760] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_friend] = ACTIONS(2909),
    [anon_sym_public] = ACTIONS(2909),
    [anon_sym_private] = ACTIONS(2909),
    [anon_sym_protected] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
  },
  [1761] = {
    [sym_identifier] = ACTIONS(5198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5200),
    [anon_sym_COMMA] = ACTIONS(5200),
    [anon_sym_RPAREN] = ACTIONS(5200),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_DASH] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5198),
    [anon_sym_STAR] = ACTIONS(5200),
    [anon_sym_SLASH] = ACTIONS(5198),
    [anon_sym_PERCENT] = ACTIONS(5200),
    [anon_sym_PIPE_PIPE] = ACTIONS(5200),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_PIPE] = ACTIONS(5198),
    [anon_sym_CARET] = ACTIONS(5200),
    [anon_sym_AMP] = ACTIONS(5198),
    [anon_sym_EQ_EQ] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5200),
    [anon_sym_GT] = ACTIONS(5198),
    [anon_sym_GT_EQ] = ACTIONS(5200),
    [anon_sym_LT_EQ] = ACTIONS(5198),
    [anon_sym_LT] = ACTIONS(5198),
    [anon_sym_LT_LT] = ACTIONS(5200),
    [anon_sym_GT_GT] = ACTIONS(5200),
    [anon_sym_SEMI] = ACTIONS(5200),
    [anon_sym___extension__] = ACTIONS(5198),
    [anon_sym___attribute__] = ACTIONS(5198),
    [anon_sym___based] = ACTIONS(5198),
    [anon_sym_LBRACE] = ACTIONS(5200),
    [anon_sym_RBRACE] = ACTIONS(5200),
    [anon_sym_signed] = ACTIONS(5198),
    [anon_sym_unsigned] = ACTIONS(5198),
    [anon_sym_long] = ACTIONS(5198),
    [anon_sym_short] = ACTIONS(5198),
    [anon_sym_LBRACK] = ACTIONS(5200),
    [anon_sym_RBRACK] = ACTIONS(5200),
    [anon_sym_const] = ACTIONS(5198),
    [anon_sym_constexpr] = ACTIONS(5198),
    [anon_sym_volatile] = ACTIONS(5198),
    [anon_sym_restrict] = ACTIONS(5198),
    [anon_sym___restrict__] = ACTIONS(5198),
    [anon_sym__Atomic] = ACTIONS(5198),
    [anon_sym__Noreturn] = ACTIONS(5198),
    [anon_sym_noreturn] = ACTIONS(5198),
    [anon_sym_mutable] = ACTIONS(5198),
    [anon_sym_constinit] = ACTIONS(5198),
    [anon_sym_consteval] = ACTIONS(5198),
    [anon_sym_alignas] = ACTIONS(5198),
    [anon_sym__Alignas] = ACTIONS(5198),
    [sym_primitive_type] = ACTIONS(5198),
    [anon_sym_COLON] = ACTIONS(5200),
    [anon_sym_QMARK] = ACTIONS(5200),
    [anon_sym_LT_EQ_GT] = ACTIONS(5200),
    [anon_sym_or] = ACTIONS(5198),
    [anon_sym_and] = ACTIONS(5198),
    [anon_sym_bitor] = ACTIONS(5198),
    [anon_sym_xor] = ACTIONS(5198),
    [anon_sym_bitand] = ACTIONS(5198),
    [anon_sym_not_eq] = ACTIONS(5198),
    [anon_sym_DASH_DASH] = ACTIONS(5200),
    [anon_sym_PLUS_PLUS] = ACTIONS(5200),
    [anon_sym_DOT] = ACTIONS(5198),
    [anon_sym_DOT_STAR] = ACTIONS(5200),
    [anon_sym_DASH_GT] = ACTIONS(5200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5198),
    [anon_sym_decltype] = ACTIONS(5198),
    [anon_sym_final] = ACTIONS(5198),
    [anon_sym_override] = ACTIONS(5198),
    [anon_sym_requires] = ACTIONS(5198),
  },
  [1762] = {
    [sym_identifier] = ACTIONS(4910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4912),
    [anon_sym_COMMA] = ACTIONS(4912),
    [anon_sym_RPAREN] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(4912),
    [anon_sym_DASH] = ACTIONS(4910),
    [anon_sym_PLUS] = ACTIONS(4910),
    [anon_sym_STAR] = ACTIONS(4912),
    [anon_sym_SLASH] = ACTIONS(4910),
    [anon_sym_PERCENT] = ACTIONS(4912),
    [anon_sym_PIPE_PIPE] = ACTIONS(4912),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_PIPE] = ACTIONS(4910),
    [anon_sym_CARET] = ACTIONS(4912),
    [anon_sym_AMP] = ACTIONS(4910),
    [anon_sym_EQ_EQ] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4912),
    [anon_sym_GT] = ACTIONS(4910),
    [anon_sym_GT_EQ] = ACTIONS(4912),
    [anon_sym_LT_EQ] = ACTIONS(4910),
    [anon_sym_LT] = ACTIONS(4910),
    [anon_sym_LT_LT] = ACTIONS(4912),
    [anon_sym_GT_GT] = ACTIONS(4912),
    [anon_sym_SEMI] = ACTIONS(4912),
    [anon_sym___extension__] = ACTIONS(4910),
    [anon_sym___attribute__] = ACTIONS(4910),
    [anon_sym___based] = ACTIONS(4910),
    [anon_sym_LBRACE] = ACTIONS(4912),
    [anon_sym_RBRACE] = ACTIONS(4912),
    [anon_sym_signed] = ACTIONS(4910),
    [anon_sym_unsigned] = ACTIONS(4910),
    [anon_sym_long] = ACTIONS(4910),
    [anon_sym_short] = ACTIONS(4910),
    [anon_sym_LBRACK] = ACTIONS(4912),
    [anon_sym_RBRACK] = ACTIONS(4912),
    [anon_sym_const] = ACTIONS(4910),
    [anon_sym_constexpr] = ACTIONS(4910),
    [anon_sym_volatile] = ACTIONS(4910),
    [anon_sym_restrict] = ACTIONS(4910),
    [anon_sym___restrict__] = ACTIONS(4910),
    [anon_sym__Atomic] = ACTIONS(4910),
    [anon_sym__Noreturn] = ACTIONS(4910),
    [anon_sym_noreturn] = ACTIONS(4910),
    [anon_sym_mutable] = ACTIONS(4910),
    [anon_sym_constinit] = ACTIONS(4910),
    [anon_sym_consteval] = ACTIONS(4910),
    [anon_sym_alignas] = ACTIONS(4910),
    [anon_sym__Alignas] = ACTIONS(4910),
    [sym_primitive_type] = ACTIONS(4910),
    [anon_sym_COLON] = ACTIONS(4912),
    [anon_sym_QMARK] = ACTIONS(4912),
    [anon_sym_LT_EQ_GT] = ACTIONS(4912),
    [anon_sym_or] = ACTIONS(4910),
    [anon_sym_and] = ACTIONS(4910),
    [anon_sym_bitor] = ACTIONS(4910),
    [anon_sym_xor] = ACTIONS(4910),
    [anon_sym_bitand] = ACTIONS(4910),
    [anon_sym_not_eq] = ACTIONS(4910),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_DOT] = ACTIONS(4910),
    [anon_sym_DOT_STAR] = ACTIONS(4912),
    [anon_sym_DASH_GT] = ACTIONS(4912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4910),
    [anon_sym_decltype] = ACTIONS(4910),
    [anon_sym_final] = ACTIONS(4910),
    [anon_sym_override] = ACTIONS(4910),
    [anon_sym_requires] = ACTIONS(4910),
  },
  [1763] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [aux_sym_preproc_else_token1] = ACTIONS(2987),
    [aux_sym_preproc_elif_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_friend] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_protected] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
  },
  [1764] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1717),
    [sym_identifier] = ACTIONS(5202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5204),
    [anon_sym_COMMA] = ACTIONS(5204),
    [anon_sym_RPAREN] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_DASH] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(5206),
    [anon_sym_STAR] = ACTIONS(5204),
    [anon_sym_SLASH] = ACTIONS(5206),
    [anon_sym_PERCENT] = ACTIONS(5204),
    [anon_sym_PIPE_PIPE] = ACTIONS(5204),
    [anon_sym_AMP_AMP] = ACTIONS(5204),
    [anon_sym_PIPE] = ACTIONS(5206),
    [anon_sym_CARET] = ACTIONS(5204),
    [anon_sym_AMP] = ACTIONS(5206),
    [anon_sym_EQ_EQ] = ACTIONS(5204),
    [anon_sym_BANG_EQ] = ACTIONS(5204),
    [anon_sym_GT] = ACTIONS(5206),
    [anon_sym_GT_EQ] = ACTIONS(5204),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_LT] = ACTIONS(5206),
    [anon_sym_LT_LT] = ACTIONS(5204),
    [anon_sym_GT_GT] = ACTIONS(5204),
    [anon_sym_SEMI] = ACTIONS(5204),
    [anon_sym___extension__] = ACTIONS(5206),
    [anon_sym___attribute__] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(5204),
    [anon_sym_RBRACE] = ACTIONS(5204),
    [anon_sym_signed] = ACTIONS(5208),
    [anon_sym_unsigned] = ACTIONS(5208),
    [anon_sym_long] = ACTIONS(5208),
    [anon_sym_short] = ACTIONS(5208),
    [anon_sym_LBRACK] = ACTIONS(5204),
    [anon_sym_RBRACK] = ACTIONS(5204),
    [anon_sym_const] = ACTIONS(5206),
    [anon_sym_constexpr] = ACTIONS(5206),
    [anon_sym_volatile] = ACTIONS(5206),
    [anon_sym_restrict] = ACTIONS(5206),
    [anon_sym___restrict__] = ACTIONS(5206),
    [anon_sym__Atomic] = ACTIONS(5206),
    [anon_sym__Noreturn] = ACTIONS(5206),
    [anon_sym_noreturn] = ACTIONS(5206),
    [anon_sym_mutable] = ACTIONS(5206),
    [anon_sym_constinit] = ACTIONS(5206),
    [anon_sym_consteval] = ACTIONS(5206),
    [anon_sym_alignas] = ACTIONS(5206),
    [anon_sym__Alignas] = ACTIONS(5206),
    [sym_primitive_type] = ACTIONS(5210),
    [anon_sym_COLON] = ACTIONS(5204),
    [anon_sym_QMARK] = ACTIONS(5204),
    [anon_sym_LT_EQ_GT] = ACTIONS(5204),
    [anon_sym_or] = ACTIONS(5206),
    [anon_sym_and] = ACTIONS(5206),
    [anon_sym_bitor] = ACTIONS(5206),
    [anon_sym_xor] = ACTIONS(5206),
    [anon_sym_bitand] = ACTIONS(5206),
    [anon_sym_not_eq] = ACTIONS(5206),
    [anon_sym_DASH_DASH] = ACTIONS(5204),
    [anon_sym_PLUS_PLUS] = ACTIONS(5204),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_DOT_STAR] = ACTIONS(5204),
    [anon_sym_DASH_GT] = ACTIONS(5204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5206),
    [anon_sym_decltype] = ACTIONS(5206),
    [anon_sym_final] = ACTIONS(5206),
    [anon_sym_override] = ACTIONS(5206),
    [anon_sym_requires] = ACTIONS(5206),
  },
  [1765] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3001),
    [aux_sym_preproc_elif_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_friend] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
  },
  [1766] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_friend] = ACTIONS(3005),
    [anon_sym_public] = ACTIONS(3005),
    [anon_sym_private] = ACTIONS(3005),
    [anon_sym_protected] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
  },
  [1767] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_friend] = ACTIONS(3005),
    [anon_sym_public] = ACTIONS(3005),
    [anon_sym_private] = ACTIONS(3005),
    [anon_sym_protected] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
  },
  [1768] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [aux_sym_preproc_else_token1] = ACTIONS(2824),
    [aux_sym_preproc_elif_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_friend] = ACTIONS(2824),
    [anon_sym_public] = ACTIONS(2824),
    [anon_sym_private] = ACTIONS(2824),
    [anon_sym_protected] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
  },
  [1769] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [aux_sym_preproc_else_token1] = ACTIONS(2824),
    [aux_sym_preproc_elif_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_friend] = ACTIONS(2824),
    [anon_sym_public] = ACTIONS(2824),
    [anon_sym_private] = ACTIONS(2824),
    [anon_sym_protected] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
  },
  [1770] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token2] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [aux_sym_preproc_else_token1] = ACTIONS(2648),
    [aux_sym_preproc_elif_token1] = ACTIONS(2648),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_friend] = ACTIONS(2648),
    [anon_sym_public] = ACTIONS(2648),
    [anon_sym_private] = ACTIONS(2648),
    [anon_sym_protected] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
  },
  [1771] = {
    [sym_identifier] = ACTIONS(2652),
    [aux_sym_preproc_def_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token2] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2652),
    [aux_sym_preproc_else_token1] = ACTIONS(2652),
    [aux_sym_preproc_elif_token1] = ACTIONS(2652),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2652),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2652),
    [anon_sym_typedef] = ACTIONS(2652),
    [anon_sym_extern] = ACTIONS(2652),
    [anon_sym___attribute__] = ACTIONS(2652),
    [anon_sym_COLON_COLON] = ACTIONS(2654),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2654),
    [anon_sym___declspec] = ACTIONS(2652),
    [anon_sym___based] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2652),
    [anon_sym_unsigned] = ACTIONS(2652),
    [anon_sym_long] = ACTIONS(2652),
    [anon_sym_short] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_register] = ACTIONS(2652),
    [anon_sym_inline] = ACTIONS(2652),
    [anon_sym___inline] = ACTIONS(2652),
    [anon_sym___inline__] = ACTIONS(2652),
    [anon_sym___forceinline] = ACTIONS(2652),
    [anon_sym_thread_local] = ACTIONS(2652),
    [anon_sym___thread] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_constexpr] = ACTIONS(2652),
    [anon_sym_volatile] = ACTIONS(2652),
    [anon_sym_restrict] = ACTIONS(2652),
    [anon_sym___restrict__] = ACTIONS(2652),
    [anon_sym__Atomic] = ACTIONS(2652),
    [anon_sym__Noreturn] = ACTIONS(2652),
    [anon_sym_noreturn] = ACTIONS(2652),
    [anon_sym_mutable] = ACTIONS(2652),
    [anon_sym_constinit] = ACTIONS(2652),
    [anon_sym_consteval] = ACTIONS(2652),
    [anon_sym_alignas] = ACTIONS(2652),
    [anon_sym__Alignas] = ACTIONS(2652),
    [sym_primitive_type] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_struct] = ACTIONS(2652),
    [anon_sym_union] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2652),
    [anon_sym_decltype] = ACTIONS(2652),
    [sym_virtual] = ACTIONS(2652),
    [anon_sym_explicit] = ACTIONS(2652),
    [anon_sym_typename] = ACTIONS(2652),
    [anon_sym_template] = ACTIONS(2652),
    [anon_sym_operator] = ACTIONS(2652),
    [anon_sym_friend] = ACTIONS(2652),
    [anon_sym_public] = ACTIONS(2652),
    [anon_sym_private] = ACTIONS(2652),
    [anon_sym_protected] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_static_assert] = ACTIONS(2652),
  },
  [1772] = {
    [sym_identifier] = ACTIONS(2656),
    [aux_sym_preproc_def_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token2] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2656),
    [aux_sym_preproc_else_token1] = ACTIONS(2656),
    [aux_sym_preproc_elif_token1] = ACTIONS(2656),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2656),
    [sym_preproc_directive] = ACTIONS(2656),
    [anon_sym_LPAREN2] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_AMP_AMP] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2656),
    [anon_sym_typedef] = ACTIONS(2656),
    [anon_sym_extern] = ACTIONS(2656),
    [anon_sym___attribute__] = ACTIONS(2656),
    [anon_sym_COLON_COLON] = ACTIONS(2658),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2658),
    [anon_sym___declspec] = ACTIONS(2656),
    [anon_sym___based] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2656),
    [anon_sym_unsigned] = ACTIONS(2656),
    [anon_sym_long] = ACTIONS(2656),
    [anon_sym_short] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_register] = ACTIONS(2656),
    [anon_sym_inline] = ACTIONS(2656),
    [anon_sym___inline] = ACTIONS(2656),
    [anon_sym___inline__] = ACTIONS(2656),
    [anon_sym___forceinline] = ACTIONS(2656),
    [anon_sym_thread_local] = ACTIONS(2656),
    [anon_sym___thread] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_constexpr] = ACTIONS(2656),
    [anon_sym_volatile] = ACTIONS(2656),
    [anon_sym_restrict] = ACTIONS(2656),
    [anon_sym___restrict__] = ACTIONS(2656),
    [anon_sym__Atomic] = ACTIONS(2656),
    [anon_sym__Noreturn] = ACTIONS(2656),
    [anon_sym_noreturn] = ACTIONS(2656),
    [anon_sym_mutable] = ACTIONS(2656),
    [anon_sym_constinit] = ACTIONS(2656),
    [anon_sym_consteval] = ACTIONS(2656),
    [anon_sym_alignas] = ACTIONS(2656),
    [anon_sym__Alignas] = ACTIONS(2656),
    [sym_primitive_type] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_struct] = ACTIONS(2656),
    [anon_sym_union] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2656),
    [anon_sym_decltype] = ACTIONS(2656),
    [sym_virtual] = ACTIONS(2656),
    [anon_sym_explicit] = ACTIONS(2656),
    [anon_sym_typename] = ACTIONS(2656),
    [anon_sym_template] = ACTIONS(2656),
    [anon_sym_operator] = ACTIONS(2656),
    [anon_sym_friend] = ACTIONS(2656),
    [anon_sym_public] = ACTIONS(2656),
    [anon_sym_private] = ACTIONS(2656),
    [anon_sym_protected] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_static_assert] = ACTIONS(2656),
  },
  [1773] = {
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token2] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [aux_sym_preproc_else_token1] = ACTIONS(2664),
    [aux_sym_preproc_elif_token1] = ACTIONS(2664),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [sym_virtual] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_friend] = ACTIONS(2664),
    [anon_sym_public] = ACTIONS(2664),
    [anon_sym_private] = ACTIONS(2664),
    [anon_sym_protected] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
  },
  [1774] = {
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token2] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [aux_sym_preproc_else_token1] = ACTIONS(2668),
    [aux_sym_preproc_elif_token1] = ACTIONS(2668),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [sym_virtual] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_friend] = ACTIONS(2668),
    [anon_sym_public] = ACTIONS(2668),
    [anon_sym_private] = ACTIONS(2668),
    [anon_sym_protected] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
  },
  [1775] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token2] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [aux_sym_preproc_else_token1] = ACTIONS(2672),
    [aux_sym_preproc_elif_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_friend] = ACTIONS(2672),
    [anon_sym_public] = ACTIONS(2672),
    [anon_sym_private] = ACTIONS(2672),
    [anon_sym_protected] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
  },
  [1776] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [aux_sym_preproc_else_token1] = ACTIONS(2744),
    [aux_sym_preproc_elif_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_friend] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
  },
  [1777] = {
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token2] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [aux_sym_preproc_else_token1] = ACTIONS(2748),
    [aux_sym_preproc_elif_token1] = ACTIONS(2748),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [sym_virtual] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_friend] = ACTIONS(2748),
    [anon_sym_public] = ACTIONS(2748),
    [anon_sym_private] = ACTIONS(2748),
    [anon_sym_protected] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
  },
  [1778] = {
    [sym_identifier] = ACTIONS(5212),
    [anon_sym_LPAREN2] = ACTIONS(5214),
    [anon_sym_BANG] = ACTIONS(5214),
    [anon_sym_TILDE] = ACTIONS(5214),
    [anon_sym_DASH] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(5212),
    [anon_sym_STAR] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(5214),
    [anon_sym___extension__] = ACTIONS(5212),
    [anon_sym_COLON_COLON] = ACTIONS(5214),
    [anon_sym_LBRACK] = ACTIONS(5214),
    [anon_sym_static] = ACTIONS(5212),
    [anon_sym_RBRACK] = ACTIONS(5214),
    [anon_sym_const] = ACTIONS(5212),
    [anon_sym_constexpr] = ACTIONS(5212),
    [anon_sym_volatile] = ACTIONS(5212),
    [anon_sym_restrict] = ACTIONS(5212),
    [anon_sym___restrict__] = ACTIONS(5212),
    [anon_sym__Atomic] = ACTIONS(5212),
    [anon_sym__Noreturn] = ACTIONS(5212),
    [anon_sym_noreturn] = ACTIONS(5212),
    [anon_sym_mutable] = ACTIONS(5212),
    [anon_sym_constinit] = ACTIONS(5212),
    [anon_sym_consteval] = ACTIONS(5212),
    [anon_sym_alignas] = ACTIONS(5212),
    [anon_sym__Alignas] = ACTIONS(5212),
    [sym_primitive_type] = ACTIONS(5212),
    [anon_sym_not] = ACTIONS(5212),
    [anon_sym_compl] = ACTIONS(5212),
    [anon_sym_DASH_DASH] = ACTIONS(5214),
    [anon_sym_PLUS_PLUS] = ACTIONS(5214),
    [anon_sym_sizeof] = ACTIONS(5212),
    [anon_sym___alignof__] = ACTIONS(5212),
    [anon_sym___alignof] = ACTIONS(5212),
    [anon_sym__alignof] = ACTIONS(5212),
    [anon_sym_alignof] = ACTIONS(5212),
    [anon_sym__Alignof] = ACTIONS(5212),
    [anon_sym_offsetof] = ACTIONS(5212),
    [anon_sym__Generic] = ACTIONS(5212),
    [anon_sym_asm] = ACTIONS(5212),
    [anon_sym___asm__] = ACTIONS(5212),
    [sym_number_literal] = ACTIONS(5214),
    [anon_sym_L_SQUOTE] = ACTIONS(5214),
    [anon_sym_u_SQUOTE] = ACTIONS(5214),
    [anon_sym_U_SQUOTE] = ACTIONS(5214),
    [anon_sym_u8_SQUOTE] = ACTIONS(5214),
    [anon_sym_SQUOTE] = ACTIONS(5214),
    [anon_sym_L_DQUOTE] = ACTIONS(5214),
    [anon_sym_u_DQUOTE] = ACTIONS(5214),
    [anon_sym_U_DQUOTE] = ACTIONS(5214),
    [anon_sym_u8_DQUOTE] = ACTIONS(5214),
    [anon_sym_DQUOTE] = ACTIONS(5214),
    [sym_true] = ACTIONS(5212),
    [sym_false] = ACTIONS(5212),
    [anon_sym_NULL] = ACTIONS(5212),
    [anon_sym_nullptr] = ACTIONS(5212),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5212),
    [anon_sym_template] = ACTIONS(5212),
    [anon_sym_delete] = ACTIONS(5212),
    [anon_sym_R_DQUOTE] = ACTIONS(5214),
    [anon_sym_LR_DQUOTE] = ACTIONS(5214),
    [anon_sym_uR_DQUOTE] = ACTIONS(5214),
    [anon_sym_UR_DQUOTE] = ACTIONS(5214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5214),
    [anon_sym_co_await] = ACTIONS(5212),
    [anon_sym_new] = ACTIONS(5212),
    [anon_sym_requires] = ACTIONS(5212),
    [sym_this] = ACTIONS(5212),
  },
  [1779] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [aux_sym_preproc_else_token1] = ACTIONS(2755),
    [aux_sym_preproc_elif_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_friend] = ACTIONS(2755),
    [anon_sym_public] = ACTIONS(2755),
    [anon_sym_private] = ACTIONS(2755),
    [anon_sym_protected] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
  },
  [1780] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [aux_sym_preproc_else_token1] = ACTIONS(2755),
    [aux_sym_preproc_elif_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_friend] = ACTIONS(2755),
    [anon_sym_public] = ACTIONS(2755),
    [anon_sym_private] = ACTIONS(2755),
    [anon_sym_protected] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
  },
  [1781] = {
    [sym_identifier] = ACTIONS(2763),
    [aux_sym_preproc_def_token1] = ACTIONS(2763),
    [aux_sym_preproc_if_token1] = ACTIONS(2763),
    [aux_sym_preproc_if_token2] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2763),
    [aux_sym_preproc_else_token1] = ACTIONS(2763),
    [aux_sym_preproc_elif_token1] = ACTIONS(2763),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2763),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2763),
    [sym_preproc_directive] = ACTIONS(2763),
    [anon_sym_LPAREN2] = ACTIONS(2765),
    [anon_sym_TILDE] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym___extension__] = ACTIONS(2763),
    [anon_sym_typedef] = ACTIONS(2763),
    [anon_sym_extern] = ACTIONS(2763),
    [anon_sym___attribute__] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2765),
    [anon_sym___declspec] = ACTIONS(2763),
    [anon_sym___based] = ACTIONS(2763),
    [anon_sym_signed] = ACTIONS(2763),
    [anon_sym_unsigned] = ACTIONS(2763),
    [anon_sym_long] = ACTIONS(2763),
    [anon_sym_short] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(2763),
    [anon_sym_static] = ACTIONS(2763),
    [anon_sym_register] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym___inline] = ACTIONS(2763),
    [anon_sym___inline__] = ACTIONS(2763),
    [anon_sym___forceinline] = ACTIONS(2763),
    [anon_sym_thread_local] = ACTIONS(2763),
    [anon_sym___thread] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_constexpr] = ACTIONS(2763),
    [anon_sym_volatile] = ACTIONS(2763),
    [anon_sym_restrict] = ACTIONS(2763),
    [anon_sym___restrict__] = ACTIONS(2763),
    [anon_sym__Atomic] = ACTIONS(2763),
    [anon_sym__Noreturn] = ACTIONS(2763),
    [anon_sym_noreturn] = ACTIONS(2763),
    [anon_sym_mutable] = ACTIONS(2763),
    [anon_sym_constinit] = ACTIONS(2763),
    [anon_sym_consteval] = ACTIONS(2763),
    [anon_sym_alignas] = ACTIONS(2763),
    [anon_sym__Alignas] = ACTIONS(2763),
    [sym_primitive_type] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_class] = ACTIONS(2763),
    [anon_sym_struct] = ACTIONS(2763),
    [anon_sym_union] = ACTIONS(2763),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2763),
    [anon_sym_decltype] = ACTIONS(2763),
    [sym_virtual] = ACTIONS(2763),
    [anon_sym_explicit] = ACTIONS(2763),
    [anon_sym_typename] = ACTIONS(2763),
    [anon_sym_template] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_friend] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_using] = ACTIONS(2763),
    [anon_sym_static_assert] = ACTIONS(2763),
  },
  [1782] = {
    [sym_identifier] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2783),
    [aux_sym_preproc_if_token1] = ACTIONS(2783),
    [aux_sym_preproc_if_token2] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2783),
    [aux_sym_preproc_else_token1] = ACTIONS(2783),
    [aux_sym_preproc_elif_token1] = ACTIONS(2783),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2783),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2783),
    [sym_preproc_directive] = ACTIONS(2783),
    [anon_sym_LPAREN2] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2783),
    [anon_sym_typedef] = ACTIONS(2783),
    [anon_sym_extern] = ACTIONS(2783),
    [anon_sym___attribute__] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2785),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2785),
    [anon_sym___declspec] = ACTIONS(2783),
    [anon_sym___based] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2783),
    [anon_sym_unsigned] = ACTIONS(2783),
    [anon_sym_long] = ACTIONS(2783),
    [anon_sym_short] = ACTIONS(2783),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_static] = ACTIONS(2783),
    [anon_sym_register] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2783),
    [anon_sym___inline] = ACTIONS(2783),
    [anon_sym___inline__] = ACTIONS(2783),
    [anon_sym___forceinline] = ACTIONS(2783),
    [anon_sym_thread_local] = ACTIONS(2783),
    [anon_sym___thread] = ACTIONS(2783),
    [anon_sym_const] = ACTIONS(2783),
    [anon_sym_constexpr] = ACTIONS(2783),
    [anon_sym_volatile] = ACTIONS(2783),
    [anon_sym_restrict] = ACTIONS(2783),
    [anon_sym___restrict__] = ACTIONS(2783),
    [anon_sym__Atomic] = ACTIONS(2783),
    [anon_sym__Noreturn] = ACTIONS(2783),
    [anon_sym_noreturn] = ACTIONS(2783),
    [anon_sym_mutable] = ACTIONS(2783),
    [anon_sym_constinit] = ACTIONS(2783),
    [anon_sym_consteval] = ACTIONS(2783),
    [anon_sym_alignas] = ACTIONS(2783),
    [anon_sym__Alignas] = ACTIONS(2783),
    [sym_primitive_type] = ACTIONS(2783),
    [anon_sym_enum] = ACTIONS(2783),
    [anon_sym_class] = ACTIONS(2783),
    [anon_sym_struct] = ACTIONS(2783),
    [anon_sym_union] = ACTIONS(2783),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2783),
    [anon_sym_decltype] = ACTIONS(2783),
    [sym_virtual] = ACTIONS(2783),
    [anon_sym_explicit] = ACTIONS(2783),
    [anon_sym_typename] = ACTIONS(2783),
    [anon_sym_template] = ACTIONS(2783),
    [anon_sym_operator] = ACTIONS(2783),
    [anon_sym_friend] = ACTIONS(2783),
    [anon_sym_public] = ACTIONS(2783),
    [anon_sym_private] = ACTIONS(2783),
    [anon_sym_protected] = ACTIONS(2783),
    [anon_sym_using] = ACTIONS(2783),
    [anon_sym_static_assert] = ACTIONS(2783),
  },
  [1783] = {
    [sym_identifier] = ACTIONS(5216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5218),
    [anon_sym_COMMA] = ACTIONS(5218),
    [anon_sym_RPAREN] = ACTIONS(5218),
    [anon_sym_LPAREN2] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5216),
    [anon_sym_STAR] = ACTIONS(5218),
    [anon_sym_SLASH] = ACTIONS(5216),
    [anon_sym_PERCENT] = ACTIONS(5218),
    [anon_sym_PIPE_PIPE] = ACTIONS(5218),
    [anon_sym_AMP_AMP] = ACTIONS(5218),
    [anon_sym_PIPE] = ACTIONS(5216),
    [anon_sym_CARET] = ACTIONS(5218),
    [anon_sym_AMP] = ACTIONS(5216),
    [anon_sym_EQ_EQ] = ACTIONS(5218),
    [anon_sym_BANG_EQ] = ACTIONS(5218),
    [anon_sym_GT] = ACTIONS(5216),
    [anon_sym_GT_EQ] = ACTIONS(5218),
    [anon_sym_LT_EQ] = ACTIONS(5216),
    [anon_sym_LT] = ACTIONS(5216),
    [anon_sym_LT_LT] = ACTIONS(5218),
    [anon_sym_GT_GT] = ACTIONS(5218),
    [anon_sym_SEMI] = ACTIONS(5218),
    [anon_sym___extension__] = ACTIONS(5216),
    [anon_sym___attribute__] = ACTIONS(5216),
    [anon_sym___based] = ACTIONS(5216),
    [anon_sym_LBRACE] = ACTIONS(5218),
    [anon_sym_RBRACE] = ACTIONS(5218),
    [anon_sym_signed] = ACTIONS(5216),
    [anon_sym_unsigned] = ACTIONS(5216),
    [anon_sym_long] = ACTIONS(5216),
    [anon_sym_short] = ACTIONS(5216),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [anon_sym_RBRACK] = ACTIONS(5218),
    [anon_sym_const] = ACTIONS(5216),
    [anon_sym_constexpr] = ACTIONS(5216),
    [anon_sym_volatile] = ACTIONS(5216),
    [anon_sym_restrict] = ACTIONS(5216),
    [anon_sym___restrict__] = ACTIONS(5216),
    [anon_sym__Atomic] = ACTIONS(5216),
    [anon_sym__Noreturn] = ACTIONS(5216),
    [anon_sym_noreturn] = ACTIONS(5216),
    [anon_sym_mutable] = ACTIONS(5216),
    [anon_sym_constinit] = ACTIONS(5216),
    [anon_sym_consteval] = ACTIONS(5216),
    [anon_sym_alignas] = ACTIONS(5216),
    [anon_sym__Alignas] = ACTIONS(5216),
    [sym_primitive_type] = ACTIONS(5216),
    [anon_sym_COLON] = ACTIONS(5218),
    [anon_sym_QMARK] = ACTIONS(5218),
    [anon_sym_LT_EQ_GT] = ACTIONS(5218),
    [anon_sym_or] = ACTIONS(5216),
    [anon_sym_and] = ACTIONS(5216),
    [anon_sym_bitor] = ACTIONS(5216),
    [anon_sym_xor] = ACTIONS(5216),
    [anon_sym_bitand] = ACTIONS(5216),
    [anon_sym_not_eq] = ACTIONS(5216),
    [anon_sym_DASH_DASH] = ACTIONS(5218),
    [anon_sym_PLUS_PLUS] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_DOT_STAR] = ACTIONS(5218),
    [anon_sym_DASH_GT] = ACTIONS(5218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5216),
    [anon_sym_decltype] = ACTIONS(5216),
    [anon_sym_final] = ACTIONS(5216),
    [anon_sym_override] = ACTIONS(5216),
    [anon_sym_requires] = ACTIONS(5216),
  },
  [1784] = {
    [sym_identifier] = ACTIONS(5220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5222),
    [anon_sym_COMMA] = ACTIONS(5222),
    [anon_sym_RPAREN] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5220),
    [anon_sym_STAR] = ACTIONS(5222),
    [anon_sym_SLASH] = ACTIONS(5220),
    [anon_sym_PERCENT] = ACTIONS(5222),
    [anon_sym_PIPE_PIPE] = ACTIONS(5222),
    [anon_sym_AMP_AMP] = ACTIONS(5222),
    [anon_sym_PIPE] = ACTIONS(5220),
    [anon_sym_CARET] = ACTIONS(5222),
    [anon_sym_AMP] = ACTIONS(5220),
    [anon_sym_EQ_EQ] = ACTIONS(5222),
    [anon_sym_BANG_EQ] = ACTIONS(5222),
    [anon_sym_GT] = ACTIONS(5220),
    [anon_sym_GT_EQ] = ACTIONS(5222),
    [anon_sym_LT_EQ] = ACTIONS(5220),
    [anon_sym_LT] = ACTIONS(5220),
    [anon_sym_LT_LT] = ACTIONS(5222),
    [anon_sym_GT_GT] = ACTIONS(5222),
    [anon_sym_SEMI] = ACTIONS(5222),
    [anon_sym___extension__] = ACTIONS(5220),
    [anon_sym___attribute__] = ACTIONS(5220),
    [anon_sym___based] = ACTIONS(5220),
    [anon_sym_LBRACE] = ACTIONS(5222),
    [anon_sym_RBRACE] = ACTIONS(5222),
    [anon_sym_signed] = ACTIONS(5220),
    [anon_sym_unsigned] = ACTIONS(5220),
    [anon_sym_long] = ACTIONS(5220),
    [anon_sym_short] = ACTIONS(5220),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [anon_sym_RBRACK] = ACTIONS(5222),
    [anon_sym_const] = ACTIONS(5220),
    [anon_sym_constexpr] = ACTIONS(5220),
    [anon_sym_volatile] = ACTIONS(5220),
    [anon_sym_restrict] = ACTIONS(5220),
    [anon_sym___restrict__] = ACTIONS(5220),
    [anon_sym__Atomic] = ACTIONS(5220),
    [anon_sym__Noreturn] = ACTIONS(5220),
    [anon_sym_noreturn] = ACTIONS(5220),
    [anon_sym_mutable] = ACTIONS(5220),
    [anon_sym_constinit] = ACTIONS(5220),
    [anon_sym_consteval] = ACTIONS(5220),
    [anon_sym_alignas] = ACTIONS(5220),
    [anon_sym__Alignas] = ACTIONS(5220),
    [sym_primitive_type] = ACTIONS(5220),
    [anon_sym_COLON] = ACTIONS(5222),
    [anon_sym_QMARK] = ACTIONS(5222),
    [anon_sym_LT_EQ_GT] = ACTIONS(5222),
    [anon_sym_or] = ACTIONS(5220),
    [anon_sym_and] = ACTIONS(5220),
    [anon_sym_bitor] = ACTIONS(5220),
    [anon_sym_xor] = ACTIONS(5220),
    [anon_sym_bitand] = ACTIONS(5220),
    [anon_sym_not_eq] = ACTIONS(5220),
    [anon_sym_DASH_DASH] = ACTIONS(5222),
    [anon_sym_PLUS_PLUS] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_DOT_STAR] = ACTIONS(5222),
    [anon_sym_DASH_GT] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5220),
    [anon_sym_decltype] = ACTIONS(5220),
    [anon_sym_final] = ACTIONS(5220),
    [anon_sym_override] = ACTIONS(5220),
    [anon_sym_requires] = ACTIONS(5220),
  },
  [1785] = {
    [sym_identifier] = ACTIONS(5224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5226),
    [anon_sym_COMMA] = ACTIONS(5226),
    [anon_sym_RPAREN] = ACTIONS(5226),
    [anon_sym_LPAREN2] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5224),
    [anon_sym_STAR] = ACTIONS(5226),
    [anon_sym_SLASH] = ACTIONS(5224),
    [anon_sym_PERCENT] = ACTIONS(5226),
    [anon_sym_PIPE_PIPE] = ACTIONS(5226),
    [anon_sym_AMP_AMP] = ACTIONS(5226),
    [anon_sym_PIPE] = ACTIONS(5224),
    [anon_sym_CARET] = ACTIONS(5226),
    [anon_sym_AMP] = ACTIONS(5224),
    [anon_sym_EQ_EQ] = ACTIONS(5226),
    [anon_sym_BANG_EQ] = ACTIONS(5226),
    [anon_sym_GT] = ACTIONS(5224),
    [anon_sym_GT_EQ] = ACTIONS(5226),
    [anon_sym_LT_EQ] = ACTIONS(5224),
    [anon_sym_LT] = ACTIONS(5224),
    [anon_sym_LT_LT] = ACTIONS(5226),
    [anon_sym_GT_GT] = ACTIONS(5226),
    [anon_sym_SEMI] = ACTIONS(5226),
    [anon_sym___extension__] = ACTIONS(5224),
    [anon_sym___attribute__] = ACTIONS(5224),
    [anon_sym___based] = ACTIONS(5224),
    [anon_sym_LBRACE] = ACTIONS(5226),
    [anon_sym_RBRACE] = ACTIONS(5226),
    [anon_sym_signed] = ACTIONS(5224),
    [anon_sym_unsigned] = ACTIONS(5224),
    [anon_sym_long] = ACTIONS(5224),
    [anon_sym_short] = ACTIONS(5224),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [anon_sym_RBRACK] = ACTIONS(5226),
    [anon_sym_const] = ACTIONS(5224),
    [anon_sym_constexpr] = ACTIONS(5224),
    [anon_sym_volatile] = ACTIONS(5224),
    [anon_sym_restrict] = ACTIONS(5224),
    [anon_sym___restrict__] = ACTIONS(5224),
    [anon_sym__Atomic] = ACTIONS(5224),
    [anon_sym__Noreturn] = ACTIONS(5224),
    [anon_sym_noreturn] = ACTIONS(5224),
    [anon_sym_mutable] = ACTIONS(5224),
    [anon_sym_constinit] = ACTIONS(5224),
    [anon_sym_consteval] = ACTIONS(5224),
    [anon_sym_alignas] = ACTIONS(5224),
    [anon_sym__Alignas] = ACTIONS(5224),
    [sym_primitive_type] = ACTIONS(5224),
    [anon_sym_COLON] = ACTIONS(5226),
    [anon_sym_QMARK] = ACTIONS(5226),
    [anon_sym_LT_EQ_GT] = ACTIONS(5226),
    [anon_sym_or] = ACTIONS(5224),
    [anon_sym_and] = ACTIONS(5224),
    [anon_sym_bitor] = ACTIONS(5224),
    [anon_sym_xor] = ACTIONS(5224),
    [anon_sym_bitand] = ACTIONS(5224),
    [anon_sym_not_eq] = ACTIONS(5224),
    [anon_sym_DASH_DASH] = ACTIONS(5226),
    [anon_sym_PLUS_PLUS] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_DOT_STAR] = ACTIONS(5226),
    [anon_sym_DASH_GT] = ACTIONS(5226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5224),
    [anon_sym_decltype] = ACTIONS(5224),
    [anon_sym_final] = ACTIONS(5224),
    [anon_sym_override] = ACTIONS(5224),
    [anon_sym_requires] = ACTIONS(5224),
  },
  [1786] = {
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5230),
    [anon_sym_COMMA] = ACTIONS(5230),
    [anon_sym_RPAREN] = ACTIONS(5230),
    [anon_sym_LPAREN2] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5228),
    [anon_sym_STAR] = ACTIONS(5230),
    [anon_sym_SLASH] = ACTIONS(5228),
    [anon_sym_PERCENT] = ACTIONS(5230),
    [anon_sym_PIPE_PIPE] = ACTIONS(5230),
    [anon_sym_AMP_AMP] = ACTIONS(5230),
    [anon_sym_PIPE] = ACTIONS(5228),
    [anon_sym_CARET] = ACTIONS(5230),
    [anon_sym_AMP] = ACTIONS(5228),
    [anon_sym_EQ_EQ] = ACTIONS(5230),
    [anon_sym_BANG_EQ] = ACTIONS(5230),
    [anon_sym_GT] = ACTIONS(5228),
    [anon_sym_GT_EQ] = ACTIONS(5230),
    [anon_sym_LT_EQ] = ACTIONS(5228),
    [anon_sym_LT] = ACTIONS(5228),
    [anon_sym_LT_LT] = ACTIONS(5230),
    [anon_sym_GT_GT] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(5230),
    [anon_sym___extension__] = ACTIONS(5228),
    [anon_sym___attribute__] = ACTIONS(5228),
    [anon_sym___based] = ACTIONS(5228),
    [anon_sym_LBRACE] = ACTIONS(5230),
    [anon_sym_RBRACE] = ACTIONS(5230),
    [anon_sym_signed] = ACTIONS(5228),
    [anon_sym_unsigned] = ACTIONS(5228),
    [anon_sym_long] = ACTIONS(5228),
    [anon_sym_short] = ACTIONS(5228),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_RBRACK] = ACTIONS(5230),
    [anon_sym_const] = ACTIONS(5228),
    [anon_sym_constexpr] = ACTIONS(5228),
    [anon_sym_volatile] = ACTIONS(5228),
    [anon_sym_restrict] = ACTIONS(5228),
    [anon_sym___restrict__] = ACTIONS(5228),
    [anon_sym__Atomic] = ACTIONS(5228),
    [anon_sym__Noreturn] = ACTIONS(5228),
    [anon_sym_noreturn] = ACTIONS(5228),
    [anon_sym_mutable] = ACTIONS(5228),
    [anon_sym_constinit] = ACTIONS(5228),
    [anon_sym_consteval] = ACTIONS(5228),
    [anon_sym_alignas] = ACTIONS(5228),
    [anon_sym__Alignas] = ACTIONS(5228),
    [sym_primitive_type] = ACTIONS(5228),
    [anon_sym_COLON] = ACTIONS(5230),
    [anon_sym_QMARK] = ACTIONS(5230),
    [anon_sym_LT_EQ_GT] = ACTIONS(5230),
    [anon_sym_or] = ACTIONS(5228),
    [anon_sym_and] = ACTIONS(5228),
    [anon_sym_bitor] = ACTIONS(5228),
    [anon_sym_xor] = ACTIONS(5228),
    [anon_sym_bitand] = ACTIONS(5228),
    [anon_sym_not_eq] = ACTIONS(5228),
    [anon_sym_DASH_DASH] = ACTIONS(5230),
    [anon_sym_PLUS_PLUS] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_DOT_STAR] = ACTIONS(5230),
    [anon_sym_DASH_GT] = ACTIONS(5230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5228),
    [anon_sym_decltype] = ACTIONS(5228),
    [anon_sym_final] = ACTIONS(5228),
    [anon_sym_override] = ACTIONS(5228),
    [anon_sym_requires] = ACTIONS(5228),
  },
  [1787] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [aux_sym_preproc_else_token1] = ACTIONS(2580),
    [aux_sym_preproc_elif_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_friend] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_protected] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
  },
  [1788] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [aux_sym_preproc_else_token1] = ACTIONS(2580),
    [aux_sym_preproc_elif_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_friend] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_protected] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
  },
  [1789] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [aux_sym_preproc_else_token1] = ACTIONS(2604),
    [aux_sym_preproc_elif_token1] = ACTIONS(2604),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_friend] = ACTIONS(2604),
    [anon_sym_public] = ACTIONS(2604),
    [anon_sym_private] = ACTIONS(2604),
    [anon_sym_protected] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
  },
  [1790] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [aux_sym_preproc_else_token1] = ACTIONS(2608),
    [aux_sym_preproc_elif_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_friend] = ACTIONS(2608),
    [anon_sym_public] = ACTIONS(2608),
    [anon_sym_private] = ACTIONS(2608),
    [anon_sym_protected] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
  },
  [1791] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [aux_sym_preproc_else_token1] = ACTIONS(2608),
    [aux_sym_preproc_elif_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_friend] = ACTIONS(2608),
    [anon_sym_public] = ACTIONS(2608),
    [anon_sym_private] = ACTIONS(2608),
    [anon_sym_protected] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
  },
  [1792] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [aux_sym_preproc_else_token1] = ACTIONS(2518),
    [aux_sym_preproc_elif_token1] = ACTIONS(2518),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [sym_virtual] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_friend] = ACTIONS(2518),
    [anon_sym_public] = ACTIONS(2518),
    [anon_sym_private] = ACTIONS(2518),
    [anon_sym_protected] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
  },
  [1793] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token2] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [aux_sym_preproc_else_token1] = ACTIONS(2584),
    [aux_sym_preproc_elif_token1] = ACTIONS(2584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_friend] = ACTIONS(2584),
    [anon_sym_public] = ACTIONS(2584),
    [anon_sym_private] = ACTIONS(2584),
    [anon_sym_protected] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
  },
  [1794] = {
    [sym_identifier] = ACTIONS(5232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5234),
    [anon_sym_COMMA] = ACTIONS(5234),
    [anon_sym_RPAREN] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_SLASH] = ACTIONS(5232),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5234),
    [anon_sym_AMP_AMP] = ACTIONS(5234),
    [anon_sym_PIPE] = ACTIONS(5232),
    [anon_sym_CARET] = ACTIONS(5234),
    [anon_sym_AMP] = ACTIONS(5232),
    [anon_sym_EQ_EQ] = ACTIONS(5234),
    [anon_sym_BANG_EQ] = ACTIONS(5234),
    [anon_sym_GT] = ACTIONS(5232),
    [anon_sym_GT_EQ] = ACTIONS(5234),
    [anon_sym_LT_EQ] = ACTIONS(5232),
    [anon_sym_LT] = ACTIONS(5232),
    [anon_sym_LT_LT] = ACTIONS(5234),
    [anon_sym_GT_GT] = ACTIONS(5234),
    [anon_sym_SEMI] = ACTIONS(5234),
    [anon_sym___extension__] = ACTIONS(5232),
    [anon_sym___attribute__] = ACTIONS(5232),
    [anon_sym___based] = ACTIONS(5232),
    [anon_sym_LBRACE] = ACTIONS(5234),
    [anon_sym_RBRACE] = ACTIONS(5234),
    [anon_sym_signed] = ACTIONS(5232),
    [anon_sym_unsigned] = ACTIONS(5232),
    [anon_sym_long] = ACTIONS(5232),
    [anon_sym_short] = ACTIONS(5232),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [anon_sym_RBRACK] = ACTIONS(5234),
    [anon_sym_const] = ACTIONS(5232),
    [anon_sym_constexpr] = ACTIONS(5232),
    [anon_sym_volatile] = ACTIONS(5232),
    [anon_sym_restrict] = ACTIONS(5232),
    [anon_sym___restrict__] = ACTIONS(5232),
    [anon_sym__Atomic] = ACTIONS(5232),
    [anon_sym__Noreturn] = ACTIONS(5232),
    [anon_sym_noreturn] = ACTIONS(5232),
    [anon_sym_mutable] = ACTIONS(5232),
    [anon_sym_constinit] = ACTIONS(5232),
    [anon_sym_consteval] = ACTIONS(5232),
    [anon_sym_alignas] = ACTIONS(5232),
    [anon_sym__Alignas] = ACTIONS(5232),
    [sym_primitive_type] = ACTIONS(5232),
    [anon_sym_COLON] = ACTIONS(5234),
    [anon_sym_QMARK] = ACTIONS(5234),
    [anon_sym_LT_EQ_GT] = ACTIONS(5234),
    [anon_sym_or] = ACTIONS(5232),
    [anon_sym_and] = ACTIONS(5232),
    [anon_sym_bitor] = ACTIONS(5232),
    [anon_sym_xor] = ACTIONS(5232),
    [anon_sym_bitand] = ACTIONS(5232),
    [anon_sym_not_eq] = ACTIONS(5232),
    [anon_sym_DASH_DASH] = ACTIONS(5234),
    [anon_sym_PLUS_PLUS] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_DOT_STAR] = ACTIONS(5234),
    [anon_sym_DASH_GT] = ACTIONS(5234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5232),
    [anon_sym_decltype] = ACTIONS(5232),
    [anon_sym_final] = ACTIONS(5232),
    [anon_sym_override] = ACTIONS(5232),
    [anon_sym_requires] = ACTIONS(5232),
  },
  [1795] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4585),
    [anon_sym_COMMA] = ACTIONS(4585),
    [anon_sym_RPAREN] = ACTIONS(4585),
    [aux_sym_preproc_if_token2] = ACTIONS(4585),
    [aux_sym_preproc_else_token1] = ACTIONS(4585),
    [aux_sym_preproc_elif_token1] = ACTIONS(4578),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4585),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4585),
    [anon_sym_LPAREN2] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4585),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4585),
    [anon_sym_PIPE_PIPE] = ACTIONS(4585),
    [anon_sym_AMP_AMP] = ACTIONS(4585),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4585),
    [anon_sym_AMP] = ACTIONS(4578),
    [anon_sym_EQ_EQ] = ACTIONS(4585),
    [anon_sym_BANG_EQ] = ACTIONS(4585),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4585),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4585),
    [anon_sym_GT_GT] = ACTIONS(4585),
    [anon_sym_SEMI] = ACTIONS(4585),
    [anon_sym___extension__] = ACTIONS(4578),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_RBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4585),
    [anon_sym_RBRACK] = ACTIONS(4585),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4578),
    [anon_sym_volatile] = ACTIONS(4578),
    [anon_sym_restrict] = ACTIONS(4578),
    [anon_sym___restrict__] = ACTIONS(4578),
    [anon_sym__Atomic] = ACTIONS(4578),
    [anon_sym__Noreturn] = ACTIONS(4578),
    [anon_sym_noreturn] = ACTIONS(4578),
    [anon_sym_mutable] = ACTIONS(4578),
    [anon_sym_constinit] = ACTIONS(4578),
    [anon_sym_consteval] = ACTIONS(4578),
    [anon_sym_alignas] = ACTIONS(4578),
    [anon_sym__Alignas] = ACTIONS(4578),
    [anon_sym_COLON] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4585),
    [anon_sym_LT_EQ_GT] = ACTIONS(4585),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4578),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4578),
    [anon_sym_not_eq] = ACTIONS(4578),
    [anon_sym_DASH_DASH] = ACTIONS(4585),
    [anon_sym_PLUS_PLUS] = ACTIONS(4585),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4585),
    [anon_sym_DASH_GT] = ACTIONS(4585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [anon_sym_final] = ACTIONS(4578),
    [anon_sym_override] = ACTIONS(4578),
    [anon_sym_requires] = ACTIONS(4578),
  },
  [1796] = {
    [sym_identifier] = ACTIONS(5174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5176),
    [anon_sym_COMMA] = ACTIONS(5176),
    [anon_sym_RPAREN] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_STAR] = ACTIONS(5176),
    [anon_sym_SLASH] = ACTIONS(5174),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [anon_sym_PIPE_PIPE] = ACTIONS(5176),
    [anon_sym_AMP_AMP] = ACTIONS(5176),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_CARET] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5174),
    [anon_sym_EQ_EQ] = ACTIONS(5176),
    [anon_sym_BANG_EQ] = ACTIONS(5176),
    [anon_sym_GT] = ACTIONS(5174),
    [anon_sym_GT_EQ] = ACTIONS(5176),
    [anon_sym_LT_EQ] = ACTIONS(5174),
    [anon_sym_LT] = ACTIONS(5174),
    [anon_sym_LT_LT] = ACTIONS(5176),
    [anon_sym_GT_GT] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(5176),
    [anon_sym___extension__] = ACTIONS(5174),
    [anon_sym___attribute__] = ACTIONS(5174),
    [anon_sym___based] = ACTIONS(5174),
    [anon_sym_LBRACE] = ACTIONS(5176),
    [anon_sym_RBRACE] = ACTIONS(5176),
    [anon_sym_signed] = ACTIONS(5174),
    [anon_sym_unsigned] = ACTIONS(5174),
    [anon_sym_long] = ACTIONS(5174),
    [anon_sym_short] = ACTIONS(5174),
    [anon_sym_LBRACK] = ACTIONS(5176),
    [anon_sym_RBRACK] = ACTIONS(5176),
    [anon_sym_const] = ACTIONS(5174),
    [anon_sym_constexpr] = ACTIONS(5174),
    [anon_sym_volatile] = ACTIONS(5174),
    [anon_sym_restrict] = ACTIONS(5174),
    [anon_sym___restrict__] = ACTIONS(5174),
    [anon_sym__Atomic] = ACTIONS(5174),
    [anon_sym__Noreturn] = ACTIONS(5174),
    [anon_sym_noreturn] = ACTIONS(5174),
    [anon_sym_mutable] = ACTIONS(5174),
    [anon_sym_constinit] = ACTIONS(5174),
    [anon_sym_consteval] = ACTIONS(5174),
    [anon_sym_alignas] = ACTIONS(5174),
    [anon_sym__Alignas] = ACTIONS(5174),
    [sym_primitive_type] = ACTIONS(5174),
    [anon_sym_COLON] = ACTIONS(5176),
    [anon_sym_QMARK] = ACTIONS(5176),
    [anon_sym_LT_EQ_GT] = ACTIONS(5176),
    [anon_sym_or] = ACTIONS(5174),
    [anon_sym_and] = ACTIONS(5174),
    [anon_sym_bitor] = ACTIONS(5174),
    [anon_sym_xor] = ACTIONS(5174),
    [anon_sym_bitand] = ACTIONS(5174),
    [anon_sym_not_eq] = ACTIONS(5174),
    [anon_sym_DASH_DASH] = ACTIONS(5176),
    [anon_sym_PLUS_PLUS] = ACTIONS(5176),
    [anon_sym_DOT] = ACTIONS(5174),
    [anon_sym_DOT_STAR] = ACTIONS(5176),
    [anon_sym_DASH_GT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5174),
    [anon_sym_decltype] = ACTIONS(5174),
    [anon_sym_final] = ACTIONS(5174),
    [anon_sym_override] = ACTIONS(5174),
    [anon_sym_requires] = ACTIONS(5174),
  },
  [1797] = {
    [sym_catch_clause] = STATE(1797),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1797),
    [sym_identifier] = ACTIONS(2413),
    [aux_sym_preproc_def_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token2] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2413),
    [sym_preproc_directive] = ACTIONS(2413),
    [anon_sym_LPAREN2] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2415),
    [anon_sym_AMP_AMP] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym___extension__] = ACTIONS(2413),
    [anon_sym_typedef] = ACTIONS(2413),
    [anon_sym_extern] = ACTIONS(2413),
    [anon_sym___attribute__] = ACTIONS(2413),
    [anon_sym_COLON_COLON] = ACTIONS(2415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2415),
    [anon_sym___declspec] = ACTIONS(2413),
    [anon_sym___based] = ACTIONS(2413),
    [anon_sym_signed] = ACTIONS(2413),
    [anon_sym_unsigned] = ACTIONS(2413),
    [anon_sym_long] = ACTIONS(2413),
    [anon_sym_short] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2413),
    [anon_sym_static] = ACTIONS(2413),
    [anon_sym_register] = ACTIONS(2413),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym___inline] = ACTIONS(2413),
    [anon_sym___inline__] = ACTIONS(2413),
    [anon_sym___forceinline] = ACTIONS(2413),
    [anon_sym_thread_local] = ACTIONS(2413),
    [anon_sym___thread] = ACTIONS(2413),
    [anon_sym_const] = ACTIONS(2413),
    [anon_sym_constexpr] = ACTIONS(2413),
    [anon_sym_volatile] = ACTIONS(2413),
    [anon_sym_restrict] = ACTIONS(2413),
    [anon_sym___restrict__] = ACTIONS(2413),
    [anon_sym__Atomic] = ACTIONS(2413),
    [anon_sym__Noreturn] = ACTIONS(2413),
    [anon_sym_noreturn] = ACTIONS(2413),
    [anon_sym_mutable] = ACTIONS(2413),
    [anon_sym_constinit] = ACTIONS(2413),
    [anon_sym_consteval] = ACTIONS(2413),
    [anon_sym_alignas] = ACTIONS(2413),
    [anon_sym__Alignas] = ACTIONS(2413),
    [sym_primitive_type] = ACTIONS(2413),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_class] = ACTIONS(2413),
    [anon_sym_struct] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2413),
    [anon_sym_decltype] = ACTIONS(2413),
    [sym_virtual] = ACTIONS(2413),
    [anon_sym_explicit] = ACTIONS(2413),
    [anon_sym_typename] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2413),
    [anon_sym_operator] = ACTIONS(2413),
    [anon_sym_friend] = ACTIONS(2413),
    [anon_sym_public] = ACTIONS(2413),
    [anon_sym_private] = ACTIONS(2413),
    [anon_sym_protected] = ACTIONS(2413),
    [anon_sym_using] = ACTIONS(2413),
    [anon_sym_static_assert] = ACTIONS(2413),
    [anon_sym_catch] = ACTIONS(5236),
  },
  [1798] = {
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [aux_sym_preproc_if_token2] = ACTIONS(4922),
    [aux_sym_preproc_else_token1] = ACTIONS(4922),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym_COLON_COLON] = ACTIONS(4914),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_RBRACE] = ACTIONS(4922),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_RBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4922),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_and_eq] = ACTIONS(4920),
    [anon_sym_or_eq] = ACTIONS(4920),
    [anon_sym_xor_eq] = ACTIONS(4920),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_final] = ACTIONS(4920),
    [anon_sym_override] = ACTIONS(4920),
  },
  [1799] = {
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [aux_sym_preproc_if_token2] = ACTIONS(4922),
    [aux_sym_preproc_else_token1] = ACTIONS(4922),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym_COLON_COLON] = ACTIONS(4914),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_RBRACE] = ACTIONS(4922),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_RBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4920),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4922),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_and_eq] = ACTIONS(4920),
    [anon_sym_or_eq] = ACTIONS(4920),
    [anon_sym_xor_eq] = ACTIONS(4920),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_final] = ACTIONS(4920),
    [anon_sym_override] = ACTIONS(4920),
  },
  [1800] = {
    [sym_identifier] = ACTIONS(5212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5214),
    [anon_sym_COMMA] = ACTIONS(5214),
    [anon_sym_RPAREN] = ACTIONS(5214),
    [anon_sym_LPAREN2] = ACTIONS(5214),
    [anon_sym_TILDE] = ACTIONS(5214),
    [anon_sym_STAR] = ACTIONS(5214),
    [anon_sym_AMP_AMP] = ACTIONS(5214),
    [anon_sym_AMP] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(5214),
    [anon_sym___extension__] = ACTIONS(5212),
    [anon_sym_extern] = ACTIONS(5212),
    [anon_sym___attribute__] = ACTIONS(5212),
    [anon_sym_COLON_COLON] = ACTIONS(5214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5214),
    [anon_sym___declspec] = ACTIONS(5212),
    [anon_sym___based] = ACTIONS(5212),
    [anon_sym_LBRACE] = ACTIONS(5214),
    [anon_sym_signed] = ACTIONS(5212),
    [anon_sym_unsigned] = ACTIONS(5212),
    [anon_sym_long] = ACTIONS(5212),
    [anon_sym_short] = ACTIONS(5212),
    [anon_sym_LBRACK] = ACTIONS(5212),
    [anon_sym_static] = ACTIONS(5212),
    [anon_sym_EQ] = ACTIONS(5214),
    [anon_sym_register] = ACTIONS(5212),
    [anon_sym_inline] = ACTIONS(5212),
    [anon_sym___inline] = ACTIONS(5212),
    [anon_sym___inline__] = ACTIONS(5212),
    [anon_sym___forceinline] = ACTIONS(5212),
    [anon_sym_thread_local] = ACTIONS(5212),
    [anon_sym___thread] = ACTIONS(5212),
    [anon_sym_const] = ACTIONS(5212),
    [anon_sym_constexpr] = ACTIONS(5212),
    [anon_sym_volatile] = ACTIONS(5212),
    [anon_sym_restrict] = ACTIONS(5212),
    [anon_sym___restrict__] = ACTIONS(5212),
    [anon_sym__Atomic] = ACTIONS(5212),
    [anon_sym__Noreturn] = ACTIONS(5212),
    [anon_sym_noreturn] = ACTIONS(5212),
    [anon_sym_mutable] = ACTIONS(5212),
    [anon_sym_constinit] = ACTIONS(5212),
    [anon_sym_consteval] = ACTIONS(5212),
    [anon_sym_alignas] = ACTIONS(5212),
    [anon_sym__Alignas] = ACTIONS(5212),
    [sym_primitive_type] = ACTIONS(5212),
    [anon_sym_enum] = ACTIONS(5212),
    [anon_sym_class] = ACTIONS(5212),
    [anon_sym_struct] = ACTIONS(5212),
    [anon_sym_union] = ACTIONS(5212),
    [anon_sym_asm] = ACTIONS(5212),
    [anon_sym___asm__] = ACTIONS(5212),
    [anon_sym_DASH_GT] = ACTIONS(5214),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5212),
    [anon_sym_decltype] = ACTIONS(5212),
    [anon_sym_final] = ACTIONS(5212),
    [anon_sym_override] = ACTIONS(5212),
    [sym_virtual] = ACTIONS(5212),
    [anon_sym_explicit] = ACTIONS(5212),
    [anon_sym_typename] = ACTIONS(5212),
    [anon_sym_template] = ACTIONS(5212),
    [anon_sym_GT2] = ACTIONS(5214),
    [anon_sym_operator] = ACTIONS(5212),
    [anon_sym_try] = ACTIONS(5212),
    [anon_sym_noexcept] = ACTIONS(5212),
    [anon_sym_throw] = ACTIONS(5212),
    [anon_sym_requires] = ACTIONS(5212),
  },
  [1801] = {
    [sym_identifier] = ACTIONS(4928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(4930),
    [anon_sym_RPAREN] = ACTIONS(4930),
    [aux_sym_preproc_if_token2] = ACTIONS(4930),
    [aux_sym_preproc_else_token1] = ACTIONS(4930),
    [aux_sym_preproc_elif_token1] = ACTIONS(4928),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4930),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(4930),
    [anon_sym_DASH] = ACTIONS(4928),
    [anon_sym_PLUS] = ACTIONS(4928),
    [anon_sym_STAR] = ACTIONS(4928),
    [anon_sym_SLASH] = ACTIONS(4928),
    [anon_sym_PERCENT] = ACTIONS(4928),
    [anon_sym_PIPE_PIPE] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4930),
    [anon_sym_PIPE] = ACTIONS(4928),
    [anon_sym_CARET] = ACTIONS(4928),
    [anon_sym_AMP] = ACTIONS(4928),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(4930),
    [anon_sym_GT] = ACTIONS(4928),
    [anon_sym_GT_EQ] = ACTIONS(4930),
    [anon_sym_LT_EQ] = ACTIONS(4928),
    [anon_sym_LT] = ACTIONS(4928),
    [anon_sym_LT_LT] = ACTIONS(4928),
    [anon_sym_GT_GT] = ACTIONS(4928),
    [anon_sym_SEMI] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4928),
    [anon_sym_COLON_COLON] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(4930),
    [anon_sym_RBRACE] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4928),
    [anon_sym_COLON] = ACTIONS(4928),
    [anon_sym_QMARK] = ACTIONS(4930),
    [anon_sym_STAR_EQ] = ACTIONS(4930),
    [anon_sym_SLASH_EQ] = ACTIONS(4930),
    [anon_sym_PERCENT_EQ] = ACTIONS(4930),
    [anon_sym_PLUS_EQ] = ACTIONS(4930),
    [anon_sym_DASH_EQ] = ACTIONS(4930),
    [anon_sym_LT_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT_GT_EQ] = ACTIONS(4930),
    [anon_sym_AMP_EQ] = ACTIONS(4930),
    [anon_sym_CARET_EQ] = ACTIONS(4930),
    [anon_sym_PIPE_EQ] = ACTIONS(4930),
    [anon_sym_and_eq] = ACTIONS(4928),
    [anon_sym_or_eq] = ACTIONS(4928),
    [anon_sym_xor_eq] = ACTIONS(4928),
    [anon_sym_LT_EQ_GT] = ACTIONS(4930),
    [anon_sym_or] = ACTIONS(4928),
    [anon_sym_and] = ACTIONS(4928),
    [anon_sym_bitor] = ACTIONS(4928),
    [anon_sym_xor] = ACTIONS(4928),
    [anon_sym_bitand] = ACTIONS(4928),
    [anon_sym_not_eq] = ACTIONS(4928),
    [anon_sym_DASH_DASH] = ACTIONS(4930),
    [anon_sym_PLUS_PLUS] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4928),
    [anon_sym_DOT_STAR] = ACTIONS(4930),
    [anon_sym_DASH_GT] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4928),
    [anon_sym_decltype] = ACTIONS(4928),
    [anon_sym_final] = ACTIONS(4928),
    [anon_sym_override] = ACTIONS(4928),
  },
  [1802] = {
    [sym_identifier] = ACTIONS(4578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4585),
    [anon_sym_COMMA] = ACTIONS(4585),
    [anon_sym_RPAREN] = ACTIONS(4585),
    [aux_sym_preproc_if_token2] = ACTIONS(4585),
    [aux_sym_preproc_else_token1] = ACTIONS(4585),
    [aux_sym_preproc_elif_token1] = ACTIONS(4578),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4585),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4585),
    [anon_sym_LPAREN2] = ACTIONS(4585),
    [anon_sym_DASH] = ACTIONS(4578),
    [anon_sym_PLUS] = ACTIONS(4578),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4578),
    [anon_sym_PERCENT] = ACTIONS(4578),
    [anon_sym_PIPE_PIPE] = ACTIONS(4585),
    [anon_sym_AMP_AMP] = ACTIONS(4585),
    [anon_sym_PIPE] = ACTIONS(4578),
    [anon_sym_CARET] = ACTIONS(4578),
    [anon_sym_AMP] = ACTIONS(4578),
    [anon_sym_EQ_EQ] = ACTIONS(4585),
    [anon_sym_BANG_EQ] = ACTIONS(4585),
    [anon_sym_GT] = ACTIONS(4578),
    [anon_sym_GT_EQ] = ACTIONS(4585),
    [anon_sym_LT_EQ] = ACTIONS(4578),
    [anon_sym_LT] = ACTIONS(4578),
    [anon_sym_LT_LT] = ACTIONS(4578),
    [anon_sym_GT_GT] = ACTIONS(4578),
    [anon_sym_SEMI] = ACTIONS(4585),
    [anon_sym___attribute__] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_RBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4585),
    [anon_sym_RBRACK] = ACTIONS(4585),
    [anon_sym_EQ] = ACTIONS(4578),
    [anon_sym_COLON] = ACTIONS(4578),
    [anon_sym_QMARK] = ACTIONS(4585),
    [anon_sym_STAR_EQ] = ACTIONS(4585),
    [anon_sym_SLASH_EQ] = ACTIONS(4585),
    [anon_sym_PERCENT_EQ] = ACTIONS(4585),
    [anon_sym_PLUS_EQ] = ACTIONS(4585),
    [anon_sym_DASH_EQ] = ACTIONS(4585),
    [anon_sym_LT_LT_EQ] = ACTIONS(4585),
    [anon_sym_GT_GT_EQ] = ACTIONS(4585),
    [anon_sym_AMP_EQ] = ACTIONS(4585),
    [anon_sym_CARET_EQ] = ACTIONS(4585),
    [anon_sym_PIPE_EQ] = ACTIONS(4585),
    [anon_sym_and_eq] = ACTIONS(4578),
    [anon_sym_or_eq] = ACTIONS(4578),
    [anon_sym_xor_eq] = ACTIONS(4578),
    [anon_sym_LT_EQ_GT] = ACTIONS(4585),
    [anon_sym_or] = ACTIONS(4578),
    [anon_sym_and] = ACTIONS(4578),
    [anon_sym_bitor] = ACTIONS(4578),
    [anon_sym_xor] = ACTIONS(4578),
    [anon_sym_bitand] = ACTIONS(4578),
    [anon_sym_not_eq] = ACTIONS(4578),
    [anon_sym_DASH_DASH] = ACTIONS(4585),
    [anon_sym_PLUS_PLUS] = ACTIONS(4585),
    [anon_sym_DOT] = ACTIONS(4578),
    [anon_sym_DOT_STAR] = ACTIONS(4585),
    [anon_sym_DASH_GT] = ACTIONS(4585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4578),
    [anon_sym_decltype] = ACTIONS(4578),
    [anon_sym_final] = ACTIONS(4578),
    [anon_sym_override] = ACTIONS(4578),
  },
  [1803] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4580),
    [anon_sym_RPAREN] = ACTIONS(4582),
    [anon_sym_LPAREN2] = ACTIONS(4582),
    [anon_sym_DASH] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(4589),
    [anon_sym_SLASH] = ACTIONS(4587),
    [anon_sym_PERCENT] = ACTIONS(4587),
    [anon_sym_PIPE_PIPE] = ACTIONS(4580),
    [anon_sym_AMP_AMP] = ACTIONS(4582),
    [anon_sym_PIPE] = ACTIONS(4587),
    [anon_sym_CARET] = ACTIONS(4587),
    [anon_sym_AMP] = ACTIONS(4589),
    [anon_sym_EQ_EQ] = ACTIONS(4580),
    [anon_sym_BANG_EQ] = ACTIONS(4580),
    [anon_sym_GT] = ACTIONS(4587),
    [anon_sym_GT_EQ] = ACTIONS(4580),
    [anon_sym_LT_EQ] = ACTIONS(4587),
    [anon_sym_LT] = ACTIONS(4587),
    [anon_sym_LT_LT] = ACTIONS(4587),
    [anon_sym_GT_GT] = ACTIONS(4587),
    [anon_sym___extension__] = ACTIONS(4585),
    [anon_sym_COLON_COLON] = ACTIONS(4585),
    [anon_sym_LBRACE] = ACTIONS(4585),
    [anon_sym_LBRACK] = ACTIONS(4582),
    [anon_sym_EQ] = ACTIONS(4587),
    [anon_sym_const] = ACTIONS(4578),
    [anon_sym_constexpr] = ACTIONS(4585),
    [anon_sym_volatile] = ACTIONS(4585),
    [anon_sym_restrict] = ACTIONS(4585),
    [anon_sym___restrict__] = ACTIONS(4585),
    [anon_sym__Atomic] = ACTIONS(4585),
    [anon_sym__Noreturn] = ACTIONS(4585),
    [anon_sym_noreturn] = ACTIONS(4585),
    [anon_sym_mutable] = ACTIONS(4585),
    [anon_sym_constinit] = ACTIONS(4585),
    [anon_sym_consteval] = ACTIONS(4585),
    [anon_sym_alignas] = ACTIONS(4585),
    [anon_sym__Alignas] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4580),
    [anon_sym_STAR_EQ] = ACTIONS(4580),
    [anon_sym_SLASH_EQ] = ACTIONS(4580),
    [anon_sym_PERCENT_EQ] = ACTIONS(4580),
    [anon_sym_PLUS_EQ] = ACTIONS(4580),
    [anon_sym_DASH_EQ] = ACTIONS(4580),
    [anon_sym_LT_LT_EQ] = ACTIONS(4580),
    [anon_sym_GT_GT_EQ] = ACTIONS(4580),
    [anon_sym_AMP_EQ] = ACTIONS(4580),
    [anon_sym_CARET_EQ] = ACTIONS(4580),
    [anon_sym_PIPE_EQ] = ACTIONS(4580),
    [anon_sym_and_eq] = ACTIONS(4580),
    [anon_sym_or_eq] = ACTIONS(4580),
    [anon_sym_xor_eq] = ACTIONS(4580),
    [anon_sym_LT_EQ_GT] = ACTIONS(4580),
    [anon_sym_or] = ACTIONS(4587),
    [anon_sym_and] = ACTIONS(4587),
    [anon_sym_bitor] = ACTIONS(4580),
    [anon_sym_xor] = ACTIONS(4587),
    [anon_sym_bitand] = ACTIONS(4580),
    [anon_sym_not_eq] = ACTIONS(4580),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DOT_STAR] = ACTIONS(4580),
    [anon_sym_DASH_GT] = ACTIONS(4580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4585),
    [anon_sym_decltype] = ACTIONS(4585),
  },
  [1804] = {
    [sym_catch_clause] = STATE(1804),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(2413),
    [aux_sym_preproc_def_token1] = ACTIONS(2413),
    [aux_sym_preproc_if_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2413),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2413),
    [sym_preproc_directive] = ACTIONS(2413),
    [anon_sym_LPAREN2] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2415),
    [anon_sym_AMP_AMP] = ACTIONS(2415),
    [anon_sym_AMP] = ACTIONS(2413),
    [anon_sym___extension__] = ACTIONS(2413),
    [anon_sym_typedef] = ACTIONS(2413),
    [anon_sym_extern] = ACTIONS(2413),
    [anon_sym___attribute__] = ACTIONS(2413),
    [anon_sym_COLON_COLON] = ACTIONS(2415),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2415),
    [anon_sym___declspec] = ACTIONS(2413),
    [anon_sym___based] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2415),
    [anon_sym_signed] = ACTIONS(2413),
    [anon_sym_unsigned] = ACTIONS(2413),
    [anon_sym_long] = ACTIONS(2413),
    [anon_sym_short] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2413),
    [anon_sym_static] = ACTIONS(2413),
    [anon_sym_register] = ACTIONS(2413),
    [anon_sym_inline] = ACTIONS(2413),
    [anon_sym___inline] = ACTIONS(2413),
    [anon_sym___inline__] = ACTIONS(2413),
    [anon_sym___forceinline] = ACTIONS(2413),
    [anon_sym_thread_local] = ACTIONS(2413),
    [anon_sym___thread] = ACTIONS(2413),
    [anon_sym_const] = ACTIONS(2413),
    [anon_sym_constexpr] = ACTIONS(2413),
    [anon_sym_volatile] = ACTIONS(2413),
    [anon_sym_restrict] = ACTIONS(2413),
    [anon_sym___restrict__] = ACTIONS(2413),
    [anon_sym__Atomic] = ACTIONS(2413),
    [anon_sym__Noreturn] = ACTIONS(2413),
    [anon_sym_noreturn] = ACTIONS(2413),
    [anon_sym_mutable] = ACTIONS(2413),
    [anon_sym_constinit] = ACTIONS(2413),
    [anon_sym_consteval] = ACTIONS(2413),
    [anon_sym_alignas] = ACTIONS(2413),
    [anon_sym__Alignas] = ACTIONS(2413),
    [sym_primitive_type] = ACTIONS(2413),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_class] = ACTIONS(2413),
    [anon_sym_struct] = ACTIONS(2413),
    [anon_sym_union] = ACTIONS(2413),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2413),
    [anon_sym_decltype] = ACTIONS(2413),
    [sym_virtual] = ACTIONS(2413),
    [anon_sym_explicit] = ACTIONS(2413),
    [anon_sym_typename] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2413),
    [anon_sym_operator] = ACTIONS(2413),
    [anon_sym_friend] = ACTIONS(2413),
    [anon_sym_public] = ACTIONS(2413),
    [anon_sym_private] = ACTIONS(2413),
    [anon_sym_protected] = ACTIONS(2413),
    [anon_sym_using] = ACTIONS(2413),
    [anon_sym_static_assert] = ACTIONS(2413),
    [anon_sym_catch] = ACTIONS(5239),
  },
  [1805] = {
    [sym_string_literal] = STATE(1850),
    [sym_template_argument_list] = STATE(2891),
    [sym_raw_string_literal] = STATE(1850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(5242),
    [anon_sym_LPAREN2] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4626),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5242),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(5244),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(4622),
    [anon_sym_u_DQUOTE] = ACTIONS(4622),
    [anon_sym_U_DQUOTE] = ACTIONS(4622),
    [anon_sym_u8_DQUOTE] = ACTIONS(4622),
    [anon_sym_DQUOTE] = ACTIONS(4622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4624),
    [anon_sym_LR_DQUOTE] = ACTIONS(4624),
    [anon_sym_uR_DQUOTE] = ACTIONS(4624),
    [anon_sym_UR_DQUOTE] = ACTIONS(4624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4624),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [1806] = {
    [sym_string_literal] = STATE(1850),
    [sym_template_argument_list] = STATE(2856),
    [sym_raw_string_literal] = STATE(1850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(5246),
    [anon_sym_LPAREN2] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4615),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4618),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(5249),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(4622),
    [anon_sym_u_DQUOTE] = ACTIONS(4622),
    [anon_sym_U_DQUOTE] = ACTIONS(4622),
    [anon_sym_u8_DQUOTE] = ACTIONS(4622),
    [anon_sym_DQUOTE] = ACTIONS(4622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4624),
    [anon_sym_LR_DQUOTE] = ACTIONS(4624),
    [anon_sym_uR_DQUOTE] = ACTIONS(4624),
    [anon_sym_UR_DQUOTE] = ACTIONS(4624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4624),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [1807] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(5252),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1808] = {
    [sym_identifier] = ACTIONS(3192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [anon_sym_RPAREN] = ACTIONS(3194),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym__Alignas] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [anon_sym_DASH_GT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_final] = ACTIONS(3192),
    [anon_sym_override] = ACTIONS(3192),
    [sym_virtual] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_GT2] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_noexcept] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
  },
  [1809] = {
    [sym_identifier] = ACTIONS(5254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5256),
    [anon_sym_COMMA] = ACTIONS(5256),
    [anon_sym_RPAREN] = ACTIONS(5256),
    [aux_sym_preproc_if_token2] = ACTIONS(5256),
    [aux_sym_preproc_else_token1] = ACTIONS(5256),
    [aux_sym_preproc_elif_token1] = ACTIONS(5254),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5256),
    [anon_sym_LPAREN2] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_STAR] = ACTIONS(5256),
    [anon_sym_SLASH] = ACTIONS(5254),
    [anon_sym_PERCENT] = ACTIONS(5256),
    [anon_sym_PIPE_PIPE] = ACTIONS(5256),
    [anon_sym_AMP_AMP] = ACTIONS(5256),
    [anon_sym_PIPE] = ACTIONS(5254),
    [anon_sym_CARET] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(5254),
    [anon_sym_EQ_EQ] = ACTIONS(5256),
    [anon_sym_BANG_EQ] = ACTIONS(5256),
    [anon_sym_GT] = ACTIONS(5254),
    [anon_sym_GT_EQ] = ACTIONS(5256),
    [anon_sym_LT_EQ] = ACTIONS(5254),
    [anon_sym_LT] = ACTIONS(5254),
    [anon_sym_LT_LT] = ACTIONS(5256),
    [anon_sym_GT_GT] = ACTIONS(5256),
    [anon_sym_SEMI] = ACTIONS(5256),
    [anon_sym___extension__] = ACTIONS(5254),
    [anon_sym___attribute__] = ACTIONS(5254),
    [anon_sym_LBRACE] = ACTIONS(5256),
    [anon_sym_RBRACE] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [anon_sym_RBRACK] = ACTIONS(5256),
    [anon_sym_const] = ACTIONS(5254),
    [anon_sym_constexpr] = ACTIONS(5254),
    [anon_sym_volatile] = ACTIONS(5254),
    [anon_sym_restrict] = ACTIONS(5254),
    [anon_sym___restrict__] = ACTIONS(5254),
    [anon_sym__Atomic] = ACTIONS(5254),
    [anon_sym__Noreturn] = ACTIONS(5254),
    [anon_sym_noreturn] = ACTIONS(5254),
    [anon_sym_mutable] = ACTIONS(5254),
    [anon_sym_constinit] = ACTIONS(5254),
    [anon_sym_consteval] = ACTIONS(5254),
    [anon_sym_alignas] = ACTIONS(5254),
    [anon_sym__Alignas] = ACTIONS(5254),
    [anon_sym_COLON] = ACTIONS(5256),
    [anon_sym_QMARK] = ACTIONS(5256),
    [anon_sym_LT_EQ_GT] = ACTIONS(5256),
    [anon_sym_or] = ACTIONS(5254),
    [anon_sym_and] = ACTIONS(5254),
    [anon_sym_bitor] = ACTIONS(5254),
    [anon_sym_xor] = ACTIONS(5254),
    [anon_sym_bitand] = ACTIONS(5254),
    [anon_sym_not_eq] = ACTIONS(5254),
    [anon_sym_DASH_DASH] = ACTIONS(5256),
    [anon_sym_PLUS_PLUS] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_DOT_STAR] = ACTIONS(5256),
    [anon_sym_DASH_GT] = ACTIONS(5256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5254),
    [anon_sym_decltype] = ACTIONS(5254),
    [anon_sym_final] = ACTIONS(5254),
    [anon_sym_override] = ACTIONS(5254),
    [anon_sym_requires] = ACTIONS(5254),
  },
  [1810] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(3808),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1811] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1812] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5242),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(5244),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1813] = {
    [sym_identifier] = ACTIONS(4924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4926),
    [anon_sym_COMMA] = ACTIONS(4926),
    [anon_sym_RPAREN] = ACTIONS(4926),
    [aux_sym_preproc_if_token2] = ACTIONS(4926),
    [aux_sym_preproc_else_token1] = ACTIONS(4926),
    [aux_sym_preproc_elif_token1] = ACTIONS(4924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4926),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4926),
    [anon_sym_LPAREN2] = ACTIONS(4926),
    [anon_sym_DASH] = ACTIONS(4924),
    [anon_sym_PLUS] = ACTIONS(4924),
    [anon_sym_STAR] = ACTIONS(4924),
    [anon_sym_SLASH] = ACTIONS(4924),
    [anon_sym_PERCENT] = ACTIONS(4924),
    [anon_sym_PIPE_PIPE] = ACTIONS(4926),
    [anon_sym_AMP_AMP] = ACTIONS(4926),
    [anon_sym_PIPE] = ACTIONS(4924),
    [anon_sym_CARET] = ACTIONS(4924),
    [anon_sym_AMP] = ACTIONS(4924),
    [anon_sym_EQ_EQ] = ACTIONS(4926),
    [anon_sym_BANG_EQ] = ACTIONS(4926),
    [anon_sym_GT] = ACTIONS(4924),
    [anon_sym_GT_EQ] = ACTIONS(4926),
    [anon_sym_LT_EQ] = ACTIONS(4924),
    [anon_sym_LT] = ACTIONS(4924),
    [anon_sym_LT_LT] = ACTIONS(4924),
    [anon_sym_GT_GT] = ACTIONS(4924),
    [anon_sym_SEMI] = ACTIONS(4926),
    [anon_sym___attribute__] = ACTIONS(4924),
    [anon_sym_COLON_COLON] = ACTIONS(4914),
    [anon_sym_LBRACE] = ACTIONS(4926),
    [anon_sym_RBRACE] = ACTIONS(4926),
    [anon_sym_LBRACK] = ACTIONS(4926),
    [anon_sym_RBRACK] = ACTIONS(4926),
    [anon_sym_EQ] = ACTIONS(4924),
    [anon_sym_COLON] = ACTIONS(4924),
    [anon_sym_QMARK] = ACTIONS(4926),
    [anon_sym_STAR_EQ] = ACTIONS(4926),
    [anon_sym_SLASH_EQ] = ACTIONS(4926),
    [anon_sym_PERCENT_EQ] = ACTIONS(4926),
    [anon_sym_PLUS_EQ] = ACTIONS(4926),
    [anon_sym_DASH_EQ] = ACTIONS(4926),
    [anon_sym_LT_LT_EQ] = ACTIONS(4926),
    [anon_sym_GT_GT_EQ] = ACTIONS(4926),
    [anon_sym_AMP_EQ] = ACTIONS(4926),
    [anon_sym_CARET_EQ] = ACTIONS(4926),
    [anon_sym_PIPE_EQ] = ACTIONS(4926),
    [anon_sym_and_eq] = ACTIONS(4924),
    [anon_sym_or_eq] = ACTIONS(4924),
    [anon_sym_xor_eq] = ACTIONS(4924),
    [anon_sym_LT_EQ_GT] = ACTIONS(4926),
    [anon_sym_or] = ACTIONS(4924),
    [anon_sym_and] = ACTIONS(4924),
    [anon_sym_bitor] = ACTIONS(4924),
    [anon_sym_xor] = ACTIONS(4924),
    [anon_sym_bitand] = ACTIONS(4924),
    [anon_sym_not_eq] = ACTIONS(4924),
    [anon_sym_DASH_DASH] = ACTIONS(4926),
    [anon_sym_PLUS_PLUS] = ACTIONS(4926),
    [anon_sym_DOT] = ACTIONS(4924),
    [anon_sym_DOT_STAR] = ACTIONS(4926),
    [anon_sym_DASH_GT] = ACTIONS(4926),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4924),
    [anon_sym_decltype] = ACTIONS(4924),
    [anon_sym_final] = ACTIONS(4924),
    [anon_sym_override] = ACTIONS(4924),
  },
  [1814] = {
    [sym_identifier] = ACTIONS(4910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4912),
    [anon_sym_COMMA] = ACTIONS(4912),
    [anon_sym_RPAREN] = ACTIONS(4912),
    [aux_sym_preproc_if_token2] = ACTIONS(4912),
    [aux_sym_preproc_else_token1] = ACTIONS(4912),
    [aux_sym_preproc_elif_token1] = ACTIONS(4910),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(4912),
    [anon_sym_DASH] = ACTIONS(4910),
    [anon_sym_PLUS] = ACTIONS(4910),
    [anon_sym_STAR] = ACTIONS(4912),
    [anon_sym_SLASH] = ACTIONS(4910),
    [anon_sym_PERCENT] = ACTIONS(4912),
    [anon_sym_PIPE_PIPE] = ACTIONS(4912),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_PIPE] = ACTIONS(4910),
    [anon_sym_CARET] = ACTIONS(4912),
    [anon_sym_AMP] = ACTIONS(4910),
    [anon_sym_EQ_EQ] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4912),
    [anon_sym_GT] = ACTIONS(4910),
    [anon_sym_GT_EQ] = ACTIONS(4912),
    [anon_sym_LT_EQ] = ACTIONS(4910),
    [anon_sym_LT] = ACTIONS(4910),
    [anon_sym_LT_LT] = ACTIONS(4912),
    [anon_sym_GT_GT] = ACTIONS(4912),
    [anon_sym_SEMI] = ACTIONS(4912),
    [anon_sym___extension__] = ACTIONS(4910),
    [anon_sym___attribute__] = ACTIONS(4910),
    [anon_sym_LBRACE] = ACTIONS(4912),
    [anon_sym_RBRACE] = ACTIONS(4912),
    [anon_sym_LBRACK] = ACTIONS(4912),
    [anon_sym_RBRACK] = ACTIONS(4912),
    [anon_sym_const] = ACTIONS(4910),
    [anon_sym_constexpr] = ACTIONS(4910),
    [anon_sym_volatile] = ACTIONS(4910),
    [anon_sym_restrict] = ACTIONS(4910),
    [anon_sym___restrict__] = ACTIONS(4910),
    [anon_sym__Atomic] = ACTIONS(4910),
    [anon_sym__Noreturn] = ACTIONS(4910),
    [anon_sym_noreturn] = ACTIONS(4910),
    [anon_sym_mutable] = ACTIONS(4910),
    [anon_sym_constinit] = ACTIONS(4910),
    [anon_sym_consteval] = ACTIONS(4910),
    [anon_sym_alignas] = ACTIONS(4910),
    [anon_sym__Alignas] = ACTIONS(4910),
    [anon_sym_COLON] = ACTIONS(4912),
    [anon_sym_QMARK] = ACTIONS(4912),
    [anon_sym_LT_EQ_GT] = ACTIONS(4912),
    [anon_sym_or] = ACTIONS(4910),
    [anon_sym_and] = ACTIONS(4910),
    [anon_sym_bitor] = ACTIONS(4910),
    [anon_sym_xor] = ACTIONS(4910),
    [anon_sym_bitand] = ACTIONS(4910),
    [anon_sym_not_eq] = ACTIONS(4910),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_DOT] = ACTIONS(4910),
    [anon_sym_DOT_STAR] = ACTIONS(4912),
    [anon_sym_DASH_GT] = ACTIONS(4912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4910),
    [anon_sym_decltype] = ACTIONS(4910),
    [anon_sym_final] = ACTIONS(4910),
    [anon_sym_override] = ACTIONS(4910),
    [anon_sym_requires] = ACTIONS(4910),
  },
  [1815] = {
    [sym_catch_clause] = STATE(1804),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_friend] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(5258),
  },
  [1816] = {
    [sym_catch_clause] = STATE(1804),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym_RBRACE] = ACTIONS(2409),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_friend] = ACTIONS(2407),
    [anon_sym_public] = ACTIONS(2407),
    [anon_sym_private] = ACTIONS(2407),
    [anon_sym_protected] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(5258),
  },
  [1817] = {
    [sym_identifier] = ACTIONS(5254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5256),
    [anon_sym_COMMA] = ACTIONS(5256),
    [anon_sym_RPAREN] = ACTIONS(5256),
    [anon_sym_LPAREN2] = ACTIONS(5256),
    [anon_sym_TILDE] = ACTIONS(5256),
    [anon_sym_STAR] = ACTIONS(5256),
    [anon_sym_AMP_AMP] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(5256),
    [anon_sym___extension__] = ACTIONS(5254),
    [anon_sym_extern] = ACTIONS(5254),
    [anon_sym___attribute__] = ACTIONS(5254),
    [anon_sym_COLON_COLON] = ACTIONS(5256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5256),
    [anon_sym___declspec] = ACTIONS(5254),
    [anon_sym___based] = ACTIONS(5254),
    [anon_sym_LBRACE] = ACTIONS(5256),
    [anon_sym_signed] = ACTIONS(5254),
    [anon_sym_unsigned] = ACTIONS(5254),
    [anon_sym_long] = ACTIONS(5254),
    [anon_sym_short] = ACTIONS(5254),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [anon_sym_static] = ACTIONS(5254),
    [anon_sym_EQ] = ACTIONS(5256),
    [anon_sym_register] = ACTIONS(5254),
    [anon_sym_inline] = ACTIONS(5254),
    [anon_sym___inline] = ACTIONS(5254),
    [anon_sym___inline__] = ACTIONS(5254),
    [anon_sym___forceinline] = ACTIONS(5254),
    [anon_sym_thread_local] = ACTIONS(5254),
    [anon_sym___thread] = ACTIONS(5254),
    [anon_sym_const] = ACTIONS(5254),
    [anon_sym_constexpr] = ACTIONS(5254),
    [anon_sym_volatile] = ACTIONS(5254),
    [anon_sym_restrict] = ACTIONS(5254),
    [anon_sym___restrict__] = ACTIONS(5254),
    [anon_sym__Atomic] = ACTIONS(5254),
    [anon_sym__Noreturn] = ACTIONS(5254),
    [anon_sym_noreturn] = ACTIONS(5254),
    [anon_sym_mutable] = ACTIONS(5254),
    [anon_sym_constinit] = ACTIONS(5254),
    [anon_sym_consteval] = ACTIONS(5254),
    [anon_sym_alignas] = ACTIONS(5254),
    [anon_sym__Alignas] = ACTIONS(5254),
    [sym_primitive_type] = ACTIONS(5254),
    [anon_sym_enum] = ACTIONS(5254),
    [anon_sym_class] = ACTIONS(5254),
    [anon_sym_struct] = ACTIONS(5254),
    [anon_sym_union] = ACTIONS(5254),
    [anon_sym_asm] = ACTIONS(5254),
    [anon_sym___asm__] = ACTIONS(5254),
    [anon_sym_DASH_GT] = ACTIONS(5256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5254),
    [anon_sym_decltype] = ACTIONS(5254),
    [anon_sym_final] = ACTIONS(5254),
    [anon_sym_override] = ACTIONS(5254),
    [sym_virtual] = ACTIONS(5254),
    [anon_sym_explicit] = ACTIONS(5254),
    [anon_sym_typename] = ACTIONS(5254),
    [anon_sym_template] = ACTIONS(5254),
    [anon_sym_GT2] = ACTIONS(5256),
    [anon_sym_operator] = ACTIONS(5254),
    [anon_sym_try] = ACTIONS(5254),
    [anon_sym_noexcept] = ACTIONS(5254),
    [anon_sym_throw] = ACTIONS(5254),
    [anon_sym_requires] = ACTIONS(5254),
  },
  [1818] = {
    [sym_string_literal] = STATE(1576),
    [sym_template_argument_list] = STATE(2661),
    [sym_raw_string_literal] = STATE(1576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(5246),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(5260),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4618),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(5249),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
  },
  [1819] = {
    [sym_string_literal] = STATE(1576),
    [sym_raw_string_literal] = STATE(1576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4949),
    [anon_sym_COMMA] = ACTIONS(4949),
    [anon_sym_RPAREN] = ACTIONS(4949),
    [anon_sym_LPAREN2] = ACTIONS(4949),
    [anon_sym_DASH] = ACTIONS(4947),
    [anon_sym_PLUS] = ACTIONS(4947),
    [anon_sym_STAR] = ACTIONS(4947),
    [anon_sym_SLASH] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(4947),
    [anon_sym_PIPE_PIPE] = ACTIONS(4949),
    [anon_sym_AMP_AMP] = ACTIONS(4949),
    [anon_sym_PIPE] = ACTIONS(4947),
    [anon_sym_CARET] = ACTIONS(4947),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_EQ_EQ] = ACTIONS(4949),
    [anon_sym_BANG_EQ] = ACTIONS(4949),
    [anon_sym_GT] = ACTIONS(4947),
    [anon_sym_GT_EQ] = ACTIONS(4949),
    [anon_sym_LT_EQ] = ACTIONS(4947),
    [anon_sym_LT] = ACTIONS(4947),
    [anon_sym_LT_LT] = ACTIONS(4947),
    [anon_sym_GT_GT] = ACTIONS(4947),
    [anon_sym_SEMI] = ACTIONS(4949),
    [anon_sym_RBRACE] = ACTIONS(4949),
    [anon_sym_LBRACK] = ACTIONS(4949),
    [anon_sym_RBRACK] = ACTIONS(4949),
    [anon_sym_EQ] = ACTIONS(4947),
    [anon_sym_COLON] = ACTIONS(4949),
    [anon_sym_QMARK] = ACTIONS(4949),
    [anon_sym_STAR_EQ] = ACTIONS(4949),
    [anon_sym_SLASH_EQ] = ACTIONS(4949),
    [anon_sym_PERCENT_EQ] = ACTIONS(4949),
    [anon_sym_PLUS_EQ] = ACTIONS(4949),
    [anon_sym_DASH_EQ] = ACTIONS(4949),
    [anon_sym_LT_LT_EQ] = ACTIONS(4949),
    [anon_sym_GT_GT_EQ] = ACTIONS(4949),
    [anon_sym_AMP_EQ] = ACTIONS(4949),
    [anon_sym_CARET_EQ] = ACTIONS(4949),
    [anon_sym_PIPE_EQ] = ACTIONS(4949),
    [anon_sym_and_eq] = ACTIONS(4947),
    [anon_sym_or_eq] = ACTIONS(4947),
    [anon_sym_xor_eq] = ACTIONS(4947),
    [anon_sym_LT_EQ_GT] = ACTIONS(4949),
    [anon_sym_or] = ACTIONS(4947),
    [anon_sym_and] = ACTIONS(4947),
    [anon_sym_bitor] = ACTIONS(4947),
    [anon_sym_xor] = ACTIONS(4947),
    [anon_sym_bitand] = ACTIONS(4947),
    [anon_sym_not_eq] = ACTIONS(4947),
    [anon_sym_DASH_DASH] = ACTIONS(4949),
    [anon_sym_PLUS_PLUS] = ACTIONS(4949),
    [anon_sym_DOT] = ACTIONS(4947),
    [anon_sym_DOT_STAR] = ACTIONS(4949),
    [anon_sym_DASH_GT] = ACTIONS(4949),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [sym_literal_suffix] = ACTIONS(4951),
  },
  [1820] = {
    [sym_string_literal] = STATE(1576),
    [sym_raw_string_literal] = STATE(1576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3778),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_RBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_COLON] = ACTIONS(3770),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3778),
    [anon_sym_or_eq] = ACTIONS(3778),
    [anon_sym_xor_eq] = ACTIONS(3778),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
    [sym_literal_suffix] = ACTIONS(4951),
  },
  [1821] = {
    [sym_string_literal] = STATE(1576),
    [sym_template_argument_list] = STATE(2204),
    [sym_raw_string_literal] = STATE(1576),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(5242),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4753),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5242),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_RBRACE] = ACTIONS(3770),
    [anon_sym_LBRACK] = ACTIONS(5244),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(1912),
    [anon_sym_u_DQUOTE] = ACTIONS(1912),
    [anon_sym_U_DQUOTE] = ACTIONS(1912),
    [anon_sym_u8_DQUOTE] = ACTIONS(1912),
    [anon_sym_DQUOTE] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(1922),
    [anon_sym_LR_DQUOTE] = ACTIONS(1922),
    [anon_sym_uR_DQUOTE] = ACTIONS(1922),
    [anon_sym_UR_DQUOTE] = ACTIONS(1922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1922),
  },
  [1822] = {
    [sym_catch_clause] = STATE(1797),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1797),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___based] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_mutable] = ACTIONS(2474),
    [anon_sym_constinit] = ACTIONS(2474),
    [anon_sym_consteval] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2474),
    [anon_sym_decltype] = ACTIONS(2474),
    [sym_virtual] = ACTIONS(2474),
    [anon_sym_explicit] = ACTIONS(2474),
    [anon_sym_typename] = ACTIONS(2474),
    [anon_sym_template] = ACTIONS(2474),
    [anon_sym_operator] = ACTIONS(2474),
    [anon_sym_friend] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_static_assert] = ACTIONS(2474),
    [anon_sym_catch] = ACTIONS(5263),
  },
  [1823] = {
    [sym_catch_clause] = STATE(1797),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1797),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_friend] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(5263),
  },
  [1824] = {
    [sym_catch_clause] = STATE(1797),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1797),
    [sym_identifier] = ACTIONS(2407),
    [aux_sym_preproc_def_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token1] = ACTIONS(2407),
    [aux_sym_preproc_if_token2] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2407),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2407),
    [sym_preproc_directive] = ACTIONS(2407),
    [anon_sym_LPAREN2] = ACTIONS(2409),
    [anon_sym_TILDE] = ACTIONS(2409),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_AMP_AMP] = ACTIONS(2409),
    [anon_sym_AMP] = ACTIONS(2407),
    [anon_sym___extension__] = ACTIONS(2407),
    [anon_sym_typedef] = ACTIONS(2407),
    [anon_sym_extern] = ACTIONS(2407),
    [anon_sym___attribute__] = ACTIONS(2407),
    [anon_sym_COLON_COLON] = ACTIONS(2409),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2409),
    [anon_sym___declspec] = ACTIONS(2407),
    [anon_sym___based] = ACTIONS(2407),
    [anon_sym_signed] = ACTIONS(2407),
    [anon_sym_unsigned] = ACTIONS(2407),
    [anon_sym_long] = ACTIONS(2407),
    [anon_sym_short] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_static] = ACTIONS(2407),
    [anon_sym_register] = ACTIONS(2407),
    [anon_sym_inline] = ACTIONS(2407),
    [anon_sym___inline] = ACTIONS(2407),
    [anon_sym___inline__] = ACTIONS(2407),
    [anon_sym___forceinline] = ACTIONS(2407),
    [anon_sym_thread_local] = ACTIONS(2407),
    [anon_sym___thread] = ACTIONS(2407),
    [anon_sym_const] = ACTIONS(2407),
    [anon_sym_constexpr] = ACTIONS(2407),
    [anon_sym_volatile] = ACTIONS(2407),
    [anon_sym_restrict] = ACTIONS(2407),
    [anon_sym___restrict__] = ACTIONS(2407),
    [anon_sym__Atomic] = ACTIONS(2407),
    [anon_sym__Noreturn] = ACTIONS(2407),
    [anon_sym_noreturn] = ACTIONS(2407),
    [anon_sym_mutable] = ACTIONS(2407),
    [anon_sym_constinit] = ACTIONS(2407),
    [anon_sym_consteval] = ACTIONS(2407),
    [anon_sym_alignas] = ACTIONS(2407),
    [anon_sym__Alignas] = ACTIONS(2407),
    [sym_primitive_type] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2407),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_union] = ACTIONS(2407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2407),
    [anon_sym_decltype] = ACTIONS(2407),
    [sym_virtual] = ACTIONS(2407),
    [anon_sym_explicit] = ACTIONS(2407),
    [anon_sym_typename] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2407),
    [anon_sym_operator] = ACTIONS(2407),
    [anon_sym_friend] = ACTIONS(2407),
    [anon_sym_public] = ACTIONS(2407),
    [anon_sym_private] = ACTIONS(2407),
    [anon_sym_protected] = ACTIONS(2407),
    [anon_sym_using] = ACTIONS(2407),
    [anon_sym_static_assert] = ACTIONS(2407),
    [anon_sym_catch] = ACTIONS(5263),
  },
  [1825] = {
    [sym_catch_clause] = STATE(1804),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1804),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___based] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_mutable] = ACTIONS(2478),
    [anon_sym_constinit] = ACTIONS(2478),
    [anon_sym_consteval] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2478),
    [anon_sym_decltype] = ACTIONS(2478),
    [sym_virtual] = ACTIONS(2478),
    [anon_sym_explicit] = ACTIONS(2478),
    [anon_sym_typename] = ACTIONS(2478),
    [anon_sym_template] = ACTIONS(2478),
    [anon_sym_operator] = ACTIONS(2478),
    [anon_sym_friend] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_static_assert] = ACTIONS(2478),
    [anon_sym_catch] = ACTIONS(5258),
  },
  [1826] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
  },
  [1827] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4494),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1828] = {
    [sym_string_literal] = STATE(1854),
    [sym_raw_string_literal] = STATE(1854),
    [aux_sym_concatenated_string_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(5265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4758),
    [anon_sym_COMMA] = ACTIONS(4758),
    [anon_sym_LPAREN2] = ACTIONS(4758),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_STAR] = ACTIONS(4760),
    [anon_sym_SLASH] = ACTIONS(4760),
    [anon_sym_PERCENT] = ACTIONS(4760),
    [anon_sym_PIPE_PIPE] = ACTIONS(4758),
    [anon_sym_AMP_AMP] = ACTIONS(4758),
    [anon_sym_PIPE] = ACTIONS(4760),
    [anon_sym_CARET] = ACTIONS(4760),
    [anon_sym_AMP] = ACTIONS(4760),
    [anon_sym_EQ_EQ] = ACTIONS(4758),
    [anon_sym_BANG_EQ] = ACTIONS(4758),
    [anon_sym_GT] = ACTIONS(4760),
    [anon_sym_GT_EQ] = ACTIONS(4758),
    [anon_sym_LT_EQ] = ACTIONS(4760),
    [anon_sym_LT] = ACTIONS(4760),
    [anon_sym_LT_LT] = ACTIONS(4760),
    [anon_sym_GT_GT] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4758),
    [anon_sym___attribute__] = ACTIONS(4760),
    [anon_sym_LBRACK] = ACTIONS(4758),
    [anon_sym_EQ] = ACTIONS(4760),
    [anon_sym_QMARK] = ACTIONS(4758),
    [anon_sym_STAR_EQ] = ACTIONS(4758),
    [anon_sym_SLASH_EQ] = ACTIONS(4758),
    [anon_sym_PERCENT_EQ] = ACTIONS(4758),
    [anon_sym_PLUS_EQ] = ACTIONS(4758),
    [anon_sym_DASH_EQ] = ACTIONS(4758),
    [anon_sym_LT_LT_EQ] = ACTIONS(4758),
    [anon_sym_GT_GT_EQ] = ACTIONS(4758),
    [anon_sym_AMP_EQ] = ACTIONS(4758),
    [anon_sym_CARET_EQ] = ACTIONS(4758),
    [anon_sym_PIPE_EQ] = ACTIONS(4758),
    [anon_sym_and_eq] = ACTIONS(4760),
    [anon_sym_or_eq] = ACTIONS(4760),
    [anon_sym_xor_eq] = ACTIONS(4760),
    [anon_sym_LT_EQ_GT] = ACTIONS(4758),
    [anon_sym_or] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(4760),
    [anon_sym_bitor] = ACTIONS(4760),
    [anon_sym_xor] = ACTIONS(4760),
    [anon_sym_bitand] = ACTIONS(4760),
    [anon_sym_not_eq] = ACTIONS(4760),
    [anon_sym_DASH_DASH] = ACTIONS(4758),
    [anon_sym_PLUS_PLUS] = ACTIONS(4758),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_DOT_STAR] = ACTIONS(4758),
    [anon_sym_DASH_GT] = ACTIONS(4758),
    [anon_sym_L_DQUOTE] = ACTIONS(5267),
    [anon_sym_u_DQUOTE] = ACTIONS(5267),
    [anon_sym_U_DQUOTE] = ACTIONS(5267),
    [anon_sym_u8_DQUOTE] = ACTIONS(5267),
    [anon_sym_DQUOTE] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5269),
    [anon_sym_LR_DQUOTE] = ACTIONS(5269),
    [anon_sym_uR_DQUOTE] = ACTIONS(5269),
    [anon_sym_UR_DQUOTE] = ACTIONS(5269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5269),
    [sym_literal_suffix] = ACTIONS(4760),
  },
  [1829] = {
    [sym_string_literal] = STATE(3087),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(3087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___attribute__] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(5271),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(5273),
    [anon_sym_SLASH_EQ] = ACTIONS(5273),
    [anon_sym_PERCENT_EQ] = ACTIONS(5273),
    [anon_sym_PLUS_EQ] = ACTIONS(5273),
    [anon_sym_DASH_EQ] = ACTIONS(5273),
    [anon_sym_LT_LT_EQ] = ACTIONS(5273),
    [anon_sym_GT_GT_EQ] = ACTIONS(5273),
    [anon_sym_AMP_EQ] = ACTIONS(5273),
    [anon_sym_CARET_EQ] = ACTIONS(5273),
    [anon_sym_PIPE_EQ] = ACTIONS(5273),
    [anon_sym_and_eq] = ACTIONS(5273),
    [anon_sym_or_eq] = ACTIONS(5273),
    [anon_sym_xor_eq] = ACTIONS(5273),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(5275),
    [anon_sym_u_DQUOTE] = ACTIONS(5275),
    [anon_sym_U_DQUOTE] = ACTIONS(5275),
    [anon_sym_u8_DQUOTE] = ACTIONS(5275),
    [anon_sym_DQUOTE] = ACTIONS(5275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5277),
    [anon_sym_LR_DQUOTE] = ACTIONS(5277),
    [anon_sym_uR_DQUOTE] = ACTIONS(5277),
    [anon_sym_UR_DQUOTE] = ACTIONS(5277),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5277),
  },
  [1830] = {
    [sym_template_argument_list] = STATE(1551),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1965),
    [sym_identifier] = ACTIONS(5279),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5281),
    [anon_sym_COMMA] = ACTIONS(5281),
    [aux_sym_preproc_if_token2] = ACTIONS(5281),
    [aux_sym_preproc_else_token1] = ACTIONS(5281),
    [aux_sym_preproc_elif_token1] = ACTIONS(5279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5281),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5281),
    [anon_sym_LPAREN2] = ACTIONS(5281),
    [anon_sym_DASH] = ACTIONS(5279),
    [anon_sym_PLUS] = ACTIONS(5279),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_SLASH] = ACTIONS(5279),
    [anon_sym_PERCENT] = ACTIONS(5279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5281),
    [anon_sym_AMP_AMP] = ACTIONS(5281),
    [anon_sym_PIPE] = ACTIONS(5279),
    [anon_sym_CARET] = ACTIONS(5279),
    [anon_sym_AMP] = ACTIONS(5279),
    [anon_sym_EQ_EQ] = ACTIONS(5281),
    [anon_sym_BANG_EQ] = ACTIONS(5281),
    [anon_sym_GT] = ACTIONS(5279),
    [anon_sym_GT_EQ] = ACTIONS(5281),
    [anon_sym_LT_EQ] = ACTIONS(5279),
    [anon_sym_LT] = ACTIONS(5279),
    [anon_sym_LT_LT] = ACTIONS(5279),
    [anon_sym_GT_GT] = ACTIONS(5279),
    [anon_sym___attribute__] = ACTIONS(5279),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(5281),
    [anon_sym_signed] = ACTIONS(5283),
    [anon_sym_unsigned] = ACTIONS(5283),
    [anon_sym_long] = ACTIONS(5283),
    [anon_sym_short] = ACTIONS(5283),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [anon_sym_EQ] = ACTIONS(5279),
    [anon_sym_QMARK] = ACTIONS(5281),
    [anon_sym_STAR_EQ] = ACTIONS(5281),
    [anon_sym_SLASH_EQ] = ACTIONS(5281),
    [anon_sym_PERCENT_EQ] = ACTIONS(5281),
    [anon_sym_PLUS_EQ] = ACTIONS(5281),
    [anon_sym_DASH_EQ] = ACTIONS(5281),
    [anon_sym_LT_LT_EQ] = ACTIONS(5281),
    [anon_sym_GT_GT_EQ] = ACTIONS(5281),
    [anon_sym_AMP_EQ] = ACTIONS(5281),
    [anon_sym_CARET_EQ] = ACTIONS(5281),
    [anon_sym_PIPE_EQ] = ACTIONS(5281),
    [anon_sym_and_eq] = ACTIONS(5279),
    [anon_sym_or_eq] = ACTIONS(5279),
    [anon_sym_xor_eq] = ACTIONS(5279),
    [anon_sym_LT_EQ_GT] = ACTIONS(5281),
    [anon_sym_or] = ACTIONS(5279),
    [anon_sym_and] = ACTIONS(5279),
    [anon_sym_bitor] = ACTIONS(5279),
    [anon_sym_xor] = ACTIONS(5279),
    [anon_sym_bitand] = ACTIONS(5279),
    [anon_sym_not_eq] = ACTIONS(5279),
    [anon_sym_DASH_DASH] = ACTIONS(5281),
    [anon_sym_PLUS_PLUS] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5279),
    [anon_sym_DOT_STAR] = ACTIONS(5281),
    [anon_sym_DASH_GT] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5279),
    [anon_sym_decltype] = ACTIONS(5279),
  },
  [1831] = {
    [sym_string_literal] = STATE(1831),
    [sym_raw_string_literal] = STATE(1831),
    [aux_sym_concatenated_string_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(5285),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4779),
    [anon_sym_COMMA] = ACTIONS(4779),
    [anon_sym_RPAREN] = ACTIONS(4779),
    [anon_sym_LPAREN2] = ACTIONS(4779),
    [anon_sym_DASH] = ACTIONS(4781),
    [anon_sym_PLUS] = ACTIONS(4781),
    [anon_sym_STAR] = ACTIONS(4781),
    [anon_sym_SLASH] = ACTIONS(4781),
    [anon_sym_PERCENT] = ACTIONS(4781),
    [anon_sym_PIPE_PIPE] = ACTIONS(4779),
    [anon_sym_AMP_AMP] = ACTIONS(4779),
    [anon_sym_PIPE] = ACTIONS(4781),
    [anon_sym_CARET] = ACTIONS(4781),
    [anon_sym_AMP] = ACTIONS(4781),
    [anon_sym_EQ_EQ] = ACTIONS(4779),
    [anon_sym_BANG_EQ] = ACTIONS(4779),
    [anon_sym_GT] = ACTIONS(4781),
    [anon_sym_GT_EQ] = ACTIONS(4779),
    [anon_sym_LT_EQ] = ACTIONS(4781),
    [anon_sym_LT] = ACTIONS(4781),
    [anon_sym_LT_LT] = ACTIONS(4781),
    [anon_sym_GT_GT] = ACTIONS(4781),
    [anon_sym_LBRACK] = ACTIONS(4779),
    [anon_sym_EQ] = ACTIONS(4781),
    [anon_sym_QMARK] = ACTIONS(4779),
    [anon_sym_STAR_EQ] = ACTIONS(4779),
    [anon_sym_SLASH_EQ] = ACTIONS(4779),
    [anon_sym_PERCENT_EQ] = ACTIONS(4779),
    [anon_sym_PLUS_EQ] = ACTIONS(4779),
    [anon_sym_DASH_EQ] = ACTIONS(4779),
    [anon_sym_LT_LT_EQ] = ACTIONS(4779),
    [anon_sym_GT_GT_EQ] = ACTIONS(4779),
    [anon_sym_AMP_EQ] = ACTIONS(4779),
    [anon_sym_CARET_EQ] = ACTIONS(4779),
    [anon_sym_PIPE_EQ] = ACTIONS(4779),
    [anon_sym_and_eq] = ACTIONS(4781),
    [anon_sym_or_eq] = ACTIONS(4781),
    [anon_sym_xor_eq] = ACTIONS(4781),
    [anon_sym_LT_EQ_GT] = ACTIONS(4779),
    [anon_sym_or] = ACTIONS(4781),
    [anon_sym_and] = ACTIONS(4781),
    [anon_sym_bitor] = ACTIONS(4781),
    [anon_sym_xor] = ACTIONS(4781),
    [anon_sym_bitand] = ACTIONS(4781),
    [anon_sym_not_eq] = ACTIONS(4781),
    [anon_sym_DASH_DASH] = ACTIONS(4779),
    [anon_sym_PLUS_PLUS] = ACTIONS(4779),
    [anon_sym_DOT] = ACTIONS(4781),
    [anon_sym_DOT_STAR] = ACTIONS(4779),
    [anon_sym_DASH_GT] = ACTIONS(4781),
    [anon_sym_L_DQUOTE] = ACTIONS(5288),
    [anon_sym_u_DQUOTE] = ACTIONS(5288),
    [anon_sym_U_DQUOTE] = ACTIONS(5288),
    [anon_sym_u8_DQUOTE] = ACTIONS(5288),
    [anon_sym_DQUOTE] = ACTIONS(5288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5291),
    [anon_sym_LR_DQUOTE] = ACTIONS(5291),
    [anon_sym_uR_DQUOTE] = ACTIONS(5291),
    [anon_sym_UR_DQUOTE] = ACTIONS(5291),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5291),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4779),
    [sym_literal_suffix] = ACTIONS(4781),
  },
  [1832] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(6753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(5294),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_RBRACK] = ACTIONS(5296),
    [anon_sym_EQ] = ACTIONS(5299),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(5301),
    [anon_sym_SLASH_EQ] = ACTIONS(5301),
    [anon_sym_PERCENT_EQ] = ACTIONS(5301),
    [anon_sym_PLUS_EQ] = ACTIONS(5301),
    [anon_sym_DASH_EQ] = ACTIONS(5301),
    [anon_sym_LT_LT_EQ] = ACTIONS(5301),
    [anon_sym_GT_GT_EQ] = ACTIONS(5301),
    [anon_sym_AMP_EQ] = ACTIONS(5301),
    [anon_sym_CARET_EQ] = ACTIONS(5301),
    [anon_sym_PIPE_EQ] = ACTIONS(5301),
    [anon_sym_and_eq] = ACTIONS(5301),
    [anon_sym_or_eq] = ACTIONS(5301),
    [anon_sym_xor_eq] = ACTIONS(5301),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1833] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5303),
    [anon_sym_COMMA] = ACTIONS(5303),
    [anon_sym_RPAREN] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5303),
    [anon_sym_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5303),
    [anon_sym_SLASH] = ACTIONS(5305),
    [anon_sym_PERCENT] = ACTIONS(5303),
    [anon_sym_PIPE_PIPE] = ACTIONS(5303),
    [anon_sym_AMP_AMP] = ACTIONS(5303),
    [anon_sym_PIPE] = ACTIONS(5305),
    [anon_sym_CARET] = ACTIONS(5303),
    [anon_sym_AMP] = ACTIONS(5305),
    [anon_sym_EQ_EQ] = ACTIONS(5303),
    [anon_sym_BANG_EQ] = ACTIONS(5303),
    [anon_sym_GT] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5303),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5305),
    [anon_sym_LT_LT] = ACTIONS(5303),
    [anon_sym_GT_GT] = ACTIONS(5303),
    [anon_sym_SEMI] = ACTIONS(5303),
    [anon_sym___extension__] = ACTIONS(5303),
    [anon_sym___attribute__] = ACTIONS(5303),
    [anon_sym_LBRACE] = ACTIONS(5303),
    [anon_sym_RBRACE] = ACTIONS(5303),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_RBRACK] = ACTIONS(5303),
    [anon_sym_const] = ACTIONS(5305),
    [anon_sym_constexpr] = ACTIONS(5303),
    [anon_sym_volatile] = ACTIONS(5303),
    [anon_sym_restrict] = ACTIONS(5303),
    [anon_sym___restrict__] = ACTIONS(5303),
    [anon_sym__Atomic] = ACTIONS(5303),
    [anon_sym__Noreturn] = ACTIONS(5303),
    [anon_sym_noreturn] = ACTIONS(5303),
    [anon_sym_mutable] = ACTIONS(5303),
    [anon_sym_constinit] = ACTIONS(5303),
    [anon_sym_consteval] = ACTIONS(5303),
    [anon_sym_alignas] = ACTIONS(5303),
    [anon_sym__Alignas] = ACTIONS(5303),
    [anon_sym_COLON] = ACTIONS(5303),
    [anon_sym_QMARK] = ACTIONS(5303),
    [anon_sym_LT_EQ_GT] = ACTIONS(5303),
    [anon_sym_or] = ACTIONS(5303),
    [anon_sym_and] = ACTIONS(5303),
    [anon_sym_bitor] = ACTIONS(5303),
    [anon_sym_xor] = ACTIONS(5303),
    [anon_sym_bitand] = ACTIONS(5303),
    [anon_sym_not_eq] = ACTIONS(5303),
    [anon_sym_DASH_DASH] = ACTIONS(5303),
    [anon_sym_PLUS_PLUS] = ACTIONS(5303),
    [anon_sym_DOT] = ACTIONS(5305),
    [anon_sym_DOT_STAR] = ACTIONS(5303),
    [anon_sym_DASH_GT] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5303),
    [anon_sym_decltype] = ACTIONS(5303),
    [anon_sym_final] = ACTIONS(5303),
    [anon_sym_override] = ACTIONS(5303),
    [anon_sym_requires] = ACTIONS(5303),
  },
  [1834] = {
    [sym_string_literal] = STATE(1828),
    [sym_raw_string_literal] = STATE(1828),
    [aux_sym_concatenated_string_repeat1] = STATE(1828),
    [sym_identifier] = ACTIONS(5309),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4764),
    [anon_sym_COMMA] = ACTIONS(4764),
    [anon_sym_LPAREN2] = ACTIONS(4764),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_STAR] = ACTIONS(4766),
    [anon_sym_SLASH] = ACTIONS(4766),
    [anon_sym_PERCENT] = ACTIONS(4766),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_PIPE] = ACTIONS(4766),
    [anon_sym_CARET] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_GT] = ACTIONS(4766),
    [anon_sym_GT_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4766),
    [anon_sym_LT] = ACTIONS(4766),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_SEMI] = ACTIONS(4764),
    [anon_sym___attribute__] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4764),
    [anon_sym_EQ] = ACTIONS(4766),
    [anon_sym_QMARK] = ACTIONS(4764),
    [anon_sym_STAR_EQ] = ACTIONS(4764),
    [anon_sym_SLASH_EQ] = ACTIONS(4764),
    [anon_sym_PERCENT_EQ] = ACTIONS(4764),
    [anon_sym_PLUS_EQ] = ACTIONS(4764),
    [anon_sym_DASH_EQ] = ACTIONS(4764),
    [anon_sym_LT_LT_EQ] = ACTIONS(4764),
    [anon_sym_GT_GT_EQ] = ACTIONS(4764),
    [anon_sym_AMP_EQ] = ACTIONS(4764),
    [anon_sym_CARET_EQ] = ACTIONS(4764),
    [anon_sym_PIPE_EQ] = ACTIONS(4764),
    [anon_sym_and_eq] = ACTIONS(4766),
    [anon_sym_or_eq] = ACTIONS(4766),
    [anon_sym_xor_eq] = ACTIONS(4766),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_or] = ACTIONS(4766),
    [anon_sym_and] = ACTIONS(4766),
    [anon_sym_bitor] = ACTIONS(4766),
    [anon_sym_xor] = ACTIONS(4766),
    [anon_sym_bitand] = ACTIONS(4766),
    [anon_sym_not_eq] = ACTIONS(4766),
    [anon_sym_DASH_DASH] = ACTIONS(4764),
    [anon_sym_PLUS_PLUS] = ACTIONS(4764),
    [anon_sym_DOT] = ACTIONS(4766),
    [anon_sym_DOT_STAR] = ACTIONS(4764),
    [anon_sym_DASH_GT] = ACTIONS(4764),
    [anon_sym_L_DQUOTE] = ACTIONS(5267),
    [anon_sym_u_DQUOTE] = ACTIONS(5267),
    [anon_sym_U_DQUOTE] = ACTIONS(5267),
    [anon_sym_u8_DQUOTE] = ACTIONS(5267),
    [anon_sym_DQUOTE] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5269),
    [anon_sym_LR_DQUOTE] = ACTIONS(5269),
    [anon_sym_uR_DQUOTE] = ACTIONS(5269),
    [anon_sym_UR_DQUOTE] = ACTIONS(5269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5269),
    [sym_literal_suffix] = ACTIONS(4766),
  },
  [1835] = {
    [sym_string_literal] = STATE(1850),
    [sym_template_argument_list] = STATE(2891),
    [sym_raw_string_literal] = STATE(1850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4626),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(4622),
    [anon_sym_u_DQUOTE] = ACTIONS(4622),
    [anon_sym_U_DQUOTE] = ACTIONS(4622),
    [anon_sym_u8_DQUOTE] = ACTIONS(4622),
    [anon_sym_DQUOTE] = ACTIONS(4622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4624),
    [anon_sym_LR_DQUOTE] = ACTIONS(4624),
    [anon_sym_uR_DQUOTE] = ACTIONS(4624),
    [anon_sym_UR_DQUOTE] = ACTIONS(4624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4624),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [1836] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
  },
  [1837] = {
    [sym_string_literal] = STATE(1831),
    [sym_raw_string_literal] = STATE(1831),
    [aux_sym_concatenated_string_repeat1] = STATE(1831),
    [sym_identifier] = ACTIONS(5311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4758),
    [anon_sym_COMMA] = ACTIONS(4758),
    [anon_sym_RPAREN] = ACTIONS(4758),
    [anon_sym_LPAREN2] = ACTIONS(4758),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_STAR] = ACTIONS(4760),
    [anon_sym_SLASH] = ACTIONS(4760),
    [anon_sym_PERCENT] = ACTIONS(4760),
    [anon_sym_PIPE_PIPE] = ACTIONS(4758),
    [anon_sym_AMP_AMP] = ACTIONS(4758),
    [anon_sym_PIPE] = ACTIONS(4760),
    [anon_sym_CARET] = ACTIONS(4760),
    [anon_sym_AMP] = ACTIONS(4760),
    [anon_sym_EQ_EQ] = ACTIONS(4758),
    [anon_sym_BANG_EQ] = ACTIONS(4758),
    [anon_sym_GT] = ACTIONS(4760),
    [anon_sym_GT_EQ] = ACTIONS(4758),
    [anon_sym_LT_EQ] = ACTIONS(4760),
    [anon_sym_LT] = ACTIONS(4760),
    [anon_sym_LT_LT] = ACTIONS(4760),
    [anon_sym_GT_GT] = ACTIONS(4760),
    [anon_sym_LBRACK] = ACTIONS(4758),
    [anon_sym_EQ] = ACTIONS(4760),
    [anon_sym_QMARK] = ACTIONS(4758),
    [anon_sym_STAR_EQ] = ACTIONS(4758),
    [anon_sym_SLASH_EQ] = ACTIONS(4758),
    [anon_sym_PERCENT_EQ] = ACTIONS(4758),
    [anon_sym_PLUS_EQ] = ACTIONS(4758),
    [anon_sym_DASH_EQ] = ACTIONS(4758),
    [anon_sym_LT_LT_EQ] = ACTIONS(4758),
    [anon_sym_GT_GT_EQ] = ACTIONS(4758),
    [anon_sym_AMP_EQ] = ACTIONS(4758),
    [anon_sym_CARET_EQ] = ACTIONS(4758),
    [anon_sym_PIPE_EQ] = ACTIONS(4758),
    [anon_sym_and_eq] = ACTIONS(4760),
    [anon_sym_or_eq] = ACTIONS(4760),
    [anon_sym_xor_eq] = ACTIONS(4760),
    [anon_sym_LT_EQ_GT] = ACTIONS(4758),
    [anon_sym_or] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(4760),
    [anon_sym_bitor] = ACTIONS(4760),
    [anon_sym_xor] = ACTIONS(4760),
    [anon_sym_bitand] = ACTIONS(4760),
    [anon_sym_not_eq] = ACTIONS(4760),
    [anon_sym_DASH_DASH] = ACTIONS(4758),
    [anon_sym_PLUS_PLUS] = ACTIONS(4758),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_DOT_STAR] = ACTIONS(4758),
    [anon_sym_DASH_GT] = ACTIONS(4760),
    [anon_sym_L_DQUOTE] = ACTIONS(4622),
    [anon_sym_u_DQUOTE] = ACTIONS(4622),
    [anon_sym_U_DQUOTE] = ACTIONS(4622),
    [anon_sym_u8_DQUOTE] = ACTIONS(4622),
    [anon_sym_DQUOTE] = ACTIONS(4622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4624),
    [anon_sym_LR_DQUOTE] = ACTIONS(4624),
    [anon_sym_uR_DQUOTE] = ACTIONS(4624),
    [anon_sym_UR_DQUOTE] = ACTIONS(4624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4624),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4758),
    [sym_literal_suffix] = ACTIONS(4760),
  },
  [1838] = {
    [sym_string_literal] = STATE(2215),
    [sym_template_argument_list] = STATE(3456),
    [sym_raw_string_literal] = STATE(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(5316),
    [anon_sym_or_eq] = ACTIONS(5316),
    [anon_sym_xor_eq] = ACTIONS(5316),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(3846),
    [anon_sym_u_DQUOTE] = ACTIONS(3846),
    [anon_sym_U_DQUOTE] = ACTIONS(3846),
    [anon_sym_u8_DQUOTE] = ACTIONS(3846),
    [anon_sym_DQUOTE] = ACTIONS(3846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3848),
    [anon_sym_LR_DQUOTE] = ACTIONS(3848),
    [anon_sym_uR_DQUOTE] = ACTIONS(3848),
    [anon_sym_UR_DQUOTE] = ACTIONS(3848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3848),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
  },
  [1839] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(3850),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1840] = {
    [sym_attribute_specifier] = STATE(2053),
    [sym_enumerator_list] = STATE(1905),
    [sym_identifier] = ACTIONS(5318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5320),
    [anon_sym_COMMA] = ACTIONS(5320),
    [anon_sym_RPAREN] = ACTIONS(5320),
    [aux_sym_preproc_if_token2] = ACTIONS(5320),
    [aux_sym_preproc_else_token1] = ACTIONS(5320),
    [aux_sym_preproc_elif_token1] = ACTIONS(5318),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5320),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5320),
    [anon_sym_LPAREN2] = ACTIONS(5320),
    [anon_sym_DASH] = ACTIONS(5318),
    [anon_sym_PLUS] = ACTIONS(5318),
    [anon_sym_STAR] = ACTIONS(5318),
    [anon_sym_SLASH] = ACTIONS(5318),
    [anon_sym_PERCENT] = ACTIONS(5318),
    [anon_sym_PIPE_PIPE] = ACTIONS(5320),
    [anon_sym_AMP_AMP] = ACTIONS(5320),
    [anon_sym_PIPE] = ACTIONS(5318),
    [anon_sym_CARET] = ACTIONS(5318),
    [anon_sym_AMP] = ACTIONS(5318),
    [anon_sym_EQ_EQ] = ACTIONS(5320),
    [anon_sym_BANG_EQ] = ACTIONS(5320),
    [anon_sym_GT] = ACTIONS(5318),
    [anon_sym_GT_EQ] = ACTIONS(5320),
    [anon_sym_LT_EQ] = ACTIONS(5318),
    [anon_sym_LT] = ACTIONS(5318),
    [anon_sym_LT_LT] = ACTIONS(5318),
    [anon_sym_GT_GT] = ACTIONS(5318),
    [anon_sym_SEMI] = ACTIONS(5320),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5322),
    [anon_sym_RBRACE] = ACTIONS(5320),
    [anon_sym_LBRACK] = ACTIONS(5320),
    [anon_sym_RBRACK] = ACTIONS(5320),
    [anon_sym_EQ] = ACTIONS(5318),
    [anon_sym_COLON] = ACTIONS(5320),
    [anon_sym_QMARK] = ACTIONS(5320),
    [anon_sym_STAR_EQ] = ACTIONS(5320),
    [anon_sym_SLASH_EQ] = ACTIONS(5320),
    [anon_sym_PERCENT_EQ] = ACTIONS(5320),
    [anon_sym_PLUS_EQ] = ACTIONS(5320),
    [anon_sym_DASH_EQ] = ACTIONS(5320),
    [anon_sym_LT_LT_EQ] = ACTIONS(5320),
    [anon_sym_GT_GT_EQ] = ACTIONS(5320),
    [anon_sym_AMP_EQ] = ACTIONS(5320),
    [anon_sym_CARET_EQ] = ACTIONS(5320),
    [anon_sym_PIPE_EQ] = ACTIONS(5320),
    [anon_sym_and_eq] = ACTIONS(5318),
    [anon_sym_or_eq] = ACTIONS(5318),
    [anon_sym_xor_eq] = ACTIONS(5318),
    [anon_sym_LT_EQ_GT] = ACTIONS(5320),
    [anon_sym_or] = ACTIONS(5318),
    [anon_sym_and] = ACTIONS(5318),
    [anon_sym_bitor] = ACTIONS(5318),
    [anon_sym_xor] = ACTIONS(5318),
    [anon_sym_bitand] = ACTIONS(5318),
    [anon_sym_not_eq] = ACTIONS(5318),
    [anon_sym_DASH_DASH] = ACTIONS(5320),
    [anon_sym_PLUS_PLUS] = ACTIONS(5320),
    [anon_sym_DOT] = ACTIONS(5318),
    [anon_sym_DOT_STAR] = ACTIONS(5320),
    [anon_sym_DASH_GT] = ACTIONS(5320),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5318),
    [anon_sym_decltype] = ACTIONS(5318),
  },
  [1841] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(3821),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1842] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5144),
    [anon_sym_COMMA] = ACTIONS(5144),
    [anon_sym_RPAREN] = ACTIONS(5144),
    [anon_sym_LPAREN2] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5142),
    [anon_sym_PLUS] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_SLASH] = ACTIONS(5142),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5144),
    [anon_sym_AMP_AMP] = ACTIONS(5144),
    [anon_sym_PIPE] = ACTIONS(5142),
    [anon_sym_CARET] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(5142),
    [anon_sym_EQ_EQ] = ACTIONS(5144),
    [anon_sym_BANG_EQ] = ACTIONS(5144),
    [anon_sym_GT] = ACTIONS(5142),
    [anon_sym_GT_EQ] = ACTIONS(5144),
    [anon_sym_LT_EQ] = ACTIONS(5142),
    [anon_sym_LT] = ACTIONS(5142),
    [anon_sym_LT_LT] = ACTIONS(5144),
    [anon_sym_GT_GT] = ACTIONS(5144),
    [anon_sym_SEMI] = ACTIONS(5144),
    [anon_sym___extension__] = ACTIONS(5144),
    [anon_sym___attribute__] = ACTIONS(5144),
    [anon_sym_LBRACE] = ACTIONS(5144),
    [anon_sym_RBRACE] = ACTIONS(5144),
    [anon_sym_signed] = ACTIONS(5324),
    [anon_sym_unsigned] = ACTIONS(5324),
    [anon_sym_long] = ACTIONS(5324),
    [anon_sym_short] = ACTIONS(5324),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [anon_sym_RBRACK] = ACTIONS(5144),
    [anon_sym_const] = ACTIONS(5142),
    [anon_sym_constexpr] = ACTIONS(5144),
    [anon_sym_volatile] = ACTIONS(5144),
    [anon_sym_restrict] = ACTIONS(5144),
    [anon_sym___restrict__] = ACTIONS(5144),
    [anon_sym__Atomic] = ACTIONS(5144),
    [anon_sym__Noreturn] = ACTIONS(5144),
    [anon_sym_noreturn] = ACTIONS(5144),
    [anon_sym_mutable] = ACTIONS(5144),
    [anon_sym_constinit] = ACTIONS(5144),
    [anon_sym_consteval] = ACTIONS(5144),
    [anon_sym_alignas] = ACTIONS(5144),
    [anon_sym__Alignas] = ACTIONS(5144),
    [anon_sym_COLON] = ACTIONS(5144),
    [anon_sym_QMARK] = ACTIONS(5144),
    [anon_sym_LT_EQ_GT] = ACTIONS(5144),
    [anon_sym_or] = ACTIONS(5144),
    [anon_sym_and] = ACTIONS(5144),
    [anon_sym_bitor] = ACTIONS(5144),
    [anon_sym_xor] = ACTIONS(5144),
    [anon_sym_bitand] = ACTIONS(5144),
    [anon_sym_not_eq] = ACTIONS(5144),
    [anon_sym_DASH_DASH] = ACTIONS(5144),
    [anon_sym_PLUS_PLUS] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_DOT_STAR] = ACTIONS(5144),
    [anon_sym_DASH_GT] = ACTIONS(5144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5144),
    [anon_sym_decltype] = ACTIONS(5144),
    [anon_sym_final] = ACTIONS(5144),
    [anon_sym_override] = ACTIONS(5144),
    [anon_sym_requires] = ACTIONS(5144),
  },
  [1843] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(3812),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1844] = {
    [sym_identifier] = ACTIONS(4920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_COMMA] = ACTIONS(4922),
    [anon_sym_RPAREN] = ACTIONS(4922),
    [aux_sym_preproc_if_token2] = ACTIONS(4922),
    [aux_sym_preproc_else_token1] = ACTIONS(4922),
    [aux_sym_preproc_elif_token1] = ACTIONS(4920),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4922),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_DASH] = ACTIONS(4920),
    [anon_sym_PLUS] = ACTIONS(4920),
    [anon_sym_STAR] = ACTIONS(4920),
    [anon_sym_SLASH] = ACTIONS(4920),
    [anon_sym_PERCENT] = ACTIONS(4920),
    [anon_sym_PIPE_PIPE] = ACTIONS(4922),
    [anon_sym_AMP_AMP] = ACTIONS(4922),
    [anon_sym_PIPE] = ACTIONS(4920),
    [anon_sym_CARET] = ACTIONS(4920),
    [anon_sym_AMP] = ACTIONS(4920),
    [anon_sym_EQ_EQ] = ACTIONS(4922),
    [anon_sym_BANG_EQ] = ACTIONS(4922),
    [anon_sym_GT] = ACTIONS(4920),
    [anon_sym_GT_EQ] = ACTIONS(4922),
    [anon_sym_LT_EQ] = ACTIONS(4920),
    [anon_sym_LT] = ACTIONS(4920),
    [anon_sym_LT_LT] = ACTIONS(4920),
    [anon_sym_GT_GT] = ACTIONS(4920),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___attribute__] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(4922),
    [anon_sym_RBRACE] = ACTIONS(4922),
    [anon_sym_LBRACK] = ACTIONS(4922),
    [anon_sym_RBRACK] = ACTIONS(4922),
    [anon_sym_EQ] = ACTIONS(4920),
    [anon_sym_COLON] = ACTIONS(4922),
    [anon_sym_QMARK] = ACTIONS(4922),
    [anon_sym_STAR_EQ] = ACTIONS(4922),
    [anon_sym_SLASH_EQ] = ACTIONS(4922),
    [anon_sym_PERCENT_EQ] = ACTIONS(4922),
    [anon_sym_PLUS_EQ] = ACTIONS(4922),
    [anon_sym_DASH_EQ] = ACTIONS(4922),
    [anon_sym_LT_LT_EQ] = ACTIONS(4922),
    [anon_sym_GT_GT_EQ] = ACTIONS(4922),
    [anon_sym_AMP_EQ] = ACTIONS(4922),
    [anon_sym_CARET_EQ] = ACTIONS(4922),
    [anon_sym_PIPE_EQ] = ACTIONS(4922),
    [anon_sym_and_eq] = ACTIONS(4920),
    [anon_sym_or_eq] = ACTIONS(4920),
    [anon_sym_xor_eq] = ACTIONS(4920),
    [anon_sym_LT_EQ_GT] = ACTIONS(4922),
    [anon_sym_or] = ACTIONS(4920),
    [anon_sym_and] = ACTIONS(4920),
    [anon_sym_bitor] = ACTIONS(4920),
    [anon_sym_xor] = ACTIONS(4920),
    [anon_sym_bitand] = ACTIONS(4920),
    [anon_sym_not_eq] = ACTIONS(4920),
    [anon_sym_DASH_DASH] = ACTIONS(4922),
    [anon_sym_PLUS_PLUS] = ACTIONS(4922),
    [anon_sym_DOT] = ACTIONS(4920),
    [anon_sym_DOT_STAR] = ACTIONS(4922),
    [anon_sym_DASH_GT] = ACTIONS(4922),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4920),
    [anon_sym_decltype] = ACTIONS(4920),
    [anon_sym_final] = ACTIONS(4920),
    [anon_sym_override] = ACTIONS(4920),
  },
  [1845] = {
    [sym_attribute_specifier] = STATE(2093),
    [sym_enumerator_list] = STATE(1882),
    [sym_identifier] = ACTIONS(5326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5328),
    [anon_sym_COMMA] = ACTIONS(5328),
    [anon_sym_RPAREN] = ACTIONS(5328),
    [aux_sym_preproc_if_token2] = ACTIONS(5328),
    [aux_sym_preproc_else_token1] = ACTIONS(5328),
    [aux_sym_preproc_elif_token1] = ACTIONS(5326),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5328),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5328),
    [anon_sym_LPAREN2] = ACTIONS(5328),
    [anon_sym_DASH] = ACTIONS(5326),
    [anon_sym_PLUS] = ACTIONS(5326),
    [anon_sym_STAR] = ACTIONS(5326),
    [anon_sym_SLASH] = ACTIONS(5326),
    [anon_sym_PERCENT] = ACTIONS(5326),
    [anon_sym_PIPE_PIPE] = ACTIONS(5328),
    [anon_sym_AMP_AMP] = ACTIONS(5328),
    [anon_sym_PIPE] = ACTIONS(5326),
    [anon_sym_CARET] = ACTIONS(5326),
    [anon_sym_AMP] = ACTIONS(5326),
    [anon_sym_EQ_EQ] = ACTIONS(5328),
    [anon_sym_BANG_EQ] = ACTIONS(5328),
    [anon_sym_GT] = ACTIONS(5326),
    [anon_sym_GT_EQ] = ACTIONS(5328),
    [anon_sym_LT_EQ] = ACTIONS(5326),
    [anon_sym_LT] = ACTIONS(5326),
    [anon_sym_LT_LT] = ACTIONS(5326),
    [anon_sym_GT_GT] = ACTIONS(5326),
    [anon_sym_SEMI] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5322),
    [anon_sym_RBRACE] = ACTIONS(5328),
    [anon_sym_LBRACK] = ACTIONS(5328),
    [anon_sym_RBRACK] = ACTIONS(5328),
    [anon_sym_EQ] = ACTIONS(5326),
    [anon_sym_COLON] = ACTIONS(5328),
    [anon_sym_QMARK] = ACTIONS(5328),
    [anon_sym_STAR_EQ] = ACTIONS(5328),
    [anon_sym_SLASH_EQ] = ACTIONS(5328),
    [anon_sym_PERCENT_EQ] = ACTIONS(5328),
    [anon_sym_PLUS_EQ] = ACTIONS(5328),
    [anon_sym_DASH_EQ] = ACTIONS(5328),
    [anon_sym_LT_LT_EQ] = ACTIONS(5328),
    [anon_sym_GT_GT_EQ] = ACTIONS(5328),
    [anon_sym_AMP_EQ] = ACTIONS(5328),
    [anon_sym_CARET_EQ] = ACTIONS(5328),
    [anon_sym_PIPE_EQ] = ACTIONS(5328),
    [anon_sym_and_eq] = ACTIONS(5326),
    [anon_sym_or_eq] = ACTIONS(5326),
    [anon_sym_xor_eq] = ACTIONS(5326),
    [anon_sym_LT_EQ_GT] = ACTIONS(5328),
    [anon_sym_or] = ACTIONS(5326),
    [anon_sym_and] = ACTIONS(5326),
    [anon_sym_bitor] = ACTIONS(5326),
    [anon_sym_xor] = ACTIONS(5326),
    [anon_sym_bitand] = ACTIONS(5326),
    [anon_sym_not_eq] = ACTIONS(5326),
    [anon_sym_DASH_DASH] = ACTIONS(5328),
    [anon_sym_PLUS_PLUS] = ACTIONS(5328),
    [anon_sym_DOT] = ACTIONS(5326),
    [anon_sym_DOT_STAR] = ACTIONS(5328),
    [anon_sym_DASH_GT] = ACTIONS(5328),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5326),
    [anon_sym_decltype] = ACTIONS(5326),
  },
  [1846] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(3810),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1847] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5330),
    [anon_sym_COMMA] = ACTIONS(5330),
    [anon_sym_RPAREN] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(5330),
    [anon_sym_DASH] = ACTIONS(5332),
    [anon_sym_PLUS] = ACTIONS(5332),
    [anon_sym_STAR] = ACTIONS(5330),
    [anon_sym_SLASH] = ACTIONS(5332),
    [anon_sym_PERCENT] = ACTIONS(5330),
    [anon_sym_PIPE_PIPE] = ACTIONS(5330),
    [anon_sym_AMP_AMP] = ACTIONS(5330),
    [anon_sym_PIPE] = ACTIONS(5332),
    [anon_sym_CARET] = ACTIONS(5330),
    [anon_sym_AMP] = ACTIONS(5332),
    [anon_sym_EQ_EQ] = ACTIONS(5330),
    [anon_sym_BANG_EQ] = ACTIONS(5330),
    [anon_sym_GT] = ACTIONS(5332),
    [anon_sym_GT_EQ] = ACTIONS(5330),
    [anon_sym_LT_EQ] = ACTIONS(5332),
    [anon_sym_LT] = ACTIONS(5332),
    [anon_sym_LT_LT] = ACTIONS(5330),
    [anon_sym_GT_GT] = ACTIONS(5330),
    [anon_sym_SEMI] = ACTIONS(5330),
    [anon_sym___extension__] = ACTIONS(5330),
    [anon_sym___attribute__] = ACTIONS(5330),
    [anon_sym_LBRACE] = ACTIONS(5330),
    [anon_sym_RBRACE] = ACTIONS(5330),
    [anon_sym_signed] = ACTIONS(5334),
    [anon_sym_unsigned] = ACTIONS(5334),
    [anon_sym_long] = ACTIONS(5334),
    [anon_sym_short] = ACTIONS(5334),
    [anon_sym_LBRACK] = ACTIONS(5330),
    [anon_sym_RBRACK] = ACTIONS(5330),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5330),
    [anon_sym_volatile] = ACTIONS(5330),
    [anon_sym_restrict] = ACTIONS(5330),
    [anon_sym___restrict__] = ACTIONS(5330),
    [anon_sym__Atomic] = ACTIONS(5330),
    [anon_sym__Noreturn] = ACTIONS(5330),
    [anon_sym_noreturn] = ACTIONS(5330),
    [anon_sym_mutable] = ACTIONS(5330),
    [anon_sym_constinit] = ACTIONS(5330),
    [anon_sym_consteval] = ACTIONS(5330),
    [anon_sym_alignas] = ACTIONS(5330),
    [anon_sym__Alignas] = ACTIONS(5330),
    [anon_sym_COLON] = ACTIONS(5330),
    [anon_sym_QMARK] = ACTIONS(5330),
    [anon_sym_LT_EQ_GT] = ACTIONS(5330),
    [anon_sym_or] = ACTIONS(5330),
    [anon_sym_and] = ACTIONS(5330),
    [anon_sym_bitor] = ACTIONS(5330),
    [anon_sym_xor] = ACTIONS(5330),
    [anon_sym_bitand] = ACTIONS(5330),
    [anon_sym_not_eq] = ACTIONS(5330),
    [anon_sym_DASH_DASH] = ACTIONS(5330),
    [anon_sym_PLUS_PLUS] = ACTIONS(5330),
    [anon_sym_DOT] = ACTIONS(5332),
    [anon_sym_DOT_STAR] = ACTIONS(5330),
    [anon_sym_DASH_GT] = ACTIONS(5330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5330),
    [anon_sym_decltype] = ACTIONS(5330),
    [anon_sym_final] = ACTIONS(5330),
    [anon_sym_override] = ACTIONS(5330),
    [anon_sym_requires] = ACTIONS(5330),
  },
  [1848] = {
    [sym_ms_based_modifier] = STATE(7568),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(1849),
    [sym__declarator] = STATE(5941),
    [sym__abstract_declarator] = STATE(6017),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_abstract_parenthesized_declarator] = STATE(5819),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_abstract_pointer_declarator] = STATE(5819),
    [sym_function_declarator] = STATE(5906),
    [sym_abstract_function_declarator] = STATE(5819),
    [sym_array_declarator] = STATE(5906),
    [sym_abstract_array_declarator] = STATE(5819),
    [sym_type_qualifier] = STATE(2530),
    [sym_alignas_qualifier] = STATE(4447),
    [sym_parameter_list] = STATE(2804),
    [sym_decltype] = STATE(7635),
    [sym_reference_declarator] = STATE(5906),
    [sym_abstract_reference_declarator] = STATE(5819),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5357),
    [sym_qualified_identifier] = STATE(5906),
    [sym_operator_name] = STATE(5906),
    [aux_sym__type_definition_type_repeat1] = STATE(2530),
    [aux_sym_pointer_declarator_repeat1] = STATE(1849),
    [sym_identifier] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5338),
    [anon_sym_RPAREN] = ACTIONS(5338),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(5340),
    [anon_sym_AMP_AMP] = ACTIONS(5342),
    [anon_sym_AMP] = ACTIONS(5344),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(5346),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3168),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3168),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3168),
    [anon_sym__unaligned] = ACTIONS(3170),
    [anon_sym___unaligned] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_EQ] = ACTIONS(5338),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym__Alignas] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(5338),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1849] = {
    [sym_ms_based_modifier] = STATE(7568),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(3814),
    [sym__declarator] = STATE(5943),
    [sym__abstract_declarator] = STATE(6043),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_abstract_parenthesized_declarator] = STATE(5819),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_abstract_pointer_declarator] = STATE(5819),
    [sym_function_declarator] = STATE(5906),
    [sym_abstract_function_declarator] = STATE(5819),
    [sym_array_declarator] = STATE(5906),
    [sym_abstract_array_declarator] = STATE(5819),
    [sym_type_qualifier] = STATE(2531),
    [sym_alignas_qualifier] = STATE(4447),
    [sym_parameter_list] = STATE(2804),
    [sym_decltype] = STATE(7635),
    [sym_reference_declarator] = STATE(5906),
    [sym_abstract_reference_declarator] = STATE(5819),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5357),
    [sym_qualified_identifier] = STATE(5906),
    [sym_operator_name] = STATE(5906),
    [aux_sym__type_definition_type_repeat1] = STATE(2531),
    [aux_sym_pointer_declarator_repeat1] = STATE(3814),
    [sym_identifier] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5350),
    [anon_sym_RPAREN] = ACTIONS(5350),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(5340),
    [anon_sym_AMP_AMP] = ACTIONS(5342),
    [anon_sym_AMP] = ACTIONS(5344),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(5346),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3168),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3168),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3168),
    [anon_sym__unaligned] = ACTIONS(3170),
    [anon_sym___unaligned] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_EQ] = ACTIONS(5350),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym__Alignas] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(5350),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1850] = {
    [sym_string_literal] = STATE(1837),
    [sym_raw_string_literal] = STATE(1837),
    [aux_sym_concatenated_string_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(5352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4764),
    [anon_sym_COMMA] = ACTIONS(4764),
    [anon_sym_RPAREN] = ACTIONS(4764),
    [anon_sym_LPAREN2] = ACTIONS(4764),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_STAR] = ACTIONS(4766),
    [anon_sym_SLASH] = ACTIONS(4766),
    [anon_sym_PERCENT] = ACTIONS(4766),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_PIPE] = ACTIONS(4766),
    [anon_sym_CARET] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_GT] = ACTIONS(4766),
    [anon_sym_GT_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4766),
    [anon_sym_LT] = ACTIONS(4766),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4764),
    [anon_sym_EQ] = ACTIONS(4766),
    [anon_sym_QMARK] = ACTIONS(4764),
    [anon_sym_STAR_EQ] = ACTIONS(4764),
    [anon_sym_SLASH_EQ] = ACTIONS(4764),
    [anon_sym_PERCENT_EQ] = ACTIONS(4764),
    [anon_sym_PLUS_EQ] = ACTIONS(4764),
    [anon_sym_DASH_EQ] = ACTIONS(4764),
    [anon_sym_LT_LT_EQ] = ACTIONS(4764),
    [anon_sym_GT_GT_EQ] = ACTIONS(4764),
    [anon_sym_AMP_EQ] = ACTIONS(4764),
    [anon_sym_CARET_EQ] = ACTIONS(4764),
    [anon_sym_PIPE_EQ] = ACTIONS(4764),
    [anon_sym_and_eq] = ACTIONS(4766),
    [anon_sym_or_eq] = ACTIONS(4766),
    [anon_sym_xor_eq] = ACTIONS(4766),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_or] = ACTIONS(4766),
    [anon_sym_and] = ACTIONS(4766),
    [anon_sym_bitor] = ACTIONS(4766),
    [anon_sym_xor] = ACTIONS(4766),
    [anon_sym_bitand] = ACTIONS(4766),
    [anon_sym_not_eq] = ACTIONS(4766),
    [anon_sym_DASH_DASH] = ACTIONS(4764),
    [anon_sym_PLUS_PLUS] = ACTIONS(4764),
    [anon_sym_DOT] = ACTIONS(4766),
    [anon_sym_DOT_STAR] = ACTIONS(4764),
    [anon_sym_DASH_GT] = ACTIONS(4766),
    [anon_sym_L_DQUOTE] = ACTIONS(4622),
    [anon_sym_u_DQUOTE] = ACTIONS(4622),
    [anon_sym_U_DQUOTE] = ACTIONS(4622),
    [anon_sym_u8_DQUOTE] = ACTIONS(4622),
    [anon_sym_DQUOTE] = ACTIONS(4622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4624),
    [anon_sym_LR_DQUOTE] = ACTIONS(4624),
    [anon_sym_uR_DQUOTE] = ACTIONS(4624),
    [anon_sym_UR_DQUOTE] = ACTIONS(4624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4624),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4764),
    [sym_literal_suffix] = ACTIONS(4766),
  },
  [1851] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5354),
    [anon_sym_RPAREN] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(5354),
    [anon_sym_DASH] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5356),
    [anon_sym_STAR] = ACTIONS(5354),
    [anon_sym_SLASH] = ACTIONS(5356),
    [anon_sym_PERCENT] = ACTIONS(5354),
    [anon_sym_PIPE_PIPE] = ACTIONS(5354),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_PIPE] = ACTIONS(5356),
    [anon_sym_CARET] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5356),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5356),
    [anon_sym_GT_EQ] = ACTIONS(5354),
    [anon_sym_LT_EQ] = ACTIONS(5356),
    [anon_sym_LT] = ACTIONS(5356),
    [anon_sym_LT_LT] = ACTIONS(5354),
    [anon_sym_GT_GT] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5354),
    [anon_sym___extension__] = ACTIONS(5354),
    [anon_sym___attribute__] = ACTIONS(5354),
    [anon_sym_LBRACE] = ACTIONS(5354),
    [anon_sym_RBRACE] = ACTIONS(5354),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5354),
    [anon_sym_RBRACK] = ACTIONS(5354),
    [anon_sym_const] = ACTIONS(5356),
    [anon_sym_constexpr] = ACTIONS(5354),
    [anon_sym_volatile] = ACTIONS(5354),
    [anon_sym_restrict] = ACTIONS(5354),
    [anon_sym___restrict__] = ACTIONS(5354),
    [anon_sym__Atomic] = ACTIONS(5354),
    [anon_sym__Noreturn] = ACTIONS(5354),
    [anon_sym_noreturn] = ACTIONS(5354),
    [anon_sym_mutable] = ACTIONS(5354),
    [anon_sym_constinit] = ACTIONS(5354),
    [anon_sym_consteval] = ACTIONS(5354),
    [anon_sym_alignas] = ACTIONS(5354),
    [anon_sym__Alignas] = ACTIONS(5354),
    [anon_sym_COLON] = ACTIONS(5354),
    [anon_sym_QMARK] = ACTIONS(5354),
    [anon_sym_LT_EQ_GT] = ACTIONS(5354),
    [anon_sym_or] = ACTIONS(5354),
    [anon_sym_and] = ACTIONS(5354),
    [anon_sym_bitor] = ACTIONS(5354),
    [anon_sym_xor] = ACTIONS(5354),
    [anon_sym_bitand] = ACTIONS(5354),
    [anon_sym_not_eq] = ACTIONS(5354),
    [anon_sym_DASH_DASH] = ACTIONS(5354),
    [anon_sym_PLUS_PLUS] = ACTIONS(5354),
    [anon_sym_DOT] = ACTIONS(5356),
    [anon_sym_DOT_STAR] = ACTIONS(5354),
    [anon_sym_DASH_GT] = ACTIONS(5354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5354),
    [anon_sym_decltype] = ACTIONS(5354),
    [anon_sym_final] = ACTIONS(5354),
    [anon_sym_override] = ACTIONS(5354),
    [anon_sym_requires] = ACTIONS(5354),
  },
  [1852] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4510),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1853] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4519),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1854] = {
    [sym_string_literal] = STATE(1854),
    [sym_raw_string_literal] = STATE(1854),
    [aux_sym_concatenated_string_repeat1] = STATE(1854),
    [sym_identifier] = ACTIONS(5358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4779),
    [anon_sym_COMMA] = ACTIONS(4779),
    [anon_sym_LPAREN2] = ACTIONS(4779),
    [anon_sym_DASH] = ACTIONS(4781),
    [anon_sym_PLUS] = ACTIONS(4781),
    [anon_sym_STAR] = ACTIONS(4781),
    [anon_sym_SLASH] = ACTIONS(4781),
    [anon_sym_PERCENT] = ACTIONS(4781),
    [anon_sym_PIPE_PIPE] = ACTIONS(4779),
    [anon_sym_AMP_AMP] = ACTIONS(4779),
    [anon_sym_PIPE] = ACTIONS(4781),
    [anon_sym_CARET] = ACTIONS(4781),
    [anon_sym_AMP] = ACTIONS(4781),
    [anon_sym_EQ_EQ] = ACTIONS(4779),
    [anon_sym_BANG_EQ] = ACTIONS(4779),
    [anon_sym_GT] = ACTIONS(4781),
    [anon_sym_GT_EQ] = ACTIONS(4779),
    [anon_sym_LT_EQ] = ACTIONS(4781),
    [anon_sym_LT] = ACTIONS(4781),
    [anon_sym_LT_LT] = ACTIONS(4781),
    [anon_sym_GT_GT] = ACTIONS(4781),
    [anon_sym_SEMI] = ACTIONS(4779),
    [anon_sym___attribute__] = ACTIONS(4781),
    [anon_sym_LBRACK] = ACTIONS(4779),
    [anon_sym_EQ] = ACTIONS(4781),
    [anon_sym_QMARK] = ACTIONS(4779),
    [anon_sym_STAR_EQ] = ACTIONS(4779),
    [anon_sym_SLASH_EQ] = ACTIONS(4779),
    [anon_sym_PERCENT_EQ] = ACTIONS(4779),
    [anon_sym_PLUS_EQ] = ACTIONS(4779),
    [anon_sym_DASH_EQ] = ACTIONS(4779),
    [anon_sym_LT_LT_EQ] = ACTIONS(4779),
    [anon_sym_GT_GT_EQ] = ACTIONS(4779),
    [anon_sym_AMP_EQ] = ACTIONS(4779),
    [anon_sym_CARET_EQ] = ACTIONS(4779),
    [anon_sym_PIPE_EQ] = ACTIONS(4779),
    [anon_sym_and_eq] = ACTIONS(4781),
    [anon_sym_or_eq] = ACTIONS(4781),
    [anon_sym_xor_eq] = ACTIONS(4781),
    [anon_sym_LT_EQ_GT] = ACTIONS(4779),
    [anon_sym_or] = ACTIONS(4781),
    [anon_sym_and] = ACTIONS(4781),
    [anon_sym_bitor] = ACTIONS(4781),
    [anon_sym_xor] = ACTIONS(4781),
    [anon_sym_bitand] = ACTIONS(4781),
    [anon_sym_not_eq] = ACTIONS(4781),
    [anon_sym_DASH_DASH] = ACTIONS(4779),
    [anon_sym_PLUS_PLUS] = ACTIONS(4779),
    [anon_sym_DOT] = ACTIONS(4781),
    [anon_sym_DOT_STAR] = ACTIONS(4779),
    [anon_sym_DASH_GT] = ACTIONS(4779),
    [anon_sym_L_DQUOTE] = ACTIONS(5361),
    [anon_sym_u_DQUOTE] = ACTIONS(5361),
    [anon_sym_U_DQUOTE] = ACTIONS(5361),
    [anon_sym_u8_DQUOTE] = ACTIONS(5361),
    [anon_sym_DQUOTE] = ACTIONS(5361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5364),
    [anon_sym_LR_DQUOTE] = ACTIONS(5364),
    [anon_sym_uR_DQUOTE] = ACTIONS(5364),
    [anon_sym_UR_DQUOTE] = ACTIONS(5364),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5364),
    [sym_literal_suffix] = ACTIONS(4781),
  },
  [1855] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4522),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1856] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(4852),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
  },
  [1857] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4526),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1858] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5367),
    [anon_sym_COMMA] = ACTIONS(5367),
    [anon_sym_RPAREN] = ACTIONS(5367),
    [anon_sym_LPAREN2] = ACTIONS(5367),
    [anon_sym_DASH] = ACTIONS(5369),
    [anon_sym_PLUS] = ACTIONS(5369),
    [anon_sym_STAR] = ACTIONS(5367),
    [anon_sym_SLASH] = ACTIONS(5369),
    [anon_sym_PERCENT] = ACTIONS(5367),
    [anon_sym_PIPE_PIPE] = ACTIONS(5367),
    [anon_sym_AMP_AMP] = ACTIONS(5367),
    [anon_sym_PIPE] = ACTIONS(5369),
    [anon_sym_CARET] = ACTIONS(5367),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_EQ_EQ] = ACTIONS(5367),
    [anon_sym_BANG_EQ] = ACTIONS(5367),
    [anon_sym_GT] = ACTIONS(5369),
    [anon_sym_GT_EQ] = ACTIONS(5367),
    [anon_sym_LT_EQ] = ACTIONS(5369),
    [anon_sym_LT] = ACTIONS(5369),
    [anon_sym_LT_LT] = ACTIONS(5367),
    [anon_sym_GT_GT] = ACTIONS(5367),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5367),
    [anon_sym___attribute__] = ACTIONS(5367),
    [anon_sym_LBRACE] = ACTIONS(5367),
    [anon_sym_RBRACE] = ACTIONS(5367),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5367),
    [anon_sym_RBRACK] = ACTIONS(5367),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5367),
    [anon_sym_volatile] = ACTIONS(5367),
    [anon_sym_restrict] = ACTIONS(5367),
    [anon_sym___restrict__] = ACTIONS(5367),
    [anon_sym__Atomic] = ACTIONS(5367),
    [anon_sym__Noreturn] = ACTIONS(5367),
    [anon_sym_noreturn] = ACTIONS(5367),
    [anon_sym_mutable] = ACTIONS(5367),
    [anon_sym_constinit] = ACTIONS(5367),
    [anon_sym_consteval] = ACTIONS(5367),
    [anon_sym_alignas] = ACTIONS(5367),
    [anon_sym__Alignas] = ACTIONS(5367),
    [anon_sym_COLON] = ACTIONS(5367),
    [anon_sym_QMARK] = ACTIONS(5367),
    [anon_sym_LT_EQ_GT] = ACTIONS(5367),
    [anon_sym_or] = ACTIONS(5367),
    [anon_sym_and] = ACTIONS(5367),
    [anon_sym_bitor] = ACTIONS(5367),
    [anon_sym_xor] = ACTIONS(5367),
    [anon_sym_bitand] = ACTIONS(5367),
    [anon_sym_not_eq] = ACTIONS(5367),
    [anon_sym_DASH_DASH] = ACTIONS(5367),
    [anon_sym_PLUS_PLUS] = ACTIONS(5367),
    [anon_sym_DOT] = ACTIONS(5369),
    [anon_sym_DOT_STAR] = ACTIONS(5367),
    [anon_sym_DASH_GT] = ACTIONS(5367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5367),
    [anon_sym_decltype] = ACTIONS(5367),
    [anon_sym_final] = ACTIONS(5367),
    [anon_sym_override] = ACTIONS(5367),
    [anon_sym_requires] = ACTIONS(5367),
  },
  [1859] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4528),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1860] = {
    [sym_string_literal] = STATE(1834),
    [sym_template_argument_list] = STATE(2204),
    [sym_raw_string_literal] = STATE(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4753),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___attribute__] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(5267),
    [anon_sym_u_DQUOTE] = ACTIONS(5267),
    [anon_sym_U_DQUOTE] = ACTIONS(5267),
    [anon_sym_u8_DQUOTE] = ACTIONS(5267),
    [anon_sym_DQUOTE] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5269),
    [anon_sym_LR_DQUOTE] = ACTIONS(5269),
    [anon_sym_uR_DQUOTE] = ACTIONS(5269),
    [anon_sym_UR_DQUOTE] = ACTIONS(5269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5269),
  },
  [1861] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4951),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1862] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(6753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(5371),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_RBRACK] = ACTIONS(5296),
    [anon_sym_EQ] = ACTIONS(5299),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(5301),
    [anon_sym_SLASH_EQ] = ACTIONS(5301),
    [anon_sym_PERCENT_EQ] = ACTIONS(5301),
    [anon_sym_PLUS_EQ] = ACTIONS(5301),
    [anon_sym_DASH_EQ] = ACTIONS(5301),
    [anon_sym_LT_LT_EQ] = ACTIONS(5301),
    [anon_sym_GT_GT_EQ] = ACTIONS(5301),
    [anon_sym_AMP_EQ] = ACTIONS(5301),
    [anon_sym_CARET_EQ] = ACTIONS(5301),
    [anon_sym_PIPE_EQ] = ACTIONS(5301),
    [anon_sym_and_eq] = ACTIONS(5301),
    [anon_sym_or_eq] = ACTIONS(5301),
    [anon_sym_xor_eq] = ACTIONS(5301),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1863] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [anon_sym_COMMA] = ACTIONS(2542),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(4852),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
  },
  [1864] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4912),
    [anon_sym_COMMA] = ACTIONS(4912),
    [anon_sym_RPAREN] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(4912),
    [anon_sym_DASH] = ACTIONS(4910),
    [anon_sym_PLUS] = ACTIONS(4910),
    [anon_sym_STAR] = ACTIONS(4912),
    [anon_sym_SLASH] = ACTIONS(4910),
    [anon_sym_PERCENT] = ACTIONS(4912),
    [anon_sym_PIPE_PIPE] = ACTIONS(4912),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_PIPE] = ACTIONS(4910),
    [anon_sym_CARET] = ACTIONS(4912),
    [anon_sym_AMP] = ACTIONS(4910),
    [anon_sym_EQ_EQ] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4912),
    [anon_sym_GT] = ACTIONS(4910),
    [anon_sym_GT_EQ] = ACTIONS(4912),
    [anon_sym_LT_EQ] = ACTIONS(4910),
    [anon_sym_LT] = ACTIONS(4910),
    [anon_sym_LT_LT] = ACTIONS(4912),
    [anon_sym_GT_GT] = ACTIONS(4912),
    [anon_sym_SEMI] = ACTIONS(4912),
    [anon_sym___extension__] = ACTIONS(4912),
    [anon_sym___attribute__] = ACTIONS(4912),
    [anon_sym_LBRACE] = ACTIONS(4912),
    [anon_sym_RBRACE] = ACTIONS(4912),
    [anon_sym_signed] = ACTIONS(5324),
    [anon_sym_unsigned] = ACTIONS(5324),
    [anon_sym_long] = ACTIONS(5324),
    [anon_sym_short] = ACTIONS(5324),
    [anon_sym_LBRACK] = ACTIONS(4912),
    [anon_sym_RBRACK] = ACTIONS(4912),
    [anon_sym_const] = ACTIONS(4910),
    [anon_sym_constexpr] = ACTIONS(4912),
    [anon_sym_volatile] = ACTIONS(4912),
    [anon_sym_restrict] = ACTIONS(4912),
    [anon_sym___restrict__] = ACTIONS(4912),
    [anon_sym__Atomic] = ACTIONS(4912),
    [anon_sym__Noreturn] = ACTIONS(4912),
    [anon_sym_noreturn] = ACTIONS(4912),
    [anon_sym_mutable] = ACTIONS(4912),
    [anon_sym_constinit] = ACTIONS(4912),
    [anon_sym_consteval] = ACTIONS(4912),
    [anon_sym_alignas] = ACTIONS(4912),
    [anon_sym__Alignas] = ACTIONS(4912),
    [anon_sym_COLON] = ACTIONS(4912),
    [anon_sym_QMARK] = ACTIONS(4912),
    [anon_sym_LT_EQ_GT] = ACTIONS(4912),
    [anon_sym_or] = ACTIONS(4912),
    [anon_sym_and] = ACTIONS(4912),
    [anon_sym_bitor] = ACTIONS(4912),
    [anon_sym_xor] = ACTIONS(4912),
    [anon_sym_bitand] = ACTIONS(4912),
    [anon_sym_not_eq] = ACTIONS(4912),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_DOT] = ACTIONS(4910),
    [anon_sym_DOT_STAR] = ACTIONS(4912),
    [anon_sym_DASH_GT] = ACTIONS(4912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4912),
    [anon_sym_decltype] = ACTIONS(4912),
    [anon_sym_final] = ACTIONS(4912),
    [anon_sym_override] = ACTIONS(4912),
    [anon_sym_requires] = ACTIONS(4912),
  },
  [1865] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1858),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_RPAREN] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5374),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5374),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5374),
    [anon_sym_GT_GT] = ACTIONS(5374),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___extension__] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5374),
    [anon_sym_LBRACE] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_signed] = ACTIONS(5378),
    [anon_sym_unsigned] = ACTIONS(5378),
    [anon_sym_long] = ACTIONS(5378),
    [anon_sym_short] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_RBRACK] = ACTIONS(5374),
    [anon_sym_const] = ACTIONS(5376),
    [anon_sym_constexpr] = ACTIONS(5374),
    [anon_sym_volatile] = ACTIONS(5374),
    [anon_sym_restrict] = ACTIONS(5374),
    [anon_sym___restrict__] = ACTIONS(5374),
    [anon_sym__Atomic] = ACTIONS(5374),
    [anon_sym__Noreturn] = ACTIONS(5374),
    [anon_sym_noreturn] = ACTIONS(5374),
    [anon_sym_mutable] = ACTIONS(5374),
    [anon_sym_constinit] = ACTIONS(5374),
    [anon_sym_consteval] = ACTIONS(5374),
    [anon_sym_alignas] = ACTIONS(5374),
    [anon_sym__Alignas] = ACTIONS(5374),
    [anon_sym_COLON] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5374),
    [anon_sym_and] = ACTIONS(5374),
    [anon_sym_bitor] = ACTIONS(5374),
    [anon_sym_xor] = ACTIONS(5374),
    [anon_sym_bitand] = ACTIONS(5374),
    [anon_sym_not_eq] = ACTIONS(5374),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5374),
    [anon_sym_decltype] = ACTIONS(5374),
    [anon_sym_final] = ACTIONS(5374),
    [anon_sym_override] = ACTIONS(5374),
    [anon_sym_requires] = ACTIONS(5374),
  },
  [1866] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3802),
    [anon_sym_COLON] = ACTIONS(5380),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3806),
    [anon_sym_SLASH_EQ] = ACTIONS(3806),
    [anon_sym_PERCENT_EQ] = ACTIONS(3806),
    [anon_sym_PLUS_EQ] = ACTIONS(3806),
    [anon_sym_DASH_EQ] = ACTIONS(3806),
    [anon_sym_LT_LT_EQ] = ACTIONS(3806),
    [anon_sym_GT_GT_EQ] = ACTIONS(3806),
    [anon_sym_AMP_EQ] = ACTIONS(3806),
    [anon_sym_CARET_EQ] = ACTIONS(3806),
    [anon_sym_PIPE_EQ] = ACTIONS(3806),
    [anon_sym_and_eq] = ACTIONS(3806),
    [anon_sym_or_eq] = ACTIONS(3806),
    [anon_sym_xor_eq] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1867] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5382),
    [anon_sym_RPAREN] = ACTIONS(5382),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5384),
    [anon_sym_STAR] = ACTIONS(5382),
    [anon_sym_SLASH] = ACTIONS(5384),
    [anon_sym_PERCENT] = ACTIONS(5382),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_PIPE] = ACTIONS(5384),
    [anon_sym_CARET] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_EQ_EQ] = ACTIONS(5382),
    [anon_sym_BANG_EQ] = ACTIONS(5382),
    [anon_sym_GT] = ACTIONS(5384),
    [anon_sym_GT_EQ] = ACTIONS(5382),
    [anon_sym_LT_EQ] = ACTIONS(5384),
    [anon_sym_LT] = ACTIONS(5384),
    [anon_sym_LT_LT] = ACTIONS(5382),
    [anon_sym_GT_GT] = ACTIONS(5382),
    [anon_sym_SEMI] = ACTIONS(5382),
    [anon_sym___extension__] = ACTIONS(5382),
    [anon_sym___attribute__] = ACTIONS(5382),
    [anon_sym_LBRACE] = ACTIONS(5382),
    [anon_sym_RBRACE] = ACTIONS(5382),
    [anon_sym_signed] = ACTIONS(5307),
    [anon_sym_unsigned] = ACTIONS(5307),
    [anon_sym_long] = ACTIONS(5307),
    [anon_sym_short] = ACTIONS(5307),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_RBRACK] = ACTIONS(5382),
    [anon_sym_const] = ACTIONS(5384),
    [anon_sym_constexpr] = ACTIONS(5382),
    [anon_sym_volatile] = ACTIONS(5382),
    [anon_sym_restrict] = ACTIONS(5382),
    [anon_sym___restrict__] = ACTIONS(5382),
    [anon_sym__Atomic] = ACTIONS(5382),
    [anon_sym__Noreturn] = ACTIONS(5382),
    [anon_sym_noreturn] = ACTIONS(5382),
    [anon_sym_mutable] = ACTIONS(5382),
    [anon_sym_constinit] = ACTIONS(5382),
    [anon_sym_consteval] = ACTIONS(5382),
    [anon_sym_alignas] = ACTIONS(5382),
    [anon_sym__Alignas] = ACTIONS(5382),
    [anon_sym_COLON] = ACTIONS(5382),
    [anon_sym_QMARK] = ACTIONS(5382),
    [anon_sym_LT_EQ_GT] = ACTIONS(5382),
    [anon_sym_or] = ACTIONS(5382),
    [anon_sym_and] = ACTIONS(5382),
    [anon_sym_bitor] = ACTIONS(5382),
    [anon_sym_xor] = ACTIONS(5382),
    [anon_sym_bitand] = ACTIONS(5382),
    [anon_sym_not_eq] = ACTIONS(5382),
    [anon_sym_DASH_DASH] = ACTIONS(5382),
    [anon_sym_PLUS_PLUS] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_DOT_STAR] = ACTIONS(5382),
    [anon_sym_DASH_GT] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5382),
    [anon_sym_decltype] = ACTIONS(5382),
    [anon_sym_final] = ACTIONS(5382),
    [anon_sym_override] = ACTIONS(5382),
    [anon_sym_requires] = ACTIONS(5382),
  },
  [1868] = {
    [sym__declaration_modifiers] = STATE(1895),
    [sym__declaration_specifiers] = STATE(4495),
    [sym_attribute_specifier] = STATE(1895),
    [sym_attribute_declaration] = STATE(1895),
    [sym_ms_declspec_modifier] = STATE(1895),
    [sym_storage_class_specifier] = STATE(1895),
    [sym_type_qualifier] = STATE(1895),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2326),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1895),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(1226),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1869] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
  },
  [1870] = {
    [sym_attribute_specifier] = STATE(2170),
    [sym_identifier] = ACTIONS(5386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5388),
    [anon_sym_COMMA] = ACTIONS(5388),
    [anon_sym_RPAREN] = ACTIONS(5388),
    [aux_sym_preproc_if_token2] = ACTIONS(5388),
    [aux_sym_preproc_else_token1] = ACTIONS(5388),
    [aux_sym_preproc_elif_token1] = ACTIONS(5386),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5388),
    [anon_sym_LPAREN2] = ACTIONS(5388),
    [anon_sym_DASH] = ACTIONS(5386),
    [anon_sym_PLUS] = ACTIONS(5386),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5386),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5388),
    [anon_sym_AMP_AMP] = ACTIONS(5388),
    [anon_sym_PIPE] = ACTIONS(5386),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_AMP] = ACTIONS(5386),
    [anon_sym_EQ_EQ] = ACTIONS(5388),
    [anon_sym_BANG_EQ] = ACTIONS(5388),
    [anon_sym_GT] = ACTIONS(5386),
    [anon_sym_GT_EQ] = ACTIONS(5388),
    [anon_sym_LT_EQ] = ACTIONS(5386),
    [anon_sym_LT] = ACTIONS(5386),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5386),
    [anon_sym_SEMI] = ACTIONS(5388),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_RBRACE] = ACTIONS(5388),
    [anon_sym_LBRACK] = ACTIONS(5388),
    [anon_sym_RBRACK] = ACTIONS(5388),
    [anon_sym_EQ] = ACTIONS(5386),
    [anon_sym_COLON] = ACTIONS(5388),
    [anon_sym_QMARK] = ACTIONS(5388),
    [anon_sym_STAR_EQ] = ACTIONS(5388),
    [anon_sym_SLASH_EQ] = ACTIONS(5388),
    [anon_sym_PERCENT_EQ] = ACTIONS(5388),
    [anon_sym_PLUS_EQ] = ACTIONS(5388),
    [anon_sym_DASH_EQ] = ACTIONS(5388),
    [anon_sym_LT_LT_EQ] = ACTIONS(5388),
    [anon_sym_GT_GT_EQ] = ACTIONS(5388),
    [anon_sym_AMP_EQ] = ACTIONS(5388),
    [anon_sym_CARET_EQ] = ACTIONS(5388),
    [anon_sym_PIPE_EQ] = ACTIONS(5388),
    [anon_sym_and_eq] = ACTIONS(5386),
    [anon_sym_or_eq] = ACTIONS(5386),
    [anon_sym_xor_eq] = ACTIONS(5386),
    [anon_sym_LT_EQ_GT] = ACTIONS(5388),
    [anon_sym_or] = ACTIONS(5386),
    [anon_sym_and] = ACTIONS(5386),
    [anon_sym_bitor] = ACTIONS(5386),
    [anon_sym_xor] = ACTIONS(5386),
    [anon_sym_bitand] = ACTIONS(5386),
    [anon_sym_not_eq] = ACTIONS(5386),
    [anon_sym_DASH_DASH] = ACTIONS(5388),
    [anon_sym_PLUS_PLUS] = ACTIONS(5388),
    [anon_sym_DOT] = ACTIONS(5386),
    [anon_sym_DOT_STAR] = ACTIONS(5388),
    [anon_sym_DASH_GT] = ACTIONS(5388),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5386),
    [anon_sym_decltype] = ACTIONS(5386),
  },
  [1871] = {
    [sym_attribute_declaration] = STATE(2178),
    [sym_parameter_list] = STATE(2114),
    [aux_sym_attributed_declarator_repeat1] = STATE(2178),
    [sym_identifier] = ACTIONS(5390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5392),
    [anon_sym_COMMA] = ACTIONS(5392),
    [anon_sym_RPAREN] = ACTIONS(5392),
    [aux_sym_preproc_if_token2] = ACTIONS(5392),
    [aux_sym_preproc_else_token1] = ACTIONS(5392),
    [aux_sym_preproc_elif_token1] = ACTIONS(5390),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5390),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_SLASH] = ACTIONS(5390),
    [anon_sym_PERCENT] = ACTIONS(5390),
    [anon_sym_PIPE_PIPE] = ACTIONS(5392),
    [anon_sym_AMP_AMP] = ACTIONS(5392),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5390),
    [anon_sym_EQ_EQ] = ACTIONS(5392),
    [anon_sym_BANG_EQ] = ACTIONS(5392),
    [anon_sym_GT] = ACTIONS(5390),
    [anon_sym_GT_EQ] = ACTIONS(5392),
    [anon_sym_LT_EQ] = ACTIONS(5390),
    [anon_sym_LT] = ACTIONS(5390),
    [anon_sym_LT_LT] = ACTIONS(5390),
    [anon_sym_GT_GT] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5396),
    [anon_sym_RBRACE] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_RBRACK] = ACTIONS(5392),
    [anon_sym_EQ] = ACTIONS(5390),
    [anon_sym_COLON] = ACTIONS(5392),
    [anon_sym_QMARK] = ACTIONS(5392),
    [anon_sym_STAR_EQ] = ACTIONS(5392),
    [anon_sym_SLASH_EQ] = ACTIONS(5392),
    [anon_sym_PERCENT_EQ] = ACTIONS(5392),
    [anon_sym_PLUS_EQ] = ACTIONS(5392),
    [anon_sym_DASH_EQ] = ACTIONS(5392),
    [anon_sym_LT_LT_EQ] = ACTIONS(5392),
    [anon_sym_GT_GT_EQ] = ACTIONS(5392),
    [anon_sym_AMP_EQ] = ACTIONS(5392),
    [anon_sym_CARET_EQ] = ACTIONS(5392),
    [anon_sym_PIPE_EQ] = ACTIONS(5392),
    [anon_sym_and_eq] = ACTIONS(5390),
    [anon_sym_or_eq] = ACTIONS(5390),
    [anon_sym_xor_eq] = ACTIONS(5390),
    [anon_sym_LT_EQ_GT] = ACTIONS(5392),
    [anon_sym_or] = ACTIONS(5390),
    [anon_sym_and] = ACTIONS(5390),
    [anon_sym_bitor] = ACTIONS(5390),
    [anon_sym_xor] = ACTIONS(5390),
    [anon_sym_bitand] = ACTIONS(5390),
    [anon_sym_not_eq] = ACTIONS(5390),
    [anon_sym_DASH_DASH] = ACTIONS(5392),
    [anon_sym_PLUS_PLUS] = ACTIONS(5392),
    [anon_sym_DOT] = ACTIONS(5390),
    [anon_sym_DOT_STAR] = ACTIONS(5392),
    [anon_sym_DASH_GT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(3),
  },
  [1872] = {
    [sym_attribute_specifier] = STATE(2101),
    [sym_identifier] = ACTIONS(5400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5402),
    [anon_sym_COMMA] = ACTIONS(5402),
    [anon_sym_RPAREN] = ACTIONS(5402),
    [aux_sym_preproc_if_token2] = ACTIONS(5402),
    [aux_sym_preproc_else_token1] = ACTIONS(5402),
    [aux_sym_preproc_elif_token1] = ACTIONS(5400),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5402),
    [anon_sym_LPAREN2] = ACTIONS(5402),
    [anon_sym_DASH] = ACTIONS(5400),
    [anon_sym_PLUS] = ACTIONS(5400),
    [anon_sym_STAR] = ACTIONS(5400),
    [anon_sym_SLASH] = ACTIONS(5400),
    [anon_sym_PERCENT] = ACTIONS(5400),
    [anon_sym_PIPE_PIPE] = ACTIONS(5402),
    [anon_sym_AMP_AMP] = ACTIONS(5402),
    [anon_sym_PIPE] = ACTIONS(5400),
    [anon_sym_CARET] = ACTIONS(5400),
    [anon_sym_AMP] = ACTIONS(5400),
    [anon_sym_EQ_EQ] = ACTIONS(5402),
    [anon_sym_BANG_EQ] = ACTIONS(5402),
    [anon_sym_GT] = ACTIONS(5400),
    [anon_sym_GT_EQ] = ACTIONS(5402),
    [anon_sym_LT_EQ] = ACTIONS(5400),
    [anon_sym_LT] = ACTIONS(5400),
    [anon_sym_LT_LT] = ACTIONS(5400),
    [anon_sym_GT_GT] = ACTIONS(5400),
    [anon_sym_SEMI] = ACTIONS(5402),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5402),
    [anon_sym_RBRACE] = ACTIONS(5402),
    [anon_sym_LBRACK] = ACTIONS(5402),
    [anon_sym_RBRACK] = ACTIONS(5402),
    [anon_sym_EQ] = ACTIONS(5400),
    [anon_sym_COLON] = ACTIONS(5402),
    [anon_sym_QMARK] = ACTIONS(5402),
    [anon_sym_STAR_EQ] = ACTIONS(5402),
    [anon_sym_SLASH_EQ] = ACTIONS(5402),
    [anon_sym_PERCENT_EQ] = ACTIONS(5402),
    [anon_sym_PLUS_EQ] = ACTIONS(5402),
    [anon_sym_DASH_EQ] = ACTIONS(5402),
    [anon_sym_LT_LT_EQ] = ACTIONS(5402),
    [anon_sym_GT_GT_EQ] = ACTIONS(5402),
    [anon_sym_AMP_EQ] = ACTIONS(5402),
    [anon_sym_CARET_EQ] = ACTIONS(5402),
    [anon_sym_PIPE_EQ] = ACTIONS(5402),
    [anon_sym_and_eq] = ACTIONS(5400),
    [anon_sym_or_eq] = ACTIONS(5400),
    [anon_sym_xor_eq] = ACTIONS(5400),
    [anon_sym_LT_EQ_GT] = ACTIONS(5402),
    [anon_sym_or] = ACTIONS(5400),
    [anon_sym_and] = ACTIONS(5400),
    [anon_sym_bitor] = ACTIONS(5400),
    [anon_sym_xor] = ACTIONS(5400),
    [anon_sym_bitand] = ACTIONS(5400),
    [anon_sym_not_eq] = ACTIONS(5400),
    [anon_sym_DASH_DASH] = ACTIONS(5402),
    [anon_sym_PLUS_PLUS] = ACTIONS(5402),
    [anon_sym_DOT] = ACTIONS(5400),
    [anon_sym_DOT_STAR] = ACTIONS(5402),
    [anon_sym_DASH_GT] = ACTIONS(5402),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5400),
    [anon_sym_decltype] = ACTIONS(5400),
  },
  [1873] = {
    [sym_attribute_specifier] = STATE(2049),
    [sym_identifier] = ACTIONS(5404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5406),
    [anon_sym_COMMA] = ACTIONS(5406),
    [anon_sym_RPAREN] = ACTIONS(5406),
    [aux_sym_preproc_if_token2] = ACTIONS(5406),
    [aux_sym_preproc_else_token1] = ACTIONS(5406),
    [aux_sym_preproc_elif_token1] = ACTIONS(5404),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5406),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5406),
    [anon_sym_LPAREN2] = ACTIONS(5406),
    [anon_sym_DASH] = ACTIONS(5404),
    [anon_sym_PLUS] = ACTIONS(5404),
    [anon_sym_STAR] = ACTIONS(5404),
    [anon_sym_SLASH] = ACTIONS(5404),
    [anon_sym_PERCENT] = ACTIONS(5404),
    [anon_sym_PIPE_PIPE] = ACTIONS(5406),
    [anon_sym_AMP_AMP] = ACTIONS(5406),
    [anon_sym_PIPE] = ACTIONS(5404),
    [anon_sym_CARET] = ACTIONS(5404),
    [anon_sym_AMP] = ACTIONS(5404),
    [anon_sym_EQ_EQ] = ACTIONS(5406),
    [anon_sym_BANG_EQ] = ACTIONS(5406),
    [anon_sym_GT] = ACTIONS(5404),
    [anon_sym_GT_EQ] = ACTIONS(5406),
    [anon_sym_LT_EQ] = ACTIONS(5404),
    [anon_sym_LT] = ACTIONS(5404),
    [anon_sym_LT_LT] = ACTIONS(5404),
    [anon_sym_GT_GT] = ACTIONS(5404),
    [anon_sym_SEMI] = ACTIONS(5406),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5406),
    [anon_sym_RBRACE] = ACTIONS(5406),
    [anon_sym_LBRACK] = ACTIONS(5406),
    [anon_sym_RBRACK] = ACTIONS(5406),
    [anon_sym_EQ] = ACTIONS(5404),
    [anon_sym_COLON] = ACTIONS(5406),
    [anon_sym_QMARK] = ACTIONS(5406),
    [anon_sym_STAR_EQ] = ACTIONS(5406),
    [anon_sym_SLASH_EQ] = ACTIONS(5406),
    [anon_sym_PERCENT_EQ] = ACTIONS(5406),
    [anon_sym_PLUS_EQ] = ACTIONS(5406),
    [anon_sym_DASH_EQ] = ACTIONS(5406),
    [anon_sym_LT_LT_EQ] = ACTIONS(5406),
    [anon_sym_GT_GT_EQ] = ACTIONS(5406),
    [anon_sym_AMP_EQ] = ACTIONS(5406),
    [anon_sym_CARET_EQ] = ACTIONS(5406),
    [anon_sym_PIPE_EQ] = ACTIONS(5406),
    [anon_sym_and_eq] = ACTIONS(5404),
    [anon_sym_or_eq] = ACTIONS(5404),
    [anon_sym_xor_eq] = ACTIONS(5404),
    [anon_sym_LT_EQ_GT] = ACTIONS(5406),
    [anon_sym_or] = ACTIONS(5404),
    [anon_sym_and] = ACTIONS(5404),
    [anon_sym_bitor] = ACTIONS(5404),
    [anon_sym_xor] = ACTIONS(5404),
    [anon_sym_bitand] = ACTIONS(5404),
    [anon_sym_not_eq] = ACTIONS(5404),
    [anon_sym_DASH_DASH] = ACTIONS(5406),
    [anon_sym_PLUS_PLUS] = ACTIONS(5406),
    [anon_sym_DOT] = ACTIONS(5404),
    [anon_sym_DOT_STAR] = ACTIONS(5406),
    [anon_sym_DASH_GT] = ACTIONS(5406),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5404),
    [anon_sym_decltype] = ACTIONS(5404),
  },
  [1874] = {
    [sym_template_argument_list] = STATE(1551),
    [sym_identifier] = ACTIONS(5017),
    [anon_sym_LPAREN2] = ACTIONS(3794),
    [anon_sym_TILDE] = ACTIONS(3794),
    [anon_sym_STAR] = ACTIONS(3794),
    [anon_sym_PIPE_PIPE] = ACTIONS(3794),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_AMP] = ACTIONS(5017),
    [anon_sym_LT] = ACTIONS(5408),
    [anon_sym___extension__] = ACTIONS(5017),
    [anon_sym_extern] = ACTIONS(5017),
    [anon_sym___attribute__] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3794),
    [anon_sym___declspec] = ACTIONS(5017),
    [anon_sym___based] = ACTIONS(5017),
    [anon_sym___cdecl] = ACTIONS(5017),
    [anon_sym___clrcall] = ACTIONS(5017),
    [anon_sym___stdcall] = ACTIONS(5017),
    [anon_sym___fastcall] = ACTIONS(5017),
    [anon_sym___thiscall] = ACTIONS(5017),
    [anon_sym___vectorcall] = ACTIONS(5017),
    [anon_sym_signed] = ACTIONS(5017),
    [anon_sym_unsigned] = ACTIONS(5017),
    [anon_sym_long] = ACTIONS(5017),
    [anon_sym_short] = ACTIONS(5017),
    [anon_sym_LBRACK] = ACTIONS(5017),
    [anon_sym_static] = ACTIONS(5017),
    [anon_sym_register] = ACTIONS(5017),
    [anon_sym_inline] = ACTIONS(5017),
    [anon_sym___inline] = ACTIONS(5017),
    [anon_sym___inline__] = ACTIONS(5017),
    [anon_sym___forceinline] = ACTIONS(5017),
    [anon_sym_thread_local] = ACTIONS(5017),
    [anon_sym___thread] = ACTIONS(5017),
    [anon_sym_const] = ACTIONS(5017),
    [anon_sym_constexpr] = ACTIONS(5017),
    [anon_sym_volatile] = ACTIONS(5017),
    [anon_sym_restrict] = ACTIONS(5017),
    [anon_sym___restrict__] = ACTIONS(5017),
    [anon_sym__Atomic] = ACTIONS(5017),
    [anon_sym__Noreturn] = ACTIONS(5017),
    [anon_sym_noreturn] = ACTIONS(5017),
    [anon_sym_mutable] = ACTIONS(5017),
    [anon_sym_constinit] = ACTIONS(5017),
    [anon_sym_consteval] = ACTIONS(5017),
    [anon_sym_alignas] = ACTIONS(5017),
    [anon_sym__Alignas] = ACTIONS(5017),
    [sym_primitive_type] = ACTIONS(5017),
    [anon_sym_enum] = ACTIONS(5017),
    [anon_sym_class] = ACTIONS(5017),
    [anon_sym_struct] = ACTIONS(5017),
    [anon_sym_union] = ACTIONS(5017),
    [anon_sym_or] = ACTIONS(5017),
    [anon_sym_and] = ACTIONS(5017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5017),
    [anon_sym_decltype] = ACTIONS(5017),
    [sym_virtual] = ACTIONS(5017),
    [anon_sym_explicit] = ACTIONS(5017),
    [anon_sym_typename] = ACTIONS(5017),
    [anon_sym_template] = ACTIONS(5017),
    [anon_sym_operator] = ACTIONS(5017),
    [anon_sym_friend] = ACTIONS(5017),
    [anon_sym_using] = ACTIONS(5017),
    [anon_sym_concept] = ACTIONS(5017),
  },
  [1875] = {
    [sym_attribute_declaration] = STATE(2178),
    [sym_parameter_list] = STATE(2114),
    [aux_sym_attributed_declarator_repeat1] = STATE(2178),
    [sym_identifier] = ACTIONS(5410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5412),
    [anon_sym_COMMA] = ACTIONS(5412),
    [anon_sym_RPAREN] = ACTIONS(5412),
    [aux_sym_preproc_if_token2] = ACTIONS(5412),
    [aux_sym_preproc_else_token1] = ACTIONS(5412),
    [aux_sym_preproc_elif_token1] = ACTIONS(5410),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5412),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5412),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5410),
    [anon_sym_PLUS] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(5410),
    [anon_sym_SLASH] = ACTIONS(5410),
    [anon_sym_PERCENT] = ACTIONS(5410),
    [anon_sym_PIPE_PIPE] = ACTIONS(5412),
    [anon_sym_AMP_AMP] = ACTIONS(5412),
    [anon_sym_PIPE] = ACTIONS(5410),
    [anon_sym_CARET] = ACTIONS(5410),
    [anon_sym_AMP] = ACTIONS(5410),
    [anon_sym_EQ_EQ] = ACTIONS(5412),
    [anon_sym_BANG_EQ] = ACTIONS(5412),
    [anon_sym_GT] = ACTIONS(5410),
    [anon_sym_GT_EQ] = ACTIONS(5412),
    [anon_sym_LT_EQ] = ACTIONS(5410),
    [anon_sym_LT] = ACTIONS(5410),
    [anon_sym_LT_LT] = ACTIONS(5410),
    [anon_sym_GT_GT] = ACTIONS(5410),
    [anon_sym_SEMI] = ACTIONS(5412),
    [anon_sym___attribute__] = ACTIONS(5410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5396),
    [anon_sym_RBRACE] = ACTIONS(5412),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_RBRACK] = ACTIONS(5412),
    [anon_sym_EQ] = ACTIONS(5410),
    [anon_sym_COLON] = ACTIONS(5412),
    [anon_sym_QMARK] = ACTIONS(5412),
    [anon_sym_STAR_EQ] = ACTIONS(5412),
    [anon_sym_SLASH_EQ] = ACTIONS(5412),
    [anon_sym_PERCENT_EQ] = ACTIONS(5412),
    [anon_sym_PLUS_EQ] = ACTIONS(5412),
    [anon_sym_DASH_EQ] = ACTIONS(5412),
    [anon_sym_LT_LT_EQ] = ACTIONS(5412),
    [anon_sym_GT_GT_EQ] = ACTIONS(5412),
    [anon_sym_AMP_EQ] = ACTIONS(5412),
    [anon_sym_CARET_EQ] = ACTIONS(5412),
    [anon_sym_PIPE_EQ] = ACTIONS(5412),
    [anon_sym_and_eq] = ACTIONS(5410),
    [anon_sym_or_eq] = ACTIONS(5410),
    [anon_sym_xor_eq] = ACTIONS(5410),
    [anon_sym_LT_EQ_GT] = ACTIONS(5412),
    [anon_sym_or] = ACTIONS(5410),
    [anon_sym_and] = ACTIONS(5410),
    [anon_sym_bitor] = ACTIONS(5410),
    [anon_sym_xor] = ACTIONS(5410),
    [anon_sym_bitand] = ACTIONS(5410),
    [anon_sym_not_eq] = ACTIONS(5410),
    [anon_sym_DASH_DASH] = ACTIONS(5412),
    [anon_sym_PLUS_PLUS] = ACTIONS(5412),
    [anon_sym_DOT] = ACTIONS(5410),
    [anon_sym_DOT_STAR] = ACTIONS(5412),
    [anon_sym_DASH_GT] = ACTIONS(5412),
    [sym_comment] = ACTIONS(3),
  },
  [1876] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4813),
    [anon_sym_COMMA] = ACTIONS(4813),
    [anon_sym_RPAREN] = ACTIONS(4813),
    [anon_sym_LPAREN2] = ACTIONS(4813),
    [anon_sym_DASH] = ACTIONS(4811),
    [anon_sym_PLUS] = ACTIONS(4811),
    [anon_sym_STAR] = ACTIONS(4811),
    [anon_sym_SLASH] = ACTIONS(4811),
    [anon_sym_PERCENT] = ACTIONS(4811),
    [anon_sym_PIPE_PIPE] = ACTIONS(4813),
    [anon_sym_AMP_AMP] = ACTIONS(4813),
    [anon_sym_PIPE] = ACTIONS(4811),
    [anon_sym_CARET] = ACTIONS(4811),
    [anon_sym_AMP] = ACTIONS(4811),
    [anon_sym_EQ_EQ] = ACTIONS(4813),
    [anon_sym_BANG_EQ] = ACTIONS(4813),
    [anon_sym_GT] = ACTIONS(4811),
    [anon_sym_GT_EQ] = ACTIONS(4813),
    [anon_sym_LT_EQ] = ACTIONS(4811),
    [anon_sym_LT] = ACTIONS(4811),
    [anon_sym_LT_LT] = ACTIONS(4811),
    [anon_sym_GT_GT] = ACTIONS(4811),
    [anon_sym_SEMI] = ACTIONS(4813),
    [anon_sym_RBRACE] = ACTIONS(4813),
    [anon_sym_LBRACK] = ACTIONS(4813),
    [anon_sym_RBRACK] = ACTIONS(4813),
    [anon_sym_EQ] = ACTIONS(4811),
    [anon_sym_COLON] = ACTIONS(4813),
    [anon_sym_QMARK] = ACTIONS(4813),
    [anon_sym_STAR_EQ] = ACTIONS(4813),
    [anon_sym_SLASH_EQ] = ACTIONS(4813),
    [anon_sym_PERCENT_EQ] = ACTIONS(4813),
    [anon_sym_PLUS_EQ] = ACTIONS(4813),
    [anon_sym_DASH_EQ] = ACTIONS(4813),
    [anon_sym_LT_LT_EQ] = ACTIONS(4813),
    [anon_sym_GT_GT_EQ] = ACTIONS(4813),
    [anon_sym_AMP_EQ] = ACTIONS(4813),
    [anon_sym_CARET_EQ] = ACTIONS(4813),
    [anon_sym_PIPE_EQ] = ACTIONS(4813),
    [anon_sym_and_eq] = ACTIONS(4811),
    [anon_sym_or_eq] = ACTIONS(4811),
    [anon_sym_xor_eq] = ACTIONS(4811),
    [anon_sym_LT_EQ_GT] = ACTIONS(4813),
    [anon_sym_or] = ACTIONS(4811),
    [anon_sym_and] = ACTIONS(4811),
    [anon_sym_bitor] = ACTIONS(4811),
    [anon_sym_xor] = ACTIONS(4811),
    [anon_sym_bitand] = ACTIONS(4811),
    [anon_sym_not_eq] = ACTIONS(4811),
    [anon_sym_DASH_DASH] = ACTIONS(4813),
    [anon_sym_PLUS_PLUS] = ACTIONS(4813),
    [anon_sym_DOT] = ACTIONS(4811),
    [anon_sym_DOT_STAR] = ACTIONS(4813),
    [anon_sym_DASH_GT] = ACTIONS(4813),
    [anon_sym_L_DQUOTE] = ACTIONS(4813),
    [anon_sym_u_DQUOTE] = ACTIONS(4813),
    [anon_sym_U_DQUOTE] = ACTIONS(4813),
    [anon_sym_u8_DQUOTE] = ACTIONS(4813),
    [anon_sym_DQUOTE] = ACTIONS(4813),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4813),
    [anon_sym_LR_DQUOTE] = ACTIONS(4813),
    [anon_sym_uR_DQUOTE] = ACTIONS(4813),
    [anon_sym_UR_DQUOTE] = ACTIONS(4813),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4813),
    [sym_literal_suffix] = ACTIONS(4811),
  },
  [1877] = {
    [sym_attribute_specifier] = STATE(1669),
    [sym_field_declaration_list] = STATE(2263),
    [sym_virtual_specifier] = STATE(6390),
    [sym_base_class_clause] = STATE(7075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4856),
    [anon_sym_COMMA] = ACTIONS(4856),
    [anon_sym_RPAREN] = ACTIONS(4856),
    [anon_sym_LPAREN2] = ACTIONS(4856),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_STAR] = ACTIONS(4856),
    [anon_sym_SLASH] = ACTIONS(4854),
    [anon_sym_PERCENT] = ACTIONS(4856),
    [anon_sym_PIPE_PIPE] = ACTIONS(4856),
    [anon_sym_AMP_AMP] = ACTIONS(4856),
    [anon_sym_PIPE] = ACTIONS(4854),
    [anon_sym_CARET] = ACTIONS(4856),
    [anon_sym_AMP] = ACTIONS(4854),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_GT] = ACTIONS(4854),
    [anon_sym_GT_EQ] = ACTIONS(4856),
    [anon_sym_LT_EQ] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4854),
    [anon_sym_LT_LT] = ACTIONS(4856),
    [anon_sym_GT_GT] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4856),
    [anon_sym___extension__] = ACTIONS(4856),
    [anon_sym___attribute__] = ACTIONS(5414),
    [anon_sym_LBRACE] = ACTIONS(5416),
    [anon_sym_RBRACE] = ACTIONS(4856),
    [anon_sym_LBRACK] = ACTIONS(4856),
    [anon_sym_RBRACK] = ACTIONS(4856),
    [anon_sym_const] = ACTIONS(4854),
    [anon_sym_constexpr] = ACTIONS(4856),
    [anon_sym_volatile] = ACTIONS(4856),
    [anon_sym_restrict] = ACTIONS(4856),
    [anon_sym___restrict__] = ACTIONS(4856),
    [anon_sym__Atomic] = ACTIONS(4856),
    [anon_sym__Noreturn] = ACTIONS(4856),
    [anon_sym_noreturn] = ACTIONS(4856),
    [anon_sym_mutable] = ACTIONS(4856),
    [anon_sym_constinit] = ACTIONS(4856),
    [anon_sym_consteval] = ACTIONS(4856),
    [anon_sym_alignas] = ACTIONS(4856),
    [anon_sym__Alignas] = ACTIONS(4856),
    [anon_sym_COLON] = ACTIONS(4862),
    [anon_sym_QMARK] = ACTIONS(4856),
    [anon_sym_LT_EQ_GT] = ACTIONS(4856),
    [anon_sym_or] = ACTIONS(4856),
    [anon_sym_and] = ACTIONS(4856),
    [anon_sym_bitor] = ACTIONS(4856),
    [anon_sym_xor] = ACTIONS(4856),
    [anon_sym_bitand] = ACTIONS(4856),
    [anon_sym_not_eq] = ACTIONS(4856),
    [anon_sym_DASH_DASH] = ACTIONS(4856),
    [anon_sym_PLUS_PLUS] = ACTIONS(4856),
    [anon_sym_DOT] = ACTIONS(4854),
    [anon_sym_DOT_STAR] = ACTIONS(4856),
    [anon_sym_DASH_GT] = ACTIONS(4856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4856),
    [anon_sym_decltype] = ACTIONS(4856),
    [anon_sym_final] = ACTIONS(5418),
    [anon_sym_override] = ACTIONS(5418),
    [anon_sym_requires] = ACTIONS(4856),
  },
  [1878] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1620),
    [sym_identifier] = ACTIONS(5115),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5112),
    [anon_sym_COMMA] = ACTIONS(5112),
    [aux_sym_preproc_if_token2] = ACTIONS(5112),
    [aux_sym_preproc_else_token1] = ACTIONS(5112),
    [aux_sym_preproc_elif_token1] = ACTIONS(5115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_DASH] = ACTIONS(5115),
    [anon_sym_PLUS] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5115),
    [anon_sym_SLASH] = ACTIONS(5115),
    [anon_sym_PERCENT] = ACTIONS(5115),
    [anon_sym_PIPE_PIPE] = ACTIONS(5112),
    [anon_sym_AMP_AMP] = ACTIONS(5112),
    [anon_sym_PIPE] = ACTIONS(5115),
    [anon_sym_CARET] = ACTIONS(5115),
    [anon_sym_AMP] = ACTIONS(5115),
    [anon_sym_EQ_EQ] = ACTIONS(5112),
    [anon_sym_BANG_EQ] = ACTIONS(5112),
    [anon_sym_GT] = ACTIONS(5115),
    [anon_sym_GT_EQ] = ACTIONS(5112),
    [anon_sym_LT_EQ] = ACTIONS(5115),
    [anon_sym_LT] = ACTIONS(5115),
    [anon_sym_LT_LT] = ACTIONS(5115),
    [anon_sym_GT_GT] = ACTIONS(5115),
    [anon_sym___attribute__] = ACTIONS(5115),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_signed] = ACTIONS(4875),
    [anon_sym_unsigned] = ACTIONS(4875),
    [anon_sym_long] = ACTIONS(4875),
    [anon_sym_short] = ACTIONS(4875),
    [anon_sym_LBRACK] = ACTIONS(5112),
    [anon_sym_EQ] = ACTIONS(5115),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_QMARK] = ACTIONS(5112),
    [anon_sym_STAR_EQ] = ACTIONS(5112),
    [anon_sym_SLASH_EQ] = ACTIONS(5112),
    [anon_sym_PERCENT_EQ] = ACTIONS(5112),
    [anon_sym_PLUS_EQ] = ACTIONS(5112),
    [anon_sym_DASH_EQ] = ACTIONS(5112),
    [anon_sym_LT_LT_EQ] = ACTIONS(5112),
    [anon_sym_GT_GT_EQ] = ACTIONS(5112),
    [anon_sym_AMP_EQ] = ACTIONS(5112),
    [anon_sym_CARET_EQ] = ACTIONS(5112),
    [anon_sym_PIPE_EQ] = ACTIONS(5112),
    [anon_sym_and_eq] = ACTIONS(5115),
    [anon_sym_or_eq] = ACTIONS(5115),
    [anon_sym_xor_eq] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5112),
    [anon_sym_or] = ACTIONS(5115),
    [anon_sym_and] = ACTIONS(5115),
    [anon_sym_bitor] = ACTIONS(5115),
    [anon_sym_xor] = ACTIONS(5115),
    [anon_sym_bitand] = ACTIONS(5115),
    [anon_sym_not_eq] = ACTIONS(5115),
    [anon_sym_DASH_DASH] = ACTIONS(5112),
    [anon_sym_PLUS_PLUS] = ACTIONS(5112),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_DOT_STAR] = ACTIONS(5112),
    [anon_sym_DASH_GT] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5115),
    [anon_sym_decltype] = ACTIONS(5115),
  },
  [1879] = {
    [sym_string_literal] = STATE(1883),
    [sym_raw_string_literal] = STATE(1883),
    [aux_sym_concatenated_string_repeat1] = STATE(1883),
    [sym_identifier] = ACTIONS(5420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4764),
    [anon_sym_COMMA] = ACTIONS(4764),
    [anon_sym_LPAREN2] = ACTIONS(4764),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_STAR] = ACTIONS(4766),
    [anon_sym_SLASH] = ACTIONS(4766),
    [anon_sym_PERCENT] = ACTIONS(4766),
    [anon_sym_PIPE_PIPE] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_PIPE] = ACTIONS(4766),
    [anon_sym_CARET] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_GT] = ACTIONS(4766),
    [anon_sym_GT_EQ] = ACTIONS(4766),
    [anon_sym_LT_EQ] = ACTIONS(4766),
    [anon_sym_LT] = ACTIONS(4766),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4764),
    [anon_sym_EQ] = ACTIONS(4766),
    [anon_sym_QMARK] = ACTIONS(4764),
    [anon_sym_STAR_EQ] = ACTIONS(4764),
    [anon_sym_SLASH_EQ] = ACTIONS(4764),
    [anon_sym_PERCENT_EQ] = ACTIONS(4764),
    [anon_sym_PLUS_EQ] = ACTIONS(4764),
    [anon_sym_DASH_EQ] = ACTIONS(4764),
    [anon_sym_LT_LT_EQ] = ACTIONS(4764),
    [anon_sym_GT_GT_EQ] = ACTIONS(4766),
    [anon_sym_AMP_EQ] = ACTIONS(4764),
    [anon_sym_CARET_EQ] = ACTIONS(4764),
    [anon_sym_PIPE_EQ] = ACTIONS(4764),
    [anon_sym_and_eq] = ACTIONS(4766),
    [anon_sym_or_eq] = ACTIONS(4766),
    [anon_sym_xor_eq] = ACTIONS(4766),
    [anon_sym_LT_EQ_GT] = ACTIONS(4764),
    [anon_sym_or] = ACTIONS(4766),
    [anon_sym_and] = ACTIONS(4766),
    [anon_sym_bitor] = ACTIONS(4766),
    [anon_sym_xor] = ACTIONS(4766),
    [anon_sym_bitand] = ACTIONS(4766),
    [anon_sym_not_eq] = ACTIONS(4766),
    [anon_sym_DASH_DASH] = ACTIONS(4764),
    [anon_sym_PLUS_PLUS] = ACTIONS(4764),
    [anon_sym_DOT] = ACTIONS(4766),
    [anon_sym_DOT_STAR] = ACTIONS(4764),
    [anon_sym_DASH_GT] = ACTIONS(4764),
    [anon_sym_L_DQUOTE] = ACTIONS(5422),
    [anon_sym_u_DQUOTE] = ACTIONS(5422),
    [anon_sym_U_DQUOTE] = ACTIONS(5422),
    [anon_sym_u8_DQUOTE] = ACTIONS(5422),
    [anon_sym_DQUOTE] = ACTIONS(5422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4764),
    [anon_sym_R_DQUOTE] = ACTIONS(5424),
    [anon_sym_LR_DQUOTE] = ACTIONS(5424),
    [anon_sym_uR_DQUOTE] = ACTIONS(5424),
    [anon_sym_UR_DQUOTE] = ACTIONS(5424),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5424),
    [sym_literal_suffix] = ACTIONS(4766),
  },
  [1880] = {
    [sym_decltype_auto] = STATE(2097),
    [sym_identifier] = ACTIONS(4881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_COMMA] = ACTIONS(4883),
    [anon_sym_RPAREN] = ACTIONS(4883),
    [aux_sym_preproc_if_token2] = ACTIONS(4883),
    [aux_sym_preproc_else_token1] = ACTIONS(4883),
    [aux_sym_preproc_elif_token1] = ACTIONS(4881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(4883),
    [anon_sym_DASH] = ACTIONS(4881),
    [anon_sym_PLUS] = ACTIONS(4881),
    [anon_sym_STAR] = ACTIONS(4881),
    [anon_sym_SLASH] = ACTIONS(4881),
    [anon_sym_PERCENT] = ACTIONS(4881),
    [anon_sym_PIPE_PIPE] = ACTIONS(4883),
    [anon_sym_AMP_AMP] = ACTIONS(4883),
    [anon_sym_PIPE] = ACTIONS(4881),
    [anon_sym_CARET] = ACTIONS(4881),
    [anon_sym_AMP] = ACTIONS(4881),
    [anon_sym_EQ_EQ] = ACTIONS(4883),
    [anon_sym_BANG_EQ] = ACTIONS(4883),
    [anon_sym_GT] = ACTIONS(4881),
    [anon_sym_GT_EQ] = ACTIONS(4883),
    [anon_sym_LT_EQ] = ACTIONS(4881),
    [anon_sym_LT] = ACTIONS(4881),
    [anon_sym_LT_LT] = ACTIONS(4881),
    [anon_sym_GT_GT] = ACTIONS(4881),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym___attribute__] = ACTIONS(4881),
    [anon_sym_LBRACE] = ACTIONS(4883),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_RBRACK] = ACTIONS(4883),
    [anon_sym_EQ] = ACTIONS(4881),
    [anon_sym_COLON] = ACTIONS(4883),
    [anon_sym_QMARK] = ACTIONS(4883),
    [anon_sym_STAR_EQ] = ACTIONS(4883),
    [anon_sym_SLASH_EQ] = ACTIONS(4883),
    [anon_sym_PERCENT_EQ] = ACTIONS(4883),
    [anon_sym_PLUS_EQ] = ACTIONS(4883),
    [anon_sym_DASH_EQ] = ACTIONS(4883),
    [anon_sym_LT_LT_EQ] = ACTIONS(4883),
    [anon_sym_GT_GT_EQ] = ACTIONS(4883),
    [anon_sym_AMP_EQ] = ACTIONS(4883),
    [anon_sym_CARET_EQ] = ACTIONS(4883),
    [anon_sym_PIPE_EQ] = ACTIONS(4883),
    [anon_sym_and_eq] = ACTIONS(4881),
    [anon_sym_or_eq] = ACTIONS(4881),
    [anon_sym_xor_eq] = ACTIONS(4881),
    [anon_sym_LT_EQ_GT] = ACTIONS(4883),
    [anon_sym_or] = ACTIONS(4881),
    [anon_sym_and] = ACTIONS(4881),
    [anon_sym_bitor] = ACTIONS(4881),
    [anon_sym_xor] = ACTIONS(4881),
    [anon_sym_bitand] = ACTIONS(4881),
    [anon_sym_not_eq] = ACTIONS(4881),
    [anon_sym_DASH_DASH] = ACTIONS(4883),
    [anon_sym_PLUS_PLUS] = ACTIONS(4883),
    [anon_sym_DOT] = ACTIONS(4881),
    [anon_sym_DOT_STAR] = ACTIONS(4883),
    [anon_sym_DASH_GT] = ACTIONS(4883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5138),
    [anon_sym_decltype] = ACTIONS(5140),
  },
  [1881] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1901),
    [sym_identifier] = ACTIONS(5426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5204),
    [anon_sym_COMMA] = ACTIONS(5204),
    [anon_sym_RPAREN] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_DASH] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(5206),
    [anon_sym_STAR] = ACTIONS(5206),
    [anon_sym_SLASH] = ACTIONS(5206),
    [anon_sym_PERCENT] = ACTIONS(5206),
    [anon_sym_PIPE_PIPE] = ACTIONS(5204),
    [anon_sym_AMP_AMP] = ACTIONS(5204),
    [anon_sym_PIPE] = ACTIONS(5206),
    [anon_sym_CARET] = ACTIONS(5206),
    [anon_sym_AMP] = ACTIONS(5206),
    [anon_sym_EQ_EQ] = ACTIONS(5204),
    [anon_sym_BANG_EQ] = ACTIONS(5204),
    [anon_sym_GT] = ACTIONS(5206),
    [anon_sym_GT_EQ] = ACTIONS(5204),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_LT] = ACTIONS(5206),
    [anon_sym_LT_LT] = ACTIONS(5206),
    [anon_sym_GT_GT] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(5204),
    [anon_sym___attribute__] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(5204),
    [anon_sym_RBRACE] = ACTIONS(5204),
    [anon_sym_signed] = ACTIONS(5428),
    [anon_sym_unsigned] = ACTIONS(5428),
    [anon_sym_long] = ACTIONS(5428),
    [anon_sym_short] = ACTIONS(5428),
    [anon_sym_LBRACK] = ACTIONS(5204),
    [anon_sym_RBRACK] = ACTIONS(5204),
    [anon_sym_EQ] = ACTIONS(5206),
    [sym_primitive_type] = ACTIONS(5430),
    [anon_sym_COLON] = ACTIONS(5204),
    [anon_sym_QMARK] = ACTIONS(5204),
    [anon_sym_STAR_EQ] = ACTIONS(5204),
    [anon_sym_SLASH_EQ] = ACTIONS(5204),
    [anon_sym_PERCENT_EQ] = ACTIONS(5204),
    [anon_sym_PLUS_EQ] = ACTIONS(5204),
    [anon_sym_DASH_EQ] = ACTIONS(5204),
    [anon_sym_LT_LT_EQ] = ACTIONS(5204),
    [anon_sym_GT_GT_EQ] = ACTIONS(5204),
    [anon_sym_AMP_EQ] = ACTIONS(5204),
    [anon_sym_CARET_EQ] = ACTIONS(5204),
    [anon_sym_PIPE_EQ] = ACTIONS(5204),
    [anon_sym_and_eq] = ACTIONS(5206),
    [anon_sym_or_eq] = ACTIONS(5206),
    [anon_sym_xor_eq] = ACTIONS(5206),
    [anon_sym_LT_EQ_GT] = ACTIONS(5204),
    [anon_sym_or] = ACTIONS(5206),
    [anon_sym_and] = ACTIONS(5206),
    [anon_sym_bitor] = ACTIONS(5206),
    [anon_sym_xor] = ACTIONS(5206),
    [anon_sym_bitand] = ACTIONS(5206),
    [anon_sym_not_eq] = ACTIONS(5206),
    [anon_sym_DASH_DASH] = ACTIONS(5204),
    [anon_sym_PLUS_PLUS] = ACTIONS(5204),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_DOT_STAR] = ACTIONS(5204),
    [anon_sym_DASH_GT] = ACTIONS(5204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5206),
    [anon_sym_decltype] = ACTIONS(5206),
  },
  [1882] = {
    [sym_attribute_specifier] = STATE(2068),
    [sym_identifier] = ACTIONS(5432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5434),
    [anon_sym_COMMA] = ACTIONS(5434),
    [anon_sym_RPAREN] = ACTIONS(5434),
    [aux_sym_preproc_if_token2] = ACTIONS(5434),
    [aux_sym_preproc_else_token1] = ACTIONS(5434),
    [aux_sym_preproc_elif_token1] = ACTIONS(5432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5434),
    [anon_sym_LPAREN2] = ACTIONS(5434),
    [anon_sym_DASH] = ACTIONS(5432),
    [anon_sym_PLUS] = ACTIONS(5432),
    [anon_sym_STAR] = ACTIONS(5432),
    [anon_sym_SLASH] = ACTIONS(5432),
    [anon_sym_PERCENT] = ACTIONS(5432),
    [anon_sym_PIPE_PIPE] = ACTIONS(5434),
    [anon_sym_AMP_AMP] = ACTIONS(5434),
    [anon_sym_PIPE] = ACTIONS(5432),
    [anon_sym_CARET] = ACTIONS(5432),
    [anon_sym_AMP] = ACTIONS(5432),
    [anon_sym_EQ_EQ] = ACTIONS(5434),
    [anon_sym_BANG_EQ] = ACTIONS(5434),
    [anon_sym_GT] = ACTIONS(5432),
    [anon_sym_GT_EQ] = ACTIONS(5434),
    [anon_sym_LT_EQ] = ACTIONS(5432),
    [anon_sym_LT] = ACTIONS(5432),
    [anon_sym_LT_LT] = ACTIONS(5432),
    [anon_sym_GT_GT] = ACTIONS(5432),
    [anon_sym_SEMI] = ACTIONS(5434),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5434),
    [anon_sym_RBRACE] = ACTIONS(5434),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [anon_sym_RBRACK] = ACTIONS(5434),
    [anon_sym_EQ] = ACTIONS(5432),
    [anon_sym_COLON] = ACTIONS(5434),
    [anon_sym_QMARK] = ACTIONS(5434),
    [anon_sym_STAR_EQ] = ACTIONS(5434),
    [anon_sym_SLASH_EQ] = ACTIONS(5434),
    [anon_sym_PERCENT_EQ] = ACTIONS(5434),
    [anon_sym_PLUS_EQ] = ACTIONS(5434),
    [anon_sym_DASH_EQ] = ACTIONS(5434),
    [anon_sym_LT_LT_EQ] = ACTIONS(5434),
    [anon_sym_GT_GT_EQ] = ACTIONS(5434),
    [anon_sym_AMP_EQ] = ACTIONS(5434),
    [anon_sym_CARET_EQ] = ACTIONS(5434),
    [anon_sym_PIPE_EQ] = ACTIONS(5434),
    [anon_sym_and_eq] = ACTIONS(5432),
    [anon_sym_or_eq] = ACTIONS(5432),
    [anon_sym_xor_eq] = ACTIONS(5432),
    [anon_sym_LT_EQ_GT] = ACTIONS(5434),
    [anon_sym_or] = ACTIONS(5432),
    [anon_sym_and] = ACTIONS(5432),
    [anon_sym_bitor] = ACTIONS(5432),
    [anon_sym_xor] = ACTIONS(5432),
    [anon_sym_bitand] = ACTIONS(5432),
    [anon_sym_not_eq] = ACTIONS(5432),
    [anon_sym_DASH_DASH] = ACTIONS(5434),
    [anon_sym_PLUS_PLUS] = ACTIONS(5434),
    [anon_sym_DOT] = ACTIONS(5432),
    [anon_sym_DOT_STAR] = ACTIONS(5434),
    [anon_sym_DASH_GT] = ACTIONS(5434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5432),
    [anon_sym_decltype] = ACTIONS(5432),
  },
  [1883] = {
    [sym_string_literal] = STATE(1898),
    [sym_raw_string_literal] = STATE(1898),
    [aux_sym_concatenated_string_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(5436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4758),
    [anon_sym_COMMA] = ACTIONS(4758),
    [anon_sym_LPAREN2] = ACTIONS(4758),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_STAR] = ACTIONS(4760),
    [anon_sym_SLASH] = ACTIONS(4760),
    [anon_sym_PERCENT] = ACTIONS(4760),
    [anon_sym_PIPE_PIPE] = ACTIONS(4758),
    [anon_sym_AMP_AMP] = ACTIONS(4758),
    [anon_sym_PIPE] = ACTIONS(4760),
    [anon_sym_CARET] = ACTIONS(4760),
    [anon_sym_AMP] = ACTIONS(4760),
    [anon_sym_EQ_EQ] = ACTIONS(4758),
    [anon_sym_BANG_EQ] = ACTIONS(4758),
    [anon_sym_GT] = ACTIONS(4760),
    [anon_sym_GT_EQ] = ACTIONS(4760),
    [anon_sym_LT_EQ] = ACTIONS(4760),
    [anon_sym_LT] = ACTIONS(4760),
    [anon_sym_LT_LT] = ACTIONS(4760),
    [anon_sym_GT_GT] = ACTIONS(4760),
    [anon_sym_LBRACK] = ACTIONS(4758),
    [anon_sym_EQ] = ACTIONS(4760),
    [anon_sym_QMARK] = ACTIONS(4758),
    [anon_sym_STAR_EQ] = ACTIONS(4758),
    [anon_sym_SLASH_EQ] = ACTIONS(4758),
    [anon_sym_PERCENT_EQ] = ACTIONS(4758),
    [anon_sym_PLUS_EQ] = ACTIONS(4758),
    [anon_sym_DASH_EQ] = ACTIONS(4758),
    [anon_sym_LT_LT_EQ] = ACTIONS(4758),
    [anon_sym_GT_GT_EQ] = ACTIONS(4760),
    [anon_sym_AMP_EQ] = ACTIONS(4758),
    [anon_sym_CARET_EQ] = ACTIONS(4758),
    [anon_sym_PIPE_EQ] = ACTIONS(4758),
    [anon_sym_and_eq] = ACTIONS(4760),
    [anon_sym_or_eq] = ACTIONS(4760),
    [anon_sym_xor_eq] = ACTIONS(4760),
    [anon_sym_LT_EQ_GT] = ACTIONS(4758),
    [anon_sym_or] = ACTIONS(4760),
    [anon_sym_and] = ACTIONS(4760),
    [anon_sym_bitor] = ACTIONS(4760),
    [anon_sym_xor] = ACTIONS(4760),
    [anon_sym_bitand] = ACTIONS(4760),
    [anon_sym_not_eq] = ACTIONS(4760),
    [anon_sym_DASH_DASH] = ACTIONS(4758),
    [anon_sym_PLUS_PLUS] = ACTIONS(4758),
    [anon_sym_DOT] = ACTIONS(4760),
    [anon_sym_DOT_STAR] = ACTIONS(4758),
    [anon_sym_DASH_GT] = ACTIONS(4758),
    [anon_sym_L_DQUOTE] = ACTIONS(5422),
    [anon_sym_u_DQUOTE] = ACTIONS(5422),
    [anon_sym_U_DQUOTE] = ACTIONS(5422),
    [anon_sym_u8_DQUOTE] = ACTIONS(5422),
    [anon_sym_DQUOTE] = ACTIONS(5422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4758),
    [anon_sym_R_DQUOTE] = ACTIONS(5424),
    [anon_sym_LR_DQUOTE] = ACTIONS(5424),
    [anon_sym_uR_DQUOTE] = ACTIONS(5424),
    [anon_sym_UR_DQUOTE] = ACTIONS(5424),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5424),
    [sym_literal_suffix] = ACTIONS(4760),
  },
  [1884] = {
    [sym_attribute_specifier] = STATE(2107),
    [sym_identifier] = ACTIONS(5438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5440),
    [anon_sym_RPAREN] = ACTIONS(5440),
    [aux_sym_preproc_if_token2] = ACTIONS(5440),
    [aux_sym_preproc_else_token1] = ACTIONS(5440),
    [aux_sym_preproc_elif_token1] = ACTIONS(5438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5440),
    [anon_sym_DASH] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_SLASH] = ACTIONS(5438),
    [anon_sym_PERCENT] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_PIPE] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5438),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5438),
    [anon_sym_GT_EQ] = ACTIONS(5440),
    [anon_sym_LT_EQ] = ACTIONS(5438),
    [anon_sym_LT] = ACTIONS(5438),
    [anon_sym_LT_LT] = ACTIONS(5438),
    [anon_sym_GT_GT] = ACTIONS(5438),
    [anon_sym_SEMI] = ACTIONS(5440),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5440),
    [anon_sym_RBRACE] = ACTIONS(5440),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_RBRACK] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5438),
    [anon_sym_COLON] = ACTIONS(5440),
    [anon_sym_QMARK] = ACTIONS(5440),
    [anon_sym_STAR_EQ] = ACTIONS(5440),
    [anon_sym_SLASH_EQ] = ACTIONS(5440),
    [anon_sym_PERCENT_EQ] = ACTIONS(5440),
    [anon_sym_PLUS_EQ] = ACTIONS(5440),
    [anon_sym_DASH_EQ] = ACTIONS(5440),
    [anon_sym_LT_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT_GT_EQ] = ACTIONS(5440),
    [anon_sym_AMP_EQ] = ACTIONS(5440),
    [anon_sym_CARET_EQ] = ACTIONS(5440),
    [anon_sym_PIPE_EQ] = ACTIONS(5440),
    [anon_sym_and_eq] = ACTIONS(5438),
    [anon_sym_or_eq] = ACTIONS(5438),
    [anon_sym_xor_eq] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5440),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_bitor] = ACTIONS(5438),
    [anon_sym_xor] = ACTIONS(5438),
    [anon_sym_bitand] = ACTIONS(5438),
    [anon_sym_not_eq] = ACTIONS(5438),
    [anon_sym_DASH_DASH] = ACTIONS(5440),
    [anon_sym_PLUS_PLUS] = ACTIONS(5440),
    [anon_sym_DOT] = ACTIONS(5438),
    [anon_sym_DOT_STAR] = ACTIONS(5440),
    [anon_sym_DASH_GT] = ACTIONS(5440),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5438),
    [anon_sym_decltype] = ACTIONS(5438),
  },
  [1885] = {
    [sym_attribute_specifier] = STATE(2135),
    [sym_identifier] = ACTIONS(5442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5444),
    [anon_sym_COMMA] = ACTIONS(5444),
    [anon_sym_RPAREN] = ACTIONS(5444),
    [aux_sym_preproc_if_token2] = ACTIONS(5444),
    [aux_sym_preproc_else_token1] = ACTIONS(5444),
    [aux_sym_preproc_elif_token1] = ACTIONS(5442),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5444),
    [anon_sym_LPAREN2] = ACTIONS(5444),
    [anon_sym_DASH] = ACTIONS(5442),
    [anon_sym_PLUS] = ACTIONS(5442),
    [anon_sym_STAR] = ACTIONS(5442),
    [anon_sym_SLASH] = ACTIONS(5442),
    [anon_sym_PERCENT] = ACTIONS(5442),
    [anon_sym_PIPE_PIPE] = ACTIONS(5444),
    [anon_sym_AMP_AMP] = ACTIONS(5444),
    [anon_sym_PIPE] = ACTIONS(5442),
    [anon_sym_CARET] = ACTIONS(5442),
    [anon_sym_AMP] = ACTIONS(5442),
    [anon_sym_EQ_EQ] = ACTIONS(5444),
    [anon_sym_BANG_EQ] = ACTIONS(5444),
    [anon_sym_GT] = ACTIONS(5442),
    [anon_sym_GT_EQ] = ACTIONS(5444),
    [anon_sym_LT_EQ] = ACTIONS(5442),
    [anon_sym_LT] = ACTIONS(5442),
    [anon_sym_LT_LT] = ACTIONS(5442),
    [anon_sym_GT_GT] = ACTIONS(5442),
    [anon_sym_SEMI] = ACTIONS(5444),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5444),
    [anon_sym_RBRACE] = ACTIONS(5444),
    [anon_sym_LBRACK] = ACTIONS(5444),
    [anon_sym_RBRACK] = ACTIONS(5444),
    [anon_sym_EQ] = ACTIONS(5442),
    [anon_sym_COLON] = ACTIONS(5444),
    [anon_sym_QMARK] = ACTIONS(5444),
    [anon_sym_STAR_EQ] = ACTIONS(5444),
    [anon_sym_SLASH_EQ] = ACTIONS(5444),
    [anon_sym_PERCENT_EQ] = ACTIONS(5444),
    [anon_sym_PLUS_EQ] = ACTIONS(5444),
    [anon_sym_DASH_EQ] = ACTIONS(5444),
    [anon_sym_LT_LT_EQ] = ACTIONS(5444),
    [anon_sym_GT_GT_EQ] = ACTIONS(5444),
    [anon_sym_AMP_EQ] = ACTIONS(5444),
    [anon_sym_CARET_EQ] = ACTIONS(5444),
    [anon_sym_PIPE_EQ] = ACTIONS(5444),
    [anon_sym_and_eq] = ACTIONS(5442),
    [anon_sym_or_eq] = ACTIONS(5442),
    [anon_sym_xor_eq] = ACTIONS(5442),
    [anon_sym_LT_EQ_GT] = ACTIONS(5444),
    [anon_sym_or] = ACTIONS(5442),
    [anon_sym_and] = ACTIONS(5442),
    [anon_sym_bitor] = ACTIONS(5442),
    [anon_sym_xor] = ACTIONS(5442),
    [anon_sym_bitand] = ACTIONS(5442),
    [anon_sym_not_eq] = ACTIONS(5442),
    [anon_sym_DASH_DASH] = ACTIONS(5444),
    [anon_sym_PLUS_PLUS] = ACTIONS(5444),
    [anon_sym_DOT] = ACTIONS(5442),
    [anon_sym_DOT_STAR] = ACTIONS(5444),
    [anon_sym_DASH_GT] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5442),
    [anon_sym_decltype] = ACTIONS(5442),
  },
  [1886] = {
    [sym_attribute_specifier] = STATE(2106),
    [sym_identifier] = ACTIONS(5446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5448),
    [anon_sym_COMMA] = ACTIONS(5448),
    [anon_sym_RPAREN] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_else_token1] = ACTIONS(5448),
    [aux_sym_preproc_elif_token1] = ACTIONS(5446),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5448),
    [anon_sym_DASH] = ACTIONS(5446),
    [anon_sym_PLUS] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_SLASH] = ACTIONS(5446),
    [anon_sym_PERCENT] = ACTIONS(5446),
    [anon_sym_PIPE_PIPE] = ACTIONS(5448),
    [anon_sym_AMP_AMP] = ACTIONS(5448),
    [anon_sym_PIPE] = ACTIONS(5446),
    [anon_sym_CARET] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5446),
    [anon_sym_EQ_EQ] = ACTIONS(5448),
    [anon_sym_BANG_EQ] = ACTIONS(5448),
    [anon_sym_GT] = ACTIONS(5446),
    [anon_sym_GT_EQ] = ACTIONS(5448),
    [anon_sym_LT_EQ] = ACTIONS(5446),
    [anon_sym_LT] = ACTIONS(5446),
    [anon_sym_LT_LT] = ACTIONS(5446),
    [anon_sym_GT_GT] = ACTIONS(5446),
    [anon_sym_SEMI] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_RBRACK] = ACTIONS(5448),
    [anon_sym_EQ] = ACTIONS(5446),
    [anon_sym_COLON] = ACTIONS(5448),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_STAR_EQ] = ACTIONS(5448),
    [anon_sym_SLASH_EQ] = ACTIONS(5448),
    [anon_sym_PERCENT_EQ] = ACTIONS(5448),
    [anon_sym_PLUS_EQ] = ACTIONS(5448),
    [anon_sym_DASH_EQ] = ACTIONS(5448),
    [anon_sym_LT_LT_EQ] = ACTIONS(5448),
    [anon_sym_GT_GT_EQ] = ACTIONS(5448),
    [anon_sym_AMP_EQ] = ACTIONS(5448),
    [anon_sym_CARET_EQ] = ACTIONS(5448),
    [anon_sym_PIPE_EQ] = ACTIONS(5448),
    [anon_sym_and_eq] = ACTIONS(5446),
    [anon_sym_or_eq] = ACTIONS(5446),
    [anon_sym_xor_eq] = ACTIONS(5446),
    [anon_sym_LT_EQ_GT] = ACTIONS(5448),
    [anon_sym_or] = ACTIONS(5446),
    [anon_sym_and] = ACTIONS(5446),
    [anon_sym_bitor] = ACTIONS(5446),
    [anon_sym_xor] = ACTIONS(5446),
    [anon_sym_bitand] = ACTIONS(5446),
    [anon_sym_not_eq] = ACTIONS(5446),
    [anon_sym_DASH_DASH] = ACTIONS(5448),
    [anon_sym_PLUS_PLUS] = ACTIONS(5448),
    [anon_sym_DOT] = ACTIONS(5446),
    [anon_sym_DOT_STAR] = ACTIONS(5448),
    [anon_sym_DASH_GT] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5446),
    [anon_sym_decltype] = ACTIONS(5446),
  },
  [1887] = {
    [sym_attribute_specifier] = STATE(2090),
    [sym_identifier] = ACTIONS(5450),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5452),
    [anon_sym_COMMA] = ACTIONS(5452),
    [anon_sym_RPAREN] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_else_token1] = ACTIONS(5452),
    [aux_sym_preproc_elif_token1] = ACTIONS(5450),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5452),
    [anon_sym_DASH] = ACTIONS(5450),
    [anon_sym_PLUS] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_SLASH] = ACTIONS(5450),
    [anon_sym_PERCENT] = ACTIONS(5450),
    [anon_sym_PIPE_PIPE] = ACTIONS(5452),
    [anon_sym_AMP_AMP] = ACTIONS(5452),
    [anon_sym_PIPE] = ACTIONS(5450),
    [anon_sym_CARET] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5450),
    [anon_sym_EQ_EQ] = ACTIONS(5452),
    [anon_sym_BANG_EQ] = ACTIONS(5452),
    [anon_sym_GT] = ACTIONS(5450),
    [anon_sym_GT_EQ] = ACTIONS(5452),
    [anon_sym_LT_EQ] = ACTIONS(5450),
    [anon_sym_LT] = ACTIONS(5450),
    [anon_sym_LT_LT] = ACTIONS(5450),
    [anon_sym_GT_GT] = ACTIONS(5450),
    [anon_sym_SEMI] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5452),
    [anon_sym_RBRACE] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_RBRACK] = ACTIONS(5452),
    [anon_sym_EQ] = ACTIONS(5450),
    [anon_sym_COLON] = ACTIONS(5452),
    [anon_sym_QMARK] = ACTIONS(5452),
    [anon_sym_STAR_EQ] = ACTIONS(5452),
    [anon_sym_SLASH_EQ] = ACTIONS(5452),
    [anon_sym_PERCENT_EQ] = ACTIONS(5452),
    [anon_sym_PLUS_EQ] = ACTIONS(5452),
    [anon_sym_DASH_EQ] = ACTIONS(5452),
    [anon_sym_LT_LT_EQ] = ACTIONS(5452),
    [anon_sym_GT_GT_EQ] = ACTIONS(5452),
    [anon_sym_AMP_EQ] = ACTIONS(5452),
    [anon_sym_CARET_EQ] = ACTIONS(5452),
    [anon_sym_PIPE_EQ] = ACTIONS(5452),
    [anon_sym_and_eq] = ACTIONS(5450),
    [anon_sym_or_eq] = ACTIONS(5450),
    [anon_sym_xor_eq] = ACTIONS(5450),
    [anon_sym_LT_EQ_GT] = ACTIONS(5452),
    [anon_sym_or] = ACTIONS(5450),
    [anon_sym_and] = ACTIONS(5450),
    [anon_sym_bitor] = ACTIONS(5450),
    [anon_sym_xor] = ACTIONS(5450),
    [anon_sym_bitand] = ACTIONS(5450),
    [anon_sym_not_eq] = ACTIONS(5450),
    [anon_sym_DASH_DASH] = ACTIONS(5452),
    [anon_sym_PLUS_PLUS] = ACTIONS(5452),
    [anon_sym_DOT] = ACTIONS(5450),
    [anon_sym_DOT_STAR] = ACTIONS(5452),
    [anon_sym_DASH_GT] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5450),
    [anon_sym_decltype] = ACTIONS(5450),
  },
  [1888] = {
    [sym_template_argument_list] = STATE(1802),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2227),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3776),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RPAREN] = ACTIONS(3776),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3768),
    [anon_sym_PLUS] = ACTIONS(3768),
    [anon_sym_STAR] = ACTIONS(3768),
    [anon_sym_SLASH] = ACTIONS(3768),
    [anon_sym_PERCENT] = ACTIONS(3768),
    [anon_sym_PIPE_PIPE] = ACTIONS(3776),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3768),
    [anon_sym_CARET] = ACTIONS(3768),
    [anon_sym_AMP] = ACTIONS(3768),
    [anon_sym_EQ_EQ] = ACTIONS(3776),
    [anon_sym_BANG_EQ] = ACTIONS(3776),
    [anon_sym_GT] = ACTIONS(3768),
    [anon_sym_GT_EQ] = ACTIONS(3776),
    [anon_sym_LT_EQ] = ACTIONS(3768),
    [anon_sym_LT] = ACTIONS(5019),
    [anon_sym_LT_LT] = ACTIONS(3768),
    [anon_sym_GT_GT] = ACTIONS(3768),
    [anon_sym_SEMI] = ACTIONS(3776),
    [anon_sym___attribute__] = ACTIONS(3776),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3776),
    [anon_sym_signed] = ACTIONS(5454),
    [anon_sym_unsigned] = ACTIONS(5454),
    [anon_sym_long] = ACTIONS(5454),
    [anon_sym_short] = ACTIONS(5454),
    [anon_sym_LBRACK] = ACTIONS(3776),
    [anon_sym_RBRACK] = ACTIONS(3776),
    [anon_sym_EQ] = ACTIONS(3768),
    [anon_sym_COLON] = ACTIONS(3768),
    [anon_sym_QMARK] = ACTIONS(3776),
    [anon_sym_STAR_EQ] = ACTIONS(3776),
    [anon_sym_SLASH_EQ] = ACTIONS(3776),
    [anon_sym_PERCENT_EQ] = ACTIONS(3776),
    [anon_sym_PLUS_EQ] = ACTIONS(3776),
    [anon_sym_DASH_EQ] = ACTIONS(3776),
    [anon_sym_LT_LT_EQ] = ACTIONS(3776),
    [anon_sym_GT_GT_EQ] = ACTIONS(3776),
    [anon_sym_AMP_EQ] = ACTIONS(3776),
    [anon_sym_CARET_EQ] = ACTIONS(3776),
    [anon_sym_PIPE_EQ] = ACTIONS(3776),
    [anon_sym_and_eq] = ACTIONS(3776),
    [anon_sym_or_eq] = ACTIONS(3776),
    [anon_sym_xor_eq] = ACTIONS(3776),
    [anon_sym_LT_EQ_GT] = ACTIONS(3776),
    [anon_sym_or] = ACTIONS(3768),
    [anon_sym_and] = ACTIONS(3768),
    [anon_sym_bitor] = ACTIONS(3776),
    [anon_sym_xor] = ACTIONS(3768),
    [anon_sym_bitand] = ACTIONS(3776),
    [anon_sym_not_eq] = ACTIONS(3776),
    [anon_sym_DASH_DASH] = ACTIONS(3776),
    [anon_sym_PLUS_PLUS] = ACTIONS(3776),
    [anon_sym_DOT] = ACTIONS(3768),
    [anon_sym_DOT_STAR] = ACTIONS(3776),
    [anon_sym_DASH_GT] = ACTIONS(3776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3776),
    [anon_sym_decltype] = ACTIONS(3776),
  },
  [1889] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4817),
    [anon_sym_COMMA] = ACTIONS(4817),
    [anon_sym_RPAREN] = ACTIONS(4817),
    [anon_sym_LPAREN2] = ACTIONS(4817),
    [anon_sym_DASH] = ACTIONS(4815),
    [anon_sym_PLUS] = ACTIONS(4815),
    [anon_sym_STAR] = ACTIONS(4815),
    [anon_sym_SLASH] = ACTIONS(4815),
    [anon_sym_PERCENT] = ACTIONS(4815),
    [anon_sym_PIPE_PIPE] = ACTIONS(4817),
    [anon_sym_AMP_AMP] = ACTIONS(4817),
    [anon_sym_PIPE] = ACTIONS(4815),
    [anon_sym_CARET] = ACTIONS(4815),
    [anon_sym_AMP] = ACTIONS(4815),
    [anon_sym_EQ_EQ] = ACTIONS(4817),
    [anon_sym_BANG_EQ] = ACTIONS(4817),
    [anon_sym_GT] = ACTIONS(4815),
    [anon_sym_GT_EQ] = ACTIONS(4817),
    [anon_sym_LT_EQ] = ACTIONS(4815),
    [anon_sym_LT] = ACTIONS(4815),
    [anon_sym_LT_LT] = ACTIONS(4815),
    [anon_sym_GT_GT] = ACTIONS(4815),
    [anon_sym_SEMI] = ACTIONS(4817),
    [anon_sym_RBRACE] = ACTIONS(4817),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(4817),
    [anon_sym_EQ] = ACTIONS(4815),
    [anon_sym_COLON] = ACTIONS(4817),
    [anon_sym_QMARK] = ACTIONS(4817),
    [anon_sym_STAR_EQ] = ACTIONS(4817),
    [anon_sym_SLASH_EQ] = ACTIONS(4817),
    [anon_sym_PERCENT_EQ] = ACTIONS(4817),
    [anon_sym_PLUS_EQ] = ACTIONS(4817),
    [anon_sym_DASH_EQ] = ACTIONS(4817),
    [anon_sym_LT_LT_EQ] = ACTIONS(4817),
    [anon_sym_GT_GT_EQ] = ACTIONS(4817),
    [anon_sym_AMP_EQ] = ACTIONS(4817),
    [anon_sym_CARET_EQ] = ACTIONS(4817),
    [anon_sym_PIPE_EQ] = ACTIONS(4817),
    [anon_sym_and_eq] = ACTIONS(4815),
    [anon_sym_or_eq] = ACTIONS(4815),
    [anon_sym_xor_eq] = ACTIONS(4815),
    [anon_sym_LT_EQ_GT] = ACTIONS(4817),
    [anon_sym_or] = ACTIONS(4815),
    [anon_sym_and] = ACTIONS(4815),
    [anon_sym_bitor] = ACTIONS(4815),
    [anon_sym_xor] = ACTIONS(4815),
    [anon_sym_bitand] = ACTIONS(4815),
    [anon_sym_not_eq] = ACTIONS(4815),
    [anon_sym_DASH_DASH] = ACTIONS(4817),
    [anon_sym_PLUS_PLUS] = ACTIONS(4817),
    [anon_sym_DOT] = ACTIONS(4815),
    [anon_sym_DOT_STAR] = ACTIONS(4817),
    [anon_sym_DASH_GT] = ACTIONS(4817),
    [anon_sym_L_DQUOTE] = ACTIONS(4817),
    [anon_sym_u_DQUOTE] = ACTIONS(4817),
    [anon_sym_U_DQUOTE] = ACTIONS(4817),
    [anon_sym_u8_DQUOTE] = ACTIONS(4817),
    [anon_sym_DQUOTE] = ACTIONS(4817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4817),
    [anon_sym_LR_DQUOTE] = ACTIONS(4817),
    [anon_sym_uR_DQUOTE] = ACTIONS(4817),
    [anon_sym_UR_DQUOTE] = ACTIONS(4817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4817),
    [sym_literal_suffix] = ACTIONS(4815),
  },
  [1890] = {
    [sym_template_argument_list] = STATE(1551),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2227),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5281),
    [anon_sym_COMMA] = ACTIONS(5281),
    [anon_sym_RPAREN] = ACTIONS(5281),
    [anon_sym_LPAREN2] = ACTIONS(5281),
    [anon_sym_DASH] = ACTIONS(5279),
    [anon_sym_PLUS] = ACTIONS(5279),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_SLASH] = ACTIONS(5279),
    [anon_sym_PERCENT] = ACTIONS(5279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5281),
    [anon_sym_AMP_AMP] = ACTIONS(5281),
    [anon_sym_PIPE] = ACTIONS(5279),
    [anon_sym_CARET] = ACTIONS(5279),
    [anon_sym_AMP] = ACTIONS(5279),
    [anon_sym_EQ_EQ] = ACTIONS(5281),
    [anon_sym_BANG_EQ] = ACTIONS(5281),
    [anon_sym_GT] = ACTIONS(5279),
    [anon_sym_GT_EQ] = ACTIONS(5281),
    [anon_sym_LT_EQ] = ACTIONS(5279),
    [anon_sym_LT] = ACTIONS(5279),
    [anon_sym_LT_LT] = ACTIONS(5279),
    [anon_sym_GT_GT] = ACTIONS(5279),
    [anon_sym_SEMI] = ACTIONS(5281),
    [anon_sym___attribute__] = ACTIONS(5281),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(5281),
    [anon_sym_RBRACE] = ACTIONS(5281),
    [anon_sym_signed] = ACTIONS(5454),
    [anon_sym_unsigned] = ACTIONS(5454),
    [anon_sym_long] = ACTIONS(5454),
    [anon_sym_short] = ACTIONS(5454),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [anon_sym_RBRACK] = ACTIONS(5281),
    [anon_sym_EQ] = ACTIONS(5279),
    [anon_sym_COLON] = ACTIONS(5279),
    [anon_sym_QMARK] = ACTIONS(5281),
    [anon_sym_STAR_EQ] = ACTIONS(5281),
    [anon_sym_SLASH_EQ] = ACTIONS(5281),
    [anon_sym_PERCENT_EQ] = ACTIONS(5281),
    [anon_sym_PLUS_EQ] = ACTIONS(5281),
    [anon_sym_DASH_EQ] = ACTIONS(5281),
    [anon_sym_LT_LT_EQ] = ACTIONS(5281),
    [anon_sym_GT_GT_EQ] = ACTIONS(5281),
    [anon_sym_AMP_EQ] = ACTIONS(5281),
    [anon_sym_CARET_EQ] = ACTIONS(5281),
    [anon_sym_PIPE_EQ] = ACTIONS(5281),
    [anon_sym_and_eq] = ACTIONS(5281),
    [anon_sym_or_eq] = ACTIONS(5281),
    [anon_sym_xor_eq] = ACTIONS(5281),
    [anon_sym_LT_EQ_GT] = ACTIONS(5281),
    [anon_sym_or] = ACTIONS(5279),
    [anon_sym_and] = ACTIONS(5279),
    [anon_sym_bitor] = ACTIONS(5281),
    [anon_sym_xor] = ACTIONS(5279),
    [anon_sym_bitand] = ACTIONS(5281),
    [anon_sym_not_eq] = ACTIONS(5281),
    [anon_sym_DASH_DASH] = ACTIONS(5281),
    [anon_sym_PLUS_PLUS] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5279),
    [anon_sym_DOT_STAR] = ACTIONS(5281),
    [anon_sym_DASH_GT] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5281),
    [anon_sym_decltype] = ACTIONS(5281),
  },
  [1891] = {
    [sym_attribute_declaration] = STATE(2178),
    [sym_parameter_list] = STATE(2114),
    [aux_sym_attributed_declarator_repeat1] = STATE(2178),
    [sym_identifier] = ACTIONS(5456),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5458),
    [anon_sym_COMMA] = ACTIONS(5458),
    [anon_sym_RPAREN] = ACTIONS(5458),
    [aux_sym_preproc_if_token2] = ACTIONS(5458),
    [aux_sym_preproc_else_token1] = ACTIONS(5458),
    [aux_sym_preproc_elif_token1] = ACTIONS(5456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5458),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5458),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5456),
    [anon_sym_PLUS] = ACTIONS(5456),
    [anon_sym_STAR] = ACTIONS(5456),
    [anon_sym_SLASH] = ACTIONS(5456),
    [anon_sym_PERCENT] = ACTIONS(5456),
    [anon_sym_PIPE_PIPE] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_PIPE] = ACTIONS(5456),
    [anon_sym_CARET] = ACTIONS(5456),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym_EQ_EQ] = ACTIONS(5458),
    [anon_sym_BANG_EQ] = ACTIONS(5458),
    [anon_sym_GT] = ACTIONS(5456),
    [anon_sym_GT_EQ] = ACTIONS(5458),
    [anon_sym_LT_EQ] = ACTIONS(5456),
    [anon_sym_LT] = ACTIONS(5456),
    [anon_sym_LT_LT] = ACTIONS(5456),
    [anon_sym_GT_GT] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5458),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5396),
    [anon_sym_RBRACE] = ACTIONS(5458),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_RBRACK] = ACTIONS(5458),
    [anon_sym_EQ] = ACTIONS(5456),
    [anon_sym_COLON] = ACTIONS(5458),
    [anon_sym_QMARK] = ACTIONS(5458),
    [anon_sym_STAR_EQ] = ACTIONS(5458),
    [anon_sym_SLASH_EQ] = ACTIONS(5458),
    [anon_sym_PERCENT_EQ] = ACTIONS(5458),
    [anon_sym_PLUS_EQ] = ACTIONS(5458),
    [anon_sym_DASH_EQ] = ACTIONS(5458),
    [anon_sym_LT_LT_EQ] = ACTIONS(5458),
    [anon_sym_GT_GT_EQ] = ACTIONS(5458),
    [anon_sym_AMP_EQ] = ACTIONS(5458),
    [anon_sym_CARET_EQ] = ACTIONS(5458),
    [anon_sym_PIPE_EQ] = ACTIONS(5458),
    [anon_sym_and_eq] = ACTIONS(5456),
    [anon_sym_or_eq] = ACTIONS(5456),
    [anon_sym_xor_eq] = ACTIONS(5456),
    [anon_sym_LT_EQ_GT] = ACTIONS(5458),
    [anon_sym_or] = ACTIONS(5456),
    [anon_sym_and] = ACTIONS(5456),
    [anon_sym_bitor] = ACTIONS(5456),
    [anon_sym_xor] = ACTIONS(5456),
    [anon_sym_bitand] = ACTIONS(5456),
    [anon_sym_not_eq] = ACTIONS(5456),
    [anon_sym_DASH_DASH] = ACTIONS(5458),
    [anon_sym_PLUS_PLUS] = ACTIONS(5458),
    [anon_sym_DOT] = ACTIONS(5456),
    [anon_sym_DOT_STAR] = ACTIONS(5458),
    [anon_sym_DASH_GT] = ACTIONS(5458),
    [sym_comment] = ACTIONS(3),
  },
  [1892] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token2] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_friend] = ACTIONS(2494),
    [anon_sym_public] = ACTIONS(2494),
    [anon_sym_private] = ACTIONS(2494),
    [anon_sym_protected] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
  },
  [1893] = {
    [sym_attribute_declaration] = STATE(2178),
    [sym_parameter_list] = STATE(2114),
    [aux_sym_attributed_declarator_repeat1] = STATE(2178),
    [sym_identifier] = ACTIONS(5460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5462),
    [anon_sym_COMMA] = ACTIONS(5462),
    [anon_sym_RPAREN] = ACTIONS(5462),
    [aux_sym_preproc_if_token2] = ACTIONS(5462),
    [aux_sym_preproc_else_token1] = ACTIONS(5462),
    [aux_sym_preproc_elif_token1] = ACTIONS(5460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5462),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5462),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5460),
    [anon_sym_PLUS] = ACTIONS(5460),
    [anon_sym_STAR] = ACTIONS(5460),
    [anon_sym_SLASH] = ACTIONS(5460),
    [anon_sym_PERCENT] = ACTIONS(5460),
    [anon_sym_PIPE_PIPE] = ACTIONS(5462),
    [anon_sym_AMP_AMP] = ACTIONS(5462),
    [anon_sym_PIPE] = ACTIONS(5460),
    [anon_sym_CARET] = ACTIONS(5460),
    [anon_sym_AMP] = ACTIONS(5460),
    [anon_sym_EQ_EQ] = ACTIONS(5462),
    [anon_sym_BANG_EQ] = ACTIONS(5462),
    [anon_sym_GT] = ACTIONS(5460),
    [anon_sym_GT_EQ] = ACTIONS(5462),
    [anon_sym_LT_EQ] = ACTIONS(5460),
    [anon_sym_LT] = ACTIONS(5460),
    [anon_sym_LT_LT] = ACTIONS(5460),
    [anon_sym_GT_GT] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(5462),
    [anon_sym___attribute__] = ACTIONS(5460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5396),
    [anon_sym_RBRACE] = ACTIONS(5462),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_RBRACK] = ACTIONS(5462),
    [anon_sym_EQ] = ACTIONS(5460),
    [anon_sym_COLON] = ACTIONS(5462),
    [anon_sym_QMARK] = ACTIONS(5462),
    [anon_sym_STAR_EQ] = ACTIONS(5462),
    [anon_sym_SLASH_EQ] = ACTIONS(5462),
    [anon_sym_PERCENT_EQ] = ACTIONS(5462),
    [anon_sym_PLUS_EQ] = ACTIONS(5462),
    [anon_sym_DASH_EQ] = ACTIONS(5462),
    [anon_sym_LT_LT_EQ] = ACTIONS(5462),
    [anon_sym_GT_GT_EQ] = ACTIONS(5462),
    [anon_sym_AMP_EQ] = ACTIONS(5462),
    [anon_sym_CARET_EQ] = ACTIONS(5462),
    [anon_sym_PIPE_EQ] = ACTIONS(5462),
    [anon_sym_and_eq] = ACTIONS(5460),
    [anon_sym_or_eq] = ACTIONS(5460),
    [anon_sym_xor_eq] = ACTIONS(5460),
    [anon_sym_LT_EQ_GT] = ACTIONS(5462),
    [anon_sym_or] = ACTIONS(5460),
    [anon_sym_and] = ACTIONS(5460),
    [anon_sym_bitor] = ACTIONS(5460),
    [anon_sym_xor] = ACTIONS(5460),
    [anon_sym_bitand] = ACTIONS(5460),
    [anon_sym_not_eq] = ACTIONS(5460),
    [anon_sym_DASH_DASH] = ACTIONS(5462),
    [anon_sym_PLUS_PLUS] = ACTIONS(5462),
    [anon_sym_DOT] = ACTIONS(5460),
    [anon_sym_DOT_STAR] = ACTIONS(5462),
    [anon_sym_DASH_GT] = ACTIONS(5462),
    [sym_comment] = ACTIONS(3),
  },
  [1894] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4821),
    [anon_sym_COMMA] = ACTIONS(4821),
    [anon_sym_RPAREN] = ACTIONS(4821),
    [anon_sym_LPAREN2] = ACTIONS(4821),
    [anon_sym_DASH] = ACTIONS(4819),
    [anon_sym_PLUS] = ACTIONS(4819),
    [anon_sym_STAR] = ACTIONS(4819),
    [anon_sym_SLASH] = ACTIONS(4819),
    [anon_sym_PERCENT] = ACTIONS(4819),
    [anon_sym_PIPE_PIPE] = ACTIONS(4821),
    [anon_sym_AMP_AMP] = ACTIONS(4821),
    [anon_sym_PIPE] = ACTIONS(4819),
    [anon_sym_CARET] = ACTIONS(4819),
    [anon_sym_AMP] = ACTIONS(4819),
    [anon_sym_EQ_EQ] = ACTIONS(4821),
    [anon_sym_BANG_EQ] = ACTIONS(4821),
    [anon_sym_GT] = ACTIONS(4819),
    [anon_sym_GT_EQ] = ACTIONS(4821),
    [anon_sym_LT_EQ] = ACTIONS(4819),
    [anon_sym_LT] = ACTIONS(4819),
    [anon_sym_LT_LT] = ACTIONS(4819),
    [anon_sym_GT_GT] = ACTIONS(4819),
    [anon_sym_SEMI] = ACTIONS(4821),
    [anon_sym_RBRACE] = ACTIONS(4821),
    [anon_sym_LBRACK] = ACTIONS(4821),
    [anon_sym_RBRACK] = ACTIONS(4821),
    [anon_sym_EQ] = ACTIONS(4819),
    [anon_sym_COLON] = ACTIONS(4821),
    [anon_sym_QMARK] = ACTIONS(4821),
    [anon_sym_STAR_EQ] = ACTIONS(4821),
    [anon_sym_SLASH_EQ] = ACTIONS(4821),
    [anon_sym_PERCENT_EQ] = ACTIONS(4821),
    [anon_sym_PLUS_EQ] = ACTIONS(4821),
    [anon_sym_DASH_EQ] = ACTIONS(4821),
    [anon_sym_LT_LT_EQ] = ACTIONS(4821),
    [anon_sym_GT_GT_EQ] = ACTIONS(4821),
    [anon_sym_AMP_EQ] = ACTIONS(4821),
    [anon_sym_CARET_EQ] = ACTIONS(4821),
    [anon_sym_PIPE_EQ] = ACTIONS(4821),
    [anon_sym_and_eq] = ACTIONS(4819),
    [anon_sym_or_eq] = ACTIONS(4819),
    [anon_sym_xor_eq] = ACTIONS(4819),
    [anon_sym_LT_EQ_GT] = ACTIONS(4821),
    [anon_sym_or] = ACTIONS(4819),
    [anon_sym_and] = ACTIONS(4819),
    [anon_sym_bitor] = ACTIONS(4819),
    [anon_sym_xor] = ACTIONS(4819),
    [anon_sym_bitand] = ACTIONS(4819),
    [anon_sym_not_eq] = ACTIONS(4819),
    [anon_sym_DASH_DASH] = ACTIONS(4821),
    [anon_sym_PLUS_PLUS] = ACTIONS(4821),
    [anon_sym_DOT] = ACTIONS(4819),
    [anon_sym_DOT_STAR] = ACTIONS(4821),
    [anon_sym_DASH_GT] = ACTIONS(4821),
    [anon_sym_L_DQUOTE] = ACTIONS(4821),
    [anon_sym_u_DQUOTE] = ACTIONS(4821),
    [anon_sym_U_DQUOTE] = ACTIONS(4821),
    [anon_sym_u8_DQUOTE] = ACTIONS(4821),
    [anon_sym_DQUOTE] = ACTIONS(4821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4821),
    [anon_sym_LR_DQUOTE] = ACTIONS(4821),
    [anon_sym_uR_DQUOTE] = ACTIONS(4821),
    [anon_sym_UR_DQUOTE] = ACTIONS(4821),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4821),
    [sym_literal_suffix] = ACTIONS(4819),
  },
  [1895] = {
    [sym__declaration_modifiers] = STATE(3381),
    [sym_attribute_specifier] = STATE(3381),
    [sym_attribute_declaration] = STATE(3381),
    [sym_ms_declspec_modifier] = STATE(3381),
    [sym_storage_class_specifier] = STATE(3381),
    [sym_type_qualifier] = STATE(3381),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2375),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3381),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(71),
    [anon_sym_union] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1896] = {
    [sym_attribute_specifier] = STATE(1980),
    [sym_identifier] = ACTIONS(5466),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5468),
    [anon_sym_COMMA] = ACTIONS(5468),
    [anon_sym_RPAREN] = ACTIONS(5468),
    [aux_sym_preproc_if_token2] = ACTIONS(5468),
    [aux_sym_preproc_else_token1] = ACTIONS(5468),
    [aux_sym_preproc_elif_token1] = ACTIONS(5466),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5468),
    [anon_sym_DASH] = ACTIONS(5466),
    [anon_sym_PLUS] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_SLASH] = ACTIONS(5466),
    [anon_sym_PERCENT] = ACTIONS(5466),
    [anon_sym_PIPE_PIPE] = ACTIONS(5468),
    [anon_sym_AMP_AMP] = ACTIONS(5468),
    [anon_sym_PIPE] = ACTIONS(5466),
    [anon_sym_CARET] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5466),
    [anon_sym_EQ_EQ] = ACTIONS(5468),
    [anon_sym_BANG_EQ] = ACTIONS(5468),
    [anon_sym_GT] = ACTIONS(5466),
    [anon_sym_GT_EQ] = ACTIONS(5468),
    [anon_sym_LT_EQ] = ACTIONS(5466),
    [anon_sym_LT] = ACTIONS(5466),
    [anon_sym_LT_LT] = ACTIONS(5466),
    [anon_sym_GT_GT] = ACTIONS(5466),
    [anon_sym_SEMI] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5468),
    [anon_sym_RBRACE] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_RBRACK] = ACTIONS(5468),
    [anon_sym_EQ] = ACTIONS(5466),
    [anon_sym_COLON] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5468),
    [anon_sym_STAR_EQ] = ACTIONS(5468),
    [anon_sym_SLASH_EQ] = ACTIONS(5468),
    [anon_sym_PERCENT_EQ] = ACTIONS(5468),
    [anon_sym_PLUS_EQ] = ACTIONS(5468),
    [anon_sym_DASH_EQ] = ACTIONS(5468),
    [anon_sym_LT_LT_EQ] = ACTIONS(5468),
    [anon_sym_GT_GT_EQ] = ACTIONS(5468),
    [anon_sym_AMP_EQ] = ACTIONS(5468),
    [anon_sym_CARET_EQ] = ACTIONS(5468),
    [anon_sym_PIPE_EQ] = ACTIONS(5468),
    [anon_sym_and_eq] = ACTIONS(5466),
    [anon_sym_or_eq] = ACTIONS(5466),
    [anon_sym_xor_eq] = ACTIONS(5466),
    [anon_sym_LT_EQ_GT] = ACTIONS(5468),
    [anon_sym_or] = ACTIONS(5466),
    [anon_sym_and] = ACTIONS(5466),
    [anon_sym_bitor] = ACTIONS(5466),
    [anon_sym_xor] = ACTIONS(5466),
    [anon_sym_bitand] = ACTIONS(5466),
    [anon_sym_not_eq] = ACTIONS(5466),
    [anon_sym_DASH_DASH] = ACTIONS(5468),
    [anon_sym_PLUS_PLUS] = ACTIONS(5468),
    [anon_sym_DOT] = ACTIONS(5466),
    [anon_sym_DOT_STAR] = ACTIONS(5468),
    [anon_sym_DASH_GT] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5466),
    [anon_sym_decltype] = ACTIONS(5466),
  },
  [1897] = {
    [sym_identifier] = ACTIONS(1878),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token2] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1878),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1878),
    [sym_preproc_directive] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_AMP_AMP] = ACTIONS(1876),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym___extension__] = ACTIONS(1878),
    [anon_sym_typedef] = ACTIONS(1878),
    [anon_sym_extern] = ACTIONS(1878),
    [anon_sym___attribute__] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1876),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1876),
    [anon_sym___declspec] = ACTIONS(1878),
    [anon_sym___based] = ACTIONS(1878),
    [anon_sym_signed] = ACTIONS(1878),
    [anon_sym_unsigned] = ACTIONS(1878),
    [anon_sym_long] = ACTIONS(1878),
    [anon_sym_short] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_static] = ACTIONS(1878),
    [anon_sym_register] = ACTIONS(1878),
    [anon_sym_inline] = ACTIONS(1878),
    [anon_sym___inline] = ACTIONS(1878),
    [anon_sym___inline__] = ACTIONS(1878),
    [anon_sym___forceinline] = ACTIONS(1878),
    [anon_sym_thread_local] = ACTIONS(1878),
    [anon_sym___thread] = ACTIONS(1878),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_constexpr] = ACTIONS(1878),
    [anon_sym_volatile] = ACTIONS(1878),
    [anon_sym_restrict] = ACTIONS(1878),
    [anon_sym___restrict__] = ACTIONS(1878),
    [anon_sym__Atomic] = ACTIONS(1878),
    [anon_sym__Noreturn] = ACTIONS(1878),
    [anon_sym_noreturn] = ACTIONS(1878),
    [anon_sym_mutable] = ACTIONS(1878),
    [anon_sym_constinit] = ACTIONS(1878),
    [anon_sym_consteval] = ACTIONS(1878),
    [anon_sym_alignas] = ACTIONS(1878),
    [anon_sym__Alignas] = ACTIONS(1878),
    [sym_primitive_type] = ACTIONS(1878),
    [anon_sym_enum] = ACTIONS(1878),
    [anon_sym_class] = ACTIONS(1878),
    [anon_sym_struct] = ACTIONS(1878),
    [anon_sym_union] = ACTIONS(1878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1878),
    [anon_sym_decltype] = ACTIONS(1878),
    [sym_virtual] = ACTIONS(1878),
    [anon_sym_explicit] = ACTIONS(1878),
    [anon_sym_typename] = ACTIONS(1878),
    [anon_sym_template] = ACTIONS(1878),
    [anon_sym_operator] = ACTIONS(1878),
    [anon_sym_friend] = ACTIONS(1878),
    [anon_sym_public] = ACTIONS(1878),
    [anon_sym_private] = ACTIONS(1878),
    [anon_sym_protected] = ACTIONS(1878),
    [anon_sym_using] = ACTIONS(1878),
    [anon_sym_static_assert] = ACTIONS(1878),
    [anon_sym_catch] = ACTIONS(1878),
  },
  [1898] = {
    [sym_string_literal] = STATE(1898),
    [sym_raw_string_literal] = STATE(1898),
    [aux_sym_concatenated_string_repeat1] = STATE(1898),
    [sym_identifier] = ACTIONS(5470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4779),
    [anon_sym_COMMA] = ACTIONS(4779),
    [anon_sym_LPAREN2] = ACTIONS(4779),
    [anon_sym_DASH] = ACTIONS(4781),
    [anon_sym_PLUS] = ACTIONS(4781),
    [anon_sym_STAR] = ACTIONS(4781),
    [anon_sym_SLASH] = ACTIONS(4781),
    [anon_sym_PERCENT] = ACTIONS(4781),
    [anon_sym_PIPE_PIPE] = ACTIONS(4779),
    [anon_sym_AMP_AMP] = ACTIONS(4779),
    [anon_sym_PIPE] = ACTIONS(4781),
    [anon_sym_CARET] = ACTIONS(4781),
    [anon_sym_AMP] = ACTIONS(4781),
    [anon_sym_EQ_EQ] = ACTIONS(4779),
    [anon_sym_BANG_EQ] = ACTIONS(4779),
    [anon_sym_GT] = ACTIONS(4781),
    [anon_sym_GT_EQ] = ACTIONS(4781),
    [anon_sym_LT_EQ] = ACTIONS(4781),
    [anon_sym_LT] = ACTIONS(4781),
    [anon_sym_LT_LT] = ACTIONS(4781),
    [anon_sym_GT_GT] = ACTIONS(4781),
    [anon_sym_LBRACK] = ACTIONS(4779),
    [anon_sym_EQ] = ACTIONS(4781),
    [anon_sym_QMARK] = ACTIONS(4779),
    [anon_sym_STAR_EQ] = ACTIONS(4779),
    [anon_sym_SLASH_EQ] = ACTIONS(4779),
    [anon_sym_PERCENT_EQ] = ACTIONS(4779),
    [anon_sym_PLUS_EQ] = ACTIONS(4779),
    [anon_sym_DASH_EQ] = ACTIONS(4779),
    [anon_sym_LT_LT_EQ] = ACTIONS(4779),
    [anon_sym_GT_GT_EQ] = ACTIONS(4781),
    [anon_sym_AMP_EQ] = ACTIONS(4779),
    [anon_sym_CARET_EQ] = ACTIONS(4779),
    [anon_sym_PIPE_EQ] = ACTIONS(4779),
    [anon_sym_and_eq] = ACTIONS(4781),
    [anon_sym_or_eq] = ACTIONS(4781),
    [anon_sym_xor_eq] = ACTIONS(4781),
    [anon_sym_LT_EQ_GT] = ACTIONS(4779),
    [anon_sym_or] = ACTIONS(4781),
    [anon_sym_and] = ACTIONS(4781),
    [anon_sym_bitor] = ACTIONS(4781),
    [anon_sym_xor] = ACTIONS(4781),
    [anon_sym_bitand] = ACTIONS(4781),
    [anon_sym_not_eq] = ACTIONS(4781),
    [anon_sym_DASH_DASH] = ACTIONS(4779),
    [anon_sym_PLUS_PLUS] = ACTIONS(4779),
    [anon_sym_DOT] = ACTIONS(4781),
    [anon_sym_DOT_STAR] = ACTIONS(4779),
    [anon_sym_DASH_GT] = ACTIONS(4779),
    [anon_sym_L_DQUOTE] = ACTIONS(5473),
    [anon_sym_u_DQUOTE] = ACTIONS(5473),
    [anon_sym_U_DQUOTE] = ACTIONS(5473),
    [anon_sym_u8_DQUOTE] = ACTIONS(5473),
    [anon_sym_DQUOTE] = ACTIONS(5473),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4779),
    [anon_sym_R_DQUOTE] = ACTIONS(5476),
    [anon_sym_LR_DQUOTE] = ACTIONS(5476),
    [anon_sym_uR_DQUOTE] = ACTIONS(5476),
    [anon_sym_UR_DQUOTE] = ACTIONS(5476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5476),
    [sym_literal_suffix] = ACTIONS(4781),
  },
  [1899] = {
    [sym__declaration_modifiers] = STATE(3381),
    [sym_attribute_specifier] = STATE(3381),
    [sym_attribute_declaration] = STATE(3381),
    [sym_ms_declspec_modifier] = STATE(3381),
    [sym_storage_class_specifier] = STATE(3381),
    [sym_type_qualifier] = STATE(3381),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2375),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3381),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4592),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4602),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(1822),
    [anon_sym_class] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1826),
    [anon_sym_union] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(1854),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1900] = {
    [sym_attribute_specifier] = STATE(2067),
    [sym_identifier] = ACTIONS(5479),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5481),
    [anon_sym_COMMA] = ACTIONS(5481),
    [anon_sym_RPAREN] = ACTIONS(5481),
    [aux_sym_preproc_if_token2] = ACTIONS(5481),
    [aux_sym_preproc_else_token1] = ACTIONS(5481),
    [aux_sym_preproc_elif_token1] = ACTIONS(5479),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5481),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5481),
    [anon_sym_LPAREN2] = ACTIONS(5481),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_STAR] = ACTIONS(5479),
    [anon_sym_SLASH] = ACTIONS(5479),
    [anon_sym_PERCENT] = ACTIONS(5479),
    [anon_sym_PIPE_PIPE] = ACTIONS(5481),
    [anon_sym_AMP_AMP] = ACTIONS(5481),
    [anon_sym_PIPE] = ACTIONS(5479),
    [anon_sym_CARET] = ACTIONS(5479),
    [anon_sym_AMP] = ACTIONS(5479),
    [anon_sym_EQ_EQ] = ACTIONS(5481),
    [anon_sym_BANG_EQ] = ACTIONS(5481),
    [anon_sym_GT] = ACTIONS(5479),
    [anon_sym_GT_EQ] = ACTIONS(5481),
    [anon_sym_LT_EQ] = ACTIONS(5479),
    [anon_sym_LT] = ACTIONS(5479),
    [anon_sym_LT_LT] = ACTIONS(5479),
    [anon_sym_GT_GT] = ACTIONS(5479),
    [anon_sym_SEMI] = ACTIONS(5481),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5481),
    [anon_sym_RBRACE] = ACTIONS(5481),
    [anon_sym_LBRACK] = ACTIONS(5481),
    [anon_sym_RBRACK] = ACTIONS(5481),
    [anon_sym_EQ] = ACTIONS(5479),
    [anon_sym_COLON] = ACTIONS(5481),
    [anon_sym_QMARK] = ACTIONS(5481),
    [anon_sym_STAR_EQ] = ACTIONS(5481),
    [anon_sym_SLASH_EQ] = ACTIONS(5481),
    [anon_sym_PERCENT_EQ] = ACTIONS(5481),
    [anon_sym_PLUS_EQ] = ACTIONS(5481),
    [anon_sym_DASH_EQ] = ACTIONS(5481),
    [anon_sym_LT_LT_EQ] = ACTIONS(5481),
    [anon_sym_GT_GT_EQ] = ACTIONS(5481),
    [anon_sym_AMP_EQ] = ACTIONS(5481),
    [anon_sym_CARET_EQ] = ACTIONS(5481),
    [anon_sym_PIPE_EQ] = ACTIONS(5481),
    [anon_sym_and_eq] = ACTIONS(5479),
    [anon_sym_or_eq] = ACTIONS(5479),
    [anon_sym_xor_eq] = ACTIONS(5479),
    [anon_sym_LT_EQ_GT] = ACTIONS(5481),
    [anon_sym_or] = ACTIONS(5479),
    [anon_sym_and] = ACTIONS(5479),
    [anon_sym_bitor] = ACTIONS(5479),
    [anon_sym_xor] = ACTIONS(5479),
    [anon_sym_bitand] = ACTIONS(5479),
    [anon_sym_not_eq] = ACTIONS(5479),
    [anon_sym_DASH_DASH] = ACTIONS(5481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5481),
    [anon_sym_DOT] = ACTIONS(5479),
    [anon_sym_DOT_STAR] = ACTIONS(5481),
    [anon_sym_DASH_GT] = ACTIONS(5481),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5479),
    [anon_sym_decltype] = ACTIONS(5479),
  },
  [1901] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1620),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5112),
    [anon_sym_COMMA] = ACTIONS(5112),
    [anon_sym_RPAREN] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_DASH] = ACTIONS(5115),
    [anon_sym_PLUS] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5115),
    [anon_sym_SLASH] = ACTIONS(5115),
    [anon_sym_PERCENT] = ACTIONS(5115),
    [anon_sym_PIPE_PIPE] = ACTIONS(5112),
    [anon_sym_AMP_AMP] = ACTIONS(5112),
    [anon_sym_PIPE] = ACTIONS(5115),
    [anon_sym_CARET] = ACTIONS(5115),
    [anon_sym_AMP] = ACTIONS(5115),
    [anon_sym_EQ_EQ] = ACTIONS(5112),
    [anon_sym_BANG_EQ] = ACTIONS(5112),
    [anon_sym_GT] = ACTIONS(5115),
    [anon_sym_GT_EQ] = ACTIONS(5112),
    [anon_sym_LT_EQ] = ACTIONS(5115),
    [anon_sym_LT] = ACTIONS(5115),
    [anon_sym_LT_LT] = ACTIONS(5115),
    [anon_sym_GT_GT] = ACTIONS(5115),
    [anon_sym_SEMI] = ACTIONS(5112),
    [anon_sym___attribute__] = ACTIONS(5115),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_RBRACE] = ACTIONS(5112),
    [anon_sym_signed] = ACTIONS(4875),
    [anon_sym_unsigned] = ACTIONS(4875),
    [anon_sym_long] = ACTIONS(4875),
    [anon_sym_short] = ACTIONS(4875),
    [anon_sym_LBRACK] = ACTIONS(5112),
    [anon_sym_RBRACK] = ACTIONS(5112),
    [anon_sym_EQ] = ACTIONS(5115),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_COLON] = ACTIONS(5112),
    [anon_sym_QMARK] = ACTIONS(5112),
    [anon_sym_STAR_EQ] = ACTIONS(5112),
    [anon_sym_SLASH_EQ] = ACTIONS(5112),
    [anon_sym_PERCENT_EQ] = ACTIONS(5112),
    [anon_sym_PLUS_EQ] = ACTIONS(5112),
    [anon_sym_DASH_EQ] = ACTIONS(5112),
    [anon_sym_LT_LT_EQ] = ACTIONS(5112),
    [anon_sym_GT_GT_EQ] = ACTIONS(5112),
    [anon_sym_AMP_EQ] = ACTIONS(5112),
    [anon_sym_CARET_EQ] = ACTIONS(5112),
    [anon_sym_PIPE_EQ] = ACTIONS(5112),
    [anon_sym_and_eq] = ACTIONS(5115),
    [anon_sym_or_eq] = ACTIONS(5115),
    [anon_sym_xor_eq] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5112),
    [anon_sym_or] = ACTIONS(5115),
    [anon_sym_and] = ACTIONS(5115),
    [anon_sym_bitor] = ACTIONS(5115),
    [anon_sym_xor] = ACTIONS(5115),
    [anon_sym_bitand] = ACTIONS(5115),
    [anon_sym_not_eq] = ACTIONS(5115),
    [anon_sym_DASH_DASH] = ACTIONS(5112),
    [anon_sym_PLUS_PLUS] = ACTIONS(5112),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_DOT_STAR] = ACTIONS(5112),
    [anon_sym_DASH_GT] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5115),
    [anon_sym_decltype] = ACTIONS(5115),
  },
  [1902] = {
    [sym__declaration_modifiers] = STATE(3381),
    [sym_attribute_specifier] = STATE(3381),
    [sym_attribute_declaration] = STATE(3381),
    [sym_ms_declspec_modifier] = STATE(3381),
    [sym_storage_class_specifier] = STATE(3381),
    [sym_type_qualifier] = STATE(3381),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(2375),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6137),
    [sym_qualified_type_identifier] = STATE(3029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3381),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2412),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3114),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3118),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1903] = {
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token2] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_friend] = ACTIONS(1882),
    [anon_sym_public] = ACTIONS(1882),
    [anon_sym_private] = ACTIONS(1882),
    [anon_sym_protected] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
  },
  [1904] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1878),
    [sym_identifier] = ACTIONS(5483),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5204),
    [anon_sym_COMMA] = ACTIONS(5204),
    [aux_sym_preproc_if_token2] = ACTIONS(5204),
    [aux_sym_preproc_else_token1] = ACTIONS(5204),
    [aux_sym_preproc_elif_token1] = ACTIONS(5206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5204),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_DASH] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(5206),
    [anon_sym_STAR] = ACTIONS(5206),
    [anon_sym_SLASH] = ACTIONS(5206),
    [anon_sym_PERCENT] = ACTIONS(5206),
    [anon_sym_PIPE_PIPE] = ACTIONS(5204),
    [anon_sym_AMP_AMP] = ACTIONS(5204),
    [anon_sym_PIPE] = ACTIONS(5206),
    [anon_sym_CARET] = ACTIONS(5206),
    [anon_sym_AMP] = ACTIONS(5206),
    [anon_sym_EQ_EQ] = ACTIONS(5204),
    [anon_sym_BANG_EQ] = ACTIONS(5204),
    [anon_sym_GT] = ACTIONS(5206),
    [anon_sym_GT_EQ] = ACTIONS(5204),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_LT] = ACTIONS(5206),
    [anon_sym_LT_LT] = ACTIONS(5206),
    [anon_sym_GT_GT] = ACTIONS(5206),
    [anon_sym___attribute__] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(5204),
    [anon_sym_signed] = ACTIONS(5486),
    [anon_sym_unsigned] = ACTIONS(5486),
    [anon_sym_long] = ACTIONS(5486),
    [anon_sym_short] = ACTIONS(5486),
    [anon_sym_LBRACK] = ACTIONS(5204),
    [anon_sym_EQ] = ACTIONS(5206),
    [sym_primitive_type] = ACTIONS(5488),
    [anon_sym_QMARK] = ACTIONS(5204),
    [anon_sym_STAR_EQ] = ACTIONS(5204),
    [anon_sym_SLASH_EQ] = ACTIONS(5204),
    [anon_sym_PERCENT_EQ] = ACTIONS(5204),
    [anon_sym_PLUS_EQ] = ACTIONS(5204),
    [anon_sym_DASH_EQ] = ACTIONS(5204),
    [anon_sym_LT_LT_EQ] = ACTIONS(5204),
    [anon_sym_GT_GT_EQ] = ACTIONS(5204),
    [anon_sym_AMP_EQ] = ACTIONS(5204),
    [anon_sym_CARET_EQ] = ACTIONS(5204),
    [anon_sym_PIPE_EQ] = ACTIONS(5204),
    [anon_sym_and_eq] = ACTIONS(5206),
    [anon_sym_or_eq] = ACTIONS(5206),
    [anon_sym_xor_eq] = ACTIONS(5206),
    [anon_sym_LT_EQ_GT] = ACTIONS(5204),
    [anon_sym_or] = ACTIONS(5206),
    [anon_sym_and] = ACTIONS(5206),
    [anon_sym_bitor] = ACTIONS(5206),
    [anon_sym_xor] = ACTIONS(5206),
    [anon_sym_bitand] = ACTIONS(5206),
    [anon_sym_not_eq] = ACTIONS(5206),
    [anon_sym_DASH_DASH] = ACTIONS(5204),
    [anon_sym_PLUS_PLUS] = ACTIONS(5204),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_DOT_STAR] = ACTIONS(5204),
    [anon_sym_DASH_GT] = ACTIONS(5204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5206),
    [anon_sym_decltype] = ACTIONS(5206),
  },
  [1905] = {
    [sym_attribute_specifier] = STATE(1976),
    [sym_identifier] = ACTIONS(5490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5492),
    [anon_sym_COMMA] = ACTIONS(5492),
    [anon_sym_RPAREN] = ACTIONS(5492),
    [aux_sym_preproc_if_token2] = ACTIONS(5492),
    [aux_sym_preproc_else_token1] = ACTIONS(5492),
    [aux_sym_preproc_elif_token1] = ACTIONS(5490),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5492),
    [anon_sym_LPAREN2] = ACTIONS(5492),
    [anon_sym_DASH] = ACTIONS(5490),
    [anon_sym_PLUS] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_SLASH] = ACTIONS(5490),
    [anon_sym_PERCENT] = ACTIONS(5490),
    [anon_sym_PIPE_PIPE] = ACTIONS(5492),
    [anon_sym_AMP_AMP] = ACTIONS(5492),
    [anon_sym_PIPE] = ACTIONS(5490),
    [anon_sym_CARET] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5490),
    [anon_sym_EQ_EQ] = ACTIONS(5492),
    [anon_sym_BANG_EQ] = ACTIONS(5492),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5492),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_LT_LT] = ACTIONS(5490),
    [anon_sym_GT_GT] = ACTIONS(5490),
    [anon_sym_SEMI] = ACTIONS(5492),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5492),
    [anon_sym_RBRACE] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5492),
    [anon_sym_RBRACK] = ACTIONS(5492),
    [anon_sym_EQ] = ACTIONS(5490),
    [anon_sym_COLON] = ACTIONS(5492),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_STAR_EQ] = ACTIONS(5492),
    [anon_sym_SLASH_EQ] = ACTIONS(5492),
    [anon_sym_PERCENT_EQ] = ACTIONS(5492),
    [anon_sym_PLUS_EQ] = ACTIONS(5492),
    [anon_sym_DASH_EQ] = ACTIONS(5492),
    [anon_sym_LT_LT_EQ] = ACTIONS(5492),
    [anon_sym_GT_GT_EQ] = ACTIONS(5492),
    [anon_sym_AMP_EQ] = ACTIONS(5492),
    [anon_sym_CARET_EQ] = ACTIONS(5492),
    [anon_sym_PIPE_EQ] = ACTIONS(5492),
    [anon_sym_and_eq] = ACTIONS(5490),
    [anon_sym_or_eq] = ACTIONS(5490),
    [anon_sym_xor_eq] = ACTIONS(5490),
    [anon_sym_LT_EQ_GT] = ACTIONS(5492),
    [anon_sym_or] = ACTIONS(5490),
    [anon_sym_and] = ACTIONS(5490),
    [anon_sym_bitor] = ACTIONS(5490),
    [anon_sym_xor] = ACTIONS(5490),
    [anon_sym_bitand] = ACTIONS(5490),
    [anon_sym_not_eq] = ACTIONS(5490),
    [anon_sym_DASH_DASH] = ACTIONS(5492),
    [anon_sym_PLUS_PLUS] = ACTIONS(5492),
    [anon_sym_DOT] = ACTIONS(5490),
    [anon_sym_DOT_STAR] = ACTIONS(5492),
    [anon_sym_DASH_GT] = ACTIONS(5492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5490),
    [anon_sym_decltype] = ACTIONS(5490),
  },
  [1906] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4829),
    [anon_sym_COMMA] = ACTIONS(4829),
    [anon_sym_RPAREN] = ACTIONS(4829),
    [anon_sym_LPAREN2] = ACTIONS(4829),
    [anon_sym_DASH] = ACTIONS(4827),
    [anon_sym_PLUS] = ACTIONS(4827),
    [anon_sym_STAR] = ACTIONS(4827),
    [anon_sym_SLASH] = ACTIONS(4827),
    [anon_sym_PERCENT] = ACTIONS(4827),
    [anon_sym_PIPE_PIPE] = ACTIONS(4829),
    [anon_sym_AMP_AMP] = ACTIONS(4829),
    [anon_sym_PIPE] = ACTIONS(4827),
    [anon_sym_CARET] = ACTIONS(4827),
    [anon_sym_AMP] = ACTIONS(4827),
    [anon_sym_EQ_EQ] = ACTIONS(4829),
    [anon_sym_BANG_EQ] = ACTIONS(4829),
    [anon_sym_GT] = ACTIONS(4827),
    [anon_sym_GT_EQ] = ACTIONS(4829),
    [anon_sym_LT_EQ] = ACTIONS(4827),
    [anon_sym_LT] = ACTIONS(4827),
    [anon_sym_LT_LT] = ACTIONS(4827),
    [anon_sym_GT_GT] = ACTIONS(4827),
    [anon_sym_SEMI] = ACTIONS(4829),
    [anon_sym_RBRACE] = ACTIONS(4829),
    [anon_sym_LBRACK] = ACTIONS(4829),
    [anon_sym_RBRACK] = ACTIONS(4829),
    [anon_sym_EQ] = ACTIONS(4827),
    [anon_sym_COLON] = ACTIONS(4829),
    [anon_sym_QMARK] = ACTIONS(4829),
    [anon_sym_STAR_EQ] = ACTIONS(4829),
    [anon_sym_SLASH_EQ] = ACTIONS(4829),
    [anon_sym_PERCENT_EQ] = ACTIONS(4829),
    [anon_sym_PLUS_EQ] = ACTIONS(4829),
    [anon_sym_DASH_EQ] = ACTIONS(4829),
    [anon_sym_LT_LT_EQ] = ACTIONS(4829),
    [anon_sym_GT_GT_EQ] = ACTIONS(4829),
    [anon_sym_AMP_EQ] = ACTIONS(4829),
    [anon_sym_CARET_EQ] = ACTIONS(4829),
    [anon_sym_PIPE_EQ] = ACTIONS(4829),
    [anon_sym_and_eq] = ACTIONS(4827),
    [anon_sym_or_eq] = ACTIONS(4827),
    [anon_sym_xor_eq] = ACTIONS(4827),
    [anon_sym_LT_EQ_GT] = ACTIONS(4829),
    [anon_sym_or] = ACTIONS(4827),
    [anon_sym_and] = ACTIONS(4827),
    [anon_sym_bitor] = ACTIONS(4827),
    [anon_sym_xor] = ACTIONS(4827),
    [anon_sym_bitand] = ACTIONS(4827),
    [anon_sym_not_eq] = ACTIONS(4827),
    [anon_sym_DASH_DASH] = ACTIONS(4829),
    [anon_sym_PLUS_PLUS] = ACTIONS(4829),
    [anon_sym_DOT] = ACTIONS(4827),
    [anon_sym_DOT_STAR] = ACTIONS(4829),
    [anon_sym_DASH_GT] = ACTIONS(4829),
    [anon_sym_L_DQUOTE] = ACTIONS(4829),
    [anon_sym_u_DQUOTE] = ACTIONS(4829),
    [anon_sym_U_DQUOTE] = ACTIONS(4829),
    [anon_sym_u8_DQUOTE] = ACTIONS(4829),
    [anon_sym_DQUOTE] = ACTIONS(4829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4829),
    [anon_sym_LR_DQUOTE] = ACTIONS(4829),
    [anon_sym_uR_DQUOTE] = ACTIONS(4829),
    [anon_sym_UR_DQUOTE] = ACTIONS(4829),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4829),
    [sym_literal_suffix] = ACTIONS(4827),
  },
  [1907] = {
    [sym_attribute_declaration] = STATE(2178),
    [sym_parameter_list] = STATE(2114),
    [aux_sym_attributed_declarator_repeat1] = STATE(2178),
    [sym_identifier] = ACTIONS(5494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5496),
    [anon_sym_COMMA] = ACTIONS(5496),
    [anon_sym_RPAREN] = ACTIONS(5496),
    [aux_sym_preproc_if_token2] = ACTIONS(5496),
    [aux_sym_preproc_else_token1] = ACTIONS(5496),
    [aux_sym_preproc_elif_token1] = ACTIONS(5494),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5496),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5496),
    [anon_sym_LPAREN2] = ACTIONS(5394),
    [anon_sym_DASH] = ACTIONS(5494),
    [anon_sym_PLUS] = ACTIONS(5494),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_SLASH] = ACTIONS(5494),
    [anon_sym_PERCENT] = ACTIONS(5494),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5496),
    [anon_sym_PIPE] = ACTIONS(5494),
    [anon_sym_CARET] = ACTIONS(5494),
    [anon_sym_AMP] = ACTIONS(5494),
    [anon_sym_EQ_EQ] = ACTIONS(5496),
    [anon_sym_BANG_EQ] = ACTIONS(5496),
    [anon_sym_GT] = ACTIONS(5494),
    [anon_sym_GT_EQ] = ACTIONS(5496),
    [anon_sym_LT_EQ] = ACTIONS(5494),
    [anon_sym_LT] = ACTIONS(5494),
    [anon_sym_LT_LT] = ACTIONS(5494),
    [anon_sym_GT_GT] = ACTIONS(5494),
    [anon_sym_SEMI] = ACTIONS(5496),
    [anon_sym___attribute__] = ACTIONS(5494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5396),
    [anon_sym_RBRACE] = ACTIONS(5496),
    [anon_sym_LBRACK] = ACTIONS(5398),
    [anon_sym_RBRACK] = ACTIONS(5496),
    [anon_sym_EQ] = ACTIONS(5494),
    [anon_sym_COLON] = ACTIONS(5496),
    [anon_sym_QMARK] = ACTIONS(5496),
    [anon_sym_STAR_EQ] = ACTIONS(5496),
    [anon_sym_SLASH_EQ] = ACTIONS(5496),
    [anon_sym_PERCENT_EQ] = ACTIONS(5496),
    [anon_sym_PLUS_EQ] = ACTIONS(5496),
    [anon_sym_DASH_EQ] = ACTIONS(5496),
    [anon_sym_LT_LT_EQ] = ACTIONS(5496),
    [anon_sym_GT_GT_EQ] = ACTIONS(5496),
    [anon_sym_AMP_EQ] = ACTIONS(5496),
    [anon_sym_CARET_EQ] = ACTIONS(5496),
    [anon_sym_PIPE_EQ] = ACTIONS(5496),
    [anon_sym_and_eq] = ACTIONS(5494),
    [anon_sym_or_eq] = ACTIONS(5494),
    [anon_sym_xor_eq] = ACTIONS(5494),
    [anon_sym_LT_EQ_GT] = ACTIONS(5496),
    [anon_sym_or] = ACTIONS(5494),
    [anon_sym_and] = ACTIONS(5494),
    [anon_sym_bitor] = ACTIONS(5494),
    [anon_sym_xor] = ACTIONS(5494),
    [anon_sym_bitand] = ACTIONS(5494),
    [anon_sym_not_eq] = ACTIONS(5494),
    [anon_sym_DASH_DASH] = ACTIONS(5496),
    [anon_sym_PLUS_PLUS] = ACTIONS(5496),
    [anon_sym_DOT] = ACTIONS(5494),
    [anon_sym_DOT_STAR] = ACTIONS(5496),
    [anon_sym_DASH_GT] = ACTIONS(5496),
    [sym_comment] = ACTIONS(3),
  },
  [1908] = {
    [sym_identifier] = ACTIONS(2494),
    [aux_sym_preproc_def_token1] = ACTIONS(2494),
    [aux_sym_preproc_if_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2494),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2494),
    [sym_preproc_directive] = ACTIONS(2494),
    [anon_sym_LPAREN2] = ACTIONS(2496),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym___extension__] = ACTIONS(2494),
    [anon_sym_typedef] = ACTIONS(2494),
    [anon_sym_extern] = ACTIONS(2494),
    [anon_sym___attribute__] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2496),
    [anon_sym___declspec] = ACTIONS(2494),
    [anon_sym___based] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2496),
    [anon_sym_signed] = ACTIONS(2494),
    [anon_sym_unsigned] = ACTIONS(2494),
    [anon_sym_long] = ACTIONS(2494),
    [anon_sym_short] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_register] = ACTIONS(2494),
    [anon_sym_inline] = ACTIONS(2494),
    [anon_sym___inline] = ACTIONS(2494),
    [anon_sym___inline__] = ACTIONS(2494),
    [anon_sym___forceinline] = ACTIONS(2494),
    [anon_sym_thread_local] = ACTIONS(2494),
    [anon_sym___thread] = ACTIONS(2494),
    [anon_sym_const] = ACTIONS(2494),
    [anon_sym_constexpr] = ACTIONS(2494),
    [anon_sym_volatile] = ACTIONS(2494),
    [anon_sym_restrict] = ACTIONS(2494),
    [anon_sym___restrict__] = ACTIONS(2494),
    [anon_sym__Atomic] = ACTIONS(2494),
    [anon_sym__Noreturn] = ACTIONS(2494),
    [anon_sym_noreturn] = ACTIONS(2494),
    [anon_sym_mutable] = ACTIONS(2494),
    [anon_sym_constinit] = ACTIONS(2494),
    [anon_sym_consteval] = ACTIONS(2494),
    [anon_sym_alignas] = ACTIONS(2494),
    [anon_sym__Alignas] = ACTIONS(2494),
    [sym_primitive_type] = ACTIONS(2494),
    [anon_sym_enum] = ACTIONS(2494),
    [anon_sym_class] = ACTIONS(2494),
    [anon_sym_struct] = ACTIONS(2494),
    [anon_sym_union] = ACTIONS(2494),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2494),
    [anon_sym_decltype] = ACTIONS(2494),
    [sym_virtual] = ACTIONS(2494),
    [anon_sym_explicit] = ACTIONS(2494),
    [anon_sym_typename] = ACTIONS(2494),
    [anon_sym_template] = ACTIONS(2494),
    [anon_sym_operator] = ACTIONS(2494),
    [anon_sym_friend] = ACTIONS(2494),
    [anon_sym_public] = ACTIONS(2494),
    [anon_sym_private] = ACTIONS(2494),
    [anon_sym_protected] = ACTIONS(2494),
    [anon_sym_using] = ACTIONS(2494),
    [anon_sym_static_assert] = ACTIONS(2494),
    [anon_sym_catch] = ACTIONS(2494),
  },
  [1909] = {
    [sym_identifier] = ACTIONS(4916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4918),
    [anon_sym_COMMA] = ACTIONS(4918),
    [anon_sym_RPAREN] = ACTIONS(4918),
    [aux_sym_preproc_if_token2] = ACTIONS(4918),
    [aux_sym_preproc_else_token1] = ACTIONS(4918),
    [aux_sym_preproc_elif_token1] = ACTIONS(4916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4918),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4918),
    [anon_sym_LPAREN2] = ACTIONS(4918),
    [anon_sym_DASH] = ACTIONS(4916),
    [anon_sym_PLUS] = ACTIONS(4916),
    [anon_sym_STAR] = ACTIONS(4916),
    [anon_sym_SLASH] = ACTIONS(4916),
    [anon_sym_PERCENT] = ACTIONS(4916),
    [anon_sym_PIPE_PIPE] = ACTIONS(4918),
    [anon_sym_AMP_AMP] = ACTIONS(4918),
    [anon_sym_PIPE] = ACTIONS(4916),
    [anon_sym_CARET] = ACTIONS(4916),
    [anon_sym_AMP] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4918),
    [anon_sym_BANG_EQ] = ACTIONS(4918),
    [anon_sym_GT] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4916),
    [anon_sym_LT] = ACTIONS(4916),
    [anon_sym_LT_LT] = ACTIONS(4916),
    [anon_sym_GT_GT] = ACTIONS(4916),
    [anon_sym_SEMI] = ACTIONS(4918),
    [anon_sym___attribute__] = ACTIONS(4916),
    [anon_sym_COLON_COLON] = ACTIONS(4918),
    [anon_sym_LBRACE] = ACTIONS(4918),
    [anon_sym_RBRACE] = ACTIONS(4918),
    [anon_sym_LBRACK] = ACTIONS(4918),
    [anon_sym_RBRACK] = ACTIONS(4918),
    [anon_sym_EQ] = ACTIONS(4916),
    [anon_sym_COLON] = ACTIONS(4916),
    [anon_sym_QMARK] = ACTIONS(4918),
    [anon_sym_STAR_EQ] = ACTIONS(4918),
    [anon_sym_SLASH_EQ] = ACTIONS(4918),
    [anon_sym_PERCENT_EQ] = ACTIONS(4918),
    [anon_sym_PLUS_EQ] = ACTIONS(4918),
    [anon_sym_DASH_EQ] = ACTIONS(4918),
    [anon_sym_LT_LT_EQ] = ACTIONS(4918),
    [anon_sym_GT_GT_EQ] = ACTIONS(4918),
    [anon_sym_AMP_EQ] = ACTIONS(4918),
    [anon_sym_CARET_EQ] = ACTIONS(4918),
    [anon_sym_PIPE_EQ] = ACTIONS(4918),
    [anon_sym_and_eq] = ACTIONS(4916),
    [anon_sym_or_eq] = ACTIONS(4916),
    [anon_sym_xor_eq] = ACTIONS(4916),
    [anon_sym_LT_EQ_GT] = ACTIONS(4918),
    [anon_sym_or] = ACTIONS(4916),
    [anon_sym_and] = ACTIONS(4916),
    [anon_sym_bitor] = ACTIONS(4916),
    [anon_sym_xor] = ACTIONS(4916),
    [anon_sym_bitand] = ACTIONS(4916),
    [anon_sym_not_eq] = ACTIONS(4916),
    [anon_sym_DASH_DASH] = ACTIONS(4918),
    [anon_sym_PLUS_PLUS] = ACTIONS(4918),
    [anon_sym_DOT] = ACTIONS(4916),
    [anon_sym_DOT_STAR] = ACTIONS(4918),
    [anon_sym_DASH_GT] = ACTIONS(4918),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4916),
    [anon_sym_decltype] = ACTIONS(4916),
  },
  [1910] = {
    [sym_template_argument_list] = STATE(1802),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1965),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3776),
    [anon_sym_COMMA] = ACTIONS(3776),
    [aux_sym_preproc_if_token2] = ACTIONS(3776),
    [aux_sym_preproc_else_token1] = ACTIONS(3776),
    [aux_sym_preproc_elif_token1] = ACTIONS(3768),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3776),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3776),
    [anon_sym_LPAREN2] = ACTIONS(3776),
    [anon_sym_DASH] = ACTIONS(3768),
    [anon_sym_PLUS] = ACTIONS(3768),
    [anon_sym_STAR] = ACTIONS(3768),
    [anon_sym_SLASH] = ACTIONS(3768),
    [anon_sym_PERCENT] = ACTIONS(3768),
    [anon_sym_PIPE_PIPE] = ACTIONS(3776),
    [anon_sym_AMP_AMP] = ACTIONS(3776),
    [anon_sym_PIPE] = ACTIONS(3768),
    [anon_sym_CARET] = ACTIONS(3768),
    [anon_sym_AMP] = ACTIONS(3768),
    [anon_sym_EQ_EQ] = ACTIONS(3776),
    [anon_sym_BANG_EQ] = ACTIONS(3776),
    [anon_sym_GT] = ACTIONS(3768),
    [anon_sym_GT_EQ] = ACTIONS(3776),
    [anon_sym_LT_EQ] = ACTIONS(3768),
    [anon_sym_LT] = ACTIONS(5019),
    [anon_sym_LT_LT] = ACTIONS(3768),
    [anon_sym_GT_GT] = ACTIONS(3768),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3776),
    [anon_sym_signed] = ACTIONS(5283),
    [anon_sym_unsigned] = ACTIONS(5283),
    [anon_sym_long] = ACTIONS(5283),
    [anon_sym_short] = ACTIONS(5283),
    [anon_sym_LBRACK] = ACTIONS(3776),
    [anon_sym_EQ] = ACTIONS(3768),
    [anon_sym_QMARK] = ACTIONS(3776),
    [anon_sym_STAR_EQ] = ACTIONS(3776),
    [anon_sym_SLASH_EQ] = ACTIONS(3776),
    [anon_sym_PERCENT_EQ] = ACTIONS(3776),
    [anon_sym_PLUS_EQ] = ACTIONS(3776),
    [anon_sym_DASH_EQ] = ACTIONS(3776),
    [anon_sym_LT_LT_EQ] = ACTIONS(3776),
    [anon_sym_GT_GT_EQ] = ACTIONS(3776),
    [anon_sym_AMP_EQ] = ACTIONS(3776),
    [anon_sym_CARET_EQ] = ACTIONS(3776),
    [anon_sym_PIPE_EQ] = ACTIONS(3776),
    [anon_sym_and_eq] = ACTIONS(3768),
    [anon_sym_or_eq] = ACTIONS(3768),
    [anon_sym_xor_eq] = ACTIONS(3768),
    [anon_sym_LT_EQ_GT] = ACTIONS(3776),
    [anon_sym_or] = ACTIONS(3768),
    [anon_sym_and] = ACTIONS(3768),
    [anon_sym_bitor] = ACTIONS(3768),
    [anon_sym_xor] = ACTIONS(3768),
    [anon_sym_bitand] = ACTIONS(3768),
    [anon_sym_not_eq] = ACTIONS(3768),
    [anon_sym_DASH_DASH] = ACTIONS(3776),
    [anon_sym_PLUS_PLUS] = ACTIONS(3776),
    [anon_sym_DOT] = ACTIONS(3768),
    [anon_sym_DOT_STAR] = ACTIONS(3776),
    [anon_sym_DASH_GT] = ACTIONS(3776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3768),
    [anon_sym_decltype] = ACTIONS(3768),
  },
  [1911] = {
    [sym_string_literal] = STATE(1879),
    [sym_template_argument_list] = STATE(3022),
    [sym_raw_string_literal] = STATE(1879),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3778),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(5498),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3778),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3770),
    [anon_sym_or_eq] = ACTIONS(3770),
    [anon_sym_xor_eq] = ACTIONS(3770),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(5422),
    [anon_sym_u_DQUOTE] = ACTIONS(5422),
    [anon_sym_U_DQUOTE] = ACTIONS(5422),
    [anon_sym_u8_DQUOTE] = ACTIONS(5422),
    [anon_sym_DQUOTE] = ACTIONS(5422),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(3770),
    [anon_sym_R_DQUOTE] = ACTIONS(5424),
    [anon_sym_LR_DQUOTE] = ACTIONS(5424),
    [anon_sym_uR_DQUOTE] = ACTIONS(5424),
    [anon_sym_UR_DQUOTE] = ACTIONS(5424),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5424),
  },
  [1912] = {
    [sym_identifier] = ACTIONS(4910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4912),
    [anon_sym_COMMA] = ACTIONS(4912),
    [anon_sym_RPAREN] = ACTIONS(4912),
    [aux_sym_preproc_if_token2] = ACTIONS(4912),
    [aux_sym_preproc_else_token1] = ACTIONS(4912),
    [aux_sym_preproc_elif_token1] = ACTIONS(4910),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(4912),
    [anon_sym_DASH] = ACTIONS(4910),
    [anon_sym_PLUS] = ACTIONS(4910),
    [anon_sym_STAR] = ACTIONS(4910),
    [anon_sym_SLASH] = ACTIONS(4910),
    [anon_sym_PERCENT] = ACTIONS(4910),
    [anon_sym_PIPE_PIPE] = ACTIONS(4912),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_PIPE] = ACTIONS(4910),
    [anon_sym_CARET] = ACTIONS(4910),
    [anon_sym_AMP] = ACTIONS(4910),
    [anon_sym_EQ_EQ] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4912),
    [anon_sym_GT] = ACTIONS(4910),
    [anon_sym_GT_EQ] = ACTIONS(4912),
    [anon_sym_LT_EQ] = ACTIONS(4910),
    [anon_sym_LT] = ACTIONS(4910),
    [anon_sym_LT_LT] = ACTIONS(4910),
    [anon_sym_GT_GT] = ACTIONS(4910),
    [anon_sym_SEMI] = ACTIONS(4912),
    [anon_sym___attribute__] = ACTIONS(4910),
    [anon_sym_COLON_COLON] = ACTIONS(4914),
    [anon_sym_LBRACE] = ACTIONS(4912),
    [anon_sym_RBRACE] = ACTIONS(4912),
    [anon_sym_LBRACK] = ACTIONS(4912),
    [anon_sym_RBRACK] = ACTIONS(4912),
    [anon_sym_EQ] = ACTIONS(4910),
    [anon_sym_COLON] = ACTIONS(4910),
    [anon_sym_QMARK] = ACTIONS(4912),
    [anon_sym_STAR_EQ] = ACTIONS(4912),
    [anon_sym_SLASH_EQ] = ACTIONS(4912),
    [anon_sym_PERCENT_EQ] = ACTIONS(4912),
    [anon_sym_PLUS_EQ] = ACTIONS(4912),
    [anon_sym_DASH_EQ] = ACTIONS(4912),
    [anon_sym_LT_LT_EQ] = ACTIONS(4912),
    [anon_sym_GT_GT_EQ] = ACTIONS(4912),
    [anon_sym_AMP_EQ] = ACTIONS(4912),
    [anon_sym_CARET_EQ] = ACTIONS(4912),
    [anon_sym_PIPE_EQ] = ACTIONS(4912),
    [anon_sym_and_eq] = ACTIONS(4910),
    [anon_sym_or_eq] = ACTIONS(4910),
    [anon_sym_xor_eq] = ACTIONS(4910),
    [anon_sym_LT_EQ_GT] = ACTIONS(4912),
    [anon_sym_or] = ACTIONS(4910),
    [anon_sym_and] = ACTIONS(4910),
    [anon_sym_bitor] = ACTIONS(4910),
    [anon_sym_xor] = ACTIONS(4910),
    [anon_sym_bitand] = ACTIONS(4910),
    [anon_sym_not_eq] = ACTIONS(4910),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_DOT] = ACTIONS(4910),
    [anon_sym_DOT_STAR] = ACTIONS(4912),
    [anon_sym_DASH_GT] = ACTIONS(4912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4910),
    [anon_sym_decltype] = ACTIONS(4910),
  },
  [1913] = {
    [sym__declaration_modifiers] = STATE(3381),
    [sym_attribute_specifier] = STATE(3381),
    [sym_attribute_declaration] = STATE(3381),
    [sym_ms_declspec_modifier] = STATE(3381),
    [sym_storage_class_specifier] = STATE(3381),
    [sym_type_qualifier] = STATE(3381),
    [sym_alignas_qualifier] = STATE(1808),
    [sym_type_specifier] = STATE(3913),
    [sym_sized_type_specifier] = STATE(2477),
    [sym_enum_specifier] = STATE(2477),
    [sym_struct_specifier] = STATE(2477),
    [sym_union_specifier] = STATE(2477),
    [sym_placeholder_type_specifier] = STATE(2477),
    [sym_decltype_auto] = STATE(2461),
    [sym_decltype] = STATE(2394),
    [sym_class_specifier] = STATE(2477),
    [sym_dependent_type] = STATE(2477),
    [sym_template_type] = STATE(2394),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_type_identifier] = STATE(2841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3381),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2965),
    [sym_identifier] = ACTIONS(3560),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3566),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1726),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3568),
    [anon_sym_unsigned] = ACTIONS(3568),
    [anon_sym_long] = ACTIONS(3568),
    [anon_sym_short] = ACTIONS(3568),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [anon_sym_alignas] = ACTIONS(63),
    [anon_sym__Alignas] = ACTIONS(63),
    [sym_primitive_type] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3574),
    [anon_sym_struct] = ACTIONS(3576),
    [anon_sym_union] = ACTIONS(3578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(119),
    [anon_sym_decltype] = ACTIONS(121),
    [sym_virtual] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(3582),
    [anon_sym_template] = ACTIONS(1228),
  },
  [1914] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1914),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_COMMA] = ACTIONS(4793),
    [anon_sym_RPAREN] = ACTIONS(4793),
    [anon_sym_LPAREN2] = ACTIONS(4793),
    [anon_sym_TILDE] = ACTIONS(4793),
    [anon_sym_STAR] = ACTIONS(4793),
    [anon_sym_AMP_AMP] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4791),
    [anon_sym_SEMI] = ACTIONS(4793),
    [anon_sym___extension__] = ACTIONS(4791),
    [anon_sym_extern] = ACTIONS(4791),
    [anon_sym___attribute__] = ACTIONS(4791),
    [anon_sym_COLON_COLON] = ACTIONS(4793),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4793),
    [anon_sym___declspec] = ACTIONS(4791),
    [anon_sym___based] = ACTIONS(4791),
    [anon_sym___cdecl] = ACTIONS(4791),
    [anon_sym___clrcall] = ACTIONS(4791),
    [anon_sym___stdcall] = ACTIONS(4791),
    [anon_sym___fastcall] = ACTIONS(4791),
    [anon_sym___thiscall] = ACTIONS(4791),
    [anon_sym___vectorcall] = ACTIONS(4791),
    [anon_sym_LBRACE] = ACTIONS(4793),
    [anon_sym_signed] = ACTIONS(5501),
    [anon_sym_unsigned] = ACTIONS(5501),
    [anon_sym_long] = ACTIONS(5501),
    [anon_sym_short] = ACTIONS(5501),
    [anon_sym_LBRACK] = ACTIONS(4791),
    [anon_sym_static] = ACTIONS(4791),
    [anon_sym_EQ] = ACTIONS(4793),
    [anon_sym_register] = ACTIONS(4791),
    [anon_sym_inline] = ACTIONS(4791),
    [anon_sym___inline] = ACTIONS(4791),
    [anon_sym___inline__] = ACTIONS(4791),
    [anon_sym___forceinline] = ACTIONS(4791),
    [anon_sym_thread_local] = ACTIONS(4791),
    [anon_sym___thread] = ACTIONS(4791),
    [anon_sym_const] = ACTIONS(4791),
    [anon_sym_constexpr] = ACTIONS(4791),
    [anon_sym_volatile] = ACTIONS(4791),
    [anon_sym_restrict] = ACTIONS(4791),
    [anon_sym___restrict__] = ACTIONS(4791),
    [anon_sym__Atomic] = ACTIONS(4791),
    [anon_sym__Noreturn] = ACTIONS(4791),
    [anon_sym_noreturn] = ACTIONS(4791),
    [anon_sym_mutable] = ACTIONS(4791),
    [anon_sym_constinit] = ACTIONS(4791),
    [anon_sym_consteval] = ACTIONS(4791),
    [anon_sym_alignas] = ACTIONS(4791),
    [anon_sym__Alignas] = ACTIONS(4791),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_asm] = ACTIONS(4791),
    [anon_sym___asm__] = ACTIONS(4791),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4791),
    [anon_sym_decltype] = ACTIONS(4791),
    [anon_sym_final] = ACTIONS(4791),
    [anon_sym_override] = ACTIONS(4791),
    [sym_virtual] = ACTIONS(4791),
    [anon_sym_template] = ACTIONS(4791),
    [anon_sym_GT2] = ACTIONS(4793),
    [anon_sym_operator] = ACTIONS(4791),
    [anon_sym_try] = ACTIONS(4791),
    [anon_sym_requires] = ACTIONS(4791),
  },
  [1915] = {
    [sym_attribute_specifier] = STATE(2085),
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [aux_sym_preproc_if_token2] = ACTIONS(5506),
    [aux_sym_preproc_else_token1] = ACTIONS(5506),
    [aux_sym_preproc_elif_token1] = ACTIONS(5504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5506),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5504),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5504),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5504),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5504),
    [anon_sym_GT_GT] = ACTIONS(5504),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___attribute__] = ACTIONS(4858),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_EQ] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_STAR_EQ] = ACTIONS(5506),
    [anon_sym_SLASH_EQ] = ACTIONS(5506),
    [anon_sym_PERCENT_EQ] = ACTIONS(5506),
    [anon_sym_PLUS_EQ] = ACTIONS(5506),
    [anon_sym_DASH_EQ] = ACTIONS(5506),
    [anon_sym_LT_LT_EQ] = ACTIONS(5506),
    [anon_sym_GT_GT_EQ] = ACTIONS(5506),
    [anon_sym_AMP_EQ] = ACTIONS(5506),
    [anon_sym_CARET_EQ] = ACTIONS(5506),
    [anon_sym_PIPE_EQ] = ACTIONS(5506),
    [anon_sym_and_eq] = ACTIONS(5504),
    [anon_sym_or_eq] = ACTIONS(5504),
    [anon_sym_xor_eq] = ACTIONS(5504),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
  },
  [1916] = {
    [sym_string_literal] = STATE(3319),
    [sym_template_argument_list] = STATE(4209),
    [sym_raw_string_literal] = STATE(3319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3778),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4629),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(4634),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(4636),
    [anon_sym_SLASH_EQ] = ACTIONS(4636),
    [anon_sym_PERCENT_EQ] = ACTIONS(4636),
    [anon_sym_PLUS_EQ] = ACTIONS(4636),
    [anon_sym_DASH_EQ] = ACTIONS(4636),
    [anon_sym_LT_LT_EQ] = ACTIONS(4636),
    [anon_sym_GT_GT_EQ] = ACTIONS(4634),
    [anon_sym_AMP_EQ] = ACTIONS(4636),
    [anon_sym_CARET_EQ] = ACTIONS(4636),
    [anon_sym_PIPE_EQ] = ACTIONS(4636),
    [anon_sym_and_eq] = ACTIONS(4636),
    [anon_sym_or_eq] = ACTIONS(4636),
    [anon_sym_xor_eq] = ACTIONS(4636),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(4638),
    [anon_sym_u_DQUOTE] = ACTIONS(4638),
    [anon_sym_U_DQUOTE] = ACTIONS(4638),
    [anon_sym_u8_DQUOTE] = ACTIONS(4638),
    [anon_sym_DQUOTE] = ACTIONS(4638),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(3770),
    [anon_sym_R_DQUOTE] = ACTIONS(4640),
    [anon_sym_LR_DQUOTE] = ACTIONS(4640),
    [anon_sym_uR_DQUOTE] = ACTIONS(4640),
    [anon_sym_UR_DQUOTE] = ACTIONS(4640),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4640),
  },
  [1917] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_RBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(5299),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(5301),
    [anon_sym_SLASH_EQ] = ACTIONS(5301),
    [anon_sym_PERCENT_EQ] = ACTIONS(5301),
    [anon_sym_PLUS_EQ] = ACTIONS(5301),
    [anon_sym_DASH_EQ] = ACTIONS(5301),
    [anon_sym_LT_LT_EQ] = ACTIONS(5301),
    [anon_sym_GT_GT_EQ] = ACTIONS(5301),
    [anon_sym_AMP_EQ] = ACTIONS(5301),
    [anon_sym_CARET_EQ] = ACTIONS(5301),
    [anon_sym_PIPE_EQ] = ACTIONS(5301),
    [anon_sym_and_eq] = ACTIONS(5301),
    [anon_sym_or_eq] = ACTIONS(5301),
    [anon_sym_xor_eq] = ACTIONS(5301),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1918] = {
    [sym_identifier] = ACTIONS(1882),
    [aux_sym_preproc_def_token1] = ACTIONS(1882),
    [aux_sym_preproc_if_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1882),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1882),
    [sym_preproc_directive] = ACTIONS(1882),
    [anon_sym_LPAREN2] = ACTIONS(1880),
    [anon_sym_TILDE] = ACTIONS(1880),
    [anon_sym_STAR] = ACTIONS(1880),
    [anon_sym_AMP_AMP] = ACTIONS(1880),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1882),
    [anon_sym_typedef] = ACTIONS(1882),
    [anon_sym_extern] = ACTIONS(1882),
    [anon_sym___attribute__] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1880),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1880),
    [anon_sym___declspec] = ACTIONS(1882),
    [anon_sym___based] = ACTIONS(1882),
    [anon_sym_RBRACE] = ACTIONS(1880),
    [anon_sym_signed] = ACTIONS(1882),
    [anon_sym_unsigned] = ACTIONS(1882),
    [anon_sym_long] = ACTIONS(1882),
    [anon_sym_short] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_static] = ACTIONS(1882),
    [anon_sym_register] = ACTIONS(1882),
    [anon_sym_inline] = ACTIONS(1882),
    [anon_sym___inline] = ACTIONS(1882),
    [anon_sym___inline__] = ACTIONS(1882),
    [anon_sym___forceinline] = ACTIONS(1882),
    [anon_sym_thread_local] = ACTIONS(1882),
    [anon_sym___thread] = ACTIONS(1882),
    [anon_sym_const] = ACTIONS(1882),
    [anon_sym_constexpr] = ACTIONS(1882),
    [anon_sym_volatile] = ACTIONS(1882),
    [anon_sym_restrict] = ACTIONS(1882),
    [anon_sym___restrict__] = ACTIONS(1882),
    [anon_sym__Atomic] = ACTIONS(1882),
    [anon_sym__Noreturn] = ACTIONS(1882),
    [anon_sym_noreturn] = ACTIONS(1882),
    [anon_sym_mutable] = ACTIONS(1882),
    [anon_sym_constinit] = ACTIONS(1882),
    [anon_sym_consteval] = ACTIONS(1882),
    [anon_sym_alignas] = ACTIONS(1882),
    [anon_sym__Alignas] = ACTIONS(1882),
    [sym_primitive_type] = ACTIONS(1882),
    [anon_sym_enum] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_struct] = ACTIONS(1882),
    [anon_sym_union] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1882),
    [anon_sym_decltype] = ACTIONS(1882),
    [sym_virtual] = ACTIONS(1882),
    [anon_sym_explicit] = ACTIONS(1882),
    [anon_sym_typename] = ACTIONS(1882),
    [anon_sym_template] = ACTIONS(1882),
    [anon_sym_operator] = ACTIONS(1882),
    [anon_sym_friend] = ACTIONS(1882),
    [anon_sym_public] = ACTIONS(1882),
    [anon_sym_private] = ACTIONS(1882),
    [anon_sym_protected] = ACTIONS(1882),
    [anon_sym_using] = ACTIONS(1882),
    [anon_sym_static_assert] = ACTIONS(1882),
    [anon_sym_catch] = ACTIONS(1882),
  },
  [1919] = {
    [sym_template_argument_list] = STATE(1551),
    [sym_identifier] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(4506),
    [anon_sym_TILDE] = ACTIONS(4506),
    [anon_sym_STAR] = ACTIONS(4506),
    [anon_sym_PIPE_PIPE] = ACTIONS(4506),
    [anon_sym_AMP_AMP] = ACTIONS(4506),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_LT] = ACTIONS(5408),
    [anon_sym___extension__] = ACTIONS(4499),
    [anon_sym_extern] = ACTIONS(4499),
    [anon_sym___attribute__] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4506),
    [anon_sym___declspec] = ACTIONS(4499),
    [anon_sym___based] = ACTIONS(4499),
    [anon_sym___cdecl] = ACTIONS(4499),
    [anon_sym___clrcall] = ACTIONS(4499),
    [anon_sym___stdcall] = ACTIONS(4499),
    [anon_sym___fastcall] = ACTIONS(4499),
    [anon_sym___thiscall] = ACTIONS(4499),
    [anon_sym___vectorcall] = ACTIONS(4499),
    [anon_sym_signed] = ACTIONS(4499),
    [anon_sym_unsigned] = ACTIONS(4499),
    [anon_sym_long] = ACTIONS(4499),
    [anon_sym_short] = ACTIONS(4499),
    [anon_sym_LBRACK] = ACTIONS(4499),
    [anon_sym_static] = ACTIONS(4499),
    [anon_sym_register] = ACTIONS(4499),
    [anon_sym_inline] = ACTIONS(4499),
    [anon_sym___inline] = ACTIONS(4499),
    [anon_sym___inline__] = ACTIONS(4499),
    [anon_sym___forceinline] = ACTIONS(4499),
    [anon_sym_thread_local] = ACTIONS(4499),
    [anon_sym___thread] = ACTIONS(4499),
    [anon_sym_const] = ACTIONS(4499),
    [anon_sym_constexpr] = ACTIONS(4499),
    [anon_sym_volatile] = ACTIONS(4499),
    [anon_sym_restrict] = ACTIONS(4499),
    [anon_sym___restrict__] = ACTIONS(4499),
    [anon_sym__Atomic] = ACTIONS(4499),
    [anon_sym__Noreturn] = ACTIONS(4499),
    [anon_sym_noreturn] = ACTIONS(4499),
    [anon_sym_mutable] = ACTIONS(4499),
    [anon_sym_constinit] = ACTIONS(4499),
    [anon_sym_consteval] = ACTIONS(4499),
    [anon_sym_alignas] = ACTIONS(4499),
    [anon_sym__Alignas] = ACTIONS(4499),
    [sym_primitive_type] = ACTIONS(4499),
    [anon_sym_enum] = ACTIONS(4499),
    [anon_sym_class] = ACTIONS(4499),
    [anon_sym_struct] = ACTIONS(4499),
    [anon_sym_union] = ACTIONS(4499),
    [anon_sym_or] = ACTIONS(4499),
    [anon_sym_and] = ACTIONS(4499),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4499),
    [anon_sym_decltype] = ACTIONS(4499),
    [sym_virtual] = ACTIONS(4499),
    [anon_sym_explicit] = ACTIONS(4499),
    [anon_sym_typename] = ACTIONS(4499),
    [anon_sym_template] = ACTIONS(4499),
    [anon_sym_operator] = ACTIONS(4499),
    [anon_sym_friend] = ACTIONS(4499),
    [anon_sym_using] = ACTIONS(4499),
    [anon_sym_concept] = ACTIONS(4499),
  },
  [1920] = {
    [sym_string_literal] = STATE(2400),
    [sym_template_argument_list] = STATE(3506),
    [sym_raw_string_literal] = STATE(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3794),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(5508),
    [anon_sym_COLON] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(5510),
    [anon_sym_SLASH_EQ] = ACTIONS(5510),
    [anon_sym_PERCENT_EQ] = ACTIONS(5510),
    [anon_sym_PLUS_EQ] = ACTIONS(5510),
    [anon_sym_DASH_EQ] = ACTIONS(5510),
    [anon_sym_LT_LT_EQ] = ACTIONS(5510),
    [anon_sym_GT_GT_EQ] = ACTIONS(5510),
    [anon_sym_AMP_EQ] = ACTIONS(5510),
    [anon_sym_CARET_EQ] = ACTIONS(5510),
    [anon_sym_PIPE_EQ] = ACTIONS(5510),
    [anon_sym_and_eq] = ACTIONS(5510),
    [anon_sym_or_eq] = ACTIONS(5510),
    [anon_sym_xor_eq] = ACTIONS(5510),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3770),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3770),
    [anon_sym_not_eq] = ACTIONS(3770),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3330),
    [anon_sym_LR_DQUOTE] = ACTIONS(3330),
    [anon_sym_uR_DQUOTE] = ACTIONS(3330),
    [anon_sym_UR_DQUOTE] = ACTIONS(3330),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3330),
  },
  [1921] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token2] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_friend] = ACTIONS(2672),
    [anon_sym_public] = ACTIONS(2672),
    [anon_sym_private] = ACTIONS(2672),
    [anon_sym_protected] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
  },
  [1922] = {
    [sym_identifier] = ACTIONS(5013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5015),
    [anon_sym_COMMA] = ACTIONS(5015),
    [anon_sym_RPAREN] = ACTIONS(5015),
    [aux_sym_preproc_if_token2] = ACTIONS(5015),
    [aux_sym_preproc_else_token1] = ACTIONS(5015),
    [aux_sym_preproc_elif_token1] = ACTIONS(5013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5015),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5015),
    [anon_sym_LPAREN2] = ACTIONS(5015),
    [anon_sym_DASH] = ACTIONS(5013),
    [anon_sym_PLUS] = ACTIONS(5013),
    [anon_sym_STAR] = ACTIONS(5013),
    [anon_sym_SLASH] = ACTIONS(5013),
    [anon_sym_PERCENT] = ACTIONS(5013),
    [anon_sym_PIPE_PIPE] = ACTIONS(5015),
    [anon_sym_AMP_AMP] = ACTIONS(5015),
    [anon_sym_PIPE] = ACTIONS(5013),
    [anon_sym_CARET] = ACTIONS(5013),
    [anon_sym_AMP] = ACTIONS(5013),
    [anon_sym_EQ_EQ] = ACTIONS(5015),
    [anon_sym_BANG_EQ] = ACTIONS(5015),
    [anon_sym_GT] = ACTIONS(5013),
    [anon_sym_GT_EQ] = ACTIONS(5015),
    [anon_sym_LT_EQ] = ACTIONS(5013),
    [anon_sym_LT] = ACTIONS(5013),
    [anon_sym_LT_LT] = ACTIONS(5013),
    [anon_sym_GT_GT] = ACTIONS(5013),
    [anon_sym_SEMI] = ACTIONS(5015),
    [anon_sym___attribute__] = ACTIONS(5013),
    [anon_sym_LBRACE] = ACTIONS(5015),
    [anon_sym_RBRACE] = ACTIONS(5015),
    [anon_sym_LBRACK] = ACTIONS(5015),
    [anon_sym_RBRACK] = ACTIONS(5015),
    [anon_sym_EQ] = ACTIONS(5013),
    [anon_sym_COLON] = ACTIONS(5015),
    [anon_sym_QMARK] = ACTIONS(5015),
    [anon_sym_STAR_EQ] = ACTIONS(5015),
    [anon_sym_SLASH_EQ] = ACTIONS(5015),
    [anon_sym_PERCENT_EQ] = ACTIONS(5015),
    [anon_sym_PLUS_EQ] = ACTIONS(5015),
    [anon_sym_DASH_EQ] = ACTIONS(5015),
    [anon_sym_LT_LT_EQ] = ACTIONS(5015),
    [anon_sym_GT_GT_EQ] = ACTIONS(5015),
    [anon_sym_AMP_EQ] = ACTIONS(5015),
    [anon_sym_CARET_EQ] = ACTIONS(5015),
    [anon_sym_PIPE_EQ] = ACTIONS(5015),
    [anon_sym_and_eq] = ACTIONS(5013),
    [anon_sym_or_eq] = ACTIONS(5013),
    [anon_sym_xor_eq] = ACTIONS(5013),
    [anon_sym_LT_EQ_GT] = ACTIONS(5015),
    [anon_sym_or] = ACTIONS(5013),
    [anon_sym_and] = ACTIONS(5013),
    [anon_sym_bitor] = ACTIONS(5013),
    [anon_sym_xor] = ACTIONS(5013),
    [anon_sym_bitand] = ACTIONS(5013),
    [anon_sym_not_eq] = ACTIONS(5013),
    [anon_sym_DASH_DASH] = ACTIONS(5015),
    [anon_sym_PLUS_PLUS] = ACTIONS(5015),
    [anon_sym_DOT] = ACTIONS(5013),
    [anon_sym_DOT_STAR] = ACTIONS(5015),
    [anon_sym_DASH_GT] = ACTIONS(5015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5013),
    [anon_sym_decltype] = ACTIONS(5013),
  },
  [1923] = {
    [sym_identifier] = ACTIONS(2672),
    [aux_sym_preproc_def_token1] = ACTIONS(2672),
    [aux_sym_preproc_if_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2672),
    [sym_preproc_directive] = ACTIONS(2672),
    [anon_sym_LPAREN2] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2672),
    [anon_sym_typedef] = ACTIONS(2672),
    [anon_sym_extern] = ACTIONS(2672),
    [anon_sym___attribute__] = ACTIONS(2672),
    [anon_sym_COLON_COLON] = ACTIONS(2674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2674),
    [anon_sym___declspec] = ACTIONS(2672),
    [anon_sym___based] = ACTIONS(2672),
    [anon_sym_RBRACE] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2672),
    [anon_sym_unsigned] = ACTIONS(2672),
    [anon_sym_long] = ACTIONS(2672),
    [anon_sym_short] = ACTIONS(2672),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2672),
    [anon_sym_register] = ACTIONS(2672),
    [anon_sym_inline] = ACTIONS(2672),
    [anon_sym___inline] = ACTIONS(2672),
    [anon_sym___inline__] = ACTIONS(2672),
    [anon_sym___forceinline] = ACTIONS(2672),
    [anon_sym_thread_local] = ACTIONS(2672),
    [anon_sym___thread] = ACTIONS(2672),
    [anon_sym_const] = ACTIONS(2672),
    [anon_sym_constexpr] = ACTIONS(2672),
    [anon_sym_volatile] = ACTIONS(2672),
    [anon_sym_restrict] = ACTIONS(2672),
    [anon_sym___restrict__] = ACTIONS(2672),
    [anon_sym__Atomic] = ACTIONS(2672),
    [anon_sym__Noreturn] = ACTIONS(2672),
    [anon_sym_noreturn] = ACTIONS(2672),
    [anon_sym_mutable] = ACTIONS(2672),
    [anon_sym_constinit] = ACTIONS(2672),
    [anon_sym_consteval] = ACTIONS(2672),
    [anon_sym_alignas] = ACTIONS(2672),
    [anon_sym__Alignas] = ACTIONS(2672),
    [sym_primitive_type] = ACTIONS(2672),
    [anon_sym_enum] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2672),
    [anon_sym_struct] = ACTIONS(2672),
    [anon_sym_union] = ACTIONS(2672),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2672),
    [anon_sym_decltype] = ACTIONS(2672),
    [sym_virtual] = ACTIONS(2672),
    [anon_sym_explicit] = ACTIONS(2672),
    [anon_sym_typename] = ACTIONS(2672),
    [anon_sym_template] = ACTIONS(2672),
    [anon_sym_operator] = ACTIONS(2672),
    [anon_sym_friend] = ACTIONS(2672),
    [anon_sym_public] = ACTIONS(2672),
    [anon_sym_private] = ACTIONS(2672),
    [anon_sym_protected] = ACTIONS(2672),
    [anon_sym_using] = ACTIONS(2672),
    [anon_sym_static_assert] = ACTIONS(2672),
  },
  [1924] = {
    [sym_identifier] = ACTIONS(2652),
    [aux_sym_preproc_def_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2652),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2652),
    [anon_sym_typedef] = ACTIONS(2652),
    [anon_sym_extern] = ACTIONS(2652),
    [anon_sym___attribute__] = ACTIONS(2652),
    [anon_sym_COLON_COLON] = ACTIONS(2654),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2654),
    [anon_sym___declspec] = ACTIONS(2652),
    [anon_sym___based] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2652),
    [anon_sym_unsigned] = ACTIONS(2652),
    [anon_sym_long] = ACTIONS(2652),
    [anon_sym_short] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_register] = ACTIONS(2652),
    [anon_sym_inline] = ACTIONS(2652),
    [anon_sym___inline] = ACTIONS(2652),
    [anon_sym___inline__] = ACTIONS(2652),
    [anon_sym___forceinline] = ACTIONS(2652),
    [anon_sym_thread_local] = ACTIONS(2652),
    [anon_sym___thread] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_constexpr] = ACTIONS(2652),
    [anon_sym_volatile] = ACTIONS(2652),
    [anon_sym_restrict] = ACTIONS(2652),
    [anon_sym___restrict__] = ACTIONS(2652),
    [anon_sym__Atomic] = ACTIONS(2652),
    [anon_sym__Noreturn] = ACTIONS(2652),
    [anon_sym_noreturn] = ACTIONS(2652),
    [anon_sym_mutable] = ACTIONS(2652),
    [anon_sym_constinit] = ACTIONS(2652),
    [anon_sym_consteval] = ACTIONS(2652),
    [anon_sym_alignas] = ACTIONS(2652),
    [anon_sym__Alignas] = ACTIONS(2652),
    [sym_primitive_type] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_struct] = ACTIONS(2652),
    [anon_sym_union] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2652),
    [anon_sym_decltype] = ACTIONS(2652),
    [sym_virtual] = ACTIONS(2652),
    [anon_sym_explicit] = ACTIONS(2652),
    [anon_sym_typename] = ACTIONS(2652),
    [anon_sym_template] = ACTIONS(2652),
    [anon_sym_operator] = ACTIONS(2652),
    [anon_sym_friend] = ACTIONS(2652),
    [anon_sym_public] = ACTIONS(2652),
    [anon_sym_private] = ACTIONS(2652),
    [anon_sym_protected] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_static_assert] = ACTIONS(2652),
  },
  [1925] = {
    [sym_identifier] = ACTIONS(4961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4963),
    [anon_sym_RPAREN] = ACTIONS(4963),
    [aux_sym_preproc_if_token2] = ACTIONS(4963),
    [aux_sym_preproc_else_token1] = ACTIONS(4963),
    [aux_sym_preproc_elif_token1] = ACTIONS(4961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4963),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4963),
    [anon_sym_LPAREN2] = ACTIONS(4963),
    [anon_sym_DASH] = ACTIONS(4961),
    [anon_sym_PLUS] = ACTIONS(4961),
    [anon_sym_STAR] = ACTIONS(4961),
    [anon_sym_SLASH] = ACTIONS(4961),
    [anon_sym_PERCENT] = ACTIONS(4961),
    [anon_sym_PIPE_PIPE] = ACTIONS(4963),
    [anon_sym_AMP_AMP] = ACTIONS(4963),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_CARET] = ACTIONS(4961),
    [anon_sym_AMP] = ACTIONS(4961),
    [anon_sym_EQ_EQ] = ACTIONS(4963),
    [anon_sym_BANG_EQ] = ACTIONS(4963),
    [anon_sym_GT] = ACTIONS(4961),
    [anon_sym_GT_EQ] = ACTIONS(4963),
    [anon_sym_LT_EQ] = ACTIONS(4961),
    [anon_sym_LT] = ACTIONS(4961),
    [anon_sym_LT_LT] = ACTIONS(4961),
    [anon_sym_GT_GT] = ACTIONS(4961),
    [anon_sym_SEMI] = ACTIONS(4963),
    [anon_sym___attribute__] = ACTIONS(4961),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_RBRACE] = ACTIONS(4963),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_RBRACK] = ACTIONS(4963),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_COLON] = ACTIONS(4963),
    [anon_sym_QMARK] = ACTIONS(4963),
    [anon_sym_STAR_EQ] = ACTIONS(4963),
    [anon_sym_SLASH_EQ] = ACTIONS(4963),
    [anon_sym_PERCENT_EQ] = ACTIONS(4963),
    [anon_sym_PLUS_EQ] = ACTIONS(4963),
    [anon_sym_DASH_EQ] = ACTIONS(4963),
    [anon_sym_LT_LT_EQ] = ACTIONS(4963),
    [anon_sym_GT_GT_EQ] = ACTIONS(4963),
    [anon_sym_AMP_EQ] = ACTIONS(4963),
    [anon_sym_CARET_EQ] = ACTIONS(4963),
    [anon_sym_PIPE_EQ] = ACTIONS(4963),
    [anon_sym_and_eq] = ACTIONS(4961),
    [anon_sym_or_eq] = ACTIONS(4961),
    [anon_sym_xor_eq] = ACTIONS(4961),
    [anon_sym_LT_EQ_GT] = ACTIONS(4963),
    [anon_sym_or] = ACTIONS(4961),
    [anon_sym_and] = ACTIONS(4961),
    [anon_sym_bitor] = ACTIONS(4961),
    [anon_sym_xor] = ACTIONS(4961),
    [anon_sym_bitand] = ACTIONS(4961),
    [anon_sym_not_eq] = ACTIONS(4961),
    [anon_sym_DASH_DASH] = ACTIONS(4963),
    [anon_sym_PLUS_PLUS] = ACTIONS(4963),
    [anon_sym_DOT] = ACTIONS(4961),
    [anon_sym_DOT_STAR] = ACTIONS(4963),
    [anon_sym_DASH_GT] = ACTIONS(4963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4961),
    [anon_sym_decltype] = ACTIONS(4961),
  },
  [1926] = {
    [sym_identifier] = ACTIONS(3642),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3644),
    [anon_sym_COMMA] = ACTIONS(3644),
    [anon_sym_RPAREN] = ACTIONS(3644),
    [anon_sym_LPAREN2] = ACTIONS(3644),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_STAR] = ACTIONS(3644),
    [anon_sym_AMP_AMP] = ACTIONS(3644),
    [anon_sym_AMP] = ACTIONS(3642),
    [anon_sym_SEMI] = ACTIONS(3644),
    [anon_sym___extension__] = ACTIONS(3642),
    [anon_sym_extern] = ACTIONS(3642),
    [anon_sym___attribute__] = ACTIONS(3642),
    [anon_sym_COLON_COLON] = ACTIONS(3644),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3644),
    [anon_sym___declspec] = ACTIONS(3642),
    [anon_sym___based] = ACTIONS(3642),
    [anon_sym___cdecl] = ACTIONS(3642),
    [anon_sym___clrcall] = ACTIONS(3642),
    [anon_sym___stdcall] = ACTIONS(3642),
    [anon_sym___fastcall] = ACTIONS(3642),
    [anon_sym___thiscall] = ACTIONS(3642),
    [anon_sym___vectorcall] = ACTIONS(3642),
    [anon_sym_LBRACE] = ACTIONS(3644),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_static] = ACTIONS(3642),
    [anon_sym_EQ] = ACTIONS(3644),
    [anon_sym_register] = ACTIONS(3642),
    [anon_sym_inline] = ACTIONS(3642),
    [anon_sym___inline] = ACTIONS(3642),
    [anon_sym___inline__] = ACTIONS(3642),
    [anon_sym___forceinline] = ACTIONS(3642),
    [anon_sym_thread_local] = ACTIONS(3642),
    [anon_sym___thread] = ACTIONS(3642),
    [anon_sym_const] = ACTIONS(3642),
    [anon_sym_constexpr] = ACTIONS(3642),
    [anon_sym_volatile] = ACTIONS(3642),
    [anon_sym_restrict] = ACTIONS(3642),
    [anon_sym___restrict__] = ACTIONS(3642),
    [anon_sym__Atomic] = ACTIONS(3642),
    [anon_sym__Noreturn] = ACTIONS(3642),
    [anon_sym_noreturn] = ACTIONS(3642),
    [anon_sym_mutable] = ACTIONS(3642),
    [anon_sym_constinit] = ACTIONS(3642),
    [anon_sym_consteval] = ACTIONS(3642),
    [anon_sym_alignas] = ACTIONS(3642),
    [anon_sym__Alignas] = ACTIONS(3642),
    [anon_sym_COLON] = ACTIONS(3642),
    [anon_sym_asm] = ACTIONS(3642),
    [anon_sym___asm__] = ACTIONS(3642),
    [anon_sym_DASH_GT] = ACTIONS(3644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3642),
    [anon_sym_final] = ACTIONS(3642),
    [anon_sym_override] = ACTIONS(3642),
    [sym_virtual] = ACTIONS(3642),
    [anon_sym_explicit] = ACTIONS(3642),
    [anon_sym_template] = ACTIONS(3642),
    [anon_sym_GT2] = ACTIONS(3644),
    [anon_sym_operator] = ACTIONS(3642),
    [anon_sym_try] = ACTIONS(3642),
    [anon_sym_public] = ACTIONS(3642),
    [anon_sym_private] = ACTIONS(3642),
    [anon_sym_protected] = ACTIONS(3642),
    [anon_sym_requires] = ACTIONS(3642),
  },
  [1927] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_friend] = ACTIONS(2775),
    [anon_sym_public] = ACTIONS(2775),
    [anon_sym_private] = ACTIONS(2775),
    [anon_sym_protected] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
  },
  [1928] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2777),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_friend] = ACTIONS(2775),
    [anon_sym_public] = ACTIONS(2775),
    [anon_sym_private] = ACTIONS(2775),
    [anon_sym_protected] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
  },
  [1929] = {
    [sym_identifier] = ACTIONS(4961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4963),
    [anon_sym_RPAREN] = ACTIONS(4963),
    [aux_sym_preproc_if_token2] = ACTIONS(4963),
    [aux_sym_preproc_else_token1] = ACTIONS(4963),
    [aux_sym_preproc_elif_token1] = ACTIONS(4961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4963),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4963),
    [anon_sym_LPAREN2] = ACTIONS(4963),
    [anon_sym_DASH] = ACTIONS(4961),
    [anon_sym_PLUS] = ACTIONS(4961),
    [anon_sym_STAR] = ACTIONS(4961),
    [anon_sym_SLASH] = ACTIONS(4961),
    [anon_sym_PERCENT] = ACTIONS(4961),
    [anon_sym_PIPE_PIPE] = ACTIONS(4963),
    [anon_sym_AMP_AMP] = ACTIONS(4963),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_CARET] = ACTIONS(4961),
    [anon_sym_AMP] = ACTIONS(4961),
    [anon_sym_EQ_EQ] = ACTIONS(4963),
    [anon_sym_BANG_EQ] = ACTIONS(4963),
    [anon_sym_GT] = ACTIONS(4961),
    [anon_sym_GT_EQ] = ACTIONS(4963),
    [anon_sym_LT_EQ] = ACTIONS(4961),
    [anon_sym_LT] = ACTIONS(4961),
    [anon_sym_LT_LT] = ACTIONS(4961),
    [anon_sym_GT_GT] = ACTIONS(4961),
    [anon_sym_SEMI] = ACTIONS(4963),
    [anon_sym___attribute__] = ACTIONS(4961),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_RBRACE] = ACTIONS(4963),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_RBRACK] = ACTIONS(4963),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_COLON] = ACTIONS(4963),
    [anon_sym_QMARK] = ACTIONS(4963),
    [anon_sym_STAR_EQ] = ACTIONS(4963),
    [anon_sym_SLASH_EQ] = ACTIONS(4963),
    [anon_sym_PERCENT_EQ] = ACTIONS(4963),
    [anon_sym_PLUS_EQ] = ACTIONS(4963),
    [anon_sym_DASH_EQ] = ACTIONS(4963),
    [anon_sym_LT_LT_EQ] = ACTIONS(4963),
    [anon_sym_GT_GT_EQ] = ACTIONS(4963),
    [anon_sym_AMP_EQ] = ACTIONS(4963),
    [anon_sym_CARET_EQ] = ACTIONS(4963),
    [anon_sym_PIPE_EQ] = ACTIONS(4963),
    [anon_sym_and_eq] = ACTIONS(4961),
    [anon_sym_or_eq] = ACTIONS(4961),
    [anon_sym_xor_eq] = ACTIONS(4961),
    [anon_sym_LT_EQ_GT] = ACTIONS(4963),
    [anon_sym_or] = ACTIONS(4961),
    [anon_sym_and] = ACTIONS(4961),
    [anon_sym_bitor] = ACTIONS(4961),
    [anon_sym_xor] = ACTIONS(4961),
    [anon_sym_bitand] = ACTIONS(4961),
    [anon_sym_not_eq] = ACTIONS(4961),
    [anon_sym_DASH_DASH] = ACTIONS(4963),
    [anon_sym_PLUS_PLUS] = ACTIONS(4963),
    [anon_sym_DOT] = ACTIONS(4961),
    [anon_sym_DOT_STAR] = ACTIONS(4963),
    [anon_sym_DASH_GT] = ACTIONS(4963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4961),
    [anon_sym_decltype] = ACTIONS(4961),
  },
  [1930] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token2] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_friend] = ACTIONS(2740),
    [anon_sym_public] = ACTIONS(2740),
    [anon_sym_private] = ACTIONS(2740),
    [anon_sym_protected] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
  },
  [1931] = {
    [sym_identifier] = ACTIONS(5198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5200),
    [anon_sym_COMMA] = ACTIONS(5200),
    [anon_sym_RPAREN] = ACTIONS(5200),
    [aux_sym_preproc_if_token2] = ACTIONS(5200),
    [aux_sym_preproc_else_token1] = ACTIONS(5200),
    [aux_sym_preproc_elif_token1] = ACTIONS(5198),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5200),
    [anon_sym_LPAREN2] = ACTIONS(5200),
    [anon_sym_DASH] = ACTIONS(5198),
    [anon_sym_PLUS] = ACTIONS(5198),
    [anon_sym_STAR] = ACTIONS(5198),
    [anon_sym_SLASH] = ACTIONS(5198),
    [anon_sym_PERCENT] = ACTIONS(5198),
    [anon_sym_PIPE_PIPE] = ACTIONS(5200),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_PIPE] = ACTIONS(5198),
    [anon_sym_CARET] = ACTIONS(5198),
    [anon_sym_AMP] = ACTIONS(5198),
    [anon_sym_EQ_EQ] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5200),
    [anon_sym_GT] = ACTIONS(5198),
    [anon_sym_GT_EQ] = ACTIONS(5200),
    [anon_sym_LT_EQ] = ACTIONS(5198),
    [anon_sym_LT] = ACTIONS(5198),
    [anon_sym_LT_LT] = ACTIONS(5198),
    [anon_sym_GT_GT] = ACTIONS(5198),
    [anon_sym_SEMI] = ACTIONS(5200),
    [anon_sym___attribute__] = ACTIONS(5198),
    [anon_sym_LBRACE] = ACTIONS(5200),
    [anon_sym_RBRACE] = ACTIONS(5200),
    [anon_sym_LBRACK] = ACTIONS(5200),
    [anon_sym_RBRACK] = ACTIONS(5200),
    [anon_sym_EQ] = ACTIONS(5198),
    [anon_sym_COLON] = ACTIONS(5200),
    [anon_sym_QMARK] = ACTIONS(5200),
    [anon_sym_STAR_EQ] = ACTIONS(5200),
    [anon_sym_SLASH_EQ] = ACTIONS(5200),
    [anon_sym_PERCENT_EQ] = ACTIONS(5200),
    [anon_sym_PLUS_EQ] = ACTIONS(5200),
    [anon_sym_DASH_EQ] = ACTIONS(5200),
    [anon_sym_LT_LT_EQ] = ACTIONS(5200),
    [anon_sym_GT_GT_EQ] = ACTIONS(5200),
    [anon_sym_AMP_EQ] = ACTIONS(5200),
    [anon_sym_CARET_EQ] = ACTIONS(5200),
    [anon_sym_PIPE_EQ] = ACTIONS(5200),
    [anon_sym_and_eq] = ACTIONS(5198),
    [anon_sym_or_eq] = ACTIONS(5198),
    [anon_sym_xor_eq] = ACTIONS(5198),
    [anon_sym_LT_EQ_GT] = ACTIONS(5200),
    [anon_sym_or] = ACTIONS(5198),
    [anon_sym_and] = ACTIONS(5198),
    [anon_sym_bitor] = ACTIONS(5198),
    [anon_sym_xor] = ACTIONS(5198),
    [anon_sym_bitand] = ACTIONS(5198),
    [anon_sym_not_eq] = ACTIONS(5198),
    [anon_sym_DASH_DASH] = ACTIONS(5200),
    [anon_sym_PLUS_PLUS] = ACTIONS(5200),
    [anon_sym_DOT] = ACTIONS(5198),
    [anon_sym_DOT_STAR] = ACTIONS(5200),
    [anon_sym_DASH_GT] = ACTIONS(5200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5198),
    [anon_sym_decltype] = ACTIONS(5198),
  },
  [1932] = {
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token2] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [sym_virtual] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_friend] = ACTIONS(2526),
    [anon_sym_public] = ACTIONS(2526),
    [anon_sym_private] = ACTIONS(2526),
    [anon_sym_protected] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
  },
  [1933] = {
    [sym_string_literal] = STATE(1850),
    [sym_raw_string_literal] = STATE(1850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3778),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3778),
    [anon_sym_or_eq] = ACTIONS(3778),
    [anon_sym_xor_eq] = ACTIONS(3778),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_L_DQUOTE] = ACTIONS(4622),
    [anon_sym_u_DQUOTE] = ACTIONS(4622),
    [anon_sym_U_DQUOTE] = ACTIONS(4622),
    [anon_sym_u8_DQUOTE] = ACTIONS(4622),
    [anon_sym_DQUOTE] = ACTIONS(4622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4624),
    [anon_sym_LR_DQUOTE] = ACTIONS(4624),
    [anon_sym_uR_DQUOTE] = ACTIONS(4624),
    [anon_sym_UR_DQUOTE] = ACTIONS(4624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4624),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3770),
    [sym_literal_suffix] = ACTIONS(5512),
  },
  [1934] = {
    [sym_identifier] = ACTIONS(2779),
    [aux_sym_preproc_def_token1] = ACTIONS(2779),
    [aux_sym_preproc_if_token1] = ACTIONS(2779),
    [aux_sym_preproc_if_token2] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2779),
    [sym_preproc_directive] = ACTIONS(2779),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2779),
    [anon_sym_typedef] = ACTIONS(2779),
    [anon_sym_extern] = ACTIONS(2779),
    [anon_sym___attribute__] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2781),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2781),
    [anon_sym___declspec] = ACTIONS(2779),
    [anon_sym___based] = ACTIONS(2779),
    [anon_sym_signed] = ACTIONS(2779),
    [anon_sym_unsigned] = ACTIONS(2779),
    [anon_sym_long] = ACTIONS(2779),
    [anon_sym_short] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_static] = ACTIONS(2779),
    [anon_sym_register] = ACTIONS(2779),
    [anon_sym_inline] = ACTIONS(2779),
    [anon_sym___inline] = ACTIONS(2779),
    [anon_sym___inline__] = ACTIONS(2779),
    [anon_sym___forceinline] = ACTIONS(2779),
    [anon_sym_thread_local] = ACTIONS(2779),
    [anon_sym___thread] = ACTIONS(2779),
    [anon_sym_const] = ACTIONS(2779),
    [anon_sym_constexpr] = ACTIONS(2779),
    [anon_sym_volatile] = ACTIONS(2779),
    [anon_sym_restrict] = ACTIONS(2779),
    [anon_sym___restrict__] = ACTIONS(2779),
    [anon_sym__Atomic] = ACTIONS(2779),
    [anon_sym__Noreturn] = ACTIONS(2779),
    [anon_sym_noreturn] = ACTIONS(2779),
    [anon_sym_mutable] = ACTIONS(2779),
    [anon_sym_constinit] = ACTIONS(2779),
    [anon_sym_consteval] = ACTIONS(2779),
    [anon_sym_alignas] = ACTIONS(2779),
    [anon_sym__Alignas] = ACTIONS(2779),
    [sym_primitive_type] = ACTIONS(2779),
    [anon_sym_enum] = ACTIONS(2779),
    [anon_sym_class] = ACTIONS(2779),
    [anon_sym_struct] = ACTIONS(2779),
    [anon_sym_union] = ACTIONS(2779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2779),
    [anon_sym_decltype] = ACTIONS(2779),
    [sym_virtual] = ACTIONS(2779),
    [anon_sym_explicit] = ACTIONS(2779),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(2779),
    [anon_sym_operator] = ACTIONS(2779),
    [anon_sym_friend] = ACTIONS(2779),
    [anon_sym_public] = ACTIONS(2779),
    [anon_sym_private] = ACTIONS(2779),
    [anon_sym_protected] = ACTIONS(2779),
    [anon_sym_using] = ACTIONS(2779),
    [anon_sym_static_assert] = ACTIONS(2779),
  },
  [1935] = {
    [sym_identifier] = ACTIONS(2660),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2660),
    [sym_preproc_directive] = ACTIONS(2660),
    [anon_sym_LPAREN2] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2660),
    [anon_sym_typedef] = ACTIONS(2660),
    [anon_sym_extern] = ACTIONS(2660),
    [anon_sym___attribute__] = ACTIONS(2660),
    [anon_sym_COLON_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2660),
    [anon_sym___based] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2660),
    [anon_sym_unsigned] = ACTIONS(2660),
    [anon_sym_long] = ACTIONS(2660),
    [anon_sym_short] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_register] = ACTIONS(2660),
    [anon_sym_inline] = ACTIONS(2660),
    [anon_sym___inline] = ACTIONS(2660),
    [anon_sym___inline__] = ACTIONS(2660),
    [anon_sym___forceinline] = ACTIONS(2660),
    [anon_sym_thread_local] = ACTIONS(2660),
    [anon_sym___thread] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_constexpr] = ACTIONS(2660),
    [anon_sym_volatile] = ACTIONS(2660),
    [anon_sym_restrict] = ACTIONS(2660),
    [anon_sym___restrict__] = ACTIONS(2660),
    [anon_sym__Atomic] = ACTIONS(2660),
    [anon_sym__Noreturn] = ACTIONS(2660),
    [anon_sym_noreturn] = ACTIONS(2660),
    [anon_sym_mutable] = ACTIONS(2660),
    [anon_sym_constinit] = ACTIONS(2660),
    [anon_sym_consteval] = ACTIONS(2660),
    [anon_sym_alignas] = ACTIONS(2660),
    [anon_sym__Alignas] = ACTIONS(2660),
    [sym_primitive_type] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_struct] = ACTIONS(2660),
    [anon_sym_union] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2660),
    [anon_sym_decltype] = ACTIONS(2660),
    [sym_virtual] = ACTIONS(2660),
    [anon_sym_explicit] = ACTIONS(2660),
    [anon_sym_typename] = ACTIONS(2660),
    [anon_sym_template] = ACTIONS(2660),
    [anon_sym_operator] = ACTIONS(2660),
    [anon_sym_friend] = ACTIONS(2660),
    [anon_sym_public] = ACTIONS(2660),
    [anon_sym_private] = ACTIONS(2660),
    [anon_sym_protected] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_static_assert] = ACTIONS(2660),
  },
  [1936] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym_RBRACE] = ACTIONS(2690),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym__Alignas] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [sym_virtual] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_friend] = ACTIONS(2688),
    [anon_sym_public] = ACTIONS(2688),
    [anon_sym_private] = ACTIONS(2688),
    [anon_sym_protected] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
  },
  [1937] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym_RBRACE] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_friend] = ACTIONS(2648),
    [anon_sym_public] = ACTIONS(2648),
    [anon_sym_private] = ACTIONS(2648),
    [anon_sym_protected] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
  },
  [1938] = {
    [sym_ms_based_modifier] = STATE(7568),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(3814),
    [sym__declarator] = STATE(5943),
    [sym__abstract_declarator] = STATE(6260),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_abstract_parenthesized_declarator] = STATE(5819),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_abstract_pointer_declarator] = STATE(5819),
    [sym_function_declarator] = STATE(5906),
    [sym_abstract_function_declarator] = STATE(5819),
    [sym_array_declarator] = STATE(5906),
    [sym_abstract_array_declarator] = STATE(5819),
    [sym_type_qualifier] = STATE(2700),
    [sym_alignas_qualifier] = STATE(4447),
    [sym_parameter_list] = STATE(3429),
    [sym_decltype] = STATE(7635),
    [sym_reference_declarator] = STATE(5906),
    [sym_abstract_reference_declarator] = STATE(5819),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5357),
    [sym_qualified_identifier] = STATE(5906),
    [sym_operator_name] = STATE(5906),
    [aux_sym__type_definition_type_repeat1] = STATE(2700),
    [aux_sym_pointer_declarator_repeat1] = STATE(3814),
    [sym_identifier] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5350),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(5514),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5518),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(5346),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3168),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3168),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3168),
    [anon_sym__unaligned] = ACTIONS(3170),
    [anon_sym___unaligned] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym__Alignas] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(5350),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_friend] = ACTIONS(2604),
    [anon_sym_public] = ACTIONS(2604),
    [anon_sym_private] = ACTIONS(2604),
    [anon_sym_protected] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
  },
  [1940] = {
    [sym_identifier] = ACTIONS(5069),
    [aux_sym_preproc_def_token1] = ACTIONS(5069),
    [aux_sym_preproc_if_token1] = ACTIONS(5069),
    [aux_sym_preproc_if_token2] = ACTIONS(5069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5069),
    [sym_preproc_directive] = ACTIONS(5069),
    [anon_sym_LPAREN2] = ACTIONS(5071),
    [anon_sym_TILDE] = ACTIONS(5071),
    [anon_sym_STAR] = ACTIONS(5071),
    [anon_sym_AMP_AMP] = ACTIONS(5071),
    [anon_sym_AMP] = ACTIONS(5069),
    [anon_sym___extension__] = ACTIONS(5069),
    [anon_sym_typedef] = ACTIONS(5069),
    [anon_sym_extern] = ACTIONS(5069),
    [anon_sym___attribute__] = ACTIONS(5069),
    [anon_sym_COLON_COLON] = ACTIONS(5071),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5071),
    [anon_sym___declspec] = ACTIONS(5069),
    [anon_sym___based] = ACTIONS(5069),
    [anon_sym_signed] = ACTIONS(5069),
    [anon_sym_unsigned] = ACTIONS(5069),
    [anon_sym_long] = ACTIONS(5069),
    [anon_sym_short] = ACTIONS(5069),
    [anon_sym_LBRACK] = ACTIONS(5069),
    [anon_sym_static] = ACTIONS(5069),
    [anon_sym_register] = ACTIONS(5069),
    [anon_sym_inline] = ACTIONS(5069),
    [anon_sym___inline] = ACTIONS(5069),
    [anon_sym___inline__] = ACTIONS(5069),
    [anon_sym___forceinline] = ACTIONS(5069),
    [anon_sym_thread_local] = ACTIONS(5069),
    [anon_sym___thread] = ACTIONS(5069),
    [anon_sym_const] = ACTIONS(5069),
    [anon_sym_constexpr] = ACTIONS(5069),
    [anon_sym_volatile] = ACTIONS(5069),
    [anon_sym_restrict] = ACTIONS(5069),
    [anon_sym___restrict__] = ACTIONS(5069),
    [anon_sym__Atomic] = ACTIONS(5069),
    [anon_sym__Noreturn] = ACTIONS(5069),
    [anon_sym_noreturn] = ACTIONS(5069),
    [anon_sym_mutable] = ACTIONS(5069),
    [anon_sym_constinit] = ACTIONS(5069),
    [anon_sym_consteval] = ACTIONS(5069),
    [anon_sym_alignas] = ACTIONS(5069),
    [anon_sym__Alignas] = ACTIONS(5069),
    [sym_primitive_type] = ACTIONS(5069),
    [anon_sym_enum] = ACTIONS(5069),
    [anon_sym_class] = ACTIONS(5069),
    [anon_sym_struct] = ACTIONS(5069),
    [anon_sym_union] = ACTIONS(5069),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5069),
    [anon_sym_decltype] = ACTIONS(5069),
    [sym_virtual] = ACTIONS(5069),
    [anon_sym_explicit] = ACTIONS(5069),
    [anon_sym_typename] = ACTIONS(5069),
    [anon_sym_template] = ACTIONS(5069),
    [anon_sym_operator] = ACTIONS(5069),
    [anon_sym_friend] = ACTIONS(5069),
    [anon_sym_public] = ACTIONS(5069),
    [anon_sym_private] = ACTIONS(5069),
    [anon_sym_protected] = ACTIONS(5069),
    [anon_sym_using] = ACTIONS(5069),
    [anon_sym_static_assert] = ACTIONS(5069),
  },
  [1941] = {
    [sym_identifier] = ACTIONS(2740),
    [aux_sym_preproc_def_token1] = ACTIONS(2740),
    [aux_sym_preproc_if_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2740),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2740),
    [sym_preproc_directive] = ACTIONS(2740),
    [anon_sym_LPAREN2] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2742),
    [anon_sym_AMP_AMP] = ACTIONS(2742),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2740),
    [anon_sym_typedef] = ACTIONS(2740),
    [anon_sym_extern] = ACTIONS(2740),
    [anon_sym___attribute__] = ACTIONS(2740),
    [anon_sym_COLON_COLON] = ACTIONS(2742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2742),
    [anon_sym___declspec] = ACTIONS(2740),
    [anon_sym___based] = ACTIONS(2740),
    [anon_sym_RBRACE] = ACTIONS(2742),
    [anon_sym_signed] = ACTIONS(2740),
    [anon_sym_unsigned] = ACTIONS(2740),
    [anon_sym_long] = ACTIONS(2740),
    [anon_sym_short] = ACTIONS(2740),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2740),
    [anon_sym_register] = ACTIONS(2740),
    [anon_sym_inline] = ACTIONS(2740),
    [anon_sym___inline] = ACTIONS(2740),
    [anon_sym___inline__] = ACTIONS(2740),
    [anon_sym___forceinline] = ACTIONS(2740),
    [anon_sym_thread_local] = ACTIONS(2740),
    [anon_sym___thread] = ACTIONS(2740),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_constexpr] = ACTIONS(2740),
    [anon_sym_volatile] = ACTIONS(2740),
    [anon_sym_restrict] = ACTIONS(2740),
    [anon_sym___restrict__] = ACTIONS(2740),
    [anon_sym__Atomic] = ACTIONS(2740),
    [anon_sym__Noreturn] = ACTIONS(2740),
    [anon_sym_noreturn] = ACTIONS(2740),
    [anon_sym_mutable] = ACTIONS(2740),
    [anon_sym_constinit] = ACTIONS(2740),
    [anon_sym_consteval] = ACTIONS(2740),
    [anon_sym_alignas] = ACTIONS(2740),
    [anon_sym__Alignas] = ACTIONS(2740),
    [sym_primitive_type] = ACTIONS(2740),
    [anon_sym_enum] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2740),
    [anon_sym_struct] = ACTIONS(2740),
    [anon_sym_union] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2740),
    [anon_sym_decltype] = ACTIONS(2740),
    [sym_virtual] = ACTIONS(2740),
    [anon_sym_explicit] = ACTIONS(2740),
    [anon_sym_typename] = ACTIONS(2740),
    [anon_sym_template] = ACTIONS(2740),
    [anon_sym_operator] = ACTIONS(2740),
    [anon_sym_friend] = ACTIONS(2740),
    [anon_sym_public] = ACTIONS(2740),
    [anon_sym_private] = ACTIONS(2740),
    [anon_sym_protected] = ACTIONS(2740),
    [anon_sym_using] = ACTIONS(2740),
    [anon_sym_static_assert] = ACTIONS(2740),
  },
  [1942] = {
    [sym_identifier] = ACTIONS(4910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4912),
    [anon_sym_COMMA] = ACTIONS(4912),
    [anon_sym_RPAREN] = ACTIONS(4912),
    [aux_sym_preproc_if_token2] = ACTIONS(4912),
    [aux_sym_preproc_else_token1] = ACTIONS(4912),
    [aux_sym_preproc_elif_token1] = ACTIONS(4910),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(4912),
    [anon_sym_DASH] = ACTIONS(4910),
    [anon_sym_PLUS] = ACTIONS(4910),
    [anon_sym_STAR] = ACTIONS(4910),
    [anon_sym_SLASH] = ACTIONS(4910),
    [anon_sym_PERCENT] = ACTIONS(4910),
    [anon_sym_PIPE_PIPE] = ACTIONS(4912),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_PIPE] = ACTIONS(4910),
    [anon_sym_CARET] = ACTIONS(4910),
    [anon_sym_AMP] = ACTIONS(4910),
    [anon_sym_EQ_EQ] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4912),
    [anon_sym_GT] = ACTIONS(4910),
    [anon_sym_GT_EQ] = ACTIONS(4912),
    [anon_sym_LT_EQ] = ACTIONS(4910),
    [anon_sym_LT] = ACTIONS(4910),
    [anon_sym_LT_LT] = ACTIONS(4910),
    [anon_sym_GT_GT] = ACTIONS(4910),
    [anon_sym_SEMI] = ACTIONS(4912),
    [anon_sym___attribute__] = ACTIONS(4910),
    [anon_sym_LBRACE] = ACTIONS(4912),
    [anon_sym_RBRACE] = ACTIONS(4912),
    [anon_sym_LBRACK] = ACTIONS(4912),
    [anon_sym_RBRACK] = ACTIONS(4912),
    [anon_sym_EQ] = ACTIONS(4910),
    [anon_sym_COLON] = ACTIONS(4912),
    [anon_sym_QMARK] = ACTIONS(4912),
    [anon_sym_STAR_EQ] = ACTIONS(4912),
    [anon_sym_SLASH_EQ] = ACTIONS(4912),
    [anon_sym_PERCENT_EQ] = ACTIONS(4912),
    [anon_sym_PLUS_EQ] = ACTIONS(4912),
    [anon_sym_DASH_EQ] = ACTIONS(4912),
    [anon_sym_LT_LT_EQ] = ACTIONS(4912),
    [anon_sym_GT_GT_EQ] = ACTIONS(4912),
    [anon_sym_AMP_EQ] = ACTIONS(4912),
    [anon_sym_CARET_EQ] = ACTIONS(4912),
    [anon_sym_PIPE_EQ] = ACTIONS(4912),
    [anon_sym_and_eq] = ACTIONS(4910),
    [anon_sym_or_eq] = ACTIONS(4910),
    [anon_sym_xor_eq] = ACTIONS(4910),
    [anon_sym_LT_EQ_GT] = ACTIONS(4912),
    [anon_sym_or] = ACTIONS(4910),
    [anon_sym_and] = ACTIONS(4910),
    [anon_sym_bitor] = ACTIONS(4910),
    [anon_sym_xor] = ACTIONS(4910),
    [anon_sym_bitand] = ACTIONS(4910),
    [anon_sym_not_eq] = ACTIONS(4910),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_DOT] = ACTIONS(4910),
    [anon_sym_DOT_STAR] = ACTIONS(4912),
    [anon_sym_DASH_GT] = ACTIONS(4912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4910),
    [anon_sym_decltype] = ACTIONS(4910),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym_RBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_friend] = ACTIONS(3005),
    [anon_sym_public] = ACTIONS(3005),
    [anon_sym_private] = ACTIONS(3005),
    [anon_sym_protected] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym_RBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_friend] = ACTIONS(3005),
    [anon_sym_public] = ACTIONS(3005),
    [anon_sym_private] = ACTIONS(3005),
    [anon_sym_protected] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
  },
  [1945] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym_RBRACE] = ACTIONS(2746),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_friend] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
  },
  [1946] = {
    [sym_identifier] = ACTIONS(5073),
    [aux_sym_preproc_def_token1] = ACTIONS(5073),
    [aux_sym_preproc_if_token1] = ACTIONS(5073),
    [aux_sym_preproc_if_token2] = ACTIONS(5073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5073),
    [sym_preproc_directive] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(5075),
    [anon_sym_TILDE] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_AMP_AMP] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5073),
    [anon_sym___extension__] = ACTIONS(5073),
    [anon_sym_typedef] = ACTIONS(5073),
    [anon_sym_extern] = ACTIONS(5073),
    [anon_sym___attribute__] = ACTIONS(5073),
    [anon_sym_COLON_COLON] = ACTIONS(5075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5075),
    [anon_sym___declspec] = ACTIONS(5073),
    [anon_sym___based] = ACTIONS(5073),
    [anon_sym_signed] = ACTIONS(5073),
    [anon_sym_unsigned] = ACTIONS(5073),
    [anon_sym_long] = ACTIONS(5073),
    [anon_sym_short] = ACTIONS(5073),
    [anon_sym_LBRACK] = ACTIONS(5073),
    [anon_sym_static] = ACTIONS(5073),
    [anon_sym_register] = ACTIONS(5073),
    [anon_sym_inline] = ACTIONS(5073),
    [anon_sym___inline] = ACTIONS(5073),
    [anon_sym___inline__] = ACTIONS(5073),
    [anon_sym___forceinline] = ACTIONS(5073),
    [anon_sym_thread_local] = ACTIONS(5073),
    [anon_sym___thread] = ACTIONS(5073),
    [anon_sym_const] = ACTIONS(5073),
    [anon_sym_constexpr] = ACTIONS(5073),
    [anon_sym_volatile] = ACTIONS(5073),
    [anon_sym_restrict] = ACTIONS(5073),
    [anon_sym___restrict__] = ACTIONS(5073),
    [anon_sym__Atomic] = ACTIONS(5073),
    [anon_sym__Noreturn] = ACTIONS(5073),
    [anon_sym_noreturn] = ACTIONS(5073),
    [anon_sym_mutable] = ACTIONS(5073),
    [anon_sym_constinit] = ACTIONS(5073),
    [anon_sym_consteval] = ACTIONS(5073),
    [anon_sym_alignas] = ACTIONS(5073),
    [anon_sym__Alignas] = ACTIONS(5073),
    [sym_primitive_type] = ACTIONS(5073),
    [anon_sym_enum] = ACTIONS(5073),
    [anon_sym_class] = ACTIONS(5073),
    [anon_sym_struct] = ACTIONS(5073),
    [anon_sym_union] = ACTIONS(5073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5073),
    [anon_sym_decltype] = ACTIONS(5073),
    [sym_virtual] = ACTIONS(5073),
    [anon_sym_explicit] = ACTIONS(5073),
    [anon_sym_typename] = ACTIONS(5073),
    [anon_sym_template] = ACTIONS(5073),
    [anon_sym_operator] = ACTIONS(5073),
    [anon_sym_friend] = ACTIONS(5073),
    [anon_sym_public] = ACTIONS(5073),
    [anon_sym_private] = ACTIONS(5073),
    [anon_sym_protected] = ACTIONS(5073),
    [anon_sym_using] = ACTIONS(5073),
    [anon_sym_static_assert] = ACTIONS(5073),
  },
  [1947] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_friend] = ACTIONS(2824),
    [anon_sym_public] = ACTIONS(2824),
    [anon_sym_private] = ACTIONS(2824),
    [anon_sym_protected] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
  },
  [1948] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_friend] = ACTIONS(2824),
    [anon_sym_public] = ACTIONS(2824),
    [anon_sym_private] = ACTIONS(2824),
    [anon_sym_protected] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(2616),
    [aux_sym_preproc_def_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2616),
    [sym_preproc_directive] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym___based] = ACTIONS(2616),
    [anon_sym_RBRACE] = ACTIONS(2618),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_explicit] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_operator] = ACTIONS(2616),
    [anon_sym_friend] = ACTIONS(2616),
    [anon_sym_public] = ACTIONS(2616),
    [anon_sym_private] = ACTIONS(2616),
    [anon_sym_protected] = ACTIONS(2616),
    [anon_sym_using] = ACTIONS(2616),
    [anon_sym_static_assert] = ACTIONS(2616),
  },
  [1950] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_COMMA] = ACTIONS(4793),
    [aux_sym_preproc_if_token2] = ACTIONS(4793),
    [aux_sym_preproc_else_token1] = ACTIONS(4793),
    [aux_sym_preproc_elif_token1] = ACTIONS(4791),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4793),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4793),
    [anon_sym_LPAREN2] = ACTIONS(4793),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4791),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4793),
    [anon_sym_AMP_AMP] = ACTIONS(4793),
    [anon_sym_PIPE] = ACTIONS(4791),
    [anon_sym_CARET] = ACTIONS(4791),
    [anon_sym_AMP] = ACTIONS(4791),
    [anon_sym_EQ_EQ] = ACTIONS(4793),
    [anon_sym_BANG_EQ] = ACTIONS(4793),
    [anon_sym_GT] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4793),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_LT] = ACTIONS(4791),
    [anon_sym_LT_LT] = ACTIONS(4791),
    [anon_sym_GT_GT] = ACTIONS(4791),
    [anon_sym___attribute__] = ACTIONS(4791),
    [anon_sym_LBRACE] = ACTIONS(4793),
    [anon_sym_signed] = ACTIONS(5520),
    [anon_sym_unsigned] = ACTIONS(5520),
    [anon_sym_long] = ACTIONS(5520),
    [anon_sym_short] = ACTIONS(5520),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [anon_sym_EQ] = ACTIONS(4791),
    [anon_sym_QMARK] = ACTIONS(4793),
    [anon_sym_STAR_EQ] = ACTIONS(4793),
    [anon_sym_SLASH_EQ] = ACTIONS(4793),
    [anon_sym_PERCENT_EQ] = ACTIONS(4793),
    [anon_sym_PLUS_EQ] = ACTIONS(4793),
    [anon_sym_DASH_EQ] = ACTIONS(4793),
    [anon_sym_LT_LT_EQ] = ACTIONS(4793),
    [anon_sym_GT_GT_EQ] = ACTIONS(4793),
    [anon_sym_AMP_EQ] = ACTIONS(4793),
    [anon_sym_CARET_EQ] = ACTIONS(4793),
    [anon_sym_PIPE_EQ] = ACTIONS(4793),
    [anon_sym_and_eq] = ACTIONS(4791),
    [anon_sym_or_eq] = ACTIONS(4791),
    [anon_sym_xor_eq] = ACTIONS(4791),
    [anon_sym_LT_EQ_GT] = ACTIONS(4793),
    [anon_sym_or] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4791),
    [anon_sym_bitor] = ACTIONS(4791),
    [anon_sym_xor] = ACTIONS(4791),
    [anon_sym_bitand] = ACTIONS(4791),
    [anon_sym_not_eq] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4793),
    [anon_sym_PLUS_PLUS] = ACTIONS(4793),
    [anon_sym_DOT] = ACTIONS(4791),
    [anon_sym_DOT_STAR] = ACTIONS(4793),
    [anon_sym_DASH_GT] = ACTIONS(4793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4791),
    [anon_sym_decltype] = ACTIONS(4791),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(4932),
    [aux_sym_preproc_def_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token2] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4932),
    [sym_preproc_directive] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4934),
    [anon_sym_TILDE] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4934),
    [anon_sym_AMP_AMP] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(4932),
    [anon_sym_typedef] = ACTIONS(4932),
    [anon_sym_extern] = ACTIONS(4932),
    [anon_sym___attribute__] = ACTIONS(4932),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4934),
    [anon_sym___declspec] = ACTIONS(4932),
    [anon_sym___based] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4932),
    [anon_sym_unsigned] = ACTIONS(4932),
    [anon_sym_long] = ACTIONS(4932),
    [anon_sym_short] = ACTIONS(4932),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_static] = ACTIONS(4932),
    [anon_sym_register] = ACTIONS(4932),
    [anon_sym_inline] = ACTIONS(4932),
    [anon_sym___inline] = ACTIONS(4932),
    [anon_sym___inline__] = ACTIONS(4932),
    [anon_sym___forceinline] = ACTIONS(4932),
    [anon_sym_thread_local] = ACTIONS(4932),
    [anon_sym___thread] = ACTIONS(4932),
    [anon_sym_const] = ACTIONS(4932),
    [anon_sym_constexpr] = ACTIONS(4932),
    [anon_sym_volatile] = ACTIONS(4932),
    [anon_sym_restrict] = ACTIONS(4932),
    [anon_sym___restrict__] = ACTIONS(4932),
    [anon_sym__Atomic] = ACTIONS(4932),
    [anon_sym__Noreturn] = ACTIONS(4932),
    [anon_sym_noreturn] = ACTIONS(4932),
    [anon_sym_mutable] = ACTIONS(4932),
    [anon_sym_constinit] = ACTIONS(4932),
    [anon_sym_consteval] = ACTIONS(4932),
    [anon_sym_alignas] = ACTIONS(4932),
    [anon_sym__Alignas] = ACTIONS(4932),
    [sym_primitive_type] = ACTIONS(4932),
    [anon_sym_enum] = ACTIONS(4932),
    [anon_sym_class] = ACTIONS(4932),
    [anon_sym_struct] = ACTIONS(4932),
    [anon_sym_union] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4932),
    [anon_sym_decltype] = ACTIONS(4932),
    [sym_virtual] = ACTIONS(4932),
    [anon_sym_explicit] = ACTIONS(4932),
    [anon_sym_typename] = ACTIONS(4932),
    [anon_sym_template] = ACTIONS(4932),
    [anon_sym_operator] = ACTIONS(4932),
    [anon_sym_friend] = ACTIONS(4932),
    [anon_sym_public] = ACTIONS(4932),
    [anon_sym_private] = ACTIONS(4932),
    [anon_sym_protected] = ACTIONS(4932),
    [anon_sym_using] = ACTIONS(4932),
    [anon_sym_static_assert] = ACTIONS(4932),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(5077),
    [aux_sym_preproc_def_token1] = ACTIONS(5077),
    [aux_sym_preproc_if_token1] = ACTIONS(5077),
    [aux_sym_preproc_if_token2] = ACTIONS(5077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5077),
    [sym_preproc_directive] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5079),
    [anon_sym_TILDE] = ACTIONS(5079),
    [anon_sym_STAR] = ACTIONS(5079),
    [anon_sym_AMP_AMP] = ACTIONS(5079),
    [anon_sym_AMP] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(5077),
    [anon_sym_typedef] = ACTIONS(5077),
    [anon_sym_extern] = ACTIONS(5077),
    [anon_sym___attribute__] = ACTIONS(5077),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5079),
    [anon_sym___declspec] = ACTIONS(5077),
    [anon_sym___based] = ACTIONS(5077),
    [anon_sym_signed] = ACTIONS(5077),
    [anon_sym_unsigned] = ACTIONS(5077),
    [anon_sym_long] = ACTIONS(5077),
    [anon_sym_short] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [anon_sym_static] = ACTIONS(5077),
    [anon_sym_register] = ACTIONS(5077),
    [anon_sym_inline] = ACTIONS(5077),
    [anon_sym___inline] = ACTIONS(5077),
    [anon_sym___inline__] = ACTIONS(5077),
    [anon_sym___forceinline] = ACTIONS(5077),
    [anon_sym_thread_local] = ACTIONS(5077),
    [anon_sym___thread] = ACTIONS(5077),
    [anon_sym_const] = ACTIONS(5077),
    [anon_sym_constexpr] = ACTIONS(5077),
    [anon_sym_volatile] = ACTIONS(5077),
    [anon_sym_restrict] = ACTIONS(5077),
    [anon_sym___restrict__] = ACTIONS(5077),
    [anon_sym__Atomic] = ACTIONS(5077),
    [anon_sym__Noreturn] = ACTIONS(5077),
    [anon_sym_noreturn] = ACTIONS(5077),
    [anon_sym_mutable] = ACTIONS(5077),
    [anon_sym_constinit] = ACTIONS(5077),
    [anon_sym_consteval] = ACTIONS(5077),
    [anon_sym_alignas] = ACTIONS(5077),
    [anon_sym__Alignas] = ACTIONS(5077),
    [sym_primitive_type] = ACTIONS(5077),
    [anon_sym_enum] = ACTIONS(5077),
    [anon_sym_class] = ACTIONS(5077),
    [anon_sym_struct] = ACTIONS(5077),
    [anon_sym_union] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5077),
    [anon_sym_decltype] = ACTIONS(5077),
    [sym_virtual] = ACTIONS(5077),
    [anon_sym_explicit] = ACTIONS(5077),
    [anon_sym_typename] = ACTIONS(5077),
    [anon_sym_template] = ACTIONS(5077),
    [anon_sym_operator] = ACTIONS(5077),
    [anon_sym_friend] = ACTIONS(5077),
    [anon_sym_public] = ACTIONS(5077),
    [anon_sym_private] = ACTIONS(5077),
    [anon_sym_protected] = ACTIONS(5077),
    [anon_sym_using] = ACTIONS(5077),
    [anon_sym_static_assert] = ACTIONS(5077),
  },
  [1953] = {
    [sym_identifier] = ACTIONS(5081),
    [aux_sym_preproc_def_token1] = ACTIONS(5081),
    [aux_sym_preproc_if_token1] = ACTIONS(5081),
    [aux_sym_preproc_if_token2] = ACTIONS(5081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5081),
    [sym_preproc_directive] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5083),
    [anon_sym_TILDE] = ACTIONS(5083),
    [anon_sym_STAR] = ACTIONS(5083),
    [anon_sym_AMP_AMP] = ACTIONS(5083),
    [anon_sym_AMP] = ACTIONS(5081),
    [anon_sym___extension__] = ACTIONS(5081),
    [anon_sym_typedef] = ACTIONS(5081),
    [anon_sym_extern] = ACTIONS(5081),
    [anon_sym___attribute__] = ACTIONS(5081),
    [anon_sym_COLON_COLON] = ACTIONS(5083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5083),
    [anon_sym___declspec] = ACTIONS(5081),
    [anon_sym___based] = ACTIONS(5081),
    [anon_sym_signed] = ACTIONS(5081),
    [anon_sym_unsigned] = ACTIONS(5081),
    [anon_sym_long] = ACTIONS(5081),
    [anon_sym_short] = ACTIONS(5081),
    [anon_sym_LBRACK] = ACTIONS(5081),
    [anon_sym_static] = ACTIONS(5081),
    [anon_sym_register] = ACTIONS(5081),
    [anon_sym_inline] = ACTIONS(5081),
    [anon_sym___inline] = ACTIONS(5081),
    [anon_sym___inline__] = ACTIONS(5081),
    [anon_sym___forceinline] = ACTIONS(5081),
    [anon_sym_thread_local] = ACTIONS(5081),
    [anon_sym___thread] = ACTIONS(5081),
    [anon_sym_const] = ACTIONS(5081),
    [anon_sym_constexpr] = ACTIONS(5081),
    [anon_sym_volatile] = ACTIONS(5081),
    [anon_sym_restrict] = ACTIONS(5081),
    [anon_sym___restrict__] = ACTIONS(5081),
    [anon_sym__Atomic] = ACTIONS(5081),
    [anon_sym__Noreturn] = ACTIONS(5081),
    [anon_sym_noreturn] = ACTIONS(5081),
    [anon_sym_mutable] = ACTIONS(5081),
    [anon_sym_constinit] = ACTIONS(5081),
    [anon_sym_consteval] = ACTIONS(5081),
    [anon_sym_alignas] = ACTIONS(5081),
    [anon_sym__Alignas] = ACTIONS(5081),
    [sym_primitive_type] = ACTIONS(5081),
    [anon_sym_enum] = ACTIONS(5081),
    [anon_sym_class] = ACTIONS(5081),
    [anon_sym_struct] = ACTIONS(5081),
    [anon_sym_union] = ACTIONS(5081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5081),
    [anon_sym_decltype] = ACTIONS(5081),
    [sym_virtual] = ACTIONS(5081),
    [anon_sym_explicit] = ACTIONS(5081),
    [anon_sym_typename] = ACTIONS(5081),
    [anon_sym_template] = ACTIONS(5081),
    [anon_sym_operator] = ACTIONS(5081),
    [anon_sym_friend] = ACTIONS(5081),
    [anon_sym_public] = ACTIONS(5081),
    [anon_sym_private] = ACTIONS(5081),
    [anon_sym_protected] = ACTIONS(5081),
    [anon_sym_using] = ACTIONS(5081),
    [anon_sym_static_assert] = ACTIONS(5081),
  },
  [1954] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym_RBRACE] = ACTIONS(2698),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [sym_virtual] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_friend] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
  },
  [1955] = {
    [sym_template_argument_list] = STATE(2204),
    [sym_identifier] = ACTIONS(4508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4501),
    [anon_sym_COMMA] = ACTIONS(4501),
    [anon_sym_RPAREN] = ACTIONS(4501),
    [aux_sym_preproc_if_token2] = ACTIONS(4501),
    [aux_sym_preproc_else_token1] = ACTIONS(4501),
    [aux_sym_preproc_elif_token1] = ACTIONS(4508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4501),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4501),
    [anon_sym_LPAREN2] = ACTIONS(4501),
    [anon_sym_DASH] = ACTIONS(4508),
    [anon_sym_PLUS] = ACTIONS(4508),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4508),
    [anon_sym_PERCENT] = ACTIONS(4508),
    [anon_sym_PIPE_PIPE] = ACTIONS(4501),
    [anon_sym_AMP_AMP] = ACTIONS(4501),
    [anon_sym_PIPE] = ACTIONS(4508),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4508),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_GT] = ACTIONS(4508),
    [anon_sym_GT_EQ] = ACTIONS(4501),
    [anon_sym_LT_EQ] = ACTIONS(4508),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_LT_LT] = ACTIONS(4508),
    [anon_sym_GT_GT] = ACTIONS(4508),
    [anon_sym_SEMI] = ACTIONS(4501),
    [anon_sym___attribute__] = ACTIONS(4508),
    [anon_sym_COLON_COLON] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(4506),
    [anon_sym_RBRACE] = ACTIONS(4501),
    [anon_sym_LBRACK] = ACTIONS(4501),
    [anon_sym_RBRACK] = ACTIONS(4501),
    [anon_sym_EQ] = ACTIONS(4508),
    [anon_sym_COLON] = ACTIONS(4508),
    [anon_sym_QMARK] = ACTIONS(4501),
    [anon_sym_STAR_EQ] = ACTIONS(4501),
    [anon_sym_SLASH_EQ] = ACTIONS(4501),
    [anon_sym_PERCENT_EQ] = ACTIONS(4501),
    [anon_sym_PLUS_EQ] = ACTIONS(4501),
    [anon_sym_DASH_EQ] = ACTIONS(4501),
    [anon_sym_LT_LT_EQ] = ACTIONS(4501),
    [anon_sym_GT_GT_EQ] = ACTIONS(4501),
    [anon_sym_AMP_EQ] = ACTIONS(4501),
    [anon_sym_CARET_EQ] = ACTIONS(4501),
    [anon_sym_PIPE_EQ] = ACTIONS(4501),
    [anon_sym_and_eq] = ACTIONS(4508),
    [anon_sym_or_eq] = ACTIONS(4508),
    [anon_sym_xor_eq] = ACTIONS(4508),
    [anon_sym_LT_EQ_GT] = ACTIONS(4501),
    [anon_sym_or] = ACTIONS(4508),
    [anon_sym_and] = ACTIONS(4508),
    [anon_sym_bitor] = ACTIONS(4508),
    [anon_sym_xor] = ACTIONS(4508),
    [anon_sym_bitand] = ACTIONS(4508),
    [anon_sym_not_eq] = ACTIONS(4508),
    [anon_sym_DASH_DASH] = ACTIONS(4501),
    [anon_sym_PLUS_PLUS] = ACTIONS(4501),
    [anon_sym_DOT] = ACTIONS(4508),
    [anon_sym_DOT_STAR] = ACTIONS(4501),
    [anon_sym_DASH_GT] = ACTIONS(4501),
    [sym_comment] = ACTIONS(3),
  },
  [1956] = {
    [sym_identifier] = ACTIONS(2656),
    [aux_sym_preproc_def_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2656),
    [sym_preproc_directive] = ACTIONS(2656),
    [anon_sym_LPAREN2] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_AMP_AMP] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2656),
    [anon_sym_typedef] = ACTIONS(2656),
    [anon_sym_extern] = ACTIONS(2656),
    [anon_sym___attribute__] = ACTIONS(2656),
    [anon_sym_COLON_COLON] = ACTIONS(2658),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2658),
    [anon_sym___declspec] = ACTIONS(2656),
    [anon_sym___based] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2656),
    [anon_sym_unsigned] = ACTIONS(2656),
    [anon_sym_long] = ACTIONS(2656),
    [anon_sym_short] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_register] = ACTIONS(2656),
    [anon_sym_inline] = ACTIONS(2656),
    [anon_sym___inline] = ACTIONS(2656),
    [anon_sym___inline__] = ACTIONS(2656),
    [anon_sym___forceinline] = ACTIONS(2656),
    [anon_sym_thread_local] = ACTIONS(2656),
    [anon_sym___thread] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_constexpr] = ACTIONS(2656),
    [anon_sym_volatile] = ACTIONS(2656),
    [anon_sym_restrict] = ACTIONS(2656),
    [anon_sym___restrict__] = ACTIONS(2656),
    [anon_sym__Atomic] = ACTIONS(2656),
    [anon_sym__Noreturn] = ACTIONS(2656),
    [anon_sym_noreturn] = ACTIONS(2656),
    [anon_sym_mutable] = ACTIONS(2656),
    [anon_sym_constinit] = ACTIONS(2656),
    [anon_sym_consteval] = ACTIONS(2656),
    [anon_sym_alignas] = ACTIONS(2656),
    [anon_sym__Alignas] = ACTIONS(2656),
    [sym_primitive_type] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_struct] = ACTIONS(2656),
    [anon_sym_union] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2656),
    [anon_sym_decltype] = ACTIONS(2656),
    [sym_virtual] = ACTIONS(2656),
    [anon_sym_explicit] = ACTIONS(2656),
    [anon_sym_typename] = ACTIONS(2656),
    [anon_sym_template] = ACTIONS(2656),
    [anon_sym_operator] = ACTIONS(2656),
    [anon_sym_friend] = ACTIONS(2656),
    [anon_sym_public] = ACTIONS(2656),
    [anon_sym_private] = ACTIONS(2656),
    [anon_sym_protected] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_static_assert] = ACTIONS(2656),
  },
  [1957] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(5305),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5303),
    [anon_sym_COMMA] = ACTIONS(5303),
    [aux_sym_preproc_if_token2] = ACTIONS(5303),
    [aux_sym_preproc_else_token1] = ACTIONS(5303),
    [aux_sym_preproc_elif_token1] = ACTIONS(5305),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5303),
    [anon_sym_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5305),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_SLASH] = ACTIONS(5305),
    [anon_sym_PERCENT] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5303),
    [anon_sym_AMP_AMP] = ACTIONS(5303),
    [anon_sym_PIPE] = ACTIONS(5305),
    [anon_sym_CARET] = ACTIONS(5305),
    [anon_sym_AMP] = ACTIONS(5305),
    [anon_sym_EQ_EQ] = ACTIONS(5303),
    [anon_sym_BANG_EQ] = ACTIONS(5303),
    [anon_sym_GT] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5303),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5305),
    [anon_sym_LT_LT] = ACTIONS(5305),
    [anon_sym_GT_GT] = ACTIONS(5305),
    [anon_sym___attribute__] = ACTIONS(5305),
    [anon_sym_LBRACE] = ACTIONS(5303),
    [anon_sym_signed] = ACTIONS(5523),
    [anon_sym_unsigned] = ACTIONS(5523),
    [anon_sym_long] = ACTIONS(5523),
    [anon_sym_short] = ACTIONS(5523),
    [anon_sym_LBRACK] = ACTIONS(5303),
    [anon_sym_EQ] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5303),
    [anon_sym_STAR_EQ] = ACTIONS(5303),
    [anon_sym_SLASH_EQ] = ACTIONS(5303),
    [anon_sym_PERCENT_EQ] = ACTIONS(5303),
    [anon_sym_PLUS_EQ] = ACTIONS(5303),
    [anon_sym_DASH_EQ] = ACTIONS(5303),
    [anon_sym_LT_LT_EQ] = ACTIONS(5303),
    [anon_sym_GT_GT_EQ] = ACTIONS(5303),
    [anon_sym_AMP_EQ] = ACTIONS(5303),
    [anon_sym_CARET_EQ] = ACTIONS(5303),
    [anon_sym_PIPE_EQ] = ACTIONS(5303),
    [anon_sym_and_eq] = ACTIONS(5305),
    [anon_sym_or_eq] = ACTIONS(5305),
    [anon_sym_xor_eq] = ACTIONS(5305),
    [anon_sym_LT_EQ_GT] = ACTIONS(5303),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_bitor] = ACTIONS(5305),
    [anon_sym_xor] = ACTIONS(5305),
    [anon_sym_bitand] = ACTIONS(5305),
    [anon_sym_not_eq] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5303),
    [anon_sym_PLUS_PLUS] = ACTIONS(5303),
    [anon_sym_DOT] = ACTIONS(5305),
    [anon_sym_DOT_STAR] = ACTIONS(5303),
    [anon_sym_DASH_GT] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5305),
    [anon_sym_decltype] = ACTIONS(5305),
  },
  [1958] = {
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym_RBRACE] = ACTIONS(2750),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [sym_virtual] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_friend] = ACTIONS(2748),
    [anon_sym_public] = ACTIONS(2748),
    [anon_sym_private] = ACTIONS(2748),
    [anon_sym_protected] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
  },
  [1959] = {
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym_RBRACE] = ACTIONS(2646),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_friend] = ACTIONS(2644),
    [anon_sym_public] = ACTIONS(2644),
    [anon_sym_private] = ACTIONS(2644),
    [anon_sym_protected] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
  },
  [1960] = {
    [sym_identifier] = ACTIONS(4985),
    [aux_sym_preproc_def_token1] = ACTIONS(4985),
    [aux_sym_preproc_if_token1] = ACTIONS(4985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4985),
    [sym_preproc_directive] = ACTIONS(4985),
    [anon_sym_LPAREN2] = ACTIONS(4987),
    [anon_sym_TILDE] = ACTIONS(4987),
    [anon_sym_STAR] = ACTIONS(4987),
    [anon_sym_AMP_AMP] = ACTIONS(4987),
    [anon_sym_AMP] = ACTIONS(4985),
    [anon_sym___extension__] = ACTIONS(4985),
    [anon_sym_typedef] = ACTIONS(4985),
    [anon_sym_extern] = ACTIONS(4985),
    [anon_sym___attribute__] = ACTIONS(4985),
    [anon_sym_COLON_COLON] = ACTIONS(4987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4987),
    [anon_sym___declspec] = ACTIONS(4985),
    [anon_sym___based] = ACTIONS(4985),
    [anon_sym_RBRACE] = ACTIONS(4987),
    [anon_sym_signed] = ACTIONS(4985),
    [anon_sym_unsigned] = ACTIONS(4985),
    [anon_sym_long] = ACTIONS(4985),
    [anon_sym_short] = ACTIONS(4985),
    [anon_sym_LBRACK] = ACTIONS(4985),
    [anon_sym_static] = ACTIONS(4985),
    [anon_sym_register] = ACTIONS(4985),
    [anon_sym_inline] = ACTIONS(4985),
    [anon_sym___inline] = ACTIONS(4985),
    [anon_sym___inline__] = ACTIONS(4985),
    [anon_sym___forceinline] = ACTIONS(4985),
    [anon_sym_thread_local] = ACTIONS(4985),
    [anon_sym___thread] = ACTIONS(4985),
    [anon_sym_const] = ACTIONS(4985),
    [anon_sym_constexpr] = ACTIONS(4985),
    [anon_sym_volatile] = ACTIONS(4985),
    [anon_sym_restrict] = ACTIONS(4985),
    [anon_sym___restrict__] = ACTIONS(4985),
    [anon_sym__Atomic] = ACTIONS(4985),
    [anon_sym__Noreturn] = ACTIONS(4985),
    [anon_sym_noreturn] = ACTIONS(4985),
    [anon_sym_mutable] = ACTIONS(4985),
    [anon_sym_constinit] = ACTIONS(4985),
    [anon_sym_consteval] = ACTIONS(4985),
    [anon_sym_alignas] = ACTIONS(4985),
    [anon_sym__Alignas] = ACTIONS(4985),
    [sym_primitive_type] = ACTIONS(4985),
    [anon_sym_enum] = ACTIONS(4985),
    [anon_sym_class] = ACTIONS(4985),
    [anon_sym_struct] = ACTIONS(4985),
    [anon_sym_union] = ACTIONS(4985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4985),
    [anon_sym_decltype] = ACTIONS(4985),
    [sym_virtual] = ACTIONS(4985),
    [anon_sym_explicit] = ACTIONS(4985),
    [anon_sym_typename] = ACTIONS(4985),
    [anon_sym_template] = ACTIONS(4985),
    [anon_sym_operator] = ACTIONS(4985),
    [anon_sym_friend] = ACTIONS(4985),
    [anon_sym_public] = ACTIONS(4985),
    [anon_sym_private] = ACTIONS(4985),
    [anon_sym_protected] = ACTIONS(4985),
    [anon_sym_using] = ACTIONS(4985),
    [anon_sym_static_assert] = ACTIONS(4985),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_friend] = ACTIONS(2755),
    [anon_sym_public] = ACTIONS(2755),
    [anon_sym_private] = ACTIONS(2755),
    [anon_sym_protected] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(2771),
    [aux_sym_preproc_def_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2771),
    [sym_preproc_directive] = ACTIONS(2771),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2771),
    [anon_sym_typedef] = ACTIONS(2771),
    [anon_sym_extern] = ACTIONS(2771),
    [anon_sym___attribute__] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2773),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2773),
    [anon_sym___declspec] = ACTIONS(2771),
    [anon_sym___based] = ACTIONS(2771),
    [anon_sym_RBRACE] = ACTIONS(2773),
    [anon_sym_signed] = ACTIONS(2771),
    [anon_sym_unsigned] = ACTIONS(2771),
    [anon_sym_long] = ACTIONS(2771),
    [anon_sym_short] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2771),
    [anon_sym_register] = ACTIONS(2771),
    [anon_sym_inline] = ACTIONS(2771),
    [anon_sym___inline] = ACTIONS(2771),
    [anon_sym___inline__] = ACTIONS(2771),
    [anon_sym___forceinline] = ACTIONS(2771),
    [anon_sym_thread_local] = ACTIONS(2771),
    [anon_sym___thread] = ACTIONS(2771),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_constexpr] = ACTIONS(2771),
    [anon_sym_volatile] = ACTIONS(2771),
    [anon_sym_restrict] = ACTIONS(2771),
    [anon_sym___restrict__] = ACTIONS(2771),
    [anon_sym__Atomic] = ACTIONS(2771),
    [anon_sym__Noreturn] = ACTIONS(2771),
    [anon_sym_noreturn] = ACTIONS(2771),
    [anon_sym_mutable] = ACTIONS(2771),
    [anon_sym_constinit] = ACTIONS(2771),
    [anon_sym_consteval] = ACTIONS(2771),
    [anon_sym_alignas] = ACTIONS(2771),
    [anon_sym__Alignas] = ACTIONS(2771),
    [sym_primitive_type] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2771),
    [anon_sym_struct] = ACTIONS(2771),
    [anon_sym_union] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2771),
    [anon_sym_decltype] = ACTIONS(2771),
    [sym_virtual] = ACTIONS(2771),
    [anon_sym_explicit] = ACTIONS(2771),
    [anon_sym_typename] = ACTIONS(2771),
    [anon_sym_template] = ACTIONS(2771),
    [anon_sym_operator] = ACTIONS(2771),
    [anon_sym_friend] = ACTIONS(2771),
    [anon_sym_public] = ACTIONS(2771),
    [anon_sym_private] = ACTIONS(2771),
    [anon_sym_protected] = ACTIONS(2771),
    [anon_sym_using] = ACTIONS(2771),
    [anon_sym_static_assert] = ACTIONS(2771),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_friend] = ACTIONS(2755),
    [anon_sym_public] = ACTIONS(2755),
    [anon_sym_private] = ACTIONS(2755),
    [anon_sym_protected] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
  },
  [1964] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym_RBRACE] = ACTIONS(2810),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_friend] = ACTIONS(2808),
    [anon_sym_public] = ACTIONS(2808),
    [anon_sym_private] = ACTIONS(2808),
    [anon_sym_protected] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
  },
  [1965] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(5356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5354),
    [aux_sym_preproc_if_token2] = ACTIONS(5354),
    [aux_sym_preproc_else_token1] = ACTIONS(5354),
    [aux_sym_preproc_elif_token1] = ACTIONS(5356),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5354),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(5354),
    [anon_sym_DASH] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5356),
    [anon_sym_STAR] = ACTIONS(5356),
    [anon_sym_SLASH] = ACTIONS(5356),
    [anon_sym_PERCENT] = ACTIONS(5356),
    [anon_sym_PIPE_PIPE] = ACTIONS(5354),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_PIPE] = ACTIONS(5356),
    [anon_sym_CARET] = ACTIONS(5356),
    [anon_sym_AMP] = ACTIONS(5356),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5356),
    [anon_sym_GT_EQ] = ACTIONS(5354),
    [anon_sym_LT_EQ] = ACTIONS(5356),
    [anon_sym_LT] = ACTIONS(5356),
    [anon_sym_LT_LT] = ACTIONS(5356),
    [anon_sym_GT_GT] = ACTIONS(5356),
    [anon_sym___attribute__] = ACTIONS(5356),
    [anon_sym_LBRACE] = ACTIONS(5354),
    [anon_sym_signed] = ACTIONS(5523),
    [anon_sym_unsigned] = ACTIONS(5523),
    [anon_sym_long] = ACTIONS(5523),
    [anon_sym_short] = ACTIONS(5523),
    [anon_sym_LBRACK] = ACTIONS(5354),
    [anon_sym_EQ] = ACTIONS(5356),
    [anon_sym_QMARK] = ACTIONS(5354),
    [anon_sym_STAR_EQ] = ACTIONS(5354),
    [anon_sym_SLASH_EQ] = ACTIONS(5354),
    [anon_sym_PERCENT_EQ] = ACTIONS(5354),
    [anon_sym_PLUS_EQ] = ACTIONS(5354),
    [anon_sym_DASH_EQ] = ACTIONS(5354),
    [anon_sym_LT_LT_EQ] = ACTIONS(5354),
    [anon_sym_GT_GT_EQ] = ACTIONS(5354),
    [anon_sym_AMP_EQ] = ACTIONS(5354),
    [anon_sym_CARET_EQ] = ACTIONS(5354),
    [anon_sym_PIPE_EQ] = ACTIONS(5354),
    [anon_sym_and_eq] = ACTIONS(5356),
    [anon_sym_or_eq] = ACTIONS(5356),
    [anon_sym_xor_eq] = ACTIONS(5356),
    [anon_sym_LT_EQ_GT] = ACTIONS(5354),
    [anon_sym_or] = ACTIONS(5356),
    [anon_sym_and] = ACTIONS(5356),
    [anon_sym_bitor] = ACTIONS(5356),
    [anon_sym_xor] = ACTIONS(5356),
    [anon_sym_bitand] = ACTIONS(5356),
    [anon_sym_not_eq] = ACTIONS(5356),
    [anon_sym_DASH_DASH] = ACTIONS(5354),
    [anon_sym_PLUS_PLUS] = ACTIONS(5354),
    [anon_sym_DOT] = ACTIONS(5356),
    [anon_sym_DOT_STAR] = ACTIONS(5354),
    [anon_sym_DASH_GT] = ACTIONS(5354),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5356),
    [anon_sym_decltype] = ACTIONS(5356),
  },
  [1966] = {
    [sym_attribute_declaration] = STATE(1966),
    [aux_sym_attributed_declarator_repeat1] = STATE(1966),
    [sym_identifier] = ACTIONS(5525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5527),
    [anon_sym_COMMA] = ACTIONS(5527),
    [anon_sym_RPAREN] = ACTIONS(5527),
    [aux_sym_preproc_if_token2] = ACTIONS(5527),
    [aux_sym_preproc_else_token1] = ACTIONS(5527),
    [aux_sym_preproc_elif_token1] = ACTIONS(5525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5527),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5527),
    [anon_sym_LPAREN2] = ACTIONS(5527),
    [anon_sym_DASH] = ACTIONS(5525),
    [anon_sym_PLUS] = ACTIONS(5525),
    [anon_sym_STAR] = ACTIONS(5525),
    [anon_sym_SLASH] = ACTIONS(5525),
    [anon_sym_PERCENT] = ACTIONS(5525),
    [anon_sym_PIPE_PIPE] = ACTIONS(5527),
    [anon_sym_AMP_AMP] = ACTIONS(5527),
    [anon_sym_PIPE] = ACTIONS(5525),
    [anon_sym_CARET] = ACTIONS(5525),
    [anon_sym_AMP] = ACTIONS(5525),
    [anon_sym_EQ_EQ] = ACTIONS(5527),
    [anon_sym_BANG_EQ] = ACTIONS(5527),
    [anon_sym_GT] = ACTIONS(5525),
    [anon_sym_GT_EQ] = ACTIONS(5527),
    [anon_sym_LT_EQ] = ACTIONS(5525),
    [anon_sym_LT] = ACTIONS(5525),
    [anon_sym_LT_LT] = ACTIONS(5525),
    [anon_sym_GT_GT] = ACTIONS(5525),
    [anon_sym_SEMI] = ACTIONS(5527),
    [anon_sym___attribute__] = ACTIONS(5525),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5529),
    [anon_sym_RBRACE] = ACTIONS(5527),
    [anon_sym_LBRACK] = ACTIONS(5525),
    [anon_sym_RBRACK] = ACTIONS(5527),
    [anon_sym_EQ] = ACTIONS(5525),
    [anon_sym_COLON] = ACTIONS(5527),
    [anon_sym_QMARK] = ACTIONS(5527),
    [anon_sym_STAR_EQ] = ACTIONS(5527),
    [anon_sym_SLASH_EQ] = ACTIONS(5527),
    [anon_sym_PERCENT_EQ] = ACTIONS(5527),
    [anon_sym_PLUS_EQ] = ACTIONS(5527),
    [anon_sym_DASH_EQ] = ACTIONS(5527),
    [anon_sym_LT_LT_EQ] = ACTIONS(5527),
    [anon_sym_GT_GT_EQ] = ACTIONS(5527),
    [anon_sym_AMP_EQ] = ACTIONS(5527),
    [anon_sym_CARET_EQ] = ACTIONS(5527),
    [anon_sym_PIPE_EQ] = ACTIONS(5527),
    [anon_sym_and_eq] = ACTIONS(5525),
    [anon_sym_or_eq] = ACTIONS(5525),
    [anon_sym_xor_eq] = ACTIONS(5525),
    [anon_sym_LT_EQ_GT] = ACTIONS(5527),
    [anon_sym_or] = ACTIONS(5525),
    [anon_sym_and] = ACTIONS(5525),
    [anon_sym_bitor] = ACTIONS(5525),
    [anon_sym_xor] = ACTIONS(5525),
    [anon_sym_bitand] = ACTIONS(5525),
    [anon_sym_not_eq] = ACTIONS(5525),
    [anon_sym_DASH_DASH] = ACTIONS(5527),
    [anon_sym_PLUS_PLUS] = ACTIONS(5527),
    [anon_sym_DOT] = ACTIONS(5525),
    [anon_sym_DOT_STAR] = ACTIONS(5527),
    [anon_sym_DASH_GT] = ACTIONS(5527),
    [sym_comment] = ACTIONS(3),
  },
  [1967] = {
    [sym_identifier] = ACTIONS(2763),
    [aux_sym_preproc_def_token1] = ACTIONS(2763),
    [aux_sym_preproc_if_token1] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2763),
    [sym_preproc_directive] = ACTIONS(2763),
    [anon_sym_LPAREN2] = ACTIONS(2765),
    [anon_sym_TILDE] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym___extension__] = ACTIONS(2763),
    [anon_sym_typedef] = ACTIONS(2763),
    [anon_sym_extern] = ACTIONS(2763),
    [anon_sym___attribute__] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2765),
    [anon_sym___declspec] = ACTIONS(2763),
    [anon_sym___based] = ACTIONS(2763),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_signed] = ACTIONS(2763),
    [anon_sym_unsigned] = ACTIONS(2763),
    [anon_sym_long] = ACTIONS(2763),
    [anon_sym_short] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(2763),
    [anon_sym_static] = ACTIONS(2763),
    [anon_sym_register] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym___inline] = ACTIONS(2763),
    [anon_sym___inline__] = ACTIONS(2763),
    [anon_sym___forceinline] = ACTIONS(2763),
    [anon_sym_thread_local] = ACTIONS(2763),
    [anon_sym___thread] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_constexpr] = ACTIONS(2763),
    [anon_sym_volatile] = ACTIONS(2763),
    [anon_sym_restrict] = ACTIONS(2763),
    [anon_sym___restrict__] = ACTIONS(2763),
    [anon_sym__Atomic] = ACTIONS(2763),
    [anon_sym__Noreturn] = ACTIONS(2763),
    [anon_sym_noreturn] = ACTIONS(2763),
    [anon_sym_mutable] = ACTIONS(2763),
    [anon_sym_constinit] = ACTIONS(2763),
    [anon_sym_consteval] = ACTIONS(2763),
    [anon_sym_alignas] = ACTIONS(2763),
    [anon_sym__Alignas] = ACTIONS(2763),
    [sym_primitive_type] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_class] = ACTIONS(2763),
    [anon_sym_struct] = ACTIONS(2763),
    [anon_sym_union] = ACTIONS(2763),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2763),
    [anon_sym_decltype] = ACTIONS(2763),
    [sym_virtual] = ACTIONS(2763),
    [anon_sym_explicit] = ACTIONS(2763),
    [anon_sym_typename] = ACTIONS(2763),
    [anon_sym_template] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_friend] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_using] = ACTIONS(2763),
    [anon_sym_static_assert] = ACTIONS(2763),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(5532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5534),
    [anon_sym_COMMA] = ACTIONS(5534),
    [anon_sym_RPAREN] = ACTIONS(5534),
    [aux_sym_preproc_if_token2] = ACTIONS(5534),
    [aux_sym_preproc_else_token1] = ACTIONS(5534),
    [aux_sym_preproc_elif_token1] = ACTIONS(5532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [anon_sym_DASH] = ACTIONS(5532),
    [anon_sym_PLUS] = ACTIONS(5532),
    [anon_sym_STAR] = ACTIONS(5532),
    [anon_sym_SLASH] = ACTIONS(5532),
    [anon_sym_PERCENT] = ACTIONS(5532),
    [anon_sym_PIPE_PIPE] = ACTIONS(5534),
    [anon_sym_AMP_AMP] = ACTIONS(5534),
    [anon_sym_PIPE] = ACTIONS(5532),
    [anon_sym_CARET] = ACTIONS(5532),
    [anon_sym_AMP] = ACTIONS(5532),
    [anon_sym_EQ_EQ] = ACTIONS(5534),
    [anon_sym_BANG_EQ] = ACTIONS(5534),
    [anon_sym_GT] = ACTIONS(5532),
    [anon_sym_GT_EQ] = ACTIONS(5534),
    [anon_sym_LT_EQ] = ACTIONS(5532),
    [anon_sym_LT] = ACTIONS(5532),
    [anon_sym_LT_LT] = ACTIONS(5532),
    [anon_sym_GT_GT] = ACTIONS(5532),
    [anon_sym_SEMI] = ACTIONS(5534),
    [anon_sym___attribute__] = ACTIONS(5532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5534),
    [anon_sym_LBRACE] = ACTIONS(5534),
    [anon_sym_RBRACE] = ACTIONS(5534),
    [anon_sym_LBRACK] = ACTIONS(5532),
    [anon_sym_RBRACK] = ACTIONS(5534),
    [anon_sym_EQ] = ACTIONS(5532),
    [anon_sym_COLON] = ACTIONS(5534),
    [anon_sym_QMARK] = ACTIONS(5534),
    [anon_sym_STAR_EQ] = ACTIONS(5534),
    [anon_sym_SLASH_EQ] = ACTIONS(5534),
    [anon_sym_PERCENT_EQ] = ACTIONS(5534),
    [anon_sym_PLUS_EQ] = ACTIONS(5534),
    [anon_sym_DASH_EQ] = ACTIONS(5534),
    [anon_sym_LT_LT_EQ] = ACTIONS(5534),
    [anon_sym_GT_GT_EQ] = ACTIONS(5534),
    [anon_sym_AMP_EQ] = ACTIONS(5534),
    [anon_sym_CARET_EQ] = ACTIONS(5534),
    [anon_sym_PIPE_EQ] = ACTIONS(5534),
    [anon_sym_and_eq] = ACTIONS(5532),
    [anon_sym_or_eq] = ACTIONS(5532),
    [anon_sym_xor_eq] = ACTIONS(5532),
    [anon_sym_LT_EQ_GT] = ACTIONS(5534),
    [anon_sym_or] = ACTIONS(5532),
    [anon_sym_and] = ACTIONS(5532),
    [anon_sym_bitor] = ACTIONS(5532),
    [anon_sym_xor] = ACTIONS(5532),
    [anon_sym_bitand] = ACTIONS(5532),
    [anon_sym_not_eq] = ACTIONS(5532),
    [anon_sym_DASH_DASH] = ACTIONS(5534),
    [anon_sym_PLUS_PLUS] = ACTIONS(5534),
    [anon_sym_DOT] = ACTIONS(5532),
    [anon_sym_DOT_STAR] = ACTIONS(5534),
    [anon_sym_DASH_GT] = ACTIONS(5534),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5532),
  },
  [1969] = {
    [sym_identifier] = ACTIONS(5536),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5538),
    [anon_sym_COMMA] = ACTIONS(5538),
    [anon_sym_RPAREN] = ACTIONS(5538),
    [aux_sym_preproc_if_token2] = ACTIONS(5538),
    [aux_sym_preproc_else_token1] = ACTIONS(5538),
    [aux_sym_preproc_elif_token1] = ACTIONS(5536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5538),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5538),
    [anon_sym_LPAREN2] = ACTIONS(5538),
    [anon_sym_DASH] = ACTIONS(5536),
    [anon_sym_PLUS] = ACTIONS(5536),
    [anon_sym_STAR] = ACTIONS(5536),
    [anon_sym_SLASH] = ACTIONS(5536),
    [anon_sym_PERCENT] = ACTIONS(5536),
    [anon_sym_PIPE_PIPE] = ACTIONS(5538),
    [anon_sym_AMP_AMP] = ACTIONS(5538),
    [anon_sym_PIPE] = ACTIONS(5536),
    [anon_sym_CARET] = ACTIONS(5536),
    [anon_sym_AMP] = ACTIONS(5536),
    [anon_sym_EQ_EQ] = ACTIONS(5538),
    [anon_sym_BANG_EQ] = ACTIONS(5538),
    [anon_sym_GT] = ACTIONS(5536),
    [anon_sym_GT_EQ] = ACTIONS(5538),
    [anon_sym_LT_EQ] = ACTIONS(5536),
    [anon_sym_LT] = ACTIONS(5536),
    [anon_sym_LT_LT] = ACTIONS(5536),
    [anon_sym_GT_GT] = ACTIONS(5536),
    [anon_sym_SEMI] = ACTIONS(5538),
    [anon_sym___attribute__] = ACTIONS(5536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5538),
    [anon_sym_LBRACE] = ACTIONS(5538),
    [anon_sym_RBRACE] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5536),
    [anon_sym_RBRACK] = ACTIONS(5538),
    [anon_sym_EQ] = ACTIONS(5536),
    [anon_sym_COLON] = ACTIONS(5538),
    [anon_sym_QMARK] = ACTIONS(5538),
    [anon_sym_STAR_EQ] = ACTIONS(5538),
    [anon_sym_SLASH_EQ] = ACTIONS(5538),
    [anon_sym_PERCENT_EQ] = ACTIONS(5538),
    [anon_sym_PLUS_EQ] = ACTIONS(5538),
    [anon_sym_DASH_EQ] = ACTIONS(5538),
    [anon_sym_LT_LT_EQ] = ACTIONS(5538),
    [anon_sym_GT_GT_EQ] = ACTIONS(5538),
    [anon_sym_AMP_EQ] = ACTIONS(5538),
    [anon_sym_CARET_EQ] = ACTIONS(5538),
    [anon_sym_PIPE_EQ] = ACTIONS(5538),
    [anon_sym_and_eq] = ACTIONS(5536),
    [anon_sym_or_eq] = ACTIONS(5536),
    [anon_sym_xor_eq] = ACTIONS(5536),
    [anon_sym_LT_EQ_GT] = ACTIONS(5538),
    [anon_sym_or] = ACTIONS(5536),
    [anon_sym_and] = ACTIONS(5536),
    [anon_sym_bitor] = ACTIONS(5536),
    [anon_sym_xor] = ACTIONS(5536),
    [anon_sym_bitand] = ACTIONS(5536),
    [anon_sym_not_eq] = ACTIONS(5536),
    [anon_sym_DASH_DASH] = ACTIONS(5538),
    [anon_sym_PLUS_PLUS] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5536),
    [anon_sym_DOT_STAR] = ACTIONS(5538),
    [anon_sym_DASH_GT] = ACTIONS(5538),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5536),
  },
  [1970] = {
    [sym_identifier] = ACTIONS(5216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5218),
    [anon_sym_COMMA] = ACTIONS(5218),
    [anon_sym_RPAREN] = ACTIONS(5218),
    [aux_sym_preproc_if_token2] = ACTIONS(5218),
    [aux_sym_preproc_else_token1] = ACTIONS(5218),
    [aux_sym_preproc_elif_token1] = ACTIONS(5216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5218),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5218),
    [anon_sym_LPAREN2] = ACTIONS(5218),
    [anon_sym_DASH] = ACTIONS(5216),
    [anon_sym_PLUS] = ACTIONS(5216),
    [anon_sym_STAR] = ACTIONS(5216),
    [anon_sym_SLASH] = ACTIONS(5216),
    [anon_sym_PERCENT] = ACTIONS(5216),
    [anon_sym_PIPE_PIPE] = ACTIONS(5218),
    [anon_sym_AMP_AMP] = ACTIONS(5218),
    [anon_sym_PIPE] = ACTIONS(5216),
    [anon_sym_CARET] = ACTIONS(5216),
    [anon_sym_AMP] = ACTIONS(5216),
    [anon_sym_EQ_EQ] = ACTIONS(5218),
    [anon_sym_BANG_EQ] = ACTIONS(5218),
    [anon_sym_GT] = ACTIONS(5216),
    [anon_sym_GT_EQ] = ACTIONS(5218),
    [anon_sym_LT_EQ] = ACTIONS(5216),
    [anon_sym_LT] = ACTIONS(5216),
    [anon_sym_LT_LT] = ACTIONS(5216),
    [anon_sym_GT_GT] = ACTIONS(5216),
    [anon_sym_SEMI] = ACTIONS(5218),
    [anon_sym___attribute__] = ACTIONS(5216),
    [anon_sym_LBRACE] = ACTIONS(5218),
    [anon_sym_RBRACE] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(5218),
    [anon_sym_RBRACK] = ACTIONS(5218),
    [anon_sym_EQ] = ACTIONS(5216),
    [anon_sym_COLON] = ACTIONS(5218),
    [anon_sym_QMARK] = ACTIONS(5218),
    [anon_sym_STAR_EQ] = ACTIONS(5218),
    [anon_sym_SLASH_EQ] = ACTIONS(5218),
    [anon_sym_PERCENT_EQ] = ACTIONS(5218),
    [anon_sym_PLUS_EQ] = ACTIONS(5218),
    [anon_sym_DASH_EQ] = ACTIONS(5218),
    [anon_sym_LT_LT_EQ] = ACTIONS(5218),
    [anon_sym_GT_GT_EQ] = ACTIONS(5218),
    [anon_sym_AMP_EQ] = ACTIONS(5218),
    [anon_sym_CARET_EQ] = ACTIONS(5218),
    [anon_sym_PIPE_EQ] = ACTIONS(5218),
    [anon_sym_and_eq] = ACTIONS(5216),
    [anon_sym_or_eq] = ACTIONS(5216),
    [anon_sym_xor_eq] = ACTIONS(5216),
    [anon_sym_LT_EQ_GT] = ACTIONS(5218),
    [anon_sym_or] = ACTIONS(5216),
    [anon_sym_and] = ACTIONS(5216),
    [anon_sym_bitor] = ACTIONS(5216),
    [anon_sym_xor] = ACTIONS(5216),
    [anon_sym_bitand] = ACTIONS(5216),
    [anon_sym_not_eq] = ACTIONS(5216),
    [anon_sym_DASH_DASH] = ACTIONS(5218),
    [anon_sym_PLUS_PLUS] = ACTIONS(5218),
    [anon_sym_DOT] = ACTIONS(5216),
    [anon_sym_DOT_STAR] = ACTIONS(5218),
    [anon_sym_DASH_GT] = ACTIONS(5218),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5216),
    [anon_sym_decltype] = ACTIONS(5216),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(5220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5222),
    [anon_sym_COMMA] = ACTIONS(5222),
    [anon_sym_RPAREN] = ACTIONS(5222),
    [aux_sym_preproc_if_token2] = ACTIONS(5222),
    [aux_sym_preproc_else_token1] = ACTIONS(5222),
    [aux_sym_preproc_elif_token1] = ACTIONS(5220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5222),
    [anon_sym_DASH] = ACTIONS(5220),
    [anon_sym_PLUS] = ACTIONS(5220),
    [anon_sym_STAR] = ACTIONS(5220),
    [anon_sym_SLASH] = ACTIONS(5220),
    [anon_sym_PERCENT] = ACTIONS(5220),
    [anon_sym_PIPE_PIPE] = ACTIONS(5222),
    [anon_sym_AMP_AMP] = ACTIONS(5222),
    [anon_sym_PIPE] = ACTIONS(5220),
    [anon_sym_CARET] = ACTIONS(5220),
    [anon_sym_AMP] = ACTIONS(5220),
    [anon_sym_EQ_EQ] = ACTIONS(5222),
    [anon_sym_BANG_EQ] = ACTIONS(5222),
    [anon_sym_GT] = ACTIONS(5220),
    [anon_sym_GT_EQ] = ACTIONS(5222),
    [anon_sym_LT_EQ] = ACTIONS(5220),
    [anon_sym_LT] = ACTIONS(5220),
    [anon_sym_LT_LT] = ACTIONS(5220),
    [anon_sym_GT_GT] = ACTIONS(5220),
    [anon_sym_SEMI] = ACTIONS(5222),
    [anon_sym___attribute__] = ACTIONS(5220),
    [anon_sym_LBRACE] = ACTIONS(5222),
    [anon_sym_RBRACE] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5222),
    [anon_sym_RBRACK] = ACTIONS(5222),
    [anon_sym_EQ] = ACTIONS(5220),
    [anon_sym_COLON] = ACTIONS(5222),
    [anon_sym_QMARK] = ACTIONS(5222),
    [anon_sym_STAR_EQ] = ACTIONS(5222),
    [anon_sym_SLASH_EQ] = ACTIONS(5222),
    [anon_sym_PERCENT_EQ] = ACTIONS(5222),
    [anon_sym_PLUS_EQ] = ACTIONS(5222),
    [anon_sym_DASH_EQ] = ACTIONS(5222),
    [anon_sym_LT_LT_EQ] = ACTIONS(5222),
    [anon_sym_GT_GT_EQ] = ACTIONS(5222),
    [anon_sym_AMP_EQ] = ACTIONS(5222),
    [anon_sym_CARET_EQ] = ACTIONS(5222),
    [anon_sym_PIPE_EQ] = ACTIONS(5222),
    [anon_sym_and_eq] = ACTIONS(5220),
    [anon_sym_or_eq] = ACTIONS(5220),
    [anon_sym_xor_eq] = ACTIONS(5220),
    [anon_sym_LT_EQ_GT] = ACTIONS(5222),
    [anon_sym_or] = ACTIONS(5220),
    [anon_sym_and] = ACTIONS(5220),
    [anon_sym_bitor] = ACTIONS(5220),
    [anon_sym_xor] = ACTIONS(5220),
    [anon_sym_bitand] = ACTIONS(5220),
    [anon_sym_not_eq] = ACTIONS(5220),
    [anon_sym_DASH_DASH] = ACTIONS(5222),
    [anon_sym_PLUS_PLUS] = ACTIONS(5222),
    [anon_sym_DOT] = ACTIONS(5220),
    [anon_sym_DOT_STAR] = ACTIONS(5222),
    [anon_sym_DASH_GT] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5220),
    [anon_sym_decltype] = ACTIONS(5220),
  },
  [1972] = {
    [sym_identifier] = ACTIONS(2728),
    [aux_sym_preproc_def_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2728),
    [anon_sym_typedef] = ACTIONS(2728),
    [anon_sym_extern] = ACTIONS(2728),
    [anon_sym___attribute__] = ACTIONS(2728),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2730),
    [anon_sym___declspec] = ACTIONS(2728),
    [anon_sym___based] = ACTIONS(2728),
    [anon_sym_RBRACE] = ACTIONS(2730),
    [anon_sym_signed] = ACTIONS(2728),
    [anon_sym_unsigned] = ACTIONS(2728),
    [anon_sym_long] = ACTIONS(2728),
    [anon_sym_short] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_register] = ACTIONS(2728),
    [anon_sym_inline] = ACTIONS(2728),
    [anon_sym___inline] = ACTIONS(2728),
    [anon_sym___inline__] = ACTIONS(2728),
    [anon_sym___forceinline] = ACTIONS(2728),
    [anon_sym_thread_local] = ACTIONS(2728),
    [anon_sym___thread] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_constexpr] = ACTIONS(2728),
    [anon_sym_volatile] = ACTIONS(2728),
    [anon_sym_restrict] = ACTIONS(2728),
    [anon_sym___restrict__] = ACTIONS(2728),
    [anon_sym__Atomic] = ACTIONS(2728),
    [anon_sym__Noreturn] = ACTIONS(2728),
    [anon_sym_noreturn] = ACTIONS(2728),
    [anon_sym_mutable] = ACTIONS(2728),
    [anon_sym_constinit] = ACTIONS(2728),
    [anon_sym_consteval] = ACTIONS(2728),
    [anon_sym_alignas] = ACTIONS(2728),
    [anon_sym__Alignas] = ACTIONS(2728),
    [sym_primitive_type] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_struct] = ACTIONS(2728),
    [anon_sym_union] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2728),
    [anon_sym_decltype] = ACTIONS(2728),
    [sym_virtual] = ACTIONS(2728),
    [anon_sym_explicit] = ACTIONS(2728),
    [anon_sym_typename] = ACTIONS(2728),
    [anon_sym_template] = ACTIONS(2728),
    [anon_sym_operator] = ACTIONS(2728),
    [anon_sym_friend] = ACTIONS(2728),
    [anon_sym_public] = ACTIONS(2728),
    [anon_sym_private] = ACTIONS(2728),
    [anon_sym_protected] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_static_assert] = ACTIONS(2728),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(5224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5226),
    [anon_sym_COMMA] = ACTIONS(5226),
    [anon_sym_RPAREN] = ACTIONS(5226),
    [aux_sym_preproc_if_token2] = ACTIONS(5226),
    [aux_sym_preproc_else_token1] = ACTIONS(5226),
    [aux_sym_preproc_elif_token1] = ACTIONS(5224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5226),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5226),
    [anon_sym_LPAREN2] = ACTIONS(5226),
    [anon_sym_DASH] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5224),
    [anon_sym_STAR] = ACTIONS(5224),
    [anon_sym_SLASH] = ACTIONS(5224),
    [anon_sym_PERCENT] = ACTIONS(5224),
    [anon_sym_PIPE_PIPE] = ACTIONS(5226),
    [anon_sym_AMP_AMP] = ACTIONS(5226),
    [anon_sym_PIPE] = ACTIONS(5224),
    [anon_sym_CARET] = ACTIONS(5224),
    [anon_sym_AMP] = ACTIONS(5224),
    [anon_sym_EQ_EQ] = ACTIONS(5226),
    [anon_sym_BANG_EQ] = ACTIONS(5226),
    [anon_sym_GT] = ACTIONS(5224),
    [anon_sym_GT_EQ] = ACTIONS(5226),
    [anon_sym_LT_EQ] = ACTIONS(5224),
    [anon_sym_LT] = ACTIONS(5224),
    [anon_sym_LT_LT] = ACTIONS(5224),
    [anon_sym_GT_GT] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [anon_sym___attribute__] = ACTIONS(5224),
    [anon_sym_LBRACE] = ACTIONS(5226),
    [anon_sym_RBRACE] = ACTIONS(5226),
    [anon_sym_LBRACK] = ACTIONS(5226),
    [anon_sym_RBRACK] = ACTIONS(5226),
    [anon_sym_EQ] = ACTIONS(5224),
    [anon_sym_COLON] = ACTIONS(5226),
    [anon_sym_QMARK] = ACTIONS(5226),
    [anon_sym_STAR_EQ] = ACTIONS(5226),
    [anon_sym_SLASH_EQ] = ACTIONS(5226),
    [anon_sym_PERCENT_EQ] = ACTIONS(5226),
    [anon_sym_PLUS_EQ] = ACTIONS(5226),
    [anon_sym_DASH_EQ] = ACTIONS(5226),
    [anon_sym_LT_LT_EQ] = ACTIONS(5226),
    [anon_sym_GT_GT_EQ] = ACTIONS(5226),
    [anon_sym_AMP_EQ] = ACTIONS(5226),
    [anon_sym_CARET_EQ] = ACTIONS(5226),
    [anon_sym_PIPE_EQ] = ACTIONS(5226),
    [anon_sym_and_eq] = ACTIONS(5224),
    [anon_sym_or_eq] = ACTIONS(5224),
    [anon_sym_xor_eq] = ACTIONS(5224),
    [anon_sym_LT_EQ_GT] = ACTIONS(5226),
    [anon_sym_or] = ACTIONS(5224),
    [anon_sym_and] = ACTIONS(5224),
    [anon_sym_bitor] = ACTIONS(5224),
    [anon_sym_xor] = ACTIONS(5224),
    [anon_sym_bitand] = ACTIONS(5224),
    [anon_sym_not_eq] = ACTIONS(5224),
    [anon_sym_DASH_DASH] = ACTIONS(5226),
    [anon_sym_PLUS_PLUS] = ACTIONS(5226),
    [anon_sym_DOT] = ACTIONS(5224),
    [anon_sym_DOT_STAR] = ACTIONS(5226),
    [anon_sym_DASH_GT] = ACTIONS(5226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5224),
    [anon_sym_decltype] = ACTIONS(5224),
  },
  [1974] = {
    [sym_identifier] = ACTIONS(2526),
    [aux_sym_preproc_def_token1] = ACTIONS(2526),
    [aux_sym_preproc_if_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2526),
    [sym_preproc_directive] = ACTIONS(2526),
    [anon_sym_LPAREN2] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2526),
    [anon_sym_typedef] = ACTIONS(2526),
    [anon_sym_extern] = ACTIONS(2526),
    [anon_sym___attribute__] = ACTIONS(2526),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2528),
    [anon_sym___declspec] = ACTIONS(2526),
    [anon_sym___based] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2526),
    [anon_sym_unsigned] = ACTIONS(2526),
    [anon_sym_long] = ACTIONS(2526),
    [anon_sym_short] = ACTIONS(2526),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2526),
    [anon_sym_register] = ACTIONS(2526),
    [anon_sym_inline] = ACTIONS(2526),
    [anon_sym___inline] = ACTIONS(2526),
    [anon_sym___inline__] = ACTIONS(2526),
    [anon_sym___forceinline] = ACTIONS(2526),
    [anon_sym_thread_local] = ACTIONS(2526),
    [anon_sym___thread] = ACTIONS(2526),
    [anon_sym_const] = ACTIONS(2526),
    [anon_sym_constexpr] = ACTIONS(2526),
    [anon_sym_volatile] = ACTIONS(2526),
    [anon_sym_restrict] = ACTIONS(2526),
    [anon_sym___restrict__] = ACTIONS(2526),
    [anon_sym__Atomic] = ACTIONS(2526),
    [anon_sym__Noreturn] = ACTIONS(2526),
    [anon_sym_noreturn] = ACTIONS(2526),
    [anon_sym_mutable] = ACTIONS(2526),
    [anon_sym_constinit] = ACTIONS(2526),
    [anon_sym_consteval] = ACTIONS(2526),
    [anon_sym_alignas] = ACTIONS(2526),
    [anon_sym__Alignas] = ACTIONS(2526),
    [sym_primitive_type] = ACTIONS(2526),
    [anon_sym_enum] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2526),
    [anon_sym_struct] = ACTIONS(2526),
    [anon_sym_union] = ACTIONS(2526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2526),
    [anon_sym_decltype] = ACTIONS(2526),
    [sym_virtual] = ACTIONS(2526),
    [anon_sym_explicit] = ACTIONS(2526),
    [anon_sym_typename] = ACTIONS(2526),
    [anon_sym_template] = ACTIONS(2526),
    [anon_sym_operator] = ACTIONS(2526),
    [anon_sym_friend] = ACTIONS(2526),
    [anon_sym_public] = ACTIONS(2526),
    [anon_sym_private] = ACTIONS(2526),
    [anon_sym_protected] = ACTIONS(2526),
    [anon_sym_using] = ACTIONS(2526),
    [anon_sym_static_assert] = ACTIONS(2526),
  },
  [1975] = {
    [sym_identifier] = ACTIONS(2620),
    [aux_sym_preproc_def_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2620),
    [sym_preproc_directive] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym___based] = ACTIONS(2620),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_explicit] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_operator] = ACTIONS(2620),
    [anon_sym_friend] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(2620),
    [anon_sym_static_assert] = ACTIONS(2620),
  },
  [1976] = {
    [sym_identifier] = ACTIONS(5021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5023),
    [anon_sym_COMMA] = ACTIONS(5023),
    [anon_sym_RPAREN] = ACTIONS(5023),
    [aux_sym_preproc_if_token2] = ACTIONS(5023),
    [aux_sym_preproc_else_token1] = ACTIONS(5023),
    [aux_sym_preproc_elif_token1] = ACTIONS(5021),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5023),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5023),
    [anon_sym_LPAREN2] = ACTIONS(5023),
    [anon_sym_DASH] = ACTIONS(5021),
    [anon_sym_PLUS] = ACTIONS(5021),
    [anon_sym_STAR] = ACTIONS(5021),
    [anon_sym_SLASH] = ACTIONS(5021),
    [anon_sym_PERCENT] = ACTIONS(5021),
    [anon_sym_PIPE_PIPE] = ACTIONS(5023),
    [anon_sym_AMP_AMP] = ACTIONS(5023),
    [anon_sym_PIPE] = ACTIONS(5021),
    [anon_sym_CARET] = ACTIONS(5021),
    [anon_sym_AMP] = ACTIONS(5021),
    [anon_sym_EQ_EQ] = ACTIONS(5023),
    [anon_sym_BANG_EQ] = ACTIONS(5023),
    [anon_sym_GT] = ACTIONS(5021),
    [anon_sym_GT_EQ] = ACTIONS(5023),
    [anon_sym_LT_EQ] = ACTIONS(5021),
    [anon_sym_LT] = ACTIONS(5021),
    [anon_sym_LT_LT] = ACTIONS(5021),
    [anon_sym_GT_GT] = ACTIONS(5021),
    [anon_sym_SEMI] = ACTIONS(5023),
    [anon_sym___attribute__] = ACTIONS(5021),
    [anon_sym_LBRACE] = ACTIONS(5023),
    [anon_sym_RBRACE] = ACTIONS(5023),
    [anon_sym_LBRACK] = ACTIONS(5023),
    [anon_sym_RBRACK] = ACTIONS(5023),
    [anon_sym_EQ] = ACTIONS(5021),
    [anon_sym_COLON] = ACTIONS(5023),
    [anon_sym_QMARK] = ACTIONS(5023),
    [anon_sym_STAR_EQ] = ACTIONS(5023),
    [anon_sym_SLASH_EQ] = ACTIONS(5023),
    [anon_sym_PERCENT_EQ] = ACTIONS(5023),
    [anon_sym_PLUS_EQ] = ACTIONS(5023),
    [anon_sym_DASH_EQ] = ACTIONS(5023),
    [anon_sym_LT_LT_EQ] = ACTIONS(5023),
    [anon_sym_GT_GT_EQ] = ACTIONS(5023),
    [anon_sym_AMP_EQ] = ACTIONS(5023),
    [anon_sym_CARET_EQ] = ACTIONS(5023),
    [anon_sym_PIPE_EQ] = ACTIONS(5023),
    [anon_sym_and_eq] = ACTIONS(5021),
    [anon_sym_or_eq] = ACTIONS(5021),
    [anon_sym_xor_eq] = ACTIONS(5021),
    [anon_sym_LT_EQ_GT] = ACTIONS(5023),
    [anon_sym_or] = ACTIONS(5021),
    [anon_sym_and] = ACTIONS(5021),
    [anon_sym_bitor] = ACTIONS(5021),
    [anon_sym_xor] = ACTIONS(5021),
    [anon_sym_bitand] = ACTIONS(5021),
    [anon_sym_not_eq] = ACTIONS(5021),
    [anon_sym_DASH_DASH] = ACTIONS(5023),
    [anon_sym_PLUS_PLUS] = ACTIONS(5023),
    [anon_sym_DOT] = ACTIONS(5021),
    [anon_sym_DOT_STAR] = ACTIONS(5023),
    [anon_sym_DASH_GT] = ACTIONS(5023),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5021),
    [anon_sym_decltype] = ACTIONS(5021),
  },
  [1977] = {
    [sym_identifier] = ACTIONS(5540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5542),
    [anon_sym_COMMA] = ACTIONS(5542),
    [anon_sym_RPAREN] = ACTIONS(5542),
    [aux_sym_preproc_if_token2] = ACTIONS(5542),
    [aux_sym_preproc_else_token1] = ACTIONS(5542),
    [aux_sym_preproc_elif_token1] = ACTIONS(5540),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [anon_sym_DASH] = ACTIONS(5540),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_STAR] = ACTIONS(5540),
    [anon_sym_SLASH] = ACTIONS(5540),
    [anon_sym_PERCENT] = ACTIONS(5540),
    [anon_sym_PIPE_PIPE] = ACTIONS(5542),
    [anon_sym_AMP_AMP] = ACTIONS(5542),
    [anon_sym_PIPE] = ACTIONS(5540),
    [anon_sym_CARET] = ACTIONS(5540),
    [anon_sym_AMP] = ACTIONS(5540),
    [anon_sym_EQ_EQ] = ACTIONS(5542),
    [anon_sym_BANG_EQ] = ACTIONS(5542),
    [anon_sym_GT] = ACTIONS(5540),
    [anon_sym_GT_EQ] = ACTIONS(5542),
    [anon_sym_LT_EQ] = ACTIONS(5540),
    [anon_sym_LT] = ACTIONS(5540),
    [anon_sym_LT_LT] = ACTIONS(5540),
    [anon_sym_GT_GT] = ACTIONS(5540),
    [anon_sym_SEMI] = ACTIONS(5542),
    [anon_sym___attribute__] = ACTIONS(5540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5542),
    [anon_sym_LBRACE] = ACTIONS(5542),
    [anon_sym_RBRACE] = ACTIONS(5542),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_RBRACK] = ACTIONS(5542),
    [anon_sym_EQ] = ACTIONS(5540),
    [anon_sym_COLON] = ACTIONS(5542),
    [anon_sym_QMARK] = ACTIONS(5542),
    [anon_sym_STAR_EQ] = ACTIONS(5542),
    [anon_sym_SLASH_EQ] = ACTIONS(5542),
    [anon_sym_PERCENT_EQ] = ACTIONS(5542),
    [anon_sym_PLUS_EQ] = ACTIONS(5542),
    [anon_sym_DASH_EQ] = ACTIONS(5542),
    [anon_sym_LT_LT_EQ] = ACTIONS(5542),
    [anon_sym_GT_GT_EQ] = ACTIONS(5542),
    [anon_sym_AMP_EQ] = ACTIONS(5542),
    [anon_sym_CARET_EQ] = ACTIONS(5542),
    [anon_sym_PIPE_EQ] = ACTIONS(5542),
    [anon_sym_and_eq] = ACTIONS(5540),
    [anon_sym_or_eq] = ACTIONS(5540),
    [anon_sym_xor_eq] = ACTIONS(5540),
    [anon_sym_LT_EQ_GT] = ACTIONS(5542),
    [anon_sym_or] = ACTIONS(5540),
    [anon_sym_and] = ACTIONS(5540),
    [anon_sym_bitor] = ACTIONS(5540),
    [anon_sym_xor] = ACTIONS(5540),
    [anon_sym_bitand] = ACTIONS(5540),
    [anon_sym_not_eq] = ACTIONS(5540),
    [anon_sym_DASH_DASH] = ACTIONS(5542),
    [anon_sym_PLUS_PLUS] = ACTIONS(5542),
    [anon_sym_DOT] = ACTIONS(5540),
    [anon_sym_DOT_STAR] = ACTIONS(5542),
    [anon_sym_DASH_GT] = ACTIONS(5542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5540),
  },
  [1978] = {
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5230),
    [anon_sym_COMMA] = ACTIONS(5230),
    [anon_sym_RPAREN] = ACTIONS(5230),
    [aux_sym_preproc_if_token2] = ACTIONS(5230),
    [aux_sym_preproc_else_token1] = ACTIONS(5230),
    [aux_sym_preproc_elif_token1] = ACTIONS(5228),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5230),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5230),
    [anon_sym_LPAREN2] = ACTIONS(5230),
    [anon_sym_DASH] = ACTIONS(5228),
    [anon_sym_PLUS] = ACTIONS(5228),
    [anon_sym_STAR] = ACTIONS(5228),
    [anon_sym_SLASH] = ACTIONS(5228),
    [anon_sym_PERCENT] = ACTIONS(5228),
    [anon_sym_PIPE_PIPE] = ACTIONS(5230),
    [anon_sym_AMP_AMP] = ACTIONS(5230),
    [anon_sym_PIPE] = ACTIONS(5228),
    [anon_sym_CARET] = ACTIONS(5228),
    [anon_sym_AMP] = ACTIONS(5228),
    [anon_sym_EQ_EQ] = ACTIONS(5230),
    [anon_sym_BANG_EQ] = ACTIONS(5230),
    [anon_sym_GT] = ACTIONS(5228),
    [anon_sym_GT_EQ] = ACTIONS(5230),
    [anon_sym_LT_EQ] = ACTIONS(5228),
    [anon_sym_LT] = ACTIONS(5228),
    [anon_sym_LT_LT] = ACTIONS(5228),
    [anon_sym_GT_GT] = ACTIONS(5228),
    [anon_sym_SEMI] = ACTIONS(5230),
    [anon_sym___attribute__] = ACTIONS(5228),
    [anon_sym_LBRACE] = ACTIONS(5230),
    [anon_sym_RBRACE] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_RBRACK] = ACTIONS(5230),
    [anon_sym_EQ] = ACTIONS(5228),
    [anon_sym_COLON] = ACTIONS(5230),
    [anon_sym_QMARK] = ACTIONS(5230),
    [anon_sym_STAR_EQ] = ACTIONS(5230),
    [anon_sym_SLASH_EQ] = ACTIONS(5230),
    [anon_sym_PERCENT_EQ] = ACTIONS(5230),
    [anon_sym_PLUS_EQ] = ACTIONS(5230),
    [anon_sym_DASH_EQ] = ACTIONS(5230),
    [anon_sym_LT_LT_EQ] = ACTIONS(5230),
    [anon_sym_GT_GT_EQ] = ACTIONS(5230),
    [anon_sym_AMP_EQ] = ACTIONS(5230),
    [anon_sym_CARET_EQ] = ACTIONS(5230),
    [anon_sym_PIPE_EQ] = ACTIONS(5230),
    [anon_sym_and_eq] = ACTIONS(5228),
    [anon_sym_or_eq] = ACTIONS(5228),
    [anon_sym_xor_eq] = ACTIONS(5228),
    [anon_sym_LT_EQ_GT] = ACTIONS(5230),
    [anon_sym_or] = ACTIONS(5228),
    [anon_sym_and] = ACTIONS(5228),
    [anon_sym_bitor] = ACTIONS(5228),
    [anon_sym_xor] = ACTIONS(5228),
    [anon_sym_bitand] = ACTIONS(5228),
    [anon_sym_not_eq] = ACTIONS(5228),
    [anon_sym_DASH_DASH] = ACTIONS(5230),
    [anon_sym_PLUS_PLUS] = ACTIONS(5230),
    [anon_sym_DOT] = ACTIONS(5228),
    [anon_sym_DOT_STAR] = ACTIONS(5230),
    [anon_sym_DASH_GT] = ACTIONS(5230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5228),
    [anon_sym_decltype] = ACTIONS(5228),
  },
  [1979] = {
    [sym_identifier] = ACTIONS(5025),
    [aux_sym_preproc_def_token1] = ACTIONS(5025),
    [aux_sym_preproc_if_token1] = ACTIONS(5025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5025),
    [sym_preproc_directive] = ACTIONS(5025),
    [anon_sym_LPAREN2] = ACTIONS(5027),
    [anon_sym_TILDE] = ACTIONS(5027),
    [anon_sym_STAR] = ACTIONS(5027),
    [anon_sym_AMP_AMP] = ACTIONS(5027),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym___extension__] = ACTIONS(5025),
    [anon_sym_typedef] = ACTIONS(5025),
    [anon_sym_extern] = ACTIONS(5025),
    [anon_sym___attribute__] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(5027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5027),
    [anon_sym___declspec] = ACTIONS(5025),
    [anon_sym___based] = ACTIONS(5025),
    [anon_sym_RBRACE] = ACTIONS(5027),
    [anon_sym_signed] = ACTIONS(5025),
    [anon_sym_unsigned] = ACTIONS(5025),
    [anon_sym_long] = ACTIONS(5025),
    [anon_sym_short] = ACTIONS(5025),
    [anon_sym_LBRACK] = ACTIONS(5025),
    [anon_sym_static] = ACTIONS(5025),
    [anon_sym_register] = ACTIONS(5025),
    [anon_sym_inline] = ACTIONS(5025),
    [anon_sym___inline] = ACTIONS(5025),
    [anon_sym___inline__] = ACTIONS(5025),
    [anon_sym___forceinline] = ACTIONS(5025),
    [anon_sym_thread_local] = ACTIONS(5025),
    [anon_sym___thread] = ACTIONS(5025),
    [anon_sym_const] = ACTIONS(5025),
    [anon_sym_constexpr] = ACTIONS(5025),
    [anon_sym_volatile] = ACTIONS(5025),
    [anon_sym_restrict] = ACTIONS(5025),
    [anon_sym___restrict__] = ACTIONS(5025),
    [anon_sym__Atomic] = ACTIONS(5025),
    [anon_sym__Noreturn] = ACTIONS(5025),
    [anon_sym_noreturn] = ACTIONS(5025),
    [anon_sym_mutable] = ACTIONS(5025),
    [anon_sym_constinit] = ACTIONS(5025),
    [anon_sym_consteval] = ACTIONS(5025),
    [anon_sym_alignas] = ACTIONS(5025),
    [anon_sym__Alignas] = ACTIONS(5025),
    [sym_primitive_type] = ACTIONS(5025),
    [anon_sym_enum] = ACTIONS(5025),
    [anon_sym_class] = ACTIONS(5025),
    [anon_sym_struct] = ACTIONS(5025),
    [anon_sym_union] = ACTIONS(5025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5025),
    [anon_sym_decltype] = ACTIONS(5025),
    [sym_virtual] = ACTIONS(5025),
    [anon_sym_explicit] = ACTIONS(5025),
    [anon_sym_typename] = ACTIONS(5025),
    [anon_sym_template] = ACTIONS(5025),
    [anon_sym_operator] = ACTIONS(5025),
    [anon_sym_friend] = ACTIONS(5025),
    [anon_sym_public] = ACTIONS(5025),
    [anon_sym_private] = ACTIONS(5025),
    [anon_sym_protected] = ACTIONS(5025),
    [anon_sym_using] = ACTIONS(5025),
    [anon_sym_static_assert] = ACTIONS(5025),
  },
  [1980] = {
    [sym_identifier] = ACTIONS(5049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5051),
    [anon_sym_COMMA] = ACTIONS(5051),
    [anon_sym_RPAREN] = ACTIONS(5051),
    [aux_sym_preproc_if_token2] = ACTIONS(5051),
    [aux_sym_preproc_else_token1] = ACTIONS(5051),
    [aux_sym_preproc_elif_token1] = ACTIONS(5049),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5051),
    [anon_sym_DASH] = ACTIONS(5049),
    [anon_sym_PLUS] = ACTIONS(5049),
    [anon_sym_STAR] = ACTIONS(5049),
    [anon_sym_SLASH] = ACTIONS(5049),
    [anon_sym_PERCENT] = ACTIONS(5049),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5051),
    [anon_sym_PIPE] = ACTIONS(5049),
    [anon_sym_CARET] = ACTIONS(5049),
    [anon_sym_AMP] = ACTIONS(5049),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5049),
    [anon_sym_GT_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ] = ACTIONS(5049),
    [anon_sym_LT] = ACTIONS(5049),
    [anon_sym_LT_LT] = ACTIONS(5049),
    [anon_sym_GT_GT] = ACTIONS(5049),
    [anon_sym_SEMI] = ACTIONS(5051),
    [anon_sym___attribute__] = ACTIONS(5049),
    [anon_sym_LBRACE] = ACTIONS(5051),
    [anon_sym_RBRACE] = ACTIONS(5051),
    [anon_sym_LBRACK] = ACTIONS(5051),
    [anon_sym_RBRACK] = ACTIONS(5051),
    [anon_sym_EQ] = ACTIONS(5049),
    [anon_sym_COLON] = ACTIONS(5051),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_STAR_EQ] = ACTIONS(5051),
    [anon_sym_SLASH_EQ] = ACTIONS(5051),
    [anon_sym_PERCENT_EQ] = ACTIONS(5051),
    [anon_sym_PLUS_EQ] = ACTIONS(5051),
    [anon_sym_DASH_EQ] = ACTIONS(5051),
    [anon_sym_LT_LT_EQ] = ACTIONS(5051),
    [anon_sym_GT_GT_EQ] = ACTIONS(5051),
    [anon_sym_AMP_EQ] = ACTIONS(5051),
    [anon_sym_CARET_EQ] = ACTIONS(5051),
    [anon_sym_PIPE_EQ] = ACTIONS(5051),
    [anon_sym_and_eq] = ACTIONS(5049),
    [anon_sym_or_eq] = ACTIONS(5049),
    [anon_sym_xor_eq] = ACTIONS(5049),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5049),
    [anon_sym_and] = ACTIONS(5049),
    [anon_sym_bitor] = ACTIONS(5049),
    [anon_sym_xor] = ACTIONS(5049),
    [anon_sym_bitand] = ACTIONS(5049),
    [anon_sym_not_eq] = ACTIONS(5049),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5049),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5049),
    [anon_sym_decltype] = ACTIONS(5049),
  },
  [1981] = {
    [sym_identifier] = ACTIONS(5029),
    [aux_sym_preproc_def_token1] = ACTIONS(5029),
    [aux_sym_preproc_if_token1] = ACTIONS(5029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5029),
    [sym_preproc_directive] = ACTIONS(5029),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_TILDE] = ACTIONS(5031),
    [anon_sym_STAR] = ACTIONS(5031),
    [anon_sym_AMP_AMP] = ACTIONS(5031),
    [anon_sym_AMP] = ACTIONS(5029),
    [anon_sym___extension__] = ACTIONS(5029),
    [anon_sym_typedef] = ACTIONS(5029),
    [anon_sym_extern] = ACTIONS(5029),
    [anon_sym___attribute__] = ACTIONS(5029),
    [anon_sym_COLON_COLON] = ACTIONS(5031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5031),
    [anon_sym___declspec] = ACTIONS(5029),
    [anon_sym___based] = ACTIONS(5029),
    [anon_sym_RBRACE] = ACTIONS(5031),
    [anon_sym_signed] = ACTIONS(5029),
    [anon_sym_unsigned] = ACTIONS(5029),
    [anon_sym_long] = ACTIONS(5029),
    [anon_sym_short] = ACTIONS(5029),
    [anon_sym_LBRACK] = ACTIONS(5029),
    [anon_sym_static] = ACTIONS(5029),
    [anon_sym_register] = ACTIONS(5029),
    [anon_sym_inline] = ACTIONS(5029),
    [anon_sym___inline] = ACTIONS(5029),
    [anon_sym___inline__] = ACTIONS(5029),
    [anon_sym___forceinline] = ACTIONS(5029),
    [anon_sym_thread_local] = ACTIONS(5029),
    [anon_sym___thread] = ACTIONS(5029),
    [anon_sym_const] = ACTIONS(5029),
    [anon_sym_constexpr] = ACTIONS(5029),
    [anon_sym_volatile] = ACTIONS(5029),
    [anon_sym_restrict] = ACTIONS(5029),
    [anon_sym___restrict__] = ACTIONS(5029),
    [anon_sym__Atomic] = ACTIONS(5029),
    [anon_sym__Noreturn] = ACTIONS(5029),
    [anon_sym_noreturn] = ACTIONS(5029),
    [anon_sym_mutable] = ACTIONS(5029),
    [anon_sym_constinit] = ACTIONS(5029),
    [anon_sym_consteval] = ACTIONS(5029),
    [anon_sym_alignas] = ACTIONS(5029),
    [anon_sym__Alignas] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(5029),
    [anon_sym_enum] = ACTIONS(5029),
    [anon_sym_class] = ACTIONS(5029),
    [anon_sym_struct] = ACTIONS(5029),
    [anon_sym_union] = ACTIONS(5029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5029),
    [anon_sym_decltype] = ACTIONS(5029),
    [sym_virtual] = ACTIONS(5029),
    [anon_sym_explicit] = ACTIONS(5029),
    [anon_sym_typename] = ACTIONS(5029),
    [anon_sym_template] = ACTIONS(5029),
    [anon_sym_operator] = ACTIONS(5029),
    [anon_sym_friend] = ACTIONS(5029),
    [anon_sym_public] = ACTIONS(5029),
    [anon_sym_private] = ACTIONS(5029),
    [anon_sym_protected] = ACTIONS(5029),
    [anon_sym_using] = ACTIONS(5029),
    [anon_sym_static_assert] = ACTIONS(5029),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(5033),
    [aux_sym_preproc_def_token1] = ACTIONS(5033),
    [aux_sym_preproc_if_token1] = ACTIONS(5033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5033),
    [sym_preproc_directive] = ACTIONS(5033),
    [anon_sym_LPAREN2] = ACTIONS(5035),
    [anon_sym_TILDE] = ACTIONS(5035),
    [anon_sym_STAR] = ACTIONS(5035),
    [anon_sym_AMP_AMP] = ACTIONS(5035),
    [anon_sym_AMP] = ACTIONS(5033),
    [anon_sym___extension__] = ACTIONS(5033),
    [anon_sym_typedef] = ACTIONS(5033),
    [anon_sym_extern] = ACTIONS(5033),
    [anon_sym___attribute__] = ACTIONS(5033),
    [anon_sym_COLON_COLON] = ACTIONS(5035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5035),
    [anon_sym___declspec] = ACTIONS(5033),
    [anon_sym___based] = ACTIONS(5033),
    [anon_sym_RBRACE] = ACTIONS(5035),
    [anon_sym_signed] = ACTIONS(5033),
    [anon_sym_unsigned] = ACTIONS(5033),
    [anon_sym_long] = ACTIONS(5033),
    [anon_sym_short] = ACTIONS(5033),
    [anon_sym_LBRACK] = ACTIONS(5033),
    [anon_sym_static] = ACTIONS(5033),
    [anon_sym_register] = ACTIONS(5033),
    [anon_sym_inline] = ACTIONS(5033),
    [anon_sym___inline] = ACTIONS(5033),
    [anon_sym___inline__] = ACTIONS(5033),
    [anon_sym___forceinline] = ACTIONS(5033),
    [anon_sym_thread_local] = ACTIONS(5033),
    [anon_sym___thread] = ACTIONS(5033),
    [anon_sym_const] = ACTIONS(5033),
    [anon_sym_constexpr] = ACTIONS(5033),
    [anon_sym_volatile] = ACTIONS(5033),
    [anon_sym_restrict] = ACTIONS(5033),
    [anon_sym___restrict__] = ACTIONS(5033),
    [anon_sym__Atomic] = ACTIONS(5033),
    [anon_sym__Noreturn] = ACTIONS(5033),
    [anon_sym_noreturn] = ACTIONS(5033),
    [anon_sym_mutable] = ACTIONS(5033),
    [anon_sym_constinit] = ACTIONS(5033),
    [anon_sym_consteval] = ACTIONS(5033),
    [anon_sym_alignas] = ACTIONS(5033),
    [anon_sym__Alignas] = ACTIONS(5033),
    [sym_primitive_type] = ACTIONS(5033),
    [anon_sym_enum] = ACTIONS(5033),
    [anon_sym_class] = ACTIONS(5033),
    [anon_sym_struct] = ACTIONS(5033),
    [anon_sym_union] = ACTIONS(5033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5033),
    [anon_sym_decltype] = ACTIONS(5033),
    [sym_virtual] = ACTIONS(5033),
    [anon_sym_explicit] = ACTIONS(5033),
    [anon_sym_typename] = ACTIONS(5033),
    [anon_sym_template] = ACTIONS(5033),
    [anon_sym_operator] = ACTIONS(5033),
    [anon_sym_friend] = ACTIONS(5033),
    [anon_sym_public] = ACTIONS(5033),
    [anon_sym_private] = ACTIONS(5033),
    [anon_sym_protected] = ACTIONS(5033),
    [anon_sym_using] = ACTIONS(5033),
    [anon_sym_static_assert] = ACTIONS(5033),
  },
  [1983] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_friend] = ACTIONS(2816),
    [anon_sym_public] = ACTIONS(2816),
    [anon_sym_private] = ACTIONS(2816),
    [anon_sym_protected] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(2779),
    [aux_sym_preproc_def_token1] = ACTIONS(2779),
    [aux_sym_preproc_if_token1] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2779),
    [sym_preproc_directive] = ACTIONS(2779),
    [anon_sym_LPAREN2] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2781),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym___extension__] = ACTIONS(2779),
    [anon_sym_typedef] = ACTIONS(2779),
    [anon_sym_extern] = ACTIONS(2779),
    [anon_sym___attribute__] = ACTIONS(2779),
    [anon_sym_COLON_COLON] = ACTIONS(2781),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2781),
    [anon_sym___declspec] = ACTIONS(2779),
    [anon_sym___based] = ACTIONS(2779),
    [anon_sym_RBRACE] = ACTIONS(2781),
    [anon_sym_signed] = ACTIONS(2779),
    [anon_sym_unsigned] = ACTIONS(2779),
    [anon_sym_long] = ACTIONS(2779),
    [anon_sym_short] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_static] = ACTIONS(2779),
    [anon_sym_register] = ACTIONS(2779),
    [anon_sym_inline] = ACTIONS(2779),
    [anon_sym___inline] = ACTIONS(2779),
    [anon_sym___inline__] = ACTIONS(2779),
    [anon_sym___forceinline] = ACTIONS(2779),
    [anon_sym_thread_local] = ACTIONS(2779),
    [anon_sym___thread] = ACTIONS(2779),
    [anon_sym_const] = ACTIONS(2779),
    [anon_sym_constexpr] = ACTIONS(2779),
    [anon_sym_volatile] = ACTIONS(2779),
    [anon_sym_restrict] = ACTIONS(2779),
    [anon_sym___restrict__] = ACTIONS(2779),
    [anon_sym__Atomic] = ACTIONS(2779),
    [anon_sym__Noreturn] = ACTIONS(2779),
    [anon_sym_noreturn] = ACTIONS(2779),
    [anon_sym_mutable] = ACTIONS(2779),
    [anon_sym_constinit] = ACTIONS(2779),
    [anon_sym_consteval] = ACTIONS(2779),
    [anon_sym_alignas] = ACTIONS(2779),
    [anon_sym__Alignas] = ACTIONS(2779),
    [sym_primitive_type] = ACTIONS(2779),
    [anon_sym_enum] = ACTIONS(2779),
    [anon_sym_class] = ACTIONS(2779),
    [anon_sym_struct] = ACTIONS(2779),
    [anon_sym_union] = ACTIONS(2779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2779),
    [anon_sym_decltype] = ACTIONS(2779),
    [sym_virtual] = ACTIONS(2779),
    [anon_sym_explicit] = ACTIONS(2779),
    [anon_sym_typename] = ACTIONS(2779),
    [anon_sym_template] = ACTIONS(2779),
    [anon_sym_operator] = ACTIONS(2779),
    [anon_sym_friend] = ACTIONS(2779),
    [anon_sym_public] = ACTIONS(2779),
    [anon_sym_private] = ACTIONS(2779),
    [anon_sym_protected] = ACTIONS(2779),
    [anon_sym_using] = ACTIONS(2779),
    [anon_sym_static_assert] = ACTIONS(2779),
  },
  [1985] = {
    [sym_identifier] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2783),
    [aux_sym_preproc_if_token1] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2783),
    [sym_preproc_directive] = ACTIONS(2783),
    [anon_sym_LPAREN2] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2783),
    [anon_sym_typedef] = ACTIONS(2783),
    [anon_sym_extern] = ACTIONS(2783),
    [anon_sym___attribute__] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2785),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2785),
    [anon_sym___declspec] = ACTIONS(2783),
    [anon_sym___based] = ACTIONS(2783),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_signed] = ACTIONS(2783),
    [anon_sym_unsigned] = ACTIONS(2783),
    [anon_sym_long] = ACTIONS(2783),
    [anon_sym_short] = ACTIONS(2783),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_static] = ACTIONS(2783),
    [anon_sym_register] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2783),
    [anon_sym___inline] = ACTIONS(2783),
    [anon_sym___inline__] = ACTIONS(2783),
    [anon_sym___forceinline] = ACTIONS(2783),
    [anon_sym_thread_local] = ACTIONS(2783),
    [anon_sym___thread] = ACTIONS(2783),
    [anon_sym_const] = ACTIONS(2783),
    [anon_sym_constexpr] = ACTIONS(2783),
    [anon_sym_volatile] = ACTIONS(2783),
    [anon_sym_restrict] = ACTIONS(2783),
    [anon_sym___restrict__] = ACTIONS(2783),
    [anon_sym__Atomic] = ACTIONS(2783),
    [anon_sym__Noreturn] = ACTIONS(2783),
    [anon_sym_noreturn] = ACTIONS(2783),
    [anon_sym_mutable] = ACTIONS(2783),
    [anon_sym_constinit] = ACTIONS(2783),
    [anon_sym_consteval] = ACTIONS(2783),
    [anon_sym_alignas] = ACTIONS(2783),
    [anon_sym__Alignas] = ACTIONS(2783),
    [sym_primitive_type] = ACTIONS(2783),
    [anon_sym_enum] = ACTIONS(2783),
    [anon_sym_class] = ACTIONS(2783),
    [anon_sym_struct] = ACTIONS(2783),
    [anon_sym_union] = ACTIONS(2783),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2783),
    [anon_sym_decltype] = ACTIONS(2783),
    [sym_virtual] = ACTIONS(2783),
    [anon_sym_explicit] = ACTIONS(2783),
    [anon_sym_typename] = ACTIONS(2783),
    [anon_sym_template] = ACTIONS(2783),
    [anon_sym_operator] = ACTIONS(2783),
    [anon_sym_friend] = ACTIONS(2783),
    [anon_sym_public] = ACTIONS(2783),
    [anon_sym_private] = ACTIONS(2783),
    [anon_sym_protected] = ACTIONS(2783),
    [anon_sym_using] = ACTIONS(2783),
    [anon_sym_static_assert] = ACTIONS(2783),
  },
  [1986] = {
    [sym_identifier] = ACTIONS(4910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4912),
    [anon_sym_COMMA] = ACTIONS(4912),
    [anon_sym_RPAREN] = ACTIONS(4912),
    [aux_sym_preproc_if_token2] = ACTIONS(4912),
    [aux_sym_preproc_else_token1] = ACTIONS(4912),
    [aux_sym_preproc_elif_token1] = ACTIONS(4910),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4912),
    [anon_sym_LPAREN2] = ACTIONS(4912),
    [anon_sym_DASH] = ACTIONS(4910),
    [anon_sym_PLUS] = ACTIONS(4910),
    [anon_sym_STAR] = ACTIONS(4910),
    [anon_sym_SLASH] = ACTIONS(4910),
    [anon_sym_PERCENT] = ACTIONS(4910),
    [anon_sym_PIPE_PIPE] = ACTIONS(4912),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_PIPE] = ACTIONS(4910),
    [anon_sym_CARET] = ACTIONS(4910),
    [anon_sym_AMP] = ACTIONS(4910),
    [anon_sym_EQ_EQ] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4912),
    [anon_sym_GT] = ACTIONS(4910),
    [anon_sym_GT_EQ] = ACTIONS(4912),
    [anon_sym_LT_EQ] = ACTIONS(4910),
    [anon_sym_LT] = ACTIONS(4910),
    [anon_sym_LT_LT] = ACTIONS(4910),
    [anon_sym_GT_GT] = ACTIONS(4910),
    [anon_sym_SEMI] = ACTIONS(4912),
    [anon_sym___attribute__] = ACTIONS(4910),
    [anon_sym_LBRACE] = ACTIONS(4912),
    [anon_sym_RBRACE] = ACTIONS(4912),
    [anon_sym_LBRACK] = ACTIONS(4912),
    [anon_sym_RBRACK] = ACTIONS(4912),
    [anon_sym_EQ] = ACTIONS(4910),
    [anon_sym_COLON] = ACTIONS(4912),
    [anon_sym_QMARK] = ACTIONS(4912),
    [anon_sym_STAR_EQ] = ACTIONS(4912),
    [anon_sym_SLASH_EQ] = ACTIONS(4912),
    [anon_sym_PERCENT_EQ] = ACTIONS(4912),
    [anon_sym_PLUS_EQ] = ACTIONS(4912),
    [anon_sym_DASH_EQ] = ACTIONS(4912),
    [anon_sym_LT_LT_EQ] = ACTIONS(4912),
    [anon_sym_GT_GT_EQ] = ACTIONS(4912),
    [anon_sym_AMP_EQ] = ACTIONS(4912),
    [anon_sym_CARET_EQ] = ACTIONS(4912),
    [anon_sym_PIPE_EQ] = ACTIONS(4912),
    [anon_sym_and_eq] = ACTIONS(4910),
    [anon_sym_or_eq] = ACTIONS(4910),
    [anon_sym_xor_eq] = ACTIONS(4910),
    [anon_sym_LT_EQ_GT] = ACTIONS(4912),
    [anon_sym_or] = ACTIONS(4910),
    [anon_sym_and] = ACTIONS(4910),
    [anon_sym_bitor] = ACTIONS(4910),
    [anon_sym_xor] = ACTIONS(4910),
    [anon_sym_bitand] = ACTIONS(4910),
    [anon_sym_not_eq] = ACTIONS(4910),
    [anon_sym_DASH_DASH] = ACTIONS(4912),
    [anon_sym_PLUS_PLUS] = ACTIONS(4912),
    [anon_sym_DOT] = ACTIONS(4910),
    [anon_sym_DOT_STAR] = ACTIONS(4912),
    [anon_sym_DASH_GT] = ACTIONS(4912),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4910),
    [anon_sym_decltype] = ACTIONS(4910),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(5037),
    [aux_sym_preproc_def_token1] = ACTIONS(5037),
    [aux_sym_preproc_if_token1] = ACTIONS(5037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5037),
    [sym_preproc_directive] = ACTIONS(5037),
    [anon_sym_LPAREN2] = ACTIONS(5039),
    [anon_sym_TILDE] = ACTIONS(5039),
    [anon_sym_STAR] = ACTIONS(5039),
    [anon_sym_AMP_AMP] = ACTIONS(5039),
    [anon_sym_AMP] = ACTIONS(5037),
    [anon_sym___extension__] = ACTIONS(5037),
    [anon_sym_typedef] = ACTIONS(5037),
    [anon_sym_extern] = ACTIONS(5037),
    [anon_sym___attribute__] = ACTIONS(5037),
    [anon_sym_COLON_COLON] = ACTIONS(5039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5039),
    [anon_sym___declspec] = ACTIONS(5037),
    [anon_sym___based] = ACTIONS(5037),
    [anon_sym_RBRACE] = ACTIONS(5039),
    [anon_sym_signed] = ACTIONS(5037),
    [anon_sym_unsigned] = ACTIONS(5037),
    [anon_sym_long] = ACTIONS(5037),
    [anon_sym_short] = ACTIONS(5037),
    [anon_sym_LBRACK] = ACTIONS(5037),
    [anon_sym_static] = ACTIONS(5037),
    [anon_sym_register] = ACTIONS(5037),
    [anon_sym_inline] = ACTIONS(5037),
    [anon_sym___inline] = ACTIONS(5037),
    [anon_sym___inline__] = ACTIONS(5037),
    [anon_sym___forceinline] = ACTIONS(5037),
    [anon_sym_thread_local] = ACTIONS(5037),
    [anon_sym___thread] = ACTIONS(5037),
    [anon_sym_const] = ACTIONS(5037),
    [anon_sym_constexpr] = ACTIONS(5037),
    [anon_sym_volatile] = ACTIONS(5037),
    [anon_sym_restrict] = ACTIONS(5037),
    [anon_sym___restrict__] = ACTIONS(5037),
    [anon_sym__Atomic] = ACTIONS(5037),
    [anon_sym__Noreturn] = ACTIONS(5037),
    [anon_sym_noreturn] = ACTIONS(5037),
    [anon_sym_mutable] = ACTIONS(5037),
    [anon_sym_constinit] = ACTIONS(5037),
    [anon_sym_consteval] = ACTIONS(5037),
    [anon_sym_alignas] = ACTIONS(5037),
    [anon_sym__Alignas] = ACTIONS(5037),
    [sym_primitive_type] = ACTIONS(5037),
    [anon_sym_enum] = ACTIONS(5037),
    [anon_sym_class] = ACTIONS(5037),
    [anon_sym_struct] = ACTIONS(5037),
    [anon_sym_union] = ACTIONS(5037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5037),
    [anon_sym_decltype] = ACTIONS(5037),
    [sym_virtual] = ACTIONS(5037),
    [anon_sym_explicit] = ACTIONS(5037),
    [anon_sym_typename] = ACTIONS(5037),
    [anon_sym_template] = ACTIONS(5037),
    [anon_sym_operator] = ACTIONS(5037),
    [anon_sym_friend] = ACTIONS(5037),
    [anon_sym_public] = ACTIONS(5037),
    [anon_sym_private] = ACTIONS(5037),
    [anon_sym_protected] = ACTIONS(5037),
    [anon_sym_using] = ACTIONS(5037),
    [anon_sym_static_assert] = ACTIONS(5037),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(5037),
    [aux_sym_preproc_def_token1] = ACTIONS(5037),
    [aux_sym_preproc_if_token1] = ACTIONS(5037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5037),
    [sym_preproc_directive] = ACTIONS(5037),
    [anon_sym_LPAREN2] = ACTIONS(5039),
    [anon_sym_TILDE] = ACTIONS(5039),
    [anon_sym_STAR] = ACTIONS(5039),
    [anon_sym_AMP_AMP] = ACTIONS(5039),
    [anon_sym_AMP] = ACTIONS(5037),
    [anon_sym___extension__] = ACTIONS(5037),
    [anon_sym_typedef] = ACTIONS(5037),
    [anon_sym_extern] = ACTIONS(5037),
    [anon_sym___attribute__] = ACTIONS(5037),
    [anon_sym_COLON_COLON] = ACTIONS(5039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5039),
    [anon_sym___declspec] = ACTIONS(5037),
    [anon_sym___based] = ACTIONS(5037),
    [anon_sym_RBRACE] = ACTIONS(5039),
    [anon_sym_signed] = ACTIONS(5037),
    [anon_sym_unsigned] = ACTIONS(5037),
    [anon_sym_long] = ACTIONS(5037),
    [anon_sym_short] = ACTIONS(5037),
    [anon_sym_LBRACK] = ACTIONS(5037),
    [anon_sym_static] = ACTIONS(5037),
    [anon_sym_register] = ACTIONS(5037),
    [anon_sym_inline] = ACTIONS(5037),
    [anon_sym___inline] = ACTIONS(5037),
    [anon_sym___inline__] = ACTIONS(5037),
    [anon_sym___forceinline] = ACTIONS(5037),
    [anon_sym_thread_local] = ACTIONS(5037),
    [anon_sym___thread] = ACTIONS(5037),
    [anon_sym_const] = ACTIONS(5037),
    [anon_sym_constexpr] = ACTIONS(5037),
    [anon_sym_volatile] = ACTIONS(5037),
    [anon_sym_restrict] = ACTIONS(5037),
    [anon_sym___restrict__] = ACTIONS(5037),
    [anon_sym__Atomic] = ACTIONS(5037),
    [anon_sym__Noreturn] = ACTIONS(5037),
    [anon_sym_noreturn] = ACTIONS(5037),
    [anon_sym_mutable] = ACTIONS(5037),
    [anon_sym_constinit] = ACTIONS(5037),
    [anon_sym_consteval] = ACTIONS(5037),
    [anon_sym_alignas] = ACTIONS(5037),
    [anon_sym__Alignas] = ACTIONS(5037),
    [sym_primitive_type] = ACTIONS(5037),
    [anon_sym_enum] = ACTIONS(5037),
    [anon_sym_class] = ACTIONS(5037),
    [anon_sym_struct] = ACTIONS(5037),
    [anon_sym_union] = ACTIONS(5037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5037),
    [anon_sym_decltype] = ACTIONS(5037),
    [sym_virtual] = ACTIONS(5037),
    [anon_sym_explicit] = ACTIONS(5037),
    [anon_sym_typename] = ACTIONS(5037),
    [anon_sym_template] = ACTIONS(5037),
    [anon_sym_operator] = ACTIONS(5037),
    [anon_sym_friend] = ACTIONS(5037),
    [anon_sym_public] = ACTIONS(5037),
    [anon_sym_private] = ACTIONS(5037),
    [anon_sym_protected] = ACTIONS(5037),
    [anon_sym_using] = ACTIONS(5037),
    [anon_sym_static_assert] = ACTIONS(5037),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(5041),
    [aux_sym_preproc_def_token1] = ACTIONS(5041),
    [aux_sym_preproc_if_token1] = ACTIONS(5041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5041),
    [sym_preproc_directive] = ACTIONS(5041),
    [anon_sym_LPAREN2] = ACTIONS(5043),
    [anon_sym_TILDE] = ACTIONS(5043),
    [anon_sym_STAR] = ACTIONS(5043),
    [anon_sym_AMP_AMP] = ACTIONS(5043),
    [anon_sym_AMP] = ACTIONS(5041),
    [anon_sym___extension__] = ACTIONS(5041),
    [anon_sym_typedef] = ACTIONS(5041),
    [anon_sym_extern] = ACTIONS(5041),
    [anon_sym___attribute__] = ACTIONS(5041),
    [anon_sym_COLON_COLON] = ACTIONS(5043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5043),
    [anon_sym___declspec] = ACTIONS(5041),
    [anon_sym___based] = ACTIONS(5041),
    [anon_sym_RBRACE] = ACTIONS(5043),
    [anon_sym_signed] = ACTIONS(5041),
    [anon_sym_unsigned] = ACTIONS(5041),
    [anon_sym_long] = ACTIONS(5041),
    [anon_sym_short] = ACTIONS(5041),
    [anon_sym_LBRACK] = ACTIONS(5041),
    [anon_sym_static] = ACTIONS(5041),
    [anon_sym_register] = ACTIONS(5041),
    [anon_sym_inline] = ACTIONS(5041),
    [anon_sym___inline] = ACTIONS(5041),
    [anon_sym___inline__] = ACTIONS(5041),
    [anon_sym___forceinline] = ACTIONS(5041),
    [anon_sym_thread_local] = ACTIONS(5041),
    [anon_sym___thread] = ACTIONS(5041),
    [anon_sym_const] = ACTIONS(5041),
    [anon_sym_constexpr] = ACTIONS(5041),
    [anon_sym_volatile] = ACTIONS(5041),
    [anon_sym_restrict] = ACTIONS(5041),
    [anon_sym___restrict__] = ACTIONS(5041),
    [anon_sym__Atomic] = ACTIONS(5041),
    [anon_sym__Noreturn] = ACTIONS(5041),
    [anon_sym_noreturn] = ACTIONS(5041),
    [anon_sym_mutable] = ACTIONS(5041),
    [anon_sym_constinit] = ACTIONS(5041),
    [anon_sym_consteval] = ACTIONS(5041),
    [anon_sym_alignas] = ACTIONS(5041),
    [anon_sym__Alignas] = ACTIONS(5041),
    [sym_primitive_type] = ACTIONS(5041),
    [anon_sym_enum] = ACTIONS(5041),
    [anon_sym_class] = ACTIONS(5041),
    [anon_sym_struct] = ACTIONS(5041),
    [anon_sym_union] = ACTIONS(5041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5041),
    [anon_sym_decltype] = ACTIONS(5041),
    [sym_virtual] = ACTIONS(5041),
    [anon_sym_explicit] = ACTIONS(5041),
    [anon_sym_typename] = ACTIONS(5041),
    [anon_sym_template] = ACTIONS(5041),
    [anon_sym_operator] = ACTIONS(5041),
    [anon_sym_friend] = ACTIONS(5041),
    [anon_sym_public] = ACTIONS(5041),
    [anon_sym_private] = ACTIONS(5041),
    [anon_sym_protected] = ACTIONS(5041),
    [anon_sym_using] = ACTIONS(5041),
    [anon_sym_static_assert] = ACTIONS(5041),
  },
  [1990] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2040),
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [aux_sym_preproc_if_token2] = ACTIONS(5374),
    [aux_sym_preproc_else_token1] = ACTIONS(5374),
    [aux_sym_preproc_elif_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5376),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5376),
    [anon_sym_GT_GT] = ACTIONS(5376),
    [anon_sym___attribute__] = ACTIONS(5376),
    [anon_sym_LBRACE] = ACTIONS(5374),
    [anon_sym_signed] = ACTIONS(5544),
    [anon_sym_unsigned] = ACTIONS(5544),
    [anon_sym_long] = ACTIONS(5544),
    [anon_sym_short] = ACTIONS(5544),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_EQ] = ACTIONS(5376),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_STAR_EQ] = ACTIONS(5374),
    [anon_sym_SLASH_EQ] = ACTIONS(5374),
    [anon_sym_PERCENT_EQ] = ACTIONS(5374),
    [anon_sym_PLUS_EQ] = ACTIONS(5374),
    [anon_sym_DASH_EQ] = ACTIONS(5374),
    [anon_sym_LT_LT_EQ] = ACTIONS(5374),
    [anon_sym_GT_GT_EQ] = ACTIONS(5374),
    [anon_sym_AMP_EQ] = ACTIONS(5374),
    [anon_sym_CARET_EQ] = ACTIONS(5374),
    [anon_sym_PIPE_EQ] = ACTIONS(5374),
    [anon_sym_and_eq] = ACTIONS(5376),
    [anon_sym_or_eq] = ACTIONS(5376),
    [anon_sym_xor_eq] = ACTIONS(5376),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5376),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5376),
    [anon_sym_decltype] = ACTIONS(5376),
  },
  [1991] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2042),
    [sym_identifier] = ACTIONS(5332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5330),
    [anon_sym_COMMA] = ACTIONS(5330),
    [aux_sym_preproc_if_token2] = ACTIONS(5330),
    [aux_sym_preproc_else_token1] = ACTIONS(5330),
    [aux_sym_preproc_elif_token1] = ACTIONS(5332),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(5330),
    [anon_sym_DASH] = ACTIONS(5332),
    [anon_sym_PLUS] = ACTIONS(5332),
    [anon_sym_STAR] = ACTIONS(5332),
    [anon_sym_SLASH] = ACTIONS(5332),
    [anon_sym_PERCENT] = ACTIONS(5332),
    [anon_sym_PIPE_PIPE] = ACTIONS(5330),
    [anon_sym_AMP_AMP] = ACTIONS(5330),
    [anon_sym_PIPE] = ACTIONS(5332),
    [anon_sym_CARET] = ACTIONS(5332),
    [anon_sym_AMP] = ACTIONS(5332),
    [anon_sym_EQ_EQ] = ACTIONS(5330),
    [anon_sym_BANG_EQ] = ACTIONS(5330),
    [anon_sym_GT] = ACTIONS(5332),
    [anon_sym_GT_EQ] = ACTIONS(5330),
    [anon_sym_LT_EQ] = ACTIONS(5332),
    [anon_sym_LT] = ACTIONS(5332),
    [anon_sym_LT_LT] = ACTIONS(5332),
    [anon_sym_GT_GT] = ACTIONS(5332),
    [anon_sym___attribute__] = ACTIONS(5332),
    [anon_sym_LBRACE] = ACTIONS(5330),
    [anon_sym_signed] = ACTIONS(5546),
    [anon_sym_unsigned] = ACTIONS(5546),
    [anon_sym_long] = ACTIONS(5546),
    [anon_sym_short] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5330),
    [anon_sym_EQ] = ACTIONS(5332),
    [anon_sym_QMARK] = ACTIONS(5330),
    [anon_sym_STAR_EQ] = ACTIONS(5330),
    [anon_sym_SLASH_EQ] = ACTIONS(5330),
    [anon_sym_PERCENT_EQ] = ACTIONS(5330),
    [anon_sym_PLUS_EQ] = ACTIONS(5330),
    [anon_sym_DASH_EQ] = ACTIONS(5330),
    [anon_sym_LT_LT_EQ] = ACTIONS(5330),
    [anon_sym_GT_GT_EQ] = ACTIONS(5330),
    [anon_sym_AMP_EQ] = ACTIONS(5330),
    [anon_sym_CARET_EQ] = ACTIONS(5330),
    [anon_sym_PIPE_EQ] = ACTIONS(5330),
    [anon_sym_and_eq] = ACTIONS(5332),
    [anon_sym_or_eq] = ACTIONS(5332),
    [anon_sym_xor_eq] = ACTIONS(5332),
    [anon_sym_LT_EQ_GT] = ACTIONS(5330),
    [anon_sym_or] = ACTIONS(5332),
    [anon_sym_and] = ACTIONS(5332),
    [anon_sym_bitor] = ACTIONS(5332),
    [anon_sym_xor] = ACTIONS(5332),
    [anon_sym_bitand] = ACTIONS(5332),
    [anon_sym_not_eq] = ACTIONS(5332),
    [anon_sym_DASH_DASH] = ACTIONS(5330),
    [anon_sym_PLUS_PLUS] = ACTIONS(5330),
    [anon_sym_DOT] = ACTIONS(5332),
    [anon_sym_DOT_STAR] = ACTIONS(5330),
    [anon_sym_DASH_GT] = ACTIONS(5330),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5332),
    [anon_sym_decltype] = ACTIONS(5332),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_friend] = ACTIONS(2608),
    [anon_sym_public] = ACTIONS(2608),
    [anon_sym_private] = ACTIONS(2608),
    [anon_sym_protected] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
  },
  [1993] = {
    [sym_argument_list] = STATE(2311),
    [sym_initializer_list] = STATE(2311),
    [sym_identifier] = ACTIONS(5548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5550),
    [anon_sym_COMMA] = ACTIONS(5550),
    [anon_sym_RPAREN] = ACTIONS(5550),
    [aux_sym_preproc_if_token2] = ACTIONS(5550),
    [aux_sym_preproc_else_token1] = ACTIONS(5550),
    [aux_sym_preproc_elif_token1] = ACTIONS(5548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5550),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5550),
    [anon_sym_LPAREN2] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5548),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5548),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5550),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_CARET] = ACTIONS(5548),
    [anon_sym_AMP] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5550),
    [anon_sym_BANG_EQ] = ACTIONS(5550),
    [anon_sym_GT] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5550),
    [anon_sym_LT_EQ] = ACTIONS(5548),
    [anon_sym_LT] = ACTIONS(5548),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5548),
    [anon_sym_SEMI] = ACTIONS(5550),
    [anon_sym___attribute__] = ACTIONS(5548),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5550),
    [anon_sym_LBRACK] = ACTIONS(5550),
    [anon_sym_RBRACK] = ACTIONS(5550),
    [anon_sym_EQ] = ACTIONS(5548),
    [anon_sym_COLON] = ACTIONS(5550),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_STAR_EQ] = ACTIONS(5550),
    [anon_sym_SLASH_EQ] = ACTIONS(5550),
    [anon_sym_PERCENT_EQ] = ACTIONS(5550),
    [anon_sym_PLUS_EQ] = ACTIONS(5550),
    [anon_sym_DASH_EQ] = ACTIONS(5550),
    [anon_sym_LT_LT_EQ] = ACTIONS(5550),
    [anon_sym_GT_GT_EQ] = ACTIONS(5550),
    [anon_sym_AMP_EQ] = ACTIONS(5550),
    [anon_sym_CARET_EQ] = ACTIONS(5550),
    [anon_sym_PIPE_EQ] = ACTIONS(5550),
    [anon_sym_and_eq] = ACTIONS(5548),
    [anon_sym_or_eq] = ACTIONS(5548),
    [anon_sym_xor_eq] = ACTIONS(5548),
    [anon_sym_LT_EQ_GT] = ACTIONS(5550),
    [anon_sym_or] = ACTIONS(5548),
    [anon_sym_and] = ACTIONS(5548),
    [anon_sym_bitor] = ACTIONS(5548),
    [anon_sym_xor] = ACTIONS(5548),
    [anon_sym_bitand] = ACTIONS(5548),
    [anon_sym_not_eq] = ACTIONS(5548),
    [anon_sym_DASH_DASH] = ACTIONS(5550),
    [anon_sym_PLUS_PLUS] = ACTIONS(5550),
    [anon_sym_DOT] = ACTIONS(5548),
    [anon_sym_DOT_STAR] = ACTIONS(5550),
    [anon_sym_DASH_GT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
  },
  [1994] = {
    [sym_identifier] = ACTIONS(4989),
    [aux_sym_preproc_def_token1] = ACTIONS(4989),
    [aux_sym_preproc_if_token1] = ACTIONS(4989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4989),
    [sym_preproc_directive] = ACTIONS(4989),
    [anon_sym_LPAREN2] = ACTIONS(4991),
    [anon_sym_TILDE] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4991),
    [anon_sym_AMP_AMP] = ACTIONS(4991),
    [anon_sym_AMP] = ACTIONS(4989),
    [anon_sym___extension__] = ACTIONS(4989),
    [anon_sym_typedef] = ACTIONS(4989),
    [anon_sym_extern] = ACTIONS(4989),
    [anon_sym___attribute__] = ACTIONS(4989),
    [anon_sym_COLON_COLON] = ACTIONS(4991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4991),
    [anon_sym___declspec] = ACTIONS(4989),
    [anon_sym___based] = ACTIONS(4989),
    [anon_sym_RBRACE] = ACTIONS(4991),
    [anon_sym_signed] = ACTIONS(4989),
    [anon_sym_unsigned] = ACTIONS(4989),
    [anon_sym_long] = ACTIONS(4989),
    [anon_sym_short] = ACTIONS(4989),
    [anon_sym_LBRACK] = ACTIONS(4989),
    [anon_sym_static] = ACTIONS(4989),
    [anon_sym_register] = ACTIONS(4989),
    [anon_sym_inline] = ACTIONS(4989),
    [anon_sym___inline] = ACTIONS(4989),
    [anon_sym___inline__] = ACTIONS(4989),
    [anon_sym___forceinline] = ACTIONS(4989),
    [anon_sym_thread_local] = ACTIONS(4989),
    [anon_sym___thread] = ACTIONS(4989),
    [anon_sym_const] = ACTIONS(4989),
    [anon_sym_constexpr] = ACTIONS(4989),
    [anon_sym_volatile] = ACTIONS(4989),
    [anon_sym_restrict] = ACTIONS(4989),
    [anon_sym___restrict__] = ACTIONS(4989),
    [anon_sym__Atomic] = ACTIONS(4989),
    [anon_sym__Noreturn] = ACTIONS(4989),
    [anon_sym_noreturn] = ACTIONS(4989),
    [anon_sym_mutable] = ACTIONS(4989),
    [anon_sym_constinit] = ACTIONS(4989),
    [anon_sym_consteval] = ACTIONS(4989),
    [anon_sym_alignas] = ACTIONS(4989),
    [anon_sym__Alignas] = ACTIONS(4989),
    [sym_primitive_type] = ACTIONS(4989),
    [anon_sym_enum] = ACTIONS(4989),
    [anon_sym_class] = ACTIONS(4989),
    [anon_sym_struct] = ACTIONS(4989),
    [anon_sym_union] = ACTIONS(4989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4989),
    [anon_sym_decltype] = ACTIONS(4989),
    [sym_virtual] = ACTIONS(4989),
    [anon_sym_explicit] = ACTIONS(4989),
    [anon_sym_typename] = ACTIONS(4989),
    [anon_sym_template] = ACTIONS(4989),
    [anon_sym_operator] = ACTIONS(4989),
    [anon_sym_friend] = ACTIONS(4989),
    [anon_sym_public] = ACTIONS(4989),
    [anon_sym_private] = ACTIONS(4989),
    [anon_sym_protected] = ACTIONS(4989),
    [anon_sym_using] = ACTIONS(4989),
    [anon_sym_static_assert] = ACTIONS(4989),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(5045),
    [aux_sym_preproc_def_token1] = ACTIONS(5045),
    [aux_sym_preproc_if_token1] = ACTIONS(5045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5045),
    [sym_preproc_directive] = ACTIONS(5045),
    [anon_sym_LPAREN2] = ACTIONS(5047),
    [anon_sym_TILDE] = ACTIONS(5047),
    [anon_sym_STAR] = ACTIONS(5047),
    [anon_sym_AMP_AMP] = ACTIONS(5047),
    [anon_sym_AMP] = ACTIONS(5045),
    [anon_sym___extension__] = ACTIONS(5045),
    [anon_sym_typedef] = ACTIONS(5045),
    [anon_sym_extern] = ACTIONS(5045),
    [anon_sym___attribute__] = ACTIONS(5045),
    [anon_sym_COLON_COLON] = ACTIONS(5047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5047),
    [anon_sym___declspec] = ACTIONS(5045),
    [anon_sym___based] = ACTIONS(5045),
    [anon_sym_RBRACE] = ACTIONS(5047),
    [anon_sym_signed] = ACTIONS(5045),
    [anon_sym_unsigned] = ACTIONS(5045),
    [anon_sym_long] = ACTIONS(5045),
    [anon_sym_short] = ACTIONS(5045),
    [anon_sym_LBRACK] = ACTIONS(5045),
    [anon_sym_static] = ACTIONS(5045),
    [anon_sym_register] = ACTIONS(5045),
    [anon_sym_inline] = ACTIONS(5045),
    [anon_sym___inline] = ACTIONS(5045),
    [anon_sym___inline__] = ACTIONS(5045),
    [anon_sym___forceinline] = ACTIONS(5045),
    [anon_sym_thread_local] = ACTIONS(5045),
    [anon_sym___thread] = ACTIONS(5045),
    [anon_sym_const] = ACTIONS(5045),
    [anon_sym_constexpr] = ACTIONS(5045),
    [anon_sym_volatile] = ACTIONS(5045),
    [anon_sym_restrict] = ACTIONS(5045),
    [anon_sym___restrict__] = ACTIONS(5045),
    [anon_sym__Atomic] = ACTIONS(5045),
    [anon_sym__Noreturn] = ACTIONS(5045),
    [anon_sym_noreturn] = ACTIONS(5045),
    [anon_sym_mutable] = ACTIONS(5045),
    [anon_sym_constinit] = ACTIONS(5045),
    [anon_sym_consteval] = ACTIONS(5045),
    [anon_sym_alignas] = ACTIONS(5045),
    [anon_sym__Alignas] = ACTIONS(5045),
    [sym_primitive_type] = ACTIONS(5045),
    [anon_sym_enum] = ACTIONS(5045),
    [anon_sym_class] = ACTIONS(5045),
    [anon_sym_struct] = ACTIONS(5045),
    [anon_sym_union] = ACTIONS(5045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5045),
    [anon_sym_decltype] = ACTIONS(5045),
    [sym_virtual] = ACTIONS(5045),
    [anon_sym_explicit] = ACTIONS(5045),
    [anon_sym_typename] = ACTIONS(5045),
    [anon_sym_template] = ACTIONS(5045),
    [anon_sym_operator] = ACTIONS(5045),
    [anon_sym_friend] = ACTIONS(5045),
    [anon_sym_public] = ACTIONS(5045),
    [anon_sym_private] = ACTIONS(5045),
    [anon_sym_protected] = ACTIONS(5045),
    [anon_sym_using] = ACTIONS(5045),
    [anon_sym_static_assert] = ACTIONS(5045),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(5065),
    [aux_sym_preproc_def_token1] = ACTIONS(5065),
    [aux_sym_preproc_if_token1] = ACTIONS(5065),
    [aux_sym_preproc_if_token2] = ACTIONS(5065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5065),
    [sym_preproc_directive] = ACTIONS(5065),
    [anon_sym_LPAREN2] = ACTIONS(5067),
    [anon_sym_TILDE] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5067),
    [anon_sym_AMP_AMP] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym___extension__] = ACTIONS(5065),
    [anon_sym_typedef] = ACTIONS(5065),
    [anon_sym_extern] = ACTIONS(5065),
    [anon_sym___attribute__] = ACTIONS(5065),
    [anon_sym_COLON_COLON] = ACTIONS(5067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5067),
    [anon_sym___declspec] = ACTIONS(5065),
    [anon_sym___based] = ACTIONS(5065),
    [anon_sym_signed] = ACTIONS(5065),
    [anon_sym_unsigned] = ACTIONS(5065),
    [anon_sym_long] = ACTIONS(5065),
    [anon_sym_short] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [anon_sym_static] = ACTIONS(5065),
    [anon_sym_register] = ACTIONS(5065),
    [anon_sym_inline] = ACTIONS(5065),
    [anon_sym___inline] = ACTIONS(5065),
    [anon_sym___inline__] = ACTIONS(5065),
    [anon_sym___forceinline] = ACTIONS(5065),
    [anon_sym_thread_local] = ACTIONS(5065),
    [anon_sym___thread] = ACTIONS(5065),
    [anon_sym_const] = ACTIONS(5065),
    [anon_sym_constexpr] = ACTIONS(5065),
    [anon_sym_volatile] = ACTIONS(5065),
    [anon_sym_restrict] = ACTIONS(5065),
    [anon_sym___restrict__] = ACTIONS(5065),
    [anon_sym__Atomic] = ACTIONS(5065),
    [anon_sym__Noreturn] = ACTIONS(5065),
    [anon_sym_noreturn] = ACTIONS(5065),
    [anon_sym_mutable] = ACTIONS(5065),
    [anon_sym_constinit] = ACTIONS(5065),
    [anon_sym_consteval] = ACTIONS(5065),
    [anon_sym_alignas] = ACTIONS(5065),
    [anon_sym__Alignas] = ACTIONS(5065),
    [sym_primitive_type] = ACTIONS(5065),
    [anon_sym_enum] = ACTIONS(5065),
    [anon_sym_class] = ACTIONS(5065),
    [anon_sym_struct] = ACTIONS(5065),
    [anon_sym_union] = ACTIONS(5065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5065),
    [anon_sym_decltype] = ACTIONS(5065),
    [sym_virtual] = ACTIONS(5065),
    [anon_sym_explicit] = ACTIONS(5065),
    [anon_sym_typename] = ACTIONS(5065),
    [anon_sym_template] = ACTIONS(5065),
    [anon_sym_operator] = ACTIONS(5065),
    [anon_sym_friend] = ACTIONS(5065),
    [anon_sym_public] = ACTIONS(5065),
    [anon_sym_private] = ACTIONS(5065),
    [anon_sym_protected] = ACTIONS(5065),
    [anon_sym_using] = ACTIONS(5065),
    [anon_sym_static_assert] = ACTIONS(5065),
  },
  [1997] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1997),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_COMMA] = ACTIONS(4793),
    [anon_sym_LPAREN2] = ACTIONS(4793),
    [anon_sym_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4791),
    [anon_sym_STAR] = ACTIONS(4793),
    [anon_sym_SLASH] = ACTIONS(4791),
    [anon_sym_PERCENT] = ACTIONS(4793),
    [anon_sym_PIPE_PIPE] = ACTIONS(4793),
    [anon_sym_AMP_AMP] = ACTIONS(4793),
    [anon_sym_PIPE] = ACTIONS(4791),
    [anon_sym_CARET] = ACTIONS(4793),
    [anon_sym_AMP] = ACTIONS(4791),
    [anon_sym_EQ_EQ] = ACTIONS(4793),
    [anon_sym_BANG_EQ] = ACTIONS(4793),
    [anon_sym_GT] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4791),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_LT] = ACTIONS(4791),
    [anon_sym_LT_LT] = ACTIONS(4793),
    [anon_sym_GT_GT] = ACTIONS(4791),
    [anon_sym___extension__] = ACTIONS(4791),
    [anon_sym___attribute__] = ACTIONS(4791),
    [anon_sym_LBRACE] = ACTIONS(4793),
    [anon_sym_signed] = ACTIONS(5552),
    [anon_sym_unsigned] = ACTIONS(5552),
    [anon_sym_long] = ACTIONS(5552),
    [anon_sym_short] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(4793),
    [anon_sym_const] = ACTIONS(4791),
    [anon_sym_constexpr] = ACTIONS(4791),
    [anon_sym_volatile] = ACTIONS(4791),
    [anon_sym_restrict] = ACTIONS(4791),
    [anon_sym___restrict__] = ACTIONS(4791),
    [anon_sym__Atomic] = ACTIONS(4791),
    [anon_sym__Noreturn] = ACTIONS(4791),
    [anon_sym_noreturn] = ACTIONS(4791),
    [anon_sym_mutable] = ACTIONS(4791),
    [anon_sym_constinit] = ACTIONS(4791),
    [anon_sym_consteval] = ACTIONS(4791),
    [anon_sym_alignas] = ACTIONS(4791),
    [anon_sym__Alignas] = ACTIONS(4791),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_QMARK] = ACTIONS(4793),
    [anon_sym_LT_EQ_GT] = ACTIONS(4793),
    [anon_sym_or] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4791),
    [anon_sym_bitor] = ACTIONS(4791),
    [anon_sym_xor] = ACTIONS(4791),
    [anon_sym_bitand] = ACTIONS(4791),
    [anon_sym_not_eq] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4793),
    [anon_sym_PLUS_PLUS] = ACTIONS(4793),
    [anon_sym_DOT] = ACTIONS(4791),
    [anon_sym_DOT_STAR] = ACTIONS(4793),
    [anon_sym_DASH_GT] = ACTIONS(4793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4791),
    [anon_sym_decltype] = ACTIONS(4791),
    [anon_sym_final] = ACTIONS(4791),
    [anon_sym_override] = ACTIONS(4791),
    [anon_sym_GT2] = ACTIONS(4793),
    [anon_sym_requires] = ACTIONS(4791),
  },
  [1998] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [sym_virtual] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_friend] = ACTIONS(2793),
    [anon_sym_public] = ACTIONS(2793),
    [anon_sym_private] = ACTIONS(2793),
    [anon_sym_protected] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
  },
  [1999] = {
    [sym_identifier] = ACTIONS(4993),
    [aux_sym_preproc_def_token1] = ACTIONS(4993),
    [aux_sym_preproc_if_token1] = ACTIONS(4993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4993),
    [sym_preproc_directive] = ACTIONS(4993),
    [anon_sym_LPAREN2] = ACTIONS(4995),
    [anon_sym_TILDE] = ACTIONS(4995),
    [anon_sym_STAR] = ACTIONS(4995),
    [anon_sym_AMP_AMP] = ACTIONS(4995),
    [anon_sym_AMP] = ACTIONS(4993),
    [anon_sym___extension__] = ACTIONS(4993),
    [anon_sym_typedef] = ACTIONS(4993),
    [anon_sym_extern] = ACTIONS(4993),
    [anon_sym___attribute__] = ACTIONS(4993),
    [anon_sym_COLON_COLON] = ACTIONS(4995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4995),
    [anon_sym___declspec] = ACTIONS(4993),
    [anon_sym___based] = ACTIONS(4993),
    [anon_sym_RBRACE] = ACTIONS(4995),
    [anon_sym_signed] = ACTIONS(4993),
    [anon_sym_unsigned] = ACTIONS(4993),
    [anon_sym_long] = ACTIONS(4993),
    [anon_sym_short] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4993),
    [anon_sym_static] = ACTIONS(4993),
    [anon_sym_register] = ACTIONS(4993),
    [anon_sym_inline] = ACTIONS(4993),
    [anon_sym___inline] = ACTIONS(4993),
    [anon_sym___inline__] = ACTIONS(4993),
    [anon_sym___forceinline] = ACTIONS(4993),
    [anon_sym_thread_local] = ACTIONS(4993),
    [anon_sym___thread] = ACTIONS(4993),
    [anon_sym_const] = ACTIONS(4993),
    [anon_sym_constexpr] = ACTIONS(4993),
    [anon_sym_volatile] = ACTIONS(4993),
    [anon_sym_restrict] = ACTIONS(4993),
    [anon_sym___restrict__] = ACTIONS(4993),
    [anon_sym__Atomic] = ACTIONS(4993),
    [anon_sym__Noreturn] = ACTIONS(4993),
    [anon_sym_noreturn] = ACTIONS(4993),
    [anon_sym_mutable] = ACTIONS(4993),
    [anon_sym_constinit] = ACTIONS(4993),
    [anon_sym_consteval] = ACTIONS(4993),
    [anon_sym_alignas] = ACTIONS(4993),
    [anon_sym__Alignas] = ACTIONS(4993),
    [sym_primitive_type] = ACTIONS(4993),
    [anon_sym_enum] = ACTIONS(4993),
    [anon_sym_class] = ACTIONS(4993),
    [anon_sym_struct] = ACTIONS(4993),
    [anon_sym_union] = ACTIONS(4993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4993),
    [anon_sym_decltype] = ACTIONS(4993),
    [sym_virtual] = ACTIONS(4993),
    [anon_sym_explicit] = ACTIONS(4993),
    [anon_sym_typename] = ACTIONS(4993),
    [anon_sym_template] = ACTIONS(4993),
    [anon_sym_operator] = ACTIONS(4993),
    [anon_sym_friend] = ACTIONS(4993),
    [anon_sym_public] = ACTIONS(4993),
    [anon_sym_private] = ACTIONS(4993),
    [anon_sym_protected] = ACTIONS(4993),
    [anon_sym_using] = ACTIONS(4993),
    [anon_sym_static_assert] = ACTIONS(4993),
  },
  [2000] = {
    [sym_identifier] = ACTIONS(5555),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5557),
    [anon_sym_COMMA] = ACTIONS(5557),
    [anon_sym_RPAREN] = ACTIONS(5557),
    [aux_sym_preproc_if_token2] = ACTIONS(5557),
    [aux_sym_preproc_else_token1] = ACTIONS(5557),
    [aux_sym_preproc_elif_token1] = ACTIONS(5555),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5557),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5557),
    [anon_sym_LPAREN2] = ACTIONS(5557),
    [anon_sym_DASH] = ACTIONS(5555),
    [anon_sym_PLUS] = ACTIONS(5555),
    [anon_sym_STAR] = ACTIONS(5555),
    [anon_sym_SLASH] = ACTIONS(5555),
    [anon_sym_PERCENT] = ACTIONS(5555),
    [anon_sym_PIPE_PIPE] = ACTIONS(5557),
    [anon_sym_AMP_AMP] = ACTIONS(5557),
    [anon_sym_PIPE] = ACTIONS(5555),
    [anon_sym_CARET] = ACTIONS(5555),
    [anon_sym_AMP] = ACTIONS(5555),
    [anon_sym_EQ_EQ] = ACTIONS(5557),
    [anon_sym_BANG_EQ] = ACTIONS(5557),
    [anon_sym_GT] = ACTIONS(5555),
    [anon_sym_GT_EQ] = ACTIONS(5557),
    [anon_sym_LT_EQ] = ACTIONS(5555),
    [anon_sym_LT] = ACTIONS(5555),
    [anon_sym_LT_LT] = ACTIONS(5555),
    [anon_sym_GT_GT] = ACTIONS(5555),
    [anon_sym_SEMI] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5555),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(5557),
    [anon_sym_RBRACE] = ACTIONS(5557),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_RBRACK] = ACTIONS(5557),
    [anon_sym_EQ] = ACTIONS(5555),
    [anon_sym_COLON] = ACTIONS(5557),
    [anon_sym_QMARK] = ACTIONS(5557),
    [anon_sym_STAR_EQ] = ACTIONS(5557),
    [anon_sym_SLASH_EQ] = ACTIONS(5557),
    [anon_sym_PERCENT_EQ] = ACTIONS(5557),
    [anon_sym_PLUS_EQ] = ACTIONS(5557),
    [anon_sym_DASH_EQ] = ACTIONS(5557),
    [anon_sym_LT_LT_EQ] = ACTIONS(5557),
    [anon_sym_GT_GT_EQ] = ACTIONS(5557),
    [anon_sym_AMP_EQ] = ACTIONS(5557),
    [anon_sym_CARET_EQ] = ACTIONS(5557),
    [anon_sym_PIPE_EQ] = ACTIONS(5557),
    [anon_sym_and_eq] = ACTIONS(5555),
    [anon_sym_or_eq] = ACTIONS(5555),
    [anon_sym_xor_eq] = ACTIONS(5555),
    [anon_sym_LT_EQ_GT] = ACTIONS(5557),
    [anon_sym_or] = ACTIONS(5555),
    [anon_sym_and] = ACTIONS(5555),
    [anon_sym_bitor] = ACTIONS(5555),
    [anon_sym_xor] = ACTIONS(5555),
    [anon_sym_bitand] = ACTIONS(5555),
    [anon_sym_not_eq] = ACTIONS(5555),
    [anon_sym_DASH_DASH] = ACTIONS(5557),
    [anon_sym_PLUS_PLUS] = ACTIONS(5557),
    [anon_sym_DOT] = ACTIONS(5555),
    [anon_sym_DOT_STAR] = ACTIONS(5557),
    [anon_sym_DASH_GT] = ACTIONS(5557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5555),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(5053),
    [aux_sym_preproc_def_token1] = ACTIONS(5053),
    [aux_sym_preproc_if_token1] = ACTIONS(5053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5053),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5053),
    [sym_preproc_directive] = ACTIONS(5053),
    [anon_sym_LPAREN2] = ACTIONS(5055),
    [anon_sym_TILDE] = ACTIONS(5055),
    [anon_sym_STAR] = ACTIONS(5055),
    [anon_sym_AMP_AMP] = ACTIONS(5055),
    [anon_sym_AMP] = ACTIONS(5053),
    [anon_sym___extension__] = ACTIONS(5053),
    [anon_sym_typedef] = ACTIONS(5053),
    [anon_sym_extern] = ACTIONS(5053),
    [anon_sym___attribute__] = ACTIONS(5053),
    [anon_sym_COLON_COLON] = ACTIONS(5055),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5055),
    [anon_sym___declspec] = ACTIONS(5053),
    [anon_sym___based] = ACTIONS(5053),
    [anon_sym_RBRACE] = ACTIONS(5055),
    [anon_sym_signed] = ACTIONS(5053),
    [anon_sym_unsigned] = ACTIONS(5053),
    [anon_sym_long] = ACTIONS(5053),
    [anon_sym_short] = ACTIONS(5053),
    [anon_sym_LBRACK] = ACTIONS(5053),
    [anon_sym_static] = ACTIONS(5053),
    [anon_sym_register] = ACTIONS(5053),
    [anon_sym_inline] = ACTIONS(5053),
    [anon_sym___inline] = ACTIONS(5053),
    [anon_sym___inline__] = ACTIONS(5053),
    [anon_sym___forceinline] = ACTIONS(5053),
    [anon_sym_thread_local] = ACTIONS(5053),
    [anon_sym___thread] = ACTIONS(5053),
    [anon_sym_const] = ACTIONS(5053),
    [anon_sym_constexpr] = ACTIONS(5053),
    [anon_sym_volatile] = ACTIONS(5053),
    [anon_sym_restrict] = ACTIONS(5053),
    [anon_sym___restrict__] = ACTIONS(5053),
    [anon_sym__Atomic] = ACTIONS(5053),
    [anon_sym__Noreturn] = ACTIONS(5053),
    [anon_sym_noreturn] = ACTIONS(5053),
    [anon_sym_mutable] = ACTIONS(5053),
    [anon_sym_constinit] = ACTIONS(5053),
    [anon_sym_consteval] = ACTIONS(5053),
    [anon_sym_alignas] = ACTIONS(5053),
    [anon_sym__Alignas] = ACTIONS(5053),
    [sym_primitive_type] = ACTIONS(5053),
    [anon_sym_enum] = ACTIONS(5053),
    [anon_sym_class] = ACTIONS(5053),
    [anon_sym_struct] = ACTIONS(5053),
    [anon_sym_union] = ACTIONS(5053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5053),
    [anon_sym_decltype] = ACTIONS(5053),
    [sym_virtual] = ACTIONS(5053),
    [anon_sym_explicit] = ACTIONS(5053),
    [anon_sym_typename] = ACTIONS(5053),
    [anon_sym_template] = ACTIONS(5053),
    [anon_sym_operator] = ACTIONS(5053),
    [anon_sym_friend] = ACTIONS(5053),
    [anon_sym_public] = ACTIONS(5053),
    [anon_sym_private] = ACTIONS(5053),
    [anon_sym_protected] = ACTIONS(5053),
    [anon_sym_using] = ACTIONS(5053),
    [anon_sym_static_assert] = ACTIONS(5053),
  },
  [2002] = {
    [sym_identifier] = ACTIONS(5057),
    [aux_sym_preproc_def_token1] = ACTIONS(5057),
    [aux_sym_preproc_if_token1] = ACTIONS(5057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5057),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5057),
    [sym_preproc_directive] = ACTIONS(5057),
    [anon_sym_LPAREN2] = ACTIONS(5059),
    [anon_sym_TILDE] = ACTIONS(5059),
    [anon_sym_STAR] = ACTIONS(5059),
    [anon_sym_AMP_AMP] = ACTIONS(5059),
    [anon_sym_AMP] = ACTIONS(5057),
    [anon_sym___extension__] = ACTIONS(5057),
    [anon_sym_typedef] = ACTIONS(5057),
    [anon_sym_extern] = ACTIONS(5057),
    [anon_sym___attribute__] = ACTIONS(5057),
    [anon_sym_COLON_COLON] = ACTIONS(5059),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5059),
    [anon_sym___declspec] = ACTIONS(5057),
    [anon_sym___based] = ACTIONS(5057),
    [anon_sym_RBRACE] = ACTIONS(5059),
    [anon_sym_signed] = ACTIONS(5057),
    [anon_sym_unsigned] = ACTIONS(5057),
    [anon_sym_long] = ACTIONS(5057),
    [anon_sym_short] = ACTIONS(5057),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [anon_sym_static] = ACTIONS(5057),
    [anon_sym_register] = ACTIONS(5057),
    [anon_sym_inline] = ACTIONS(5057),
    [anon_sym___inline] = ACTIONS(5057),
    [anon_sym___inline__] = ACTIONS(5057),
    [anon_sym___forceinline] = ACTIONS(5057),
    [anon_sym_thread_local] = ACTIONS(5057),
    [anon_sym___thread] = ACTIONS(5057),
    [anon_sym_const] = ACTIONS(5057),
    [anon_sym_constexpr] = ACTIONS(5057),
    [anon_sym_volatile] = ACTIONS(5057),
    [anon_sym_restrict] = ACTIONS(5057),
    [anon_sym___restrict__] = ACTIONS(5057),
    [anon_sym__Atomic] = ACTIONS(5057),
    [anon_sym__Noreturn] = ACTIONS(5057),
    [anon_sym_noreturn] = ACTIONS(5057),
    [anon_sym_mutable] = ACTIONS(5057),
    [anon_sym_constinit] = ACTIONS(5057),
    [anon_sym_consteval] = ACTIONS(5057),
    [anon_sym_alignas] = ACTIONS(5057),
    [anon_sym__Alignas] = ACTIONS(5057),
    [sym_primitive_type] = ACTIONS(5057),
    [anon_sym_enum] = ACTIONS(5057),
    [anon_sym_class] = ACTIONS(5057),
    [anon_sym_struct] = ACTIONS(5057),
    [anon_sym_union] = ACTIONS(5057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5057),
    [anon_sym_decltype] = ACTIONS(5057),
    [sym_virtual] = ACTIONS(5057),
    [anon_sym_explicit] = ACTIONS(5057),
    [anon_sym_typename] = ACTIONS(5057),
    [anon_sym_template] = ACTIONS(5057),
    [anon_sym_operator] = ACTIONS(5057),
    [anon_sym_friend] = ACTIONS(5057),
    [anon_sym_public] = ACTIONS(5057),
    [anon_sym_private] = ACTIONS(5057),
    [anon_sym_protected] = ACTIONS(5057),
    [anon_sym_using] = ACTIONS(5057),
    [anon_sym_static_assert] = ACTIONS(5057),
  },
  [2003] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym_RBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [sym_virtual] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_friend] = ACTIONS(2820),
    [anon_sym_public] = ACTIONS(2820),
    [anon_sym_private] = ACTIONS(2820),
    [anon_sym_protected] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
  },
  [2004] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_friend] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_protected] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
  },
  [2005] = {
    [sym_identifier] = ACTIONS(4997),
    [aux_sym_preproc_def_token1] = ACTIONS(4997),
    [aux_sym_preproc_if_token1] = ACTIONS(4997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4997),
    [sym_preproc_directive] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_TILDE] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4997),
    [anon_sym___extension__] = ACTIONS(4997),
    [anon_sym_typedef] = ACTIONS(4997),
    [anon_sym_extern] = ACTIONS(4997),
    [anon_sym___attribute__] = ACTIONS(4997),
    [anon_sym_COLON_COLON] = ACTIONS(4999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4999),
    [anon_sym___declspec] = ACTIONS(4997),
    [anon_sym___based] = ACTIONS(4997),
    [anon_sym_RBRACE] = ACTIONS(4999),
    [anon_sym_signed] = ACTIONS(4997),
    [anon_sym_unsigned] = ACTIONS(4997),
    [anon_sym_long] = ACTIONS(4997),
    [anon_sym_short] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4997),
    [anon_sym_static] = ACTIONS(4997),
    [anon_sym_register] = ACTIONS(4997),
    [anon_sym_inline] = ACTIONS(4997),
    [anon_sym___inline] = ACTIONS(4997),
    [anon_sym___inline__] = ACTIONS(4997),
    [anon_sym___forceinline] = ACTIONS(4997),
    [anon_sym_thread_local] = ACTIONS(4997),
    [anon_sym___thread] = ACTIONS(4997),
    [anon_sym_const] = ACTIONS(4997),
    [anon_sym_constexpr] = ACTIONS(4997),
    [anon_sym_volatile] = ACTIONS(4997),
    [anon_sym_restrict] = ACTIONS(4997),
    [anon_sym___restrict__] = ACTIONS(4997),
    [anon_sym__Atomic] = ACTIONS(4997),
    [anon_sym__Noreturn] = ACTIONS(4997),
    [anon_sym_noreturn] = ACTIONS(4997),
    [anon_sym_mutable] = ACTIONS(4997),
    [anon_sym_constinit] = ACTIONS(4997),
    [anon_sym_consteval] = ACTIONS(4997),
    [anon_sym_alignas] = ACTIONS(4997),
    [anon_sym__Alignas] = ACTIONS(4997),
    [sym_primitive_type] = ACTIONS(4997),
    [anon_sym_enum] = ACTIONS(4997),
    [anon_sym_class] = ACTIONS(4997),
    [anon_sym_struct] = ACTIONS(4997),
    [anon_sym_union] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4997),
    [anon_sym_decltype] = ACTIONS(4997),
    [sym_virtual] = ACTIONS(4997),
    [anon_sym_explicit] = ACTIONS(4997),
    [anon_sym_typename] = ACTIONS(4997),
    [anon_sym_template] = ACTIONS(4997),
    [anon_sym_operator] = ACTIONS(4997),
    [anon_sym_friend] = ACTIONS(4997),
    [anon_sym_public] = ACTIONS(4997),
    [anon_sym_private] = ACTIONS(4997),
    [anon_sym_protected] = ACTIONS(4997),
    [anon_sym_using] = ACTIONS(4997),
    [anon_sym_static_assert] = ACTIONS(4997),
  },
  [2006] = {
    [sym_identifier] = ACTIONS(5061),
    [aux_sym_preproc_def_token1] = ACTIONS(5061),
    [aux_sym_preproc_if_token1] = ACTIONS(5061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5061),
    [sym_preproc_directive] = ACTIONS(5061),
    [anon_sym_LPAREN2] = ACTIONS(5063),
    [anon_sym_TILDE] = ACTIONS(5063),
    [anon_sym_STAR] = ACTIONS(5063),
    [anon_sym_AMP_AMP] = ACTIONS(5063),
    [anon_sym_AMP] = ACTIONS(5061),
    [anon_sym___extension__] = ACTIONS(5061),
    [anon_sym_typedef] = ACTIONS(5061),
    [anon_sym_extern] = ACTIONS(5061),
    [anon_sym___attribute__] = ACTIONS(5061),
    [anon_sym_COLON_COLON] = ACTIONS(5063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5063),
    [anon_sym___declspec] = ACTIONS(5061),
    [anon_sym___based] = ACTIONS(5061),
    [anon_sym_RBRACE] = ACTIONS(5063),
    [anon_sym_signed] = ACTIONS(5061),
    [anon_sym_unsigned] = ACTIONS(5061),
    [anon_sym_long] = ACTIONS(5061),
    [anon_sym_short] = ACTIONS(5061),
    [anon_sym_LBRACK] = ACTIONS(5061),
    [anon_sym_static] = ACTIONS(5061),
    [anon_sym_register] = ACTIONS(5061),
    [anon_sym_inline] = ACTIONS(5061),
    [anon_sym___inline] = ACTIONS(5061),
    [anon_sym___inline__] = ACTIONS(5061),
    [anon_sym___forceinline] = ACTIONS(5061),
    [anon_sym_thread_local] = ACTIONS(5061),
    [anon_sym___thread] = ACTIONS(5061),
    [anon_sym_const] = ACTIONS(5061),
    [anon_sym_constexpr] = ACTIONS(5061),
    [anon_sym_volatile] = ACTIONS(5061),
    [anon_sym_restrict] = ACTIONS(5061),
    [anon_sym___restrict__] = ACTIONS(5061),
    [anon_sym__Atomic] = ACTIONS(5061),
    [anon_sym__Noreturn] = ACTIONS(5061),
    [anon_sym_noreturn] = ACTIONS(5061),
    [anon_sym_mutable] = ACTIONS(5061),
    [anon_sym_constinit] = ACTIONS(5061),
    [anon_sym_consteval] = ACTIONS(5061),
    [anon_sym_alignas] = ACTIONS(5061),
    [anon_sym__Alignas] = ACTIONS(5061),
    [sym_primitive_type] = ACTIONS(5061),
    [anon_sym_enum] = ACTIONS(5061),
    [anon_sym_class] = ACTIONS(5061),
    [anon_sym_struct] = ACTIONS(5061),
    [anon_sym_union] = ACTIONS(5061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5061),
    [anon_sym_decltype] = ACTIONS(5061),
    [sym_virtual] = ACTIONS(5061),
    [anon_sym_explicit] = ACTIONS(5061),
    [anon_sym_typename] = ACTIONS(5061),
    [anon_sym_template] = ACTIONS(5061),
    [anon_sym_operator] = ACTIONS(5061),
    [anon_sym_friend] = ACTIONS(5061),
    [anon_sym_public] = ACTIONS(5061),
    [anon_sym_private] = ACTIONS(5061),
    [anon_sym_protected] = ACTIONS(5061),
    [anon_sym_using] = ACTIONS(5061),
    [anon_sym_static_assert] = ACTIONS(5061),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_friend] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_protected] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
  },
  [2008] = {
    [sym_identifier] = ACTIONS(5065),
    [aux_sym_preproc_def_token1] = ACTIONS(5065),
    [aux_sym_preproc_if_token1] = ACTIONS(5065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5065),
    [sym_preproc_directive] = ACTIONS(5065),
    [anon_sym_LPAREN2] = ACTIONS(5067),
    [anon_sym_TILDE] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5067),
    [anon_sym_AMP_AMP] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym___extension__] = ACTIONS(5065),
    [anon_sym_typedef] = ACTIONS(5065),
    [anon_sym_extern] = ACTIONS(5065),
    [anon_sym___attribute__] = ACTIONS(5065),
    [anon_sym_COLON_COLON] = ACTIONS(5067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5067),
    [anon_sym___declspec] = ACTIONS(5065),
    [anon_sym___based] = ACTIONS(5065),
    [anon_sym_RBRACE] = ACTIONS(5067),
    [anon_sym_signed] = ACTIONS(5065),
    [anon_sym_unsigned] = ACTIONS(5065),
    [anon_sym_long] = ACTIONS(5065),
    [anon_sym_short] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [anon_sym_static] = ACTIONS(5065),
    [anon_sym_register] = ACTIONS(5065),
    [anon_sym_inline] = ACTIONS(5065),
    [anon_sym___inline] = ACTIONS(5065),
    [anon_sym___inline__] = ACTIONS(5065),
    [anon_sym___forceinline] = ACTIONS(5065),
    [anon_sym_thread_local] = ACTIONS(5065),
    [anon_sym___thread] = ACTIONS(5065),
    [anon_sym_const] = ACTIONS(5065),
    [anon_sym_constexpr] = ACTIONS(5065),
    [anon_sym_volatile] = ACTIONS(5065),
    [anon_sym_restrict] = ACTIONS(5065),
    [anon_sym___restrict__] = ACTIONS(5065),
    [anon_sym__Atomic] = ACTIONS(5065),
    [anon_sym__Noreturn] = ACTIONS(5065),
    [anon_sym_noreturn] = ACTIONS(5065),
    [anon_sym_mutable] = ACTIONS(5065),
    [anon_sym_constinit] = ACTIONS(5065),
    [anon_sym_consteval] = ACTIONS(5065),
    [anon_sym_alignas] = ACTIONS(5065),
    [anon_sym__Alignas] = ACTIONS(5065),
    [sym_primitive_type] = ACTIONS(5065),
    [anon_sym_enum] = ACTIONS(5065),
    [anon_sym_class] = ACTIONS(5065),
    [anon_sym_struct] = ACTIONS(5065),
    [anon_sym_union] = ACTIONS(5065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5065),
    [anon_sym_decltype] = ACTIONS(5065),
    [sym_virtual] = ACTIONS(5065),
    [anon_sym_explicit] = ACTIONS(5065),
    [anon_sym_typename] = ACTIONS(5065),
    [anon_sym_template] = ACTIONS(5065),
    [anon_sym_operator] = ACTIONS(5065),
    [anon_sym_friend] = ACTIONS(5065),
    [anon_sym_public] = ACTIONS(5065),
    [anon_sym_private] = ACTIONS(5065),
    [anon_sym_protected] = ACTIONS(5065),
    [anon_sym_using] = ACTIONS(5065),
    [anon_sym_static_assert] = ACTIONS(5065),
  },
  [2009] = {
    [sym_argument_list] = STATE(2358),
    [sym_initializer_list] = STATE(2358),
    [sym_identifier] = ACTIONS(5559),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5561),
    [anon_sym_COMMA] = ACTIONS(5561),
    [anon_sym_RPAREN] = ACTIONS(5561),
    [aux_sym_preproc_if_token2] = ACTIONS(5561),
    [aux_sym_preproc_else_token1] = ACTIONS(5561),
    [aux_sym_preproc_elif_token1] = ACTIONS(5559),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5561),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5561),
    [anon_sym_LPAREN2] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5559),
    [anon_sym_PLUS] = ACTIONS(5559),
    [anon_sym_STAR] = ACTIONS(5559),
    [anon_sym_SLASH] = ACTIONS(5559),
    [anon_sym_PERCENT] = ACTIONS(5559),
    [anon_sym_PIPE_PIPE] = ACTIONS(5561),
    [anon_sym_AMP_AMP] = ACTIONS(5561),
    [anon_sym_PIPE] = ACTIONS(5559),
    [anon_sym_CARET] = ACTIONS(5559),
    [anon_sym_AMP] = ACTIONS(5559),
    [anon_sym_EQ_EQ] = ACTIONS(5561),
    [anon_sym_BANG_EQ] = ACTIONS(5561),
    [anon_sym_GT] = ACTIONS(5559),
    [anon_sym_GT_EQ] = ACTIONS(5561),
    [anon_sym_LT_EQ] = ACTIONS(5559),
    [anon_sym_LT] = ACTIONS(5559),
    [anon_sym_LT_LT] = ACTIONS(5559),
    [anon_sym_GT_GT] = ACTIONS(5559),
    [anon_sym_SEMI] = ACTIONS(5561),
    [anon_sym___attribute__] = ACTIONS(5559),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5561),
    [anon_sym_LBRACK] = ACTIONS(5561),
    [anon_sym_RBRACK] = ACTIONS(5561),
    [anon_sym_EQ] = ACTIONS(5559),
    [anon_sym_COLON] = ACTIONS(5561),
    [anon_sym_QMARK] = ACTIONS(5561),
    [anon_sym_STAR_EQ] = ACTIONS(5561),
    [anon_sym_SLASH_EQ] = ACTIONS(5561),
    [anon_sym_PERCENT_EQ] = ACTIONS(5561),
    [anon_sym_PLUS_EQ] = ACTIONS(5561),
    [anon_sym_DASH_EQ] = ACTIONS(5561),
    [anon_sym_LT_LT_EQ] = ACTIONS(5561),
    [anon_sym_GT_GT_EQ] = ACTIONS(5561),
    [anon_sym_AMP_EQ] = ACTIONS(5561),
    [anon_sym_CARET_EQ] = ACTIONS(5561),
    [anon_sym_PIPE_EQ] = ACTIONS(5561),
    [anon_sym_and_eq] = ACTIONS(5559),
    [anon_sym_or_eq] = ACTIONS(5559),
    [anon_sym_xor_eq] = ACTIONS(5559),
    [anon_sym_LT_EQ_GT] = ACTIONS(5561),
    [anon_sym_or] = ACTIONS(5559),
    [anon_sym_and] = ACTIONS(5559),
    [anon_sym_bitor] = ACTIONS(5559),
    [anon_sym_xor] = ACTIONS(5559),
    [anon_sym_bitand] = ACTIONS(5559),
    [anon_sym_not_eq] = ACTIONS(5559),
    [anon_sym_DASH_DASH] = ACTIONS(5561),
    [anon_sym_PLUS_PLUS] = ACTIONS(5561),
    [anon_sym_DOT] = ACTIONS(5559),
    [anon_sym_DOT_STAR] = ACTIONS(5561),
    [anon_sym_DASH_GT] = ACTIONS(5561),
    [sym_comment] = ACTIONS(3),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(5065),
    [aux_sym_preproc_def_token1] = ACTIONS(5065),
    [aux_sym_preproc_if_token1] = ACTIONS(5065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5065),
    [sym_preproc_directive] = ACTIONS(5065),
    [anon_sym_LPAREN2] = ACTIONS(5067),
    [anon_sym_TILDE] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5067),
    [anon_sym_AMP_AMP] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym___extension__] = ACTIONS(5065),
    [anon_sym_typedef] = ACTIONS(5065),
    [anon_sym_extern] = ACTIONS(5065),
    [anon_sym___attribute__] = ACTIONS(5065),
    [anon_sym_COLON_COLON] = ACTIONS(5067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5067),
    [anon_sym___declspec] = ACTIONS(5065),
    [anon_sym___based] = ACTIONS(5065),
    [anon_sym_RBRACE] = ACTIONS(5067),
    [anon_sym_signed] = ACTIONS(5065),
    [anon_sym_unsigned] = ACTIONS(5065),
    [anon_sym_long] = ACTIONS(5065),
    [anon_sym_short] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [anon_sym_static] = ACTIONS(5065),
    [anon_sym_register] = ACTIONS(5065),
    [anon_sym_inline] = ACTIONS(5065),
    [anon_sym___inline] = ACTIONS(5065),
    [anon_sym___inline__] = ACTIONS(5065),
    [anon_sym___forceinline] = ACTIONS(5065),
    [anon_sym_thread_local] = ACTIONS(5065),
    [anon_sym___thread] = ACTIONS(5065),
    [anon_sym_const] = ACTIONS(5065),
    [anon_sym_constexpr] = ACTIONS(5065),
    [anon_sym_volatile] = ACTIONS(5065),
    [anon_sym_restrict] = ACTIONS(5065),
    [anon_sym___restrict__] = ACTIONS(5065),
    [anon_sym__Atomic] = ACTIONS(5065),
    [anon_sym__Noreturn] = ACTIONS(5065),
    [anon_sym_noreturn] = ACTIONS(5065),
    [anon_sym_mutable] = ACTIONS(5065),
    [anon_sym_constinit] = ACTIONS(5065),
    [anon_sym_consteval] = ACTIONS(5065),
    [anon_sym_alignas] = ACTIONS(5065),
    [anon_sym__Alignas] = ACTIONS(5065),
    [sym_primitive_type] = ACTIONS(5065),
    [anon_sym_enum] = ACTIONS(5065),
    [anon_sym_class] = ACTIONS(5065),
    [anon_sym_struct] = ACTIONS(5065),
    [anon_sym_union] = ACTIONS(5065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5065),
    [anon_sym_decltype] = ACTIONS(5065),
    [sym_virtual] = ACTIONS(5065),
    [anon_sym_explicit] = ACTIONS(5065),
    [anon_sym_typename] = ACTIONS(5065),
    [anon_sym_template] = ACTIONS(5065),
    [anon_sym_operator] = ACTIONS(5065),
    [anon_sym_friend] = ACTIONS(5065),
    [anon_sym_public] = ACTIONS(5065),
    [anon_sym_private] = ACTIONS(5065),
    [anon_sym_protected] = ACTIONS(5065),
    [anon_sym_using] = ACTIONS(5065),
    [anon_sym_static_assert] = ACTIONS(5065),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(5069),
    [aux_sym_preproc_def_token1] = ACTIONS(5069),
    [aux_sym_preproc_if_token1] = ACTIONS(5069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5069),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5069),
    [sym_preproc_directive] = ACTIONS(5069),
    [anon_sym_LPAREN2] = ACTIONS(5071),
    [anon_sym_TILDE] = ACTIONS(5071),
    [anon_sym_STAR] = ACTIONS(5071),
    [anon_sym_AMP_AMP] = ACTIONS(5071),
    [anon_sym_AMP] = ACTIONS(5069),
    [anon_sym___extension__] = ACTIONS(5069),
    [anon_sym_typedef] = ACTIONS(5069),
    [anon_sym_extern] = ACTIONS(5069),
    [anon_sym___attribute__] = ACTIONS(5069),
    [anon_sym_COLON_COLON] = ACTIONS(5071),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5071),
    [anon_sym___declspec] = ACTIONS(5069),
    [anon_sym___based] = ACTIONS(5069),
    [anon_sym_RBRACE] = ACTIONS(5071),
    [anon_sym_signed] = ACTIONS(5069),
    [anon_sym_unsigned] = ACTIONS(5069),
    [anon_sym_long] = ACTIONS(5069),
    [anon_sym_short] = ACTIONS(5069),
    [anon_sym_LBRACK] = ACTIONS(5069),
    [anon_sym_static] = ACTIONS(5069),
    [anon_sym_register] = ACTIONS(5069),
    [anon_sym_inline] = ACTIONS(5069),
    [anon_sym___inline] = ACTIONS(5069),
    [anon_sym___inline__] = ACTIONS(5069),
    [anon_sym___forceinline] = ACTIONS(5069),
    [anon_sym_thread_local] = ACTIONS(5069),
    [anon_sym___thread] = ACTIONS(5069),
    [anon_sym_const] = ACTIONS(5069),
    [anon_sym_constexpr] = ACTIONS(5069),
    [anon_sym_volatile] = ACTIONS(5069),
    [anon_sym_restrict] = ACTIONS(5069),
    [anon_sym___restrict__] = ACTIONS(5069),
    [anon_sym__Atomic] = ACTIONS(5069),
    [anon_sym__Noreturn] = ACTIONS(5069),
    [anon_sym_noreturn] = ACTIONS(5069),
    [anon_sym_mutable] = ACTIONS(5069),
    [anon_sym_constinit] = ACTIONS(5069),
    [anon_sym_consteval] = ACTIONS(5069),
    [anon_sym_alignas] = ACTIONS(5069),
    [anon_sym__Alignas] = ACTIONS(5069),
    [sym_primitive_type] = ACTIONS(5069),
    [anon_sym_enum] = ACTIONS(5069),
    [anon_sym_class] = ACTIONS(5069),
    [anon_sym_struct] = ACTIONS(5069),
    [anon_sym_union] = ACTIONS(5069),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5069),
    [anon_sym_decltype] = ACTIONS(5069),
    [sym_virtual] = ACTIONS(5069),
    [anon_sym_explicit] = ACTIONS(5069),
    [anon_sym_typename] = ACTIONS(5069),
    [anon_sym_template] = ACTIONS(5069),
    [anon_sym_operator] = ACTIONS(5069),
    [anon_sym_friend] = ACTIONS(5069),
    [anon_sym_public] = ACTIONS(5069),
    [anon_sym_private] = ACTIONS(5069),
    [anon_sym_protected] = ACTIONS(5069),
    [anon_sym_using] = ACTIONS(5069),
    [anon_sym_static_assert] = ACTIONS(5069),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym_RBRACE] = ACTIONS(3019),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [sym_virtual] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_friend] = ACTIONS(3017),
    [anon_sym_public] = ACTIONS(3017),
    [anon_sym_private] = ACTIONS(3017),
    [anon_sym_protected] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
  },
  [2013] = {
    [sym_identifier] = ACTIONS(5073),
    [aux_sym_preproc_def_token1] = ACTIONS(5073),
    [aux_sym_preproc_if_token1] = ACTIONS(5073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5073),
    [sym_preproc_directive] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(5075),
    [anon_sym_TILDE] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_AMP_AMP] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5073),
    [anon_sym___extension__] = ACTIONS(5073),
    [anon_sym_typedef] = ACTIONS(5073),
    [anon_sym_extern] = ACTIONS(5073),
    [anon_sym___attribute__] = ACTIONS(5073),
    [anon_sym_COLON_COLON] = ACTIONS(5075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5075),
    [anon_sym___declspec] = ACTIONS(5073),
    [anon_sym___based] = ACTIONS(5073),
    [anon_sym_RBRACE] = ACTIONS(5075),
    [anon_sym_signed] = ACTIONS(5073),
    [anon_sym_unsigned] = ACTIONS(5073),
    [anon_sym_long] = ACTIONS(5073),
    [anon_sym_short] = ACTIONS(5073),
    [anon_sym_LBRACK] = ACTIONS(5073),
    [anon_sym_static] = ACTIONS(5073),
    [anon_sym_register] = ACTIONS(5073),
    [anon_sym_inline] = ACTIONS(5073),
    [anon_sym___inline] = ACTIONS(5073),
    [anon_sym___inline__] = ACTIONS(5073),
    [anon_sym___forceinline] = ACTIONS(5073),
    [anon_sym_thread_local] = ACTIONS(5073),
    [anon_sym___thread] = ACTIONS(5073),
    [anon_sym_const] = ACTIONS(5073),
    [anon_sym_constexpr] = ACTIONS(5073),
    [anon_sym_volatile] = ACTIONS(5073),
    [anon_sym_restrict] = ACTIONS(5073),
    [anon_sym___restrict__] = ACTIONS(5073),
    [anon_sym__Atomic] = ACTIONS(5073),
    [anon_sym__Noreturn] = ACTIONS(5073),
    [anon_sym_noreturn] = ACTIONS(5073),
    [anon_sym_mutable] = ACTIONS(5073),
    [anon_sym_constinit] = ACTIONS(5073),
    [anon_sym_consteval] = ACTIONS(5073),
    [anon_sym_alignas] = ACTIONS(5073),
    [anon_sym__Alignas] = ACTIONS(5073),
    [sym_primitive_type] = ACTIONS(5073),
    [anon_sym_enum] = ACTIONS(5073),
    [anon_sym_class] = ACTIONS(5073),
    [anon_sym_struct] = ACTIONS(5073),
    [anon_sym_union] = ACTIONS(5073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5073),
    [anon_sym_decltype] = ACTIONS(5073),
    [sym_virtual] = ACTIONS(5073),
    [anon_sym_explicit] = ACTIONS(5073),
    [anon_sym_typename] = ACTIONS(5073),
    [anon_sym_template] = ACTIONS(5073),
    [anon_sym_operator] = ACTIONS(5073),
    [anon_sym_friend] = ACTIONS(5073),
    [anon_sym_public] = ACTIONS(5073),
    [anon_sym_private] = ACTIONS(5073),
    [anon_sym_protected] = ACTIONS(5073),
    [anon_sym_using] = ACTIONS(5073),
    [anon_sym_static_assert] = ACTIONS(5073),
  },
  [2014] = {
    [sym_identifier] = ACTIONS(4932),
    [aux_sym_preproc_def_token1] = ACTIONS(4932),
    [aux_sym_preproc_if_token1] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4932),
    [sym_preproc_directive] = ACTIONS(4932),
    [anon_sym_LPAREN2] = ACTIONS(4934),
    [anon_sym_TILDE] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4934),
    [anon_sym_AMP_AMP] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(4932),
    [anon_sym_typedef] = ACTIONS(4932),
    [anon_sym_extern] = ACTIONS(4932),
    [anon_sym___attribute__] = ACTIONS(4932),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4934),
    [anon_sym___declspec] = ACTIONS(4932),
    [anon_sym___based] = ACTIONS(4932),
    [anon_sym_RBRACE] = ACTIONS(4934),
    [anon_sym_signed] = ACTIONS(4932),
    [anon_sym_unsigned] = ACTIONS(4932),
    [anon_sym_long] = ACTIONS(4932),
    [anon_sym_short] = ACTIONS(4932),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_static] = ACTIONS(4932),
    [anon_sym_register] = ACTIONS(4932),
    [anon_sym_inline] = ACTIONS(4932),
    [anon_sym___inline] = ACTIONS(4932),
    [anon_sym___inline__] = ACTIONS(4932),
    [anon_sym___forceinline] = ACTIONS(4932),
    [anon_sym_thread_local] = ACTIONS(4932),
    [anon_sym___thread] = ACTIONS(4932),
    [anon_sym_const] = ACTIONS(4932),
    [anon_sym_constexpr] = ACTIONS(4932),
    [anon_sym_volatile] = ACTIONS(4932),
    [anon_sym_restrict] = ACTIONS(4932),
    [anon_sym___restrict__] = ACTIONS(4932),
    [anon_sym__Atomic] = ACTIONS(4932),
    [anon_sym__Noreturn] = ACTIONS(4932),
    [anon_sym_noreturn] = ACTIONS(4932),
    [anon_sym_mutable] = ACTIONS(4932),
    [anon_sym_constinit] = ACTIONS(4932),
    [anon_sym_consteval] = ACTIONS(4932),
    [anon_sym_alignas] = ACTIONS(4932),
    [anon_sym__Alignas] = ACTIONS(4932),
    [sym_primitive_type] = ACTIONS(4932),
    [anon_sym_enum] = ACTIONS(4932),
    [anon_sym_class] = ACTIONS(4932),
    [anon_sym_struct] = ACTIONS(4932),
    [anon_sym_union] = ACTIONS(4932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4932),
    [anon_sym_decltype] = ACTIONS(4932),
    [sym_virtual] = ACTIONS(4932),
    [anon_sym_explicit] = ACTIONS(4932),
    [anon_sym_typename] = ACTIONS(4932),
    [anon_sym_template] = ACTIONS(4932),
    [anon_sym_operator] = ACTIONS(4932),
    [anon_sym_friend] = ACTIONS(4932),
    [anon_sym_public] = ACTIONS(4932),
    [anon_sym_private] = ACTIONS(4932),
    [anon_sym_protected] = ACTIONS(4932),
    [anon_sym_using] = ACTIONS(4932),
    [anon_sym_static_assert] = ACTIONS(4932),
  },
  [2015] = {
    [sym_identifier] = ACTIONS(5077),
    [aux_sym_preproc_def_token1] = ACTIONS(5077),
    [aux_sym_preproc_if_token1] = ACTIONS(5077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5077),
    [sym_preproc_directive] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5079),
    [anon_sym_TILDE] = ACTIONS(5079),
    [anon_sym_STAR] = ACTIONS(5079),
    [anon_sym_AMP_AMP] = ACTIONS(5079),
    [anon_sym_AMP] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(5077),
    [anon_sym_typedef] = ACTIONS(5077),
    [anon_sym_extern] = ACTIONS(5077),
    [anon_sym___attribute__] = ACTIONS(5077),
    [anon_sym_COLON_COLON] = ACTIONS(5079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5079),
    [anon_sym___declspec] = ACTIONS(5077),
    [anon_sym___based] = ACTIONS(5077),
    [anon_sym_RBRACE] = ACTIONS(5079),
    [anon_sym_signed] = ACTIONS(5077),
    [anon_sym_unsigned] = ACTIONS(5077),
    [anon_sym_long] = ACTIONS(5077),
    [anon_sym_short] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [anon_sym_static] = ACTIONS(5077),
    [anon_sym_register] = ACTIONS(5077),
    [anon_sym_inline] = ACTIONS(5077),
    [anon_sym___inline] = ACTIONS(5077),
    [anon_sym___inline__] = ACTIONS(5077),
    [anon_sym___forceinline] = ACTIONS(5077),
    [anon_sym_thread_local] = ACTIONS(5077),
    [anon_sym___thread] = ACTIONS(5077),
    [anon_sym_const] = ACTIONS(5077),
    [anon_sym_constexpr] = ACTIONS(5077),
    [anon_sym_volatile] = ACTIONS(5077),
    [anon_sym_restrict] = ACTIONS(5077),
    [anon_sym___restrict__] = ACTIONS(5077),
    [anon_sym__Atomic] = ACTIONS(5077),
    [anon_sym__Noreturn] = ACTIONS(5077),
    [anon_sym_noreturn] = ACTIONS(5077),
    [anon_sym_mutable] = ACTIONS(5077),
    [anon_sym_constinit] = ACTIONS(5077),
    [anon_sym_consteval] = ACTIONS(5077),
    [anon_sym_alignas] = ACTIONS(5077),
    [anon_sym__Alignas] = ACTIONS(5077),
    [sym_primitive_type] = ACTIONS(5077),
    [anon_sym_enum] = ACTIONS(5077),
    [anon_sym_class] = ACTIONS(5077),
    [anon_sym_struct] = ACTIONS(5077),
    [anon_sym_union] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5077),
    [anon_sym_decltype] = ACTIONS(5077),
    [sym_virtual] = ACTIONS(5077),
    [anon_sym_explicit] = ACTIONS(5077),
    [anon_sym_typename] = ACTIONS(5077),
    [anon_sym_template] = ACTIONS(5077),
    [anon_sym_operator] = ACTIONS(5077),
    [anon_sym_friend] = ACTIONS(5077),
    [anon_sym_public] = ACTIONS(5077),
    [anon_sym_private] = ACTIONS(5077),
    [anon_sym_protected] = ACTIONS(5077),
    [anon_sym_using] = ACTIONS(5077),
    [anon_sym_static_assert] = ACTIONS(5077),
  },
  [2016] = {
    [sym_identifier] = ACTIONS(5081),
    [aux_sym_preproc_def_token1] = ACTIONS(5081),
    [aux_sym_preproc_if_token1] = ACTIONS(5081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5081),
    [sym_preproc_directive] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5083),
    [anon_sym_TILDE] = ACTIONS(5083),
    [anon_sym_STAR] = ACTIONS(5083),
    [anon_sym_AMP_AMP] = ACTIONS(5083),
    [anon_sym_AMP] = ACTIONS(5081),
    [anon_sym___extension__] = ACTIONS(5081),
    [anon_sym_typedef] = ACTIONS(5081),
    [anon_sym_extern] = ACTIONS(5081),
    [anon_sym___attribute__] = ACTIONS(5081),
    [anon_sym_COLON_COLON] = ACTIONS(5083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5083),
    [anon_sym___declspec] = ACTIONS(5081),
    [anon_sym___based] = ACTIONS(5081),
    [anon_sym_RBRACE] = ACTIONS(5083),
    [anon_sym_signed] = ACTIONS(5081),
    [anon_sym_unsigned] = ACTIONS(5081),
    [anon_sym_long] = ACTIONS(5081),
    [anon_sym_short] = ACTIONS(5081),
    [anon_sym_LBRACK] = ACTIONS(5081),
    [anon_sym_static] = ACTIONS(5081),
    [anon_sym_register] = ACTIONS(5081),
    [anon_sym_inline] = ACTIONS(5081),
    [anon_sym___inline] = ACTIONS(5081),
    [anon_sym___inline__] = ACTIONS(5081),
    [anon_sym___forceinline] = ACTIONS(5081),
    [anon_sym_thread_local] = ACTIONS(5081),
    [anon_sym___thread] = ACTIONS(5081),
    [anon_sym_const] = ACTIONS(5081),
    [anon_sym_constexpr] = ACTIONS(5081),
    [anon_sym_volatile] = ACTIONS(5081),
    [anon_sym_restrict] = ACTIONS(5081),
    [anon_sym___restrict__] = ACTIONS(5081),
    [anon_sym__Atomic] = ACTIONS(5081),
    [anon_sym__Noreturn] = ACTIONS(5081),
    [anon_sym_noreturn] = ACTIONS(5081),
    [anon_sym_mutable] = ACTIONS(5081),
    [anon_sym_constinit] = ACTIONS(5081),
    [anon_sym_consteval] = ACTIONS(5081),
    [anon_sym_alignas] = ACTIONS(5081),
    [anon_sym__Alignas] = ACTIONS(5081),
    [sym_primitive_type] = ACTIONS(5081),
    [anon_sym_enum] = ACTIONS(5081),
    [anon_sym_class] = ACTIONS(5081),
    [anon_sym_struct] = ACTIONS(5081),
    [anon_sym_union] = ACTIONS(5081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5081),
    [anon_sym_decltype] = ACTIONS(5081),
    [sym_virtual] = ACTIONS(5081),
    [anon_sym_explicit] = ACTIONS(5081),
    [anon_sym_typename] = ACTIONS(5081),
    [anon_sym_template] = ACTIONS(5081),
    [anon_sym_operator] = ACTIONS(5081),
    [anon_sym_friend] = ACTIONS(5081),
    [anon_sym_public] = ACTIONS(5081),
    [anon_sym_private] = ACTIONS(5081),
    [anon_sym_protected] = ACTIONS(5081),
    [anon_sym_using] = ACTIONS(5081),
    [anon_sym_static_assert] = ACTIONS(5081),
  },
  [2017] = {
    [sym_identifier] = ACTIONS(5001),
    [aux_sym_preproc_def_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token1] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5001),
    [sym_preproc_directive] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5003),
    [anon_sym_TILDE] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_AMP_AMP] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5001),
    [anon_sym___extension__] = ACTIONS(5001),
    [anon_sym_typedef] = ACTIONS(5001),
    [anon_sym_extern] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(5003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5003),
    [anon_sym___declspec] = ACTIONS(5001),
    [anon_sym___based] = ACTIONS(5001),
    [anon_sym_RBRACE] = ACTIONS(5003),
    [anon_sym_signed] = ACTIONS(5001),
    [anon_sym_unsigned] = ACTIONS(5001),
    [anon_sym_long] = ACTIONS(5001),
    [anon_sym_short] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_static] = ACTIONS(5001),
    [anon_sym_register] = ACTIONS(5001),
    [anon_sym_inline] = ACTIONS(5001),
    [anon_sym___inline] = ACTIONS(5001),
    [anon_sym___inline__] = ACTIONS(5001),
    [anon_sym___forceinline] = ACTIONS(5001),
    [anon_sym_thread_local] = ACTIONS(5001),
    [anon_sym___thread] = ACTIONS(5001),
    [anon_sym_const] = ACTIONS(5001),
    [anon_sym_constexpr] = ACTIONS(5001),
    [anon_sym_volatile] = ACTIONS(5001),
    [anon_sym_restrict] = ACTIONS(5001),
    [anon_sym___restrict__] = ACTIONS(5001),
    [anon_sym__Atomic] = ACTIONS(5001),
    [anon_sym__Noreturn] = ACTIONS(5001),
    [anon_sym_noreturn] = ACTIONS(5001),
    [anon_sym_mutable] = ACTIONS(5001),
    [anon_sym_constinit] = ACTIONS(5001),
    [anon_sym_consteval] = ACTIONS(5001),
    [anon_sym_alignas] = ACTIONS(5001),
    [anon_sym__Alignas] = ACTIONS(5001),
    [sym_primitive_type] = ACTIONS(5001),
    [anon_sym_enum] = ACTIONS(5001),
    [anon_sym_class] = ACTIONS(5001),
    [anon_sym_struct] = ACTIONS(5001),
    [anon_sym_union] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5001),
    [anon_sym_decltype] = ACTIONS(5001),
    [sym_virtual] = ACTIONS(5001),
    [anon_sym_explicit] = ACTIONS(5001),
    [anon_sym_typename] = ACTIONS(5001),
    [anon_sym_template] = ACTIONS(5001),
    [anon_sym_operator] = ACTIONS(5001),
    [anon_sym_friend] = ACTIONS(5001),
    [anon_sym_public] = ACTIONS(5001),
    [anon_sym_private] = ACTIONS(5001),
    [anon_sym_protected] = ACTIONS(5001),
    [anon_sym_using] = ACTIONS(5001),
    [anon_sym_static_assert] = ACTIONS(5001),
  },
  [2018] = {
    [sym_identifier] = ACTIONS(5001),
    [aux_sym_preproc_def_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token1] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5001),
    [sym_preproc_directive] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5003),
    [anon_sym_TILDE] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_AMP_AMP] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5001),
    [anon_sym___extension__] = ACTIONS(5001),
    [anon_sym_typedef] = ACTIONS(5001),
    [anon_sym_extern] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(5003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5003),
    [anon_sym___declspec] = ACTIONS(5001),
    [anon_sym___based] = ACTIONS(5001),
    [anon_sym_RBRACE] = ACTIONS(5003),
    [anon_sym_signed] = ACTIONS(5001),
    [anon_sym_unsigned] = ACTIONS(5001),
    [anon_sym_long] = ACTIONS(5001),
    [anon_sym_short] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_static] = ACTIONS(5001),
    [anon_sym_register] = ACTIONS(5001),
    [anon_sym_inline] = ACTIONS(5001),
    [anon_sym___inline] = ACTIONS(5001),
    [anon_sym___inline__] = ACTIONS(5001),
    [anon_sym___forceinline] = ACTIONS(5001),
    [anon_sym_thread_local] = ACTIONS(5001),
    [anon_sym___thread] = ACTIONS(5001),
    [anon_sym_const] = ACTIONS(5001),
    [anon_sym_constexpr] = ACTIONS(5001),
    [anon_sym_volatile] = ACTIONS(5001),
    [anon_sym_restrict] = ACTIONS(5001),
    [anon_sym___restrict__] = ACTIONS(5001),
    [anon_sym__Atomic] = ACTIONS(5001),
    [anon_sym__Noreturn] = ACTIONS(5001),
    [anon_sym_noreturn] = ACTIONS(5001),
    [anon_sym_mutable] = ACTIONS(5001),
    [anon_sym_constinit] = ACTIONS(5001),
    [anon_sym_consteval] = ACTIONS(5001),
    [anon_sym_alignas] = ACTIONS(5001),
    [anon_sym__Alignas] = ACTIONS(5001),
    [sym_primitive_type] = ACTIONS(5001),
    [anon_sym_enum] = ACTIONS(5001),
    [anon_sym_class] = ACTIONS(5001),
    [anon_sym_struct] = ACTIONS(5001),
    [anon_sym_union] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5001),
    [anon_sym_decltype] = ACTIONS(5001),
    [sym_virtual] = ACTIONS(5001),
    [anon_sym_explicit] = ACTIONS(5001),
    [anon_sym_typename] = ACTIONS(5001),
    [anon_sym_template] = ACTIONS(5001),
    [anon_sym_operator] = ACTIONS(5001),
    [anon_sym_friend] = ACTIONS(5001),
    [anon_sym_public] = ACTIONS(5001),
    [anon_sym_private] = ACTIONS(5001),
    [anon_sym_protected] = ACTIONS(5001),
    [anon_sym_using] = ACTIONS(5001),
    [anon_sym_static_assert] = ACTIONS(5001),
  },
  [2019] = {
    [sym_identifier] = ACTIONS(5154),
    [aux_sym_preproc_def_token1] = ACTIONS(5154),
    [aux_sym_preproc_if_token1] = ACTIONS(5154),
    [aux_sym_preproc_if_token2] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5154),
    [sym_preproc_directive] = ACTIONS(5154),
    [anon_sym_LPAREN2] = ACTIONS(5156),
    [anon_sym_TILDE] = ACTIONS(5156),
    [anon_sym_STAR] = ACTIONS(5156),
    [anon_sym_AMP_AMP] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(5154),
    [anon_sym___extension__] = ACTIONS(5154),
    [anon_sym_typedef] = ACTIONS(5154),
    [anon_sym_extern] = ACTIONS(5154),
    [anon_sym___attribute__] = ACTIONS(5154),
    [anon_sym_COLON_COLON] = ACTIONS(5156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5156),
    [anon_sym___declspec] = ACTIONS(5154),
    [anon_sym___based] = ACTIONS(5154),
    [anon_sym_signed] = ACTIONS(5154),
    [anon_sym_unsigned] = ACTIONS(5154),
    [anon_sym_long] = ACTIONS(5154),
    [anon_sym_short] = ACTIONS(5154),
    [anon_sym_LBRACK] = ACTIONS(5154),
    [anon_sym_static] = ACTIONS(5154),
    [anon_sym_register] = ACTIONS(5154),
    [anon_sym_inline] = ACTIONS(5154),
    [anon_sym___inline] = ACTIONS(5154),
    [anon_sym___inline__] = ACTIONS(5154),
    [anon_sym___forceinline] = ACTIONS(5154),
    [anon_sym_thread_local] = ACTIONS(5154),
    [anon_sym___thread] = ACTIONS(5154),
    [anon_sym_const] = ACTIONS(5154),
    [anon_sym_constexpr] = ACTIONS(5154),
    [anon_sym_volatile] = ACTIONS(5154),
    [anon_sym_restrict] = ACTIONS(5154),
    [anon_sym___restrict__] = ACTIONS(5154),
    [anon_sym__Atomic] = ACTIONS(5154),
    [anon_sym__Noreturn] = ACTIONS(5154),
    [anon_sym_noreturn] = ACTIONS(5154),
    [anon_sym_mutable] = ACTIONS(5154),
    [anon_sym_constinit] = ACTIONS(5154),
    [anon_sym_consteval] = ACTIONS(5154),
    [anon_sym_alignas] = ACTIONS(5154),
    [anon_sym__Alignas] = ACTIONS(5154),
    [sym_primitive_type] = ACTIONS(5154),
    [anon_sym_enum] = ACTIONS(5154),
    [anon_sym_class] = ACTIONS(5154),
    [anon_sym_struct] = ACTIONS(5154),
    [anon_sym_union] = ACTIONS(5154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5154),
    [anon_sym_decltype] = ACTIONS(5154),
    [sym_virtual] = ACTIONS(5154),
    [anon_sym_explicit] = ACTIONS(5154),
    [anon_sym_typename] = ACTIONS(5154),
    [anon_sym_template] = ACTIONS(5154),
    [anon_sym_operator] = ACTIONS(5154),
    [anon_sym_friend] = ACTIONS(5154),
    [anon_sym_public] = ACTIONS(5154),
    [anon_sym_private] = ACTIONS(5154),
    [anon_sym_protected] = ACTIONS(5154),
    [anon_sym_using] = ACTIONS(5154),
    [anon_sym_static_assert] = ACTIONS(5154),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(5001),
    [aux_sym_preproc_def_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token1] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5001),
    [sym_preproc_directive] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5003),
    [anon_sym_TILDE] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_AMP_AMP] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5001),
    [anon_sym___extension__] = ACTIONS(5001),
    [anon_sym_typedef] = ACTIONS(5001),
    [anon_sym_extern] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(5003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5003),
    [anon_sym___declspec] = ACTIONS(5001),
    [anon_sym___based] = ACTIONS(5001),
    [anon_sym_RBRACE] = ACTIONS(5003),
    [anon_sym_signed] = ACTIONS(5001),
    [anon_sym_unsigned] = ACTIONS(5001),
    [anon_sym_long] = ACTIONS(5001),
    [anon_sym_short] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_static] = ACTIONS(5001),
    [anon_sym_register] = ACTIONS(5001),
    [anon_sym_inline] = ACTIONS(5001),
    [anon_sym___inline] = ACTIONS(5001),
    [anon_sym___inline__] = ACTIONS(5001),
    [anon_sym___forceinline] = ACTIONS(5001),
    [anon_sym_thread_local] = ACTIONS(5001),
    [anon_sym___thread] = ACTIONS(5001),
    [anon_sym_const] = ACTIONS(5001),
    [anon_sym_constexpr] = ACTIONS(5001),
    [anon_sym_volatile] = ACTIONS(5001),
    [anon_sym_restrict] = ACTIONS(5001),
    [anon_sym___restrict__] = ACTIONS(5001),
    [anon_sym__Atomic] = ACTIONS(5001),
    [anon_sym__Noreturn] = ACTIONS(5001),
    [anon_sym_noreturn] = ACTIONS(5001),
    [anon_sym_mutable] = ACTIONS(5001),
    [anon_sym_constinit] = ACTIONS(5001),
    [anon_sym_consteval] = ACTIONS(5001),
    [anon_sym_alignas] = ACTIONS(5001),
    [anon_sym__Alignas] = ACTIONS(5001),
    [sym_primitive_type] = ACTIONS(5001),
    [anon_sym_enum] = ACTIONS(5001),
    [anon_sym_class] = ACTIONS(5001),
    [anon_sym_struct] = ACTIONS(5001),
    [anon_sym_union] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5001),
    [anon_sym_decltype] = ACTIONS(5001),
    [sym_virtual] = ACTIONS(5001),
    [anon_sym_explicit] = ACTIONS(5001),
    [anon_sym_typename] = ACTIONS(5001),
    [anon_sym_template] = ACTIONS(5001),
    [anon_sym_operator] = ACTIONS(5001),
    [anon_sym_friend] = ACTIONS(5001),
    [anon_sym_public] = ACTIONS(5001),
    [anon_sym_private] = ACTIONS(5001),
    [anon_sym_protected] = ACTIONS(5001),
    [anon_sym_using] = ACTIONS(5001),
    [anon_sym_static_assert] = ACTIONS(5001),
  },
  [2021] = {
    [sym_identifier] = ACTIONS(5158),
    [aux_sym_preproc_def_token1] = ACTIONS(5158),
    [aux_sym_preproc_if_token1] = ACTIONS(5158),
    [aux_sym_preproc_if_token2] = ACTIONS(5158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5158),
    [sym_preproc_directive] = ACTIONS(5158),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_TILDE] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5160),
    [anon_sym_AMP_AMP] = ACTIONS(5160),
    [anon_sym_AMP] = ACTIONS(5158),
    [anon_sym___extension__] = ACTIONS(5158),
    [anon_sym_typedef] = ACTIONS(5158),
    [anon_sym_extern] = ACTIONS(5158),
    [anon_sym___attribute__] = ACTIONS(5158),
    [anon_sym_COLON_COLON] = ACTIONS(5160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5160),
    [anon_sym___declspec] = ACTIONS(5158),
    [anon_sym___based] = ACTIONS(5158),
    [anon_sym_signed] = ACTIONS(5158),
    [anon_sym_unsigned] = ACTIONS(5158),
    [anon_sym_long] = ACTIONS(5158),
    [anon_sym_short] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5158),
    [anon_sym_static] = ACTIONS(5158),
    [anon_sym_register] = ACTIONS(5158),
    [anon_sym_inline] = ACTIONS(5158),
    [anon_sym___inline] = ACTIONS(5158),
    [anon_sym___inline__] = ACTIONS(5158),
    [anon_sym___forceinline] = ACTIONS(5158),
    [anon_sym_thread_local] = ACTIONS(5158),
    [anon_sym___thread] = ACTIONS(5158),
    [anon_sym_const] = ACTIONS(5158),
    [anon_sym_constexpr] = ACTIONS(5158),
    [anon_sym_volatile] = ACTIONS(5158),
    [anon_sym_restrict] = ACTIONS(5158),
    [anon_sym___restrict__] = ACTIONS(5158),
    [anon_sym__Atomic] = ACTIONS(5158),
    [anon_sym__Noreturn] = ACTIONS(5158),
    [anon_sym_noreturn] = ACTIONS(5158),
    [anon_sym_mutable] = ACTIONS(5158),
    [anon_sym_constinit] = ACTIONS(5158),
    [anon_sym_consteval] = ACTIONS(5158),
    [anon_sym_alignas] = ACTIONS(5158),
    [anon_sym__Alignas] = ACTIONS(5158),
    [sym_primitive_type] = ACTIONS(5158),
    [anon_sym_enum] = ACTIONS(5158),
    [anon_sym_class] = ACTIONS(5158),
    [anon_sym_struct] = ACTIONS(5158),
    [anon_sym_union] = ACTIONS(5158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5158),
    [anon_sym_decltype] = ACTIONS(5158),
    [sym_virtual] = ACTIONS(5158),
    [anon_sym_explicit] = ACTIONS(5158),
    [anon_sym_typename] = ACTIONS(5158),
    [anon_sym_template] = ACTIONS(5158),
    [anon_sym_operator] = ACTIONS(5158),
    [anon_sym_friend] = ACTIONS(5158),
    [anon_sym_public] = ACTIONS(5158),
    [anon_sym_private] = ACTIONS(5158),
    [anon_sym_protected] = ACTIONS(5158),
    [anon_sym_using] = ACTIONS(5158),
    [anon_sym_static_assert] = ACTIONS(5158),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(5085),
    [aux_sym_preproc_def_token1] = ACTIONS(5085),
    [aux_sym_preproc_if_token1] = ACTIONS(5085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5085),
    [sym_preproc_directive] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(5087),
    [anon_sym_TILDE] = ACTIONS(5087),
    [anon_sym_STAR] = ACTIONS(5087),
    [anon_sym_AMP_AMP] = ACTIONS(5087),
    [anon_sym_AMP] = ACTIONS(5085),
    [anon_sym___extension__] = ACTIONS(5085),
    [anon_sym_typedef] = ACTIONS(5085),
    [anon_sym_extern] = ACTIONS(5085),
    [anon_sym___attribute__] = ACTIONS(5085),
    [anon_sym_COLON_COLON] = ACTIONS(5087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5087),
    [anon_sym___declspec] = ACTIONS(5085),
    [anon_sym___based] = ACTIONS(5085),
    [anon_sym_RBRACE] = ACTIONS(5087),
    [anon_sym_signed] = ACTIONS(5085),
    [anon_sym_unsigned] = ACTIONS(5085),
    [anon_sym_long] = ACTIONS(5085),
    [anon_sym_short] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(5085),
    [anon_sym_static] = ACTIONS(5085),
    [anon_sym_register] = ACTIONS(5085),
    [anon_sym_inline] = ACTIONS(5085),
    [anon_sym___inline] = ACTIONS(5085),
    [anon_sym___inline__] = ACTIONS(5085),
    [anon_sym___forceinline] = ACTIONS(5085),
    [anon_sym_thread_local] = ACTIONS(5085),
    [anon_sym___thread] = ACTIONS(5085),
    [anon_sym_const] = ACTIONS(5085),
    [anon_sym_constexpr] = ACTIONS(5085),
    [anon_sym_volatile] = ACTIONS(5085),
    [anon_sym_restrict] = ACTIONS(5085),
    [anon_sym___restrict__] = ACTIONS(5085),
    [anon_sym__Atomic] = ACTIONS(5085),
    [anon_sym__Noreturn] = ACTIONS(5085),
    [anon_sym_noreturn] = ACTIONS(5085),
    [anon_sym_mutable] = ACTIONS(5085),
    [anon_sym_constinit] = ACTIONS(5085),
    [anon_sym_consteval] = ACTIONS(5085),
    [anon_sym_alignas] = ACTIONS(5085),
    [anon_sym__Alignas] = ACTIONS(5085),
    [sym_primitive_type] = ACTIONS(5085),
    [anon_sym_enum] = ACTIONS(5085),
    [anon_sym_class] = ACTIONS(5085),
    [anon_sym_struct] = ACTIONS(5085),
    [anon_sym_union] = ACTIONS(5085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5085),
    [anon_sym_decltype] = ACTIONS(5085),
    [sym_virtual] = ACTIONS(5085),
    [anon_sym_explicit] = ACTIONS(5085),
    [anon_sym_typename] = ACTIONS(5085),
    [anon_sym_template] = ACTIONS(5085),
    [anon_sym_operator] = ACTIONS(5085),
    [anon_sym_friend] = ACTIONS(5085),
    [anon_sym_public] = ACTIONS(5085),
    [anon_sym_private] = ACTIONS(5085),
    [anon_sym_protected] = ACTIONS(5085),
    [anon_sym_using] = ACTIONS(5085),
    [anon_sym_static_assert] = ACTIONS(5085),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(5092),
    [aux_sym_preproc_def_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token1] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5092),
    [sym_preproc_directive] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_TILDE] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_AMP_AMP] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5092),
    [anon_sym___extension__] = ACTIONS(5092),
    [anon_sym_typedef] = ACTIONS(5092),
    [anon_sym_extern] = ACTIONS(5092),
    [anon_sym___attribute__] = ACTIONS(5092),
    [anon_sym_COLON_COLON] = ACTIONS(5094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5094),
    [anon_sym___declspec] = ACTIONS(5092),
    [anon_sym___based] = ACTIONS(5092),
    [anon_sym_RBRACE] = ACTIONS(5094),
    [anon_sym_signed] = ACTIONS(5092),
    [anon_sym_unsigned] = ACTIONS(5092),
    [anon_sym_long] = ACTIONS(5092),
    [anon_sym_short] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [anon_sym_static] = ACTIONS(5092),
    [anon_sym_register] = ACTIONS(5092),
    [anon_sym_inline] = ACTIONS(5092),
    [anon_sym___inline] = ACTIONS(5092),
    [anon_sym___inline__] = ACTIONS(5092),
    [anon_sym___forceinline] = ACTIONS(5092),
    [anon_sym_thread_local] = ACTIONS(5092),
    [anon_sym___thread] = ACTIONS(5092),
    [anon_sym_const] = ACTIONS(5092),
    [anon_sym_constexpr] = ACTIONS(5092),
    [anon_sym_volatile] = ACTIONS(5092),
    [anon_sym_restrict] = ACTIONS(5092),
    [anon_sym___restrict__] = ACTIONS(5092),
    [anon_sym__Atomic] = ACTIONS(5092),
    [anon_sym__Noreturn] = ACTIONS(5092),
    [anon_sym_noreturn] = ACTIONS(5092),
    [anon_sym_mutable] = ACTIONS(5092),
    [anon_sym_constinit] = ACTIONS(5092),
    [anon_sym_consteval] = ACTIONS(5092),
    [anon_sym_alignas] = ACTIONS(5092),
    [anon_sym__Alignas] = ACTIONS(5092),
    [sym_primitive_type] = ACTIONS(5092),
    [anon_sym_enum] = ACTIONS(5092),
    [anon_sym_class] = ACTIONS(5092),
    [anon_sym_struct] = ACTIONS(5092),
    [anon_sym_union] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5092),
    [anon_sym_decltype] = ACTIONS(5092),
    [sym_virtual] = ACTIONS(5092),
    [anon_sym_explicit] = ACTIONS(5092),
    [anon_sym_typename] = ACTIONS(5092),
    [anon_sym_template] = ACTIONS(5092),
    [anon_sym_operator] = ACTIONS(5092),
    [anon_sym_friend] = ACTIONS(5092),
    [anon_sym_public] = ACTIONS(5092),
    [anon_sym_private] = ACTIONS(5092),
    [anon_sym_protected] = ACTIONS(5092),
    [anon_sym_using] = ACTIONS(5092),
    [anon_sym_static_assert] = ACTIONS(5092),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(5096),
    [aux_sym_preproc_def_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token1] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5096),
    [sym_preproc_directive] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_TILDE] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym___extension__] = ACTIONS(5096),
    [anon_sym_typedef] = ACTIONS(5096),
    [anon_sym_extern] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym_COLON_COLON] = ACTIONS(5098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5098),
    [anon_sym___declspec] = ACTIONS(5096),
    [anon_sym___based] = ACTIONS(5096),
    [anon_sym_RBRACE] = ACTIONS(5098),
    [anon_sym_signed] = ACTIONS(5096),
    [anon_sym_unsigned] = ACTIONS(5096),
    [anon_sym_long] = ACTIONS(5096),
    [anon_sym_short] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [anon_sym_static] = ACTIONS(5096),
    [anon_sym_register] = ACTIONS(5096),
    [anon_sym_inline] = ACTIONS(5096),
    [anon_sym___inline] = ACTIONS(5096),
    [anon_sym___inline__] = ACTIONS(5096),
    [anon_sym___forceinline] = ACTIONS(5096),
    [anon_sym_thread_local] = ACTIONS(5096),
    [anon_sym___thread] = ACTIONS(5096),
    [anon_sym_const] = ACTIONS(5096),
    [anon_sym_constexpr] = ACTIONS(5096),
    [anon_sym_volatile] = ACTIONS(5096),
    [anon_sym_restrict] = ACTIONS(5096),
    [anon_sym___restrict__] = ACTIONS(5096),
    [anon_sym__Atomic] = ACTIONS(5096),
    [anon_sym__Noreturn] = ACTIONS(5096),
    [anon_sym_noreturn] = ACTIONS(5096),
    [anon_sym_mutable] = ACTIONS(5096),
    [anon_sym_constinit] = ACTIONS(5096),
    [anon_sym_consteval] = ACTIONS(5096),
    [anon_sym_alignas] = ACTIONS(5096),
    [anon_sym__Alignas] = ACTIONS(5096),
    [sym_primitive_type] = ACTIONS(5096),
    [anon_sym_enum] = ACTIONS(5096),
    [anon_sym_class] = ACTIONS(5096),
    [anon_sym_struct] = ACTIONS(5096),
    [anon_sym_union] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
    [sym_virtual] = ACTIONS(5096),
    [anon_sym_explicit] = ACTIONS(5096),
    [anon_sym_typename] = ACTIONS(5096),
    [anon_sym_template] = ACTIONS(5096),
    [anon_sym_operator] = ACTIONS(5096),
    [anon_sym_friend] = ACTIONS(5096),
    [anon_sym_public] = ACTIONS(5096),
    [anon_sym_private] = ACTIONS(5096),
    [anon_sym_protected] = ACTIONS(5096),
    [anon_sym_using] = ACTIONS(5096),
    [anon_sym_static_assert] = ACTIONS(5096),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(5092),
    [aux_sym_preproc_def_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token1] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5092),
    [sym_preproc_directive] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_TILDE] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_AMP_AMP] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5092),
    [anon_sym___extension__] = ACTIONS(5092),
    [anon_sym_typedef] = ACTIONS(5092),
    [anon_sym_extern] = ACTIONS(5092),
    [anon_sym___attribute__] = ACTIONS(5092),
    [anon_sym_COLON_COLON] = ACTIONS(5094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5094),
    [anon_sym___declspec] = ACTIONS(5092),
    [anon_sym___based] = ACTIONS(5092),
    [anon_sym_RBRACE] = ACTIONS(5094),
    [anon_sym_signed] = ACTIONS(5092),
    [anon_sym_unsigned] = ACTIONS(5092),
    [anon_sym_long] = ACTIONS(5092),
    [anon_sym_short] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [anon_sym_static] = ACTIONS(5092),
    [anon_sym_register] = ACTIONS(5092),
    [anon_sym_inline] = ACTIONS(5092),
    [anon_sym___inline] = ACTIONS(5092),
    [anon_sym___inline__] = ACTIONS(5092),
    [anon_sym___forceinline] = ACTIONS(5092),
    [anon_sym_thread_local] = ACTIONS(5092),
    [anon_sym___thread] = ACTIONS(5092),
    [anon_sym_const] = ACTIONS(5092),
    [anon_sym_constexpr] = ACTIONS(5092),
    [anon_sym_volatile] = ACTIONS(5092),
    [anon_sym_restrict] = ACTIONS(5092),
    [anon_sym___restrict__] = ACTIONS(5092),
    [anon_sym__Atomic] = ACTIONS(5092),
    [anon_sym__Noreturn] = ACTIONS(5092),
    [anon_sym_noreturn] = ACTIONS(5092),
    [anon_sym_mutable] = ACTIONS(5092),
    [anon_sym_constinit] = ACTIONS(5092),
    [anon_sym_consteval] = ACTIONS(5092),
    [anon_sym_alignas] = ACTIONS(5092),
    [anon_sym__Alignas] = ACTIONS(5092),
    [sym_primitive_type] = ACTIONS(5092),
    [anon_sym_enum] = ACTIONS(5092),
    [anon_sym_class] = ACTIONS(5092),
    [anon_sym_struct] = ACTIONS(5092),
    [anon_sym_union] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5092),
    [anon_sym_decltype] = ACTIONS(5092),
    [sym_virtual] = ACTIONS(5092),
    [anon_sym_explicit] = ACTIONS(5092),
    [anon_sym_typename] = ACTIONS(5092),
    [anon_sym_template] = ACTIONS(5092),
    [anon_sym_operator] = ACTIONS(5092),
    [anon_sym_friend] = ACTIONS(5092),
    [anon_sym_public] = ACTIONS(5092),
    [anon_sym_private] = ACTIONS(5092),
    [anon_sym_protected] = ACTIONS(5092),
    [anon_sym_using] = ACTIONS(5092),
    [anon_sym_static_assert] = ACTIONS(5092),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(5096),
    [aux_sym_preproc_def_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token1] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5096),
    [sym_preproc_directive] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_TILDE] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym___extension__] = ACTIONS(5096),
    [anon_sym_typedef] = ACTIONS(5096),
    [anon_sym_extern] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym_COLON_COLON] = ACTIONS(5098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5098),
    [anon_sym___declspec] = ACTIONS(5096),
    [anon_sym___based] = ACTIONS(5096),
    [anon_sym_RBRACE] = ACTIONS(5098),
    [anon_sym_signed] = ACTIONS(5096),
    [anon_sym_unsigned] = ACTIONS(5096),
    [anon_sym_long] = ACTIONS(5096),
    [anon_sym_short] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [anon_sym_static] = ACTIONS(5096),
    [anon_sym_register] = ACTIONS(5096),
    [anon_sym_inline] = ACTIONS(5096),
    [anon_sym___inline] = ACTIONS(5096),
    [anon_sym___inline__] = ACTIONS(5096),
    [anon_sym___forceinline] = ACTIONS(5096),
    [anon_sym_thread_local] = ACTIONS(5096),
    [anon_sym___thread] = ACTIONS(5096),
    [anon_sym_const] = ACTIONS(5096),
    [anon_sym_constexpr] = ACTIONS(5096),
    [anon_sym_volatile] = ACTIONS(5096),
    [anon_sym_restrict] = ACTIONS(5096),
    [anon_sym___restrict__] = ACTIONS(5096),
    [anon_sym__Atomic] = ACTIONS(5096),
    [anon_sym__Noreturn] = ACTIONS(5096),
    [anon_sym_noreturn] = ACTIONS(5096),
    [anon_sym_mutable] = ACTIONS(5096),
    [anon_sym_constinit] = ACTIONS(5096),
    [anon_sym_consteval] = ACTIONS(5096),
    [anon_sym_alignas] = ACTIONS(5096),
    [anon_sym__Alignas] = ACTIONS(5096),
    [sym_primitive_type] = ACTIONS(5096),
    [anon_sym_enum] = ACTIONS(5096),
    [anon_sym_class] = ACTIONS(5096),
    [anon_sym_struct] = ACTIONS(5096),
    [anon_sym_union] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
    [sym_virtual] = ACTIONS(5096),
    [anon_sym_explicit] = ACTIONS(5096),
    [anon_sym_typename] = ACTIONS(5096),
    [anon_sym_template] = ACTIONS(5096),
    [anon_sym_operator] = ACTIONS(5096),
    [anon_sym_friend] = ACTIONS(5096),
    [anon_sym_public] = ACTIONS(5096),
    [anon_sym_private] = ACTIONS(5096),
    [anon_sym_protected] = ACTIONS(5096),
    [anon_sym_using] = ACTIONS(5096),
    [anon_sym_static_assert] = ACTIONS(5096),
  },
  [2027] = {
    [sym_identifier] = ACTIONS(4997),
    [aux_sym_preproc_def_token1] = ACTIONS(4997),
    [aux_sym_preproc_if_token1] = ACTIONS(4997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4997),
    [sym_preproc_directive] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_TILDE] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4997),
    [anon_sym___extension__] = ACTIONS(4997),
    [anon_sym_typedef] = ACTIONS(4997),
    [anon_sym_extern] = ACTIONS(4997),
    [anon_sym___attribute__] = ACTIONS(4997),
    [anon_sym_COLON_COLON] = ACTIONS(4999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4999),
    [anon_sym___declspec] = ACTIONS(4997),
    [anon_sym___based] = ACTIONS(4997),
    [anon_sym_RBRACE] = ACTIONS(4999),
    [anon_sym_signed] = ACTIONS(4997),
    [anon_sym_unsigned] = ACTIONS(4997),
    [anon_sym_long] = ACTIONS(4997),
    [anon_sym_short] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4997),
    [anon_sym_static] = ACTIONS(4997),
    [anon_sym_register] = ACTIONS(4997),
    [anon_sym_inline] = ACTIONS(4997),
    [anon_sym___inline] = ACTIONS(4997),
    [anon_sym___inline__] = ACTIONS(4997),
    [anon_sym___forceinline] = ACTIONS(4997),
    [anon_sym_thread_local] = ACTIONS(4997),
    [anon_sym___thread] = ACTIONS(4997),
    [anon_sym_const] = ACTIONS(4997),
    [anon_sym_constexpr] = ACTIONS(4997),
    [anon_sym_volatile] = ACTIONS(4997),
    [anon_sym_restrict] = ACTIONS(4997),
    [anon_sym___restrict__] = ACTIONS(4997),
    [anon_sym__Atomic] = ACTIONS(4997),
    [anon_sym__Noreturn] = ACTIONS(4997),
    [anon_sym_noreturn] = ACTIONS(4997),
    [anon_sym_mutable] = ACTIONS(4997),
    [anon_sym_constinit] = ACTIONS(4997),
    [anon_sym_consteval] = ACTIONS(4997),
    [anon_sym_alignas] = ACTIONS(4997),
    [anon_sym__Alignas] = ACTIONS(4997),
    [sym_primitive_type] = ACTIONS(4997),
    [anon_sym_enum] = ACTIONS(4997),
    [anon_sym_class] = ACTIONS(4997),
    [anon_sym_struct] = ACTIONS(4997),
    [anon_sym_union] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4997),
    [anon_sym_decltype] = ACTIONS(4997),
    [sym_virtual] = ACTIONS(4997),
    [anon_sym_explicit] = ACTIONS(4997),
    [anon_sym_typename] = ACTIONS(4997),
    [anon_sym_template] = ACTIONS(4997),
    [anon_sym_operator] = ACTIONS(4997),
    [anon_sym_friend] = ACTIONS(4997),
    [anon_sym_public] = ACTIONS(4997),
    [anon_sym_private] = ACTIONS(4997),
    [anon_sym_protected] = ACTIONS(4997),
    [anon_sym_using] = ACTIONS(4997),
    [anon_sym_static_assert] = ACTIONS(4997),
  },
  [2028] = {
    [sym_identifier] = ACTIONS(5254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5256),
    [anon_sym_COMMA] = ACTIONS(5256),
    [anon_sym_RPAREN] = ACTIONS(5256),
    [aux_sym_preproc_if_token2] = ACTIONS(5256),
    [aux_sym_preproc_else_token1] = ACTIONS(5256),
    [aux_sym_preproc_elif_token1] = ACTIONS(5254),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5256),
    [anon_sym_LPAREN2] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_STAR] = ACTIONS(5254),
    [anon_sym_SLASH] = ACTIONS(5254),
    [anon_sym_PERCENT] = ACTIONS(5254),
    [anon_sym_PIPE_PIPE] = ACTIONS(5256),
    [anon_sym_AMP_AMP] = ACTIONS(5256),
    [anon_sym_PIPE] = ACTIONS(5254),
    [anon_sym_CARET] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(5254),
    [anon_sym_EQ_EQ] = ACTIONS(5256),
    [anon_sym_BANG_EQ] = ACTIONS(5256),
    [anon_sym_GT] = ACTIONS(5254),
    [anon_sym_GT_EQ] = ACTIONS(5256),
    [anon_sym_LT_EQ] = ACTIONS(5254),
    [anon_sym_LT] = ACTIONS(5254),
    [anon_sym_LT_LT] = ACTIONS(5254),
    [anon_sym_GT_GT] = ACTIONS(5254),
    [anon_sym_SEMI] = ACTIONS(5256),
    [anon_sym___attribute__] = ACTIONS(5254),
    [anon_sym_LBRACE] = ACTIONS(5256),
    [anon_sym_RBRACE] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [anon_sym_RBRACK] = ACTIONS(5256),
    [anon_sym_EQ] = ACTIONS(5254),
    [anon_sym_COLON] = ACTIONS(5256),
    [anon_sym_QMARK] = ACTIONS(5256),
    [anon_sym_STAR_EQ] = ACTIONS(5256),
    [anon_sym_SLASH_EQ] = ACTIONS(5256),
    [anon_sym_PERCENT_EQ] = ACTIONS(5256),
    [anon_sym_PLUS_EQ] = ACTIONS(5256),
    [anon_sym_DASH_EQ] = ACTIONS(5256),
    [anon_sym_LT_LT_EQ] = ACTIONS(5256),
    [anon_sym_GT_GT_EQ] = ACTIONS(5256),
    [anon_sym_AMP_EQ] = ACTIONS(5256),
    [anon_sym_CARET_EQ] = ACTIONS(5256),
    [anon_sym_PIPE_EQ] = ACTIONS(5256),
    [anon_sym_and_eq] = ACTIONS(5254),
    [anon_sym_or_eq] = ACTIONS(5254),
    [anon_sym_xor_eq] = ACTIONS(5254),
    [anon_sym_LT_EQ_GT] = ACTIONS(5256),
    [anon_sym_or] = ACTIONS(5254),
    [anon_sym_and] = ACTIONS(5254),
    [anon_sym_bitor] = ACTIONS(5254),
    [anon_sym_xor] = ACTIONS(5254),
    [anon_sym_bitand] = ACTIONS(5254),
    [anon_sym_not_eq] = ACTIONS(5254),
    [anon_sym_DASH_DASH] = ACTIONS(5256),
    [anon_sym_PLUS_PLUS] = ACTIONS(5256),
    [anon_sym_DOT] = ACTIONS(5254),
    [anon_sym_DOT_STAR] = ACTIONS(5256),
    [anon_sym_DASH_GT] = ACTIONS(5256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5254),
    [anon_sym_decltype] = ACTIONS(5254),
  },
  [2029] = {
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym__Alignas] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [sym_virtual] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_friend] = ACTIONS(2828),
    [anon_sym_public] = ACTIONS(2828),
    [anon_sym_private] = ACTIONS(2828),
    [anon_sym_protected] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(2708),
    [aux_sym_preproc_def_token1] = ACTIONS(2708),
    [aux_sym_preproc_if_token1] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2708),
    [sym_preproc_directive] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_TILDE] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_AMP_AMP] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2708),
    [anon_sym_typedef] = ACTIONS(2708),
    [anon_sym_extern] = ACTIONS(2708),
    [anon_sym___attribute__] = ACTIONS(2708),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2710),
    [anon_sym___declspec] = ACTIONS(2708),
    [anon_sym___based] = ACTIONS(2708),
    [anon_sym_RBRACE] = ACTIONS(2710),
    [anon_sym_signed] = ACTIONS(2708),
    [anon_sym_unsigned] = ACTIONS(2708),
    [anon_sym_long] = ACTIONS(2708),
    [anon_sym_short] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_register] = ACTIONS(2708),
    [anon_sym_inline] = ACTIONS(2708),
    [anon_sym___inline] = ACTIONS(2708),
    [anon_sym___inline__] = ACTIONS(2708),
    [anon_sym___forceinline] = ACTIONS(2708),
    [anon_sym_thread_local] = ACTIONS(2708),
    [anon_sym___thread] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2708),
    [anon_sym_constexpr] = ACTIONS(2708),
    [anon_sym_volatile] = ACTIONS(2708),
    [anon_sym_restrict] = ACTIONS(2708),
    [anon_sym___restrict__] = ACTIONS(2708),
    [anon_sym__Atomic] = ACTIONS(2708),
    [anon_sym__Noreturn] = ACTIONS(2708),
    [anon_sym_noreturn] = ACTIONS(2708),
    [anon_sym_mutable] = ACTIONS(2708),
    [anon_sym_constinit] = ACTIONS(2708),
    [anon_sym_consteval] = ACTIONS(2708),
    [anon_sym_alignas] = ACTIONS(2708),
    [anon_sym__Alignas] = ACTIONS(2708),
    [sym_primitive_type] = ACTIONS(2708),
    [anon_sym_enum] = ACTIONS(2708),
    [anon_sym_class] = ACTIONS(2708),
    [anon_sym_struct] = ACTIONS(2708),
    [anon_sym_union] = ACTIONS(2708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2708),
    [anon_sym_decltype] = ACTIONS(2708),
    [sym_virtual] = ACTIONS(2708),
    [anon_sym_explicit] = ACTIONS(2708),
    [anon_sym_typename] = ACTIONS(2708),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(2708),
    [anon_sym_friend] = ACTIONS(2708),
    [anon_sym_public] = ACTIONS(2708),
    [anon_sym_private] = ACTIONS(2708),
    [anon_sym_protected] = ACTIONS(2708),
    [anon_sym_using] = ACTIONS(2708),
    [anon_sym_static_assert] = ACTIONS(2708),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5102),
    [anon_sym_TILDE] = ACTIONS(5102),
    [anon_sym_STAR] = ACTIONS(5102),
    [anon_sym_AMP_AMP] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(5100),
    [anon_sym___extension__] = ACTIONS(5100),
    [anon_sym_typedef] = ACTIONS(5100),
    [anon_sym_extern] = ACTIONS(5100),
    [anon_sym___attribute__] = ACTIONS(5100),
    [anon_sym_COLON_COLON] = ACTIONS(5102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5102),
    [anon_sym___declspec] = ACTIONS(5100),
    [anon_sym___based] = ACTIONS(5100),
    [anon_sym_RBRACE] = ACTIONS(5102),
    [anon_sym_signed] = ACTIONS(5100),
    [anon_sym_unsigned] = ACTIONS(5100),
    [anon_sym_long] = ACTIONS(5100),
    [anon_sym_short] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5100),
    [anon_sym_static] = ACTIONS(5100),
    [anon_sym_register] = ACTIONS(5100),
    [anon_sym_inline] = ACTIONS(5100),
    [anon_sym___inline] = ACTIONS(5100),
    [anon_sym___inline__] = ACTIONS(5100),
    [anon_sym___forceinline] = ACTIONS(5100),
    [anon_sym_thread_local] = ACTIONS(5100),
    [anon_sym___thread] = ACTIONS(5100),
    [anon_sym_const] = ACTIONS(5100),
    [anon_sym_constexpr] = ACTIONS(5100),
    [anon_sym_volatile] = ACTIONS(5100),
    [anon_sym_restrict] = ACTIONS(5100),
    [anon_sym___restrict__] = ACTIONS(5100),
    [anon_sym__Atomic] = ACTIONS(5100),
    [anon_sym__Noreturn] = ACTIONS(5100),
    [anon_sym_noreturn] = ACTIONS(5100),
    [anon_sym_mutable] = ACTIONS(5100),
    [anon_sym_constinit] = ACTIONS(5100),
    [anon_sym_consteval] = ACTIONS(5100),
    [anon_sym_alignas] = ACTIONS(5100),
    [anon_sym__Alignas] = ACTIONS(5100),
    [sym_primitive_type] = ACTIONS(5100),
    [anon_sym_enum] = ACTIONS(5100),
    [anon_sym_class] = ACTIONS(5100),
    [anon_sym_struct] = ACTIONS(5100),
    [anon_sym_union] = ACTIONS(5100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5100),
    [anon_sym_decltype] = ACTIONS(5100),
    [sym_virtual] = ACTIONS(5100),
    [anon_sym_explicit] = ACTIONS(5100),
    [anon_sym_typename] = ACTIONS(5100),
    [anon_sym_template] = ACTIONS(5100),
    [anon_sym_operator] = ACTIONS(5100),
    [anon_sym_friend] = ACTIONS(5100),
    [anon_sym_public] = ACTIONS(5100),
    [anon_sym_private] = ACTIONS(5100),
    [anon_sym_protected] = ACTIONS(5100),
    [anon_sym_using] = ACTIONS(5100),
    [anon_sym_static_assert] = ACTIONS(5100),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [anon_sym_STAR] = ACTIONS(5106),
    [anon_sym_AMP_AMP] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(5104),
    [anon_sym___extension__] = ACTIONS(5104),
    [anon_sym_typedef] = ACTIONS(5104),
    [anon_sym_extern] = ACTIONS(5104),
    [anon_sym___attribute__] = ACTIONS(5104),
    [anon_sym_COLON_COLON] = ACTIONS(5106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5106),
    [anon_sym___declspec] = ACTIONS(5104),
    [anon_sym___based] = ACTIONS(5104),
    [anon_sym_RBRACE] = ACTIONS(5106),
    [anon_sym_signed] = ACTIONS(5104),
    [anon_sym_unsigned] = ACTIONS(5104),
    [anon_sym_long] = ACTIONS(5104),
    [anon_sym_short] = ACTIONS(5104),
    [anon_sym_LBRACK] = ACTIONS(5104),
    [anon_sym_static] = ACTIONS(5104),
    [anon_sym_register] = ACTIONS(5104),
    [anon_sym_inline] = ACTIONS(5104),
    [anon_sym___inline] = ACTIONS(5104),
    [anon_sym___inline__] = ACTIONS(5104),
    [anon_sym___forceinline] = ACTIONS(5104),
    [anon_sym_thread_local] = ACTIONS(5104),
    [anon_sym___thread] = ACTIONS(5104),
    [anon_sym_const] = ACTIONS(5104),
    [anon_sym_constexpr] = ACTIONS(5104),
    [anon_sym_volatile] = ACTIONS(5104),
    [anon_sym_restrict] = ACTIONS(5104),
    [anon_sym___restrict__] = ACTIONS(5104),
    [anon_sym__Atomic] = ACTIONS(5104),
    [anon_sym__Noreturn] = ACTIONS(5104),
    [anon_sym_noreturn] = ACTIONS(5104),
    [anon_sym_mutable] = ACTIONS(5104),
    [anon_sym_constinit] = ACTIONS(5104),
    [anon_sym_consteval] = ACTIONS(5104),
    [anon_sym_alignas] = ACTIONS(5104),
    [anon_sym__Alignas] = ACTIONS(5104),
    [sym_primitive_type] = ACTIONS(5104),
    [anon_sym_enum] = ACTIONS(5104),
    [anon_sym_class] = ACTIONS(5104),
    [anon_sym_struct] = ACTIONS(5104),
    [anon_sym_union] = ACTIONS(5104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5104),
    [anon_sym_decltype] = ACTIONS(5104),
    [sym_virtual] = ACTIONS(5104),
    [anon_sym_explicit] = ACTIONS(5104),
    [anon_sym_typename] = ACTIONS(5104),
    [anon_sym_template] = ACTIONS(5104),
    [anon_sym_operator] = ACTIONS(5104),
    [anon_sym_friend] = ACTIONS(5104),
    [anon_sym_public] = ACTIONS(5104),
    [anon_sym_private] = ACTIONS(5104),
    [anon_sym_protected] = ACTIONS(5104),
    [anon_sym_using] = ACTIONS(5104),
    [anon_sym_static_assert] = ACTIONS(5104),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_AMP_AMP] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(5108),
    [anon_sym_typedef] = ACTIONS(5108),
    [anon_sym_extern] = ACTIONS(5108),
    [anon_sym___attribute__] = ACTIONS(5108),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5108),
    [anon_sym___based] = ACTIONS(5108),
    [anon_sym_RBRACE] = ACTIONS(5110),
    [anon_sym_signed] = ACTIONS(5108),
    [anon_sym_unsigned] = ACTIONS(5108),
    [anon_sym_long] = ACTIONS(5108),
    [anon_sym_short] = ACTIONS(5108),
    [anon_sym_LBRACK] = ACTIONS(5108),
    [anon_sym_static] = ACTIONS(5108),
    [anon_sym_register] = ACTIONS(5108),
    [anon_sym_inline] = ACTIONS(5108),
    [anon_sym___inline] = ACTIONS(5108),
    [anon_sym___inline__] = ACTIONS(5108),
    [anon_sym___forceinline] = ACTIONS(5108),
    [anon_sym_thread_local] = ACTIONS(5108),
    [anon_sym___thread] = ACTIONS(5108),
    [anon_sym_const] = ACTIONS(5108),
    [anon_sym_constexpr] = ACTIONS(5108),
    [anon_sym_volatile] = ACTIONS(5108),
    [anon_sym_restrict] = ACTIONS(5108),
    [anon_sym___restrict__] = ACTIONS(5108),
    [anon_sym__Atomic] = ACTIONS(5108),
    [anon_sym__Noreturn] = ACTIONS(5108),
    [anon_sym_noreturn] = ACTIONS(5108),
    [anon_sym_mutable] = ACTIONS(5108),
    [anon_sym_constinit] = ACTIONS(5108),
    [anon_sym_consteval] = ACTIONS(5108),
    [anon_sym_alignas] = ACTIONS(5108),
    [anon_sym__Alignas] = ACTIONS(5108),
    [sym_primitive_type] = ACTIONS(5108),
    [anon_sym_enum] = ACTIONS(5108),
    [anon_sym_class] = ACTIONS(5108),
    [anon_sym_struct] = ACTIONS(5108),
    [anon_sym_union] = ACTIONS(5108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5108),
    [anon_sym_decltype] = ACTIONS(5108),
    [sym_virtual] = ACTIONS(5108),
    [anon_sym_explicit] = ACTIONS(5108),
    [anon_sym_typename] = ACTIONS(5108),
    [anon_sym_template] = ACTIONS(5108),
    [anon_sym_operator] = ACTIONS(5108),
    [anon_sym_friend] = ACTIONS(5108),
    [anon_sym_public] = ACTIONS(5108),
    [anon_sym_private] = ACTIONS(5108),
    [anon_sym_protected] = ACTIONS(5108),
    [anon_sym_using] = ACTIONS(5108),
    [anon_sym_static_assert] = ACTIONS(5108),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(2899),
    [aux_sym_preproc_def_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2899),
    [sym_preproc_directive] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym___based] = ACTIONS(2899),
    [anon_sym_RBRACE] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym__Alignas] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [sym_virtual] = ACTIONS(2899),
    [anon_sym_explicit] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_operator] = ACTIONS(2899),
    [anon_sym_friend] = ACTIONS(2899),
    [anon_sym_public] = ACTIONS(2899),
    [anon_sym_private] = ACTIONS(2899),
    [anon_sym_protected] = ACTIONS(2899),
    [anon_sym_using] = ACTIONS(2899),
    [anon_sym_static_assert] = ACTIONS(2899),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym__Alignas] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [sym_virtual] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_friend] = ACTIONS(2903),
    [anon_sym_public] = ACTIONS(2903),
    [anon_sym_private] = ACTIONS(2903),
    [anon_sym_protected] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_AMP_AMP] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(5108),
    [anon_sym_typedef] = ACTIONS(5108),
    [anon_sym_extern] = ACTIONS(5108),
    [anon_sym___attribute__] = ACTIONS(5108),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5108),
    [anon_sym___based] = ACTIONS(5108),
    [anon_sym_RBRACE] = ACTIONS(5110),
    [anon_sym_signed] = ACTIONS(5108),
    [anon_sym_unsigned] = ACTIONS(5108),
    [anon_sym_long] = ACTIONS(5108),
    [anon_sym_short] = ACTIONS(5108),
    [anon_sym_LBRACK] = ACTIONS(5108),
    [anon_sym_static] = ACTIONS(5108),
    [anon_sym_register] = ACTIONS(5108),
    [anon_sym_inline] = ACTIONS(5108),
    [anon_sym___inline] = ACTIONS(5108),
    [anon_sym___inline__] = ACTIONS(5108),
    [anon_sym___forceinline] = ACTIONS(5108),
    [anon_sym_thread_local] = ACTIONS(5108),
    [anon_sym___thread] = ACTIONS(5108),
    [anon_sym_const] = ACTIONS(5108),
    [anon_sym_constexpr] = ACTIONS(5108),
    [anon_sym_volatile] = ACTIONS(5108),
    [anon_sym_restrict] = ACTIONS(5108),
    [anon_sym___restrict__] = ACTIONS(5108),
    [anon_sym__Atomic] = ACTIONS(5108),
    [anon_sym__Noreturn] = ACTIONS(5108),
    [anon_sym_noreturn] = ACTIONS(5108),
    [anon_sym_mutable] = ACTIONS(5108),
    [anon_sym_constinit] = ACTIONS(5108),
    [anon_sym_consteval] = ACTIONS(5108),
    [anon_sym_alignas] = ACTIONS(5108),
    [anon_sym__Alignas] = ACTIONS(5108),
    [sym_primitive_type] = ACTIONS(5108),
    [anon_sym_enum] = ACTIONS(5108),
    [anon_sym_class] = ACTIONS(5108),
    [anon_sym_struct] = ACTIONS(5108),
    [anon_sym_union] = ACTIONS(5108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5108),
    [anon_sym_decltype] = ACTIONS(5108),
    [sym_virtual] = ACTIONS(5108),
    [anon_sym_explicit] = ACTIONS(5108),
    [anon_sym_typename] = ACTIONS(5108),
    [anon_sym_template] = ACTIONS(5108),
    [anon_sym_operator] = ACTIONS(5108),
    [anon_sym_friend] = ACTIONS(5108),
    [anon_sym_public] = ACTIONS(5108),
    [anon_sym_private] = ACTIONS(5108),
    [anon_sym_protected] = ACTIONS(5108),
    [anon_sym_using] = ACTIONS(5108),
    [anon_sym_static_assert] = ACTIONS(5108),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_friend] = ACTIONS(2909),
    [anon_sym_public] = ACTIONS(2909),
    [anon_sym_private] = ACTIONS(2909),
    [anon_sym_protected] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
  },
  [2038] = {
    [sym_argument_list] = STATE(2321),
    [sym_initializer_list] = STATE(2321),
    [sym_identifier] = ACTIONS(5563),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5565),
    [anon_sym_COMMA] = ACTIONS(5565),
    [anon_sym_RPAREN] = ACTIONS(5565),
    [aux_sym_preproc_if_token2] = ACTIONS(5565),
    [aux_sym_preproc_else_token1] = ACTIONS(5565),
    [aux_sym_preproc_elif_token1] = ACTIONS(5563),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5565),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5565),
    [anon_sym_LPAREN2] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5563),
    [anon_sym_PLUS] = ACTIONS(5563),
    [anon_sym_STAR] = ACTIONS(5563),
    [anon_sym_SLASH] = ACTIONS(5563),
    [anon_sym_PERCENT] = ACTIONS(5563),
    [anon_sym_PIPE_PIPE] = ACTIONS(5565),
    [anon_sym_AMP_AMP] = ACTIONS(5565),
    [anon_sym_PIPE] = ACTIONS(5563),
    [anon_sym_CARET] = ACTIONS(5563),
    [anon_sym_AMP] = ACTIONS(5563),
    [anon_sym_EQ_EQ] = ACTIONS(5565),
    [anon_sym_BANG_EQ] = ACTIONS(5565),
    [anon_sym_GT] = ACTIONS(5563),
    [anon_sym_GT_EQ] = ACTIONS(5565),
    [anon_sym_LT_EQ] = ACTIONS(5563),
    [anon_sym_LT] = ACTIONS(5563),
    [anon_sym_LT_LT] = ACTIONS(5563),
    [anon_sym_GT_GT] = ACTIONS(5563),
    [anon_sym_SEMI] = ACTIONS(5565),
    [anon_sym___attribute__] = ACTIONS(5563),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5565),
    [anon_sym_LBRACK] = ACTIONS(5565),
    [anon_sym_RBRACK] = ACTIONS(5565),
    [anon_sym_EQ] = ACTIONS(5563),
    [anon_sym_COLON] = ACTIONS(5565),
    [anon_sym_QMARK] = ACTIONS(5565),
    [anon_sym_STAR_EQ] = ACTIONS(5565),
    [anon_sym_SLASH_EQ] = ACTIONS(5565),
    [anon_sym_PERCENT_EQ] = ACTIONS(5565),
    [anon_sym_PLUS_EQ] = ACTIONS(5565),
    [anon_sym_DASH_EQ] = ACTIONS(5565),
    [anon_sym_LT_LT_EQ] = ACTIONS(5565),
    [anon_sym_GT_GT_EQ] = ACTIONS(5565),
    [anon_sym_AMP_EQ] = ACTIONS(5565),
    [anon_sym_CARET_EQ] = ACTIONS(5565),
    [anon_sym_PIPE_EQ] = ACTIONS(5565),
    [anon_sym_and_eq] = ACTIONS(5563),
    [anon_sym_or_eq] = ACTIONS(5563),
    [anon_sym_xor_eq] = ACTIONS(5563),
    [anon_sym_LT_EQ_GT] = ACTIONS(5565),
    [anon_sym_or] = ACTIONS(5563),
    [anon_sym_and] = ACTIONS(5563),
    [anon_sym_bitor] = ACTIONS(5563),
    [anon_sym_xor] = ACTIONS(5563),
    [anon_sym_bitand] = ACTIONS(5563),
    [anon_sym_not_eq] = ACTIONS(5563),
    [anon_sym_DASH_DASH] = ACTIONS(5565),
    [anon_sym_PLUS_PLUS] = ACTIONS(5565),
    [anon_sym_DOT] = ACTIONS(5563),
    [anon_sym_DOT_STAR] = ACTIONS(5565),
    [anon_sym_DASH_GT] = ACTIONS(5565),
    [sym_comment] = ACTIONS(3),
  },
  [2039] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym_RBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_friend] = ACTIONS(2812),
    [anon_sym_public] = ACTIONS(2812),
    [anon_sym_private] = ACTIONS(2812),
    [anon_sym_protected] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
  },
  [2040] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(5369),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5367),
    [anon_sym_COMMA] = ACTIONS(5367),
    [aux_sym_preproc_if_token2] = ACTIONS(5367),
    [aux_sym_preproc_else_token1] = ACTIONS(5367),
    [aux_sym_preproc_elif_token1] = ACTIONS(5369),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5367),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5367),
    [anon_sym_LPAREN2] = ACTIONS(5367),
    [anon_sym_DASH] = ACTIONS(5369),
    [anon_sym_PLUS] = ACTIONS(5369),
    [anon_sym_STAR] = ACTIONS(5369),
    [anon_sym_SLASH] = ACTIONS(5369),
    [anon_sym_PERCENT] = ACTIONS(5369),
    [anon_sym_PIPE_PIPE] = ACTIONS(5367),
    [anon_sym_AMP_AMP] = ACTIONS(5367),
    [anon_sym_PIPE] = ACTIONS(5369),
    [anon_sym_CARET] = ACTIONS(5369),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_EQ_EQ] = ACTIONS(5367),
    [anon_sym_BANG_EQ] = ACTIONS(5367),
    [anon_sym_GT] = ACTIONS(5369),
    [anon_sym_GT_EQ] = ACTIONS(5367),
    [anon_sym_LT_EQ] = ACTIONS(5369),
    [anon_sym_LT] = ACTIONS(5369),
    [anon_sym_LT_LT] = ACTIONS(5369),
    [anon_sym_GT_GT] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym_LBRACE] = ACTIONS(5367),
    [anon_sym_signed] = ACTIONS(5523),
    [anon_sym_unsigned] = ACTIONS(5523),
    [anon_sym_long] = ACTIONS(5523),
    [anon_sym_short] = ACTIONS(5523),
    [anon_sym_LBRACK] = ACTIONS(5367),
    [anon_sym_EQ] = ACTIONS(5369),
    [anon_sym_QMARK] = ACTIONS(5367),
    [anon_sym_STAR_EQ] = ACTIONS(5367),
    [anon_sym_SLASH_EQ] = ACTIONS(5367),
    [anon_sym_PERCENT_EQ] = ACTIONS(5367),
    [anon_sym_PLUS_EQ] = ACTIONS(5367),
    [anon_sym_DASH_EQ] = ACTIONS(5367),
    [anon_sym_LT_LT_EQ] = ACTIONS(5367),
    [anon_sym_GT_GT_EQ] = ACTIONS(5367),
    [anon_sym_AMP_EQ] = ACTIONS(5367),
    [anon_sym_CARET_EQ] = ACTIONS(5367),
    [anon_sym_PIPE_EQ] = ACTIONS(5367),
    [anon_sym_and_eq] = ACTIONS(5369),
    [anon_sym_or_eq] = ACTIONS(5369),
    [anon_sym_xor_eq] = ACTIONS(5369),
    [anon_sym_LT_EQ_GT] = ACTIONS(5367),
    [anon_sym_or] = ACTIONS(5369),
    [anon_sym_and] = ACTIONS(5369),
    [anon_sym_bitor] = ACTIONS(5369),
    [anon_sym_xor] = ACTIONS(5369),
    [anon_sym_bitand] = ACTIONS(5369),
    [anon_sym_not_eq] = ACTIONS(5369),
    [anon_sym_DASH_DASH] = ACTIONS(5367),
    [anon_sym_PLUS_PLUS] = ACTIONS(5367),
    [anon_sym_DOT] = ACTIONS(5369),
    [anon_sym_DOT_STAR] = ACTIONS(5367),
    [anon_sym_DASH_GT] = ACTIONS(5367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
  },
  [2041] = {
    [sym_identifier] = ACTIONS(5085),
    [aux_sym_preproc_def_token1] = ACTIONS(5085),
    [aux_sym_preproc_if_token1] = ACTIONS(5085),
    [aux_sym_preproc_if_token2] = ACTIONS(5085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5085),
    [sym_preproc_directive] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(5087),
    [anon_sym_TILDE] = ACTIONS(5087),
    [anon_sym_STAR] = ACTIONS(5087),
    [anon_sym_AMP_AMP] = ACTIONS(5087),
    [anon_sym_AMP] = ACTIONS(5085),
    [anon_sym___extension__] = ACTIONS(5085),
    [anon_sym_typedef] = ACTIONS(5085),
    [anon_sym_extern] = ACTIONS(5085),
    [anon_sym___attribute__] = ACTIONS(5085),
    [anon_sym_COLON_COLON] = ACTIONS(5087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5087),
    [anon_sym___declspec] = ACTIONS(5085),
    [anon_sym___based] = ACTIONS(5085),
    [anon_sym_signed] = ACTIONS(5085),
    [anon_sym_unsigned] = ACTIONS(5085),
    [anon_sym_long] = ACTIONS(5085),
    [anon_sym_short] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(5085),
    [anon_sym_static] = ACTIONS(5085),
    [anon_sym_register] = ACTIONS(5085),
    [anon_sym_inline] = ACTIONS(5085),
    [anon_sym___inline] = ACTIONS(5085),
    [anon_sym___inline__] = ACTIONS(5085),
    [anon_sym___forceinline] = ACTIONS(5085),
    [anon_sym_thread_local] = ACTIONS(5085),
    [anon_sym___thread] = ACTIONS(5085),
    [anon_sym_const] = ACTIONS(5085),
    [anon_sym_constexpr] = ACTIONS(5085),
    [anon_sym_volatile] = ACTIONS(5085),
    [anon_sym_restrict] = ACTIONS(5085),
    [anon_sym___restrict__] = ACTIONS(5085),
    [anon_sym__Atomic] = ACTIONS(5085),
    [anon_sym__Noreturn] = ACTIONS(5085),
    [anon_sym_noreturn] = ACTIONS(5085),
    [anon_sym_mutable] = ACTIONS(5085),
    [anon_sym_constinit] = ACTIONS(5085),
    [anon_sym_consteval] = ACTIONS(5085),
    [anon_sym_alignas] = ACTIONS(5085),
    [anon_sym__Alignas] = ACTIONS(5085),
    [sym_primitive_type] = ACTIONS(5085),
    [anon_sym_enum] = ACTIONS(5085),
    [anon_sym_class] = ACTIONS(5085),
    [anon_sym_struct] = ACTIONS(5085),
    [anon_sym_union] = ACTIONS(5085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5085),
    [anon_sym_decltype] = ACTIONS(5085),
    [sym_virtual] = ACTIONS(5085),
    [anon_sym_explicit] = ACTIONS(5085),
    [anon_sym_typename] = ACTIONS(5085),
    [anon_sym_template] = ACTIONS(5085),
    [anon_sym_operator] = ACTIONS(5085),
    [anon_sym_friend] = ACTIONS(5085),
    [anon_sym_public] = ACTIONS(5085),
    [anon_sym_private] = ACTIONS(5085),
    [anon_sym_protected] = ACTIONS(5085),
    [anon_sym_using] = ACTIONS(5085),
    [anon_sym_static_assert] = ACTIONS(5085),
  },
  [2042] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1950),
    [sym_identifier] = ACTIONS(5384),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5382),
    [aux_sym_preproc_if_token2] = ACTIONS(5382),
    [aux_sym_preproc_else_token1] = ACTIONS(5382),
    [aux_sym_preproc_elif_token1] = ACTIONS(5384),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5382),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5382),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(5384),
    [anon_sym_STAR] = ACTIONS(5384),
    [anon_sym_SLASH] = ACTIONS(5384),
    [anon_sym_PERCENT] = ACTIONS(5384),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_PIPE] = ACTIONS(5384),
    [anon_sym_CARET] = ACTIONS(5384),
    [anon_sym_AMP] = ACTIONS(5384),
    [anon_sym_EQ_EQ] = ACTIONS(5382),
    [anon_sym_BANG_EQ] = ACTIONS(5382),
    [anon_sym_GT] = ACTIONS(5384),
    [anon_sym_GT_EQ] = ACTIONS(5382),
    [anon_sym_LT_EQ] = ACTIONS(5384),
    [anon_sym_LT] = ACTIONS(5384),
    [anon_sym_LT_LT] = ACTIONS(5384),
    [anon_sym_GT_GT] = ACTIONS(5384),
    [anon_sym___attribute__] = ACTIONS(5384),
    [anon_sym_LBRACE] = ACTIONS(5382),
    [anon_sym_signed] = ACTIONS(5523),
    [anon_sym_unsigned] = ACTIONS(5523),
    [anon_sym_long] = ACTIONS(5523),
    [anon_sym_short] = ACTIONS(5523),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_EQ] = ACTIONS(5384),
    [anon_sym_QMARK] = ACTIONS(5382),
    [anon_sym_STAR_EQ] = ACTIONS(5382),
    [anon_sym_SLASH_EQ] = ACTIONS(5382),
    [anon_sym_PERCENT_EQ] = ACTIONS(5382),
    [anon_sym_PLUS_EQ] = ACTIONS(5382),
    [anon_sym_DASH_EQ] = ACTIONS(5382),
    [anon_sym_LT_LT_EQ] = ACTIONS(5382),
    [anon_sym_GT_GT_EQ] = ACTIONS(5382),
    [anon_sym_AMP_EQ] = ACTIONS(5382),
    [anon_sym_CARET_EQ] = ACTIONS(5382),
    [anon_sym_PIPE_EQ] = ACTIONS(5382),
    [anon_sym_and_eq] = ACTIONS(5384),
    [anon_sym_or_eq] = ACTIONS(5384),
    [anon_sym_xor_eq] = ACTIONS(5384),
    [anon_sym_LT_EQ_GT] = ACTIONS(5382),
    [anon_sym_or] = ACTIONS(5384),
    [anon_sym_and] = ACTIONS(5384),
    [anon_sym_bitor] = ACTIONS(5384),
    [anon_sym_xor] = ACTIONS(5384),
    [anon_sym_bitand] = ACTIONS(5384),
    [anon_sym_not_eq] = ACTIONS(5384),
    [anon_sym_DASH_DASH] = ACTIONS(5382),
    [anon_sym_PLUS_PLUS] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5384),
    [anon_sym_DOT_STAR] = ACTIONS(5382),
    [anon_sym_DASH_GT] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5384),
    [anon_sym_decltype] = ACTIONS(5384),
  },
  [2043] = {
    [sym_string_literal] = STATE(1850),
    [sym_raw_string_literal] = STATE(1850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4949),
    [anon_sym_COMMA] = ACTIONS(4949),
    [anon_sym_RPAREN] = ACTIONS(4949),
    [anon_sym_LPAREN2] = ACTIONS(4949),
    [anon_sym_DASH] = ACTIONS(4947),
    [anon_sym_PLUS] = ACTIONS(4947),
    [anon_sym_STAR] = ACTIONS(4947),
    [anon_sym_SLASH] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(4947),
    [anon_sym_PIPE_PIPE] = ACTIONS(4949),
    [anon_sym_AMP_AMP] = ACTIONS(4949),
    [anon_sym_PIPE] = ACTIONS(4947),
    [anon_sym_CARET] = ACTIONS(4947),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_EQ_EQ] = ACTIONS(4949),
    [anon_sym_BANG_EQ] = ACTIONS(4949),
    [anon_sym_GT] = ACTIONS(4947),
    [anon_sym_GT_EQ] = ACTIONS(4949),
    [anon_sym_LT_EQ] = ACTIONS(4947),
    [anon_sym_LT] = ACTIONS(4947),
    [anon_sym_LT_LT] = ACTIONS(4947),
    [anon_sym_GT_GT] = ACTIONS(4947),
    [anon_sym_LBRACK] = ACTIONS(4949),
    [anon_sym_EQ] = ACTIONS(4947),
    [anon_sym_QMARK] = ACTIONS(4949),
    [anon_sym_STAR_EQ] = ACTIONS(4949),
    [anon_sym_SLASH_EQ] = ACTIONS(4949),
    [anon_sym_PERCENT_EQ] = ACTIONS(4949),
    [anon_sym_PLUS_EQ] = ACTIONS(4949),
    [anon_sym_DASH_EQ] = ACTIONS(4949),
    [anon_sym_LT_LT_EQ] = ACTIONS(4949),
    [anon_sym_GT_GT_EQ] = ACTIONS(4949),
    [anon_sym_AMP_EQ] = ACTIONS(4949),
    [anon_sym_CARET_EQ] = ACTIONS(4949),
    [anon_sym_PIPE_EQ] = ACTIONS(4949),
    [anon_sym_and_eq] = ACTIONS(4947),
    [anon_sym_or_eq] = ACTIONS(4947),
    [anon_sym_xor_eq] = ACTIONS(4947),
    [anon_sym_LT_EQ_GT] = ACTIONS(4949),
    [anon_sym_or] = ACTIONS(4947),
    [anon_sym_and] = ACTIONS(4947),
    [anon_sym_bitor] = ACTIONS(4947),
    [anon_sym_xor] = ACTIONS(4947),
    [anon_sym_bitand] = ACTIONS(4947),
    [anon_sym_not_eq] = ACTIONS(4947),
    [anon_sym_DASH_DASH] = ACTIONS(4949),
    [anon_sym_PLUS_PLUS] = ACTIONS(4949),
    [anon_sym_DOT] = ACTIONS(4947),
    [anon_sym_DOT_STAR] = ACTIONS(4949),
    [anon_sym_DASH_GT] = ACTIONS(4947),
    [anon_sym_L_DQUOTE] = ACTIONS(4622),
    [anon_sym_u_DQUOTE] = ACTIONS(4622),
    [anon_sym_U_DQUOTE] = ACTIONS(4622),
    [anon_sym_u8_DQUOTE] = ACTIONS(4622),
    [anon_sym_DQUOTE] = ACTIONS(4622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4624),
    [anon_sym_LR_DQUOTE] = ACTIONS(4624),
    [anon_sym_uR_DQUOTE] = ACTIONS(4624),
    [anon_sym_UR_DQUOTE] = ACTIONS(4624),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4624),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4949),
    [sym_literal_suffix] = ACTIONS(5512),
  },
  [2044] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_friend] = ACTIONS(2584),
    [anon_sym_public] = ACTIONS(2584),
    [anon_sym_private] = ACTIONS(2584),
    [anon_sym_protected] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
  },
  [2045] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1957),
    [sym_identifier] = ACTIONS(5142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5144),
    [anon_sym_COMMA] = ACTIONS(5144),
    [aux_sym_preproc_if_token2] = ACTIONS(5144),
    [aux_sym_preproc_else_token1] = ACTIONS(5144),
    [aux_sym_preproc_elif_token1] = ACTIONS(5142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5144),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5144),
    [anon_sym_LPAREN2] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5142),
    [anon_sym_PLUS] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5142),
    [anon_sym_SLASH] = ACTIONS(5142),
    [anon_sym_PERCENT] = ACTIONS(5142),
    [anon_sym_PIPE_PIPE] = ACTIONS(5144),
    [anon_sym_AMP_AMP] = ACTIONS(5144),
    [anon_sym_PIPE] = ACTIONS(5142),
    [anon_sym_CARET] = ACTIONS(5142),
    [anon_sym_AMP] = ACTIONS(5142),
    [anon_sym_EQ_EQ] = ACTIONS(5144),
    [anon_sym_BANG_EQ] = ACTIONS(5144),
    [anon_sym_GT] = ACTIONS(5142),
    [anon_sym_GT_EQ] = ACTIONS(5144),
    [anon_sym_LT_EQ] = ACTIONS(5142),
    [anon_sym_LT] = ACTIONS(5142),
    [anon_sym_LT_LT] = ACTIONS(5142),
    [anon_sym_GT_GT] = ACTIONS(5142),
    [anon_sym___attribute__] = ACTIONS(5142),
    [anon_sym_LBRACE] = ACTIONS(5144),
    [anon_sym_signed] = ACTIONS(5567),
    [anon_sym_unsigned] = ACTIONS(5567),
    [anon_sym_long] = ACTIONS(5567),
    [anon_sym_short] = ACTIONS(5567),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [anon_sym_EQ] = ACTIONS(5142),
    [anon_sym_QMARK] = ACTIONS(5144),
    [anon_sym_STAR_EQ] = ACTIONS(5144),
    [anon_sym_SLASH_EQ] = ACTIONS(5144),
    [anon_sym_PERCENT_EQ] = ACTIONS(5144),
    [anon_sym_PLUS_EQ] = ACTIONS(5144),
    [anon_sym_DASH_EQ] = ACTIONS(5144),
    [anon_sym_LT_LT_EQ] = ACTIONS(5144),
    [anon_sym_GT_GT_EQ] = ACTIONS(5144),
    [anon_sym_AMP_EQ] = ACTIONS(5144),
    [anon_sym_CARET_EQ] = ACTIONS(5144),
    [anon_sym_PIPE_EQ] = ACTIONS(5144),
    [anon_sym_and_eq] = ACTIONS(5142),
    [anon_sym_or_eq] = ACTIONS(5142),
    [anon_sym_xor_eq] = ACTIONS(5142),
    [anon_sym_LT_EQ_GT] = ACTIONS(5144),
    [anon_sym_or] = ACTIONS(5142),
    [anon_sym_and] = ACTIONS(5142),
    [anon_sym_bitor] = ACTIONS(5142),
    [anon_sym_xor] = ACTIONS(5142),
    [anon_sym_bitand] = ACTIONS(5142),
    [anon_sym_not_eq] = ACTIONS(5142),
    [anon_sym_DASH_DASH] = ACTIONS(5144),
    [anon_sym_PLUS_PLUS] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_DOT_STAR] = ACTIONS(5144),
    [anon_sym_DASH_GT] = ACTIONS(5144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5142),
    [anon_sym_decltype] = ACTIONS(5142),
  },
  [2046] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token2] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2584),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym_COLON_COLON] = ACTIONS(2586),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___based] = ACTIONS(2584),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_mutable] = ACTIONS(2584),
    [anon_sym_constinit] = ACTIONS(2584),
    [anon_sym_consteval] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2584),
    [anon_sym_decltype] = ACTIONS(2584),
    [sym_virtual] = ACTIONS(2584),
    [anon_sym_explicit] = ACTIONS(2584),
    [anon_sym_typename] = ACTIONS(2584),
    [anon_sym_template] = ACTIONS(2584),
    [anon_sym_operator] = ACTIONS(2584),
    [anon_sym_friend] = ACTIONS(2584),
    [anon_sym_public] = ACTIONS(2584),
    [anon_sym_private] = ACTIONS(2584),
    [anon_sym_protected] = ACTIONS(2584),
    [anon_sym_using] = ACTIONS(2584),
    [anon_sym_static_assert] = ACTIONS(2584),
  },
  [2047] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token2] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [sym_virtual] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_friend] = ACTIONS(2518),
    [anon_sym_public] = ACTIONS(2518),
    [anon_sym_private] = ACTIONS(2518),
    [anon_sym_protected] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
  },
  [2048] = {
    [sym_identifier] = ACTIONS(4939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4941),
    [anon_sym_COMMA] = ACTIONS(4941),
    [anon_sym_RPAREN] = ACTIONS(4941),
    [aux_sym_preproc_if_token2] = ACTIONS(4941),
    [aux_sym_preproc_else_token1] = ACTIONS(4941),
    [aux_sym_preproc_elif_token1] = ACTIONS(4939),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4941),
    [anon_sym_LPAREN2] = ACTIONS(4941),
    [anon_sym_DASH] = ACTIONS(4939),
    [anon_sym_PLUS] = ACTIONS(4939),
    [anon_sym_STAR] = ACTIONS(4939),
    [anon_sym_SLASH] = ACTIONS(4939),
    [anon_sym_PERCENT] = ACTIONS(4939),
    [anon_sym_PIPE_PIPE] = ACTIONS(4941),
    [anon_sym_AMP_AMP] = ACTIONS(4941),
    [anon_sym_PIPE] = ACTIONS(4939),
    [anon_sym_CARET] = ACTIONS(4939),
    [anon_sym_AMP] = ACTIONS(4939),
    [anon_sym_EQ_EQ] = ACTIONS(4941),
    [anon_sym_BANG_EQ] = ACTIONS(4941),
    [anon_sym_GT] = ACTIONS(4939),
    [anon_sym_GT_EQ] = ACTIONS(4941),
    [anon_sym_LT_EQ] = ACTIONS(4939),
    [anon_sym_LT] = ACTIONS(4939),
    [anon_sym_LT_LT] = ACTIONS(4939),
    [anon_sym_GT_GT] = ACTIONS(4939),
    [anon_sym_SEMI] = ACTIONS(4941),
    [anon_sym___attribute__] = ACTIONS(4939),
    [anon_sym_LBRACE] = ACTIONS(4941),
    [anon_sym_RBRACE] = ACTIONS(4941),
    [anon_sym_LBRACK] = ACTIONS(4941),
    [anon_sym_RBRACK] = ACTIONS(4941),
    [anon_sym_EQ] = ACTIONS(4939),
    [anon_sym_COLON] = ACTIONS(4941),
    [anon_sym_QMARK] = ACTIONS(4941),
    [anon_sym_STAR_EQ] = ACTIONS(4941),
    [anon_sym_SLASH_EQ] = ACTIONS(4941),
    [anon_sym_PERCENT_EQ] = ACTIONS(4941),
    [anon_sym_PLUS_EQ] = ACTIONS(4941),
    [anon_sym_DASH_EQ] = ACTIONS(4941),
    [anon_sym_LT_LT_EQ] = ACTIONS(4941),
    [anon_sym_GT_GT_EQ] = ACTIONS(4941),
    [anon_sym_AMP_EQ] = ACTIONS(4941),
    [anon_sym_CARET_EQ] = ACTIONS(4941),
    [anon_sym_PIPE_EQ] = ACTIONS(4941),
    [anon_sym_and_eq] = ACTIONS(4939),
    [anon_sym_or_eq] = ACTIONS(4939),
    [anon_sym_xor_eq] = ACTIONS(4939),
    [anon_sym_LT_EQ_GT] = ACTIONS(4941),
    [anon_sym_or] = ACTIONS(4939),
    [anon_sym_and] = ACTIONS(4939),
    [anon_sym_bitor] = ACTIONS(4939),
    [anon_sym_xor] = ACTIONS(4939),
    [anon_sym_bitand] = ACTIONS(4939),
    [anon_sym_not_eq] = ACTIONS(4939),
    [anon_sym_DASH_DASH] = ACTIONS(4941),
    [anon_sym_PLUS_PLUS] = ACTIONS(4941),
    [anon_sym_DOT] = ACTIONS(4939),
    [anon_sym_DOT_STAR] = ACTIONS(4941),
    [anon_sym_DASH_GT] = ACTIONS(4941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4939),
    [anon_sym_decltype] = ACTIONS(4939),
  },
  [2049] = {
    [sym_identifier] = ACTIONS(4973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4975),
    [anon_sym_COMMA] = ACTIONS(4975),
    [anon_sym_RPAREN] = ACTIONS(4975),
    [aux_sym_preproc_if_token2] = ACTIONS(4975),
    [aux_sym_preproc_else_token1] = ACTIONS(4975),
    [aux_sym_preproc_elif_token1] = ACTIONS(4973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4975),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4975),
    [anon_sym_LPAREN2] = ACTIONS(4975),
    [anon_sym_DASH] = ACTIONS(4973),
    [anon_sym_PLUS] = ACTIONS(4973),
    [anon_sym_STAR] = ACTIONS(4973),
    [anon_sym_SLASH] = ACTIONS(4973),
    [anon_sym_PERCENT] = ACTIONS(4973),
    [anon_sym_PIPE_PIPE] = ACTIONS(4975),
    [anon_sym_AMP_AMP] = ACTIONS(4975),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_CARET] = ACTIONS(4973),
    [anon_sym_AMP] = ACTIONS(4973),
    [anon_sym_EQ_EQ] = ACTIONS(4975),
    [anon_sym_BANG_EQ] = ACTIONS(4975),
    [anon_sym_GT] = ACTIONS(4973),
    [anon_sym_GT_EQ] = ACTIONS(4975),
    [anon_sym_LT_EQ] = ACTIONS(4973),
    [anon_sym_LT] = ACTIONS(4973),
    [anon_sym_LT_LT] = ACTIONS(4973),
    [anon_sym_GT_GT] = ACTIONS(4973),
    [anon_sym_SEMI] = ACTIONS(4975),
    [anon_sym___attribute__] = ACTIONS(4973),
    [anon_sym_LBRACE] = ACTIONS(4975),
    [anon_sym_RBRACE] = ACTIONS(4975),
    [anon_sym_LBRACK] = ACTIONS(4975),
    [anon_sym_RBRACK] = ACTIONS(4975),
    [anon_sym_EQ] = ACTIONS(4973),
    [anon_sym_COLON] = ACTIONS(4975),
    [anon_sym_QMARK] = ACTIONS(4975),
    [anon_sym_STAR_EQ] = ACTIONS(4975),
    [anon_sym_SLASH_EQ] = ACTIONS(4975),
    [anon_sym_PERCENT_EQ] = ACTIONS(4975),
    [anon_sym_PLUS_EQ] = ACTIONS(4975),
    [anon_sym_DASH_EQ] = ACTIONS(4975),
    [anon_sym_LT_LT_EQ] = ACTIONS(4975),
    [anon_sym_GT_GT_EQ] = ACTIONS(4975),
    [anon_sym_AMP_EQ] = ACTIONS(4975),
    [anon_sym_CARET_EQ] = ACTIONS(4975),
    [anon_sym_PIPE_EQ] = ACTIONS(4975),
    [anon_sym_and_eq] = ACTIONS(4973),
    [anon_sym_or_eq] = ACTIONS(4973),
    [anon_sym_xor_eq] = ACTIONS(4973),
    [anon_sym_LT_EQ_GT] = ACTIONS(4975),
    [anon_sym_or] = ACTIONS(4973),
    [anon_sym_and] = ACTIONS(4973),
    [anon_sym_bitor] = ACTIONS(4973),
    [anon_sym_xor] = ACTIONS(4973),
    [anon_sym_bitand] = ACTIONS(4973),
    [anon_sym_not_eq] = ACTIONS(4973),
    [anon_sym_DASH_DASH] = ACTIONS(4975),
    [anon_sym_PLUS_PLUS] = ACTIONS(4975),
    [anon_sym_DOT] = ACTIONS(4973),
    [anon_sym_DOT_STAR] = ACTIONS(4975),
    [anon_sym_DASH_GT] = ACTIONS(4975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4973),
    [anon_sym_decltype] = ACTIONS(4973),
  },
  [2050] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2604),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym_COLON_COLON] = ACTIONS(2606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___based] = ACTIONS(2604),
    [anon_sym_RBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_mutable] = ACTIONS(2604),
    [anon_sym_constinit] = ACTIONS(2604),
    [anon_sym_consteval] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2604),
    [anon_sym_decltype] = ACTIONS(2604),
    [sym_virtual] = ACTIONS(2604),
    [anon_sym_explicit] = ACTIONS(2604),
    [anon_sym_typename] = ACTIONS(2604),
    [anon_sym_template] = ACTIONS(2604),
    [anon_sym_operator] = ACTIONS(2604),
    [anon_sym_friend] = ACTIONS(2604),
    [anon_sym_public] = ACTIONS(2604),
    [anon_sym_private] = ACTIONS(2604),
    [anon_sym_protected] = ACTIONS(2604),
    [anon_sym_using] = ACTIONS(2604),
    [anon_sym_static_assert] = ACTIONS(2604),
  },
  [2051] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_friend] = ACTIONS(2608),
    [anon_sym_public] = ACTIONS(2608),
    [anon_sym_private] = ACTIONS(2608),
    [anon_sym_protected] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_friend] = ACTIONS(2608),
    [anon_sym_public] = ACTIONS(2608),
    [anon_sym_private] = ACTIONS(2608),
    [anon_sym_protected] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
  },
  [2053] = {
    [sym_identifier] = ACTIONS(4977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4979),
    [anon_sym_COMMA] = ACTIONS(4979),
    [anon_sym_RPAREN] = ACTIONS(4979),
    [aux_sym_preproc_if_token2] = ACTIONS(4979),
    [aux_sym_preproc_else_token1] = ACTIONS(4979),
    [aux_sym_preproc_elif_token1] = ACTIONS(4977),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4979),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4979),
    [anon_sym_LPAREN2] = ACTIONS(4979),
    [anon_sym_DASH] = ACTIONS(4977),
    [anon_sym_PLUS] = ACTIONS(4977),
    [anon_sym_STAR] = ACTIONS(4977),
    [anon_sym_SLASH] = ACTIONS(4977),
    [anon_sym_PERCENT] = ACTIONS(4977),
    [anon_sym_PIPE_PIPE] = ACTIONS(4979),
    [anon_sym_AMP_AMP] = ACTIONS(4979),
    [anon_sym_PIPE] = ACTIONS(4977),
    [anon_sym_CARET] = ACTIONS(4977),
    [anon_sym_AMP] = ACTIONS(4977),
    [anon_sym_EQ_EQ] = ACTIONS(4979),
    [anon_sym_BANG_EQ] = ACTIONS(4979),
    [anon_sym_GT] = ACTIONS(4977),
    [anon_sym_GT_EQ] = ACTIONS(4979),
    [anon_sym_LT_EQ] = ACTIONS(4977),
    [anon_sym_LT] = ACTIONS(4977),
    [anon_sym_LT_LT] = ACTIONS(4977),
    [anon_sym_GT_GT] = ACTIONS(4977),
    [anon_sym_SEMI] = ACTIONS(4979),
    [anon_sym___attribute__] = ACTIONS(4977),
    [anon_sym_LBRACE] = ACTIONS(4979),
    [anon_sym_RBRACE] = ACTIONS(4979),
    [anon_sym_LBRACK] = ACTIONS(4979),
    [anon_sym_RBRACK] = ACTIONS(4979),
    [anon_sym_EQ] = ACTIONS(4977),
    [anon_sym_COLON] = ACTIONS(4979),
    [anon_sym_QMARK] = ACTIONS(4979),
    [anon_sym_STAR_EQ] = ACTIONS(4979),
    [anon_sym_SLASH_EQ] = ACTIONS(4979),
    [anon_sym_PERCENT_EQ] = ACTIONS(4979),
    [anon_sym_PLUS_EQ] = ACTIONS(4979),
    [anon_sym_DASH_EQ] = ACTIONS(4979),
    [anon_sym_LT_LT_EQ] = ACTIONS(4979),
    [anon_sym_GT_GT_EQ] = ACTIONS(4979),
    [anon_sym_AMP_EQ] = ACTIONS(4979),
    [anon_sym_CARET_EQ] = ACTIONS(4979),
    [anon_sym_PIPE_EQ] = ACTIONS(4979),
    [anon_sym_and_eq] = ACTIONS(4977),
    [anon_sym_or_eq] = ACTIONS(4977),
    [anon_sym_xor_eq] = ACTIONS(4977),
    [anon_sym_LT_EQ_GT] = ACTIONS(4979),
    [anon_sym_or] = ACTIONS(4977),
    [anon_sym_and] = ACTIONS(4977),
    [anon_sym_bitor] = ACTIONS(4977),
    [anon_sym_xor] = ACTIONS(4977),
    [anon_sym_bitand] = ACTIONS(4977),
    [anon_sym_not_eq] = ACTIONS(4977),
    [anon_sym_DASH_DASH] = ACTIONS(4979),
    [anon_sym_PLUS_PLUS] = ACTIONS(4979),
    [anon_sym_DOT] = ACTIONS(4977),
    [anon_sym_DOT_STAR] = ACTIONS(4979),
    [anon_sym_DASH_GT] = ACTIONS(4979),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4977),
    [anon_sym_decltype] = ACTIONS(4977),
  },
  [2054] = {
    [sym_ms_based_modifier] = STATE(7568),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(2064),
    [sym__declarator] = STATE(5941),
    [sym__abstract_declarator] = STATE(6234),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_abstract_parenthesized_declarator] = STATE(5819),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_abstract_pointer_declarator] = STATE(5819),
    [sym_function_declarator] = STATE(5906),
    [sym_abstract_function_declarator] = STATE(5819),
    [sym_array_declarator] = STATE(5906),
    [sym_abstract_array_declarator] = STATE(5819),
    [sym_type_qualifier] = STATE(2606),
    [sym_alignas_qualifier] = STATE(4447),
    [sym_parameter_list] = STATE(3187),
    [sym_decltype] = STATE(7635),
    [sym_reference_declarator] = STATE(5906),
    [sym_abstract_reference_declarator] = STATE(5819),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5357),
    [sym_qualified_identifier] = STATE(5906),
    [sym_operator_name] = STATE(5906),
    [aux_sym__type_definition_type_repeat1] = STATE(2606),
    [aux_sym_pointer_declarator_repeat1] = STATE(2064),
    [sym_identifier] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5338),
    [anon_sym_RPAREN] = ACTIONS(5338),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(5569),
    [anon_sym_AMP_AMP] = ACTIONS(5571),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(5346),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3168),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3168),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3168),
    [anon_sym__unaligned] = ACTIONS(3170),
    [anon_sym___unaligned] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym__Alignas] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [2055] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2610),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2610),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___based] = ACTIONS(2608),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_mutable] = ACTIONS(2608),
    [anon_sym_constinit] = ACTIONS(2608),
    [anon_sym_consteval] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2608),
    [anon_sym_decltype] = ACTIONS(2608),
    [sym_virtual] = ACTIONS(2608),
    [anon_sym_explicit] = ACTIONS(2608),
    [anon_sym_typename] = ACTIONS(2608),
    [anon_sym_template] = ACTIONS(2608),
    [anon_sym_operator] = ACTIONS(2608),
    [anon_sym_friend] = ACTIONS(2608),
    [anon_sym_public] = ACTIONS(2608),
    [anon_sym_private] = ACTIONS(2608),
    [anon_sym_protected] = ACTIONS(2608),
    [anon_sym_using] = ACTIONS(2608),
    [anon_sym_static_assert] = ACTIONS(2608),
  },
  [2056] = {
    [sym_identifier] = ACTIONS(5092),
    [aux_sym_preproc_def_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token2] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5092),
    [sym_preproc_directive] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_TILDE] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_AMP_AMP] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5092),
    [anon_sym___extension__] = ACTIONS(5092),
    [anon_sym_typedef] = ACTIONS(5092),
    [anon_sym_extern] = ACTIONS(5092),
    [anon_sym___attribute__] = ACTIONS(5092),
    [anon_sym_COLON_COLON] = ACTIONS(5094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5094),
    [anon_sym___declspec] = ACTIONS(5092),
    [anon_sym___based] = ACTIONS(5092),
    [anon_sym_signed] = ACTIONS(5092),
    [anon_sym_unsigned] = ACTIONS(5092),
    [anon_sym_long] = ACTIONS(5092),
    [anon_sym_short] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [anon_sym_static] = ACTIONS(5092),
    [anon_sym_register] = ACTIONS(5092),
    [anon_sym_inline] = ACTIONS(5092),
    [anon_sym___inline] = ACTIONS(5092),
    [anon_sym___inline__] = ACTIONS(5092),
    [anon_sym___forceinline] = ACTIONS(5092),
    [anon_sym_thread_local] = ACTIONS(5092),
    [anon_sym___thread] = ACTIONS(5092),
    [anon_sym_const] = ACTIONS(5092),
    [anon_sym_constexpr] = ACTIONS(5092),
    [anon_sym_volatile] = ACTIONS(5092),
    [anon_sym_restrict] = ACTIONS(5092),
    [anon_sym___restrict__] = ACTIONS(5092),
    [anon_sym__Atomic] = ACTIONS(5092),
    [anon_sym__Noreturn] = ACTIONS(5092),
    [anon_sym_noreturn] = ACTIONS(5092),
    [anon_sym_mutable] = ACTIONS(5092),
    [anon_sym_constinit] = ACTIONS(5092),
    [anon_sym_consteval] = ACTIONS(5092),
    [anon_sym_alignas] = ACTIONS(5092),
    [anon_sym__Alignas] = ACTIONS(5092),
    [sym_primitive_type] = ACTIONS(5092),
    [anon_sym_enum] = ACTIONS(5092),
    [anon_sym_class] = ACTIONS(5092),
    [anon_sym_struct] = ACTIONS(5092),
    [anon_sym_union] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5092),
    [anon_sym_decltype] = ACTIONS(5092),
    [sym_virtual] = ACTIONS(5092),
    [anon_sym_explicit] = ACTIONS(5092),
    [anon_sym_typename] = ACTIONS(5092),
    [anon_sym_template] = ACTIONS(5092),
    [anon_sym_operator] = ACTIONS(5092),
    [anon_sym_friend] = ACTIONS(5092),
    [anon_sym_public] = ACTIONS(5092),
    [anon_sym_private] = ACTIONS(5092),
    [anon_sym_protected] = ACTIONS(5092),
    [anon_sym_using] = ACTIONS(5092),
    [anon_sym_static_assert] = ACTIONS(5092),
  },
  [2057] = {
    [sym_argument_list] = STATE(2346),
    [sym_initializer_list] = STATE(2346),
    [sym_identifier] = ACTIONS(5575),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5577),
    [anon_sym_COMMA] = ACTIONS(5577),
    [anon_sym_RPAREN] = ACTIONS(5577),
    [aux_sym_preproc_if_token2] = ACTIONS(5577),
    [aux_sym_preproc_else_token1] = ACTIONS(5577),
    [aux_sym_preproc_elif_token1] = ACTIONS(5575),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5577),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5577),
    [anon_sym_LPAREN2] = ACTIONS(5134),
    [anon_sym_DASH] = ACTIONS(5575),
    [anon_sym_PLUS] = ACTIONS(5575),
    [anon_sym_STAR] = ACTIONS(5575),
    [anon_sym_SLASH] = ACTIONS(5575),
    [anon_sym_PERCENT] = ACTIONS(5575),
    [anon_sym_PIPE_PIPE] = ACTIONS(5577),
    [anon_sym_AMP_AMP] = ACTIONS(5577),
    [anon_sym_PIPE] = ACTIONS(5575),
    [anon_sym_CARET] = ACTIONS(5575),
    [anon_sym_AMP] = ACTIONS(5575),
    [anon_sym_EQ_EQ] = ACTIONS(5577),
    [anon_sym_BANG_EQ] = ACTIONS(5577),
    [anon_sym_GT] = ACTIONS(5575),
    [anon_sym_GT_EQ] = ACTIONS(5577),
    [anon_sym_LT_EQ] = ACTIONS(5575),
    [anon_sym_LT] = ACTIONS(5575),
    [anon_sym_LT_LT] = ACTIONS(5575),
    [anon_sym_GT_GT] = ACTIONS(5575),
    [anon_sym_SEMI] = ACTIONS(5577),
    [anon_sym___attribute__] = ACTIONS(5575),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(5577),
    [anon_sym_LBRACK] = ACTIONS(5577),
    [anon_sym_RBRACK] = ACTIONS(5577),
    [anon_sym_EQ] = ACTIONS(5575),
    [anon_sym_COLON] = ACTIONS(5577),
    [anon_sym_QMARK] = ACTIONS(5577),
    [anon_sym_STAR_EQ] = ACTIONS(5577),
    [anon_sym_SLASH_EQ] = ACTIONS(5577),
    [anon_sym_PERCENT_EQ] = ACTIONS(5577),
    [anon_sym_PLUS_EQ] = ACTIONS(5577),
    [anon_sym_DASH_EQ] = ACTIONS(5577),
    [anon_sym_LT_LT_EQ] = ACTIONS(5577),
    [anon_sym_GT_GT_EQ] = ACTIONS(5577),
    [anon_sym_AMP_EQ] = ACTIONS(5577),
    [anon_sym_CARET_EQ] = ACTIONS(5577),
    [anon_sym_PIPE_EQ] = ACTIONS(5577),
    [anon_sym_and_eq] = ACTIONS(5575),
    [anon_sym_or_eq] = ACTIONS(5575),
    [anon_sym_xor_eq] = ACTIONS(5575),
    [anon_sym_LT_EQ_GT] = ACTIONS(5577),
    [anon_sym_or] = ACTIONS(5575),
    [anon_sym_and] = ACTIONS(5575),
    [anon_sym_bitor] = ACTIONS(5575),
    [anon_sym_xor] = ACTIONS(5575),
    [anon_sym_bitand] = ACTIONS(5575),
    [anon_sym_not_eq] = ACTIONS(5575),
    [anon_sym_DASH_DASH] = ACTIONS(5577),
    [anon_sym_PLUS_PLUS] = ACTIONS(5577),
    [anon_sym_DOT] = ACTIONS(5575),
    [anon_sym_DOT_STAR] = ACTIONS(5577),
    [anon_sym_DASH_GT] = ACTIONS(5577),
    [sym_comment] = ACTIONS(3),
  },
  [2058] = {
    [sym_identifier] = ACTIONS(5096),
    [aux_sym_preproc_def_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token2] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5096),
    [sym_preproc_directive] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_TILDE] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym___extension__] = ACTIONS(5096),
    [anon_sym_typedef] = ACTIONS(5096),
    [anon_sym_extern] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym_COLON_COLON] = ACTIONS(5098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5098),
    [anon_sym___declspec] = ACTIONS(5096),
    [anon_sym___based] = ACTIONS(5096),
    [anon_sym_signed] = ACTIONS(5096),
    [anon_sym_unsigned] = ACTIONS(5096),
    [anon_sym_long] = ACTIONS(5096),
    [anon_sym_short] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [anon_sym_static] = ACTIONS(5096),
    [anon_sym_register] = ACTIONS(5096),
    [anon_sym_inline] = ACTIONS(5096),
    [anon_sym___inline] = ACTIONS(5096),
    [anon_sym___inline__] = ACTIONS(5096),
    [anon_sym___forceinline] = ACTIONS(5096),
    [anon_sym_thread_local] = ACTIONS(5096),
    [anon_sym___thread] = ACTIONS(5096),
    [anon_sym_const] = ACTIONS(5096),
    [anon_sym_constexpr] = ACTIONS(5096),
    [anon_sym_volatile] = ACTIONS(5096),
    [anon_sym_restrict] = ACTIONS(5096),
    [anon_sym___restrict__] = ACTIONS(5096),
    [anon_sym__Atomic] = ACTIONS(5096),
    [anon_sym__Noreturn] = ACTIONS(5096),
    [anon_sym_noreturn] = ACTIONS(5096),
    [anon_sym_mutable] = ACTIONS(5096),
    [anon_sym_constinit] = ACTIONS(5096),
    [anon_sym_consteval] = ACTIONS(5096),
    [anon_sym_alignas] = ACTIONS(5096),
    [anon_sym__Alignas] = ACTIONS(5096),
    [sym_primitive_type] = ACTIONS(5096),
    [anon_sym_enum] = ACTIONS(5096),
    [anon_sym_class] = ACTIONS(5096),
    [anon_sym_struct] = ACTIONS(5096),
    [anon_sym_union] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
    [sym_virtual] = ACTIONS(5096),
    [anon_sym_explicit] = ACTIONS(5096),
    [anon_sym_typename] = ACTIONS(5096),
    [anon_sym_template] = ACTIONS(5096),
    [anon_sym_operator] = ACTIONS(5096),
    [anon_sym_friend] = ACTIONS(5096),
    [anon_sym_public] = ACTIONS(5096),
    [anon_sym_private] = ACTIONS(5096),
    [anon_sym_protected] = ACTIONS(5096),
    [anon_sym_using] = ACTIONS(5096),
    [anon_sym_static_assert] = ACTIONS(5096),
  },
  [2059] = {
    [sym_identifier] = ACTIONS(5092),
    [aux_sym_preproc_def_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token1] = ACTIONS(5092),
    [aux_sym_preproc_if_token2] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5092),
    [sym_preproc_directive] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5094),
    [anon_sym_TILDE] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_AMP_AMP] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5092),
    [anon_sym___extension__] = ACTIONS(5092),
    [anon_sym_typedef] = ACTIONS(5092),
    [anon_sym_extern] = ACTIONS(5092),
    [anon_sym___attribute__] = ACTIONS(5092),
    [anon_sym_COLON_COLON] = ACTIONS(5094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5094),
    [anon_sym___declspec] = ACTIONS(5092),
    [anon_sym___based] = ACTIONS(5092),
    [anon_sym_signed] = ACTIONS(5092),
    [anon_sym_unsigned] = ACTIONS(5092),
    [anon_sym_long] = ACTIONS(5092),
    [anon_sym_short] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [anon_sym_static] = ACTIONS(5092),
    [anon_sym_register] = ACTIONS(5092),
    [anon_sym_inline] = ACTIONS(5092),
    [anon_sym___inline] = ACTIONS(5092),
    [anon_sym___inline__] = ACTIONS(5092),
    [anon_sym___forceinline] = ACTIONS(5092),
    [anon_sym_thread_local] = ACTIONS(5092),
    [anon_sym___thread] = ACTIONS(5092),
    [anon_sym_const] = ACTIONS(5092),
    [anon_sym_constexpr] = ACTIONS(5092),
    [anon_sym_volatile] = ACTIONS(5092),
    [anon_sym_restrict] = ACTIONS(5092),
    [anon_sym___restrict__] = ACTIONS(5092),
    [anon_sym__Atomic] = ACTIONS(5092),
    [anon_sym__Noreturn] = ACTIONS(5092),
    [anon_sym_noreturn] = ACTIONS(5092),
    [anon_sym_mutable] = ACTIONS(5092),
    [anon_sym_constinit] = ACTIONS(5092),
    [anon_sym_consteval] = ACTIONS(5092),
    [anon_sym_alignas] = ACTIONS(5092),
    [anon_sym__Alignas] = ACTIONS(5092),
    [sym_primitive_type] = ACTIONS(5092),
    [anon_sym_enum] = ACTIONS(5092),
    [anon_sym_class] = ACTIONS(5092),
    [anon_sym_struct] = ACTIONS(5092),
    [anon_sym_union] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5092),
    [anon_sym_decltype] = ACTIONS(5092),
    [sym_virtual] = ACTIONS(5092),
    [anon_sym_explicit] = ACTIONS(5092),
    [anon_sym_typename] = ACTIONS(5092),
    [anon_sym_template] = ACTIONS(5092),
    [anon_sym_operator] = ACTIONS(5092),
    [anon_sym_friend] = ACTIONS(5092),
    [anon_sym_public] = ACTIONS(5092),
    [anon_sym_private] = ACTIONS(5092),
    [anon_sym_protected] = ACTIONS(5092),
    [anon_sym_using] = ACTIONS(5092),
    [anon_sym_static_assert] = ACTIONS(5092),
  },
  [2060] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_friend] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_protected] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym_RBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [sym_virtual] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_friend] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
  },
  [2062] = {
    [sym_identifier] = ACTIONS(5096),
    [aux_sym_preproc_def_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token1] = ACTIONS(5096),
    [aux_sym_preproc_if_token2] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5096),
    [sym_preproc_directive] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_TILDE] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_AMP_AMP] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym___extension__] = ACTIONS(5096),
    [anon_sym_typedef] = ACTIONS(5096),
    [anon_sym_extern] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym_COLON_COLON] = ACTIONS(5098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5098),
    [anon_sym___declspec] = ACTIONS(5096),
    [anon_sym___based] = ACTIONS(5096),
    [anon_sym_signed] = ACTIONS(5096),
    [anon_sym_unsigned] = ACTIONS(5096),
    [anon_sym_long] = ACTIONS(5096),
    [anon_sym_short] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [anon_sym_static] = ACTIONS(5096),
    [anon_sym_register] = ACTIONS(5096),
    [anon_sym_inline] = ACTIONS(5096),
    [anon_sym___inline] = ACTIONS(5096),
    [anon_sym___inline__] = ACTIONS(5096),
    [anon_sym___forceinline] = ACTIONS(5096),
    [anon_sym_thread_local] = ACTIONS(5096),
    [anon_sym___thread] = ACTIONS(5096),
    [anon_sym_const] = ACTIONS(5096),
    [anon_sym_constexpr] = ACTIONS(5096),
    [anon_sym_volatile] = ACTIONS(5096),
    [anon_sym_restrict] = ACTIONS(5096),
    [anon_sym___restrict__] = ACTIONS(5096),
    [anon_sym__Atomic] = ACTIONS(5096),
    [anon_sym__Noreturn] = ACTIONS(5096),
    [anon_sym_noreturn] = ACTIONS(5096),
    [anon_sym_mutable] = ACTIONS(5096),
    [anon_sym_constinit] = ACTIONS(5096),
    [anon_sym_consteval] = ACTIONS(5096),
    [anon_sym_alignas] = ACTIONS(5096),
    [anon_sym__Alignas] = ACTIONS(5096),
    [sym_primitive_type] = ACTIONS(5096),
    [anon_sym_enum] = ACTIONS(5096),
    [anon_sym_class] = ACTIONS(5096),
    [anon_sym_struct] = ACTIONS(5096),
    [anon_sym_union] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
    [sym_virtual] = ACTIONS(5096),
    [anon_sym_explicit] = ACTIONS(5096),
    [anon_sym_typename] = ACTIONS(5096),
    [anon_sym_template] = ACTIONS(5096),
    [anon_sym_operator] = ACTIONS(5096),
    [anon_sym_friend] = ACTIONS(5096),
    [anon_sym_public] = ACTIONS(5096),
    [anon_sym_private] = ACTIONS(5096),
    [anon_sym_protected] = ACTIONS(5096),
    [anon_sym_using] = ACTIONS(5096),
    [anon_sym_static_assert] = ACTIONS(5096),
  },
  [2063] = {
    [sym_identifier] = ACTIONS(2518),
    [aux_sym_preproc_def_token1] = ACTIONS(2518),
    [aux_sym_preproc_if_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2518),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2518),
    [sym_preproc_directive] = ACTIONS(2518),
    [anon_sym_LPAREN2] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2518),
    [anon_sym_typedef] = ACTIONS(2518),
    [anon_sym_extern] = ACTIONS(2518),
    [anon_sym___attribute__] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2520),
    [anon_sym___declspec] = ACTIONS(2518),
    [anon_sym___based] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2518),
    [anon_sym_unsigned] = ACTIONS(2518),
    [anon_sym_long] = ACTIONS(2518),
    [anon_sym_short] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2518),
    [anon_sym_register] = ACTIONS(2518),
    [anon_sym_inline] = ACTIONS(2518),
    [anon_sym___inline] = ACTIONS(2518),
    [anon_sym___inline__] = ACTIONS(2518),
    [anon_sym___forceinline] = ACTIONS(2518),
    [anon_sym_thread_local] = ACTIONS(2518),
    [anon_sym___thread] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(2518),
    [anon_sym_constexpr] = ACTIONS(2518),
    [anon_sym_volatile] = ACTIONS(2518),
    [anon_sym_restrict] = ACTIONS(2518),
    [anon_sym___restrict__] = ACTIONS(2518),
    [anon_sym__Atomic] = ACTIONS(2518),
    [anon_sym__Noreturn] = ACTIONS(2518),
    [anon_sym_noreturn] = ACTIONS(2518),
    [anon_sym_mutable] = ACTIONS(2518),
    [anon_sym_constinit] = ACTIONS(2518),
    [anon_sym_consteval] = ACTIONS(2518),
    [anon_sym_alignas] = ACTIONS(2518),
    [anon_sym__Alignas] = ACTIONS(2518),
    [sym_primitive_type] = ACTIONS(2518),
    [anon_sym_enum] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2518),
    [anon_sym_struct] = ACTIONS(2518),
    [anon_sym_union] = ACTIONS(2518),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2518),
    [anon_sym_decltype] = ACTIONS(2518),
    [sym_virtual] = ACTIONS(2518),
    [anon_sym_explicit] = ACTIONS(2518),
    [anon_sym_typename] = ACTIONS(2518),
    [anon_sym_template] = ACTIONS(2518),
    [anon_sym_operator] = ACTIONS(2518),
    [anon_sym_friend] = ACTIONS(2518),
    [anon_sym_public] = ACTIONS(2518),
    [anon_sym_private] = ACTIONS(2518),
    [anon_sym_protected] = ACTIONS(2518),
    [anon_sym_using] = ACTIONS(2518),
    [anon_sym_static_assert] = ACTIONS(2518),
  },
  [2064] = {
    [sym_ms_based_modifier] = STATE(7568),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(3814),
    [sym__declarator] = STATE(5943),
    [sym__abstract_declarator] = STATE(6251),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_abstract_parenthesized_declarator] = STATE(5819),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_abstract_pointer_declarator] = STATE(5819),
    [sym_function_declarator] = STATE(5906),
    [sym_abstract_function_declarator] = STATE(5819),
    [sym_array_declarator] = STATE(5906),
    [sym_abstract_array_declarator] = STATE(5819),
    [sym_type_qualifier] = STATE(2608),
    [sym_alignas_qualifier] = STATE(4447),
    [sym_parameter_list] = STATE(3187),
    [sym_decltype] = STATE(7635),
    [sym_reference_declarator] = STATE(5906),
    [sym_abstract_reference_declarator] = STATE(5819),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5357),
    [sym_qualified_identifier] = STATE(5906),
    [sym_operator_name] = STATE(5906),
    [aux_sym__type_definition_type_repeat1] = STATE(2608),
    [aux_sym_pointer_declarator_repeat1] = STATE(3814),
    [sym_identifier] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5350),
    [anon_sym_RPAREN] = ACTIONS(5350),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(5569),
    [anon_sym_AMP_AMP] = ACTIONS(5571),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(5346),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3168),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3168),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3168),
    [anon_sym__unaligned] = ACTIONS(3170),
    [anon_sym___unaligned] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym__Alignas] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [2065] = {
    [sym_identifier] = ACTIONS(5579),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5581),
    [anon_sym_COMMA] = ACTIONS(5581),
    [anon_sym_RPAREN] = ACTIONS(5581),
    [aux_sym_preproc_if_token2] = ACTIONS(5581),
    [aux_sym_preproc_else_token1] = ACTIONS(5581),
    [aux_sym_preproc_elif_token1] = ACTIONS(5579),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5581),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5581),
    [anon_sym_LPAREN2] = ACTIONS(5581),
    [anon_sym_DASH] = ACTIONS(5579),
    [anon_sym_PLUS] = ACTIONS(5579),
    [anon_sym_STAR] = ACTIONS(5579),
    [anon_sym_SLASH] = ACTIONS(5579),
    [anon_sym_PERCENT] = ACTIONS(5579),
    [anon_sym_PIPE_PIPE] = ACTIONS(5581),
    [anon_sym_AMP_AMP] = ACTIONS(5581),
    [anon_sym_PIPE] = ACTIONS(5579),
    [anon_sym_CARET] = ACTIONS(5579),
    [anon_sym_AMP] = ACTIONS(5579),
    [anon_sym_EQ_EQ] = ACTIONS(5581),
    [anon_sym_BANG_EQ] = ACTIONS(5581),
    [anon_sym_GT] = ACTIONS(5579),
    [anon_sym_GT_EQ] = ACTIONS(5581),
    [anon_sym_LT_EQ] = ACTIONS(5579),
    [anon_sym_LT] = ACTIONS(5579),
    [anon_sym_LT_LT] = ACTIONS(5579),
    [anon_sym_GT_GT] = ACTIONS(5579),
    [anon_sym_SEMI] = ACTIONS(5581),
    [anon_sym___attribute__] = ACTIONS(5579),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5581),
    [anon_sym_LBRACE] = ACTIONS(5581),
    [anon_sym_RBRACE] = ACTIONS(5581),
    [anon_sym_LBRACK] = ACTIONS(5579),
    [anon_sym_RBRACK] = ACTIONS(5581),
    [anon_sym_EQ] = ACTIONS(5579),
    [anon_sym_COLON] = ACTIONS(5581),
    [anon_sym_QMARK] = ACTIONS(5581),
    [anon_sym_STAR_EQ] = ACTIONS(5581),
    [anon_sym_SLASH_EQ] = ACTIONS(5581),
    [anon_sym_PERCENT_EQ] = ACTIONS(5581),
    [anon_sym_PLUS_EQ] = ACTIONS(5581),
    [anon_sym_DASH_EQ] = ACTIONS(5581),
    [anon_sym_LT_LT_EQ] = ACTIONS(5581),
    [anon_sym_GT_GT_EQ] = ACTIONS(5581),
    [anon_sym_AMP_EQ] = ACTIONS(5581),
    [anon_sym_CARET_EQ] = ACTIONS(5581),
    [anon_sym_PIPE_EQ] = ACTIONS(5581),
    [anon_sym_and_eq] = ACTIONS(5579),
    [anon_sym_or_eq] = ACTIONS(5579),
    [anon_sym_xor_eq] = ACTIONS(5579),
    [anon_sym_LT_EQ_GT] = ACTIONS(5581),
    [anon_sym_or] = ACTIONS(5579),
    [anon_sym_and] = ACTIONS(5579),
    [anon_sym_bitor] = ACTIONS(5579),
    [anon_sym_xor] = ACTIONS(5579),
    [anon_sym_bitand] = ACTIONS(5579),
    [anon_sym_not_eq] = ACTIONS(5579),
    [anon_sym_DASH_DASH] = ACTIONS(5581),
    [anon_sym_PLUS_PLUS] = ACTIONS(5581),
    [anon_sym_DOT] = ACTIONS(5579),
    [anon_sym_DOT_STAR] = ACTIONS(5581),
    [anon_sym_DASH_GT] = ACTIONS(5581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5579),
  },
  [2066] = {
    [sym_identifier] = ACTIONS(5118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5120),
    [anon_sym_COMMA] = ACTIONS(5120),
    [anon_sym_RPAREN] = ACTIONS(5120),
    [aux_sym_preproc_if_token2] = ACTIONS(5120),
    [aux_sym_preproc_else_token1] = ACTIONS(5120),
    [aux_sym_preproc_elif_token1] = ACTIONS(5118),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5118),
    [anon_sym_PLUS] = ACTIONS(5118),
    [anon_sym_STAR] = ACTIONS(5118),
    [anon_sym_SLASH] = ACTIONS(5118),
    [anon_sym_PERCENT] = ACTIONS(5118),
    [anon_sym_PIPE_PIPE] = ACTIONS(5120),
    [anon_sym_AMP_AMP] = ACTIONS(5120),
    [anon_sym_PIPE] = ACTIONS(5118),
    [anon_sym_CARET] = ACTIONS(5118),
    [anon_sym_AMP] = ACTIONS(5118),
    [anon_sym_EQ_EQ] = ACTIONS(5120),
    [anon_sym_BANG_EQ] = ACTIONS(5120),
    [anon_sym_GT] = ACTIONS(5118),
    [anon_sym_GT_EQ] = ACTIONS(5120),
    [anon_sym_LT_EQ] = ACTIONS(5118),
    [anon_sym_LT] = ACTIONS(5118),
    [anon_sym_LT_LT] = ACTIONS(5118),
    [anon_sym_GT_GT] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5120),
    [anon_sym___attribute__] = ACTIONS(5118),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_RBRACE] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5120),
    [anon_sym_RBRACK] = ACTIONS(5120),
    [anon_sym_EQ] = ACTIONS(5118),
    [anon_sym_COLON] = ACTIONS(5120),
    [anon_sym_QMARK] = ACTIONS(5120),
    [anon_sym_STAR_EQ] = ACTIONS(5120),
    [anon_sym_SLASH_EQ] = ACTIONS(5120),
    [anon_sym_PERCENT_EQ] = ACTIONS(5120),
    [anon_sym_PLUS_EQ] = ACTIONS(5120),
    [anon_sym_DASH_EQ] = ACTIONS(5120),
    [anon_sym_LT_LT_EQ] = ACTIONS(5120),
    [anon_sym_GT_GT_EQ] = ACTIONS(5120),
    [anon_sym_AMP_EQ] = ACTIONS(5120),
    [anon_sym_CARET_EQ] = ACTIONS(5120),
    [anon_sym_PIPE_EQ] = ACTIONS(5120),
    [anon_sym_and_eq] = ACTIONS(5118),
    [anon_sym_or_eq] = ACTIONS(5118),
    [anon_sym_xor_eq] = ACTIONS(5118),
    [anon_sym_LT_EQ_GT] = ACTIONS(5120),
    [anon_sym_or] = ACTIONS(5118),
    [anon_sym_and] = ACTIONS(5118),
    [anon_sym_bitor] = ACTIONS(5118),
    [anon_sym_xor] = ACTIONS(5118),
    [anon_sym_bitand] = ACTIONS(5118),
    [anon_sym_not_eq] = ACTIONS(5118),
    [anon_sym_DASH_DASH] = ACTIONS(5120),
    [anon_sym_PLUS_PLUS] = ACTIONS(5120),
    [anon_sym_DOT] = ACTIONS(5118),
    [anon_sym_DOT_STAR] = ACTIONS(5120),
    [anon_sym_DASH_GT] = ACTIONS(5120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5118),
    [anon_sym_decltype] = ACTIONS(5118),
  },
  [2067] = {
    [sym_identifier] = ACTIONS(5122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5124),
    [anon_sym_COMMA] = ACTIONS(5124),
    [anon_sym_RPAREN] = ACTIONS(5124),
    [aux_sym_preproc_if_token2] = ACTIONS(5124),
    [aux_sym_preproc_else_token1] = ACTIONS(5124),
    [aux_sym_preproc_elif_token1] = ACTIONS(5122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5124),
    [anon_sym_LPAREN2] = ACTIONS(5124),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5122),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE] = ACTIONS(5124),
    [anon_sym_AMP_AMP] = ACTIONS(5124),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(5122),
    [anon_sym_EQ_EQ] = ACTIONS(5124),
    [anon_sym_BANG_EQ] = ACTIONS(5124),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5124),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5122),
    [anon_sym_GT_GT] = ACTIONS(5122),
    [anon_sym_SEMI] = ACTIONS(5124),
    [anon_sym___attribute__] = ACTIONS(5122),
    [anon_sym_LBRACE] = ACTIONS(5124),
    [anon_sym_RBRACE] = ACTIONS(5124),
    [anon_sym_LBRACK] = ACTIONS(5124),
    [anon_sym_RBRACK] = ACTIONS(5124),
    [anon_sym_EQ] = ACTIONS(5122),
    [anon_sym_COLON] = ACTIONS(5124),
    [anon_sym_QMARK] = ACTIONS(5124),
    [anon_sym_STAR_EQ] = ACTIONS(5124),
    [anon_sym_SLASH_EQ] = ACTIONS(5124),
    [anon_sym_PERCENT_EQ] = ACTIONS(5124),
    [anon_sym_PLUS_EQ] = ACTIONS(5124),
    [anon_sym_DASH_EQ] = ACTIONS(5124),
    [anon_sym_LT_LT_EQ] = ACTIONS(5124),
    [anon_sym_GT_GT_EQ] = ACTIONS(5124),
    [anon_sym_AMP_EQ] = ACTIONS(5124),
    [anon_sym_CARET_EQ] = ACTIONS(5124),
    [anon_sym_PIPE_EQ] = ACTIONS(5124),
    [anon_sym_and_eq] = ACTIONS(5122),
    [anon_sym_or_eq] = ACTIONS(5122),
    [anon_sym_xor_eq] = ACTIONS(5122),
    [anon_sym_LT_EQ_GT] = ACTIONS(5124),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5122),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5122),
    [anon_sym_not_eq] = ACTIONS(5122),
    [anon_sym_DASH_DASH] = ACTIONS(5124),
    [anon_sym_PLUS_PLUS] = ACTIONS(5124),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5124),
    [anon_sym_DASH_GT] = ACTIONS(5124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5122),
    [anon_sym_decltype] = ACTIONS(5122),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(4981),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4983),
    [anon_sym_COMMA] = ACTIONS(4983),
    [anon_sym_RPAREN] = ACTIONS(4983),
    [aux_sym_preproc_if_token2] = ACTIONS(4983),
    [aux_sym_preproc_else_token1] = ACTIONS(4983),
    [aux_sym_preproc_elif_token1] = ACTIONS(4981),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4983),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4983),
    [anon_sym_LPAREN2] = ACTIONS(4983),
    [anon_sym_DASH] = ACTIONS(4981),
    [anon_sym_PLUS] = ACTIONS(4981),
    [anon_sym_STAR] = ACTIONS(4981),
    [anon_sym_SLASH] = ACTIONS(4981),
    [anon_sym_PERCENT] = ACTIONS(4981),
    [anon_sym_PIPE_PIPE] = ACTIONS(4983),
    [anon_sym_AMP_AMP] = ACTIONS(4983),
    [anon_sym_PIPE] = ACTIONS(4981),
    [anon_sym_CARET] = ACTIONS(4981),
    [anon_sym_AMP] = ACTIONS(4981),
    [anon_sym_EQ_EQ] = ACTIONS(4983),
    [anon_sym_BANG_EQ] = ACTIONS(4983),
    [anon_sym_GT] = ACTIONS(4981),
    [anon_sym_GT_EQ] = ACTIONS(4983),
    [anon_sym_LT_EQ] = ACTIONS(4981),
    [anon_sym_LT] = ACTIONS(4981),
    [anon_sym_LT_LT] = ACTIONS(4981),
    [anon_sym_GT_GT] = ACTIONS(4981),
    [anon_sym_SEMI] = ACTIONS(4983),
    [anon_sym___attribute__] = ACTIONS(4981),
    [anon_sym_LBRACE] = ACTIONS(4983),
    [anon_sym_RBRACE] = ACTIONS(4983),
    [anon_sym_LBRACK] = ACTIONS(4983),
    [anon_sym_RBRACK] = ACTIONS(4983),
    [anon_sym_EQ] = ACTIONS(4981),
    [anon_sym_COLON] = ACTIONS(4983),
    [anon_sym_QMARK] = ACTIONS(4983),
    [anon_sym_STAR_EQ] = ACTIONS(4983),
    [anon_sym_SLASH_EQ] = ACTIONS(4983),
    [anon_sym_PERCENT_EQ] = ACTIONS(4983),
    [anon_sym_PLUS_EQ] = ACTIONS(4983),
    [anon_sym_DASH_EQ] = ACTIONS(4983),
    [anon_sym_LT_LT_EQ] = ACTIONS(4983),
    [anon_sym_GT_GT_EQ] = ACTIONS(4983),
    [anon_sym_AMP_EQ] = ACTIONS(4983),
    [anon_sym_CARET_EQ] = ACTIONS(4983),
    [anon_sym_PIPE_EQ] = ACTIONS(4983),
    [anon_sym_and_eq] = ACTIONS(4981),
    [anon_sym_or_eq] = ACTIONS(4981),
    [anon_sym_xor_eq] = ACTIONS(4981),
    [anon_sym_LT_EQ_GT] = ACTIONS(4983),
    [anon_sym_or] = ACTIONS(4981),
    [anon_sym_and] = ACTIONS(4981),
    [anon_sym_bitor] = ACTIONS(4981),
    [anon_sym_xor] = ACTIONS(4981),
    [anon_sym_bitand] = ACTIONS(4981),
    [anon_sym_not_eq] = ACTIONS(4981),
    [anon_sym_DASH_DASH] = ACTIONS(4983),
    [anon_sym_PLUS_PLUS] = ACTIONS(4983),
    [anon_sym_DOT] = ACTIONS(4981),
    [anon_sym_DOT_STAR] = ACTIONS(4983),
    [anon_sym_DASH_GT] = ACTIONS(4983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4981),
    [anon_sym_decltype] = ACTIONS(4981),
  },
  [2069] = {
    [sym_identifier] = ACTIONS(5126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5128),
    [anon_sym_COMMA] = ACTIONS(5128),
    [anon_sym_RPAREN] = ACTIONS(5128),
    [aux_sym_preproc_if_token2] = ACTIONS(5128),
    [aux_sym_preproc_else_token1] = ACTIONS(5128),
    [aux_sym_preproc_elif_token1] = ACTIONS(5126),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5128),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5128),
    [anon_sym_LPAREN2] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5126),
    [anon_sym_STAR] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5126),
    [anon_sym_PERCENT] = ACTIONS(5126),
    [anon_sym_PIPE_PIPE] = ACTIONS(5128),
    [anon_sym_AMP_AMP] = ACTIONS(5128),
    [anon_sym_PIPE] = ACTIONS(5126),
    [anon_sym_CARET] = ACTIONS(5126),
    [anon_sym_AMP] = ACTIONS(5126),
    [anon_sym_EQ_EQ] = ACTIONS(5128),
    [anon_sym_BANG_EQ] = ACTIONS(5128),
    [anon_sym_GT] = ACTIONS(5126),
    [anon_sym_GT_EQ] = ACTIONS(5128),
    [anon_sym_LT_EQ] = ACTIONS(5126),
    [anon_sym_LT] = ACTIONS(5126),
    [anon_sym_LT_LT] = ACTIONS(5126),
    [anon_sym_GT_GT] = ACTIONS(5126),
    [anon_sym_SEMI] = ACTIONS(5128),
    [anon_sym___attribute__] = ACTIONS(5126),
    [anon_sym_LBRACE] = ACTIONS(5128),
    [anon_sym_RBRACE] = ACTIONS(5128),
    [anon_sym_LBRACK] = ACTIONS(5128),
    [anon_sym_RBRACK] = ACTIONS(5128),
    [anon_sym_EQ] = ACTIONS(5126),
    [anon_sym_COLON] = ACTIONS(5128),
    [anon_sym_QMARK] = ACTIONS(5128),
    [anon_sym_STAR_EQ] = ACTIONS(5128),
    [anon_sym_SLASH_EQ] = ACTIONS(5128),
    [anon_sym_PERCENT_EQ] = ACTIONS(5128),
    [anon_sym_PLUS_EQ] = ACTIONS(5128),
    [anon_sym_DASH_EQ] = ACTIONS(5128),
    [anon_sym_LT_LT_EQ] = ACTIONS(5128),
    [anon_sym_GT_GT_EQ] = ACTIONS(5128),
    [anon_sym_AMP_EQ] = ACTIONS(5128),
    [anon_sym_CARET_EQ] = ACTIONS(5128),
    [anon_sym_PIPE_EQ] = ACTIONS(5128),
    [anon_sym_and_eq] = ACTIONS(5126),
    [anon_sym_or_eq] = ACTIONS(5126),
    [anon_sym_xor_eq] = ACTIONS(5126),
    [anon_sym_LT_EQ_GT] = ACTIONS(5128),
    [anon_sym_or] = ACTIONS(5126),
    [anon_sym_and] = ACTIONS(5126),
    [anon_sym_bitor] = ACTIONS(5126),
    [anon_sym_xor] = ACTIONS(5126),
    [anon_sym_bitand] = ACTIONS(5126),
    [anon_sym_not_eq] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5128),
    [anon_sym_PLUS_PLUS] = ACTIONS(5128),
    [anon_sym_DOT] = ACTIONS(5126),
    [anon_sym_DOT_STAR] = ACTIONS(5128),
    [anon_sym_DASH_GT] = ACTIONS(5128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5126),
    [anon_sym_decltype] = ACTIONS(5126),
  },
  [2070] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(5583),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5204),
    [anon_sym_COMMA] = ACTIONS(5204),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_DASH] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(5206),
    [anon_sym_STAR] = ACTIONS(5204),
    [anon_sym_SLASH] = ACTIONS(5206),
    [anon_sym_PERCENT] = ACTIONS(5204),
    [anon_sym_PIPE_PIPE] = ACTIONS(5204),
    [anon_sym_AMP_AMP] = ACTIONS(5204),
    [anon_sym_PIPE] = ACTIONS(5206),
    [anon_sym_CARET] = ACTIONS(5204),
    [anon_sym_AMP] = ACTIONS(5206),
    [anon_sym_EQ_EQ] = ACTIONS(5204),
    [anon_sym_BANG_EQ] = ACTIONS(5204),
    [anon_sym_GT] = ACTIONS(5206),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_LT] = ACTIONS(5206),
    [anon_sym_LT_LT] = ACTIONS(5204),
    [anon_sym_GT_GT] = ACTIONS(5206),
    [anon_sym___extension__] = ACTIONS(5206),
    [anon_sym___attribute__] = ACTIONS(5206),
    [anon_sym_LBRACE] = ACTIONS(5204),
    [anon_sym_signed] = ACTIONS(5585),
    [anon_sym_unsigned] = ACTIONS(5585),
    [anon_sym_long] = ACTIONS(5585),
    [anon_sym_short] = ACTIONS(5585),
    [anon_sym_LBRACK] = ACTIONS(5204),
    [anon_sym_const] = ACTIONS(5206),
    [anon_sym_constexpr] = ACTIONS(5206),
    [anon_sym_volatile] = ACTIONS(5206),
    [anon_sym_restrict] = ACTIONS(5206),
    [anon_sym___restrict__] = ACTIONS(5206),
    [anon_sym__Atomic] = ACTIONS(5206),
    [anon_sym__Noreturn] = ACTIONS(5206),
    [anon_sym_noreturn] = ACTIONS(5206),
    [anon_sym_mutable] = ACTIONS(5206),
    [anon_sym_constinit] = ACTIONS(5206),
    [anon_sym_consteval] = ACTIONS(5206),
    [anon_sym_alignas] = ACTIONS(5206),
    [anon_sym__Alignas] = ACTIONS(5206),
    [sym_primitive_type] = ACTIONS(5587),
    [anon_sym_QMARK] = ACTIONS(5204),
    [anon_sym_LT_EQ_GT] = ACTIONS(5204),
    [anon_sym_or] = ACTIONS(5206),
    [anon_sym_and] = ACTIONS(5206),
    [anon_sym_bitor] = ACTIONS(5206),
    [anon_sym_xor] = ACTIONS(5206),
    [anon_sym_bitand] = ACTIONS(5206),
    [anon_sym_not_eq] = ACTIONS(5206),
    [anon_sym_DASH_DASH] = ACTIONS(5204),
    [anon_sym_PLUS_PLUS] = ACTIONS(5204),
    [anon_sym_DOT] = ACTIONS(5206),
    [anon_sym_DOT_STAR] = ACTIONS(5204),
    [anon_sym_DASH_GT] = ACTIONS(5204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5206),
    [anon_sym_decltype] = ACTIONS(5206),
    [anon_sym_final] = ACTIONS(5206),
    [anon_sym_override] = ACTIONS(5206),
    [anon_sym_GT2] = ACTIONS(5204),
    [anon_sym_requires] = ACTIONS(5206),
  },
  [2071] = {
    [sym_identifier] = ACTIONS(2708),
    [aux_sym_preproc_def_token1] = ACTIONS(2708),
    [aux_sym_preproc_if_token1] = ACTIONS(2708),
    [aux_sym_preproc_if_token2] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2708),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2708),
    [sym_preproc_directive] = ACTIONS(2708),
    [anon_sym_LPAREN2] = ACTIONS(2710),
    [anon_sym_TILDE] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2710),
    [anon_sym_AMP_AMP] = ACTIONS(2710),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2708),
    [anon_sym_typedef] = ACTIONS(2708),
    [anon_sym_extern] = ACTIONS(2708),
    [anon_sym___attribute__] = ACTIONS(2708),
    [anon_sym_COLON_COLON] = ACTIONS(2710),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2710),
    [anon_sym___declspec] = ACTIONS(2708),
    [anon_sym___based] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2708),
    [anon_sym_unsigned] = ACTIONS(2708),
    [anon_sym_long] = ACTIONS(2708),
    [anon_sym_short] = ACTIONS(2708),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym_static] = ACTIONS(2708),
    [anon_sym_register] = ACTIONS(2708),
    [anon_sym_inline] = ACTIONS(2708),
    [anon_sym___inline] = ACTIONS(2708),
    [anon_sym___inline__] = ACTIONS(2708),
    [anon_sym___forceinline] = ACTIONS(2708),
    [anon_sym_thread_local] = ACTIONS(2708),
    [anon_sym___thread] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2708),
    [anon_sym_constexpr] = ACTIONS(2708),
    [anon_sym_volatile] = ACTIONS(2708),
    [anon_sym_restrict] = ACTIONS(2708),
    [anon_sym___restrict__] = ACTIONS(2708),
    [anon_sym__Atomic] = ACTIONS(2708),
    [anon_sym__Noreturn] = ACTIONS(2708),
    [anon_sym_noreturn] = ACTIONS(2708),
    [anon_sym_mutable] = ACTIONS(2708),
    [anon_sym_constinit] = ACTIONS(2708),
    [anon_sym_consteval] = ACTIONS(2708),
    [anon_sym_alignas] = ACTIONS(2708),
    [anon_sym__Alignas] = ACTIONS(2708),
    [sym_primitive_type] = ACTIONS(2708),
    [anon_sym_enum] = ACTIONS(2708),
    [anon_sym_class] = ACTIONS(2708),
    [anon_sym_struct] = ACTIONS(2708),
    [anon_sym_union] = ACTIONS(2708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2708),
    [anon_sym_decltype] = ACTIONS(2708),
    [sym_virtual] = ACTIONS(2708),
    [anon_sym_explicit] = ACTIONS(2708),
    [anon_sym_typename] = ACTIONS(2708),
    [anon_sym_template] = ACTIONS(2708),
    [anon_sym_operator] = ACTIONS(2708),
    [anon_sym_friend] = ACTIONS(2708),
    [anon_sym_public] = ACTIONS(2708),
    [anon_sym_private] = ACTIONS(2708),
    [anon_sym_protected] = ACTIONS(2708),
    [anon_sym_using] = ACTIONS(2708),
    [anon_sym_static_assert] = ACTIONS(2708),
  },
  [2072] = {
    [sym_identifier] = ACTIONS(4985),
    [aux_sym_preproc_def_token1] = ACTIONS(4985),
    [aux_sym_preproc_if_token1] = ACTIONS(4985),
    [aux_sym_preproc_if_token2] = ACTIONS(4985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4985),
    [sym_preproc_directive] = ACTIONS(4985),
    [anon_sym_LPAREN2] = ACTIONS(4987),
    [anon_sym_TILDE] = ACTIONS(4987),
    [anon_sym_STAR] = ACTIONS(4987),
    [anon_sym_AMP_AMP] = ACTIONS(4987),
    [anon_sym_AMP] = ACTIONS(4985),
    [anon_sym___extension__] = ACTIONS(4985),
    [anon_sym_typedef] = ACTIONS(4985),
    [anon_sym_extern] = ACTIONS(4985),
    [anon_sym___attribute__] = ACTIONS(4985),
    [anon_sym_COLON_COLON] = ACTIONS(4987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4987),
    [anon_sym___declspec] = ACTIONS(4985),
    [anon_sym___based] = ACTIONS(4985),
    [anon_sym_signed] = ACTIONS(4985),
    [anon_sym_unsigned] = ACTIONS(4985),
    [anon_sym_long] = ACTIONS(4985),
    [anon_sym_short] = ACTIONS(4985),
    [anon_sym_LBRACK] = ACTIONS(4985),
    [anon_sym_static] = ACTIONS(4985),
    [anon_sym_register] = ACTIONS(4985),
    [anon_sym_inline] = ACTIONS(4985),
    [anon_sym___inline] = ACTIONS(4985),
    [anon_sym___inline__] = ACTIONS(4985),
    [anon_sym___forceinline] = ACTIONS(4985),
    [anon_sym_thread_local] = ACTIONS(4985),
    [anon_sym___thread] = ACTIONS(4985),
    [anon_sym_const] = ACTIONS(4985),
    [anon_sym_constexpr] = ACTIONS(4985),
    [anon_sym_volatile] = ACTIONS(4985),
    [anon_sym_restrict] = ACTIONS(4985),
    [anon_sym___restrict__] = ACTIONS(4985),
    [anon_sym__Atomic] = ACTIONS(4985),
    [anon_sym__Noreturn] = ACTIONS(4985),
    [anon_sym_noreturn] = ACTIONS(4985),
    [anon_sym_mutable] = ACTIONS(4985),
    [anon_sym_constinit] = ACTIONS(4985),
    [anon_sym_consteval] = ACTIONS(4985),
    [anon_sym_alignas] = ACTIONS(4985),
    [anon_sym__Alignas] = ACTIONS(4985),
    [sym_primitive_type] = ACTIONS(4985),
    [anon_sym_enum] = ACTIONS(4985),
    [anon_sym_class] = ACTIONS(4985),
    [anon_sym_struct] = ACTIONS(4985),
    [anon_sym_union] = ACTIONS(4985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4985),
    [anon_sym_decltype] = ACTIONS(4985),
    [sym_virtual] = ACTIONS(4985),
    [anon_sym_explicit] = ACTIONS(4985),
    [anon_sym_typename] = ACTIONS(4985),
    [anon_sym_template] = ACTIONS(4985),
    [anon_sym_operator] = ACTIONS(4985),
    [anon_sym_friend] = ACTIONS(4985),
    [anon_sym_public] = ACTIONS(4985),
    [anon_sym_private] = ACTIONS(4985),
    [anon_sym_protected] = ACTIONS(4985),
    [anon_sym_using] = ACTIONS(4985),
    [anon_sym_static_assert] = ACTIONS(4985),
  },
  [2073] = {
    [sym_identifier] = ACTIONS(4989),
    [aux_sym_preproc_def_token1] = ACTIONS(4989),
    [aux_sym_preproc_if_token1] = ACTIONS(4989),
    [aux_sym_preproc_if_token2] = ACTIONS(4989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4989),
    [sym_preproc_directive] = ACTIONS(4989),
    [anon_sym_LPAREN2] = ACTIONS(4991),
    [anon_sym_TILDE] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4991),
    [anon_sym_AMP_AMP] = ACTIONS(4991),
    [anon_sym_AMP] = ACTIONS(4989),
    [anon_sym___extension__] = ACTIONS(4989),
    [anon_sym_typedef] = ACTIONS(4989),
    [anon_sym_extern] = ACTIONS(4989),
    [anon_sym___attribute__] = ACTIONS(4989),
    [anon_sym_COLON_COLON] = ACTIONS(4991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4991),
    [anon_sym___declspec] = ACTIONS(4989),
    [anon_sym___based] = ACTIONS(4989),
    [anon_sym_signed] = ACTIONS(4989),
    [anon_sym_unsigned] = ACTIONS(4989),
    [anon_sym_long] = ACTIONS(4989),
    [anon_sym_short] = ACTIONS(4989),
    [anon_sym_LBRACK] = ACTIONS(4989),
    [anon_sym_static] = ACTIONS(4989),
    [anon_sym_register] = ACTIONS(4989),
    [anon_sym_inline] = ACTIONS(4989),
    [anon_sym___inline] = ACTIONS(4989),
    [anon_sym___inline__] = ACTIONS(4989),
    [anon_sym___forceinline] = ACTIONS(4989),
    [anon_sym_thread_local] = ACTIONS(4989),
    [anon_sym___thread] = ACTIONS(4989),
    [anon_sym_const] = ACTIONS(4989),
    [anon_sym_constexpr] = ACTIONS(4989),
    [anon_sym_volatile] = ACTIONS(4989),
    [anon_sym_restrict] = ACTIONS(4989),
    [anon_sym___restrict__] = ACTIONS(4989),
    [anon_sym__Atomic] = ACTIONS(4989),
    [anon_sym__Noreturn] = ACTIONS(4989),
    [anon_sym_noreturn] = ACTIONS(4989),
    [anon_sym_mutable] = ACTIONS(4989),
    [anon_sym_constinit] = ACTIONS(4989),
    [anon_sym_consteval] = ACTIONS(4989),
    [anon_sym_alignas] = ACTIONS(4989),
    [anon_sym__Alignas] = ACTIONS(4989),
    [sym_primitive_type] = ACTIONS(4989),
    [anon_sym_enum] = ACTIONS(4989),
    [anon_sym_class] = ACTIONS(4989),
    [anon_sym_struct] = ACTIONS(4989),
    [anon_sym_union] = ACTIONS(4989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4989),
    [anon_sym_decltype] = ACTIONS(4989),
    [sym_virtual] = ACTIONS(4989),
    [anon_sym_explicit] = ACTIONS(4989),
    [anon_sym_typename] = ACTIONS(4989),
    [anon_sym_template] = ACTIONS(4989),
    [anon_sym_operator] = ACTIONS(4989),
    [anon_sym_friend] = ACTIONS(4989),
    [anon_sym_public] = ACTIONS(4989),
    [anon_sym_private] = ACTIONS(4989),
    [anon_sym_protected] = ACTIONS(4989),
    [anon_sym_using] = ACTIONS(4989),
    [anon_sym_static_assert] = ACTIONS(4989),
  },
  [2074] = {
    [sym_identifier] = ACTIONS(4993),
    [aux_sym_preproc_def_token1] = ACTIONS(4993),
    [aux_sym_preproc_if_token1] = ACTIONS(4993),
    [aux_sym_preproc_if_token2] = ACTIONS(4993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4993),
    [sym_preproc_directive] = ACTIONS(4993),
    [anon_sym_LPAREN2] = ACTIONS(4995),
    [anon_sym_TILDE] = ACTIONS(4995),
    [anon_sym_STAR] = ACTIONS(4995),
    [anon_sym_AMP_AMP] = ACTIONS(4995),
    [anon_sym_AMP] = ACTIONS(4993),
    [anon_sym___extension__] = ACTIONS(4993),
    [anon_sym_typedef] = ACTIONS(4993),
    [anon_sym_extern] = ACTIONS(4993),
    [anon_sym___attribute__] = ACTIONS(4993),
    [anon_sym_COLON_COLON] = ACTIONS(4995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4995),
    [anon_sym___declspec] = ACTIONS(4993),
    [anon_sym___based] = ACTIONS(4993),
    [anon_sym_signed] = ACTIONS(4993),
    [anon_sym_unsigned] = ACTIONS(4993),
    [anon_sym_long] = ACTIONS(4993),
    [anon_sym_short] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4993),
    [anon_sym_static] = ACTIONS(4993),
    [anon_sym_register] = ACTIONS(4993),
    [anon_sym_inline] = ACTIONS(4993),
    [anon_sym___inline] = ACTIONS(4993),
    [anon_sym___inline__] = ACTIONS(4993),
    [anon_sym___forceinline] = ACTIONS(4993),
    [anon_sym_thread_local] = ACTIONS(4993),
    [anon_sym___thread] = ACTIONS(4993),
    [anon_sym_const] = ACTIONS(4993),
    [anon_sym_constexpr] = ACTIONS(4993),
    [anon_sym_volatile] = ACTIONS(4993),
    [anon_sym_restrict] = ACTIONS(4993),
    [anon_sym___restrict__] = ACTIONS(4993),
    [anon_sym__Atomic] = ACTIONS(4993),
    [anon_sym__Noreturn] = ACTIONS(4993),
    [anon_sym_noreturn] = ACTIONS(4993),
    [anon_sym_mutable] = ACTIONS(4993),
    [anon_sym_constinit] = ACTIONS(4993),
    [anon_sym_consteval] = ACTIONS(4993),
    [anon_sym_alignas] = ACTIONS(4993),
    [anon_sym__Alignas] = ACTIONS(4993),
    [sym_primitive_type] = ACTIONS(4993),
    [anon_sym_enum] = ACTIONS(4993),
    [anon_sym_class] = ACTIONS(4993),
    [anon_sym_struct] = ACTIONS(4993),
    [anon_sym_union] = ACTIONS(4993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4993),
    [anon_sym_decltype] = ACTIONS(4993),
    [sym_virtual] = ACTIONS(4993),
    [anon_sym_explicit] = ACTIONS(4993),
    [anon_sym_typename] = ACTIONS(4993),
    [anon_sym_template] = ACTIONS(4993),
    [anon_sym_operator] = ACTIONS(4993),
    [anon_sym_friend] = ACTIONS(4993),
    [anon_sym_public] = ACTIONS(4993),
    [anon_sym_private] = ACTIONS(4993),
    [anon_sym_protected] = ACTIONS(4993),
    [anon_sym_using] = ACTIONS(4993),
    [anon_sym_static_assert] = ACTIONS(4993),
  },
  [2075] = {
    [sym_string_literal] = STATE(1834),
    [sym_raw_string_literal] = STATE(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4949),
    [anon_sym_COMMA] = ACTIONS(4949),
    [anon_sym_LPAREN2] = ACTIONS(4949),
    [anon_sym_DASH] = ACTIONS(4947),
    [anon_sym_PLUS] = ACTIONS(4947),
    [anon_sym_STAR] = ACTIONS(4947),
    [anon_sym_SLASH] = ACTIONS(4947),
    [anon_sym_PERCENT] = ACTIONS(4947),
    [anon_sym_PIPE_PIPE] = ACTIONS(4949),
    [anon_sym_AMP_AMP] = ACTIONS(4949),
    [anon_sym_PIPE] = ACTIONS(4947),
    [anon_sym_CARET] = ACTIONS(4947),
    [anon_sym_AMP] = ACTIONS(4947),
    [anon_sym_EQ_EQ] = ACTIONS(4949),
    [anon_sym_BANG_EQ] = ACTIONS(4949),
    [anon_sym_GT] = ACTIONS(4947),
    [anon_sym_GT_EQ] = ACTIONS(4949),
    [anon_sym_LT_EQ] = ACTIONS(4947),
    [anon_sym_LT] = ACTIONS(4947),
    [anon_sym_LT_LT] = ACTIONS(4947),
    [anon_sym_GT_GT] = ACTIONS(4947),
    [anon_sym_SEMI] = ACTIONS(4949),
    [anon_sym___attribute__] = ACTIONS(4947),
    [anon_sym_LBRACK] = ACTIONS(4949),
    [anon_sym_EQ] = ACTIONS(4947),
    [anon_sym_QMARK] = ACTIONS(4949),
    [anon_sym_STAR_EQ] = ACTIONS(4949),
    [anon_sym_SLASH_EQ] = ACTIONS(4949),
    [anon_sym_PERCENT_EQ] = ACTIONS(4949),
    [anon_sym_PLUS_EQ] = ACTIONS(4949),
    [anon_sym_DASH_EQ] = ACTIONS(4949),
    [anon_sym_LT_LT_EQ] = ACTIONS(4949),
    [anon_sym_GT_GT_EQ] = ACTIONS(4949),
    [anon_sym_AMP_EQ] = ACTIONS(4949),
    [anon_sym_CARET_EQ] = ACTIONS(4949),
    [anon_sym_PIPE_EQ] = ACTIONS(4949),
    [anon_sym_and_eq] = ACTIONS(4947),
    [anon_sym_or_eq] = ACTIONS(4947),
    [anon_sym_xor_eq] = ACTIONS(4947),
    [anon_sym_LT_EQ_GT] = ACTIONS(4949),
    [anon_sym_or] = ACTIONS(4947),
    [anon_sym_and] = ACTIONS(4947),
    [anon_sym_bitor] = ACTIONS(4947),
    [anon_sym_xor] = ACTIONS(4947),
    [anon_sym_bitand] = ACTIONS(4947),
    [anon_sym_not_eq] = ACTIONS(4947),
    [anon_sym_DASH_DASH] = ACTIONS(4949),
    [anon_sym_PLUS_PLUS] = ACTIONS(4949),
    [anon_sym_DOT] = ACTIONS(4947),
    [anon_sym_DOT_STAR] = ACTIONS(4949),
    [anon_sym_DASH_GT] = ACTIONS(4949),
    [anon_sym_L_DQUOTE] = ACTIONS(5267),
    [anon_sym_u_DQUOTE] = ACTIONS(5267),
    [anon_sym_U_DQUOTE] = ACTIONS(5267),
    [anon_sym_u8_DQUOTE] = ACTIONS(5267),
    [anon_sym_DQUOTE] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5269),
    [anon_sym_LR_DQUOTE] = ACTIONS(5269),
    [anon_sym_uR_DQUOTE] = ACTIONS(5269),
    [anon_sym_UR_DQUOTE] = ACTIONS(5269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5269),
    [sym_literal_suffix] = ACTIONS(4951),
  },
  [2076] = {
    [sym_identifier] = ACTIONS(4997),
    [aux_sym_preproc_def_token1] = ACTIONS(4997),
    [aux_sym_preproc_if_token1] = ACTIONS(4997),
    [aux_sym_preproc_if_token2] = ACTIONS(4997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4997),
    [sym_preproc_directive] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_TILDE] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4997),
    [anon_sym___extension__] = ACTIONS(4997),
    [anon_sym_typedef] = ACTIONS(4997),
    [anon_sym_extern] = ACTIONS(4997),
    [anon_sym___attribute__] = ACTIONS(4997),
    [anon_sym_COLON_COLON] = ACTIONS(4999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4999),
    [anon_sym___declspec] = ACTIONS(4997),
    [anon_sym___based] = ACTIONS(4997),
    [anon_sym_signed] = ACTIONS(4997),
    [anon_sym_unsigned] = ACTIONS(4997),
    [anon_sym_long] = ACTIONS(4997),
    [anon_sym_short] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4997),
    [anon_sym_static] = ACTIONS(4997),
    [anon_sym_register] = ACTIONS(4997),
    [anon_sym_inline] = ACTIONS(4997),
    [anon_sym___inline] = ACTIONS(4997),
    [anon_sym___inline__] = ACTIONS(4997),
    [anon_sym___forceinline] = ACTIONS(4997),
    [anon_sym_thread_local] = ACTIONS(4997),
    [anon_sym___thread] = ACTIONS(4997),
    [anon_sym_const] = ACTIONS(4997),
    [anon_sym_constexpr] = ACTIONS(4997),
    [anon_sym_volatile] = ACTIONS(4997),
    [anon_sym_restrict] = ACTIONS(4997),
    [anon_sym___restrict__] = ACTIONS(4997),
    [anon_sym__Atomic] = ACTIONS(4997),
    [anon_sym__Noreturn] = ACTIONS(4997),
    [anon_sym_noreturn] = ACTIONS(4997),
    [anon_sym_mutable] = ACTIONS(4997),
    [anon_sym_constinit] = ACTIONS(4997),
    [anon_sym_consteval] = ACTIONS(4997),
    [anon_sym_alignas] = ACTIONS(4997),
    [anon_sym__Alignas] = ACTIONS(4997),
    [sym_primitive_type] = ACTIONS(4997),
    [anon_sym_enum] = ACTIONS(4997),
    [anon_sym_class] = ACTIONS(4997),
    [anon_sym_struct] = ACTIONS(4997),
    [anon_sym_union] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4997),
    [anon_sym_decltype] = ACTIONS(4997),
    [sym_virtual] = ACTIONS(4997),
    [anon_sym_explicit] = ACTIONS(4997),
    [anon_sym_typename] = ACTIONS(4997),
    [anon_sym_template] = ACTIONS(4997),
    [anon_sym_operator] = ACTIONS(4997),
    [anon_sym_friend] = ACTIONS(4997),
    [anon_sym_public] = ACTIONS(4997),
    [anon_sym_private] = ACTIONS(4997),
    [anon_sym_protected] = ACTIONS(4997),
    [anon_sym_using] = ACTIONS(4997),
    [anon_sym_static_assert] = ACTIONS(4997),
  },
  [2077] = {
    [sym_identifier] = ACTIONS(5001),
    [aux_sym_preproc_def_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token2] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5001),
    [sym_preproc_directive] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5003),
    [anon_sym_TILDE] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_AMP_AMP] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5001),
    [anon_sym___extension__] = ACTIONS(5001),
    [anon_sym_typedef] = ACTIONS(5001),
    [anon_sym_extern] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(5003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5003),
    [anon_sym___declspec] = ACTIONS(5001),
    [anon_sym___based] = ACTIONS(5001),
    [anon_sym_signed] = ACTIONS(5001),
    [anon_sym_unsigned] = ACTIONS(5001),
    [anon_sym_long] = ACTIONS(5001),
    [anon_sym_short] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_static] = ACTIONS(5001),
    [anon_sym_register] = ACTIONS(5001),
    [anon_sym_inline] = ACTIONS(5001),
    [anon_sym___inline] = ACTIONS(5001),
    [anon_sym___inline__] = ACTIONS(5001),
    [anon_sym___forceinline] = ACTIONS(5001),
    [anon_sym_thread_local] = ACTIONS(5001),
    [anon_sym___thread] = ACTIONS(5001),
    [anon_sym_const] = ACTIONS(5001),
    [anon_sym_constexpr] = ACTIONS(5001),
    [anon_sym_volatile] = ACTIONS(5001),
    [anon_sym_restrict] = ACTIONS(5001),
    [anon_sym___restrict__] = ACTIONS(5001),
    [anon_sym__Atomic] = ACTIONS(5001),
    [anon_sym__Noreturn] = ACTIONS(5001),
    [anon_sym_noreturn] = ACTIONS(5001),
    [anon_sym_mutable] = ACTIONS(5001),
    [anon_sym_constinit] = ACTIONS(5001),
    [anon_sym_consteval] = ACTIONS(5001),
    [anon_sym_alignas] = ACTIONS(5001),
    [anon_sym__Alignas] = ACTIONS(5001),
    [sym_primitive_type] = ACTIONS(5001),
    [anon_sym_enum] = ACTIONS(5001),
    [anon_sym_class] = ACTIONS(5001),
    [anon_sym_struct] = ACTIONS(5001),
    [anon_sym_union] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5001),
    [anon_sym_decltype] = ACTIONS(5001),
    [sym_virtual] = ACTIONS(5001),
    [anon_sym_explicit] = ACTIONS(5001),
    [anon_sym_typename] = ACTIONS(5001),
    [anon_sym_template] = ACTIONS(5001),
    [anon_sym_operator] = ACTIONS(5001),
    [anon_sym_friend] = ACTIONS(5001),
    [anon_sym_public] = ACTIONS(5001),
    [anon_sym_private] = ACTIONS(5001),
    [anon_sym_protected] = ACTIONS(5001),
    [anon_sym_using] = ACTIONS(5001),
    [anon_sym_static_assert] = ACTIONS(5001),
  },
  [2078] = {
    [sym_identifier] = ACTIONS(5001),
    [aux_sym_preproc_def_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token2] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5001),
    [sym_preproc_directive] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5003),
    [anon_sym_TILDE] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_AMP_AMP] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5001),
    [anon_sym___extension__] = ACTIONS(5001),
    [anon_sym_typedef] = ACTIONS(5001),
    [anon_sym_extern] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(5003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5003),
    [anon_sym___declspec] = ACTIONS(5001),
    [anon_sym___based] = ACTIONS(5001),
    [anon_sym_signed] = ACTIONS(5001),
    [anon_sym_unsigned] = ACTIONS(5001),
    [anon_sym_long] = ACTIONS(5001),
    [anon_sym_short] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_static] = ACTIONS(5001),
    [anon_sym_register] = ACTIONS(5001),
    [anon_sym_inline] = ACTIONS(5001),
    [anon_sym___inline] = ACTIONS(5001),
    [anon_sym___inline__] = ACTIONS(5001),
    [anon_sym___forceinline] = ACTIONS(5001),
    [anon_sym_thread_local] = ACTIONS(5001),
    [anon_sym___thread] = ACTIONS(5001),
    [anon_sym_const] = ACTIONS(5001),
    [anon_sym_constexpr] = ACTIONS(5001),
    [anon_sym_volatile] = ACTIONS(5001),
    [anon_sym_restrict] = ACTIONS(5001),
    [anon_sym___restrict__] = ACTIONS(5001),
    [anon_sym__Atomic] = ACTIONS(5001),
    [anon_sym__Noreturn] = ACTIONS(5001),
    [anon_sym_noreturn] = ACTIONS(5001),
    [anon_sym_mutable] = ACTIONS(5001),
    [anon_sym_constinit] = ACTIONS(5001),
    [anon_sym_consteval] = ACTIONS(5001),
    [anon_sym_alignas] = ACTIONS(5001),
    [anon_sym__Alignas] = ACTIONS(5001),
    [sym_primitive_type] = ACTIONS(5001),
    [anon_sym_enum] = ACTIONS(5001),
    [anon_sym_class] = ACTIONS(5001),
    [anon_sym_struct] = ACTIONS(5001),
    [anon_sym_union] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5001),
    [anon_sym_decltype] = ACTIONS(5001),
    [sym_virtual] = ACTIONS(5001),
    [anon_sym_explicit] = ACTIONS(5001),
    [anon_sym_typename] = ACTIONS(5001),
    [anon_sym_template] = ACTIONS(5001),
    [anon_sym_operator] = ACTIONS(5001),
    [anon_sym_friend] = ACTIONS(5001),
    [anon_sym_public] = ACTIONS(5001),
    [anon_sym_private] = ACTIONS(5001),
    [anon_sym_protected] = ACTIONS(5001),
    [anon_sym_using] = ACTIONS(5001),
    [anon_sym_static_assert] = ACTIONS(5001),
  },
  [2079] = {
    [sym_identifier] = ACTIONS(5001),
    [aux_sym_preproc_def_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token2] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5001),
    [sym_preproc_directive] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5003),
    [anon_sym_TILDE] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_AMP_AMP] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5001),
    [anon_sym___extension__] = ACTIONS(5001),
    [anon_sym_typedef] = ACTIONS(5001),
    [anon_sym_extern] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(5003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5003),
    [anon_sym___declspec] = ACTIONS(5001),
    [anon_sym___based] = ACTIONS(5001),
    [anon_sym_signed] = ACTIONS(5001),
    [anon_sym_unsigned] = ACTIONS(5001),
    [anon_sym_long] = ACTIONS(5001),
    [anon_sym_short] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_static] = ACTIONS(5001),
    [anon_sym_register] = ACTIONS(5001),
    [anon_sym_inline] = ACTIONS(5001),
    [anon_sym___inline] = ACTIONS(5001),
    [anon_sym___inline__] = ACTIONS(5001),
    [anon_sym___forceinline] = ACTIONS(5001),
    [anon_sym_thread_local] = ACTIONS(5001),
    [anon_sym___thread] = ACTIONS(5001),
    [anon_sym_const] = ACTIONS(5001),
    [anon_sym_constexpr] = ACTIONS(5001),
    [anon_sym_volatile] = ACTIONS(5001),
    [anon_sym_restrict] = ACTIONS(5001),
    [anon_sym___restrict__] = ACTIONS(5001),
    [anon_sym__Atomic] = ACTIONS(5001),
    [anon_sym__Noreturn] = ACTIONS(5001),
    [anon_sym_noreturn] = ACTIONS(5001),
    [anon_sym_mutable] = ACTIONS(5001),
    [anon_sym_constinit] = ACTIONS(5001),
    [anon_sym_consteval] = ACTIONS(5001),
    [anon_sym_alignas] = ACTIONS(5001),
    [anon_sym__Alignas] = ACTIONS(5001),
    [sym_primitive_type] = ACTIONS(5001),
    [anon_sym_enum] = ACTIONS(5001),
    [anon_sym_class] = ACTIONS(5001),
    [anon_sym_struct] = ACTIONS(5001),
    [anon_sym_union] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5001),
    [anon_sym_decltype] = ACTIONS(5001),
    [sym_virtual] = ACTIONS(5001),
    [anon_sym_explicit] = ACTIONS(5001),
    [anon_sym_typename] = ACTIONS(5001),
    [anon_sym_template] = ACTIONS(5001),
    [anon_sym_operator] = ACTIONS(5001),
    [anon_sym_friend] = ACTIONS(5001),
    [anon_sym_public] = ACTIONS(5001),
    [anon_sym_private] = ACTIONS(5001),
    [anon_sym_protected] = ACTIONS(5001),
    [anon_sym_using] = ACTIONS(5001),
    [anon_sym_static_assert] = ACTIONS(5001),
  },
  [2080] = {
    [sym_ms_based_modifier] = STATE(7568),
    [sym_ms_unaligned_ptr_modifier] = STATE(3956),
    [sym_ms_pointer_modifier] = STATE(1938),
    [sym__declarator] = STATE(5941),
    [sym__abstract_declarator] = STATE(6257),
    [sym_parenthesized_declarator] = STATE(5906),
    [sym_abstract_parenthesized_declarator] = STATE(5819),
    [sym_attributed_declarator] = STATE(5906),
    [sym_pointer_declarator] = STATE(5906),
    [sym_abstract_pointer_declarator] = STATE(5819),
    [sym_function_declarator] = STATE(5906),
    [sym_abstract_function_declarator] = STATE(5819),
    [sym_array_declarator] = STATE(5906),
    [sym_abstract_array_declarator] = STATE(5819),
    [sym_type_qualifier] = STATE(2621),
    [sym_alignas_qualifier] = STATE(4447),
    [sym_parameter_list] = STATE(3429),
    [sym_decltype] = STATE(7635),
    [sym_reference_declarator] = STATE(5906),
    [sym_abstract_reference_declarator] = STATE(5819),
    [sym_structured_binding_declarator] = STATE(5906),
    [sym__function_declarator_seq] = STATE(5734),
    [sym_template_type] = STATE(7635),
    [sym_template_function] = STATE(5906),
    [sym_destructor_name] = STATE(5906),
    [sym_dependent_type_identifier] = STATE(7635),
    [sym__scope_resolution] = STATE(5357),
    [sym_qualified_identifier] = STATE(5906),
    [sym_operator_name] = STATE(5906),
    [aux_sym__type_definition_type_repeat1] = STATE(2621),
    [aux_sym_pointer_declarator_repeat1] = STATE(1938),
    [sym_identifier] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5338),
    [anon_sym_LPAREN2] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(5514),
    [anon_sym_AMP_AMP] = ACTIONS(5516),
    [anon_sym_AMP] = ACTIONS(5518),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(5346),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3168),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3168),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3168),
    [anon_sym__unaligned] = ACTIONS(3170),
    [anon_sym___unaligned] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym__Alignas] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(1918),
    [anon_sym_template] = ACTIONS(1228),
    [anon_sym_GT2] = ACTIONS(5338),
    [anon_sym_operator] = ACTIONS(1794),
  },
  [2081] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym_RBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [sym_virtual] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_friend] = ACTIONS(3013),
    [anon_sym_public] = ACTIONS(3013),
    [anon_sym_private] = ACTIONS(3013),
    [anon_sym_protected] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
  },
  [2082] = {
    [sym_identifier] = ACTIONS(4997),
    [aux_sym_preproc_def_token1] = ACTIONS(4997),
    [aux_sym_preproc_if_token1] = ACTIONS(4997),
    [aux_sym_preproc_if_token2] = ACTIONS(4997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4997),
    [sym_preproc_directive] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4999),
    [anon_sym_TILDE] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_AMP_AMP] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4997),
    [anon_sym___extension__] = ACTIONS(4997),
    [anon_sym_typedef] = ACTIONS(4997),
    [anon_sym_extern] = ACTIONS(4997),
    [anon_sym___attribute__] = ACTIONS(4997),
    [anon_sym_COLON_COLON] = ACTIONS(4999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4999),
    [anon_sym___declspec] = ACTIONS(4997),
    [anon_sym___based] = ACTIONS(4997),
    [anon_sym_signed] = ACTIONS(4997),
    [anon_sym_unsigned] = ACTIONS(4997),
    [anon_sym_long] = ACTIONS(4997),
    [anon_sym_short] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4997),
    [anon_sym_static] = ACTIONS(4997),
    [anon_sym_register] = ACTIONS(4997),
    [anon_sym_inline] = ACTIONS(4997),
    [anon_sym___inline] = ACTIONS(4997),
    [anon_sym___inline__] = ACTIONS(4997),
    [anon_sym___forceinline] = ACTIONS(4997),
    [anon_sym_thread_local] = ACTIONS(4997),
    [anon_sym___thread] = ACTIONS(4997),
    [anon_sym_const] = ACTIONS(4997),
    [anon_sym_constexpr] = ACTIONS(4997),
    [anon_sym_volatile] = ACTIONS(4997),
    [anon_sym_restrict] = ACTIONS(4997),
    [anon_sym___restrict__] = ACTIONS(4997),
    [anon_sym__Atomic] = ACTIONS(4997),
    [anon_sym__Noreturn] = ACTIONS(4997),
    [anon_sym_noreturn] = ACTIONS(4997),
    [anon_sym_mutable] = ACTIONS(4997),
    [anon_sym_constinit] = ACTIONS(4997),
    [anon_sym_consteval] = ACTIONS(4997),
    [anon_sym_alignas] = ACTIONS(4997),
    [anon_sym__Alignas] = ACTIONS(4997),
    [sym_primitive_type] = ACTIONS(4997),
    [anon_sym_enum] = ACTIONS(4997),
    [anon_sym_class] = ACTIONS(4997),
    [anon_sym_struct] = ACTIONS(4997),
    [anon_sym_union] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4997),
    [anon_sym_decltype] = ACTIONS(4997),
    [sym_virtual] = ACTIONS(4997),
    [anon_sym_explicit] = ACTIONS(4997),
    [anon_sym_typename] = ACTIONS(4997),
    [anon_sym_template] = ACTIONS(4997),
    [anon_sym_operator] = ACTIONS(4997),
    [anon_sym_friend] = ACTIONS(4997),
    [anon_sym_public] = ACTIONS(4997),
    [anon_sym_private] = ACTIONS(4997),
    [anon_sym_protected] = ACTIONS(4997),
    [anon_sym_using] = ACTIONS(4997),
    [anon_sym_static_assert] = ACTIONS(4997),
  },
  [2083] = {
    [sym_identifier] = ACTIONS(5232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5234),
    [anon_sym_COMMA] = ACTIONS(5234),
    [anon_sym_RPAREN] = ACTIONS(5234),
    [aux_sym_preproc_if_token2] = ACTIONS(5234),
    [aux_sym_preproc_else_token1] = ACTIONS(5234),
    [aux_sym_preproc_elif_token1] = ACTIONS(5232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5234),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5234),
    [anon_sym_LPAREN2] = ACTIONS(5234),
    [anon_sym_DASH] = ACTIONS(5232),
    [anon_sym_PLUS] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5232),
    [anon_sym_SLASH] = ACTIONS(5232),
    [anon_sym_PERCENT] = ACTIONS(5232),
    [anon_sym_PIPE_PIPE] = ACTIONS(5234),
    [anon_sym_AMP_AMP] = ACTIONS(5234),
    [anon_sym_PIPE] = ACTIONS(5232),
    [anon_sym_CARET] = ACTIONS(5232),
    [anon_sym_AMP] = ACTIONS(5232),
    [anon_sym_EQ_EQ] = ACTIONS(5234),
    [anon_sym_BANG_EQ] = ACTIONS(5234),
    [anon_sym_GT] = ACTIONS(5232),
    [anon_sym_GT_EQ] = ACTIONS(5234),
    [anon_sym_LT_EQ] = ACTIONS(5232),
    [anon_sym_LT] = ACTIONS(5232),
    [anon_sym_LT_LT] = ACTIONS(5232),
    [anon_sym_GT_GT] = ACTIONS(5232),
    [anon_sym_SEMI] = ACTIONS(5234),
    [anon_sym___attribute__] = ACTIONS(5232),
    [anon_sym_LBRACE] = ACTIONS(5234),
    [anon_sym_RBRACE] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(5234),
    [anon_sym_RBRACK] = ACTIONS(5234),
    [anon_sym_EQ] = ACTIONS(5232),
    [anon_sym_COLON] = ACTIONS(5234),
    [anon_sym_QMARK] = ACTIONS(5234),
    [anon_sym_STAR_EQ] = ACTIONS(5234),
    [anon_sym_SLASH_EQ] = ACTIONS(5234),
    [anon_sym_PERCENT_EQ] = ACTIONS(5234),
    [anon_sym_PLUS_EQ] = ACTIONS(5234),
    [anon_sym_DASH_EQ] = ACTIONS(5234),
    [anon_sym_LT_LT_EQ] = ACTIONS(5234),
    [anon_sym_GT_GT_EQ] = ACTIONS(5234),
    [anon_sym_AMP_EQ] = ACTIONS(5234),
    [anon_sym_CARET_EQ] = ACTIONS(5234),
    [anon_sym_PIPE_EQ] = ACTIONS(5234),
    [anon_sym_and_eq] = ACTIONS(5232),
    [anon_sym_or_eq] = ACTIONS(5232),
    [anon_sym_xor_eq] = ACTIONS(5232),
    [anon_sym_LT_EQ_GT] = ACTIONS(5234),
    [anon_sym_or] = ACTIONS(5232),
    [anon_sym_and] = ACTIONS(5232),
    [anon_sym_bitor] = ACTIONS(5232),
    [anon_sym_xor] = ACTIONS(5232),
    [anon_sym_bitand] = ACTIONS(5232),
    [anon_sym_not_eq] = ACTIONS(5232),
    [anon_sym_DASH_DASH] = ACTIONS(5234),
    [anon_sym_PLUS_PLUS] = ACTIONS(5234),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_DOT_STAR] = ACTIONS(5234),
    [anon_sym_DASH_GT] = ACTIONS(5234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5232),
    [anon_sym_decltype] = ACTIONS(5232),
  },
  [2084] = {
    [sym_identifier] = ACTIONS(5589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5591),
    [anon_sym_COMMA] = ACTIONS(5591),
    [anon_sym_RPAREN] = ACTIONS(5591),
    [aux_sym_preproc_if_token2] = ACTIONS(5591),
    [aux_sym_preproc_else_token1] = ACTIONS(5591),
    [aux_sym_preproc_elif_token1] = ACTIONS(5589),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5591),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5591),
    [anon_sym_LPAREN2] = ACTIONS(5591),
    [anon_sym_DASH] = ACTIONS(5589),
    [anon_sym_PLUS] = ACTIONS(5589),
    [anon_sym_STAR] = ACTIONS(5589),
    [anon_sym_SLASH] = ACTIONS(5589),
    [anon_sym_PERCENT] = ACTIONS(5589),
    [anon_sym_PIPE_PIPE] = ACTIONS(5591),
    [anon_sym_AMP_AMP] = ACTIONS(5591),
    [anon_sym_PIPE] = ACTIONS(5589),
    [anon_sym_CARET] = ACTIONS(5589),
    [anon_sym_AMP] = ACTIONS(5589),
    [anon_sym_EQ_EQ] = ACTIONS(5591),
    [anon_sym_BANG_EQ] = ACTIONS(5591),
    [anon_sym_GT] = ACTIONS(5589),
    [anon_sym_GT_EQ] = ACTIONS(5591),
    [anon_sym_LT_EQ] = ACTIONS(5589),
    [anon_sym_LT] = ACTIONS(5589),
    [anon_sym_LT_LT] = ACTIONS(5589),
    [anon_sym_GT_GT] = ACTIONS(5589),
    [anon_sym_SEMI] = ACTIONS(5591),
    [anon_sym___attribute__] = ACTIONS(5589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5591),
    [anon_sym_LBRACE] = ACTIONS(5591),
    [anon_sym_RBRACE] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_RBRACK] = ACTIONS(5591),
    [anon_sym_EQ] = ACTIONS(5589),
    [anon_sym_COLON] = ACTIONS(5591),
    [anon_sym_QMARK] = ACTIONS(5591),
    [anon_sym_STAR_EQ] = ACTIONS(5591),
    [anon_sym_SLASH_EQ] = ACTIONS(5591),
    [anon_sym_PERCENT_EQ] = ACTIONS(5591),
    [anon_sym_PLUS_EQ] = ACTIONS(5591),
    [anon_sym_DASH_EQ] = ACTIONS(5591),
    [anon_sym_LT_LT_EQ] = ACTIONS(5591),
    [anon_sym_GT_GT_EQ] = ACTIONS(5591),
    [anon_sym_AMP_EQ] = ACTIONS(5591),
    [anon_sym_CARET_EQ] = ACTIONS(5591),
    [anon_sym_PIPE_EQ] = ACTIONS(5591),
    [anon_sym_and_eq] = ACTIONS(5589),
    [anon_sym_or_eq] = ACTIONS(5589),
    [anon_sym_xor_eq] = ACTIONS(5589),
    [anon_sym_LT_EQ_GT] = ACTIONS(5591),
    [anon_sym_or] = ACTIONS(5589),
    [anon_sym_and] = ACTIONS(5589),
    [anon_sym_bitor] = ACTIONS(5589),
    [anon_sym_xor] = ACTIONS(5589),
    [anon_sym_bitand] = ACTIONS(5589),
    [anon_sym_not_eq] = ACTIONS(5589),
    [anon_sym_DASH_DASH] = ACTIONS(5591),
    [anon_sym_PLUS_PLUS] = ACTIONS(5591),
    [anon_sym_DOT] = ACTIONS(5589),
    [anon_sym_DOT_STAR] = ACTIONS(5591),
    [anon_sym_DASH_GT] = ACTIONS(5591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5589),
  },
  [2085] = {
    [sym_identifier] = ACTIONS(4943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4945),
    [anon_sym_COMMA] = ACTIONS(4945),
    [anon_sym_RPAREN] = ACTIONS(4945),
    [aux_sym_preproc_if_token2] = ACTIONS(4945),
    [aux_sym_preproc_else_token1] = ACTIONS(4945),
    [aux_sym_preproc_elif_token1] = ACTIONS(4943),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4945),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4945),
    [anon_sym_LPAREN2] = ACTIONS(4945),
    [anon_sym_DASH] = ACTIONS(4943),
    [anon_sym_PLUS] = ACTIONS(4943),
    [anon_sym_STAR] = ACTIONS(4943),
    [anon_sym_SLASH] = ACTIONS(4943),
    [anon_sym_PERCENT] = ACTIONS(4943),
    [anon_sym_PIPE_PIPE] = ACTIONS(4945),
    [anon_sym_AMP_AMP] = ACTIONS(4945),
    [anon_sym_PIPE] = ACTIONS(4943),
    [anon_sym_CARET] = ACTIONS(4943),
    [anon_sym_AMP] = ACTIONS(4943),
    [anon_sym_EQ_EQ] = ACTIONS(4945),
    [anon_sym_BANG_EQ] = ACTIONS(4945),
    [anon_sym_GT] = ACTIONS(4943),
    [anon_sym_GT_EQ] = ACTIONS(4945),
    [anon_sym_LT_EQ] = ACTIONS(4943),
    [anon_sym_LT] = ACTIONS(4943),
    [anon_sym_LT_LT] = ACTIONS(4943),
    [anon_sym_GT_GT] = ACTIONS(4943),
    [anon_sym_SEMI] = ACTIONS(4945),
    [anon_sym___attribute__] = ACTIONS(4943),
    [anon_sym_LBRACE] = ACTIONS(4945),
    [anon_sym_RBRACE] = ACTIONS(4945),
    [anon_sym_LBRACK] = ACTIONS(4945),
    [anon_sym_RBRACK] = ACTIONS(4945),
    [anon_sym_EQ] = ACTIONS(4943),
    [anon_sym_COLON] = ACTIONS(4945),
    [anon_sym_QMARK] = ACTIONS(4945),
    [anon_sym_STAR_EQ] = ACTIONS(4945),
    [anon_sym_SLASH_EQ] = ACTIONS(4945),
    [anon_sym_PERCENT_EQ] = ACTIONS(4945),
    [anon_sym_PLUS_EQ] = ACTIONS(4945),
    [anon_sym_DASH_EQ] = ACTIONS(4945),
    [anon_sym_LT_LT_EQ] = ACTIONS(4945),
    [anon_sym_GT_GT_EQ] = ACTIONS(4945),
    [anon_sym_AMP_EQ] = ACTIONS(4945),
    [anon_sym_CARET_EQ] = ACTIONS(4945),
    [anon_sym_PIPE_EQ] = ACTIONS(4945),
    [anon_sym_and_eq] = ACTIONS(4943),
    [anon_sym_or_eq] = ACTIONS(4943),
    [anon_sym_xor_eq] = ACTIONS(4943),
    [anon_sym_LT_EQ_GT] = ACTIONS(4945),
    [anon_sym_or] = ACTIONS(4943),
    [anon_sym_and] = ACTIONS(4943),
    [anon_sym_bitor] = ACTIONS(4943),
    [anon_sym_xor] = ACTIONS(4943),
    [anon_sym_bitand] = ACTIONS(4943),
    [anon_sym_not_eq] = ACTIONS(4943),
    [anon_sym_DASH_DASH] = ACTIONS(4945),
    [anon_sym_PLUS_PLUS] = ACTIONS(4945),
    [anon_sym_DOT] = ACTIONS(4943),
    [anon_sym_DOT_STAR] = ACTIONS(4945),
    [anon_sym_DASH_GT] = ACTIONS(4945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4943),
    [anon_sym_decltype] = ACTIONS(4943),
  },
  [2086] = {
    [sym_identifier] = ACTIONS(5142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5144),
    [anon_sym_COMMA] = ACTIONS(5144),
    [anon_sym_RPAREN] = ACTIONS(5144),
    [aux_sym_preproc_if_token2] = ACTIONS(5144),
    [aux_sym_preproc_else_token1] = ACTIONS(5144),
    [aux_sym_preproc_elif_token1] = ACTIONS(5142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5144),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5144),
    [anon_sym_LPAREN2] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5142),
    [anon_sym_PLUS] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5142),
    [anon_sym_SLASH] = ACTIONS(5142),
    [anon_sym_PERCENT] = ACTIONS(5142),
    [anon_sym_PIPE_PIPE] = ACTIONS(5144),
    [anon_sym_AMP_AMP] = ACTIONS(5144),
    [anon_sym_PIPE] = ACTIONS(5142),
    [anon_sym_CARET] = ACTIONS(5142),
    [anon_sym_AMP] = ACTIONS(5142),
    [anon_sym_EQ_EQ] = ACTIONS(5144),
    [anon_sym_BANG_EQ] = ACTIONS(5144),
    [anon_sym_GT] = ACTIONS(5142),
    [anon_sym_GT_EQ] = ACTIONS(5144),
    [anon_sym_LT_EQ] = ACTIONS(5142),
    [anon_sym_LT] = ACTIONS(5142),
    [anon_sym_LT_LT] = ACTIONS(5142),
    [anon_sym_GT_GT] = ACTIONS(5142),
    [anon_sym_SEMI] = ACTIONS(5144),
    [anon_sym___attribute__] = ACTIONS(5142),
    [anon_sym_LBRACE] = ACTIONS(5144),
    [anon_sym_RBRACE] = ACTIONS(5144),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [anon_sym_RBRACK] = ACTIONS(5144),
    [anon_sym_EQ] = ACTIONS(5142),
    [anon_sym_COLON] = ACTIONS(5144),
    [anon_sym_QMARK] = ACTIONS(5144),
    [anon_sym_STAR_EQ] = ACTIONS(5144),
    [anon_sym_SLASH_EQ] = ACTIONS(5144),
    [anon_sym_PERCENT_EQ] = ACTIONS(5144),
    [anon_sym_PLUS_EQ] = ACTIONS(5144),
    [anon_sym_DASH_EQ] = ACTIONS(5144),
    [anon_sym_LT_LT_EQ] = ACTIONS(5144),
    [anon_sym_GT_GT_EQ] = ACTIONS(5144),
    [anon_sym_AMP_EQ] = ACTIONS(5144),
    [anon_sym_CARET_EQ] = ACTIONS(5144),
    [anon_sym_PIPE_EQ] = ACTIONS(5144),
    [anon_sym_and_eq] = ACTIONS(5142),
    [anon_sym_or_eq] = ACTIONS(5142),
    [anon_sym_xor_eq] = ACTIONS(5142),
    [anon_sym_LT_EQ_GT] = ACTIONS(5144),
    [anon_sym_or] = ACTIONS(5142),
    [anon_sym_and] = ACTIONS(5142),
    [anon_sym_bitor] = ACTIONS(5142),
    [anon_sym_xor] = ACTIONS(5142),
    [anon_sym_bitand] = ACTIONS(5142),
    [anon_sym_not_eq] = ACTIONS(5142),
    [anon_sym_DASH_DASH] = ACTIONS(5144),
    [anon_sym_PLUS_PLUS] = ACTIONS(5144),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_DOT_STAR] = ACTIONS(5144),
    [anon_sym_DASH_GT] = ACTIONS(5144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5142),
    [anon_sym_decltype] = ACTIONS(5142),
  },
  [2087] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym__Alignas] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [sym_virtual] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_friend] = ACTIONS(2991),
    [anon_sym_public] = ACTIONS(2991),
    [anon_sym_private] = ACTIONS(2991),
    [anon_sym_protected] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
  },
  [2088] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym__Alignas] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [sym_virtual] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_friend] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
  },
  [2089] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym__Alignas] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [sym_virtual] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_friend] = ACTIONS(3013),
    [anon_sym_public] = ACTIONS(3013),
    [anon_sym_private] = ACTIONS(3013),
    [anon_sym_protected] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
  },
  [2090] = {
    [sym_identifier] = ACTIONS(5146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5148),
    [anon_sym_COMMA] = ACTIONS(5148),
    [anon_sym_RPAREN] = ACTIONS(5148),
    [aux_sym_preproc_if_token2] = ACTIONS(5148),
    [aux_sym_preproc_else_token1] = ACTIONS(5148),
    [aux_sym_preproc_elif_token1] = ACTIONS(5146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5148),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5148),
    [anon_sym_LPAREN2] = ACTIONS(5148),
    [anon_sym_DASH] = ACTIONS(5146),
    [anon_sym_PLUS] = ACTIONS(5146),
    [anon_sym_STAR] = ACTIONS(5146),
    [anon_sym_SLASH] = ACTIONS(5146),
    [anon_sym_PERCENT] = ACTIONS(5146),
    [anon_sym_PIPE_PIPE] = ACTIONS(5148),
    [anon_sym_AMP_AMP] = ACTIONS(5148),
    [anon_sym_PIPE] = ACTIONS(5146),
    [anon_sym_CARET] = ACTIONS(5146),
    [anon_sym_AMP] = ACTIONS(5146),
    [anon_sym_EQ_EQ] = ACTIONS(5148),
    [anon_sym_BANG_EQ] = ACTIONS(5148),
    [anon_sym_GT] = ACTIONS(5146),
    [anon_sym_GT_EQ] = ACTIONS(5148),
    [anon_sym_LT_EQ] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(5146),
    [anon_sym_LT_LT] = ACTIONS(5146),
    [anon_sym_GT_GT] = ACTIONS(5146),
    [anon_sym_SEMI] = ACTIONS(5148),
    [anon_sym___attribute__] = ACTIONS(5146),
    [anon_sym_LBRACE] = ACTIONS(5148),
    [anon_sym_RBRACE] = ACTIONS(5148),
    [anon_sym_LBRACK] = ACTIONS(5148),
    [anon_sym_RBRACK] = ACTIONS(5148),
    [anon_sym_EQ] = ACTIONS(5146),
    [anon_sym_COLON] = ACTIONS(5148),
    [anon_sym_QMARK] = ACTIONS(5148),
    [anon_sym_STAR_EQ] = ACTIONS(5148),
    [anon_sym_SLASH_EQ] = ACTIONS(5148),
    [anon_sym_PERCENT_EQ] = ACTIONS(5148),
    [anon_sym_PLUS_EQ] = ACTIONS(5148),
    [anon_sym_DASH_EQ] = ACTIONS(5148),
    [anon_sym_LT_LT_EQ] = ACTIONS(5148),
    [anon_sym_GT_GT_EQ] = ACTIONS(5148),
    [anon_sym_AMP_EQ] = ACTIONS(5148),
    [anon_sym_CARET_EQ] = ACTIONS(5148),
    [anon_sym_PIPE_EQ] = ACTIONS(5148),
    [anon_sym_and_eq] = ACTIONS(5146),
    [anon_sym_or_eq] = ACTIONS(5146),
    [anon_sym_xor_eq] = ACTIONS(5146),
    [anon_sym_LT_EQ_GT] = ACTIONS(5148),
    [anon_sym_or] = ACTIONS(5146),
    [anon_sym_and] = ACTIONS(5146),
    [anon_sym_bitor] = ACTIONS(5146),
    [anon_sym_xor] = ACTIONS(5146),
    [anon_sym_bitand] = ACTIONS(5146),
    [anon_sym_not_eq] = ACTIONS(5146),
    [anon_sym_DASH_DASH] = ACTIONS(5148),
    [anon_sym_PLUS_PLUS] = ACTIONS(5148),
    [anon_sym_DOT] = ACTIONS(5146),
    [anon_sym_DOT_STAR] = ACTIONS(5148),
    [anon_sym_DASH_GT] = ACTIONS(5148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5146),
    [anon_sym_decltype] = ACTIONS(5146),
  },
  [2091] = {
    [sym_identifier] = ACTIONS(2660),
    [aux_sym_preproc_def_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token1] = ACTIONS(2660),
    [aux_sym_preproc_if_token2] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2660),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2660),
    [sym_preproc_directive] = ACTIONS(2660),
    [anon_sym_LPAREN2] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2660),
    [anon_sym_typedef] = ACTIONS(2660),
    [anon_sym_extern] = ACTIONS(2660),
    [anon_sym___attribute__] = ACTIONS(2660),
    [anon_sym_COLON_COLON] = ACTIONS(2662),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2660),
    [anon_sym___based] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2660),
    [anon_sym_unsigned] = ACTIONS(2660),
    [anon_sym_long] = ACTIONS(2660),
    [anon_sym_short] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_static] = ACTIONS(2660),
    [anon_sym_register] = ACTIONS(2660),
    [anon_sym_inline] = ACTIONS(2660),
    [anon_sym___inline] = ACTIONS(2660),
    [anon_sym___inline__] = ACTIONS(2660),
    [anon_sym___forceinline] = ACTIONS(2660),
    [anon_sym_thread_local] = ACTIONS(2660),
    [anon_sym___thread] = ACTIONS(2660),
    [anon_sym_const] = ACTIONS(2660),
    [anon_sym_constexpr] = ACTIONS(2660),
    [anon_sym_volatile] = ACTIONS(2660),
    [anon_sym_restrict] = ACTIONS(2660),
    [anon_sym___restrict__] = ACTIONS(2660),
    [anon_sym__Atomic] = ACTIONS(2660),
    [anon_sym__Noreturn] = ACTIONS(2660),
    [anon_sym_noreturn] = ACTIONS(2660),
    [anon_sym_mutable] = ACTIONS(2660),
    [anon_sym_constinit] = ACTIONS(2660),
    [anon_sym_consteval] = ACTIONS(2660),
    [anon_sym_alignas] = ACTIONS(2660),
    [anon_sym__Alignas] = ACTIONS(2660),
    [sym_primitive_type] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2660),
    [anon_sym_struct] = ACTIONS(2660),
    [anon_sym_union] = ACTIONS(2660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2660),
    [anon_sym_decltype] = ACTIONS(2660),
    [sym_virtual] = ACTIONS(2660),
    [anon_sym_explicit] = ACTIONS(2660),
    [anon_sym_typename] = ACTIONS(2660),
    [anon_sym_template] = ACTIONS(2660),
    [anon_sym_operator] = ACTIONS(2660),
    [anon_sym_friend] = ACTIONS(2660),
    [anon_sym_public] = ACTIONS(2660),
    [anon_sym_private] = ACTIONS(2660),
    [anon_sym_protected] = ACTIONS(2660),
    [anon_sym_using] = ACTIONS(2660),
    [anon_sym_static_assert] = ACTIONS(2660),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(2688),
    [aux_sym_preproc_def_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token1] = ACTIONS(2688),
    [aux_sym_preproc_if_token2] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2688),
    [sym_preproc_directive] = ACTIONS(2688),
    [anon_sym_LPAREN2] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2690),
    [anon_sym_AMP_AMP] = ACTIONS(2690),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym___extension__] = ACTIONS(2688),
    [anon_sym_typedef] = ACTIONS(2688),
    [anon_sym_extern] = ACTIONS(2688),
    [anon_sym___attribute__] = ACTIONS(2688),
    [anon_sym_COLON_COLON] = ACTIONS(2690),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2690),
    [anon_sym___declspec] = ACTIONS(2688),
    [anon_sym___based] = ACTIONS(2688),
    [anon_sym_signed] = ACTIONS(2688),
    [anon_sym_unsigned] = ACTIONS(2688),
    [anon_sym_long] = ACTIONS(2688),
    [anon_sym_short] = ACTIONS(2688),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2688),
    [anon_sym_register] = ACTIONS(2688),
    [anon_sym_inline] = ACTIONS(2688),
    [anon_sym___inline] = ACTIONS(2688),
    [anon_sym___inline__] = ACTIONS(2688),
    [anon_sym___forceinline] = ACTIONS(2688),
    [anon_sym_thread_local] = ACTIONS(2688),
    [anon_sym___thread] = ACTIONS(2688),
    [anon_sym_const] = ACTIONS(2688),
    [anon_sym_constexpr] = ACTIONS(2688),
    [anon_sym_volatile] = ACTIONS(2688),
    [anon_sym_restrict] = ACTIONS(2688),
    [anon_sym___restrict__] = ACTIONS(2688),
    [anon_sym__Atomic] = ACTIONS(2688),
    [anon_sym__Noreturn] = ACTIONS(2688),
    [anon_sym_noreturn] = ACTIONS(2688),
    [anon_sym_mutable] = ACTIONS(2688),
    [anon_sym_constinit] = ACTIONS(2688),
    [anon_sym_consteval] = ACTIONS(2688),
    [anon_sym_alignas] = ACTIONS(2688),
    [anon_sym__Alignas] = ACTIONS(2688),
    [sym_primitive_type] = ACTIONS(2688),
    [anon_sym_enum] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2688),
    [anon_sym_struct] = ACTIONS(2688),
    [anon_sym_union] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2688),
    [anon_sym_decltype] = ACTIONS(2688),
    [sym_virtual] = ACTIONS(2688),
    [anon_sym_explicit] = ACTIONS(2688),
    [anon_sym_typename] = ACTIONS(2688),
    [anon_sym_template] = ACTIONS(2688),
    [anon_sym_operator] = ACTIONS(2688),
    [anon_sym_friend] = ACTIONS(2688),
    [anon_sym_public] = ACTIONS(2688),
    [anon_sym_private] = ACTIONS(2688),
    [anon_sym_protected] = ACTIONS(2688),
    [anon_sym_using] = ACTIONS(2688),
    [anon_sym_static_assert] = ACTIONS(2688),
  },
  [2093] = {
    [sym_identifier] = ACTIONS(5150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5152),
    [anon_sym_COMMA] = ACTIONS(5152),
    [anon_sym_RPAREN] = ACTIONS(5152),
    [aux_sym_preproc_if_token2] = ACTIONS(5152),
    [aux_sym_preproc_else_token1] = ACTIONS(5152),
    [aux_sym_preproc_elif_token1] = ACTIONS(5150),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5152),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5152),
    [anon_sym_LPAREN2] = ACTIONS(5152),
    [anon_sym_DASH] = ACTIONS(5150),
    [anon_sym_PLUS] = ACTIONS(5150),
    [anon_sym_STAR] = ACTIONS(5150),
    [anon_sym_SLASH] = ACTIONS(5150),
    [anon_sym_PERCENT] = ACTIONS(5150),
    [anon_sym_PIPE_PIPE] = ACTIONS(5152),
    [anon_sym_AMP_AMP] = ACTIONS(5152),
    [anon_sym_PIPE] = ACTIONS(5150),
    [anon_sym_CARET] = ACTIONS(5150),
    [anon_sym_AMP] = ACTIONS(5150),
    [anon_sym_EQ_EQ] = ACTIONS(5152),
    [anon_sym_BANG_EQ] = ACTIONS(5152),
    [anon_sym_GT] = ACTIONS(5150),
    [anon_sym_GT_EQ] = ACTIONS(5152),
    [anon_sym_LT_EQ] = ACTIONS(5150),
    [anon_sym_LT] = ACTIONS(5150),
    [anon_sym_LT_LT] = ACTIONS(5150),
    [anon_sym_GT_GT] = ACTIONS(5150),
    [anon_sym_SEMI] = ACTIONS(5152),
    [anon_sym___attribute__] = ACTIONS(5150),
    [anon_sym_LBRACE] = ACTIONS(5152),
    [anon_sym_RBRACE] = ACTIONS(5152),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [anon_sym_RBRACK] = ACTIONS(5152),
    [anon_sym_EQ] = ACTIONS(5150),
    [anon_sym_COLON] = ACTIONS(5152),
    [anon_sym_QMARK] = ACTIONS(5152),
    [anon_sym_STAR_EQ] = ACTIONS(5152),
    [anon_sym_SLASH_EQ] = ACTIONS(5152),
    [anon_sym_PERCENT_EQ] = ACTIONS(5152),
    [anon_sym_PLUS_EQ] = ACTIONS(5152),
    [anon_sym_DASH_EQ] = ACTIONS(5152),
    [anon_sym_LT_LT_EQ] = ACTIONS(5152),
    [anon_sym_GT_GT_EQ] = ACTIONS(5152),
    [anon_sym_AMP_EQ] = ACTIONS(5152),
    [anon_sym_CARET_EQ] = ACTIONS(5152),
    [anon_sym_PIPE_EQ] = ACTIONS(5152),
    [anon_sym_and_eq] = ACTIONS(5150),
    [anon_sym_or_eq] = ACTIONS(5150),
    [anon_sym_xor_eq] = ACTIONS(5150),
    [anon_sym_LT_EQ_GT] = ACTIONS(5152),
    [anon_sym_or] = ACTIONS(5150),
    [anon_sym_and] = ACTIONS(5150),
    [anon_sym_bitor] = ACTIONS(5150),
    [anon_sym_xor] = ACTIONS(5150),
    [anon_sym_bitand] = ACTIONS(5150),
    [anon_sym_not_eq] = ACTIONS(5150),
    [anon_sym_DASH_DASH] = ACTIONS(5152),
    [anon_sym_PLUS_PLUS] = ACTIONS(5152),
    [anon_sym_DOT] = ACTIONS(5150),
    [anon_sym_DOT_STAR] = ACTIONS(5152),
    [anon_sym_DASH_GT] = ACTIONS(5152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5150),
    [anon_sym_decltype] = ACTIONS(5150),
  },
  [2094] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(1997),
    [sym_identifier] = ACTIONS(4791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5112),
    [anon_sym_COMMA] = ACTIONS(5112),
    [anon_sym_LPAREN2] = ACTIONS(5112),
    [anon_sym_DASH] = ACTIONS(5115),
    [anon_sym_PLUS] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5112),
    [anon_sym_SLASH] = ACTIONS(5115),
    [anon_sym_PERCENT] = ACTIONS(5112),
    [anon_sym_PIPE_PIPE] = ACTIONS(5112),
    [anon_sym_AMP_AMP] = ACTIONS(5112),
    [anon_sym_PIPE] = ACTIONS(5115),
    [anon_sym_CARET] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(5115),
    [anon_sym_EQ_EQ] = ACTIONS(5112),
    [anon_sym_BANG_EQ] = ACTIONS(5112),
    [anon_sym_GT] = ACTIONS(5115),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5115),
    [anon_sym_LT] = ACTIONS(5115),
    [anon_sym_LT_LT] = ACTIONS(5112),
    [anon_sym_GT_GT] = ACTIONS(5115),
    [anon_sym___extension__] = ACTIONS(5115),
    [anon_sym___attribute__] = ACTIONS(5115),
    [anon_sym_LBRACE] = ACTIONS(5112),
    [anon_sym_signed] = ACTIONS(5552),
    [anon_sym_unsigned] = ACTIONS(5552),
    [anon_sym_long] = ACTIONS(5552),
    [anon_sym_short] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5112),
    [anon_sym_const] = ACTIONS(5115),
    [anon_sym_constexpr] = ACTIONS(5115),
    [anon_sym_volatile] = ACTIONS(5115),
    [anon_sym_restrict] = ACTIONS(5115),
    [anon_sym___restrict__] = ACTIONS(5115),
    [anon_sym__Atomic] = ACTIONS(5115),
    [anon_sym__Noreturn] = ACTIONS(5115),
    [anon_sym_noreturn] = ACTIONS(5115),
    [anon_sym_mutable] = ACTIONS(5115),
    [anon_sym_constinit] = ACTIONS(5115),
    [anon_sym_consteval] = ACTIONS(5115),
    [anon_sym_alignas] = ACTIONS(5115),
    [anon_sym__Alignas] = ACTIONS(5115),
    [sym_primitive_type] = ACTIONS(4791),
    [anon_sym_QMARK] = ACTIONS(5112),
    [anon_sym_LT_EQ_GT] = ACTIONS(5112),
    [anon_sym_or] = ACTIONS(5115),
    [anon_sym_and] = ACTIONS(5115),
    [anon_sym_bitor] = ACTIONS(5115),
    [anon_sym_xor] = ACTIONS(5115),
    [anon_sym_bitand] = ACTIONS(5115),
    [anon_sym_not_eq] = ACTIONS(5115),
    [anon_sym_DASH_DASH] = ACTIONS(5112),
    [anon_sym_PLUS_PLUS] = ACTIONS(5112),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_DOT_STAR] = ACTIONS(5112),
    [anon_sym_DASH_GT] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5115),
    [anon_sym_decltype] = ACTIONS(5115),
    [anon_sym_final] = ACTIONS(5115),
    [anon_sym_override] = ACTIONS(5115),
    [anon_sym_GT2] = ACTIONS(5112),
    [anon_sym_requires] = ACTIONS(5115),
  },
  [2095] = {
    [sym_identifier] = ACTIONS(2644),
    [aux_sym_preproc_def_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token1] = ACTIONS(2644),
    [aux_sym_preproc_if_token2] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [sym_preproc_directive] = ACTIONS(2644),
    [anon_sym_LPAREN2] = ACTIONS(2646),
    [anon_sym_TILDE] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2646),
    [anon_sym_AMP_AMP] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2644),
    [anon_sym_typedef] = ACTIONS(2644),
    [anon_sym_extern] = ACTIONS(2644),
    [anon_sym___attribute__] = ACTIONS(2644),
    [anon_sym_COLON_COLON] = ACTIONS(2646),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2646),
    [anon_sym___declspec] = ACTIONS(2644),
    [anon_sym___based] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2644),
    [anon_sym_unsigned] = ACTIONS(2644),
    [anon_sym_long] = ACTIONS(2644),
    [anon_sym_short] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_static] = ACTIONS(2644),
    [anon_sym_register] = ACTIONS(2644),
    [anon_sym_inline] = ACTIONS(2644),
    [anon_sym___inline] = ACTIONS(2644),
    [anon_sym___inline__] = ACTIONS(2644),
    [anon_sym___forceinline] = ACTIONS(2644),
    [anon_sym_thread_local] = ACTIONS(2644),
    [anon_sym___thread] = ACTIONS(2644),
    [anon_sym_const] = ACTIONS(2644),
    [anon_sym_constexpr] = ACTIONS(2644),
    [anon_sym_volatile] = ACTIONS(2644),
    [anon_sym_restrict] = ACTIONS(2644),
    [anon_sym___restrict__] = ACTIONS(2644),
    [anon_sym__Atomic] = ACTIONS(2644),
    [anon_sym__Noreturn] = ACTIONS(2644),
    [anon_sym_noreturn] = ACTIONS(2644),
    [anon_sym_mutable] = ACTIONS(2644),
    [anon_sym_constinit] = ACTIONS(2644),
    [anon_sym_consteval] = ACTIONS(2644),
    [anon_sym_alignas] = ACTIONS(2644),
    [anon_sym__Alignas] = ACTIONS(2644),
    [sym_primitive_type] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2644),
    [anon_sym_struct] = ACTIONS(2644),
    [anon_sym_union] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2644),
    [anon_sym_decltype] = ACTIONS(2644),
    [sym_virtual] = ACTIONS(2644),
    [anon_sym_explicit] = ACTIONS(2644),
    [anon_sym_typename] = ACTIONS(2644),
    [anon_sym_template] = ACTIONS(2644),
    [anon_sym_operator] = ACTIONS(2644),
    [anon_sym_friend] = ACTIONS(2644),
    [anon_sym_public] = ACTIONS(2644),
    [anon_sym_private] = ACTIONS(2644),
    [anon_sym_protected] = ACTIONS(2644),
    [anon_sym_using] = ACTIONS(2644),
    [anon_sym_static_assert] = ACTIONS(2644),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(2771),
    [aux_sym_preproc_def_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token1] = ACTIONS(2771),
    [aux_sym_preproc_if_token2] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2771),
    [sym_preproc_directive] = ACTIONS(2771),
    [anon_sym_LPAREN2] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2773),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym___extension__] = ACTIONS(2771),
    [anon_sym_typedef] = ACTIONS(2771),
    [anon_sym_extern] = ACTIONS(2771),
    [anon_sym___attribute__] = ACTIONS(2771),
    [anon_sym_COLON_COLON] = ACTIONS(2773),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2773),
    [anon_sym___declspec] = ACTIONS(2771),
    [anon_sym___based] = ACTIONS(2771),
    [anon_sym_signed] = ACTIONS(2771),
    [anon_sym_unsigned] = ACTIONS(2771),
    [anon_sym_long] = ACTIONS(2771),
    [anon_sym_short] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2771),
    [anon_sym_register] = ACTIONS(2771),
    [anon_sym_inline] = ACTIONS(2771),
    [anon_sym___inline] = ACTIONS(2771),
    [anon_sym___inline__] = ACTIONS(2771),
    [anon_sym___forceinline] = ACTIONS(2771),
    [anon_sym_thread_local] = ACTIONS(2771),
    [anon_sym___thread] = ACTIONS(2771),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_constexpr] = ACTIONS(2771),
    [anon_sym_volatile] = ACTIONS(2771),
    [anon_sym_restrict] = ACTIONS(2771),
    [anon_sym___restrict__] = ACTIONS(2771),
    [anon_sym__Atomic] = ACTIONS(2771),
    [anon_sym__Noreturn] = ACTIONS(2771),
    [anon_sym_noreturn] = ACTIONS(2771),
    [anon_sym_mutable] = ACTIONS(2771),
    [anon_sym_constinit] = ACTIONS(2771),
    [anon_sym_consteval] = ACTIONS(2771),
    [anon_sym_alignas] = ACTIONS(2771),
    [anon_sym__Alignas] = ACTIONS(2771),
    [sym_primitive_type] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2771),
    [anon_sym_struct] = ACTIONS(2771),
    [anon_sym_union] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2771),
    [anon_sym_decltype] = ACTIONS(2771),
    [sym_virtual] = ACTIONS(2771),
    [anon_sym_explicit] = ACTIONS(2771),
    [anon_sym_typename] = ACTIONS(2771),
    [anon_sym_template] = ACTIONS(2771),
    [anon_sym_operator] = ACTIONS(2771),
    [anon_sym_friend] = ACTIONS(2771),
    [anon_sym_public] = ACTIONS(2771),
    [anon_sym_private] = ACTIONS(2771),
    [anon_sym_protected] = ACTIONS(2771),
    [anon_sym_using] = ACTIONS(2771),
    [anon_sym_static_assert] = ACTIONS(2771),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(5178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5180),
    [anon_sym_COMMA] = ACTIONS(5180),
    [anon_sym_RPAREN] = ACTIONS(5180),
    [aux_sym_preproc_if_token2] = ACTIONS(5180),
    [aux_sym_preproc_else_token1] = ACTIONS(5180),
    [aux_sym_preproc_elif_token1] = ACTIONS(5178),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5180),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5180),
    [anon_sym_LPAREN2] = ACTIONS(5180),
    [anon_sym_DASH] = ACTIONS(5178),
    [anon_sym_PLUS] = ACTIONS(5178),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5180),
    [anon_sym_AMP_AMP] = ACTIONS(5180),
    [anon_sym_PIPE] = ACTIONS(5178),
    [anon_sym_CARET] = ACTIONS(5178),
    [anon_sym_AMP] = ACTIONS(5178),
    [anon_sym_EQ_EQ] = ACTIONS(5180),
    [anon_sym_BANG_EQ] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5178),
    [anon_sym_GT_EQ] = ACTIONS(5180),
    [anon_sym_LT_EQ] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5178),
    [anon_sym_LT_LT] = ACTIONS(5178),
    [anon_sym_GT_GT] = ACTIONS(5178),
    [anon_sym_SEMI] = ACTIONS(5180),
    [anon_sym___attribute__] = ACTIONS(5178),
    [anon_sym_LBRACE] = ACTIONS(5180),
    [anon_sym_RBRACE] = ACTIONS(5180),
    [anon_sym_LBRACK] = ACTIONS(5180),
    [anon_sym_RBRACK] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(5178),
    [anon_sym_COLON] = ACTIONS(5180),
    [anon_sym_QMARK] = ACTIONS(5180),
    [anon_sym_STAR_EQ] = ACTIONS(5180),
    [anon_sym_SLASH_EQ] = ACTIONS(5180),
    [anon_sym_PERCENT_EQ] = ACTIONS(5180),
    [anon_sym_PLUS_EQ] = ACTIONS(5180),
    [anon_sym_DASH_EQ] = ACTIONS(5180),
    [anon_sym_LT_LT_EQ] = ACTIONS(5180),
    [anon_sym_GT_GT_EQ] = ACTIONS(5180),
    [anon_sym_AMP_EQ] = ACTIONS(5180),
    [anon_sym_CARET_EQ] = ACTIONS(5180),
    [anon_sym_PIPE_EQ] = ACTIONS(5180),
    [anon_sym_and_eq] = ACTIONS(5178),
    [anon_sym_or_eq] = ACTIONS(5178),
    [anon_sym_xor_eq] = ACTIONS(5178),
    [anon_sym_LT_EQ_GT] = ACTIONS(5180),
    [anon_sym_or] = ACTIONS(5178),
    [anon_sym_and] = ACTIONS(5178),
    [anon_sym_bitor] = ACTIONS(5178),
    [anon_sym_xor] = ACTIONS(5178),
    [anon_sym_bitand] = ACTIONS(5178),
    [anon_sym_not_eq] = ACTIONS(5178),
    [anon_sym_DASH_DASH] = ACTIONS(5180),
    [anon_sym_PLUS_PLUS] = ACTIONS(5180),
    [anon_sym_DOT] = ACTIONS(5178),
    [anon_sym_DOT_STAR] = ACTIONS(5180),
    [anon_sym_DASH_GT] = ACTIONS(5180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5178),
    [anon_sym_decltype] = ACTIONS(5178),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(5100),
    [aux_sym_preproc_def_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token1] = ACTIONS(5100),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5100),
    [sym_preproc_directive] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5102),
    [anon_sym_TILDE] = ACTIONS(5102),
    [anon_sym_STAR] = ACTIONS(5102),
    [anon_sym_AMP_AMP] = ACTIONS(5102),
    [anon_sym_AMP] = ACTIONS(5100),
    [anon_sym___extension__] = ACTIONS(5100),
    [anon_sym_typedef] = ACTIONS(5100),
    [anon_sym_extern] = ACTIONS(5100),
    [anon_sym___attribute__] = ACTIONS(5100),
    [anon_sym_COLON_COLON] = ACTIONS(5102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5102),
    [anon_sym___declspec] = ACTIONS(5100),
    [anon_sym___based] = ACTIONS(5100),
    [anon_sym_signed] = ACTIONS(5100),
    [anon_sym_unsigned] = ACTIONS(5100),
    [anon_sym_long] = ACTIONS(5100),
    [anon_sym_short] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5100),
    [anon_sym_static] = ACTIONS(5100),
    [anon_sym_register] = ACTIONS(5100),
    [anon_sym_inline] = ACTIONS(5100),
    [anon_sym___inline] = ACTIONS(5100),
    [anon_sym___inline__] = ACTIONS(5100),
    [anon_sym___forceinline] = ACTIONS(5100),
    [anon_sym_thread_local] = ACTIONS(5100),
    [anon_sym___thread] = ACTIONS(5100),
    [anon_sym_const] = ACTIONS(5100),
    [anon_sym_constexpr] = ACTIONS(5100),
    [anon_sym_volatile] = ACTIONS(5100),
    [anon_sym_restrict] = ACTIONS(5100),
    [anon_sym___restrict__] = ACTIONS(5100),
    [anon_sym__Atomic] = ACTIONS(5100),
    [anon_sym__Noreturn] = ACTIONS(5100),
    [anon_sym_noreturn] = ACTIONS(5100),
    [anon_sym_mutable] = ACTIONS(5100),
    [anon_sym_constinit] = ACTIONS(5100),
    [anon_sym_consteval] = ACTIONS(5100),
    [anon_sym_alignas] = ACTIONS(5100),
    [anon_sym__Alignas] = ACTIONS(5100),
    [sym_primitive_type] = ACTIONS(5100),
    [anon_sym_enum] = ACTIONS(5100),
    [anon_sym_class] = ACTIONS(5100),
    [anon_sym_struct] = ACTIONS(5100),
    [anon_sym_union] = ACTIONS(5100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5100),
    [anon_sym_decltype] = ACTIONS(5100),
    [sym_virtual] = ACTIONS(5100),
    [anon_sym_explicit] = ACTIONS(5100),
    [anon_sym_typename] = ACTIONS(5100),
    [anon_sym_template] = ACTIONS(5100),
    [anon_sym_operator] = ACTIONS(5100),
    [anon_sym_friend] = ACTIONS(5100),
    [anon_sym_public] = ACTIONS(5100),
    [anon_sym_private] = ACTIONS(5100),
    [anon_sym_protected] = ACTIONS(5100),
    [anon_sym_using] = ACTIONS(5100),
    [anon_sym_static_assert] = ACTIONS(5100),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(5162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5164),
    [anon_sym_COMMA] = ACTIONS(5164),
    [anon_sym_RPAREN] = ACTIONS(5164),
    [aux_sym_preproc_if_token2] = ACTIONS(5164),
    [aux_sym_preproc_else_token1] = ACTIONS(5164),
    [aux_sym_preproc_elif_token1] = ACTIONS(5162),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5164),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5164),
    [anon_sym_LPAREN2] = ACTIONS(5164),
    [anon_sym_DASH] = ACTIONS(5162),
    [anon_sym_PLUS] = ACTIONS(5162),
    [anon_sym_STAR] = ACTIONS(5162),
    [anon_sym_SLASH] = ACTIONS(5162),
    [anon_sym_PERCENT] = ACTIONS(5162),
    [anon_sym_PIPE_PIPE] = ACTIONS(5164),
    [anon_sym_AMP_AMP] = ACTIONS(5164),
    [anon_sym_PIPE] = ACTIONS(5162),
    [anon_sym_CARET] = ACTIONS(5162),
    [anon_sym_AMP] = ACTIONS(5162),
    [anon_sym_EQ_EQ] = ACTIONS(5164),
    [anon_sym_BANG_EQ] = ACTIONS(5164),
    [anon_sym_GT] = ACTIONS(5162),
    [anon_sym_GT_EQ] = ACTIONS(5164),
    [anon_sym_LT_EQ] = ACTIONS(5162),
    [anon_sym_LT] = ACTIONS(5162),
    [anon_sym_LT_LT] = ACTIONS(5162),
    [anon_sym_GT_GT] = ACTIONS(5162),
    [anon_sym_SEMI] = ACTIONS(5164),
    [anon_sym___attribute__] = ACTIONS(5162),
    [anon_sym_LBRACE] = ACTIONS(5164),
    [anon_sym_RBRACE] = ACTIONS(5164),
    [anon_sym_LBRACK] = ACTIONS(5164),
    [anon_sym_RBRACK] = ACTIONS(5164),
    [anon_sym_EQ] = ACTIONS(5162),
    [anon_sym_COLON] = ACTIONS(5164),
    [anon_sym_QMARK] = ACTIONS(5164),
    [anon_sym_STAR_EQ] = ACTIONS(5164),
    [anon_sym_SLASH_EQ] = ACTIONS(5164),
    [anon_sym_PERCENT_EQ] = ACTIONS(5164),
    [anon_sym_PLUS_EQ] = ACTIONS(5164),
    [anon_sym_DASH_EQ] = ACTIONS(5164),
    [anon_sym_LT_LT_EQ] = ACTIONS(5164),
    [anon_sym_GT_GT_EQ] = ACTIONS(5164),
    [anon_sym_AMP_EQ] = ACTIONS(5164),
    [anon_sym_CARET_EQ] = ACTIONS(5164),
    [anon_sym_PIPE_EQ] = ACTIONS(5164),
    [anon_sym_and_eq] = ACTIONS(5162),
    [anon_sym_or_eq] = ACTIONS(5162),
    [anon_sym_xor_eq] = ACTIONS(5162),
    [anon_sym_LT_EQ_GT] = ACTIONS(5164),
    [anon_sym_or] = ACTIONS(5162),
    [anon_sym_and] = ACTIONS(5162),
    [anon_sym_bitor] = ACTIONS(5162),
    [anon_sym_xor] = ACTIONS(5162),
    [anon_sym_bitand] = ACTIONS(5162),
    [anon_sym_not_eq] = ACTIONS(5162),
    [anon_sym_DASH_DASH] = ACTIONS(5164),
    [anon_sym_PLUS_PLUS] = ACTIONS(5164),
    [anon_sym_DOT] = ACTIONS(5162),
    [anon_sym_DOT_STAR] = ACTIONS(5164),
    [anon_sym_DASH_GT] = ACTIONS(5164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5162),
    [anon_sym_decltype] = ACTIONS(5162),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(5174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5176),
    [anon_sym_COMMA] = ACTIONS(5176),
    [anon_sym_RPAREN] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_else_token1] = ACTIONS(5176),
    [aux_sym_preproc_elif_token1] = ACTIONS(5174),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_STAR] = ACTIONS(5174),
    [anon_sym_SLASH] = ACTIONS(5174),
    [anon_sym_PERCENT] = ACTIONS(5174),
    [anon_sym_PIPE_PIPE] = ACTIONS(5176),
    [anon_sym_AMP_AMP] = ACTIONS(5176),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_CARET] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(5174),
    [anon_sym_EQ_EQ] = ACTIONS(5176),
    [anon_sym_BANG_EQ] = ACTIONS(5176),
    [anon_sym_GT] = ACTIONS(5174),
    [anon_sym_GT_EQ] = ACTIONS(5176),
    [anon_sym_LT_EQ] = ACTIONS(5174),
    [anon_sym_LT] = ACTIONS(5174),
    [anon_sym_LT_LT] = ACTIONS(5174),
    [anon_sym_GT_GT] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5176),
    [anon_sym___attribute__] = ACTIONS(5174),
    [anon_sym_LBRACE] = ACTIONS(5176),
    [anon_sym_RBRACE] = ACTIONS(5176),
    [anon_sym_LBRACK] = ACTIONS(5176),
    [anon_sym_RBRACK] = ACTIONS(5176),
    [anon_sym_EQ] = ACTIONS(5174),
    [anon_sym_COLON] = ACTIONS(5176),
    [anon_sym_QMARK] = ACTIONS(5176),
    [anon_sym_STAR_EQ] = ACTIONS(5176),
    [anon_sym_SLASH_EQ] = ACTIONS(5176),
    [anon_sym_PERCENT_EQ] = ACTIONS(5176),
    [anon_sym_PLUS_EQ] = ACTIONS(5176),
    [anon_sym_DASH_EQ] = ACTIONS(5176),
    [anon_sym_LT_LT_EQ] = ACTIONS(5176),
    [anon_sym_GT_GT_EQ] = ACTIONS(5176),
    [anon_sym_AMP_EQ] = ACTIONS(5176),
    [anon_sym_CARET_EQ] = ACTIONS(5176),
    [anon_sym_PIPE_EQ] = ACTIONS(5176),
    [anon_sym_and_eq] = ACTIONS(5174),
    [anon_sym_or_eq] = ACTIONS(5174),
    [anon_sym_xor_eq] = ACTIONS(5174),
    [anon_sym_LT_EQ_GT] = ACTIONS(5176),
    [anon_sym_or] = ACTIONS(5174),
    [anon_sym_and] = ACTIONS(5174),
    [anon_sym_bitor] = ACTIONS(5174),
    [anon_sym_xor] = ACTIONS(5174),
    [anon_sym_bitand] = ACTIONS(5174),
    [anon_sym_not_eq] = ACTIONS(5174),
    [anon_sym_DASH_DASH] = ACTIONS(5176),
    [anon_sym_PLUS_PLUS] = ACTIONS(5176),
    [anon_sym_DOT] = ACTIONS(5174),
    [anon_sym_DOT_STAR] = ACTIONS(5176),
    [anon_sym_DASH_GT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5174),
    [anon_sym_decltype] = ACTIONS(5174),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(5166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5168),
    [anon_sym_COMMA] = ACTIONS(5168),
    [anon_sym_RPAREN] = ACTIONS(5168),
    [aux_sym_preproc_if_token2] = ACTIONS(5168),
    [aux_sym_preproc_else_token1] = ACTIONS(5168),
    [aux_sym_preproc_elif_token1] = ACTIONS(5166),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5168),
    [anon_sym_LPAREN2] = ACTIONS(5168),
    [anon_sym_DASH] = ACTIONS(5166),
    [anon_sym_PLUS] = ACTIONS(5166),
    [anon_sym_STAR] = ACTIONS(5166),
    [anon_sym_SLASH] = ACTIONS(5166),
    [anon_sym_PERCENT] = ACTIONS(5166),
    [anon_sym_PIPE_PIPE] = ACTIONS(5168),
    [anon_sym_AMP_AMP] = ACTIONS(5168),
    [anon_sym_PIPE] = ACTIONS(5166),
    [anon_sym_CARET] = ACTIONS(5166),
    [anon_sym_AMP] = ACTIONS(5166),
    [anon_sym_EQ_EQ] = ACTIONS(5168),
    [anon_sym_BANG_EQ] = ACTIONS(5168),
    [anon_sym_GT] = ACTIONS(5166),
    [anon_sym_GT_EQ] = ACTIONS(5168),
    [anon_sym_LT_EQ] = ACTIONS(5166),
    [anon_sym_LT] = ACTIONS(5166),
    [anon_sym_LT_LT] = ACTIONS(5166),
    [anon_sym_GT_GT] = ACTIONS(5166),
    [anon_sym_SEMI] = ACTIONS(5168),
    [anon_sym___attribute__] = ACTIONS(5166),
    [anon_sym_LBRACE] = ACTIONS(5168),
    [anon_sym_RBRACE] = ACTIONS(5168),
    [anon_sym_LBRACK] = ACTIONS(5168),
    [anon_sym_RBRACK] = ACTIONS(5168),
    [anon_sym_EQ] = ACTIONS(5166),
    [anon_sym_COLON] = ACTIONS(5168),
    [anon_sym_QMARK] = ACTIONS(5168),
    [anon_sym_STAR_EQ] = ACTIONS(5168),
    [anon_sym_SLASH_EQ] = ACTIONS(5168),
    [anon_sym_PERCENT_EQ] = ACTIONS(5168),
    [anon_sym_PLUS_EQ] = ACTIONS(5168),
    [anon_sym_DASH_EQ] = ACTIONS(5168),
    [anon_sym_LT_LT_EQ] = ACTIONS(5168),
    [anon_sym_GT_GT_EQ] = ACTIONS(5168),
    [anon_sym_AMP_EQ] = ACTIONS(5168),
    [anon_sym_CARET_EQ] = ACTIONS(5168),
    [anon_sym_PIPE_EQ] = ACTIONS(5168),
    [anon_sym_and_eq] = ACTIONS(5166),
    [anon_sym_or_eq] = ACTIONS(5166),
    [anon_sym_xor_eq] = ACTIONS(5166),
    [anon_sym_LT_EQ_GT] = ACTIONS(5168),
    [anon_sym_or] = ACTIONS(5166),
    [anon_sym_and] = ACTIONS(5166),
    [anon_sym_bitor] = ACTIONS(5166),
    [anon_sym_xor] = ACTIONS(5166),
    [anon_sym_bitand] = ACTIONS(5166),
    [anon_sym_not_eq] = ACTIONS(5166),
    [anon_sym_DASH_DASH] = ACTIONS(5168),
    [anon_sym_PLUS_PLUS] = ACTIONS(5168),
    [anon_sym_DOT] = ACTIONS(5166),
    [anon_sym_DOT_STAR] = ACTIONS(5168),
    [anon_sym_DASH_GT] = ACTIONS(5168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5166),
    [anon_sym_decltype] = ACTIONS(5166),
  },
  [2102] = {
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [sym_virtual] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_friend] = ACTIONS(2664),
    [anon_sym_public] = ACTIONS(2664),
    [anon_sym_private] = ACTIONS(2664),
    [anon_sym_protected] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(2696),
    [aux_sym_preproc_def_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token1] = ACTIONS(2696),
    [aux_sym_preproc_if_token2] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2696),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2696),
    [sym_preproc_directive] = ACTIONS(2696),
    [anon_sym_LPAREN2] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2698),
    [anon_sym_AMP_AMP] = ACTIONS(2698),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2696),
    [anon_sym_typedef] = ACTIONS(2696),
    [anon_sym_extern] = ACTIONS(2696),
    [anon_sym___attribute__] = ACTIONS(2696),
    [anon_sym_COLON_COLON] = ACTIONS(2698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2698),
    [anon_sym___declspec] = ACTIONS(2696),
    [anon_sym___based] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2696),
    [anon_sym_unsigned] = ACTIONS(2696),
    [anon_sym_long] = ACTIONS(2696),
    [anon_sym_short] = ACTIONS(2696),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2696),
    [anon_sym_register] = ACTIONS(2696),
    [anon_sym_inline] = ACTIONS(2696),
    [anon_sym___inline] = ACTIONS(2696),
    [anon_sym___inline__] = ACTIONS(2696),
    [anon_sym___forceinline] = ACTIONS(2696),
    [anon_sym_thread_local] = ACTIONS(2696),
    [anon_sym___thread] = ACTIONS(2696),
    [anon_sym_const] = ACTIONS(2696),
    [anon_sym_constexpr] = ACTIONS(2696),
    [anon_sym_volatile] = ACTIONS(2696),
    [anon_sym_restrict] = ACTIONS(2696),
    [anon_sym___restrict__] = ACTIONS(2696),
    [anon_sym__Atomic] = ACTIONS(2696),
    [anon_sym__Noreturn] = ACTIONS(2696),
    [anon_sym_noreturn] = ACTIONS(2696),
    [anon_sym_mutable] = ACTIONS(2696),
    [anon_sym_constinit] = ACTIONS(2696),
    [anon_sym_consteval] = ACTIONS(2696),
    [anon_sym_alignas] = ACTIONS(2696),
    [anon_sym__Alignas] = ACTIONS(2696),
    [sym_primitive_type] = ACTIONS(2696),
    [anon_sym_enum] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2696),
    [anon_sym_struct] = ACTIONS(2696),
    [anon_sym_union] = ACTIONS(2696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2696),
    [anon_sym_decltype] = ACTIONS(2696),
    [sym_virtual] = ACTIONS(2696),
    [anon_sym_explicit] = ACTIONS(2696),
    [anon_sym_typename] = ACTIONS(2696),
    [anon_sym_template] = ACTIONS(2696),
    [anon_sym_operator] = ACTIONS(2696),
    [anon_sym_friend] = ACTIONS(2696),
    [anon_sym_public] = ACTIONS(2696),
    [anon_sym_private] = ACTIONS(2696),
    [anon_sym_protected] = ACTIONS(2696),
    [anon_sym_using] = ACTIONS(2696),
    [anon_sym_static_assert] = ACTIONS(2696),
  },
  [2104] = {
    [sym_identifier] = ACTIONS(5593),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5595),
    [anon_sym_COMMA] = ACTIONS(5595),
    [anon_sym_RPAREN] = ACTIONS(5595),
    [aux_sym_preproc_if_token2] = ACTIONS(5595),
    [aux_sym_preproc_else_token1] = ACTIONS(5595),
    [aux_sym_preproc_elif_token1] = ACTIONS(5593),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5595),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5595),
    [anon_sym_LPAREN2] = ACTIONS(5595),
    [anon_sym_DASH] = ACTIONS(5593),
    [anon_sym_PLUS] = ACTIONS(5593),
    [anon_sym_STAR] = ACTIONS(5593),
    [anon_sym_SLASH] = ACTIONS(5593),
    [anon_sym_PERCENT] = ACTIONS(5593),
    [anon_sym_PIPE_PIPE] = ACTIONS(5595),
    [anon_sym_AMP_AMP] = ACTIONS(5595),
    [anon_sym_PIPE] = ACTIONS(5593),
    [anon_sym_CARET] = ACTIONS(5593),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym_EQ_EQ] = ACTIONS(5595),
    [anon_sym_BANG_EQ] = ACTIONS(5595),
    [anon_sym_GT] = ACTIONS(5593),
    [anon_sym_GT_EQ] = ACTIONS(5595),
    [anon_sym_LT_EQ] = ACTIONS(5593),
    [anon_sym_LT] = ACTIONS(5593),
    [anon_sym_LT_LT] = ACTIONS(5593),
    [anon_sym_GT_GT] = ACTIONS(5593),
    [anon_sym_SEMI] = ACTIONS(5595),
    [anon_sym___attribute__] = ACTIONS(5593),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5595),
    [anon_sym_LBRACE] = ACTIONS(5595),
    [anon_sym_RBRACE] = ACTIONS(5595),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_RBRACK] = ACTIONS(5595),
    [anon_sym_EQ] = ACTIONS(5593),
    [anon_sym_COLON] = ACTIONS(5595),
    [anon_sym_QMARK] = ACTIONS(5595),
    [anon_sym_STAR_EQ] = ACTIONS(5595),
    [anon_sym_SLASH_EQ] = ACTIONS(5595),
    [anon_sym_PERCENT_EQ] = ACTIONS(5595),
    [anon_sym_PLUS_EQ] = ACTIONS(5595),
    [anon_sym_DASH_EQ] = ACTIONS(5595),
    [anon_sym_LT_LT_EQ] = ACTIONS(5595),
    [anon_sym_GT_GT_EQ] = ACTIONS(5595),
    [anon_sym_AMP_EQ] = ACTIONS(5595),
    [anon_sym_CARET_EQ] = ACTIONS(5595),
    [anon_sym_PIPE_EQ] = ACTIONS(5595),
    [anon_sym_and_eq] = ACTIONS(5593),
    [anon_sym_or_eq] = ACTIONS(5593),
    [anon_sym_xor_eq] = ACTIONS(5593),
    [anon_sym_LT_EQ_GT] = ACTIONS(5595),
    [anon_sym_or] = ACTIONS(5593),
    [anon_sym_and] = ACTIONS(5593),
    [anon_sym_bitor] = ACTIONS(5593),
    [anon_sym_xor] = ACTIONS(5593),
    [anon_sym_bitand] = ACTIONS(5593),
    [anon_sym_not_eq] = ACTIONS(5593),
    [anon_sym_DASH_DASH] = ACTIONS(5595),
    [anon_sym_PLUS_PLUS] = ACTIONS(5595),
    [anon_sym_DOT] = ACTIONS(5593),
    [anon_sym_DOT_STAR] = ACTIONS(5595),
    [anon_sym_DASH_GT] = ACTIONS(5595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5593),
  },
  [2105] = {
    [sym_identifier] = ACTIONS(2728),
    [aux_sym_preproc_def_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token1] = ACTIONS(2728),
    [aux_sym_preproc_if_token2] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [sym_preproc_directive] = ACTIONS(2728),
    [anon_sym_LPAREN2] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2730),
    [anon_sym_STAR] = ACTIONS(2730),
    [anon_sym_AMP_AMP] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2728),
    [anon_sym_typedef] = ACTIONS(2728),
    [anon_sym_extern] = ACTIONS(2728),
    [anon_sym___attribute__] = ACTIONS(2728),
    [anon_sym_COLON_COLON] = ACTIONS(2730),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2730),
    [anon_sym___declspec] = ACTIONS(2728),
    [anon_sym___based] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2728),
    [anon_sym_unsigned] = ACTIONS(2728),
    [anon_sym_long] = ACTIONS(2728),
    [anon_sym_short] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2728),
    [anon_sym_register] = ACTIONS(2728),
    [anon_sym_inline] = ACTIONS(2728),
    [anon_sym___inline] = ACTIONS(2728),
    [anon_sym___inline__] = ACTIONS(2728),
    [anon_sym___forceinline] = ACTIONS(2728),
    [anon_sym_thread_local] = ACTIONS(2728),
    [anon_sym___thread] = ACTIONS(2728),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_constexpr] = ACTIONS(2728),
    [anon_sym_volatile] = ACTIONS(2728),
    [anon_sym_restrict] = ACTIONS(2728),
    [anon_sym___restrict__] = ACTIONS(2728),
    [anon_sym__Atomic] = ACTIONS(2728),
    [anon_sym__Noreturn] = ACTIONS(2728),
    [anon_sym_noreturn] = ACTIONS(2728),
    [anon_sym_mutable] = ACTIONS(2728),
    [anon_sym_constinit] = ACTIONS(2728),
    [anon_sym_consteval] = ACTIONS(2728),
    [anon_sym_alignas] = ACTIONS(2728),
    [anon_sym__Alignas] = ACTIONS(2728),
    [sym_primitive_type] = ACTIONS(2728),
    [anon_sym_enum] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2728),
    [anon_sym_struct] = ACTIONS(2728),
    [anon_sym_union] = ACTIONS(2728),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2728),
    [anon_sym_decltype] = ACTIONS(2728),
    [sym_virtual] = ACTIONS(2728),
    [anon_sym_explicit] = ACTIONS(2728),
    [anon_sym_typename] = ACTIONS(2728),
    [anon_sym_template] = ACTIONS(2728),
    [anon_sym_operator] = ACTIONS(2728),
    [anon_sym_friend] = ACTIONS(2728),
    [anon_sym_public] = ACTIONS(2728),
    [anon_sym_private] = ACTIONS(2728),
    [anon_sym_protected] = ACTIONS(2728),
    [anon_sym_using] = ACTIONS(2728),
    [anon_sym_static_assert] = ACTIONS(2728),
  },
  [2106] = {
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5172),
    [anon_sym_COMMA] = ACTIONS(5172),
    [anon_sym_RPAREN] = ACTIONS(5172),
    [aux_sym_preproc_if_token2] = ACTIONS(5172),
    [aux_sym_preproc_else_token1] = ACTIONS(5172),
    [aux_sym_preproc_elif_token1] = ACTIONS(5170),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5172),
    [anon_sym_LPAREN2] = ACTIONS(5172),
    [anon_sym_DASH] = ACTIONS(5170),
    [anon_sym_PLUS] = ACTIONS(5170),
    [anon_sym_STAR] = ACTIONS(5170),
    [anon_sym_SLASH] = ACTIONS(5170),
    [anon_sym_PERCENT] = ACTIONS(5170),
    [anon_sym_PIPE_PIPE] = ACTIONS(5172),
    [anon_sym_AMP_AMP] = ACTIONS(5172),
    [anon_sym_PIPE] = ACTIONS(5170),
    [anon_sym_CARET] = ACTIONS(5170),
    [anon_sym_AMP] = ACTIONS(5170),
    [anon_sym_EQ_EQ] = ACTIONS(5172),
    [anon_sym_BANG_EQ] = ACTIONS(5172),
    [anon_sym_GT] = ACTIONS(5170),
    [anon_sym_GT_EQ] = ACTIONS(5172),
    [anon_sym_LT_EQ] = ACTIONS(5170),
    [anon_sym_LT] = ACTIONS(5170),
    [anon_sym_LT_LT] = ACTIONS(5170),
    [anon_sym_GT_GT] = ACTIONS(5170),
    [anon_sym_SEMI] = ACTIONS(5172),
    [anon_sym___attribute__] = ACTIONS(5170),
    [anon_sym_LBRACE] = ACTIONS(5172),
    [anon_sym_RBRACE] = ACTIONS(5172),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_RBRACK] = ACTIONS(5172),
    [anon_sym_EQ] = ACTIONS(5170),
    [anon_sym_COLON] = ACTIONS(5172),
    [anon_sym_QMARK] = ACTIONS(5172),
    [anon_sym_STAR_EQ] = ACTIONS(5172),
    [anon_sym_SLASH_EQ] = ACTIONS(5172),
    [anon_sym_PERCENT_EQ] = ACTIONS(5172),
    [anon_sym_PLUS_EQ] = ACTIONS(5172),
    [anon_sym_DASH_EQ] = ACTIONS(5172),
    [anon_sym_LT_LT_EQ] = ACTIONS(5172),
    [anon_sym_GT_GT_EQ] = ACTIONS(5172),
    [anon_sym_AMP_EQ] = ACTIONS(5172),
    [anon_sym_CARET_EQ] = ACTIONS(5172),
    [anon_sym_PIPE_EQ] = ACTIONS(5172),
    [anon_sym_and_eq] = ACTIONS(5170),
    [anon_sym_or_eq] = ACTIONS(5170),
    [anon_sym_xor_eq] = ACTIONS(5170),
    [anon_sym_LT_EQ_GT] = ACTIONS(5172),
    [anon_sym_or] = ACTIONS(5170),
    [anon_sym_and] = ACTIONS(5170),
    [anon_sym_bitor] = ACTIONS(5170),
    [anon_sym_xor] = ACTIONS(5170),
    [anon_sym_bitand] = ACTIONS(5170),
    [anon_sym_not_eq] = ACTIONS(5170),
    [anon_sym_DASH_DASH] = ACTIONS(5172),
    [anon_sym_PLUS_PLUS] = ACTIONS(5172),
    [anon_sym_DOT] = ACTIONS(5170),
    [anon_sym_DOT_STAR] = ACTIONS(5172),
    [anon_sym_DASH_GT] = ACTIONS(5172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5170),
    [anon_sym_decltype] = ACTIONS(5170),
  },
  [2107] = {
    [sym_identifier] = ACTIONS(5005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5007),
    [anon_sym_COMMA] = ACTIONS(5007),
    [anon_sym_RPAREN] = ACTIONS(5007),
    [aux_sym_preproc_if_token2] = ACTIONS(5007),
    [aux_sym_preproc_else_token1] = ACTIONS(5007),
    [aux_sym_preproc_elif_token1] = ACTIONS(5005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5007),
    [anon_sym_LPAREN2] = ACTIONS(5007),
    [anon_sym_DASH] = ACTIONS(5005),
    [anon_sym_PLUS] = ACTIONS(5005),
    [anon_sym_STAR] = ACTIONS(5005),
    [anon_sym_SLASH] = ACTIONS(5005),
    [anon_sym_PERCENT] = ACTIONS(5005),
    [anon_sym_PIPE_PIPE] = ACTIONS(5007),
    [anon_sym_AMP_AMP] = ACTIONS(5007),
    [anon_sym_PIPE] = ACTIONS(5005),
    [anon_sym_CARET] = ACTIONS(5005),
    [anon_sym_AMP] = ACTIONS(5005),
    [anon_sym_EQ_EQ] = ACTIONS(5007),
    [anon_sym_BANG_EQ] = ACTIONS(5007),
    [anon_sym_GT] = ACTIONS(5005),
    [anon_sym_GT_EQ] = ACTIONS(5007),
    [anon_sym_LT_EQ] = ACTIONS(5005),
    [anon_sym_LT] = ACTIONS(5005),
    [anon_sym_LT_LT] = ACTIONS(5005),
    [anon_sym_GT_GT] = ACTIONS(5005),
    [anon_sym_SEMI] = ACTIONS(5007),
    [anon_sym___attribute__] = ACTIONS(5005),
    [anon_sym_LBRACE] = ACTIONS(5007),
    [anon_sym_RBRACE] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [anon_sym_RBRACK] = ACTIONS(5007),
    [anon_sym_EQ] = ACTIONS(5005),
    [anon_sym_COLON] = ACTIONS(5007),
    [anon_sym_QMARK] = ACTIONS(5007),
    [anon_sym_STAR_EQ] = ACTIONS(5007),
    [anon_sym_SLASH_EQ] = ACTIONS(5007),
    [anon_sym_PERCENT_EQ] = ACTIONS(5007),
    [anon_sym_PLUS_EQ] = ACTIONS(5007),
    [anon_sym_DASH_EQ] = ACTIONS(5007),
    [anon_sym_LT_LT_EQ] = ACTIONS(5007),
    [anon_sym_GT_GT_EQ] = ACTIONS(5007),
    [anon_sym_AMP_EQ] = ACTIONS(5007),
    [anon_sym_CARET_EQ] = ACTIONS(5007),
    [anon_sym_PIPE_EQ] = ACTIONS(5007),
    [anon_sym_and_eq] = ACTIONS(5005),
    [anon_sym_or_eq] = ACTIONS(5005),
    [anon_sym_xor_eq] = ACTIONS(5005),
    [anon_sym_LT_EQ_GT] = ACTIONS(5007),
    [anon_sym_or] = ACTIONS(5005),
    [anon_sym_and] = ACTIONS(5005),
    [anon_sym_bitor] = ACTIONS(5005),
    [anon_sym_xor] = ACTIONS(5005),
    [anon_sym_bitand] = ACTIONS(5005),
    [anon_sym_not_eq] = ACTIONS(5005),
    [anon_sym_DASH_DASH] = ACTIONS(5007),
    [anon_sym_PLUS_PLUS] = ACTIONS(5007),
    [anon_sym_DOT] = ACTIONS(5005),
    [anon_sym_DOT_STAR] = ACTIONS(5007),
    [anon_sym_DASH_GT] = ACTIONS(5007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5005),
    [anon_sym_decltype] = ACTIONS(5005),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token2] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_friend] = ACTIONS(2775),
    [anon_sym_public] = ACTIONS(2775),
    [anon_sym_private] = ACTIONS(2775),
    [anon_sym_protected] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
  },
  [2109] = {
    [sym_identifier] = ACTIONS(2775),
    [aux_sym_preproc_def_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token1] = ACTIONS(2775),
    [aux_sym_preproc_if_token2] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2775),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2775),
    [sym_preproc_directive] = ACTIONS(2775),
    [anon_sym_LPAREN2] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym___extension__] = ACTIONS(2775),
    [anon_sym_typedef] = ACTIONS(2775),
    [anon_sym_extern] = ACTIONS(2775),
    [anon_sym___attribute__] = ACTIONS(2775),
    [anon_sym_COLON_COLON] = ACTIONS(2777),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2777),
    [anon_sym___declspec] = ACTIONS(2775),
    [anon_sym___based] = ACTIONS(2775),
    [anon_sym_signed] = ACTIONS(2775),
    [anon_sym_unsigned] = ACTIONS(2775),
    [anon_sym_long] = ACTIONS(2775),
    [anon_sym_short] = ACTIONS(2775),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2775),
    [anon_sym_register] = ACTIONS(2775),
    [anon_sym_inline] = ACTIONS(2775),
    [anon_sym___inline] = ACTIONS(2775),
    [anon_sym___inline__] = ACTIONS(2775),
    [anon_sym___forceinline] = ACTIONS(2775),
    [anon_sym_thread_local] = ACTIONS(2775),
    [anon_sym___thread] = ACTIONS(2775),
    [anon_sym_const] = ACTIONS(2775),
    [anon_sym_constexpr] = ACTIONS(2775),
    [anon_sym_volatile] = ACTIONS(2775),
    [anon_sym_restrict] = ACTIONS(2775),
    [anon_sym___restrict__] = ACTIONS(2775),
    [anon_sym__Atomic] = ACTIONS(2775),
    [anon_sym__Noreturn] = ACTIONS(2775),
    [anon_sym_noreturn] = ACTIONS(2775),
    [anon_sym_mutable] = ACTIONS(2775),
    [anon_sym_constinit] = ACTIONS(2775),
    [anon_sym_consteval] = ACTIONS(2775),
    [anon_sym_alignas] = ACTIONS(2775),
    [anon_sym__Alignas] = ACTIONS(2775),
    [sym_primitive_type] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2775),
    [anon_sym_struct] = ACTIONS(2775),
    [anon_sym_union] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2775),
    [anon_sym_decltype] = ACTIONS(2775),
    [sym_virtual] = ACTIONS(2775),
    [anon_sym_explicit] = ACTIONS(2775),
    [anon_sym_typename] = ACTIONS(2775),
    [anon_sym_template] = ACTIONS(2775),
    [anon_sym_operator] = ACTIONS(2775),
    [anon_sym_friend] = ACTIONS(2775),
    [anon_sym_public] = ACTIONS(2775),
    [anon_sym_private] = ACTIONS(2775),
    [anon_sym_protected] = ACTIONS(2775),
    [anon_sym_using] = ACTIONS(2775),
    [anon_sym_static_assert] = ACTIONS(2775),
  },
  [2110] = {
    [sym_identifier] = ACTIONS(2793),
    [aux_sym_preproc_def_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token1] = ACTIONS(2793),
    [aux_sym_preproc_if_token2] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2793),
    [sym_preproc_directive] = ACTIONS(2793),
    [anon_sym_LPAREN2] = ACTIONS(2795),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2793),
    [anon_sym___extension__] = ACTIONS(2793),
    [anon_sym_typedef] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym___attribute__] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2795),
    [anon_sym___declspec] = ACTIONS(2793),
    [anon_sym___based] = ACTIONS(2793),
    [anon_sym_signed] = ACTIONS(2793),
    [anon_sym_unsigned] = ACTIONS(2793),
    [anon_sym_long] = ACTIONS(2793),
    [anon_sym_short] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_register] = ACTIONS(2793),
    [anon_sym_inline] = ACTIONS(2793),
    [anon_sym___inline] = ACTIONS(2793),
    [anon_sym___inline__] = ACTIONS(2793),
    [anon_sym___forceinline] = ACTIONS(2793),
    [anon_sym_thread_local] = ACTIONS(2793),
    [anon_sym___thread] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_constexpr] = ACTIONS(2793),
    [anon_sym_volatile] = ACTIONS(2793),
    [anon_sym_restrict] = ACTIONS(2793),
    [anon_sym___restrict__] = ACTIONS(2793),
    [anon_sym__Atomic] = ACTIONS(2793),
    [anon_sym__Noreturn] = ACTIONS(2793),
    [anon_sym_noreturn] = ACTIONS(2793),
    [anon_sym_mutable] = ACTIONS(2793),
    [anon_sym_constinit] = ACTIONS(2793),
    [anon_sym_consteval] = ACTIONS(2793),
    [anon_sym_alignas] = ACTIONS(2793),
    [anon_sym__Alignas] = ACTIONS(2793),
    [sym_primitive_type] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2793),
    [anon_sym_decltype] = ACTIONS(2793),
    [sym_virtual] = ACTIONS(2793),
    [anon_sym_explicit] = ACTIONS(2793),
    [anon_sym_typename] = ACTIONS(2793),
    [anon_sym_template] = ACTIONS(2793),
    [anon_sym_operator] = ACTIONS(2793),
    [anon_sym_friend] = ACTIONS(2793),
    [anon_sym_public] = ACTIONS(2793),
    [anon_sym_private] = ACTIONS(2793),
    [anon_sym_protected] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_static_assert] = ACTIONS(2793),
  },
  [2111] = {
    [sym_identifier] = ACTIONS(5174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5176),
    [anon_sym_COMMA] = ACTIONS(5176),
    [anon_sym_RPAREN] = ACTIONS(5176),
    [aux_sym_preproc_if_token2] = ACTIONS(5176),
    [aux_sym_preproc_else_token1] = ACTIONS(5176),
    [aux_sym_preproc_elif_token1] = ACTIONS(5174),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5176),
    [anon_sym_LPAREN2] = ACTIONS(5176),
    [anon_sym_DASH] = ACTIONS(5174),
    [anon_sym_PLUS] = ACTIONS(5174),
    [anon_sym_STAR] = ACTIONS(5174),
    [anon_sym_SLASH] = ACTIONS(5174),
    [anon_sym_PERCENT] = ACTIONS(5174),
    [anon_sym_PIPE_PIPE] = ACTIONS(5176),
    [anon_sym_AMP_AMP] = ACTIONS(5176),
    [anon_sym_PIPE] = ACTIONS(5174),
    [anon_sym_CARET] = ACTIONS(5174),
    [anon_sym_AMP] = ACTIONS(5174),
    [anon_sym_EQ_EQ] = ACTIONS(5176),
    [anon_sym_BANG_EQ] = ACTIONS(5176),
    [anon_sym_GT] = ACTIONS(5174),
    [anon_sym_GT_EQ] = ACTIONS(5176),
    [anon_sym_LT_EQ] = ACTIONS(5174),
    [anon_sym_LT] = ACTIONS(5174),
    [anon_sym_LT_LT] = ACTIONS(5174),
    [anon_sym_GT_GT] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5176),
    [anon_sym___attribute__] = ACTIONS(5174),
    [anon_sym_LBRACE] = ACTIONS(5176),
    [anon_sym_RBRACE] = ACTIONS(5176),
    [anon_sym_LBRACK] = ACTIONS(5176),
    [anon_sym_RBRACK] = ACTIONS(5176),
    [anon_sym_EQ] = ACTIONS(5174),
    [anon_sym_COLON] = ACTIONS(5176),
    [anon_sym_QMARK] = ACTIONS(5176),
    [anon_sym_STAR_EQ] = ACTIONS(5176),
    [anon_sym_SLASH_EQ] = ACTIONS(5176),
    [anon_sym_PERCENT_EQ] = ACTIONS(5176),
    [anon_sym_PLUS_EQ] = ACTIONS(5176),
    [anon_sym_DASH_EQ] = ACTIONS(5176),
    [anon_sym_LT_LT_EQ] = ACTIONS(5176),
    [anon_sym_GT_GT_EQ] = ACTIONS(5176),
    [anon_sym_AMP_EQ] = ACTIONS(5176),
    [anon_sym_CARET_EQ] = ACTIONS(5176),
    [anon_sym_PIPE_EQ] = ACTIONS(5176),
    [anon_sym_and_eq] = ACTIONS(5174),
    [anon_sym_or_eq] = ACTIONS(5174),
    [anon_sym_xor_eq] = ACTIONS(5174),
    [anon_sym_LT_EQ_GT] = ACTIONS(5176),
    [anon_sym_or] = ACTIONS(5174),
    [anon_sym_and] = ACTIONS(5174),
    [anon_sym_bitor] = ACTIONS(5174),
    [anon_sym_xor] = ACTIONS(5174),
    [anon_sym_bitand] = ACTIONS(5174),
    [anon_sym_not_eq] = ACTIONS(5174),
    [anon_sym_DASH_DASH] = ACTIONS(5176),
    [anon_sym_PLUS_PLUS] = ACTIONS(5176),
    [anon_sym_DOT] = ACTIONS(5174),
    [anon_sym_DOT_STAR] = ACTIONS(5176),
    [anon_sym_DASH_GT] = ACTIONS(5176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5174),
    [anon_sym_decltype] = ACTIONS(5174),
  },
  [2112] = {
    [sym_identifier] = ACTIONS(5104),
    [aux_sym_preproc_def_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token1] = ACTIONS(5104),
    [aux_sym_preproc_if_token2] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5104),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5104),
    [sym_preproc_directive] = ACTIONS(5104),
    [anon_sym_LPAREN2] = ACTIONS(5106),
    [anon_sym_TILDE] = ACTIONS(5106),
    [anon_sym_STAR] = ACTIONS(5106),
    [anon_sym_AMP_AMP] = ACTIONS(5106),
    [anon_sym_AMP] = ACTIONS(5104),
    [anon_sym___extension__] = ACTIONS(5104),
    [anon_sym_typedef] = ACTIONS(5104),
    [anon_sym_extern] = ACTIONS(5104),
    [anon_sym___attribute__] = ACTIONS(5104),
    [anon_sym_COLON_COLON] = ACTIONS(5106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5106),
    [anon_sym___declspec] = ACTIONS(5104),
    [anon_sym___based] = ACTIONS(5104),
    [anon_sym_signed] = ACTIONS(5104),
    [anon_sym_unsigned] = ACTIONS(5104),
    [anon_sym_long] = ACTIONS(5104),
    [anon_sym_short] = ACTIONS(5104),
    [anon_sym_LBRACK] = ACTIONS(5104),
    [anon_sym_static] = ACTIONS(5104),
    [anon_sym_register] = ACTIONS(5104),
    [anon_sym_inline] = ACTIONS(5104),
    [anon_sym___inline] = ACTIONS(5104),
    [anon_sym___inline__] = ACTIONS(5104),
    [anon_sym___forceinline] = ACTIONS(5104),
    [anon_sym_thread_local] = ACTIONS(5104),
    [anon_sym___thread] = ACTIONS(5104),
    [anon_sym_const] = ACTIONS(5104),
    [anon_sym_constexpr] = ACTIONS(5104),
    [anon_sym_volatile] = ACTIONS(5104),
    [anon_sym_restrict] = ACTIONS(5104),
    [anon_sym___restrict__] = ACTIONS(5104),
    [anon_sym__Atomic] = ACTIONS(5104),
    [anon_sym__Noreturn] = ACTIONS(5104),
    [anon_sym_noreturn] = ACTIONS(5104),
    [anon_sym_mutable] = ACTIONS(5104),
    [anon_sym_constinit] = ACTIONS(5104),
    [anon_sym_consteval] = ACTIONS(5104),
    [anon_sym_alignas] = ACTIONS(5104),
    [anon_sym__Alignas] = ACTIONS(5104),
    [sym_primitive_type] = ACTIONS(5104),
    [anon_sym_enum] = ACTIONS(5104),
    [anon_sym_class] = ACTIONS(5104),
    [anon_sym_struct] = ACTIONS(5104),
    [anon_sym_union] = ACTIONS(5104),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5104),
    [anon_sym_decltype] = ACTIONS(5104),
    [sym_virtual] = ACTIONS(5104),
    [anon_sym_explicit] = ACTIONS(5104),
    [anon_sym_typename] = ACTIONS(5104),
    [anon_sym_template] = ACTIONS(5104),
    [anon_sym_operator] = ACTIONS(5104),
    [anon_sym_friend] = ACTIONS(5104),
    [anon_sym_public] = ACTIONS(5104),
    [anon_sym_private] = ACTIONS(5104),
    [anon_sym_protected] = ACTIONS(5104),
    [anon_sym_using] = ACTIONS(5104),
    [anon_sym_static_assert] = ACTIONS(5104),
  },
  [2113] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [sym_virtual] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_friend] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(5597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5599),
    [anon_sym_COMMA] = ACTIONS(5599),
    [anon_sym_RPAREN] = ACTIONS(5599),
    [aux_sym_preproc_if_token2] = ACTIONS(5599),
    [aux_sym_preproc_else_token1] = ACTIONS(5599),
    [aux_sym_preproc_elif_token1] = ACTIONS(5597),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5599),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5599),
    [anon_sym_LPAREN2] = ACTIONS(5599),
    [anon_sym_DASH] = ACTIONS(5597),
    [anon_sym_PLUS] = ACTIONS(5597),
    [anon_sym_STAR] = ACTIONS(5597),
    [anon_sym_SLASH] = ACTIONS(5597),
    [anon_sym_PERCENT] = ACTIONS(5597),
    [anon_sym_PIPE_PIPE] = ACTIONS(5599),
    [anon_sym_AMP_AMP] = ACTIONS(5599),
    [anon_sym_PIPE] = ACTIONS(5597),
    [anon_sym_CARET] = ACTIONS(5597),
    [anon_sym_AMP] = ACTIONS(5597),
    [anon_sym_EQ_EQ] = ACTIONS(5599),
    [anon_sym_BANG_EQ] = ACTIONS(5599),
    [anon_sym_GT] = ACTIONS(5597),
    [anon_sym_GT_EQ] = ACTIONS(5599),
    [anon_sym_LT_EQ] = ACTIONS(5597),
    [anon_sym_LT] = ACTIONS(5597),
    [anon_sym_LT_LT] = ACTIONS(5597),
    [anon_sym_GT_GT] = ACTIONS(5597),
    [anon_sym_SEMI] = ACTIONS(5599),
    [anon_sym___attribute__] = ACTIONS(5597),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5599),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_RBRACE] = ACTIONS(5599),
    [anon_sym_LBRACK] = ACTIONS(5597),
    [anon_sym_RBRACK] = ACTIONS(5599),
    [anon_sym_EQ] = ACTIONS(5597),
    [anon_sym_COLON] = ACTIONS(5599),
    [anon_sym_QMARK] = ACTIONS(5599),
    [anon_sym_STAR_EQ] = ACTIONS(5599),
    [anon_sym_SLASH_EQ] = ACTIONS(5599),
    [anon_sym_PERCENT_EQ] = ACTIONS(5599),
    [anon_sym_PLUS_EQ] = ACTIONS(5599),
    [anon_sym_DASH_EQ] = ACTIONS(5599),
    [anon_sym_LT_LT_EQ] = ACTIONS(5599),
    [anon_sym_GT_GT_EQ] = ACTIONS(5599),
    [anon_sym_AMP_EQ] = ACTIONS(5599),
    [anon_sym_CARET_EQ] = ACTIONS(5599),
    [anon_sym_PIPE_EQ] = ACTIONS(5599),
    [anon_sym_and_eq] = ACTIONS(5597),
    [anon_sym_or_eq] = ACTIONS(5597),
    [anon_sym_xor_eq] = ACTIONS(5597),
    [anon_sym_LT_EQ_GT] = ACTIONS(5599),
    [anon_sym_or] = ACTIONS(5597),
    [anon_sym_and] = ACTIONS(5597),
    [anon_sym_bitor] = ACTIONS(5597),
    [anon_sym_xor] = ACTIONS(5597),
    [anon_sym_bitand] = ACTIONS(5597),
    [anon_sym_not_eq] = ACTIONS(5597),
    [anon_sym_DASH_DASH] = ACTIONS(5599),
    [anon_sym_PLUS_PLUS] = ACTIONS(5599),
    [anon_sym_DOT] = ACTIONS(5597),
    [anon_sym_DOT_STAR] = ACTIONS(5599),
    [anon_sym_DASH_GT] = ACTIONS(5599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5597),
  },
  [2115] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token2] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_AMP_AMP] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2820),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym_COLON_COLON] = ACTIONS(2822),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___based] = ACTIONS(2820),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym_mutable] = ACTIONS(2820),
    [anon_sym_constinit] = ACTIONS(2820),
    [anon_sym_consteval] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2820),
    [anon_sym_decltype] = ACTIONS(2820),
    [sym_virtual] = ACTIONS(2820),
    [anon_sym_explicit] = ACTIONS(2820),
    [anon_sym_typename] = ACTIONS(2820),
    [anon_sym_template] = ACTIONS(2820),
    [anon_sym_operator] = ACTIONS(2820),
    [anon_sym_friend] = ACTIONS(2820),
    [anon_sym_public] = ACTIONS(2820),
    [anon_sym_private] = ACTIONS(2820),
    [anon_sym_protected] = ACTIONS(2820),
    [anon_sym_using] = ACTIONS(2820),
    [anon_sym_static_assert] = ACTIONS(2820),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3017),
    [sym_preproc_directive] = ACTIONS(3017),
    [anon_sym_LPAREN2] = ACTIONS(3019),
    [anon_sym_TILDE] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3017),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3017),
    [anon_sym_extern] = ACTIONS(3017),
    [anon_sym___attribute__] = ACTIONS(3017),
    [anon_sym_COLON_COLON] = ACTIONS(3019),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3019),
    [anon_sym___declspec] = ACTIONS(3017),
    [anon_sym___based] = ACTIONS(3017),
    [anon_sym_signed] = ACTIONS(3017),
    [anon_sym_unsigned] = ACTIONS(3017),
    [anon_sym_long] = ACTIONS(3017),
    [anon_sym_short] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(3017),
    [anon_sym_static] = ACTIONS(3017),
    [anon_sym_register] = ACTIONS(3017),
    [anon_sym_inline] = ACTIONS(3017),
    [anon_sym___inline] = ACTIONS(3017),
    [anon_sym___inline__] = ACTIONS(3017),
    [anon_sym___forceinline] = ACTIONS(3017),
    [anon_sym_thread_local] = ACTIONS(3017),
    [anon_sym___thread] = ACTIONS(3017),
    [anon_sym_const] = ACTIONS(3017),
    [anon_sym_constexpr] = ACTIONS(3017),
    [anon_sym_volatile] = ACTIONS(3017),
    [anon_sym_restrict] = ACTIONS(3017),
    [anon_sym___restrict__] = ACTIONS(3017),
    [anon_sym__Atomic] = ACTIONS(3017),
    [anon_sym__Noreturn] = ACTIONS(3017),
    [anon_sym_noreturn] = ACTIONS(3017),
    [anon_sym_mutable] = ACTIONS(3017),
    [anon_sym_constinit] = ACTIONS(3017),
    [anon_sym_consteval] = ACTIONS(3017),
    [anon_sym_alignas] = ACTIONS(3017),
    [anon_sym__Alignas] = ACTIONS(3017),
    [sym_primitive_type] = ACTIONS(3017),
    [anon_sym_enum] = ACTIONS(3017),
    [anon_sym_class] = ACTIONS(3017),
    [anon_sym_struct] = ACTIONS(3017),
    [anon_sym_union] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3017),
    [anon_sym_decltype] = ACTIONS(3017),
    [sym_virtual] = ACTIONS(3017),
    [anon_sym_explicit] = ACTIONS(3017),
    [anon_sym_typename] = ACTIONS(3017),
    [anon_sym_template] = ACTIONS(3017),
    [anon_sym_operator] = ACTIONS(3017),
    [anon_sym_friend] = ACTIONS(3017),
    [anon_sym_public] = ACTIONS(3017),
    [anon_sym_private] = ACTIONS(3017),
    [anon_sym_protected] = ACTIONS(3017),
    [anon_sym_using] = ACTIONS(3017),
    [anon_sym_static_assert] = ACTIONS(3017),
  },
  [2117] = {
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym__Alignas] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [sym_virtual] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_friend] = ACTIONS(2828),
    [anon_sym_public] = ACTIONS(2828),
    [anon_sym_private] = ACTIONS(2828),
    [anon_sym_protected] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
  },
  [2118] = {
    [sym_identifier] = ACTIONS(2899),
    [aux_sym_preproc_def_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token2] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2899),
    [sym_preproc_directive] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym___based] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym__Alignas] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [sym_virtual] = ACTIONS(2899),
    [anon_sym_explicit] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_operator] = ACTIONS(2899),
    [anon_sym_friend] = ACTIONS(2899),
    [anon_sym_public] = ACTIONS(2899),
    [anon_sym_private] = ACTIONS(2899),
    [anon_sym_protected] = ACTIONS(2899),
    [anon_sym_using] = ACTIONS(2899),
    [anon_sym_static_assert] = ACTIONS(2899),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token2] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym__Alignas] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [sym_virtual] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_friend] = ACTIONS(2903),
    [anon_sym_public] = ACTIONS(2903),
    [anon_sym_private] = ACTIONS(2903),
    [anon_sym_protected] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(5601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5603),
    [anon_sym_COMMA] = ACTIONS(5603),
    [anon_sym_RPAREN] = ACTIONS(5603),
    [aux_sym_preproc_if_token2] = ACTIONS(5603),
    [aux_sym_preproc_else_token1] = ACTIONS(5603),
    [aux_sym_preproc_elif_token1] = ACTIONS(5601),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5603),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5603),
    [anon_sym_LPAREN2] = ACTIONS(5603),
    [anon_sym_DASH] = ACTIONS(5601),
    [anon_sym_PLUS] = ACTIONS(5601),
    [anon_sym_STAR] = ACTIONS(5601),
    [anon_sym_SLASH] = ACTIONS(5601),
    [anon_sym_PERCENT] = ACTIONS(5601),
    [anon_sym_PIPE_PIPE] = ACTIONS(5603),
    [anon_sym_AMP_AMP] = ACTIONS(5603),
    [anon_sym_PIPE] = ACTIONS(5601),
    [anon_sym_CARET] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5601),
    [anon_sym_EQ_EQ] = ACTIONS(5603),
    [anon_sym_BANG_EQ] = ACTIONS(5603),
    [anon_sym_GT] = ACTIONS(5601),
    [anon_sym_GT_EQ] = ACTIONS(5603),
    [anon_sym_LT_EQ] = ACTIONS(5601),
    [anon_sym_LT] = ACTIONS(5601),
    [anon_sym_LT_LT] = ACTIONS(5601),
    [anon_sym_GT_GT] = ACTIONS(5601),
    [anon_sym_SEMI] = ACTIONS(5603),
    [anon_sym___attribute__] = ACTIONS(5601),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5603),
    [anon_sym_LBRACE] = ACTIONS(5603),
    [anon_sym_RBRACE] = ACTIONS(5603),
    [anon_sym_LBRACK] = ACTIONS(5601),
    [anon_sym_RBRACK] = ACTIONS(5603),
    [anon_sym_EQ] = ACTIONS(5601),
    [anon_sym_COLON] = ACTIONS(5603),
    [anon_sym_QMARK] = ACTIONS(5603),
    [anon_sym_STAR_EQ] = ACTIONS(5603),
    [anon_sym_SLASH_EQ] = ACTIONS(5603),
    [anon_sym_PERCENT_EQ] = ACTIONS(5603),
    [anon_sym_PLUS_EQ] = ACTIONS(5603),
    [anon_sym_DASH_EQ] = ACTIONS(5603),
    [anon_sym_LT_LT_EQ] = ACTIONS(5603),
    [anon_sym_GT_GT_EQ] = ACTIONS(5603),
    [anon_sym_AMP_EQ] = ACTIONS(5603),
    [anon_sym_CARET_EQ] = ACTIONS(5603),
    [anon_sym_PIPE_EQ] = ACTIONS(5603),
    [anon_sym_and_eq] = ACTIONS(5601),
    [anon_sym_or_eq] = ACTIONS(5601),
    [anon_sym_xor_eq] = ACTIONS(5601),
    [anon_sym_LT_EQ_GT] = ACTIONS(5603),
    [anon_sym_or] = ACTIONS(5601),
    [anon_sym_and] = ACTIONS(5601),
    [anon_sym_bitor] = ACTIONS(5601),
    [anon_sym_xor] = ACTIONS(5601),
    [anon_sym_bitand] = ACTIONS(5601),
    [anon_sym_not_eq] = ACTIONS(5601),
    [anon_sym_DASH_DASH] = ACTIONS(5603),
    [anon_sym_PLUS_PLUS] = ACTIONS(5603),
    [anon_sym_DOT] = ACTIONS(5601),
    [anon_sym_DOT_STAR] = ACTIONS(5603),
    [anon_sym_DASH_GT] = ACTIONS(5603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5601),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym__Alignas] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [sym_virtual] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_friend] = ACTIONS(2909),
    [anon_sym_public] = ACTIONS(2909),
    [anon_sym_private] = ACTIONS(2909),
    [anon_sym_protected] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
  },
  [2122] = {
    [sym_identifier] = ACTIONS(2797),
    [aux_sym_preproc_def_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token1] = ACTIONS(2797),
    [aux_sym_preproc_if_token2] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2797),
    [sym_preproc_directive] = ACTIONS(2797),
    [anon_sym_LPAREN2] = ACTIONS(2799),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2797),
    [anon_sym___extension__] = ACTIONS(2797),
    [anon_sym_typedef] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym___attribute__] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2799),
    [anon_sym___declspec] = ACTIONS(2797),
    [anon_sym___based] = ACTIONS(2797),
    [anon_sym_signed] = ACTIONS(2797),
    [anon_sym_unsigned] = ACTIONS(2797),
    [anon_sym_long] = ACTIONS(2797),
    [anon_sym_short] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_register] = ACTIONS(2797),
    [anon_sym_inline] = ACTIONS(2797),
    [anon_sym___inline] = ACTIONS(2797),
    [anon_sym___inline__] = ACTIONS(2797),
    [anon_sym___forceinline] = ACTIONS(2797),
    [anon_sym_thread_local] = ACTIONS(2797),
    [anon_sym___thread] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_constexpr] = ACTIONS(2797),
    [anon_sym_volatile] = ACTIONS(2797),
    [anon_sym_restrict] = ACTIONS(2797),
    [anon_sym___restrict__] = ACTIONS(2797),
    [anon_sym__Atomic] = ACTIONS(2797),
    [anon_sym__Noreturn] = ACTIONS(2797),
    [anon_sym_noreturn] = ACTIONS(2797),
    [anon_sym_mutable] = ACTIONS(2797),
    [anon_sym_constinit] = ACTIONS(2797),
    [anon_sym_consteval] = ACTIONS(2797),
    [anon_sym_alignas] = ACTIONS(2797),
    [anon_sym__Alignas] = ACTIONS(2797),
    [sym_primitive_type] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2797),
    [anon_sym_decltype] = ACTIONS(2797),
    [sym_virtual] = ACTIONS(2797),
    [anon_sym_explicit] = ACTIONS(2797),
    [anon_sym_typename] = ACTIONS(2797),
    [anon_sym_template] = ACTIONS(2797),
    [anon_sym_operator] = ACTIONS(2797),
    [anon_sym_friend] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_static_assert] = ACTIONS(2797),
  },
  [2123] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token2] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [sym_primitive_type] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [sym_virtual] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_friend] = ACTIONS(2801),
    [anon_sym_public] = ACTIONS(2801),
    [anon_sym_private] = ACTIONS(2801),
    [anon_sym_protected] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(5605),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5607),
    [anon_sym_COMMA] = ACTIONS(5607),
    [anon_sym_RPAREN] = ACTIONS(5607),
    [aux_sym_preproc_if_token2] = ACTIONS(5607),
    [aux_sym_preproc_else_token1] = ACTIONS(5607),
    [aux_sym_preproc_elif_token1] = ACTIONS(5605),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5607),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5607),
    [anon_sym_LPAREN2] = ACTIONS(5607),
    [anon_sym_DASH] = ACTIONS(5605),
    [anon_sym_PLUS] = ACTIONS(5605),
    [anon_sym_STAR] = ACTIONS(5605),
    [anon_sym_SLASH] = ACTIONS(5605),
    [anon_sym_PERCENT] = ACTIONS(5605),
    [anon_sym_PIPE_PIPE] = ACTIONS(5607),
    [anon_sym_AMP_AMP] = ACTIONS(5607),
    [anon_sym_PIPE] = ACTIONS(5605),
    [anon_sym_CARET] = ACTIONS(5605),
    [anon_sym_AMP] = ACTIONS(5605),
    [anon_sym_EQ_EQ] = ACTIONS(5607),
    [anon_sym_BANG_EQ] = ACTIONS(5607),
    [anon_sym_GT] = ACTIONS(5605),
    [anon_sym_GT_EQ] = ACTIONS(5607),
    [anon_sym_LT_EQ] = ACTIONS(5605),
    [anon_sym_LT] = ACTIONS(5605),
    [anon_sym_LT_LT] = ACTIONS(5605),
    [anon_sym_GT_GT] = ACTIONS(5605),
    [anon_sym_SEMI] = ACTIONS(5607),
    [anon_sym___attribute__] = ACTIONS(5605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5607),
    [anon_sym_LBRACE] = ACTIONS(5607),
    [anon_sym_RBRACE] = ACTIONS(5607),
    [anon_sym_LBRACK] = ACTIONS(5605),
    [anon_sym_RBRACK] = ACTIONS(5607),
    [anon_sym_EQ] = ACTIONS(5605),
    [anon_sym_COLON] = ACTIONS(5607),
    [anon_sym_QMARK] = ACTIONS(5607),
    [anon_sym_STAR_EQ] = ACTIONS(5607),
    [anon_sym_SLASH_EQ] = ACTIONS(5607),
    [anon_sym_PERCENT_EQ] = ACTIONS(5607),
    [anon_sym_PLUS_EQ] = ACTIONS(5607),
    [anon_sym_DASH_EQ] = ACTIONS(5607),
    [anon_sym_LT_LT_EQ] = ACTIONS(5607),
    [anon_sym_GT_GT_EQ] = ACTIONS(5607),
    [anon_sym_AMP_EQ] = ACTIONS(5607),
    [anon_sym_CARET_EQ] = ACTIONS(5607),
    [anon_sym_PIPE_EQ] = ACTIONS(5607),
    [anon_sym_and_eq] = ACTIONS(5605),
    [anon_sym_or_eq] = ACTIONS(5605),
    [anon_sym_xor_eq] = ACTIONS(5605),
    [anon_sym_LT_EQ_GT] = ACTIONS(5607),
    [anon_sym_or] = ACTIONS(5605),
    [anon_sym_and] = ACTIONS(5605),
    [anon_sym_bitor] = ACTIONS(5605),
    [anon_sym_xor] = ACTIONS(5605),
    [anon_sym_bitand] = ACTIONS(5605),
    [anon_sym_not_eq] = ACTIONS(5605),
    [anon_sym_DASH_DASH] = ACTIONS(5607),
    [anon_sym_PLUS_PLUS] = ACTIONS(5607),
    [anon_sym_DOT] = ACTIONS(5605),
    [anon_sym_DOT_STAR] = ACTIONS(5607),
    [anon_sym_DASH_GT] = ACTIONS(5607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5605),
  },
  [2125] = {
    [sym_identifier] = ACTIONS(5609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5611),
    [anon_sym_COMMA] = ACTIONS(5611),
    [anon_sym_RPAREN] = ACTIONS(5611),
    [aux_sym_preproc_if_token2] = ACTIONS(5611),
    [aux_sym_preproc_else_token1] = ACTIONS(5611),
    [aux_sym_preproc_elif_token1] = ACTIONS(5609),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5611),
    [anon_sym_DASH] = ACTIONS(5609),
    [anon_sym_PLUS] = ACTIONS(5609),
    [anon_sym_STAR] = ACTIONS(5609),
    [anon_sym_SLASH] = ACTIONS(5609),
    [anon_sym_PERCENT] = ACTIONS(5609),
    [anon_sym_PIPE_PIPE] = ACTIONS(5611),
    [anon_sym_AMP_AMP] = ACTIONS(5611),
    [anon_sym_PIPE] = ACTIONS(5609),
    [anon_sym_CARET] = ACTIONS(5609),
    [anon_sym_AMP] = ACTIONS(5609),
    [anon_sym_EQ_EQ] = ACTIONS(5611),
    [anon_sym_BANG_EQ] = ACTIONS(5611),
    [anon_sym_GT] = ACTIONS(5609),
    [anon_sym_GT_EQ] = ACTIONS(5611),
    [anon_sym_LT_EQ] = ACTIONS(5609),
    [anon_sym_LT] = ACTIONS(5609),
    [anon_sym_LT_LT] = ACTIONS(5609),
    [anon_sym_GT_GT] = ACTIONS(5609),
    [anon_sym_SEMI] = ACTIONS(5611),
    [anon_sym___attribute__] = ACTIONS(5609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5611),
    [anon_sym_LBRACE] = ACTIONS(5611),
    [anon_sym_RBRACE] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5609),
    [anon_sym_RBRACK] = ACTIONS(5611),
    [anon_sym_EQ] = ACTIONS(5609),
    [anon_sym_COLON] = ACTIONS(5611),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_STAR_EQ] = ACTIONS(5611),
    [anon_sym_SLASH_EQ] = ACTIONS(5611),
    [anon_sym_PERCENT_EQ] = ACTIONS(5611),
    [anon_sym_PLUS_EQ] = ACTIONS(5611),
    [anon_sym_DASH_EQ] = ACTIONS(5611),
    [anon_sym_LT_LT_EQ] = ACTIONS(5611),
    [anon_sym_GT_GT_EQ] = ACTIONS(5611),
    [anon_sym_AMP_EQ] = ACTIONS(5611),
    [anon_sym_CARET_EQ] = ACTIONS(5611),
    [anon_sym_PIPE_EQ] = ACTIONS(5611),
    [anon_sym_and_eq] = ACTIONS(5609),
    [anon_sym_or_eq] = ACTIONS(5609),
    [anon_sym_xor_eq] = ACTIONS(5609),
    [anon_sym_LT_EQ_GT] = ACTIONS(5611),
    [anon_sym_or] = ACTIONS(5609),
    [anon_sym_and] = ACTIONS(5609),
    [anon_sym_bitor] = ACTIONS(5609),
    [anon_sym_xor] = ACTIONS(5609),
    [anon_sym_bitand] = ACTIONS(5609),
    [anon_sym_not_eq] = ACTIONS(5609),
    [anon_sym_DASH_DASH] = ACTIONS(5611),
    [anon_sym_PLUS_PLUS] = ACTIONS(5611),
    [anon_sym_DOT] = ACTIONS(5609),
    [anon_sym_DOT_STAR] = ACTIONS(5611),
    [anon_sym_DASH_GT] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5609),
  },
  [2126] = {
    [sym_identifier] = ACTIONS(5154),
    [aux_sym_preproc_def_token1] = ACTIONS(5154),
    [aux_sym_preproc_if_token1] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5154),
    [sym_preproc_directive] = ACTIONS(5154),
    [anon_sym_LPAREN2] = ACTIONS(5156),
    [anon_sym_TILDE] = ACTIONS(5156),
    [anon_sym_STAR] = ACTIONS(5156),
    [anon_sym_AMP_AMP] = ACTIONS(5156),
    [anon_sym_AMP] = ACTIONS(5154),
    [anon_sym___extension__] = ACTIONS(5154),
    [anon_sym_typedef] = ACTIONS(5154),
    [anon_sym_extern] = ACTIONS(5154),
    [anon_sym___attribute__] = ACTIONS(5154),
    [anon_sym_COLON_COLON] = ACTIONS(5156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5156),
    [anon_sym___declspec] = ACTIONS(5154),
    [anon_sym___based] = ACTIONS(5154),
    [anon_sym_RBRACE] = ACTIONS(5156),
    [anon_sym_signed] = ACTIONS(5154),
    [anon_sym_unsigned] = ACTIONS(5154),
    [anon_sym_long] = ACTIONS(5154),
    [anon_sym_short] = ACTIONS(5154),
    [anon_sym_LBRACK] = ACTIONS(5154),
    [anon_sym_static] = ACTIONS(5154),
    [anon_sym_register] = ACTIONS(5154),
    [anon_sym_inline] = ACTIONS(5154),
    [anon_sym___inline] = ACTIONS(5154),
    [anon_sym___inline__] = ACTIONS(5154),
    [anon_sym___forceinline] = ACTIONS(5154),
    [anon_sym_thread_local] = ACTIONS(5154),
    [anon_sym___thread] = ACTIONS(5154),
    [anon_sym_const] = ACTIONS(5154),
    [anon_sym_constexpr] = ACTIONS(5154),
    [anon_sym_volatile] = ACTIONS(5154),
    [anon_sym_restrict] = ACTIONS(5154),
    [anon_sym___restrict__] = ACTIONS(5154),
    [anon_sym__Atomic] = ACTIONS(5154),
    [anon_sym__Noreturn] = ACTIONS(5154),
    [anon_sym_noreturn] = ACTIONS(5154),
    [anon_sym_mutable] = ACTIONS(5154),
    [anon_sym_constinit] = ACTIONS(5154),
    [anon_sym_consteval] = ACTIONS(5154),
    [anon_sym_alignas] = ACTIONS(5154),
    [anon_sym__Alignas] = ACTIONS(5154),
    [sym_primitive_type] = ACTIONS(5154),
    [anon_sym_enum] = ACTIONS(5154),
    [anon_sym_class] = ACTIONS(5154),
    [anon_sym_struct] = ACTIONS(5154),
    [anon_sym_union] = ACTIONS(5154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5154),
    [anon_sym_decltype] = ACTIONS(5154),
    [sym_virtual] = ACTIONS(5154),
    [anon_sym_explicit] = ACTIONS(5154),
    [anon_sym_typename] = ACTIONS(5154),
    [anon_sym_template] = ACTIONS(5154),
    [anon_sym_operator] = ACTIONS(5154),
    [anon_sym_friend] = ACTIONS(5154),
    [anon_sym_public] = ACTIONS(5154),
    [anon_sym_private] = ACTIONS(5154),
    [anon_sym_protected] = ACTIONS(5154),
    [anon_sym_using] = ACTIONS(5154),
    [anon_sym_static_assert] = ACTIONS(5154),
  },
  [2127] = {
    [sym_string_literal] = STATE(1834),
    [sym_raw_string_literal] = STATE(1834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3770),
    [anon_sym_COMMA] = ACTIONS(3770),
    [anon_sym_LPAREN2] = ACTIONS(3770),
    [anon_sym_DASH] = ACTIONS(3778),
    [anon_sym_PLUS] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3778),
    [anon_sym_SLASH] = ACTIONS(3778),
    [anon_sym_PERCENT] = ACTIONS(3778),
    [anon_sym_PIPE_PIPE] = ACTIONS(3770),
    [anon_sym_AMP_AMP] = ACTIONS(3770),
    [anon_sym_PIPE] = ACTIONS(3778),
    [anon_sym_CARET] = ACTIONS(3778),
    [anon_sym_AMP] = ACTIONS(3778),
    [anon_sym_EQ_EQ] = ACTIONS(3770),
    [anon_sym_BANG_EQ] = ACTIONS(3770),
    [anon_sym_GT] = ACTIONS(3778),
    [anon_sym_GT_EQ] = ACTIONS(3770),
    [anon_sym_LT_EQ] = ACTIONS(3778),
    [anon_sym_LT] = ACTIONS(3778),
    [anon_sym_LT_LT] = ACTIONS(3778),
    [anon_sym_GT_GT] = ACTIONS(3778),
    [anon_sym_SEMI] = ACTIONS(3770),
    [anon_sym___attribute__] = ACTIONS(3778),
    [anon_sym_LBRACK] = ACTIONS(3770),
    [anon_sym_EQ] = ACTIONS(3778),
    [anon_sym_QMARK] = ACTIONS(3770),
    [anon_sym_STAR_EQ] = ACTIONS(3770),
    [anon_sym_SLASH_EQ] = ACTIONS(3770),
    [anon_sym_PERCENT_EQ] = ACTIONS(3770),
    [anon_sym_PLUS_EQ] = ACTIONS(3770),
    [anon_sym_DASH_EQ] = ACTIONS(3770),
    [anon_sym_LT_LT_EQ] = ACTIONS(3770),
    [anon_sym_GT_GT_EQ] = ACTIONS(3770),
    [anon_sym_AMP_EQ] = ACTIONS(3770),
    [anon_sym_CARET_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_EQ] = ACTIONS(3770),
    [anon_sym_and_eq] = ACTIONS(3778),
    [anon_sym_or_eq] = ACTIONS(3778),
    [anon_sym_xor_eq] = ACTIONS(3778),
    [anon_sym_LT_EQ_GT] = ACTIONS(3770),
    [anon_sym_or] = ACTIONS(3778),
    [anon_sym_and] = ACTIONS(3778),
    [anon_sym_bitor] = ACTIONS(3778),
    [anon_sym_xor] = ACTIONS(3778),
    [anon_sym_bitand] = ACTIONS(3778),
    [anon_sym_not_eq] = ACTIONS(3778),
    [anon_sym_DASH_DASH] = ACTIONS(3770),
    [anon_sym_PLUS_PLUS] = ACTIONS(3770),
    [anon_sym_DOT] = ACTIONS(3778),
    [anon_sym_DOT_STAR] = ACTIONS(3770),
    [anon_sym_DASH_GT] = ACTIONS(3770),
    [anon_sym_L_DQUOTE] = ACTIONS(5267),
    [anon_sym_u_DQUOTE] = ACTIONS(5267),
    [anon_sym_U_DQUOTE] = ACTIONS(5267),
    [anon_sym_u8_DQUOTE] = ACTIONS(5267),
    [anon_sym_DQUOTE] = ACTIONS(5267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5269),
    [anon_sym_LR_DQUOTE] = ACTIONS(5269),
    [anon_sym_uR_DQUOTE] = ACTIONS(5269),
    [anon_sym_UR_DQUOTE] = ACTIONS(5269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5269),
    [sym_literal_suffix] = ACTIONS(4951),
  },
  [2128] = {
    [sym_identifier] = ACTIONS(2616),
    [aux_sym_preproc_def_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token1] = ACTIONS(2616),
    [aux_sym_preproc_if_token2] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2616),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2616),
    [sym_preproc_directive] = ACTIONS(2616),
    [anon_sym_LPAREN2] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2616),
    [anon_sym_typedef] = ACTIONS(2616),
    [anon_sym_extern] = ACTIONS(2616),
    [anon_sym___attribute__] = ACTIONS(2616),
    [anon_sym_COLON_COLON] = ACTIONS(2618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2618),
    [anon_sym___declspec] = ACTIONS(2616),
    [anon_sym___based] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2616),
    [anon_sym_unsigned] = ACTIONS(2616),
    [anon_sym_long] = ACTIONS(2616),
    [anon_sym_short] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2616),
    [anon_sym_register] = ACTIONS(2616),
    [anon_sym_inline] = ACTIONS(2616),
    [anon_sym___inline] = ACTIONS(2616),
    [anon_sym___inline__] = ACTIONS(2616),
    [anon_sym___forceinline] = ACTIONS(2616),
    [anon_sym_thread_local] = ACTIONS(2616),
    [anon_sym___thread] = ACTIONS(2616),
    [anon_sym_const] = ACTIONS(2616),
    [anon_sym_constexpr] = ACTIONS(2616),
    [anon_sym_volatile] = ACTIONS(2616),
    [anon_sym_restrict] = ACTIONS(2616),
    [anon_sym___restrict__] = ACTIONS(2616),
    [anon_sym__Atomic] = ACTIONS(2616),
    [anon_sym__Noreturn] = ACTIONS(2616),
    [anon_sym_noreturn] = ACTIONS(2616),
    [anon_sym_mutable] = ACTIONS(2616),
    [anon_sym_constinit] = ACTIONS(2616),
    [anon_sym_consteval] = ACTIONS(2616),
    [anon_sym_alignas] = ACTIONS(2616),
    [anon_sym__Alignas] = ACTIONS(2616),
    [sym_primitive_type] = ACTIONS(2616),
    [anon_sym_enum] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2616),
    [anon_sym_struct] = ACTIONS(2616),
    [anon_sym_union] = ACTIONS(2616),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2616),
    [anon_sym_decltype] = ACTIONS(2616),
    [sym_virtual] = ACTIONS(2616),
    [anon_sym_explicit] = ACTIONS(2616),
    [anon_sym_typename] = ACTIONS(2616),
    [anon_sym_template] = ACTIONS(2616),
    [anon_sym_operator] = ACTIONS(2616),
    [anon_sym_friend] = ACTIONS(2616),
    [anon_sym_public] = ACTIONS(2616),
    [anon_sym_private] = ACTIONS(2616),
    [anon_sym_protected] = ACTIONS(2616),
    [anon_sym_using] = ACTIONS(2616),
    [anon_sym_static_assert] = ACTIONS(2616),
  },
  [2129] = {
    [sym_identifier] = ACTIONS(4953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4955),
    [anon_sym_COMMA] = ACTIONS(4955),
    [anon_sym_RPAREN] = ACTIONS(4955),
    [aux_sym_preproc_if_token2] = ACTIONS(4955),
    [aux_sym_preproc_else_token1] = ACTIONS(4955),
    [aux_sym_preproc_elif_token1] = ACTIONS(4953),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4955),
    [anon_sym_LPAREN2] = ACTIONS(4955),
    [anon_sym_DASH] = ACTIONS(4953),
    [anon_sym_PLUS] = ACTIONS(4953),
    [anon_sym_STAR] = ACTIONS(4953),
    [anon_sym_SLASH] = ACTIONS(4953),
    [anon_sym_PERCENT] = ACTIONS(4953),
    [anon_sym_PIPE_PIPE] = ACTIONS(4955),
    [anon_sym_AMP_AMP] = ACTIONS(4955),
    [anon_sym_PIPE] = ACTIONS(4953),
    [anon_sym_CARET] = ACTIONS(4953),
    [anon_sym_AMP] = ACTIONS(4953),
    [anon_sym_EQ_EQ] = ACTIONS(4955),
    [anon_sym_BANG_EQ] = ACTIONS(4955),
    [anon_sym_GT] = ACTIONS(4953),
    [anon_sym_GT_EQ] = ACTIONS(4955),
    [anon_sym_LT_EQ] = ACTIONS(4953),
    [anon_sym_LT] = ACTIONS(4953),
    [anon_sym_LT_LT] = ACTIONS(4953),
    [anon_sym_GT_GT] = ACTIONS(4953),
    [anon_sym_SEMI] = ACTIONS(4955),
    [anon_sym___attribute__] = ACTIONS(4953),
    [anon_sym_LBRACE] = ACTIONS(4955),
    [anon_sym_RBRACE] = ACTIONS(4955),
    [anon_sym_LBRACK] = ACTIONS(4955),
    [anon_sym_RBRACK] = ACTIONS(4955),
    [anon_sym_EQ] = ACTIONS(4953),
    [anon_sym_COLON] = ACTIONS(4955),
    [anon_sym_QMARK] = ACTIONS(4955),
    [anon_sym_STAR_EQ] = ACTIONS(4955),
    [anon_sym_SLASH_EQ] = ACTIONS(4955),
    [anon_sym_PERCENT_EQ] = ACTIONS(4955),
    [anon_sym_PLUS_EQ] = ACTIONS(4955),
    [anon_sym_DASH_EQ] = ACTIONS(4955),
    [anon_sym_LT_LT_EQ] = ACTIONS(4955),
    [anon_sym_GT_GT_EQ] = ACTIONS(4955),
    [anon_sym_AMP_EQ] = ACTIONS(4955),
    [anon_sym_CARET_EQ] = ACTIONS(4955),
    [anon_sym_PIPE_EQ] = ACTIONS(4955),
    [anon_sym_and_eq] = ACTIONS(4953),
    [anon_sym_or_eq] = ACTIONS(4953),
    [anon_sym_xor_eq] = ACTIONS(4953),
    [anon_sym_LT_EQ_GT] = ACTIONS(4955),
    [anon_sym_or] = ACTIONS(4953),
    [anon_sym_and] = ACTIONS(4953),
    [anon_sym_bitor] = ACTIONS(4953),
    [anon_sym_xor] = ACTIONS(4953),
    [anon_sym_bitand] = ACTIONS(4953),
    [anon_sym_not_eq] = ACTIONS(4953),
    [anon_sym_DASH_DASH] = ACTIONS(4955),
    [anon_sym_PLUS_PLUS] = ACTIONS(4955),
    [anon_sym_DOT] = ACTIONS(4953),
    [anon_sym_DOT_STAR] = ACTIONS(4955),
    [anon_sym_DASH_GT] = ACTIONS(4955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4953),
    [anon_sym_decltype] = ACTIONS(4953),
  },
  [2130] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_friend] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_protected] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
  },
  [2131] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_friend] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
  },
  [2132] = {
    [sym_identifier] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_AMP_AMP] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(5108),
    [anon_sym_typedef] = ACTIONS(5108),
    [anon_sym_extern] = ACTIONS(5108),
    [anon_sym___attribute__] = ACTIONS(5108),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5108),
    [anon_sym___based] = ACTIONS(5108),
    [anon_sym_signed] = ACTIONS(5108),
    [anon_sym_unsigned] = ACTIONS(5108),
    [anon_sym_long] = ACTIONS(5108),
    [anon_sym_short] = ACTIONS(5108),
    [anon_sym_LBRACK] = ACTIONS(5108),
    [anon_sym_static] = ACTIONS(5108),
    [anon_sym_register] = ACTIONS(5108),
    [anon_sym_inline] = ACTIONS(5108),
    [anon_sym___inline] = ACTIONS(5108),
    [anon_sym___inline__] = ACTIONS(5108),
    [anon_sym___forceinline] = ACTIONS(5108),
    [anon_sym_thread_local] = ACTIONS(5108),
    [anon_sym___thread] = ACTIONS(5108),
    [anon_sym_const] = ACTIONS(5108),
    [anon_sym_constexpr] = ACTIONS(5108),
    [anon_sym_volatile] = ACTIONS(5108),
    [anon_sym_restrict] = ACTIONS(5108),
    [anon_sym___restrict__] = ACTIONS(5108),
    [anon_sym__Atomic] = ACTIONS(5108),
    [anon_sym__Noreturn] = ACTIONS(5108),
    [anon_sym_noreturn] = ACTIONS(5108),
    [anon_sym_mutable] = ACTIONS(5108),
    [anon_sym_constinit] = ACTIONS(5108),
    [anon_sym_consteval] = ACTIONS(5108),
    [anon_sym_alignas] = ACTIONS(5108),
    [anon_sym__Alignas] = ACTIONS(5108),
    [sym_primitive_type] = ACTIONS(5108),
    [anon_sym_enum] = ACTIONS(5108),
    [anon_sym_class] = ACTIONS(5108),
    [anon_sym_struct] = ACTIONS(5108),
    [anon_sym_union] = ACTIONS(5108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5108),
    [anon_sym_decltype] = ACTIONS(5108),
    [sym_virtual] = ACTIONS(5108),
    [anon_sym_explicit] = ACTIONS(5108),
    [anon_sym_typename] = ACTIONS(5108),
    [anon_sym_template] = ACTIONS(5108),
    [anon_sym_operator] = ACTIONS(5108),
    [anon_sym_friend] = ACTIONS(5108),
    [anon_sym_public] = ACTIONS(5108),
    [anon_sym_private] = ACTIONS(5108),
    [anon_sym_protected] = ACTIONS(5108),
    [anon_sym_using] = ACTIONS(5108),
    [anon_sym_static_assert] = ACTIONS(5108),
  },
  [2133] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_friend] = ACTIONS(3005),
    [anon_sym_public] = ACTIONS(3005),
    [anon_sym_private] = ACTIONS(3005),
    [anon_sym_protected] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym__Alignas] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [sym_virtual] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_friend] = ACTIONS(3005),
    [anon_sym_public] = ACTIONS(3005),
    [anon_sym_private] = ACTIONS(3005),
    [anon_sym_protected] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
  },
  [2135] = {
    [sym_identifier] = ACTIONS(5009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5011),
    [anon_sym_COMMA] = ACTIONS(5011),
    [anon_sym_RPAREN] = ACTIONS(5011),
    [aux_sym_preproc_if_token2] = ACTIONS(5011),
    [aux_sym_preproc_else_token1] = ACTIONS(5011),
    [aux_sym_preproc_elif_token1] = ACTIONS(5009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5011),
    [anon_sym_LPAREN2] = ACTIONS(5011),
    [anon_sym_DASH] = ACTIONS(5009),
    [anon_sym_PLUS] = ACTIONS(5009),
    [anon_sym_STAR] = ACTIONS(5009),
    [anon_sym_SLASH] = ACTIONS(5009),
    [anon_sym_PERCENT] = ACTIONS(5009),
    [anon_sym_PIPE_PIPE] = ACTIONS(5011),
    [anon_sym_AMP_AMP] = ACTIONS(5011),
    [anon_sym_PIPE] = ACTIONS(5009),
    [anon_sym_CARET] = ACTIONS(5009),
    [anon_sym_AMP] = ACTIONS(5009),
    [anon_sym_EQ_EQ] = ACTIONS(5011),
    [anon_sym_BANG_EQ] = ACTIONS(5011),
    [anon_sym_GT] = ACTIONS(5009),
    [anon_sym_GT_EQ] = ACTIONS(5011),
    [anon_sym_LT_EQ] = ACTIONS(5009),
    [anon_sym_LT] = ACTIONS(5009),
    [anon_sym_LT_LT] = ACTIONS(5009),
    [anon_sym_GT_GT] = ACTIONS(5009),
    [anon_sym_SEMI] = ACTIONS(5011),
    [anon_sym___attribute__] = ACTIONS(5009),
    [anon_sym_LBRACE] = ACTIONS(5011),
    [anon_sym_RBRACE] = ACTIONS(5011),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_RBRACK] = ACTIONS(5011),
    [anon_sym_EQ] = ACTIONS(5009),
    [anon_sym_COLON] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5011),
    [anon_sym_STAR_EQ] = ACTIONS(5011),
    [anon_sym_SLASH_EQ] = ACTIONS(5011),
    [anon_sym_PERCENT_EQ] = ACTIONS(5011),
    [anon_sym_PLUS_EQ] = ACTIONS(5011),
    [anon_sym_DASH_EQ] = ACTIONS(5011),
    [anon_sym_LT_LT_EQ] = ACTIONS(5011),
    [anon_sym_GT_GT_EQ] = ACTIONS(5011),
    [anon_sym_AMP_EQ] = ACTIONS(5011),
    [anon_sym_CARET_EQ] = ACTIONS(5011),
    [anon_sym_PIPE_EQ] = ACTIONS(5011),
    [anon_sym_and_eq] = ACTIONS(5009),
    [anon_sym_or_eq] = ACTIONS(5009),
    [anon_sym_xor_eq] = ACTIONS(5009),
    [anon_sym_LT_EQ_GT] = ACTIONS(5011),
    [anon_sym_or] = ACTIONS(5009),
    [anon_sym_and] = ACTIONS(5009),
    [anon_sym_bitor] = ACTIONS(5009),
    [anon_sym_xor] = ACTIONS(5009),
    [anon_sym_bitand] = ACTIONS(5009),
    [anon_sym_not_eq] = ACTIONS(5009),
    [anon_sym_DASH_DASH] = ACTIONS(5011),
    [anon_sym_PLUS_PLUS] = ACTIONS(5011),
    [anon_sym_DOT] = ACTIONS(5009),
    [anon_sym_DOT_STAR] = ACTIONS(5011),
    [anon_sym_DASH_GT] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5009),
    [anon_sym_decltype] = ACTIONS(5009),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(2620),
    [aux_sym_preproc_def_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token1] = ACTIONS(2620),
    [aux_sym_preproc_if_token2] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2620),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2620),
    [sym_preproc_directive] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2620),
    [anon_sym_typedef] = ACTIONS(2620),
    [anon_sym_extern] = ACTIONS(2620),
    [anon_sym___attribute__] = ACTIONS(2620),
    [anon_sym_COLON_COLON] = ACTIONS(2622),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2622),
    [anon_sym___declspec] = ACTIONS(2620),
    [anon_sym___based] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2620),
    [anon_sym_unsigned] = ACTIONS(2620),
    [anon_sym_long] = ACTIONS(2620),
    [anon_sym_short] = ACTIONS(2620),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2620),
    [anon_sym_register] = ACTIONS(2620),
    [anon_sym_inline] = ACTIONS(2620),
    [anon_sym___inline] = ACTIONS(2620),
    [anon_sym___inline__] = ACTIONS(2620),
    [anon_sym___forceinline] = ACTIONS(2620),
    [anon_sym_thread_local] = ACTIONS(2620),
    [anon_sym___thread] = ACTIONS(2620),
    [anon_sym_const] = ACTIONS(2620),
    [anon_sym_constexpr] = ACTIONS(2620),
    [anon_sym_volatile] = ACTIONS(2620),
    [anon_sym_restrict] = ACTIONS(2620),
    [anon_sym___restrict__] = ACTIONS(2620),
    [anon_sym__Atomic] = ACTIONS(2620),
    [anon_sym__Noreturn] = ACTIONS(2620),
    [anon_sym_noreturn] = ACTIONS(2620),
    [anon_sym_mutable] = ACTIONS(2620),
    [anon_sym_constinit] = ACTIONS(2620),
    [anon_sym_consteval] = ACTIONS(2620),
    [anon_sym_alignas] = ACTIONS(2620),
    [anon_sym__Alignas] = ACTIONS(2620),
    [sym_primitive_type] = ACTIONS(2620),
    [anon_sym_enum] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2620),
    [anon_sym_struct] = ACTIONS(2620),
    [anon_sym_union] = ACTIONS(2620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2620),
    [anon_sym_decltype] = ACTIONS(2620),
    [sym_virtual] = ACTIONS(2620),
    [anon_sym_explicit] = ACTIONS(2620),
    [anon_sym_typename] = ACTIONS(2620),
    [anon_sym_template] = ACTIONS(2620),
    [anon_sym_operator] = ACTIONS(2620),
    [anon_sym_friend] = ACTIONS(2620),
    [anon_sym_public] = ACTIONS(2620),
    [anon_sym_private] = ACTIONS(2620),
    [anon_sym_protected] = ACTIONS(2620),
    [anon_sym_using] = ACTIONS(2620),
    [anon_sym_static_assert] = ACTIONS(2620),
  },
  [2137] = {
    [sym_identifier] = ACTIONS(4957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4959),
    [anon_sym_COMMA] = ACTIONS(4959),
    [anon_sym_RPAREN] = ACTIONS(4959),
    [aux_sym_preproc_if_token2] = ACTIONS(4959),
    [aux_sym_preproc_else_token1] = ACTIONS(4959),
    [aux_sym_preproc_elif_token1] = ACTIONS(4957),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4959),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4959),
    [anon_sym_LPAREN2] = ACTIONS(4959),
    [anon_sym_DASH] = ACTIONS(4957),
    [anon_sym_PLUS] = ACTIONS(4957),
    [anon_sym_STAR] = ACTIONS(4957),
    [anon_sym_SLASH] = ACTIONS(4957),
    [anon_sym_PERCENT] = ACTIONS(4957),
    [anon_sym_PIPE_PIPE] = ACTIONS(4959),
    [anon_sym_AMP_AMP] = ACTIONS(4959),
    [anon_sym_PIPE] = ACTIONS(4957),
    [anon_sym_CARET] = ACTIONS(4957),
    [anon_sym_AMP] = ACTIONS(4957),
    [anon_sym_EQ_EQ] = ACTIONS(4959),
    [anon_sym_BANG_EQ] = ACTIONS(4959),
    [anon_sym_GT] = ACTIONS(4957),
    [anon_sym_GT_EQ] = ACTIONS(4959),
    [anon_sym_LT_EQ] = ACTIONS(4957),
    [anon_sym_LT] = ACTIONS(4957),
    [anon_sym_LT_LT] = ACTIONS(4957),
    [anon_sym_GT_GT] = ACTIONS(4957),
    [anon_sym_SEMI] = ACTIONS(4959),
    [anon_sym___attribute__] = ACTIONS(4957),
    [anon_sym_LBRACE] = ACTIONS(4959),
    [anon_sym_RBRACE] = ACTIONS(4959),
    [anon_sym_LBRACK] = ACTIONS(4959),
    [anon_sym_RBRACK] = ACTIONS(4959),
    [anon_sym_EQ] = ACTIONS(4957),
    [anon_sym_COLON] = ACTIONS(4959),
    [anon_sym_QMARK] = ACTIONS(4959),
    [anon_sym_STAR_EQ] = ACTIONS(4959),
    [anon_sym_SLASH_EQ] = ACTIONS(4959),
    [anon_sym_PERCENT_EQ] = ACTIONS(4959),
    [anon_sym_PLUS_EQ] = ACTIONS(4959),
    [anon_sym_DASH_EQ] = ACTIONS(4959),
    [anon_sym_LT_LT_EQ] = ACTIONS(4959),
    [anon_sym_GT_GT_EQ] = ACTIONS(4959),
    [anon_sym_AMP_EQ] = ACTIONS(4959),
    [anon_sym_CARET_EQ] = ACTIONS(4959),
    [anon_sym_PIPE_EQ] = ACTIONS(4959),
    [anon_sym_and_eq] = ACTIONS(4957),
    [anon_sym_or_eq] = ACTIONS(4957),
    [anon_sym_xor_eq] = ACTIONS(4957),
    [anon_sym_LT_EQ_GT] = ACTIONS(4959),
    [anon_sym_or] = ACTIONS(4957),
    [anon_sym_and] = ACTIONS(4957),
    [anon_sym_bitor] = ACTIONS(4957),
    [anon_sym_xor] = ACTIONS(4957),
    [anon_sym_bitand] = ACTIONS(4957),
    [anon_sym_not_eq] = ACTIONS(4957),
    [anon_sym_DASH_DASH] = ACTIONS(4959),
    [anon_sym_PLUS_PLUS] = ACTIONS(4959),
    [anon_sym_DOT] = ACTIONS(4957),
    [anon_sym_DOT_STAR] = ACTIONS(4959),
    [anon_sym_DASH_GT] = ACTIONS(4959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4957),
    [anon_sym_decltype] = ACTIONS(4957),
  },
  [2138] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_friend] = ACTIONS(2824),
    [anon_sym_public] = ACTIONS(2824),
    [anon_sym_private] = ACTIONS(2824),
    [anon_sym_protected] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
  },
  [2139] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_AMP_AMP] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2824),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym_COLON_COLON] = ACTIONS(2826),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___based] = ACTIONS(2824),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_mutable] = ACTIONS(2824),
    [anon_sym_constinit] = ACTIONS(2824),
    [anon_sym_consteval] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2824),
    [anon_sym_decltype] = ACTIONS(2824),
    [sym_virtual] = ACTIONS(2824),
    [anon_sym_explicit] = ACTIONS(2824),
    [anon_sym_typename] = ACTIONS(2824),
    [anon_sym_template] = ACTIONS(2824),
    [anon_sym_operator] = ACTIONS(2824),
    [anon_sym_friend] = ACTIONS(2824),
    [anon_sym_public] = ACTIONS(2824),
    [anon_sym_private] = ACTIONS(2824),
    [anon_sym_protected] = ACTIONS(2824),
    [anon_sym_using] = ACTIONS(2824),
    [anon_sym_static_assert] = ACTIONS(2824),
  },
  [2140] = {
    [sym_identifier] = ACTIONS(2648),
    [aux_sym_preproc_def_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token1] = ACTIONS(2648),
    [aux_sym_preproc_if_token2] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2648),
    [sym_preproc_directive] = ACTIONS(2648),
    [anon_sym_LPAREN2] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2648),
    [anon_sym_typedef] = ACTIONS(2648),
    [anon_sym_extern] = ACTIONS(2648),
    [anon_sym___attribute__] = ACTIONS(2648),
    [anon_sym_COLON_COLON] = ACTIONS(2650),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2650),
    [anon_sym___declspec] = ACTIONS(2648),
    [anon_sym___based] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2648),
    [anon_sym_unsigned] = ACTIONS(2648),
    [anon_sym_long] = ACTIONS(2648),
    [anon_sym_short] = ACTIONS(2648),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2648),
    [anon_sym_register] = ACTIONS(2648),
    [anon_sym_inline] = ACTIONS(2648),
    [anon_sym___inline] = ACTIONS(2648),
    [anon_sym___inline__] = ACTIONS(2648),
    [anon_sym___forceinline] = ACTIONS(2648),
    [anon_sym_thread_local] = ACTIONS(2648),
    [anon_sym___thread] = ACTIONS(2648),
    [anon_sym_const] = ACTIONS(2648),
    [anon_sym_constexpr] = ACTIONS(2648),
    [anon_sym_volatile] = ACTIONS(2648),
    [anon_sym_restrict] = ACTIONS(2648),
    [anon_sym___restrict__] = ACTIONS(2648),
    [anon_sym__Atomic] = ACTIONS(2648),
    [anon_sym__Noreturn] = ACTIONS(2648),
    [anon_sym_noreturn] = ACTIONS(2648),
    [anon_sym_mutable] = ACTIONS(2648),
    [anon_sym_constinit] = ACTIONS(2648),
    [anon_sym_consteval] = ACTIONS(2648),
    [anon_sym_alignas] = ACTIONS(2648),
    [anon_sym__Alignas] = ACTIONS(2648),
    [sym_primitive_type] = ACTIONS(2648),
    [anon_sym_enum] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2648),
    [anon_sym_struct] = ACTIONS(2648),
    [anon_sym_union] = ACTIONS(2648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2648),
    [anon_sym_decltype] = ACTIONS(2648),
    [sym_virtual] = ACTIONS(2648),
    [anon_sym_explicit] = ACTIONS(2648),
    [anon_sym_typename] = ACTIONS(2648),
    [anon_sym_template] = ACTIONS(2648),
    [anon_sym_operator] = ACTIONS(2648),
    [anon_sym_friend] = ACTIONS(2648),
    [anon_sym_public] = ACTIONS(2648),
    [anon_sym_private] = ACTIONS(2648),
    [anon_sym_protected] = ACTIONS(2648),
    [anon_sym_using] = ACTIONS(2648),
    [anon_sym_static_assert] = ACTIONS(2648),
  },
  [2141] = {
    [sym_identifier] = ACTIONS(2652),
    [aux_sym_preproc_def_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token1] = ACTIONS(2652),
    [aux_sym_preproc_if_token2] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2652),
    [sym_preproc_directive] = ACTIONS(2652),
    [anon_sym_LPAREN2] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2652),
    [anon_sym_typedef] = ACTIONS(2652),
    [anon_sym_extern] = ACTIONS(2652),
    [anon_sym___attribute__] = ACTIONS(2652),
    [anon_sym_COLON_COLON] = ACTIONS(2654),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2654),
    [anon_sym___declspec] = ACTIONS(2652),
    [anon_sym___based] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2652),
    [anon_sym_unsigned] = ACTIONS(2652),
    [anon_sym_long] = ACTIONS(2652),
    [anon_sym_short] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_static] = ACTIONS(2652),
    [anon_sym_register] = ACTIONS(2652),
    [anon_sym_inline] = ACTIONS(2652),
    [anon_sym___inline] = ACTIONS(2652),
    [anon_sym___inline__] = ACTIONS(2652),
    [anon_sym___forceinline] = ACTIONS(2652),
    [anon_sym_thread_local] = ACTIONS(2652),
    [anon_sym___thread] = ACTIONS(2652),
    [anon_sym_const] = ACTIONS(2652),
    [anon_sym_constexpr] = ACTIONS(2652),
    [anon_sym_volatile] = ACTIONS(2652),
    [anon_sym_restrict] = ACTIONS(2652),
    [anon_sym___restrict__] = ACTIONS(2652),
    [anon_sym__Atomic] = ACTIONS(2652),
    [anon_sym__Noreturn] = ACTIONS(2652),
    [anon_sym_noreturn] = ACTIONS(2652),
    [anon_sym_mutable] = ACTIONS(2652),
    [anon_sym_constinit] = ACTIONS(2652),
    [anon_sym_consteval] = ACTIONS(2652),
    [anon_sym_alignas] = ACTIONS(2652),
    [anon_sym__Alignas] = ACTIONS(2652),
    [sym_primitive_type] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2652),
    [anon_sym_struct] = ACTIONS(2652),
    [anon_sym_union] = ACTIONS(2652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2652),
    [anon_sym_decltype] = ACTIONS(2652),
    [sym_virtual] = ACTIONS(2652),
    [anon_sym_explicit] = ACTIONS(2652),
    [anon_sym_typename] = ACTIONS(2652),
    [anon_sym_template] = ACTIONS(2652),
    [anon_sym_operator] = ACTIONS(2652),
    [anon_sym_friend] = ACTIONS(2652),
    [anon_sym_public] = ACTIONS(2652),
    [anon_sym_private] = ACTIONS(2652),
    [anon_sym_protected] = ACTIONS(2652),
    [anon_sym_using] = ACTIONS(2652),
    [anon_sym_static_assert] = ACTIONS(2652),
  },
  [2142] = {
    [sym_identifier] = ACTIONS(2656),
    [aux_sym_preproc_def_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token1] = ACTIONS(2656),
    [aux_sym_preproc_if_token2] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2656),
    [sym_preproc_directive] = ACTIONS(2656),
    [anon_sym_LPAREN2] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_AMP_AMP] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2656),
    [anon_sym_typedef] = ACTIONS(2656),
    [anon_sym_extern] = ACTIONS(2656),
    [anon_sym___attribute__] = ACTIONS(2656),
    [anon_sym_COLON_COLON] = ACTIONS(2658),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2658),
    [anon_sym___declspec] = ACTIONS(2656),
    [anon_sym___based] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2656),
    [anon_sym_unsigned] = ACTIONS(2656),
    [anon_sym_long] = ACTIONS(2656),
    [anon_sym_short] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2656),
    [anon_sym_register] = ACTIONS(2656),
    [anon_sym_inline] = ACTIONS(2656),
    [anon_sym___inline] = ACTIONS(2656),
    [anon_sym___inline__] = ACTIONS(2656),
    [anon_sym___forceinline] = ACTIONS(2656),
    [anon_sym_thread_local] = ACTIONS(2656),
    [anon_sym___thread] = ACTIONS(2656),
    [anon_sym_const] = ACTIONS(2656),
    [anon_sym_constexpr] = ACTIONS(2656),
    [anon_sym_volatile] = ACTIONS(2656),
    [anon_sym_restrict] = ACTIONS(2656),
    [anon_sym___restrict__] = ACTIONS(2656),
    [anon_sym__Atomic] = ACTIONS(2656),
    [anon_sym__Noreturn] = ACTIONS(2656),
    [anon_sym_noreturn] = ACTIONS(2656),
    [anon_sym_mutable] = ACTIONS(2656),
    [anon_sym_constinit] = ACTIONS(2656),
    [anon_sym_consteval] = ACTIONS(2656),
    [anon_sym_alignas] = ACTIONS(2656),
    [anon_sym__Alignas] = ACTIONS(2656),
    [sym_primitive_type] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2656),
    [anon_sym_struct] = ACTIONS(2656),
    [anon_sym_union] = ACTIONS(2656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2656),
    [anon_sym_decltype] = ACTIONS(2656),
    [sym_virtual] = ACTIONS(2656),
    [anon_sym_explicit] = ACTIONS(2656),
    [anon_sym_typename] = ACTIONS(2656),
    [anon_sym_template] = ACTIONS(2656),
    [anon_sym_operator] = ACTIONS(2656),
    [anon_sym_friend] = ACTIONS(2656),
    [anon_sym_public] = ACTIONS(2656),
    [anon_sym_private] = ACTIONS(2656),
    [anon_sym_protected] = ACTIONS(2656),
    [anon_sym_using] = ACTIONS(2656),
    [anon_sym_static_assert] = ACTIONS(2656),
  },
  [2143] = {
    [sym_identifier] = ACTIONS(5186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5188),
    [anon_sym_COMMA] = ACTIONS(5188),
    [anon_sym_RPAREN] = ACTIONS(5188),
    [aux_sym_preproc_if_token2] = ACTIONS(5188),
    [aux_sym_preproc_else_token1] = ACTIONS(5188),
    [aux_sym_preproc_elif_token1] = ACTIONS(5186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5188),
    [anon_sym_DASH] = ACTIONS(5186),
    [anon_sym_PLUS] = ACTIONS(5186),
    [anon_sym_STAR] = ACTIONS(5186),
    [anon_sym_SLASH] = ACTIONS(5186),
    [anon_sym_PERCENT] = ACTIONS(5186),
    [anon_sym_PIPE_PIPE] = ACTIONS(5188),
    [anon_sym_AMP_AMP] = ACTIONS(5188),
    [anon_sym_PIPE] = ACTIONS(5186),
    [anon_sym_CARET] = ACTIONS(5186),
    [anon_sym_AMP] = ACTIONS(5186),
    [anon_sym_EQ_EQ] = ACTIONS(5188),
    [anon_sym_BANG_EQ] = ACTIONS(5188),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_GT_EQ] = ACTIONS(5188),
    [anon_sym_LT_EQ] = ACTIONS(5186),
    [anon_sym_LT] = ACTIONS(5186),
    [anon_sym_LT_LT] = ACTIONS(5186),
    [anon_sym_GT_GT] = ACTIONS(5186),
    [anon_sym_SEMI] = ACTIONS(5188),
    [anon_sym___attribute__] = ACTIONS(5186),
    [anon_sym_LBRACE] = ACTIONS(5188),
    [anon_sym_RBRACE] = ACTIONS(5188),
    [anon_sym_LBRACK] = ACTIONS(5188),
    [anon_sym_RBRACK] = ACTIONS(5188),
    [anon_sym_EQ] = ACTIONS(5186),
    [anon_sym_COLON] = ACTIONS(5188),
    [anon_sym_QMARK] = ACTIONS(5188),
    [anon_sym_STAR_EQ] = ACTIONS(5188),
    [anon_sym_SLASH_EQ] = ACTIONS(5188),
    [anon_sym_PERCENT_EQ] = ACTIONS(5188),
    [anon_sym_PLUS_EQ] = ACTIONS(5188),
    [anon_sym_DASH_EQ] = ACTIONS(5188),
    [anon_sym_LT_LT_EQ] = ACTIONS(5188),
    [anon_sym_GT_GT_EQ] = ACTIONS(5188),
    [anon_sym_AMP_EQ] = ACTIONS(5188),
    [anon_sym_CARET_EQ] = ACTIONS(5188),
    [anon_sym_PIPE_EQ] = ACTIONS(5188),
    [anon_sym_and_eq] = ACTIONS(5186),
    [anon_sym_or_eq] = ACTIONS(5186),
    [anon_sym_xor_eq] = ACTIONS(5186),
    [anon_sym_LT_EQ_GT] = ACTIONS(5188),
    [anon_sym_or] = ACTIONS(5186),
    [anon_sym_and] = ACTIONS(5186),
    [anon_sym_bitor] = ACTIONS(5186),
    [anon_sym_xor] = ACTIONS(5186),
    [anon_sym_bitand] = ACTIONS(5186),
    [anon_sym_not_eq] = ACTIONS(5186),
    [anon_sym_DASH_DASH] = ACTIONS(5188),
    [anon_sym_PLUS_PLUS] = ACTIONS(5188),
    [anon_sym_DOT] = ACTIONS(5186),
    [anon_sym_DOT_STAR] = ACTIONS(5188),
    [anon_sym_DASH_GT] = ACTIONS(5188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5186),
    [anon_sym_decltype] = ACTIONS(5186),
  },
  [2144] = {
    [sym_identifier] = ACTIONS(2664),
    [aux_sym_preproc_def_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token1] = ACTIONS(2664),
    [aux_sym_preproc_if_token2] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2664),
    [sym_preproc_directive] = ACTIONS(2664),
    [anon_sym_LPAREN2] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2666),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_typedef] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym___based] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [anon_sym_mutable] = ACTIONS(2664),
    [anon_sym_constinit] = ACTIONS(2664),
    [anon_sym_consteval] = ACTIONS(2664),
    [anon_sym_alignas] = ACTIONS(2664),
    [anon_sym__Alignas] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2664),
    [anon_sym_decltype] = ACTIONS(2664),
    [sym_virtual] = ACTIONS(2664),
    [anon_sym_explicit] = ACTIONS(2664),
    [anon_sym_typename] = ACTIONS(2664),
    [anon_sym_template] = ACTIONS(2664),
    [anon_sym_operator] = ACTIONS(2664),
    [anon_sym_friend] = ACTIONS(2664),
    [anon_sym_public] = ACTIONS(2664),
    [anon_sym_private] = ACTIONS(2664),
    [anon_sym_protected] = ACTIONS(2664),
    [anon_sym_using] = ACTIONS(2664),
    [anon_sym_static_assert] = ACTIONS(2664),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3618),
    [anon_sym_COMMA] = ACTIONS(3618),
    [anon_sym_RPAREN] = ACTIONS(3618),
    [anon_sym_LPAREN2] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(3618),
    [anon_sym_AMP_AMP] = ACTIONS(3618),
    [anon_sym_AMP] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym___extension__] = ACTIONS(3616),
    [anon_sym_extern] = ACTIONS(3616),
    [anon_sym___attribute__] = ACTIONS(3616),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3618),
    [anon_sym___declspec] = ACTIONS(3616),
    [anon_sym___based] = ACTIONS(3616),
    [anon_sym___cdecl] = ACTIONS(3616),
    [anon_sym___clrcall] = ACTIONS(3616),
    [anon_sym___stdcall] = ACTIONS(3616),
    [anon_sym___fastcall] = ACTIONS(3616),
    [anon_sym___thiscall] = ACTIONS(3616),
    [anon_sym___vectorcall] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_EQ] = ACTIONS(3618),
    [anon_sym_register] = ACTIONS(3616),
    [anon_sym_inline] = ACTIONS(3616),
    [anon_sym___inline] = ACTIONS(3616),
    [anon_sym___inline__] = ACTIONS(3616),
    [anon_sym___forceinline] = ACTIONS(3616),
    [anon_sym_thread_local] = ACTIONS(3616),
    [anon_sym___thread] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_constexpr] = ACTIONS(3616),
    [anon_sym_volatile] = ACTIONS(3616),
    [anon_sym_restrict] = ACTIONS(3616),
    [anon_sym___restrict__] = ACTIONS(3616),
    [anon_sym__Atomic] = ACTIONS(3616),
    [anon_sym__Noreturn] = ACTIONS(3616),
    [anon_sym_noreturn] = ACTIONS(3616),
    [anon_sym_mutable] = ACTIONS(3616),
    [anon_sym_constinit] = ACTIONS(3616),
    [anon_sym_consteval] = ACTIONS(3616),
    [anon_sym_alignas] = ACTIONS(3616),
    [anon_sym__Alignas] = ACTIONS(3616),
    [anon_sym_COLON] = ACTIONS(3616),
    [anon_sym_asm] = ACTIONS(3616),
    [anon_sym___asm__] = ACTIONS(3616),
    [anon_sym_DASH_GT] = ACTIONS(3618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3616),
    [anon_sym_final] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [sym_virtual] = ACTIONS(3616),
    [anon_sym_explicit] = ACTIONS(3616),
    [anon_sym_template] = ACTIONS(3616),
    [anon_sym_GT2] = ACTIONS(3618),
    [anon_sym_operator] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_requires] = ACTIONS(3616),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token2] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [sym_virtual] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_friend] = ACTIONS(2668),
    [anon_sym_public] = ACTIONS(2668),
    [anon_sym_private] = ACTIONS(2668),
    [anon_sym_protected] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
  },
  [2147] = {
    [sym_identifier] = ACTIONS(5065),
    [aux_sym_preproc_def_token1] = ACTIONS(5065),
    [aux_sym_preproc_if_token1] = ACTIONS(5065),
    [aux_sym_preproc_if_token2] = ACTIONS(5065),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5065),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5065),
    [sym_preproc_directive] = ACTIONS(5065),
    [anon_sym_LPAREN2] = ACTIONS(5067),
    [anon_sym_TILDE] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5067),
    [anon_sym_AMP_AMP] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym___extension__] = ACTIONS(5065),
    [anon_sym_typedef] = ACTIONS(5065),
    [anon_sym_extern] = ACTIONS(5065),
    [anon_sym___attribute__] = ACTIONS(5065),
    [anon_sym_COLON_COLON] = ACTIONS(5067),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5067),
    [anon_sym___declspec] = ACTIONS(5065),
    [anon_sym___based] = ACTIONS(5065),
    [anon_sym_signed] = ACTIONS(5065),
    [anon_sym_unsigned] = ACTIONS(5065),
    [anon_sym_long] = ACTIONS(5065),
    [anon_sym_short] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [anon_sym_static] = ACTIONS(5065),
    [anon_sym_register] = ACTIONS(5065),
    [anon_sym_inline] = ACTIONS(5065),
    [anon_sym___inline] = ACTIONS(5065),
    [anon_sym___inline__] = ACTIONS(5065),
    [anon_sym___forceinline] = ACTIONS(5065),
    [anon_sym_thread_local] = ACTIONS(5065),
    [anon_sym___thread] = ACTIONS(5065),
    [anon_sym_const] = ACTIONS(5065),
    [anon_sym_constexpr] = ACTIONS(5065),
    [anon_sym_volatile] = ACTIONS(5065),
    [anon_sym_restrict] = ACTIONS(5065),
    [anon_sym___restrict__] = ACTIONS(5065),
    [anon_sym__Atomic] = ACTIONS(5065),
    [anon_sym__Noreturn] = ACTIONS(5065),
    [anon_sym_noreturn] = ACTIONS(5065),
    [anon_sym_mutable] = ACTIONS(5065),
    [anon_sym_constinit] = ACTIONS(5065),
    [anon_sym_consteval] = ACTIONS(5065),
    [anon_sym_alignas] = ACTIONS(5065),
    [anon_sym__Alignas] = ACTIONS(5065),
    [sym_primitive_type] = ACTIONS(5065),
    [anon_sym_enum] = ACTIONS(5065),
    [anon_sym_class] = ACTIONS(5065),
    [anon_sym_struct] = ACTIONS(5065),
    [anon_sym_union] = ACTIONS(5065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5065),
    [anon_sym_decltype] = ACTIONS(5065),
    [sym_virtual] = ACTIONS(5065),
    [anon_sym_explicit] = ACTIONS(5065),
    [anon_sym_typename] = ACTIONS(5065),
    [anon_sym_template] = ACTIONS(5065),
    [anon_sym_operator] = ACTIONS(5065),
    [anon_sym_friend] = ACTIONS(5065),
    [anon_sym_public] = ACTIONS(5065),
    [anon_sym_private] = ACTIONS(5065),
    [anon_sym_protected] = ACTIONS(5065),
    [anon_sym_using] = ACTIONS(5065),
    [anon_sym_static_assert] = ACTIONS(5065),
  },
  [2148] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym__Alignas] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [sym_virtual] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_friend] = ACTIONS(2987),
    [anon_sym_public] = ACTIONS(2987),
    [anon_sym_private] = ACTIONS(2987),
    [anon_sym_protected] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
  },
  [2149] = {
    [sym_identifier] = ACTIONS(2808),
    [aux_sym_preproc_def_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token1] = ACTIONS(2808),
    [aux_sym_preproc_if_token2] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2808),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2808),
    [sym_preproc_directive] = ACTIONS(2808),
    [anon_sym_LPAREN2] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2810),
    [anon_sym_STAR] = ACTIONS(2810),
    [anon_sym_AMP_AMP] = ACTIONS(2810),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2808),
    [anon_sym_typedef] = ACTIONS(2808),
    [anon_sym_extern] = ACTIONS(2808),
    [anon_sym___attribute__] = ACTIONS(2808),
    [anon_sym_COLON_COLON] = ACTIONS(2810),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2810),
    [anon_sym___declspec] = ACTIONS(2808),
    [anon_sym___based] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2808),
    [anon_sym_unsigned] = ACTIONS(2808),
    [anon_sym_long] = ACTIONS(2808),
    [anon_sym_short] = ACTIONS(2808),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2808),
    [anon_sym_register] = ACTIONS(2808),
    [anon_sym_inline] = ACTIONS(2808),
    [anon_sym___inline] = ACTIONS(2808),
    [anon_sym___inline__] = ACTIONS(2808),
    [anon_sym___forceinline] = ACTIONS(2808),
    [anon_sym_thread_local] = ACTIONS(2808),
    [anon_sym___thread] = ACTIONS(2808),
    [anon_sym_const] = ACTIONS(2808),
    [anon_sym_constexpr] = ACTIONS(2808),
    [anon_sym_volatile] = ACTIONS(2808),
    [anon_sym_restrict] = ACTIONS(2808),
    [anon_sym___restrict__] = ACTIONS(2808),
    [anon_sym__Atomic] = ACTIONS(2808),
    [anon_sym__Noreturn] = ACTIONS(2808),
    [anon_sym_noreturn] = ACTIONS(2808),
    [anon_sym_mutable] = ACTIONS(2808),
    [anon_sym_constinit] = ACTIONS(2808),
    [anon_sym_consteval] = ACTIONS(2808),
    [anon_sym_alignas] = ACTIONS(2808),
    [anon_sym__Alignas] = ACTIONS(2808),
    [sym_primitive_type] = ACTIONS(2808),
    [anon_sym_enum] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2808),
    [anon_sym_struct] = ACTIONS(2808),
    [anon_sym_union] = ACTIONS(2808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2808),
    [anon_sym_decltype] = ACTIONS(2808),
    [sym_virtual] = ACTIONS(2808),
    [anon_sym_explicit] = ACTIONS(2808),
    [anon_sym_typename] = ACTIONS(2808),
    [anon_sym_template] = ACTIONS(2808),
    [anon_sym_operator] = ACTIONS(2808),
    [anon_sym_friend] = ACTIONS(2808),
    [anon_sym_public] = ACTIONS(2808),
    [anon_sym_private] = ACTIONS(2808),
    [anon_sym_protected] = ACTIONS(2808),
    [anon_sym_using] = ACTIONS(2808),
    [anon_sym_static_assert] = ACTIONS(2808),
  },
  [2150] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_AMP_AMP] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2812),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym_COLON_COLON] = ACTIONS(2814),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___based] = ACTIONS(2812),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_mutable] = ACTIONS(2812),
    [anon_sym_constinit] = ACTIONS(2812),
    [anon_sym_consteval] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2812),
    [anon_sym_decltype] = ACTIONS(2812),
    [sym_virtual] = ACTIONS(2812),
    [anon_sym_explicit] = ACTIONS(2812),
    [anon_sym_typename] = ACTIONS(2812),
    [anon_sym_template] = ACTIONS(2812),
    [anon_sym_operator] = ACTIONS(2812),
    [anon_sym_friend] = ACTIONS(2812),
    [anon_sym_public] = ACTIONS(2812),
    [anon_sym_private] = ACTIONS(2812),
    [anon_sym_protected] = ACTIONS(2812),
    [anon_sym_using] = ACTIONS(2812),
    [anon_sym_static_assert] = ACTIONS(2812),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(5025),
    [aux_sym_preproc_def_token1] = ACTIONS(5025),
    [aux_sym_preproc_if_token1] = ACTIONS(5025),
    [aux_sym_preproc_if_token2] = ACTIONS(5025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5025),
    [sym_preproc_directive] = ACTIONS(5025),
    [anon_sym_LPAREN2] = ACTIONS(5027),
    [anon_sym_TILDE] = ACTIONS(5027),
    [anon_sym_STAR] = ACTIONS(5027),
    [anon_sym_AMP_AMP] = ACTIONS(5027),
    [anon_sym_AMP] = ACTIONS(5025),
    [anon_sym___extension__] = ACTIONS(5025),
    [anon_sym_typedef] = ACTIONS(5025),
    [anon_sym_extern] = ACTIONS(5025),
    [anon_sym___attribute__] = ACTIONS(5025),
    [anon_sym_COLON_COLON] = ACTIONS(5027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5027),
    [anon_sym___declspec] = ACTIONS(5025),
    [anon_sym___based] = ACTIONS(5025),
    [anon_sym_signed] = ACTIONS(5025),
    [anon_sym_unsigned] = ACTIONS(5025),
    [anon_sym_long] = ACTIONS(5025),
    [anon_sym_short] = ACTIONS(5025),
    [anon_sym_LBRACK] = ACTIONS(5025),
    [anon_sym_static] = ACTIONS(5025),
    [anon_sym_register] = ACTIONS(5025),
    [anon_sym_inline] = ACTIONS(5025),
    [anon_sym___inline] = ACTIONS(5025),
    [anon_sym___inline__] = ACTIONS(5025),
    [anon_sym___forceinline] = ACTIONS(5025),
    [anon_sym_thread_local] = ACTIONS(5025),
    [anon_sym___thread] = ACTIONS(5025),
    [anon_sym_const] = ACTIONS(5025),
    [anon_sym_constexpr] = ACTIONS(5025),
    [anon_sym_volatile] = ACTIONS(5025),
    [anon_sym_restrict] = ACTIONS(5025),
    [anon_sym___restrict__] = ACTIONS(5025),
    [anon_sym__Atomic] = ACTIONS(5025),
    [anon_sym__Noreturn] = ACTIONS(5025),
    [anon_sym_noreturn] = ACTIONS(5025),
    [anon_sym_mutable] = ACTIONS(5025),
    [anon_sym_constinit] = ACTIONS(5025),
    [anon_sym_consteval] = ACTIONS(5025),
    [anon_sym_alignas] = ACTIONS(5025),
    [anon_sym__Alignas] = ACTIONS(5025),
    [sym_primitive_type] = ACTIONS(5025),
    [anon_sym_enum] = ACTIONS(5025),
    [anon_sym_class] = ACTIONS(5025),
    [anon_sym_struct] = ACTIONS(5025),
    [anon_sym_union] = ACTIONS(5025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5025),
    [anon_sym_decltype] = ACTIONS(5025),
    [sym_virtual] = ACTIONS(5025),
    [anon_sym_explicit] = ACTIONS(5025),
    [anon_sym_typename] = ACTIONS(5025),
    [anon_sym_template] = ACTIONS(5025),
    [anon_sym_operator] = ACTIONS(5025),
    [anon_sym_friend] = ACTIONS(5025),
    [anon_sym_public] = ACTIONS(5025),
    [anon_sym_private] = ACTIONS(5025),
    [anon_sym_protected] = ACTIONS(5025),
    [anon_sym_using] = ACTIONS(5025),
    [anon_sym_static_assert] = ACTIONS(5025),
  },
  [2152] = {
    [sym_identifier] = ACTIONS(2801),
    [aux_sym_preproc_def_token1] = ACTIONS(2801),
    [aux_sym_preproc_if_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2801),
    [sym_preproc_directive] = ACTIONS(2801),
    [anon_sym_LPAREN2] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2801),
    [anon_sym___extension__] = ACTIONS(2801),
    [anon_sym_typedef] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym___attribute__] = ACTIONS(2801),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2803),
    [anon_sym___declspec] = ACTIONS(2801),
    [anon_sym___based] = ACTIONS(2801),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2801),
    [anon_sym_unsigned] = ACTIONS(2801),
    [anon_sym_long] = ACTIONS(2801),
    [anon_sym_short] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_register] = ACTIONS(2801),
    [anon_sym_inline] = ACTIONS(2801),
    [anon_sym___inline] = ACTIONS(2801),
    [anon_sym___inline__] = ACTIONS(2801),
    [anon_sym___forceinline] = ACTIONS(2801),
    [anon_sym_thread_local] = ACTIONS(2801),
    [anon_sym___thread] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_constexpr] = ACTIONS(2801),
    [anon_sym_volatile] = ACTIONS(2801),
    [anon_sym_restrict] = ACTIONS(2801),
    [anon_sym___restrict__] = ACTIONS(2801),
    [anon_sym__Atomic] = ACTIONS(2801),
    [anon_sym__Noreturn] = ACTIONS(2801),
    [anon_sym_noreturn] = ACTIONS(2801),
    [anon_sym_mutable] = ACTIONS(2801),
    [anon_sym_constinit] = ACTIONS(2801),
    [anon_sym_consteval] = ACTIONS(2801),
    [anon_sym_alignas] = ACTIONS(2801),
    [anon_sym__Alignas] = ACTIONS(2801),
    [sym_primitive_type] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2801),
    [anon_sym_decltype] = ACTIONS(2801),
    [sym_virtual] = ACTIONS(2801),
    [anon_sym_explicit] = ACTIONS(2801),
    [anon_sym_typename] = ACTIONS(2801),
    [anon_sym_template] = ACTIONS(2801),
    [anon_sym_operator] = ACTIONS(2801),
    [anon_sym_friend] = ACTIONS(2801),
    [anon_sym_public] = ACTIONS(2801),
    [anon_sym_private] = ACTIONS(2801),
    [anon_sym_protected] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_static_assert] = ACTIONS(2801),
  },
  [2153] = {
    [sym_identifier] = ACTIONS(5029),
    [aux_sym_preproc_def_token1] = ACTIONS(5029),
    [aux_sym_preproc_if_token1] = ACTIONS(5029),
    [aux_sym_preproc_if_token2] = ACTIONS(5029),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5029),
    [sym_preproc_directive] = ACTIONS(5029),
    [anon_sym_LPAREN2] = ACTIONS(5031),
    [anon_sym_TILDE] = ACTIONS(5031),
    [anon_sym_STAR] = ACTIONS(5031),
    [anon_sym_AMP_AMP] = ACTIONS(5031),
    [anon_sym_AMP] = ACTIONS(5029),
    [anon_sym___extension__] = ACTIONS(5029),
    [anon_sym_typedef] = ACTIONS(5029),
    [anon_sym_extern] = ACTIONS(5029),
    [anon_sym___attribute__] = ACTIONS(5029),
    [anon_sym_COLON_COLON] = ACTIONS(5031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5031),
    [anon_sym___declspec] = ACTIONS(5029),
    [anon_sym___based] = ACTIONS(5029),
    [anon_sym_signed] = ACTIONS(5029),
    [anon_sym_unsigned] = ACTIONS(5029),
    [anon_sym_long] = ACTIONS(5029),
    [anon_sym_short] = ACTIONS(5029),
    [anon_sym_LBRACK] = ACTIONS(5029),
    [anon_sym_static] = ACTIONS(5029),
    [anon_sym_register] = ACTIONS(5029),
    [anon_sym_inline] = ACTIONS(5029),
    [anon_sym___inline] = ACTIONS(5029),
    [anon_sym___inline__] = ACTIONS(5029),
    [anon_sym___forceinline] = ACTIONS(5029),
    [anon_sym_thread_local] = ACTIONS(5029),
    [anon_sym___thread] = ACTIONS(5029),
    [anon_sym_const] = ACTIONS(5029),
    [anon_sym_constexpr] = ACTIONS(5029),
    [anon_sym_volatile] = ACTIONS(5029),
    [anon_sym_restrict] = ACTIONS(5029),
    [anon_sym___restrict__] = ACTIONS(5029),
    [anon_sym__Atomic] = ACTIONS(5029),
    [anon_sym__Noreturn] = ACTIONS(5029),
    [anon_sym_noreturn] = ACTIONS(5029),
    [anon_sym_mutable] = ACTIONS(5029),
    [anon_sym_constinit] = ACTIONS(5029),
    [anon_sym_consteval] = ACTIONS(5029),
    [anon_sym_alignas] = ACTIONS(5029),
    [anon_sym__Alignas] = ACTIONS(5029),
    [sym_primitive_type] = ACTIONS(5029),
    [anon_sym_enum] = ACTIONS(5029),
    [anon_sym_class] = ACTIONS(5029),
    [anon_sym_struct] = ACTIONS(5029),
    [anon_sym_union] = ACTIONS(5029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5029),
    [anon_sym_decltype] = ACTIONS(5029),
    [sym_virtual] = ACTIONS(5029),
    [anon_sym_explicit] = ACTIONS(5029),
    [anon_sym_typename] = ACTIONS(5029),
    [anon_sym_template] = ACTIONS(5029),
    [anon_sym_operator] = ACTIONS(5029),
    [anon_sym_friend] = ACTIONS(5029),
    [anon_sym_public] = ACTIONS(5029),
    [anon_sym_private] = ACTIONS(5029),
    [anon_sym_protected] = ACTIONS(5029),
    [anon_sym_using] = ACTIONS(5029),
    [anon_sym_static_assert] = ACTIONS(5029),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(5033),
    [aux_sym_preproc_def_token1] = ACTIONS(5033),
    [aux_sym_preproc_if_token1] = ACTIONS(5033),
    [aux_sym_preproc_if_token2] = ACTIONS(5033),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5033),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5033),
    [sym_preproc_directive] = ACTIONS(5033),
    [anon_sym_LPAREN2] = ACTIONS(5035),
    [anon_sym_TILDE] = ACTIONS(5035),
    [anon_sym_STAR] = ACTIONS(5035),
    [anon_sym_AMP_AMP] = ACTIONS(5035),
    [anon_sym_AMP] = ACTIONS(5033),
    [anon_sym___extension__] = ACTIONS(5033),
    [anon_sym_typedef] = ACTIONS(5033),
    [anon_sym_extern] = ACTIONS(5033),
    [anon_sym___attribute__] = ACTIONS(5033),
    [anon_sym_COLON_COLON] = ACTIONS(5035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5035),
    [anon_sym___declspec] = ACTIONS(5033),
    [anon_sym___based] = ACTIONS(5033),
    [anon_sym_signed] = ACTIONS(5033),
    [anon_sym_unsigned] = ACTIONS(5033),
    [anon_sym_long] = ACTIONS(5033),
    [anon_sym_short] = ACTIONS(5033),
    [anon_sym_LBRACK] = ACTIONS(5033),
    [anon_sym_static] = ACTIONS(5033),
    [anon_sym_register] = ACTIONS(5033),
    [anon_sym_inline] = ACTIONS(5033),
    [anon_sym___inline] = ACTIONS(5033),
    [anon_sym___inline__] = ACTIONS(5033),
    [anon_sym___forceinline] = ACTIONS(5033),
    [anon_sym_thread_local] = ACTIONS(5033),
    [anon_sym___thread] = ACTIONS(5033),
    [anon_sym_const] = ACTIONS(5033),
    [anon_sym_constexpr] = ACTIONS(5033),
    [anon_sym_volatile] = ACTIONS(5033),
    [anon_sym_restrict] = ACTIONS(5033),
    [anon_sym___restrict__] = ACTIONS(5033),
    [anon_sym__Atomic] = ACTIONS(5033),
    [anon_sym__Noreturn] = ACTIONS(5033),
    [anon_sym_noreturn] = ACTIONS(5033),
    [anon_sym_mutable] = ACTIONS(5033),
    [anon_sym_constinit] = ACTIONS(5033),
    [anon_sym_consteval] = ACTIONS(5033),
    [anon_sym_alignas] = ACTIONS(5033),
    [anon_sym__Alignas] = ACTIONS(5033),
    [sym_primitive_type] = ACTIONS(5033),
    [anon_sym_enum] = ACTIONS(5033),
    [anon_sym_class] = ACTIONS(5033),
    [anon_sym_struct] = ACTIONS(5033),
    [anon_sym_union] = ACTIONS(5033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5033),
    [anon_sym_decltype] = ACTIONS(5033),
    [sym_virtual] = ACTIONS(5033),
    [anon_sym_explicit] = ACTIONS(5033),
    [anon_sym_typename] = ACTIONS(5033),
    [anon_sym_template] = ACTIONS(5033),
    [anon_sym_operator] = ACTIONS(5033),
    [anon_sym_friend] = ACTIONS(5033),
    [anon_sym_public] = ACTIONS(5033),
    [anon_sym_private] = ACTIONS(5033),
    [anon_sym_protected] = ACTIONS(5033),
    [anon_sym_using] = ACTIONS(5033),
    [anon_sym_static_assert] = ACTIONS(5033),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym__Alignas] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [sym_virtual] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_friend] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(5037),
    [aux_sym_preproc_def_token1] = ACTIONS(5037),
    [aux_sym_preproc_if_token1] = ACTIONS(5037),
    [aux_sym_preproc_if_token2] = ACTIONS(5037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5037),
    [sym_preproc_directive] = ACTIONS(5037),
    [anon_sym_LPAREN2] = ACTIONS(5039),
    [anon_sym_TILDE] = ACTIONS(5039),
    [anon_sym_STAR] = ACTIONS(5039),
    [anon_sym_AMP_AMP] = ACTIONS(5039),
    [anon_sym_AMP] = ACTIONS(5037),
    [anon_sym___extension__] = ACTIONS(5037),
    [anon_sym_typedef] = ACTIONS(5037),
    [anon_sym_extern] = ACTIONS(5037),
    [anon_sym___attribute__] = ACTIONS(5037),
    [anon_sym_COLON_COLON] = ACTIONS(5039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5039),
    [anon_sym___declspec] = ACTIONS(5037),
    [anon_sym___based] = ACTIONS(5037),
    [anon_sym_signed] = ACTIONS(5037),
    [anon_sym_unsigned] = ACTIONS(5037),
    [anon_sym_long] = ACTIONS(5037),
    [anon_sym_short] = ACTIONS(5037),
    [anon_sym_LBRACK] = ACTIONS(5037),
    [anon_sym_static] = ACTIONS(5037),
    [anon_sym_register] = ACTIONS(5037),
    [anon_sym_inline] = ACTIONS(5037),
    [anon_sym___inline] = ACTIONS(5037),
    [anon_sym___inline__] = ACTIONS(5037),
    [anon_sym___forceinline] = ACTIONS(5037),
    [anon_sym_thread_local] = ACTIONS(5037),
    [anon_sym___thread] = ACTIONS(5037),
    [anon_sym_const] = ACTIONS(5037),
    [anon_sym_constexpr] = ACTIONS(5037),
    [anon_sym_volatile] = ACTIONS(5037),
    [anon_sym_restrict] = ACTIONS(5037),
    [anon_sym___restrict__] = ACTIONS(5037),
    [anon_sym__Atomic] = ACTIONS(5037),
    [anon_sym__Noreturn] = ACTIONS(5037),
    [anon_sym_noreturn] = ACTIONS(5037),
    [anon_sym_mutable] = ACTIONS(5037),
    [anon_sym_constinit] = ACTIONS(5037),
    [anon_sym_consteval] = ACTIONS(5037),
    [anon_sym_alignas] = ACTIONS(5037),
    [anon_sym__Alignas] = ACTIONS(5037),
    [sym_primitive_type] = ACTIONS(5037),
    [anon_sym_enum] = ACTIONS(5037),
    [anon_sym_class] = ACTIONS(5037),
    [anon_sym_struct] = ACTIONS(5037),
    [anon_sym_union] = ACTIONS(5037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5037),
    [anon_sym_decltype] = ACTIONS(5037),
    [sym_virtual] = ACTIONS(5037),
    [anon_sym_explicit] = ACTIONS(5037),
    [anon_sym_typename] = ACTIONS(5037),
    [anon_sym_template] = ACTIONS(5037),
    [anon_sym_operator] = ACTIONS(5037),
    [anon_sym_friend] = ACTIONS(5037),
    [anon_sym_public] = ACTIONS(5037),
    [anon_sym_private] = ACTIONS(5037),
    [anon_sym_protected] = ACTIONS(5037),
    [anon_sym_using] = ACTIONS(5037),
    [anon_sym_static_assert] = ACTIONS(5037),
  },
  [2157] = {
    [sym_identifier] = ACTIONS(5037),
    [aux_sym_preproc_def_token1] = ACTIONS(5037),
    [aux_sym_preproc_if_token1] = ACTIONS(5037),
    [aux_sym_preproc_if_token2] = ACTIONS(5037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5037),
    [sym_preproc_directive] = ACTIONS(5037),
    [anon_sym_LPAREN2] = ACTIONS(5039),
    [anon_sym_TILDE] = ACTIONS(5039),
    [anon_sym_STAR] = ACTIONS(5039),
    [anon_sym_AMP_AMP] = ACTIONS(5039),
    [anon_sym_AMP] = ACTIONS(5037),
    [anon_sym___extension__] = ACTIONS(5037),
    [anon_sym_typedef] = ACTIONS(5037),
    [anon_sym_extern] = ACTIONS(5037),
    [anon_sym___attribute__] = ACTIONS(5037),
    [anon_sym_COLON_COLON] = ACTIONS(5039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5039),
    [anon_sym___declspec] = ACTIONS(5037),
    [anon_sym___based] = ACTIONS(5037),
    [anon_sym_signed] = ACTIONS(5037),
    [anon_sym_unsigned] = ACTIONS(5037),
    [anon_sym_long] = ACTIONS(5037),
    [anon_sym_short] = ACTIONS(5037),
    [anon_sym_LBRACK] = ACTIONS(5037),
    [anon_sym_static] = ACTIONS(5037),
    [anon_sym_register] = ACTIONS(5037),
    [anon_sym_inline] = ACTIONS(5037),
    [anon_sym___inline] = ACTIONS(5037),
    [anon_sym___inline__] = ACTIONS(5037),
    [anon_sym___forceinline] = ACTIONS(5037),
    [anon_sym_thread_local] = ACTIONS(5037),
    [anon_sym___thread] = ACTIONS(5037),
    [anon_sym_const] = ACTIONS(5037),
    [anon_sym_constexpr] = ACTIONS(5037),
    [anon_sym_volatile] = ACTIONS(5037),
    [anon_sym_restrict] = ACTIONS(5037),
    [anon_sym___restrict__] = ACTIONS(5037),
    [anon_sym__Atomic] = ACTIONS(5037),
    [anon_sym__Noreturn] = ACTIONS(5037),
    [anon_sym_noreturn] = ACTIONS(5037),
    [anon_sym_mutable] = ACTIONS(5037),
    [anon_sym_constinit] = ACTIONS(5037),
    [anon_sym_consteval] = ACTIONS(5037),
    [anon_sym_alignas] = ACTIONS(5037),
    [anon_sym__Alignas] = ACTIONS(5037),
    [sym_primitive_type] = ACTIONS(5037),
    [anon_sym_enum] = ACTIONS(5037),
    [anon_sym_class] = ACTIONS(5037),
    [anon_sym_struct] = ACTIONS(5037),
    [anon_sym_union] = ACTIONS(5037),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5037),
    [anon_sym_decltype] = ACTIONS(5037),
    [sym_virtual] = ACTIONS(5037),
    [anon_sym_explicit] = ACTIONS(5037),
    [anon_sym_typename] = ACTIONS(5037),
    [anon_sym_template] = ACTIONS(5037),
    [anon_sym_operator] = ACTIONS(5037),
    [anon_sym_friend] = ACTIONS(5037),
    [anon_sym_public] = ACTIONS(5037),
    [anon_sym_private] = ACTIONS(5037),
    [anon_sym_protected] = ACTIONS(5037),
    [anon_sym_using] = ACTIONS(5037),
    [anon_sym_static_assert] = ACTIONS(5037),
  },
  [2158] = {
    [sym_identifier] = ACTIONS(5158),
    [aux_sym_preproc_def_token1] = ACTIONS(5158),
    [aux_sym_preproc_if_token1] = ACTIONS(5158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5158),
    [sym_preproc_directive] = ACTIONS(5158),
    [anon_sym_LPAREN2] = ACTIONS(5160),
    [anon_sym_TILDE] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5160),
    [anon_sym_AMP_AMP] = ACTIONS(5160),
    [anon_sym_AMP] = ACTIONS(5158),
    [anon_sym___extension__] = ACTIONS(5158),
    [anon_sym_typedef] = ACTIONS(5158),
    [anon_sym_extern] = ACTIONS(5158),
    [anon_sym___attribute__] = ACTIONS(5158),
    [anon_sym_COLON_COLON] = ACTIONS(5160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5160),
    [anon_sym___declspec] = ACTIONS(5158),
    [anon_sym___based] = ACTIONS(5158),
    [anon_sym_RBRACE] = ACTIONS(5160),
    [anon_sym_signed] = ACTIONS(5158),
    [anon_sym_unsigned] = ACTIONS(5158),
    [anon_sym_long] = ACTIONS(5158),
    [anon_sym_short] = ACTIONS(5158),
    [anon_sym_LBRACK] = ACTIONS(5158),
    [anon_sym_static] = ACTIONS(5158),
    [anon_sym_register] = ACTIONS(5158),
    [anon_sym_inline] = ACTIONS(5158),
    [anon_sym___inline] = ACTIONS(5158),
    [anon_sym___inline__] = ACTIONS(5158),
    [anon_sym___forceinline] = ACTIONS(5158),
    [anon_sym_thread_local] = ACTIONS(5158),
    [anon_sym___thread] = ACTIONS(5158),
    [anon_sym_const] = ACTIONS(5158),
    [anon_sym_constexpr] = ACTIONS(5158),
    [anon_sym_volatile] = ACTIONS(5158),
    [anon_sym_restrict] = ACTIONS(5158),
    [anon_sym___restrict__] = ACTIONS(5158),
    [anon_sym__Atomic] = ACTIONS(5158),
    [anon_sym__Noreturn] = ACTIONS(5158),
    [anon_sym_noreturn] = ACTIONS(5158),
    [anon_sym_mutable] = ACTIONS(5158),
    [anon_sym_constinit] = ACTIONS(5158),
    [anon_sym_consteval] = ACTIONS(5158),
    [anon_sym_alignas] = ACTIONS(5158),
    [anon_sym__Alignas] = ACTIONS(5158),
    [sym_primitive_type] = ACTIONS(5158),
    [anon_sym_enum] = ACTIONS(5158),
    [anon_sym_class] = ACTIONS(5158),
    [anon_sym_struct] = ACTIONS(5158),
    [anon_sym_union] = ACTIONS(5158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5158),
    [anon_sym_decltype] = ACTIONS(5158),
    [sym_virtual] = ACTIONS(5158),
    [anon_sym_explicit] = ACTIONS(5158),
    [anon_sym_typename] = ACTIONS(5158),
    [anon_sym_template] = ACTIONS(5158),
    [anon_sym_operator] = ACTIONS(5158),
    [anon_sym_friend] = ACTIONS(5158),
    [anon_sym_public] = ACTIONS(5158),
    [anon_sym_private] = ACTIONS(5158),
    [anon_sym_protected] = ACTIONS(5158),
    [anon_sym_using] = ACTIONS(5158),
    [anon_sym_static_assert] = ACTIONS(5158),
  },
  [2159] = {
    [sym_identifier] = ACTIONS(5041),
    [aux_sym_preproc_def_token1] = ACTIONS(5041),
    [aux_sym_preproc_if_token1] = ACTIONS(5041),
    [aux_sym_preproc_if_token2] = ACTIONS(5041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5041),
    [sym_preproc_directive] = ACTIONS(5041),
    [anon_sym_LPAREN2] = ACTIONS(5043),
    [anon_sym_TILDE] = ACTIONS(5043),
    [anon_sym_STAR] = ACTIONS(5043),
    [anon_sym_AMP_AMP] = ACTIONS(5043),
    [anon_sym_AMP] = ACTIONS(5041),
    [anon_sym___extension__] = ACTIONS(5041),
    [anon_sym_typedef] = ACTIONS(5041),
    [anon_sym_extern] = ACTIONS(5041),
    [anon_sym___attribute__] = ACTIONS(5041),
    [anon_sym_COLON_COLON] = ACTIONS(5043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5043),
    [anon_sym___declspec] = ACTIONS(5041),
    [anon_sym___based] = ACTIONS(5041),
    [anon_sym_signed] = ACTIONS(5041),
    [anon_sym_unsigned] = ACTIONS(5041),
    [anon_sym_long] = ACTIONS(5041),
    [anon_sym_short] = ACTIONS(5041),
    [anon_sym_LBRACK] = ACTIONS(5041),
    [anon_sym_static] = ACTIONS(5041),
    [anon_sym_register] = ACTIONS(5041),
    [anon_sym_inline] = ACTIONS(5041),
    [anon_sym___inline] = ACTIONS(5041),
    [anon_sym___inline__] = ACTIONS(5041),
    [anon_sym___forceinline] = ACTIONS(5041),
    [anon_sym_thread_local] = ACTIONS(5041),
    [anon_sym___thread] = ACTIONS(5041),
    [anon_sym_const] = ACTIONS(5041),
    [anon_sym_constexpr] = ACTIONS(5041),
    [anon_sym_volatile] = ACTIONS(5041),
    [anon_sym_restrict] = ACTIONS(5041),
    [anon_sym___restrict__] = ACTIONS(5041),
    [anon_sym__Atomic] = ACTIONS(5041),
    [anon_sym__Noreturn] = ACTIONS(5041),
    [anon_sym_noreturn] = ACTIONS(5041),
    [anon_sym_mutable] = ACTIONS(5041),
    [anon_sym_constinit] = ACTIONS(5041),
    [anon_sym_consteval] = ACTIONS(5041),
    [anon_sym_alignas] = ACTIONS(5041),
    [anon_sym__Alignas] = ACTIONS(5041),
    [sym_primitive_type] = ACTIONS(5041),
    [anon_sym_enum] = ACTIONS(5041),
    [anon_sym_class] = ACTIONS(5041),
    [anon_sym_struct] = ACTIONS(5041),
    [anon_sym_union] = ACTIONS(5041),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5041),
    [anon_sym_decltype] = ACTIONS(5041),
    [sym_virtual] = ACTIONS(5041),
    [anon_sym_explicit] = ACTIONS(5041),
    [anon_sym_typename] = ACTIONS(5041),
    [anon_sym_template] = ACTIONS(5041),
    [anon_sym_operator] = ACTIONS(5041),
    [anon_sym_friend] = ACTIONS(5041),
    [anon_sym_public] = ACTIONS(5041),
    [anon_sym_private] = ACTIONS(5041),
    [anon_sym_protected] = ACTIONS(5041),
    [anon_sym_using] = ACTIONS(5041),
    [anon_sym_static_assert] = ACTIONS(5041),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(5108),
    [aux_sym_preproc_def_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token1] = ACTIONS(5108),
    [aux_sym_preproc_if_token2] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5108),
    [sym_preproc_directive] = ACTIONS(5108),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_AMP_AMP] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(5108),
    [anon_sym_typedef] = ACTIONS(5108),
    [anon_sym_extern] = ACTIONS(5108),
    [anon_sym___attribute__] = ACTIONS(5108),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5108),
    [anon_sym___based] = ACTIONS(5108),
    [anon_sym_signed] = ACTIONS(5108),
    [anon_sym_unsigned] = ACTIONS(5108),
    [anon_sym_long] = ACTIONS(5108),
    [anon_sym_short] = ACTIONS(5108),
    [anon_sym_LBRACK] = ACTIONS(5108),
    [anon_sym_static] = ACTIONS(5108),
    [anon_sym_register] = ACTIONS(5108),
    [anon_sym_inline] = ACTIONS(5108),
    [anon_sym___inline] = ACTIONS(5108),
    [anon_sym___inline__] = ACTIONS(5108),
    [anon_sym___forceinline] = ACTIONS(5108),
    [anon_sym_thread_local] = ACTIONS(5108),
    [anon_sym___thread] = ACTIONS(5108),
    [anon_sym_const] = ACTIONS(5108),
    [anon_sym_constexpr] = ACTIONS(5108),
    [anon_sym_volatile] = ACTIONS(5108),
    [anon_sym_restrict] = ACTIONS(5108),
    [anon_sym___restrict__] = ACTIONS(5108),
    [anon_sym__Atomic] = ACTIONS(5108),
    [anon_sym__Noreturn] = ACTIONS(5108),
    [anon_sym_noreturn] = ACTIONS(5108),
    [anon_sym_mutable] = ACTIONS(5108),
    [anon_sym_constinit] = ACTIONS(5108),
    [anon_sym_consteval] = ACTIONS(5108),
    [anon_sym_alignas] = ACTIONS(5108),
    [anon_sym__Alignas] = ACTIONS(5108),
    [sym_primitive_type] = ACTIONS(5108),
    [anon_sym_enum] = ACTIONS(5108),
    [anon_sym_class] = ACTIONS(5108),
    [anon_sym_struct] = ACTIONS(5108),
    [anon_sym_union] = ACTIONS(5108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5108),
    [anon_sym_decltype] = ACTIONS(5108),
    [sym_virtual] = ACTIONS(5108),
    [anon_sym_explicit] = ACTIONS(5108),
    [anon_sym_typename] = ACTIONS(5108),
    [anon_sym_template] = ACTIONS(5108),
    [anon_sym_operator] = ACTIONS(5108),
    [anon_sym_friend] = ACTIONS(5108),
    [anon_sym_public] = ACTIONS(5108),
    [anon_sym_private] = ACTIONS(5108),
    [anon_sym_protected] = ACTIONS(5108),
    [anon_sym_using] = ACTIONS(5108),
    [anon_sym_static_assert] = ACTIONS(5108),
  },
  [2161] = {
    [sym_identifier] = ACTIONS(2744),
    [aux_sym_preproc_def_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token1] = ACTIONS(2744),
    [aux_sym_preproc_if_token2] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2744),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2744),
    [sym_preproc_directive] = ACTIONS(2744),
    [anon_sym_LPAREN2] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2746),
    [anon_sym_AMP_AMP] = ACTIONS(2746),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2744),
    [anon_sym_typedef] = ACTIONS(2744),
    [anon_sym_extern] = ACTIONS(2744),
    [anon_sym___attribute__] = ACTIONS(2744),
    [anon_sym_COLON_COLON] = ACTIONS(2746),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2746),
    [anon_sym___declspec] = ACTIONS(2744),
    [anon_sym___based] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2744),
    [anon_sym_unsigned] = ACTIONS(2744),
    [anon_sym_long] = ACTIONS(2744),
    [anon_sym_short] = ACTIONS(2744),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2744),
    [anon_sym_register] = ACTIONS(2744),
    [anon_sym_inline] = ACTIONS(2744),
    [anon_sym___inline] = ACTIONS(2744),
    [anon_sym___inline__] = ACTIONS(2744),
    [anon_sym___forceinline] = ACTIONS(2744),
    [anon_sym_thread_local] = ACTIONS(2744),
    [anon_sym___thread] = ACTIONS(2744),
    [anon_sym_const] = ACTIONS(2744),
    [anon_sym_constexpr] = ACTIONS(2744),
    [anon_sym_volatile] = ACTIONS(2744),
    [anon_sym_restrict] = ACTIONS(2744),
    [anon_sym___restrict__] = ACTIONS(2744),
    [anon_sym__Atomic] = ACTIONS(2744),
    [anon_sym__Noreturn] = ACTIONS(2744),
    [anon_sym_noreturn] = ACTIONS(2744),
    [anon_sym_mutable] = ACTIONS(2744),
    [anon_sym_constinit] = ACTIONS(2744),
    [anon_sym_consteval] = ACTIONS(2744),
    [anon_sym_alignas] = ACTIONS(2744),
    [anon_sym__Alignas] = ACTIONS(2744),
    [sym_primitive_type] = ACTIONS(2744),
    [anon_sym_enum] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2744),
    [anon_sym_struct] = ACTIONS(2744),
    [anon_sym_union] = ACTIONS(2744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2744),
    [anon_sym_decltype] = ACTIONS(2744),
    [sym_virtual] = ACTIONS(2744),
    [anon_sym_explicit] = ACTIONS(2744),
    [anon_sym_typename] = ACTIONS(2744),
    [anon_sym_template] = ACTIONS(2744),
    [anon_sym_operator] = ACTIONS(2744),
    [anon_sym_friend] = ACTIONS(2744),
    [anon_sym_public] = ACTIONS(2744),
    [anon_sym_private] = ACTIONS(2744),
    [anon_sym_protected] = ACTIONS(2744),
    [anon_sym_using] = ACTIONS(2744),
    [anon_sym_static_assert] = ACTIONS(2744),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(2748),
    [aux_sym_preproc_def_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token1] = ACTIONS(2748),
    [aux_sym_preproc_if_token2] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2748),
    [sym_preproc_directive] = ACTIONS(2748),
    [anon_sym_LPAREN2] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2750),
    [anon_sym_AMP_AMP] = ACTIONS(2750),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2748),
    [anon_sym_typedef] = ACTIONS(2748),
    [anon_sym_extern] = ACTIONS(2748),
    [anon_sym___attribute__] = ACTIONS(2748),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2750),
    [anon_sym___declspec] = ACTIONS(2748),
    [anon_sym___based] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2748),
    [anon_sym_unsigned] = ACTIONS(2748),
    [anon_sym_long] = ACTIONS(2748),
    [anon_sym_short] = ACTIONS(2748),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2748),
    [anon_sym_register] = ACTIONS(2748),
    [anon_sym_inline] = ACTIONS(2748),
    [anon_sym___inline] = ACTIONS(2748),
    [anon_sym___inline__] = ACTIONS(2748),
    [anon_sym___forceinline] = ACTIONS(2748),
    [anon_sym_thread_local] = ACTIONS(2748),
    [anon_sym___thread] = ACTIONS(2748),
    [anon_sym_const] = ACTIONS(2748),
    [anon_sym_constexpr] = ACTIONS(2748),
    [anon_sym_volatile] = ACTIONS(2748),
    [anon_sym_restrict] = ACTIONS(2748),
    [anon_sym___restrict__] = ACTIONS(2748),
    [anon_sym__Atomic] = ACTIONS(2748),
    [anon_sym__Noreturn] = ACTIONS(2748),
    [anon_sym_noreturn] = ACTIONS(2748),
    [anon_sym_mutable] = ACTIONS(2748),
    [anon_sym_constinit] = ACTIONS(2748),
    [anon_sym_consteval] = ACTIONS(2748),
    [anon_sym_alignas] = ACTIONS(2748),
    [anon_sym__Alignas] = ACTIONS(2748),
    [sym_primitive_type] = ACTIONS(2748),
    [anon_sym_enum] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2748),
    [anon_sym_struct] = ACTIONS(2748),
    [anon_sym_union] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2748),
    [anon_sym_decltype] = ACTIONS(2748),
    [sym_virtual] = ACTIONS(2748),
    [anon_sym_explicit] = ACTIONS(2748),
    [anon_sym_typename] = ACTIONS(2748),
    [anon_sym_template] = ACTIONS(2748),
    [anon_sym_operator] = ACTIONS(2748),
    [anon_sym_friend] = ACTIONS(2748),
    [anon_sym_public] = ACTIONS(2748),
    [anon_sym_private] = ACTIONS(2748),
    [anon_sym_protected] = ACTIONS(2748),
    [anon_sym_using] = ACTIONS(2748),
    [anon_sym_static_assert] = ACTIONS(2748),
  },
  [2163] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_friend] = ACTIONS(2755),
    [anon_sym_public] = ACTIONS(2755),
    [anon_sym_private] = ACTIONS(2755),
    [anon_sym_protected] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
  },
  [2164] = {
    [sym_identifier] = ACTIONS(2755),
    [aux_sym_preproc_def_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token1] = ACTIONS(2755),
    [aux_sym_preproc_if_token2] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2755),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2755),
    [sym_preproc_directive] = ACTIONS(2755),
    [anon_sym_LPAREN2] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2757),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym___extension__] = ACTIONS(2755),
    [anon_sym_typedef] = ACTIONS(2755),
    [anon_sym_extern] = ACTIONS(2755),
    [anon_sym___attribute__] = ACTIONS(2755),
    [anon_sym_COLON_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2757),
    [anon_sym___declspec] = ACTIONS(2755),
    [anon_sym___based] = ACTIONS(2755),
    [anon_sym_signed] = ACTIONS(2755),
    [anon_sym_unsigned] = ACTIONS(2755),
    [anon_sym_long] = ACTIONS(2755),
    [anon_sym_short] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2755),
    [anon_sym_register] = ACTIONS(2755),
    [anon_sym_inline] = ACTIONS(2755),
    [anon_sym___inline] = ACTIONS(2755),
    [anon_sym___inline__] = ACTIONS(2755),
    [anon_sym___forceinline] = ACTIONS(2755),
    [anon_sym_thread_local] = ACTIONS(2755),
    [anon_sym___thread] = ACTIONS(2755),
    [anon_sym_const] = ACTIONS(2755),
    [anon_sym_constexpr] = ACTIONS(2755),
    [anon_sym_volatile] = ACTIONS(2755),
    [anon_sym_restrict] = ACTIONS(2755),
    [anon_sym___restrict__] = ACTIONS(2755),
    [anon_sym__Atomic] = ACTIONS(2755),
    [anon_sym__Noreturn] = ACTIONS(2755),
    [anon_sym_noreturn] = ACTIONS(2755),
    [anon_sym_mutable] = ACTIONS(2755),
    [anon_sym_constinit] = ACTIONS(2755),
    [anon_sym_consteval] = ACTIONS(2755),
    [anon_sym_alignas] = ACTIONS(2755),
    [anon_sym__Alignas] = ACTIONS(2755),
    [sym_primitive_type] = ACTIONS(2755),
    [anon_sym_enum] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2755),
    [anon_sym_struct] = ACTIONS(2755),
    [anon_sym_union] = ACTIONS(2755),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2755),
    [anon_sym_decltype] = ACTIONS(2755),
    [sym_virtual] = ACTIONS(2755),
    [anon_sym_explicit] = ACTIONS(2755),
    [anon_sym_typename] = ACTIONS(2755),
    [anon_sym_template] = ACTIONS(2755),
    [anon_sym_operator] = ACTIONS(2755),
    [anon_sym_friend] = ACTIONS(2755),
    [anon_sym_public] = ACTIONS(2755),
    [anon_sym_private] = ACTIONS(2755),
    [anon_sym_protected] = ACTIONS(2755),
    [anon_sym_using] = ACTIONS(2755),
    [anon_sym_static_assert] = ACTIONS(2755),
  },
  [2165] = {
    [sym_identifier] = ACTIONS(4961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4963),
    [anon_sym_COMMA] = ACTIONS(4963),
    [anon_sym_RPAREN] = ACTIONS(4963),
    [aux_sym_preproc_if_token2] = ACTIONS(4963),
    [aux_sym_preproc_else_token1] = ACTIONS(4963),
    [aux_sym_preproc_elif_token1] = ACTIONS(4961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4963),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4963),
    [anon_sym_LPAREN2] = ACTIONS(4963),
    [anon_sym_DASH] = ACTIONS(4961),
    [anon_sym_PLUS] = ACTIONS(4961),
    [anon_sym_STAR] = ACTIONS(4961),
    [anon_sym_SLASH] = ACTIONS(4961),
    [anon_sym_PERCENT] = ACTIONS(4961),
    [anon_sym_PIPE_PIPE] = ACTIONS(4963),
    [anon_sym_AMP_AMP] = ACTIONS(4963),
    [anon_sym_PIPE] = ACTIONS(4961),
    [anon_sym_CARET] = ACTIONS(4961),
    [anon_sym_AMP] = ACTIONS(4961),
    [anon_sym_EQ_EQ] = ACTIONS(4963),
    [anon_sym_BANG_EQ] = ACTIONS(4963),
    [anon_sym_GT] = ACTIONS(4961),
    [anon_sym_GT_EQ] = ACTIONS(4963),
    [anon_sym_LT_EQ] = ACTIONS(4961),
    [anon_sym_LT] = ACTIONS(4961),
    [anon_sym_LT_LT] = ACTIONS(4961),
    [anon_sym_GT_GT] = ACTIONS(4961),
    [anon_sym_SEMI] = ACTIONS(4963),
    [anon_sym___attribute__] = ACTIONS(4961),
    [anon_sym_LBRACE] = ACTIONS(4963),
    [anon_sym_RBRACE] = ACTIONS(4963),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_RBRACK] = ACTIONS(4963),
    [anon_sym_EQ] = ACTIONS(4961),
    [anon_sym_COLON] = ACTIONS(4963),
    [anon_sym_QMARK] = ACTIONS(4963),
    [anon_sym_STAR_EQ] = ACTIONS(4963),
    [anon_sym_SLASH_EQ] = ACTIONS(4963),
    [anon_sym_PERCENT_EQ] = ACTIONS(4963),
    [anon_sym_PLUS_EQ] = ACTIONS(4963),
    [anon_sym_DASH_EQ] = ACTIONS(4963),
    [anon_sym_LT_LT_EQ] = ACTIONS(4963),
    [anon_sym_GT_GT_EQ] = ACTIONS(4963),
    [anon_sym_AMP_EQ] = ACTIONS(4963),
    [anon_sym_CARET_EQ] = ACTIONS(4963),
    [anon_sym_PIPE_EQ] = ACTIONS(4963),
    [anon_sym_and_eq] = ACTIONS(4961),
    [anon_sym_or_eq] = ACTIONS(4961),
    [anon_sym_xor_eq] = ACTIONS(4961),
    [anon_sym_LT_EQ_GT] = ACTIONS(4963),
    [anon_sym_or] = ACTIONS(4961),
    [anon_sym_and] = ACTIONS(4961),
    [anon_sym_bitor] = ACTIONS(4961),
    [anon_sym_xor] = ACTIONS(4961),
    [anon_sym_bitand] = ACTIONS(4961),
    [anon_sym_not_eq] = ACTIONS(4961),
    [anon_sym_DASH_DASH] = ACTIONS(4963),
    [anon_sym_PLUS_PLUS] = ACTIONS(4963),
    [anon_sym_DOT] = ACTIONS(4961),
    [anon_sym_DOT_STAR] = ACTIONS(4963),
    [anon_sym_DASH_GT] = ACTIONS(4963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4961),
    [anon_sym_decltype] = ACTIONS(4961),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(2763),
    [aux_sym_preproc_def_token1] = ACTIONS(2763),
    [aux_sym_preproc_if_token1] = ACTIONS(2763),
    [aux_sym_preproc_if_token2] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2763),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2763),
    [sym_preproc_directive] = ACTIONS(2763),
    [anon_sym_LPAREN2] = ACTIONS(2765),
    [anon_sym_TILDE] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym___extension__] = ACTIONS(2763),
    [anon_sym_typedef] = ACTIONS(2763),
    [anon_sym_extern] = ACTIONS(2763),
    [anon_sym___attribute__] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2765),
    [anon_sym___declspec] = ACTIONS(2763),
    [anon_sym___based] = ACTIONS(2763),
    [anon_sym_signed] = ACTIONS(2763),
    [anon_sym_unsigned] = ACTIONS(2763),
    [anon_sym_long] = ACTIONS(2763),
    [anon_sym_short] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(2763),
    [anon_sym_static] = ACTIONS(2763),
    [anon_sym_register] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym___inline] = ACTIONS(2763),
    [anon_sym___inline__] = ACTIONS(2763),
    [anon_sym___forceinline] = ACTIONS(2763),
    [anon_sym_thread_local] = ACTIONS(2763),
    [anon_sym___thread] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_constexpr] = ACTIONS(2763),
    [anon_sym_volatile] = ACTIONS(2763),
    [anon_sym_restrict] = ACTIONS(2763),
    [anon_sym___restrict__] = ACTIONS(2763),
    [anon_sym__Atomic] = ACTIONS(2763),
    [anon_sym__Noreturn] = ACTIONS(2763),
    [anon_sym_noreturn] = ACTIONS(2763),
    [anon_sym_mutable] = ACTIONS(2763),
    [anon_sym_constinit] = ACTIONS(2763),
    [anon_sym_consteval] = ACTIONS(2763),
    [anon_sym_alignas] = ACTIONS(2763),
    [anon_sym__Alignas] = ACTIONS(2763),
    [sym_primitive_type] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_class] = ACTIONS(2763),
    [anon_sym_struct] = ACTIONS(2763),
    [anon_sym_union] = ACTIONS(2763),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2763),
    [anon_sym_decltype] = ACTIONS(2763),
    [sym_virtual] = ACTIONS(2763),
    [anon_sym_explicit] = ACTIONS(2763),
    [anon_sym_typename] = ACTIONS(2763),
    [anon_sym_template] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_friend] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_using] = ACTIONS(2763),
    [anon_sym_static_assert] = ACTIONS(2763),
  },
  [2167] = {
    [sym_identifier] = ACTIONS(5045),
    [aux_sym_preproc_def_token1] = ACTIONS(5045),
    [aux_sym_preproc_if_token1] = ACTIONS(5045),
    [aux_sym_preproc_if_token2] = ACTIONS(5045),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5045),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5045),
    [sym_preproc_directive] = ACTIONS(5045),
    [anon_sym_LPAREN2] = ACTIONS(5047),
    [anon_sym_TILDE] = ACTIONS(5047),
    [anon_sym_STAR] = ACTIONS(5047),
    [anon_sym_AMP_AMP] = ACTIONS(5047),
    [anon_sym_AMP] = ACTIONS(5045),
    [anon_sym___extension__] = ACTIONS(5045),
    [anon_sym_typedef] = ACTIONS(5045),
    [anon_sym_extern] = ACTIONS(5045),
    [anon_sym___attribute__] = ACTIONS(5045),
    [anon_sym_COLON_COLON] = ACTIONS(5047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5047),
    [anon_sym___declspec] = ACTIONS(5045),
    [anon_sym___based] = ACTIONS(5045),
    [anon_sym_signed] = ACTIONS(5045),
    [anon_sym_unsigned] = ACTIONS(5045),
    [anon_sym_long] = ACTIONS(5045),
    [anon_sym_short] = ACTIONS(5045),
    [anon_sym_LBRACK] = ACTIONS(5045),
    [anon_sym_static] = ACTIONS(5045),
    [anon_sym_register] = ACTIONS(5045),
    [anon_sym_inline] = ACTIONS(5045),
    [anon_sym___inline] = ACTIONS(5045),
    [anon_sym___inline__] = ACTIONS(5045),
    [anon_sym___forceinline] = ACTIONS(5045),
    [anon_sym_thread_local] = ACTIONS(5045),
    [anon_sym___thread] = ACTIONS(5045),
    [anon_sym_const] = ACTIONS(5045),
    [anon_sym_constexpr] = ACTIONS(5045),
    [anon_sym_volatile] = ACTIONS(5045),
    [anon_sym_restrict] = ACTIONS(5045),
    [anon_sym___restrict__] = ACTIONS(5045),
    [anon_sym__Atomic] = ACTIONS(5045),
    [anon_sym__Noreturn] = ACTIONS(5045),
    [anon_sym_noreturn] = ACTIONS(5045),
    [anon_sym_mutable] = ACTIONS(5045),
    [anon_sym_constinit] = ACTIONS(5045),
    [anon_sym_consteval] = ACTIONS(5045),
    [anon_sym_alignas] = ACTIONS(5045),
    [anon_sym__Alignas] = ACTIONS(5045),
    [sym_primitive_type] = ACTIONS(5045),
    [anon_sym_enum] = ACTIONS(5045),
    [anon_sym_class] = ACTIONS(5045),
    [anon_sym_struct] = ACTIONS(5045),
    [anon_sym_union] = ACTIONS(5045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5045),
    [anon_sym_decltype] = ACTIONS(5045),
    [sym_virtual] = ACTIONS(5045),
    [anon_sym_explicit] = ACTIONS(5045),
    [anon_sym_typename] = ACTIONS(5045),
    [anon_sym_template] = ACTIONS(5045),
    [anon_sym_operator] = ACTIONS(5045),
    [anon_sym_friend] = ACTIONS(5045),
    [anon_sym_public] = ACTIONS(5045),
    [anon_sym_private] = ACTIONS(5045),
    [anon_sym_protected] = ACTIONS(5045),
    [anon_sym_using] = ACTIONS(5045),
    [anon_sym_static_assert] = ACTIONS(5045),
  },
  [2168] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_AMP_AMP] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2816),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym_COLON_COLON] = ACTIONS(2818),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___based] = ACTIONS(2816),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_mutable] = ACTIONS(2816),
    [anon_sym_constinit] = ACTIONS(2816),
    [anon_sym_consteval] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2816),
    [anon_sym_decltype] = ACTIONS(2816),
    [sym_virtual] = ACTIONS(2816),
    [anon_sym_explicit] = ACTIONS(2816),
    [anon_sym_typename] = ACTIONS(2816),
    [anon_sym_template] = ACTIONS(2816),
    [anon_sym_operator] = ACTIONS(2816),
    [anon_sym_friend] = ACTIONS(2816),
    [anon_sym_public] = ACTIONS(2816),
    [anon_sym_private] = ACTIONS(2816),
    [anon_sym_protected] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(2816),
    [anon_sym_static_assert] = ACTIONS(2816),
  },
  [2169] = {
    [sym_identifier] = ACTIONS(2783),
    [aux_sym_preproc_def_token1] = ACTIONS(2783),
    [aux_sym_preproc_if_token1] = ACTIONS(2783),
    [aux_sym_preproc_if_token2] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2783),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2783),
    [sym_preproc_directive] = ACTIONS(2783),
    [anon_sym_LPAREN2] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2785),
    [anon_sym_STAR] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym___extension__] = ACTIONS(2783),
    [anon_sym_typedef] = ACTIONS(2783),
    [anon_sym_extern] = ACTIONS(2783),
    [anon_sym___attribute__] = ACTIONS(2783),
    [anon_sym_COLON_COLON] = ACTIONS(2785),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2785),
    [anon_sym___declspec] = ACTIONS(2783),
    [anon_sym___based] = ACTIONS(2783),
    [anon_sym_signed] = ACTIONS(2783),
    [anon_sym_unsigned] = ACTIONS(2783),
    [anon_sym_long] = ACTIONS(2783),
    [anon_sym_short] = ACTIONS(2783),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [anon_sym_static] = ACTIONS(2783),
    [anon_sym_register] = ACTIONS(2783),
    [anon_sym_inline] = ACTIONS(2783),
    [anon_sym___inline] = ACTIONS(2783),
    [anon_sym___inline__] = ACTIONS(2783),
    [anon_sym___forceinline] = ACTIONS(2783),
    [anon_sym_thread_local] = ACTIONS(2783),
    [anon_sym___thread] = ACTIONS(2783),
    [anon_sym_const] = ACTIONS(2783),
    [anon_sym_constexpr] = ACTIONS(2783),
    [anon_sym_volatile] = ACTIONS(2783),
    [anon_sym_restrict] = ACTIONS(2783),
    [anon_sym___restrict__] = ACTIONS(2783),
    [anon_sym__Atomic] = ACTIONS(2783),
    [anon_sym__Noreturn] = ACTIONS(2783),
    [anon_sym_noreturn] = ACTIONS(2783),
    [anon_sym_mutable] = ACTIONS(2783),
    [anon_sym_constinit] = ACTIONS(2783),
    [anon_sym_consteval] = ACTIONS(2783),
    [anon_sym_alignas] = ACTIONS(2783),
    [anon_sym__Alignas] = ACTIONS(2783),
    [sym_primitive_type] = ACTIONS(2783),
    [anon_sym_enum] = ACTIONS(2783),
    [anon_sym_class] = ACTIONS(2783),
    [anon_sym_struct] = ACTIONS(2783),
    [anon_sym_union] = ACTIONS(2783),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2783),
    [anon_sym_decltype] = ACTIONS(2783),
    [sym_virtual] = ACTIONS(2783),
    [anon_sym_explicit] = ACTIONS(2783),
    [anon_sym_typename] = ACTIONS(2783),
    [anon_sym_template] = ACTIONS(2783),
    [anon_sym_operator] = ACTIONS(2783),
    [anon_sym_friend] = ACTIONS(2783),
    [anon_sym_public] = ACTIONS(2783),
    [anon_sym_private] = ACTIONS(2783),
    [anon_sym_protected] = ACTIONS(2783),
    [anon_sym_using] = ACTIONS(2783),
    [anon_sym_static_assert] = ACTIONS(2783),
  },
  [2170] = {
    [sym_identifier] = ACTIONS(4965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4967),
    [anon_sym_COMMA] = ACTIONS(4967),
    [anon_sym_RPAREN] = ACTIONS(4967),
    [aux_sym_preproc_if_token2] = ACTIONS(4967),
    [aux_sym_preproc_else_token1] = ACTIONS(4967),
    [aux_sym_preproc_elif_token1] = ACTIONS(4965),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4967),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4967),
    [anon_sym_LPAREN2] = ACTIONS(4967),
    [anon_sym_DASH] = ACTIONS(4965),
    [anon_sym_PLUS] = ACTIONS(4965),
    [anon_sym_STAR] = ACTIONS(4965),
    [anon_sym_SLASH] = ACTIONS(4965),
    [anon_sym_PERCENT] = ACTIONS(4965),
    [anon_sym_PIPE_PIPE] = ACTIONS(4967),
    [anon_sym_AMP_AMP] = ACTIONS(4967),
    [anon_sym_PIPE] = ACTIONS(4965),
    [anon_sym_CARET] = ACTIONS(4965),
    [anon_sym_AMP] = ACTIONS(4965),
    [anon_sym_EQ_EQ] = ACTIONS(4967),
    [anon_sym_BANG_EQ] = ACTIONS(4967),
    [anon_sym_GT] = ACTIONS(4965),
    [anon_sym_GT_EQ] = ACTIONS(4967),
    [anon_sym_LT_EQ] = ACTIONS(4965),
    [anon_sym_LT] = ACTIONS(4965),
    [anon_sym_LT_LT] = ACTIONS(4965),
    [anon_sym_GT_GT] = ACTIONS(4965),
    [anon_sym_SEMI] = ACTIONS(4967),
    [anon_sym___attribute__] = ACTIONS(4965),
    [anon_sym_LBRACE] = ACTIONS(4967),
    [anon_sym_RBRACE] = ACTIONS(4967),
    [anon_sym_LBRACK] = ACTIONS(4967),
    [anon_sym_RBRACK] = ACTIONS(4967),
    [anon_sym_EQ] = ACTIONS(4965),
    [anon_sym_COLON] = ACTIONS(4967),
    [anon_sym_QMARK] = ACTIONS(4967),
    [anon_sym_STAR_EQ] = ACTIONS(4967),
    [anon_sym_SLASH_EQ] = ACTIONS(4967),
    [anon_sym_PERCENT_EQ] = ACTIONS(4967),
    [anon_sym_PLUS_EQ] = ACTIONS(4967),
    [anon_sym_DASH_EQ] = ACTIONS(4967),
    [anon_sym_LT_LT_EQ] = ACTIONS(4967),
    [anon_sym_GT_GT_EQ] = ACTIONS(4967),
    [anon_sym_AMP_EQ] = ACTIONS(4967),
    [anon_sym_CARET_EQ] = ACTIONS(4967),
    [anon_sym_PIPE_EQ] = ACTIONS(4967),
    [anon_sym_and_eq] = ACTIONS(4965),
    [anon_sym_or_eq] = ACTIONS(4965),
    [anon_sym_xor_eq] = ACTIONS(4965),
    [anon_sym_LT_EQ_GT] = ACTIONS(4967),
    [anon_sym_or] = ACTIONS(4965),
    [anon_sym_and] = ACTIONS(4965),
    [anon_sym_bitor] = ACTIONS(4965),
    [anon_sym_xor] = ACTIONS(4965),
    [anon_sym_bitand] = ACTIONS(4965),
    [anon_sym_not_eq] = ACTIONS(4965),
    [anon_sym_DASH_DASH] = ACTIONS(4967),
    [anon_sym_PLUS_PLUS] = ACTIONS(4967),
    [anon_sym_DOT] = ACTIONS(4965),
    [anon_sym_DOT_STAR] = ACTIONS(4967),
    [anon_sym_DASH_GT] = ACTIONS(4967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4965),
    [anon_sym_decltype] = ACTIONS(4965),
  },
  [2171] = {
    [sym_identifier] = ACTIONS(5053),
    [aux_sym_preproc_def_token1] = ACTIONS(5053),
    [aux_sym_preproc_if_token1] = ACTIONS(5053),
    [aux_sym_preproc_if_token2] = ACTIONS(5053),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5053),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5053),
    [sym_preproc_directive] = ACTIONS(5053),
    [anon_sym_LPAREN2] = ACTIONS(5055),
    [anon_sym_TILDE] = ACTIONS(5055),
    [anon_sym_STAR] = ACTIONS(5055),
    [anon_sym_AMP_AMP] = ACTIONS(5055),
    [anon_sym_AMP] = ACTIONS(5053),
    [anon_sym___extension__] = ACTIONS(5053),
    [anon_sym_typedef] = ACTIONS(5053),
    [anon_sym_extern] = ACTIONS(5053),
    [anon_sym___attribute__] = ACTIONS(5053),
    [anon_sym_COLON_COLON] = ACTIONS(5055),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5055),
    [anon_sym___declspec] = ACTIONS(5053),
    [anon_sym___based] = ACTIONS(5053),
    [anon_sym_signed] = ACTIONS(5053),
    [anon_sym_unsigned] = ACTIONS(5053),
    [anon_sym_long] = ACTIONS(5053),
    [anon_sym_short] = ACTIONS(5053),
    [anon_sym_LBRACK] = ACTIONS(5053),
    [anon_sym_static] = ACTIONS(5053),
    [anon_sym_register] = ACTIONS(5053),
    [anon_sym_inline] = ACTIONS(5053),
    [anon_sym___inline] = ACTIONS(5053),
    [anon_sym___inline__] = ACTIONS(5053),
    [anon_sym___forceinline] = ACTIONS(5053),
    [anon_sym_thread_local] = ACTIONS(5053),
    [anon_sym___thread] = ACTIONS(5053),
    [anon_sym_const] = ACTIONS(5053),
    [anon_sym_constexpr] = ACTIONS(5053),
    [anon_sym_volatile] = ACTIONS(5053),
    [anon_sym_restrict] = ACTIONS(5053),
    [anon_sym___restrict__] = ACTIONS(5053),
    [anon_sym__Atomic] = ACTIONS(5053),
    [anon_sym__Noreturn] = ACTIONS(5053),
    [anon_sym_noreturn] = ACTIONS(5053),
    [anon_sym_mutable] = ACTIONS(5053),
    [anon_sym_constinit] = ACTIONS(5053),
    [anon_sym_consteval] = ACTIONS(5053),
    [anon_sym_alignas] = ACTIONS(5053),
    [anon_sym__Alignas] = ACTIONS(5053),
    [sym_primitive_type] = ACTIONS(5053),
    [anon_sym_enum] = ACTIONS(5053),
    [anon_sym_class] = ACTIONS(5053),
    [anon_sym_struct] = ACTIONS(5053),
    [anon_sym_union] = ACTIONS(5053),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5053),
    [anon_sym_decltype] = ACTIONS(5053),
    [sym_virtual] = ACTIONS(5053),
    [anon_sym_explicit] = ACTIONS(5053),
    [anon_sym_typename] = ACTIONS(5053),
    [anon_sym_template] = ACTIONS(5053),
    [anon_sym_operator] = ACTIONS(5053),
    [anon_sym_friend] = ACTIONS(5053),
    [anon_sym_public] = ACTIONS(5053),
    [anon_sym_private] = ACTIONS(5053),
    [anon_sym_protected] = ACTIONS(5053),
    [anon_sym_using] = ACTIONS(5053),
    [anon_sym_static_assert] = ACTIONS(5053),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(5057),
    [aux_sym_preproc_def_token1] = ACTIONS(5057),
    [aux_sym_preproc_if_token1] = ACTIONS(5057),
    [aux_sym_preproc_if_token2] = ACTIONS(5057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5057),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5057),
    [sym_preproc_directive] = ACTIONS(5057),
    [anon_sym_LPAREN2] = ACTIONS(5059),
    [anon_sym_TILDE] = ACTIONS(5059),
    [anon_sym_STAR] = ACTIONS(5059),
    [anon_sym_AMP_AMP] = ACTIONS(5059),
    [anon_sym_AMP] = ACTIONS(5057),
    [anon_sym___extension__] = ACTIONS(5057),
    [anon_sym_typedef] = ACTIONS(5057),
    [anon_sym_extern] = ACTIONS(5057),
    [anon_sym___attribute__] = ACTIONS(5057),
    [anon_sym_COLON_COLON] = ACTIONS(5059),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5059),
    [anon_sym___declspec] = ACTIONS(5057),
    [anon_sym___based] = ACTIONS(5057),
    [anon_sym_signed] = ACTIONS(5057),
    [anon_sym_unsigned] = ACTIONS(5057),
    [anon_sym_long] = ACTIONS(5057),
    [anon_sym_short] = ACTIONS(5057),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [anon_sym_static] = ACTIONS(5057),
    [anon_sym_register] = ACTIONS(5057),
    [anon_sym_inline] = ACTIONS(5057),
    [anon_sym___inline] = ACTIONS(5057),
    [anon_sym___inline__] = ACTIONS(5057),
    [anon_sym___forceinline] = ACTIONS(5057),
    [anon_sym_thread_local] = ACTIONS(5057),
    [anon_sym___thread] = ACTIONS(5057),
    [anon_sym_const] = ACTIONS(5057),
    [anon_sym_constexpr] = ACTIONS(5057),
    [anon_sym_volatile] = ACTIONS(5057),
    [anon_sym_restrict] = ACTIONS(5057),
    [anon_sym___restrict__] = ACTIONS(5057),
    [anon_sym__Atomic] = ACTIONS(5057),
    [anon_sym__Noreturn] = ACTIONS(5057),
    [anon_sym_noreturn] = ACTIONS(5057),
    [anon_sym_mutable] = ACTIONS(5057),
    [anon_sym_constinit] = ACTIONS(5057),
    [anon_sym_consteval] = ACTIONS(5057),
    [anon_sym_alignas] = ACTIONS(5057),
    [anon_sym__Alignas] = ACTIONS(5057),
    [sym_primitive_type] = ACTIONS(5057),
    [anon_sym_enum] = ACTIONS(5057),
    [anon_sym_class] = ACTIONS(5057),
    [anon_sym_struct] = ACTIONS(5057),
    [anon_sym_union] = ACTIONS(5057),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5057),
    [anon_sym_decltype] = ACTIONS(5057),
    [sym_virtual] = ACTIONS(5057),
    [anon_sym_explicit] = ACTIONS(5057),
    [anon_sym_typename] = ACTIONS(5057),
    [anon_sym_template] = ACTIONS(5057),
    [anon_sym_operator] = ACTIONS(5057),
    [anon_sym_friend] = ACTIONS(5057),
    [anon_sym_public] = ACTIONS(5057),
    [anon_sym_private] = ACTIONS(5057),
    [anon_sym_protected] = ACTIONS(5057),
    [anon_sym_using] = ACTIONS(5057),
    [anon_sym_static_assert] = ACTIONS(5057),
  },
  [2173] = {
    [sym_identifier] = ACTIONS(5061),
    [aux_sym_preproc_def_token1] = ACTIONS(5061),
    [aux_sym_preproc_if_token1] = ACTIONS(5061),
    [aux_sym_preproc_if_token2] = ACTIONS(5061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5061),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5061),
    [sym_preproc_directive] = ACTIONS(5061),
    [anon_sym_LPAREN2] = ACTIONS(5063),
    [anon_sym_TILDE] = ACTIONS(5063),
    [anon_sym_STAR] = ACTIONS(5063),
    [anon_sym_AMP_AMP] = ACTIONS(5063),
    [anon_sym_AMP] = ACTIONS(5061),
    [anon_sym___extension__] = ACTIONS(5061),
    [anon_sym_typedef] = ACTIONS(5061),
    [anon_sym_extern] = ACTIONS(5061),
    [anon_sym___attribute__] = ACTIONS(5061),
    [anon_sym_COLON_COLON] = ACTIONS(5063),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5063),
    [anon_sym___declspec] = ACTIONS(5061),
    [anon_sym___based] = ACTIONS(5061),
    [anon_sym_signed] = ACTIONS(5061),
    [anon_sym_unsigned] = ACTIONS(5061),
    [anon_sym_long] = ACTIONS(5061),
    [anon_sym_short] = ACTIONS(5061),
    [anon_sym_LBRACK] = ACTIONS(5061),
    [anon_sym_static] = ACTIONS(5061),
    [anon_sym_register] = ACTIONS(5061),
    [anon_sym_inline] = ACTIONS(5061),
    [anon_sym___inline] = ACTIONS(5061),
    [anon_sym___inline__] = ACTIONS(5061),
    [anon_sym___forceinline] = ACTIONS(5061),
    [anon_sym_thread_local] = ACTIONS(5061),
    [anon_sym___thread] = ACTIONS(5061),
    [anon_sym_const] = ACTIONS(5061),
    [anon_sym_constexpr] = ACTIONS(5061),
    [anon_sym_volatile] = ACTIONS(5061),
    [anon_sym_restrict] = ACTIONS(5061),
    [anon_sym___restrict__] = ACTIONS(5061),
    [anon_sym__Atomic] = ACTIONS(5061),
    [anon_sym__Noreturn] = ACTIONS(5061),
    [anon_sym_noreturn] = ACTIONS(5061),
    [anon_sym_mutable] = ACTIONS(5061),
    [anon_sym_constinit] = ACTIONS(5061),
    [anon_sym_consteval] = ACTIONS(5061),
    [anon_sym_alignas] = ACTIONS(5061),
    [anon_sym__Alignas] = ACTIONS(5061),
    [sym_primitive_type] = ACTIONS(5061),
    [anon_sym_enum] = ACTIONS(5061),
    [anon_sym_class] = ACTIONS(5061),
    [anon_sym_struct] = ACTIONS(5061),
    [anon_sym_union] = ACTIONS(5061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5061),
    [anon_sym_decltype] = ACTIONS(5061),
    [sym_virtual] = ACTIONS(5061),
    [anon_sym_explicit] = ACTIONS(5061),
    [anon_sym_typename] = ACTIONS(5061),
    [anon_sym_template] = ACTIONS(5061),
    [anon_sym_operator] = ACTIONS(5061),
    [anon_sym_friend] = ACTIONS(5061),
    [anon_sym_public] = ACTIONS(5061),
    [anon_sym_private] = ACTIONS(5061),
    [anon_sym_protected] = ACTIONS(5061),
    [anon_sym_using] = ACTIONS(5061),
    [anon_sym_static_assert] = ACTIONS(5061),
  },
  [2174] = {
    [sym_identifier] = ACTIONS(2668),
    [aux_sym_preproc_def_token1] = ACTIONS(2668),
    [aux_sym_preproc_if_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2668),
    [sym_preproc_directive] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_AMP_AMP] = ACTIONS(2670),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_typedef] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_COLON_COLON] = ACTIONS(2670),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym___based] = ACTIONS(2668),
    [anon_sym_RBRACE] = ACTIONS(2670),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [anon_sym_mutable] = ACTIONS(2668),
    [anon_sym_constinit] = ACTIONS(2668),
    [anon_sym_consteval] = ACTIONS(2668),
    [anon_sym_alignas] = ACTIONS(2668),
    [anon_sym__Alignas] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2668),
    [anon_sym_decltype] = ACTIONS(2668),
    [sym_virtual] = ACTIONS(2668),
    [anon_sym_explicit] = ACTIONS(2668),
    [anon_sym_typename] = ACTIONS(2668),
    [anon_sym_template] = ACTIONS(2668),
    [anon_sym_operator] = ACTIONS(2668),
    [anon_sym_friend] = ACTIONS(2668),
    [anon_sym_public] = ACTIONS(2668),
    [anon_sym_private] = ACTIONS(2668),
    [anon_sym_protected] = ACTIONS(2668),
    [anon_sym_using] = ACTIONS(2668),
    [anon_sym_static_assert] = ACTIONS(2668),
  },
  [2175] = {
    [sym_identifier] = ACTIONS(4969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4971),
    [anon_sym_COMMA] = ACTIONS(4971),
    [anon_sym_RPAREN] = ACTIONS(4971),
    [aux_sym_preproc_if_token2] = ACTIONS(4971),
    [aux_sym_preproc_else_token1] = ACTIONS(4971),
    [aux_sym_preproc_elif_token1] = ACTIONS(4969),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4971),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4971),
    [anon_sym_LPAREN2] = ACTIONS(4971),
    [anon_sym_DASH] = ACTIONS(4969),
    [anon_sym_PLUS] = ACTIONS(4969),
    [anon_sym_STAR] = ACTIONS(4969),
    [anon_sym_SLASH] = ACTIONS(4969),
    [anon_sym_PERCENT] = ACTIONS(4969),
    [anon_sym_PIPE_PIPE] = ACTIONS(4971),
    [anon_sym_AMP_AMP] = ACTIONS(4971),
    [anon_sym_PIPE] = ACTIONS(4969),
    [anon_sym_CARET] = ACTIONS(4969),
    [anon_sym_AMP] = ACTIONS(4969),
    [anon_sym_EQ_EQ] = ACTIONS(4971),
    [anon_sym_BANG_EQ] = ACTIONS(4971),
    [anon_sym_GT] = ACTIONS(4969),
    [anon_sym_GT_EQ] = ACTIONS(4971),
    [anon_sym_LT_EQ] = ACTIONS(4969),
    [anon_sym_LT] = ACTIONS(4969),
    [anon_sym_LT_LT] = ACTIONS(4969),
    [anon_sym_GT_GT] = ACTIONS(4969),
    [anon_sym_SEMI] = ACTIONS(4971),
    [anon_sym___attribute__] = ACTIONS(4969),
    [anon_sym_LBRACE] = ACTIONS(4971),
    [anon_sym_RBRACE] = ACTIONS(4971),
    [anon_sym_LBRACK] = ACTIONS(4971),
    [anon_sym_RBRACK] = ACTIONS(4971),
    [anon_sym_EQ] = ACTIONS(4969),
    [anon_sym_COLON] = ACTIONS(4971),
    [anon_sym_QMARK] = ACTIONS(4971),
    [anon_sym_STAR_EQ] = ACTIONS(4971),
    [anon_sym_SLASH_EQ] = ACTIONS(4971),
    [anon_sym_PERCENT_EQ] = ACTIONS(4971),
    [anon_sym_PLUS_EQ] = ACTIONS(4971),
    [anon_sym_DASH_EQ] = ACTIONS(4971),
    [anon_sym_LT_LT_EQ] = ACTIONS(4971),
    [anon_sym_GT_GT_EQ] = ACTIONS(4971),
    [anon_sym_AMP_EQ] = ACTIONS(4971),
    [anon_sym_CARET_EQ] = ACTIONS(4971),
    [anon_sym_PIPE_EQ] = ACTIONS(4971),
    [anon_sym_and_eq] = ACTIONS(4969),
    [anon_sym_or_eq] = ACTIONS(4969),
    [anon_sym_xor_eq] = ACTIONS(4969),
    [anon_sym_LT_EQ_GT] = ACTIONS(4971),
    [anon_sym_or] = ACTIONS(4969),
    [anon_sym_and] = ACTIONS(4969),
    [anon_sym_bitor] = ACTIONS(4969),
    [anon_sym_xor] = ACTIONS(4969),
    [anon_sym_bitand] = ACTIONS(4969),
    [anon_sym_not_eq] = ACTIONS(4969),
    [anon_sym_DASH_DASH] = ACTIONS(4971),
    [anon_sym_PLUS_PLUS] = ACTIONS(4971),
    [anon_sym_DOT] = ACTIONS(4969),
    [anon_sym_DOT_STAR] = ACTIONS(4971),
    [anon_sym_DASH_GT] = ACTIONS(4971),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4969),
    [anon_sym_decltype] = ACTIONS(4969),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_friend] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_protected] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
  },
  [2177] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_AMP_AMP] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___based] = ACTIONS(2580),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_mutable] = ACTIONS(2580),
    [anon_sym_constinit] = ACTIONS(2580),
    [anon_sym_consteval] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2580),
    [anon_sym_decltype] = ACTIONS(2580),
    [sym_virtual] = ACTIONS(2580),
    [anon_sym_explicit] = ACTIONS(2580),
    [anon_sym_typename] = ACTIONS(2580),
    [anon_sym_template] = ACTIONS(2580),
    [anon_sym_operator] = ACTIONS(2580),
    [anon_sym_friend] = ACTIONS(2580),
    [anon_sym_public] = ACTIONS(2580),
    [anon_sym_private] = ACTIONS(2580),
    [anon_sym_protected] = ACTIONS(2580),
    [anon_sym_using] = ACTIONS(2580),
    [anon_sym_static_assert] = ACTIONS(2580),
  },
  [2178] = {
    [sym_attribute_declaration] = STATE(1966),
    [aux_sym_attributed_declarator_repeat1] = STATE(1966),
    [sym_identifier] = ACTIONS(5613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_RPAREN] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5613),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5615),
    [anon_sym_DASH] = ACTIONS(5613),
    [anon_sym_PLUS] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_SLASH] = ACTIONS(5613),
    [anon_sym_PERCENT] = ACTIONS(5613),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5613),
    [anon_sym_CARET] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5613),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5613),
    [anon_sym_LT] = ACTIONS(5613),
    [anon_sym_LT_LT] = ACTIONS(5613),
    [anon_sym_GT_GT] = ACTIONS(5613),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5396),
    [anon_sym_RBRACE] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5613),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_EQ] = ACTIONS(5613),
    [anon_sym_COLON] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_STAR_EQ] = ACTIONS(5615),
    [anon_sym_SLASH_EQ] = ACTIONS(5615),
    [anon_sym_PERCENT_EQ] = ACTIONS(5615),
    [anon_sym_PLUS_EQ] = ACTIONS(5615),
    [anon_sym_DASH_EQ] = ACTIONS(5615),
    [anon_sym_LT_LT_EQ] = ACTIONS(5615),
    [anon_sym_GT_GT_EQ] = ACTIONS(5615),
    [anon_sym_AMP_EQ] = ACTIONS(5615),
    [anon_sym_CARET_EQ] = ACTIONS(5615),
    [anon_sym_PIPE_EQ] = ACTIONS(5615),
    [anon_sym_and_eq] = ACTIONS(5613),
    [anon_sym_or_eq] = ACTIONS(5613),
    [anon_sym_xor_eq] = ACTIONS(5613),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5613),
    [anon_sym_and] = ACTIONS(5613),
    [anon_sym_bitor] = ACTIONS(5613),
    [anon_sym_xor] = ACTIONS(5613),
    [anon_sym_bitand] = ACTIONS(5613),
    [anon_sym_not_eq] = ACTIONS(5613),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5613),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1620), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5617), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5382), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [75] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4928), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [146] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    STATE(1726), 1,
      sym_attribute_specifier,
    STATE(2291), 1,
      sym_enumerator_list,
    ACTIONS(5326), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5328), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4479), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4477), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4536), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4534), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4540), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4538), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [438] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(3831), 1,
      anon_sym_STAR,
    ACTIONS(3833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3835), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5350), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6050), 1,
      sym__declarator,
    STATE(6251), 1,
      sym__abstract_declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2719), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [565] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 1,
      sym_literal_suffix,
    STATE(1879), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5422), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5424), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3770), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(3778), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4920), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [715] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    STATE(1674), 1,
      sym_attribute_specifier,
    STATE(2235), 1,
      sym_enumerator_list,
    ACTIONS(5318), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5320), 49,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4920), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [865] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5629), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5633), 1,
      anon_sym_or,
    ACTIONS(5635), 1,
      anon_sym_and,
    ACTIONS(5627), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5625), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4544), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4542), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [1015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4817), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2198), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5374), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4546), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [1232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2179), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5639), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5332), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5330), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4926), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4924), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [1380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4926), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4924), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [1453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1620), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5617), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5369), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5367), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4552), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4550), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [1599] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5641), 1,
      sym_identifier,
    STATE(2200), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5644), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5647), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4781), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4779), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [1678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5650), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4910), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4912), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1882), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [1824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5650), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5142), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5144), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4580), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4922), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4920), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [2045] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym___attribute__,
    ACTIONS(5322), 1,
      anon_sym_LBRACE,
    ACTIONS(5656), 1,
      anon_sym_COLON,
    STATE(1845), 1,
      sym__enum_base_clause,
    STATE(1887), 1,
      sym_enumerator_list,
    STATE(2129), 1,
      sym_attribute_specifier,
    ACTIONS(5652), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5654), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2128] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym___attribute__,
    ACTIONS(5322), 1,
      anon_sym_LBRACE,
    ACTIONS(5656), 1,
      anon_sym_COLON,
    STATE(1840), 1,
      sym__enum_base_clause,
    STATE(1873), 1,
      sym_enumerator_list,
    STATE(2069), 1,
      sym_attribute_specifier,
    ACTIONS(5658), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5660), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5666), 1,
      anon_sym_LT,
    STATE(2209), 1,
      sym_template_argument_list,
    ACTIONS(5662), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5664), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5669), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5671), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4821), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [2432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1620), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5617), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5305), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5303), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2507] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5673), 1,
      sym_identifier,
    STATE(2200), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3846), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3848), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4760), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4758), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5679), 1,
      anon_sym_LT,
    STATE(2209), 1,
      sym_template_argument_list,
    ACTIONS(5675), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5677), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4556), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4554), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [2734] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 1,
      sym_identifier,
    STATE(2212), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3846), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3848), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4766), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4764), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1957), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5567), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4910), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4912), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [2888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4928), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [2959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5635), 1,
      anon_sym_and,
    ACTIONS(5686), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5684), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [3034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4922), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4920), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [3107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4813), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4922), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4920), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [3251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_LBRACK,
    STATE(2288), 1,
      sym_new_declarator,
    ACTIONS(5688), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5690), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4821), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4829), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4922), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4920), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [3541] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(3831), 1,
      anon_sym_STAR,
    ACTIONS(3833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3835), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5338), 1,
      anon_sym_RPAREN,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6012), 1,
      sym__declarator,
    STATE(6234), 1,
      sym__abstract_declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2185), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(2717), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [3668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1620), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5617), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5356), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5354), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [3743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4829), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4817), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [3885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1876), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1878), 56,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [3956] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 1,
      sym_literal_suffix,
    STATE(1879), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5422), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5424), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4949), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4947), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [4035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4813), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [4106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5696), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5692), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5694), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    STATE(1662), 1,
      sym_attribute_specifier,
    ACTIONS(5504), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5506), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [4252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    STATE(1688), 1,
      sym_attribute_specifier,
    ACTIONS(5490), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5492), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [4326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1997), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5698), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5305), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5303), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [4400] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5700), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5702), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    STATE(1668), 1,
      sym_attribute_specifier,
    ACTIONS(5386), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5388), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [4558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4821), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [4628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1997), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5698), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5356), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5354), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [4702] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(2519), 1,
      sym_field_declaration_list,
    STATE(2636), 1,
      sym_attribute_specifier,
    STATE(6599), 1,
      sym_virtual_specifier,
    STATE(7272), 1,
      sym_base_class_clause,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4854), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4856), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [4788] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5716), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5718), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [4872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5720), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5722), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    STATE(1673), 1,
      sym_attribute_specifier,
    ACTIONS(5404), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5406), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [5016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2258), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5724), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5374), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [5090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2259), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5726), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5332), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5330), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [5164] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5728), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5730), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [5248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4813), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5318] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    STATE(2680), 1,
      sym_field_declaration_list,
    STATE(2824), 1,
      sym_attribute_specifier,
    STATE(6471), 1,
      sym_virtual_specifier,
    STATE(7239), 1,
      sym_base_class_clause,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4854), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4856), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [5404] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5736), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5738), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [5486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5742), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    STATE(1684), 1,
      sym_attribute_specifier,
    ACTIONS(5438), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5440), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [5630] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2279), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4791), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5744), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5112), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5115), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [5706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    STATE(1685), 1,
      sym_attribute_specifier,
    ACTIONS(5442), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5444), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [5780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4813), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5850] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5747), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5749), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [5932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3642), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3644), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1997), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5698), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5369), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5367), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [6076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1997), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5698), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5382), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [6150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5753), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6220] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(2396), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5755), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5279), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5281), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [6298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4817), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    STATE(1731), 1,
      sym_attribute_specifier,
    ACTIONS(5400), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5402), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [6442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2236), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5142), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5144), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [6516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4817), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5753), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5761), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4829), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4821), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4829), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5765), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5753), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5769), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4813), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4817), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    STATE(1697), 1,
      sym_attribute_specifier,
    ACTIONS(5466), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5468), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [7360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    STATE(1732), 1,
      sym_attribute_specifier,
    ACTIONS(5446), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5448), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [7434] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5771), 1,
      sym_identifier,
    ACTIONS(5775), 1,
      sym_primitive_type,
    STATE(2253), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5773), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5204), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5206), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [7512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2279), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5744), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4793), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(4791), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [7586] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5777), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5779), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [7670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5783), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5787), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3618), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4821), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [7950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4829), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    STATE(1725), 1,
      sym_attribute_specifier,
    ACTIONS(5450), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5452), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [8094] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5789), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [8178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5795), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    STATE(1719), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5481), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [8322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      anon_sym_LT,
    STATE(2204), 1,
      sym_template_argument_list,
    ACTIONS(5797), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5799), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    STATE(1675), 1,
      sym_attribute_specifier,
    ACTIONS(5432), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5434), 50,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [8470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4727), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5804), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5806), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5810), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5808), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [8677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5812), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5814), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5816), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5818), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2542), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5820), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5822), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4821), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [9022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5826), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5828), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5830), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4707), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5834), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1876), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5838), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2306), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5840), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4793), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4791), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [9509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5845), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5849), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5853), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5861), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5865), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3770), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4735), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10061] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5867), 1,
      sym_identifier,
    ACTIONS(5871), 1,
      sym_primitive_type,
    STATE(2360), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5204), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5206), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [10138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4817), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [10207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5242), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4813), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [10345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4723), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5873), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5875), 1,
      anon_sym_and,
    ACTIONS(5684), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5686), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5879), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5883), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5887), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4747), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5889), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5891), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10832] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5897), 1,
      sym_auto,
    ACTIONS(5899), 1,
      anon_sym_decltype,
    ACTIONS(5901), 1,
      sym_virtual,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2422), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4893), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(5895), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4891), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5893), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [10925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5905), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5909), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11063] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5911), 1,
      anon_sym_LT,
    STATE(2396), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2490), 1,
      sym_template_argument_list,
    ACTIONS(5755), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3776), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [11142] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 1,
      anon_sym_LBRACE,
    ACTIONS(5913), 1,
      anon_sym___attribute__,
    ACTIONS(5915), 1,
      anon_sym_COLON,
    STATE(1840), 1,
      sym__enum_base_clause,
    STATE(1873), 1,
      sym_enumerator_list,
    STATE(2069), 1,
      sym_attribute_specifier,
    ACTIONS(5658), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5660), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [11223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2236), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4910), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4912), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [11296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4737), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4739), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4743), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5919), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5923), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5694), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11641] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5873), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5875), 1,
      anon_sym_and,
    ACTIONS(5925), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5927), 1,
      anon_sym_or,
    ACTIONS(5625), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5627), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4829), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [11787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5931), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4749), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4751), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5935), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5933), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [11994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4501), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5937), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5939), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3770), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4731), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5941), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5943), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12339] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 1,
      anon_sym_LBRACE,
    ACTIONS(5913), 1,
      anon_sym___attribute__,
    ACTIONS(5915), 1,
      anon_sym_COLON,
    STATE(1845), 1,
      sym__enum_base_clause,
    STATE(1887), 1,
      sym_enumerator_list,
    STATE(2129), 1,
      sym_attribute_specifier,
    ACTIONS(5652), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5654), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [12420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4501), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5945), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5947), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12558] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      sym_literal_suffix,
    STATE(2215), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3846), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3848), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4947), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4949), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [12635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4501), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4501), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4501), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4501), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5951), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5955), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13049] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      sym_literal_suffix,
    STATE(2215), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3846), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3848), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3778), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [13126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5959), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5963), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13264] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2306), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4791), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5840), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5112), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5115), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [13339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5967), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4707), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5971), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5975), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3552), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4711), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4703), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5845), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13891] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    STATE(2723), 1,
      sym_field_declaration_list,
    STATE(2930), 1,
      sym_attribute_specifier,
    STATE(6648), 1,
      sym_virtual_specifier,
    STATE(7079), 1,
      sym_base_class_clause,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4854), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4856), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [13976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5983), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5987), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1880), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5991), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5995), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14321] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5897), 1,
      sym_auto,
    ACTIONS(5899), 1,
      anon_sym_decltype,
    ACTIONS(6001), 1,
      sym_virtual,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2426), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4893), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(5999), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4891), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5997), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [14414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6003), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6005), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14483] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(2492), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5279), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5281), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [14560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6011), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6015), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6019), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4707), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6023), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4715), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6025), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [15043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4719), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6031), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6035), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5897), 1,
      sym_auto,
    ACTIONS(5899), 1,
      anon_sym_decltype,
    STATE(2418), 1,
      sym_decltype_auto,
    ACTIONS(4883), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4881), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4916), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15392] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 1,
      sym_identifier,
    STATE(2390), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6040), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6043), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4781), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4779), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15468] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    STATE(2479), 1,
      sym_attribute_specifier,
    STATE(2922), 1,
      sym_field_declaration_list,
    STATE(6565), 1,
      sym_virtual_specifier,
    STATE(7352), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4856), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4854), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [15552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4829), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2408), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6050), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5142), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5144), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4912), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4910), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2279), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6052), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5369), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5367), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2279), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6052), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5356), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5354), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2279), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6052), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5382), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2395), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5374), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6056), 1,
      anon_sym_LT,
    STATE(2490), 1,
      sym_template_argument_list,
    ACTIONS(4499), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4506), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [16124] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      sym_identifier,
    STATE(2407), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4766), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4764), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4817), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4813), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5911), 1,
      anon_sym_LT,
    STATE(2490), 1,
      sym_template_argument_list,
    ACTIONS(5017), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3794), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [16410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2397), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6061), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5332), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5330), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16482] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5281), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5279), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [16560] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6065), 1,
      anon_sym_LT,
    STATE(2492), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2510), 1,
      sym_template_argument_list,
    ACTIONS(6007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3776), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [16638] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6067), 1,
      sym_identifier,
    STATE(2390), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4760), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4758), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2279), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6052), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5305), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5303), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4821), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4967), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4965), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [16921] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(6069), 1,
      anon_sym_LPAREN2,
    STATE(2307), 1,
      sym_argument_list,
    STATE(2500), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3741), 1,
      sym_initializer_list,
    ACTIONS(6072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4912), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(4910), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [17000] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6074), 1,
      sym_identifier,
    ACTIONS(6079), 1,
      sym_primitive_type,
    STATE(2486), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6077), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5204), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5206), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [17075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4941), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4939), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4975), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4973), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4979), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4977), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4983), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4981), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2417), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6081), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4791), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4793), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [17414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5178), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5005), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5009), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5013), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17682] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6088), 1,
      sym_virtual,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2491), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4893), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6086), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4891), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6084), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [17767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6090), 1,
      sym_identifier,
    ACTIONS(6094), 1,
      sym_primitive_type,
    STATE(2424), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6092), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5206), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5204), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [17842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2417), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4791), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6081), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5115), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5112), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [17915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4479), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [17982] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6088), 1,
      sym_virtual,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2491), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4893), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6098), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4891), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6096), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [18067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4536), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4540), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4544), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4548), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4552), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4556), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4821), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4829), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4585), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6100), 1,
      anon_sym_LT,
    STATE(2510), 1,
      sym_template_argument_list,
    ACTIONS(4499), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4506), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [18743] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    ACTIONS(6103), 1,
      anon_sym_LBRACE,
    STATE(2527), 1,
      sym_enumerator_list,
    STATE(2665), 1,
      sym_attribute_specifier,
    ACTIONS(5326), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5328), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5218), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5216), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18885] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    ACTIONS(6103), 1,
      anon_sym_LBRACE,
    STATE(2495), 1,
      sym_enumerator_list,
    STATE(2639), 1,
      sym_attribute_specifier,
    ACTIONS(5318), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5320), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [18960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5222), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5220), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5226), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5224), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5228), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [19161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2306), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6105), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5305), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5303), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19232] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6065), 1,
      anon_sym_LT,
    STATE(2510), 1,
      sym_template_argument_list,
    ACTIONS(5017), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3794), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [19305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4813), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [19372] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    STATE(2952), 1,
      sym_field_declaration_list,
    STATE(3175), 1,
      sym_attribute_specifier,
    STATE(6400), 1,
      sym_virtual_specifier,
    STATE(7172), 1,
      sym_base_class_clause,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4854), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4856), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4920), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4922), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4920), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4922), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2453), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5374), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2454), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6113), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5332), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5330), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4930), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [19802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(4817), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [19869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2306), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6105), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5369), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5367), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [19940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2306), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6105), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5382), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [20011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2443), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6115), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5142), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5144), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [20082] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(2545), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6117), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5279), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5281), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20157] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    ACTIONS(6119), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_COLON,
    STATE(2581), 1,
      sym__enum_base_clause,
    STATE(2678), 1,
      sym_enumerator_list,
    STATE(2816), 1,
      sym_attribute_specifier,
    ACTIONS(5652), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5654), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5021), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5049), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20370] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    ACTIONS(6119), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_COLON,
    STATE(2538), 1,
      sym__enum_base_clause,
    STATE(2622), 1,
      sym_enumerator_list,
    STATE(2797), 1,
      sym_attribute_specifier,
    ACTIONS(5658), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5660), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [20449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5198), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5118), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5124), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5122), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5128), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5126), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5144), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5142), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5148), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5146), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5152), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5150), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5164), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5162), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5174), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5168), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5166), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5172), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5170), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5174), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5234), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5232), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4943), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4953), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4957), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4910), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4961), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4971), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4969), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4924), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4926), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [21791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4961), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4961), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5186), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [21992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4924), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4926), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2408), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6050), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4910), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4912), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [22132] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym_primitive_type,
    STATE(1914), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5112), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5115), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [22205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4920), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4922), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [22274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4920), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4922), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [22343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4930), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [22410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4585), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [22477] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym___attribute__,
    ACTIONS(6136), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6139), 1,
      anon_sym___declspec,
    ACTIONS(6145), 1,
      sym_virtual,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(6142), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2491), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6130), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6125), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6127), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6123), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [22562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2306), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6105), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5356), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5354), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [22633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    STATE(2654), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5481), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2500), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5144), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5142), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [22773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    STATE(2601), 1,
      sym_attribute_specifier,
    ACTIONS(5490), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5492), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    STATE(2607), 1,
      sym_attribute_specifier,
    ACTIONS(5466), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5468), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [22913] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6150), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      sym_auto,
    ACTIONS(6154), 1,
      anon_sym_decltype,
    STATE(2778), 1,
      sym_decltype_auto,
    STATE(2799), 1,
      sym_new_declarator,
    STATE(3253), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5190), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5192), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [22995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4920), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4922), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2499), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6156), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4793), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4791), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [23133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2499), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6159), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5303), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5305), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [23203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2443), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6115), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4910), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4912), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23273] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6150), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      sym_auto,
    ACTIONS(6154), 1,
      anon_sym_decltype,
    STATE(2778), 1,
      sym_decltype_auto,
    STATE(2789), 1,
      sym_new_declarator,
    STATE(3147), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5194), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5196), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [23355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4920), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4922), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4924), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4926), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23491] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6161), 1,
      anon_sym_LT,
    STATE(2520), 1,
      sym_template_argument_list,
    STATE(2545), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6117), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3776), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [23567] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6163), 1,
      anon_sym_LT,
    STATE(2698), 1,
      sym_template_argument_list,
    ACTIONS(3794), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5017), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [23639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    STATE(2612), 1,
      sym_attribute_specifier,
    ACTIONS(5504), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5506), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23709] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    ACTIONS(6165), 1,
      anon_sym_LBRACE,
    ACTIONS(6167), 1,
      anon_sym_COLON,
    STATE(2600), 1,
      sym__enum_base_clause,
    STATE(2714), 1,
      sym_enumerator_list,
    STATE(2926), 1,
      sym_attribute_specifier,
    ACTIONS(5652), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5654), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    STATE(2689), 1,
      sym_attribute_specifier,
    ACTIONS(5442), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5444), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [23857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4585), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4930), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [23989] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6150), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      sym_auto,
    ACTIONS(6154), 1,
      anon_sym_decltype,
    STATE(2778), 1,
      sym_decltype_auto,
    STATE(2834), 1,
      sym_new_declarator,
    STATE(3324), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5182), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5184), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [24071] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    ACTIONS(6165), 1,
      anon_sym_LBRACE,
    ACTIONS(6167), 1,
      anon_sym_COLON,
    STATE(2625), 1,
      sym__enum_base_clause,
    STATE(2743), 1,
      sym_enumerator_list,
    STATE(2957), 1,
      sym_attribute_specifier,
    ACTIONS(5658), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5660), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    STATE(2664), 1,
      sym_attribute_specifier,
    ACTIONS(5450), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5452), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2499), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6159), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5367), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5369), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [24289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4922), 46,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2515), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6169), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5376), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [24425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2523), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6171), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5330), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5332), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [24495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    STATE(2686), 1,
      sym_attribute_specifier,
    ACTIONS(5400), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5402), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4585), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [24631] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6150), 1,
      anon_sym_LBRACK,
    ACTIONS(6152), 1,
      sym_auto,
    ACTIONS(6154), 1,
      anon_sym_decltype,
    STATE(2773), 1,
      sym_new_declarator,
    STATE(2778), 1,
      sym_decltype_auto,
    STATE(3339), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5130), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5132), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [24713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    STATE(2592), 1,
      sym_attribute_specifier,
    ACTIONS(5446), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5448), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2499), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6159), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5382), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5384), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [24853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4922), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [24919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    STATE(2617), 1,
      sym_attribute_specifier,
    ACTIONS(5404), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5406), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [24989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6163), 1,
      anon_sym_LT,
    STATE(2698), 1,
      sym_template_argument_list,
    ACTIONS(4506), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4499), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [25061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    STATE(2618), 1,
      sym_attribute_specifier,
    ACTIONS(5432), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5434), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2499), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6159), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5354), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5356), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [25201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    STATE(2623), 1,
      sym_attribute_specifier,
    ACTIONS(5438), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5440), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25271] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5340), 1,
      anon_sym_STAR,
    ACTIONS(5342), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5943), 1,
      sym__declarator,
    STATE(6043), 1,
      sym__abstract_declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(5350), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [25385] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5340), 1,
      anon_sym_STAR,
    ACTIONS(5342), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5947), 1,
      sym__declarator,
    STATE(6007), 1,
      sym__abstract_declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6173), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [25499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    STATE(2635), 1,
      sym_attribute_specifier,
    ACTIONS(5386), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5388), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4479), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4477), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [25634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2417), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5382), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6177), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5142), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5144), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4916), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4918), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [25837] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6181), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      sym_auto,
    ACTIONS(6185), 1,
      anon_sym_decltype,
    STATE(2867), 1,
      sym_decltype_auto,
    STATE(2967), 1,
      sym_new_declarator,
    STATE(3412), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5194), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5196), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [25918] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    ACTIONS(6119), 1,
      anon_sym_LBRACE,
    STATE(2624), 1,
      sym_enumerator_list,
    STATE(2796), 1,
      sym_attribute_specifier,
    ACTIONS(5318), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5320), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [25991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4910), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4912), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1550), 1,
      sym_string_literal,
    ACTIONS(6191), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6189), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6187), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [26127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2417), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5305), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5303), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26196] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6193), 1,
      sym_auto,
    ACTIONS(6195), 1,
      anon_sym_decltype,
    STATE(2599), 1,
      sym_decltype_auto,
    ACTIONS(4881), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4883), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4922), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [26332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6161), 1,
      anon_sym_LT,
    STATE(2520), 1,
      sym_template_argument_list,
    ACTIONS(5017), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3794), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [26403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2417), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5356), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5354), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5234), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26537] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6225), 1,
      anon_sym_or,
    ACTIONS(6227), 1,
      anon_sym_and,
    ACTIONS(6229), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6209), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6213), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6215), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6197), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6199), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26646] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6225), 1,
      anon_sym_or,
    ACTIONS(6227), 1,
      anon_sym_and,
    ACTIONS(6229), 1,
      anon_sym_not_eq,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6209), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6213), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6215), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5836), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(5838), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26759] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6227), 1,
      anon_sym_and,
    ACTIONS(6229), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6209), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6213), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6215), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(5791), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26864] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6229), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6209), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6213), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6215), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26965] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6229), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6213), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6215), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27064] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6229), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6213), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6215), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27161] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6229), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6215), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27256] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5791), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27347] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5791), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27434] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6225), 1,
      anon_sym_or,
    ACTIONS(6227), 1,
      anon_sym_and,
    ACTIONS(6229), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6209), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6213), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6215), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6235), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6237), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27543] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6225), 1,
      anon_sym_or,
    ACTIONS(6227), 1,
      anon_sym_and,
    ACTIONS(6229), 1,
      anon_sym_not_eq,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6209), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6213), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6215), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6239), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6241), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27656] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6225), 1,
      anon_sym_or,
    ACTIONS(6227), 1,
      anon_sym_and,
    ACTIONS(6229), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6209), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6213), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6215), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6243), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6245), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27765] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6225), 1,
      anon_sym_or,
    ACTIONS(6227), 1,
      anon_sym_and,
    ACTIONS(6229), 1,
      anon_sym_not_eq,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6233), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6209), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6213), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6215), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6247), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6249), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2586), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6251), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5374), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4939), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4941), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2500), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4912), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4910), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [28081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2534), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6253), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5332), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5330), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4821), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [28215] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6205), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6207), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6219), 1,
      anon_sym_GT_EQ,
    ACTIONS(6223), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6225), 1,
      anon_sym_or,
    ACTIONS(6227), 1,
      anon_sym_and,
    ACTIONS(6229), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6209), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6211), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6213), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6215), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6217), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6255), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6257), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4829), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [28389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5118), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5120), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6259), 1,
      anon_sym_LT,
    STATE(2520), 1,
      sym_template_argument_list,
    ACTIONS(4499), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4506), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5142), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5144), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28590] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6181), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      sym_auto,
    ACTIONS(6185), 1,
      anon_sym_decltype,
    STATE(2867), 1,
      sym_decltype_auto,
    STATE(2991), 1,
      sym_new_declarator,
    STATE(3459), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5190), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5192), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [28671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5254), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [28736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5164), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1549), 1,
      sym_string_literal,
    ACTIONS(6191), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6189), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6187), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [28870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4536), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4534), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [28935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4540), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4538), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [29000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4544), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4542), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [29065] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5791), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [29146] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5791), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [29229] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6221), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6203), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5791), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [29314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1548), 1,
      sym_string_literal,
    ACTIONS(6191), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6189), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6187), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [29383] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    ACTIONS(6119), 1,
      anon_sym_LBRACE,
    STATE(2640), 1,
      sym_enumerator_list,
    STATE(2777), 1,
      sym_attribute_specifier,
    ACTIONS(5326), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5328), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1547), 1,
      sym_string_literal,
    ACTIONS(6191), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6189), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6187), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [29525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4546), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [29590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4552), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4550), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [29655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4556), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4554), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [29720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2417), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5369), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5367), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4813), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [29854] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6181), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      sym_auto,
    ACTIONS(6185), 1,
      anon_sym_decltype,
    STATE(2867), 1,
      sym_decltype_auto,
    STATE(2921), 1,
      sym_new_declarator,
    STATE(3475), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5130), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5132), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [29935] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6181), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      sym_auto,
    ACTIONS(6185), 1,
      anon_sym_decltype,
    STATE(2867), 1,
      sym_decltype_auto,
    STATE(2904), 1,
      sym_new_declarator,
    STATE(3393), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5182), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5184), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [30016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4817), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [30081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4959), 45,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5172), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6264), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [30274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [30338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5222), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5226), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5230), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30530] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    ACTIONS(6266), 1,
      anon_sym_LBRACE,
    ACTIONS(6268), 1,
      anon_sym_COLON,
    STATE(2803), 1,
      sym__enum_base_clause,
    STATE(2958), 1,
      sym_enumerator_list,
    STATE(3207), 1,
      sym_attribute_specifier,
    ACTIONS(5658), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5660), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5178), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5180), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30670] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    ACTIONS(6165), 1,
      anon_sym_LBRACE,
    STATE(2747), 1,
      sym_enumerator_list,
    STATE(2963), 1,
      sym_attribute_specifier,
    ACTIONS(5326), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5328), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [30742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5023), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [30870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [30934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [30998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6272), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [31062] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5569), 1,
      anon_sym_STAR,
    ACTIONS(5571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5573), 1,
      anon_sym_AMP,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5943), 1,
      sym__declarator,
    STATE(6251), 1,
      sym__abstract_declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5350), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5049), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5051), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31238] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5569), 1,
      anon_sym_STAR,
    ACTIONS(5571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5573), 1,
      anon_sym_AMP,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5947), 1,
      sym__declarator,
    STATE(6265), 1,
      sym__abstract_declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6173), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [31350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(4947), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4949), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31416] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    ACTIONS(6266), 1,
      anon_sym_LBRACE,
    ACTIONS(6268), 1,
      anon_sym_COLON,
    STATE(2787), 1,
      sym__enum_base_clause,
    STATE(2951), 1,
      sym_enumerator_list,
    STATE(3169), 1,
      sym_attribute_specifier,
    ACTIONS(5652), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5654), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4922), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4920), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [31558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4943), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4945), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(3778), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    STATE(2836), 1,
      sym_attribute_specifier,
    ACTIONS(5442), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5444), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6276), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [31820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5214), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5212), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [31884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4973), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4975), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4983), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6280), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6278), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [32076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4924), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4926), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32142] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5514), 1,
      anon_sym_STAR,
    ACTIONS(5516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5518), 1,
      anon_sym_AMP,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5943), 1,
      sym__declarator,
    STATE(6260), 1,
      sym__abstract_declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5350), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    STATE(2793), 1,
      sym_attribute_specifier,
    ACTIONS(5404), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5406), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5007), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    STATE(2863), 1,
      sym_attribute_specifier,
    ACTIONS(5490), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5492), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32454] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    ACTIONS(6165), 1,
      anon_sym_LBRACE,
    STATE(2756), 1,
      sym_enumerator_list,
    STATE(2872), 1,
      sym_attribute_specifier,
    ACTIONS(5318), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5320), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [32526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    STATE(2794), 1,
      sym_attribute_specifier,
    ACTIONS(5466), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5468), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4955), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4922), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [32722] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5897), 1,
      sym_auto,
    ACTIONS(5899), 1,
      anon_sym_decltype,
    ACTIONS(5901), 1,
      sym_virtual,
    ACTIONS(6282), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5895), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2422), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4893), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4891), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5893), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [32812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5804), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5806), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [32876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5200), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4963), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33004] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5897), 1,
      sym_auto,
    ACTIONS(5899), 1,
      anon_sym_decltype,
    ACTIONS(5901), 1,
      sym_virtual,
    ACTIONS(6284), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5895), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2422), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4893), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4891), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5893), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [33094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4967), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4969), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4971), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [33350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4912), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4977), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4979), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    STATE(2800), 1,
      sym_attribute_specifier,
    ACTIONS(5432), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5434), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4922), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4920), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [33612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5923), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5921), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [33676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4963), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33740] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5897), 1,
      sym_auto,
    ACTIONS(5899), 1,
      anon_sym_decltype,
    ACTIONS(5901), 1,
      sym_virtual,
    ACTIONS(6286), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5895), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2422), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4893), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4891), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5893), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [33830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4963), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4926), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4924), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [33960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4930), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5218), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [34088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    STATE(2823), 1,
      sym_attribute_specifier,
    ACTIONS(5386), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5388), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5254), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5256), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [34220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2541), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6177), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4910), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4912), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2564), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2566), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34352] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5897), 1,
      sym_auto,
    ACTIONS(5899), 1,
      anon_sym_decltype,
    ACTIONS(5901), 1,
      sym_virtual,
    ACTIONS(6288), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5895), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2422), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4893), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4891), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5893), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [34442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5122), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5124), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [34506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5128), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [34570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5995), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5993), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [34634] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5897), 1,
      sym_auto,
    ACTIONS(5899), 1,
      anon_sym_decltype,
    ACTIONS(5901), 1,
      sym_virtual,
    ACTIONS(6290), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5895), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2422), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4893), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4891), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5893), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [34724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6294), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2536), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34852] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5897), 1,
      sym_auto,
    ACTIONS(5899), 1,
      anon_sym_decltype,
    ACTIONS(5901), 1,
      sym_virtual,
    ACTIONS(6296), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5895), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2422), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4893), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4891), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5893), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [34942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4580), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4479), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6300), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [35136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5148), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5152), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4536), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4540), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4544), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5176), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4548), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4552), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4556), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5832), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [35776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4479), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [35840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4536), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [35904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4540), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [35968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    STATE(2790), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5481), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    STATE(2849), 1,
      sym_attribute_specifier,
    ACTIONS(5450), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5452), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4544), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [36168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    STATE(2774), 1,
      sym_attribute_specifier,
    ACTIONS(5400), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5402), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    STATE(2776), 1,
      sym_attribute_specifier,
    ACTIONS(5446), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5448), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4548), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [36368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4552), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [36432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4556), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [36496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5955), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5953), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [36560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5166), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5168), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    STATE(2832), 1,
      sym_attribute_specifier,
    ACTIONS(5438), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5440), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4578), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [36756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5011), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5176), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5188), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(4912), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37012] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5897), 1,
      sym_auto,
    ACTIONS(5899), 1,
      anon_sym_decltype,
    ACTIONS(5901), 1,
      sym_virtual,
    ACTIONS(6302), 1,
      anon_sym_SEMI,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5895), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    STATE(2422), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(4893), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(4891), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5893), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [37102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4920), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4922), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [37168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4920), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4922), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [37234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6304), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6306), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [37298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4930), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [37362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4585), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [37426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5015), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37490] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5514), 1,
      anon_sym_STAR,
    ACTIONS(5516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5518), 1,
      anon_sym_AMP,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5947), 1,
      sym__declarator,
    STATE(6261), 1,
      sym__abstract_declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6173), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [37602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      anon_sym___attribute__,
    STATE(2815), 1,
      sym_attribute_specifier,
    ACTIONS(5504), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37670] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [37759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    STATE(2929), 1,
      sym_attribute_specifier,
    ACTIONS(5386), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5388), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37826] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4506), 1,
      anon_sym_LBRACE,
    ACTIONS(4612), 1,
      anon_sym_LT,
    STATE(2856), 1,
      sym_template_argument_list,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [37897] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6320), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6322), 1,
      anon_sym_COMMA,
    ACTIONS(6324), 1,
      anon_sym_RPAREN,
    ACTIONS(6326), 1,
      anon_sym_DASH,
    ACTIONS(6328), 1,
      anon_sym_PLUS,
    ACTIONS(6330), 1,
      anon_sym_STAR,
    ACTIONS(6332), 1,
      anon_sym_SLASH,
    ACTIONS(6334), 1,
      anon_sym_PERCENT,
    ACTIONS(6336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6340), 1,
      anon_sym_PIPE,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    ACTIONS(6344), 1,
      anon_sym_AMP,
    ACTIONS(6346), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6348), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6350), 1,
      anon_sym_GT,
    ACTIONS(6352), 1,
      anon_sym_GT_EQ,
    ACTIONS(6354), 1,
      anon_sym_LT_EQ,
    ACTIONS(6356), 1,
      anon_sym_LT,
    ACTIONS(6358), 1,
      anon_sym_LT_LT,
    ACTIONS(6360), 1,
      anon_sym_GT_GT,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6364), 1,
      anon_sym_EQ,
    ACTIONS(6366), 1,
      anon_sym_QMARK,
    ACTIONS(6368), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6370), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6372), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6374), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6376), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6378), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6380), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6382), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6384), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6386), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6392), 1,
      anon_sym_or,
    ACTIONS(6394), 1,
      anon_sym_and,
    ACTIONS(6396), 1,
      anon_sym_bitor,
    ACTIONS(6398), 1,
      anon_sym_xor,
    ACTIONS(6400), 1,
      anon_sym_bitand,
    ACTIONS(6402), 1,
      anon_sym_not_eq,
    ACTIONS(6408), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6410), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1362), 1,
      sym__binary_fold_operator,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      sym__fold_operator,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6388), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4922), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [38121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5118), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5120), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 1,
      anon_sym_LPAREN2,
    ACTIONS(6414), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_LBRACK,
    STATE(3000), 1,
      sym_parameter_list,
    STATE(2806), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5390), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5392), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38257] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6239), 1,
      anon_sym_EQ,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6422), 1,
      anon_sym_PIPE,
    ACTIONS(6426), 1,
      anon_sym_AMP,
    ACTIONS(6430), 1,
      anon_sym_QMARK,
    ACTIONS(6432), 1,
      anon_sym_or,
    ACTIONS(6434), 1,
      anon_sym_and,
    ACTIONS(6436), 1,
      anon_sym_bitor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6424), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6241), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38370] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6320), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6322), 1,
      anon_sym_COMMA,
    ACTIONS(6326), 1,
      anon_sym_DASH,
    ACTIONS(6328), 1,
      anon_sym_PLUS,
    ACTIONS(6330), 1,
      anon_sym_STAR,
    ACTIONS(6332), 1,
      anon_sym_SLASH,
    ACTIONS(6334), 1,
      anon_sym_PERCENT,
    ACTIONS(6336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6340), 1,
      anon_sym_PIPE,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    ACTIONS(6344), 1,
      anon_sym_AMP,
    ACTIONS(6346), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6348), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6350), 1,
      anon_sym_GT,
    ACTIONS(6352), 1,
      anon_sym_GT_EQ,
    ACTIONS(6354), 1,
      anon_sym_LT_EQ,
    ACTIONS(6356), 1,
      anon_sym_LT,
    ACTIONS(6358), 1,
      anon_sym_LT_LT,
    ACTIONS(6360), 1,
      anon_sym_GT_GT,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6364), 1,
      anon_sym_EQ,
    ACTIONS(6366), 1,
      anon_sym_QMARK,
    ACTIONS(6368), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6370), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6372), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6374), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6376), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6378), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6380), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6382), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6384), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6386), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6392), 1,
      anon_sym_or,
    ACTIONS(6394), 1,
      anon_sym_and,
    ACTIONS(6396), 1,
      anon_sym_bitor,
    ACTIONS(6398), 1,
      anon_sym_xor,
    ACTIONS(6400), 1,
      anon_sym_bitand,
    ACTIONS(6402), 1,
      anon_sym_not_eq,
    ACTIONS(6408), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6410), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6440), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym__binary_fold_operator,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      sym__fold_operator,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6388), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [38531] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 1,
      anon_sym_LPAREN2,
    ACTIONS(6414), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_LBRACK,
    STATE(3000), 1,
      sym_parameter_list,
    STATE(2806), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5494), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5496), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38604] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    STATE(2467), 1,
      sym_attribute_specifier,
    STATE(2888), 1,
      sym_enumerator_list,
    ACTIONS(5328), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5326), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [38675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    STATE(2956), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5481), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [38742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    STATE(2962), 1,
      sym_attribute_specifier,
    ACTIONS(5450), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5452), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [38809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(4947), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4949), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38874] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6444), 1,
      anon_sym_SEMI,
    STATE(2479), 1,
      sym_attribute_specifier,
    STATE(2922), 1,
      sym_field_declaration_list,
    STATE(6565), 1,
      sym_virtual_specifier,
    STATE(7352), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4856), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4854), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [38955] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(3831), 1,
      anon_sym_STAR,
    ACTIONS(3833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3835), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5350), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6050), 1,
      sym__declarator,
    STATE(6251), 1,
      sym__abstract_declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4910), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4912), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39131] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(3831), 1,
      anon_sym_STAR,
    ACTIONS(3833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3835), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_RPAREN,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6082), 1,
      sym__declarator,
    STATE(6265), 1,
      sym__abstract_declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [39242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4869), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4871), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(3778), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [39309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(3778), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [39374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5142), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5144), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    STATE(2966), 1,
      sym_attribute_specifier,
    ACTIONS(5400), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5402), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    STATE(2969), 1,
      sym_attribute_specifier,
    ACTIONS(5446), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5448), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4916), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4918), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39634] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6235), 1,
      anon_sym_EQ,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6422), 1,
      anon_sym_PIPE,
    ACTIONS(6426), 1,
      anon_sym_AMP,
    ACTIONS(6432), 1,
      anon_sym_or,
    ACTIONS(6434), 1,
      anon_sym_and,
    ACTIONS(6436), 1,
      anon_sym_bitor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6424), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6237), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39743] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6243), 1,
      anon_sym_EQ,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6422), 1,
      anon_sym_PIPE,
    ACTIONS(6426), 1,
      anon_sym_AMP,
    ACTIONS(6432), 1,
      anon_sym_or,
    ACTIONS(6434), 1,
      anon_sym_and,
    ACTIONS(6436), 1,
      anon_sym_bitor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6424), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6245), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [39852] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6446), 1,
      anon_sym_SEMI,
    STATE(2479), 1,
      sym_attribute_specifier,
    STATE(2922), 1,
      sym_field_declaration_list,
    STATE(6565), 1,
      sym_virtual_specifier,
    STATE(7352), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4856), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4854), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [39933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6152), 1,
      sym_auto,
    ACTIONS(6154), 1,
      anon_sym_decltype,
    STATE(2778), 1,
      sym_decltype_auto,
    ACTIONS(4881), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4883), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40002] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4506), 1,
      anon_sym_LBRACE,
    ACTIONS(4513), 1,
      anon_sym_LT,
    STATE(2661), 1,
      sym_template_argument_list,
    ACTIONS(4508), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40073] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym_LPAREN2,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6452), 1,
      sym_auto,
    ACTIONS(6454), 1,
      anon_sym_decltype,
    STATE(3193), 1,
      sym_new_declarator,
    STATE(3337), 1,
      sym_decltype_auto,
    STATE(3565), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5130), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5132), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40152] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6255), 1,
      anon_sym_EQ,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6422), 1,
      anon_sym_PIPE,
    ACTIONS(6426), 1,
      anon_sym_AMP,
    ACTIONS(6432), 1,
      anon_sym_or,
    ACTIONS(6434), 1,
      anon_sym_and,
    ACTIONS(6436), 1,
      anon_sym_bitor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6424), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6257), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [40261] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 1,
      anon_sym_LPAREN2,
    ACTIONS(6414), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_LBRACK,
    STATE(3000), 1,
      sym_parameter_list,
    STATE(2806), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5410), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5412), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40334] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6456), 1,
      anon_sym_SEMI,
    STATE(2479), 1,
      sym_attribute_specifier,
    STATE(2922), 1,
      sym_field_declaration_list,
    STATE(6565), 1,
      sym_virtual_specifier,
    STATE(7352), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4856), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4854), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [40415] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6320), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6322), 1,
      anon_sym_COMMA,
    ACTIONS(6326), 1,
      anon_sym_DASH,
    ACTIONS(6328), 1,
      anon_sym_PLUS,
    ACTIONS(6330), 1,
      anon_sym_STAR,
    ACTIONS(6332), 1,
      anon_sym_SLASH,
    ACTIONS(6334), 1,
      anon_sym_PERCENT,
    ACTIONS(6336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6340), 1,
      anon_sym_PIPE,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    ACTIONS(6344), 1,
      anon_sym_AMP,
    ACTIONS(6346), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6348), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6350), 1,
      anon_sym_GT,
    ACTIONS(6352), 1,
      anon_sym_GT_EQ,
    ACTIONS(6354), 1,
      anon_sym_LT_EQ,
    ACTIONS(6356), 1,
      anon_sym_LT,
    ACTIONS(6358), 1,
      anon_sym_LT_LT,
    ACTIONS(6360), 1,
      anon_sym_GT_GT,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6364), 1,
      anon_sym_EQ,
    ACTIONS(6366), 1,
      anon_sym_QMARK,
    ACTIONS(6368), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6370), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6372), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6374), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6376), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6378), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6380), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6382), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6384), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6386), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6392), 1,
      anon_sym_or,
    ACTIONS(6394), 1,
      anon_sym_and,
    ACTIONS(6396), 1,
      anon_sym_bitor,
    ACTIONS(6398), 1,
      anon_sym_xor,
    ACTIONS(6400), 1,
      anon_sym_bitand,
    ACTIONS(6402), 1,
      anon_sym_not_eq,
    ACTIONS(6408), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6410), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6458), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym__binary_fold_operator,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      sym__fold_operator,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6388), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [40576] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym_LPAREN2,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6452), 1,
      sym_auto,
    ACTIONS(6454), 1,
      anon_sym_decltype,
    STATE(3203), 1,
      sym_new_declarator,
    STATE(3337), 1,
      sym_decltype_auto,
    STATE(3572), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5182), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5184), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40655] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6460), 1,
      anon_sym_SEMI,
    STATE(2479), 1,
      sym_attribute_specifier,
    STATE(2922), 1,
      sym_field_declaration_list,
    STATE(6565), 1,
      sym_virtual_specifier,
    STATE(7352), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4856), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4854), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [40736] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6462), 1,
      anon_sym_SEMI,
    STATE(2479), 1,
      sym_attribute_specifier,
    STATE(2922), 1,
      sym_field_declaration_list,
    STATE(6565), 1,
      sym_virtual_specifier,
    STATE(7352), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4856), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4854), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [40817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4939), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4941), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40880] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym_LPAREN2,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6452), 1,
      sym_auto,
    ACTIONS(6454), 1,
      anon_sym_decltype,
    STATE(3230), 1,
      sym_new_declarator,
    STATE(3337), 1,
      sym_decltype_auto,
    STATE(3583), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5190), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5192), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [40959] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym_LPAREN2,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    ACTIONS(6452), 1,
      sym_auto,
    ACTIONS(6454), 1,
      anon_sym_decltype,
    STATE(3251), 1,
      sym_new_declarator,
    STATE(3337), 1,
      sym_decltype_auto,
    STATE(3597), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5194), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5196), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [41038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6294), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    STATE(2871), 1,
      sym_attribute_specifier,
    ACTIONS(5404), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5406), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41168] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    STATE(2415), 1,
      sym_attribute_specifier,
    STATE(2899), 1,
      sym_enumerator_list,
    ACTIONS(5320), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5318), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [41239] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_EQ,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6422), 1,
      anon_sym_PIPE,
    ACTIONS(6426), 1,
      anon_sym_AMP,
    ACTIONS(6432), 1,
      anon_sym_or,
    ACTIONS(6434), 1,
      anon_sym_and,
    ACTIONS(6436), 1,
      anon_sym_bitor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6424), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6199), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [41348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5164), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    STATE(2874), 1,
      sym_attribute_specifier,
    ACTIONS(5432), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5434), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5234), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    STATE(2875), 1,
      sym_attribute_specifier,
    ACTIONS(5438), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5440), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4959), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    STATE(2876), 1,
      sym_attribute_specifier,
    ACTIONS(5442), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5444), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41738] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6464), 1,
      anon_sym_SEMI,
    STATE(2479), 1,
      sym_attribute_specifier,
    STATE(2922), 1,
      sym_field_declaration_list,
    STATE(6565), 1,
      sym_virtual_specifier,
    STATE(7352), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4856), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4854), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [41819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    STATE(2925), 1,
      sym_attribute_specifier,
    ACTIONS(5504), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5506), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [41886] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(5836), 1,
      anon_sym_EQ,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6422), 1,
      anon_sym_PIPE,
    ACTIONS(6426), 1,
      anon_sym_AMP,
    ACTIONS(6430), 1,
      anon_sym_QMARK,
    ACTIONS(6432), 1,
      anon_sym_or,
    ACTIONS(6434), 1,
      anon_sym_and,
    ACTIONS(6436), 1,
      anon_sym_bitor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6424), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5838), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [41999] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 1,
      anon_sym_LPAREN2,
    ACTIONS(6414), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_LBRACK,
    STATE(3000), 1,
      sym_parameter_list,
    STATE(2806), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5456), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5458), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [42072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    STATE(2883), 1,
      sym_attribute_specifier,
    ACTIONS(5490), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5492), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5977), 1,
      anon_sym___attribute__,
    STATE(2885), 1,
      sym_attribute_specifier,
    ACTIONS(5466), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5468), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [42206] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 1,
      anon_sym_LPAREN2,
    ACTIONS(6414), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_LBRACK,
    STATE(3000), 1,
      sym_parameter_list,
    STATE(2806), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5460), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5462), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [42279] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [42358] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6422), 1,
      anon_sym_PIPE,
    ACTIONS(6426), 1,
      anon_sym_AMP,
    ACTIONS(6434), 1,
      anon_sym_and,
    ACTIONS(6436), 1,
      anon_sym_bitor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5789), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6424), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5791), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42463] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6422), 1,
      anon_sym_PIPE,
    ACTIONS(6426), 1,
      anon_sym_AMP,
    ACTIONS(6436), 1,
      anon_sym_bitor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6424), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(5789), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5791), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42564] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6426), 1,
      anon_sym_AMP,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6424), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5789), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5791), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [42661] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6426), 1,
      anon_sym_AMP,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5789), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [42756] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5789), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [42847] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6247), 1,
      anon_sym_EQ,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6422), 1,
      anon_sym_PIPE,
    ACTIONS(6426), 1,
      anon_sym_AMP,
    ACTIONS(6430), 1,
      anon_sym_QMARK,
    ACTIONS(6432), 1,
      anon_sym_or,
    ACTIONS(6434), 1,
      anon_sym_and,
    ACTIONS(6436), 1,
      anon_sym_bitor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6424), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6249), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [42960] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [43045] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [43126] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [43209] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6466), 1,
      anon_sym_SEMI,
    STATE(2479), 1,
      sym_attribute_specifier,
    STATE(2922), 1,
      sym_field_declaration_list,
    STATE(6565), 1,
      sym_virtual_specifier,
    STATE(7352), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4856), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4854), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [43290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5176), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43352] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2688), 1,
      sym_template_argument_list,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3768), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [43424] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_STAR,
    ACTIONS(6470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6472), 1,
      anon_sym_AMP,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5943), 1,
      sym__declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2775), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    STATE(3330), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5548), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5550), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [43600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5166), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5168), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43662] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_STAR,
    ACTIONS(6470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6472), 1,
      anon_sym_AMP,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5947), 1,
      sym__declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3795), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [43770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5172), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5152), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5178), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5180), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6480), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6478), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6476), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [44022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6488), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6486), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6484), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [44088] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_STAR,
    ACTIONS(6494), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6496), 1,
      anon_sym_AMP,
    ACTIONS(6498), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5391), 1,
      sym__scope_resolution,
    STATE(5748), 1,
      sym__declarator,
    STATE(7493), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2829), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3777), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44196] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6183), 1,
      sym_auto,
    ACTIONS(6185), 1,
      anon_sym_decltype,
    STATE(2867), 1,
      sym_decltype_auto,
    ACTIONS(4881), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4883), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [44264] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6500), 1,
      anon_sym_STAR,
    ACTIONS(6502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6504), 1,
      anon_sym_AMP,
    ACTIONS(6506), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5433), 1,
      sym__scope_resolution,
    STATE(6210), 1,
      sym__declarator,
    STATE(7619), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2785), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3776), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44372] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5742), 1,
      sym__declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2801), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3785), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44480] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6500), 1,
      anon_sym_STAR,
    ACTIONS(6502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6504), 1,
      anon_sym_AMP,
    ACTIONS(6506), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5433), 1,
      sym__scope_resolution,
    STATE(6208), 1,
      sym__declarator,
    STATE(7619), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3791), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44588] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6539), 1,
      anon_sym_requires,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(4477), 1,
      sym__function_attributes_start,
    STATE(4643), 1,
      sym_ref_qualifier,
    STATE(5476), 1,
      sym__function_attributes_end,
    STATE(5572), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3907), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5704), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4990), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [44700] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    ACTIONS(6266), 1,
      anon_sym_LBRACE,
    STATE(2959), 1,
      sym_enumerator_list,
    STATE(3214), 1,
      sym_attribute_specifier,
    ACTIONS(5326), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5328), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4916), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4918), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [44832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    STATE(3338), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5575), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5577), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [44900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5122), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5124), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44962] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6050), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2857), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3798), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2792), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5525), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5527), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4973), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4975), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5049), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5051), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45260] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5707), 1,
      sym__declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2820), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4977), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4979), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5128), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5254), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5256), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    STATE(3212), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5563), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5565), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [45622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4983), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45684] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5707), 1,
      sym__declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45792] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6012), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2818), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3793), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [45900] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    ACTIONS(6266), 1,
      anon_sym_LBRACE,
    STATE(2977), 1,
      sym_enumerator_list,
    STATE(3256), 1,
      sym_attribute_specifier,
    ACTIONS(5318), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5320), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45970] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6557), 1,
      anon_sym_requires,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(4466), 1,
      sym__function_attributes_start,
    STATE(4658), 1,
      sym_ref_qualifier,
    STATE(5469), 1,
      sym__function_attributes_end,
    STATE(5590), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3907), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5704), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4982), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5118), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5120), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6414), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2792), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5613), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [46210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4959), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46272] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_LPAREN2,
    ACTIONS(6561), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6563), 1,
      anon_sym_LBRACK,
    STATE(3327), 1,
      sym_parameter_list,
    STATE(2893), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5460), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5462), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [46344] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_LPAREN2,
    ACTIONS(6561), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6563), 1,
      anon_sym_LBRACK,
    STATE(3327), 1,
      sym_parameter_list,
    STATE(2893), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5410), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5412), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [46416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5142), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5144), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6565), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3590), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3588), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [46544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5164), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46606] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6500), 1,
      anon_sym_STAR,
    ACTIONS(6502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6504), 1,
      anon_sym_AMP,
    ACTIONS(6506), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5433), 1,
      sym__scope_resolution,
    STATE(6192), 1,
      sym__declarator,
    STATE(7619), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2835), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3801), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [46714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4912), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4943), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4945), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4955), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46900] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3794), 1,
      anon_sym_SEMI,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2688), 1,
      sym_template_argument_list,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3768), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [46974] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6050), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3798), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [47082] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_STAR,
    ACTIONS(6470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6472), 1,
      anon_sym_AMP,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5941), 1,
      sym__declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2831), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3783), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [47190] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5712), 1,
      sym__declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3789), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [47298] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    STATE(2400), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3778), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3770), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4912), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4967), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4969), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4971), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6567), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3564), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3562), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [47620] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_LPAREN2,
    ACTIONS(6561), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6563), 1,
      anon_sym_LBRACK,
    STATE(3327), 1,
      sym_parameter_list,
    STATE(2893), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5456), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5458), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [47692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4963), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_LPAREN2,
    ACTIONS(6561), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6563), 1,
      anon_sym_LBRACK,
    STATE(3327), 1,
      sym_parameter_list,
    STATE(2893), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5494), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5496), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [47826] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_STAR,
    ACTIONS(6494), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6496), 1,
      anon_sym_AMP,
    ACTIONS(6498), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5391), 1,
      sym__scope_resolution,
    STATE(5776), 1,
      sym__declarator,
    STATE(7493), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3770), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [47934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4963), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47996] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_STAR,
    ACTIONS(6470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6472), 1,
      anon_sym_AMP,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5943), 1,
      sym__declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5007), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5188), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    STATE(3146), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5559), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5561), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48296] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6500), 1,
      anon_sym_STAR,
    ACTIONS(6502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6504), 1,
      anon_sym_AMP,
    ACTIONS(6506), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5433), 1,
      sym__scope_resolution,
    STATE(6210), 1,
      sym__declarator,
    STATE(7619), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3776), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5011), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48466] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_STAR,
    ACTIONS(6494), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6496), 1,
      anon_sym_AMP,
    ACTIONS(6498), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5391), 1,
      sym__scope_resolution,
    STATE(5776), 1,
      sym__declarator,
    STATE(7493), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2852), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3770), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48574] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_LPAREN2,
    ACTIONS(6561), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6563), 1,
      anon_sym_LBRACK,
    STATE(3327), 1,
      sym_parameter_list,
    STATE(2893), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5390), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5392), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [48646] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6050), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3800), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48754] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6012), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2839), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3786), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [48862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(4910), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [48924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5015), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5234), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4939), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4941), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4910), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4912), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5176), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5218), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5222), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5148), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49422] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_const,
    ACTIONS(4589), 1,
      anon_sym_AMP,
    ACTIONS(4582), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(4587), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4585), 17,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4580), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5226), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49554] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_STAR,
    ACTIONS(6494), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6496), 1,
      anon_sym_AMP,
    ACTIONS(6498), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5391), 1,
      sym__scope_resolution,
    STATE(5800), 1,
      sym__declarator,
    STATE(7493), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3772), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [49662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5230), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49724] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4506), 1,
      anon_sym_LBRACE,
    ACTIONS(4878), 1,
      anon_sym_LT,
    STATE(2891), 1,
      sym_template_argument_list,
    ACTIONS(4508), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49794] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(3307), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5279), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6569), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5281), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [49866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4580), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49930] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6082), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3790), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50038] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6082), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3780), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5200), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6575), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6573), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6571), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [50274] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6050), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2858), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3800), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6583), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6581), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6579), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [50448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5023), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50510] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    STATE(2400), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4947), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4949), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50580] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(6587), 1,
      anon_sym_LBRACK,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3705), 1,
      sym_template_argument_list,
    ACTIONS(3791), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3776), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [50656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4963), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5178), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5180), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50779] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6239), 1,
      anon_sym_EQ,
    ACTIONS(6594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6598), 1,
      anon_sym_PIPE,
    ACTIONS(6602), 1,
      anon_sym_AMP,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6612), 1,
      anon_sym_QMARK,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    ACTIONS(6622), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6600), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6604), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6241), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [50890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 1,
      anon_sym_LT,
    STATE(1613), 1,
      sym_template_argument_list,
    ACTIONS(5797), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5799), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50955] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6243), 1,
      anon_sym_EQ,
    ACTIONS(6594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6598), 1,
      anon_sym_PIPE,
    ACTIONS(6602), 1,
      anon_sym_AMP,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    ACTIONS(6622), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6600), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6604), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6245), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4973), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4975), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4977), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4979), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51184] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6629), 1,
      anon_sym___attribute__,
    ACTIONS(6632), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(6644), 1,
      anon_sym_requires,
    STATE(4553), 1,
      sym__function_attributes_start,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4689), 1,
      sym_ref_qualifier,
    STATE(5379), 1,
      sym__function_attributes_end,
    STATE(5428), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6641), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5002), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [51295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4983), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5007), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5011), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5015), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51539] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4506), 1,
      anon_sym_LBRACE,
    ACTIONS(4907), 1,
      anon_sym_LT,
    STATE(3022), 1,
      sym_template_argument_list,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [51608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1914), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4791), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(5501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5112), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5115), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [51675] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6239), 1,
      anon_sym_EQ,
    ACTIONS(6320), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_QMARK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6651), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6653), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6655), 1,
      anon_sym_PIPE,
    ACTIONS(6659), 1,
      anon_sym_AMP,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6669), 1,
      anon_sym_or,
    ACTIONS(6671), 1,
      anon_sym_and,
    ACTIONS(6673), 1,
      anon_sym_bitor,
    ACTIONS(6675), 1,
      anon_sym_bitand,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6657), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6661), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6241), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [51786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6679), 1,
      anon_sym_LT,
    STATE(1497), 1,
      sym_template_argument_list,
    ACTIONS(5797), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5799), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51851] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6247), 1,
      anon_sym_EQ,
    ACTIONS(6594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6598), 1,
      anon_sym_PIPE,
    ACTIONS(6602), 1,
      anon_sym_AMP,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6612), 1,
      anon_sym_QMARK,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    ACTIONS(6622), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6600), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6604), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6249), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5023), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52023] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6243), 1,
      anon_sym_EQ,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6651), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6653), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6655), 1,
      anon_sym_PIPE,
    ACTIONS(6659), 1,
      anon_sym_AMP,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6669), 1,
      anon_sym_or,
    ACTIONS(6671), 1,
      anon_sym_and,
    ACTIONS(6673), 1,
      anon_sym_bitor,
    ACTIONS(6675), 1,
      anon_sym_bitand,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6657), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6661), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6245), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [52130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5049), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5051), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52191] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5700), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5702), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [52266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    STATE(2414), 1,
      sym_attribute_specifier,
    ACTIONS(5406), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5404), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [52331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    STATE(2416), 1,
      sym_attribute_specifier,
    ACTIONS(5434), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5432), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [52396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5200), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6679), 1,
      anon_sym_LT,
    STATE(2661), 1,
      sym_template_argument_list,
    ACTIONS(5797), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5799), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4580), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4912), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2954), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5613), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5615), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [52711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6150), 1,
      anon_sym_LBRACK,
    STATE(3014), 1,
      sym_new_declarator,
    ACTIONS(5688), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5690), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    STATE(2419), 1,
      sym_attribute_specifier,
    ACTIONS(5440), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5438), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [52841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    STATE(2420), 1,
      sym_attribute_specifier,
    ACTIONS(5444), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5442), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [52906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 1,
      anon_sym_LT,
    STATE(2856), 1,
      sym_template_argument_list,
    ACTIONS(5797), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5799), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [52971] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6247), 1,
      anon_sym_EQ,
    ACTIONS(6320), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_QMARK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6651), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6653), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6655), 1,
      anon_sym_PIPE,
    ACTIONS(6659), 1,
      anon_sym_AMP,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6669), 1,
      anon_sym_or,
    ACTIONS(6671), 1,
      anon_sym_and,
    ACTIONS(6673), 1,
      anon_sym_bitor,
    ACTIONS(6675), 1,
      anon_sym_bitand,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6657), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6661), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6249), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [53082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    STATE(2458), 1,
      sym_attribute_specifier,
    ACTIONS(5492), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5490), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [53147] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6255), 1,
      anon_sym_EQ,
    ACTIONS(6594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6598), 1,
      anon_sym_PIPE,
    ACTIONS(6602), 1,
      anon_sym_AMP,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    ACTIONS(6622), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6600), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6604), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6257), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [53254] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [53331] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [53410] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [53491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    STATE(3411), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5559), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5561), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [53558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5218), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5222), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5226), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5230), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5254), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5256), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    STATE(2463), 1,
      sym_attribute_specifier,
    ACTIONS(5481), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5479), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [53928] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 1,
      anon_sym_EQ,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6320), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_QMARK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6651), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6653), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6655), 1,
      anon_sym_PIPE,
    ACTIONS(6659), 1,
      anon_sym_AMP,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6669), 1,
      anon_sym_or,
    ACTIONS(6671), 1,
      anon_sym_and,
    ACTIONS(6673), 1,
      anon_sym_bitor,
    ACTIONS(6675), 1,
      anon_sym_bitand,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6657), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6661), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5838), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [54039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    STATE(2466), 1,
      sym_attribute_specifier,
    ACTIONS(5452), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5450), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [54104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(2688), 1,
      sym_template_argument_list,
    ACTIONS(4506), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4499), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [54171] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6197), 1,
      anon_sym_EQ,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6651), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6653), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6655), 1,
      anon_sym_PIPE,
    ACTIONS(6659), 1,
      anon_sym_AMP,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6669), 1,
      anon_sym_or,
    ACTIONS(6671), 1,
      anon_sym_and,
    ACTIONS(6673), 1,
      anon_sym_bitor,
    ACTIONS(6675), 1,
      anon_sym_bitand,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6657), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6661), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6199), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [54278] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    STATE(2400), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3778), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54347] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6682), 1,
      anon_sym_LT,
    STATE(3001), 1,
      sym_template_argument_list,
    ACTIONS(5675), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5677), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54414] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5736), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5738), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [54487] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5777), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5779), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [54562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(2688), 1,
      sym_template_argument_list,
    ACTIONS(3794), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5017), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [54629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    STATE(2474), 1,
      sym_attribute_specifier,
    ACTIONS(5506), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5504), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [54694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    STATE(3407), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5548), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5550), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [54761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    STATE(2470), 1,
      sym_attribute_specifier,
    ACTIONS(5402), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5400), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [54826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    STATE(2471), 1,
      sym_attribute_specifier,
    ACTIONS(5448), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5446), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [54891] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_EQ,
    ACTIONS(6594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6598), 1,
      anon_sym_PIPE,
    ACTIONS(6602), 1,
      anon_sym_AMP,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    ACTIONS(6622), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6600), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6604), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6199), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4943), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4945), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4955), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4963), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    STATE(2410), 1,
      sym_attribute_specifier,
    ACTIONS(5388), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5386), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [55246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4967), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4969), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4971), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55368] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6235), 1,
      anon_sym_EQ,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6651), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6653), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6655), 1,
      anon_sym_PIPE,
    ACTIONS(6659), 1,
      anon_sym_AMP,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6669), 1,
      anon_sym_or,
    ACTIONS(6671), 1,
      anon_sym_and,
    ACTIONS(6673), 1,
      anon_sym_bitor,
    ACTIONS(6675), 1,
      anon_sym_bitand,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6657), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6661), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [55475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    STATE(3168), 1,
      sym_attribute_specifier,
    ACTIONS(5504), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4963), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    STATE(3174), 1,
      sym_attribute_specifier,
    ACTIONS(5386), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5388), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4963), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55727] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(5836), 1,
      anon_sym_EQ,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6598), 1,
      anon_sym_PIPE,
    ACTIONS(6602), 1,
      anon_sym_AMP,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6612), 1,
      anon_sym_QMARK,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    ACTIONS(6622), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6600), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6604), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5838), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6685), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5692), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5694), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    STATE(2459), 1,
      sym_attribute_specifier,
    ACTIONS(5468), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5466), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [55966] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5716), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5718), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [56041] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6598), 1,
      anon_sym_PIPE,
    ACTIONS(6602), 1,
      anon_sym_AMP,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    ACTIONS(6622), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5789), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6600), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6604), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56144] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6598), 1,
      anon_sym_PIPE,
    ACTIONS(6602), 1,
      anon_sym_AMP,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    ACTIONS(6622), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6600), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6604), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56243] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5728), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5730), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [56318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(4920), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [56379] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6602), 1,
      anon_sym_AMP,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6622), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6600), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6604), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5791), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [56474] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6602), 1,
      anon_sym_AMP,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6622), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6604), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [56567] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6604), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [56656] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [56743] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [56826] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6255), 1,
      anon_sym_EQ,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6651), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6653), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6655), 1,
      anon_sym_PIPE,
    ACTIONS(6659), 1,
      anon_sym_AMP,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6669), 1,
      anon_sym_or,
    ACTIONS(6671), 1,
      anon_sym_and,
    ACTIONS(6673), 1,
      anon_sym_bitor,
    ACTIONS(6675), 1,
      anon_sym_bitand,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6657), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6661), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6257), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [56933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    STATE(3206), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5481), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    STATE(3213), 1,
      sym_attribute_specifier,
    ACTIONS(5450), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5452), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    STATE(3217), 1,
      sym_attribute_specifier,
    ACTIONS(5400), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5402), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    STATE(3219), 1,
      sym_attribute_specifier,
    ACTIONS(5446), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5448), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(2954), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5525), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5527), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57258] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5749), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [57331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5122), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5124), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5128), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    STATE(3255), 1,
      sym_attribute_specifier,
    ACTIONS(5404), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5406), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    STATE(3259), 1,
      sym_attribute_specifier,
    ACTIONS(5432), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5434), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    STATE(3262), 1,
      sym_attribute_specifier,
    ACTIONS(5438), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5440), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    STATE(3264), 1,
      sym_attribute_specifier,
    ACTIONS(5442), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5444), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5148), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5152), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5176), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57896] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6690), 1,
      sym_identifier,
    ACTIONS(6694), 1,
      sym_primitive_type,
    STATE(2879), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6692), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5204), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5206), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [57965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5166), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5168), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    STATE(3370), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5575), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5577), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [58093] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    STATE(2400), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4947), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4949), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5172), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5176), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58284] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [58361] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5789), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [58436] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6653), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6655), 1,
      anon_sym_PIPE,
    ACTIONS(6659), 1,
      anon_sym_AMP,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6671), 1,
      anon_sym_and,
    ACTIONS(6673), 1,
      anon_sym_bitor,
    ACTIONS(6675), 1,
      anon_sym_bitand,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(5789), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6657), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6661), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5188), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58600] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6235), 1,
      anon_sym_EQ,
    ACTIONS(6594), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6598), 1,
      anon_sym_PIPE,
    ACTIONS(6602), 1,
      anon_sym_AMP,
    ACTIONS(6608), 1,
      anon_sym_GT_EQ,
    ACTIONS(6614), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6616), 1,
      anon_sym_or,
    ACTIONS(6618), 1,
      anon_sym_and,
    ACTIONS(6620), 1,
      anon_sym_bitor,
    ACTIONS(6622), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6590), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6600), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6610), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6592), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6604), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6606), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58707] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6655), 1,
      anon_sym_PIPE,
    ACTIONS(6659), 1,
      anon_sym_AMP,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6673), 1,
      anon_sym_bitor,
    ACTIONS(6675), 1,
      anon_sym_bitand,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6657), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6661), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [58806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    STATE(3278), 1,
      sym_attribute_specifier,
    ACTIONS(5490), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5492), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58871] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6659), 1,
      anon_sym_AMP,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6675), 1,
      anon_sym_bitand,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6657), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6661), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5791), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [58966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym___attribute__,
    STATE(3279), 1,
      sym_attribute_specifier,
    ACTIONS(5466), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5468), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59031] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6659), 1,
      anon_sym_AMP,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6675), 1,
      anon_sym_bitand,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6661), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [59124] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6661), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [59213] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6665), 1,
      anon_sym_GT_EQ,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6663), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [59300] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6390), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [59383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4912), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6696), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5692), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5694), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59507] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6629), 1,
      anon_sym___attribute__,
    ACTIONS(6632), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(6698), 1,
      anon_sym_requires,
    STATE(4568), 1,
      sym__function_attributes_start,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4682), 1,
      sym_ref_qualifier,
    STATE(5361), 1,
      sym_trailing_return_type,
    STATE(5364), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4995), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [59618] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [59697] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_const,
    ACTIONS(4589), 1,
      anon_sym_AMP,
    ACTIONS(4582), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
    ACTIONS(4587), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4585), 17,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4580), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59766] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6404), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6647), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6649), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [59847] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6700), 1,
      anon_sym_LT,
    STATE(3001), 1,
      sym_template_argument_list,
    ACTIONS(5662), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5664), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59914] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    STATE(3394), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5563), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5565), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [59981] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6723), 1,
      anon_sym_bitor,
    ACTIONS(6725), 1,
      anon_sym_bitand,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(5789), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [60077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6733), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [60139] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(6743), 1,
      anon_sym_requires,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(4584), 1,
      sym__function_attributes_start,
    STATE(4749), 1,
      sym_ref_qualifier,
    STATE(5383), 1,
      sym__function_attributes_end,
    STATE(5464), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6641), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6738), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3907), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5012), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [60249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5581), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5742), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60369] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6632), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(6644), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4599), 1,
      sym__function_attributes_start,
    STATE(4755), 1,
      sym_ref_qualifier,
    STATE(5417), 1,
      sym__function_attributes_end,
    STATE(5428), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6641), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6738), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5026), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [60479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5249), 1,
      anon_sym_LBRACK,
    ACTIONS(5246), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(3778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6750), 1,
      anon_sym_LT,
    STATE(1645), 1,
      sym_template_argument_list,
    ACTIONS(5797), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5799), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5597), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5599), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5669), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5671), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60731] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6753), 1,
      sym_identifier,
    STATE(3013), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5275), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5277), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4760), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4758), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5591), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5532), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5534), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5536), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5538), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5540), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5542), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5601), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5603), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6187), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [61159] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6632), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4632), 1,
      sym__function_attributes_start,
    STATE(4715), 1,
      sym_ref_qualifier,
    STATE(5361), 1,
      sym_trailing_return_type,
    STATE(5405), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6738), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5011), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [61269] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_COLON,
    STATE(2464), 1,
      sym_attribute_specifier,
    STATE(2744), 1,
      sym__enum_base_clause,
    STATE(2887), 1,
      sym_enumerator_list,
    ACTIONS(5660), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5658), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [61341] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6723), 1,
      anon_sym_bitor,
    ACTIONS(6725), 1,
      anon_sym_bitand,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(6757), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6759), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6763), 1,
      anon_sym_QMARK,
    ACTIONS(6765), 1,
      anon_sym_or,
    ACTIONS(6767), 1,
      anon_sym_and,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(5836), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5838), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [61449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5783), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61509] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6769), 1,
      sym_identifier,
    STATE(3013), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6772), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6775), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4781), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4779), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5795), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5555), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5557), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      sym_literal_suffix,
    ACTIONS(4947), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4949), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5611), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6778), 1,
      anon_sym_LT,
    STATE(3340), 1,
      sym_template_argument_list,
    ACTIONS(5675), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5677), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [61885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_EQ,
    ACTIONS(3806), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61949] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(3375), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5279), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5281), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62017] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5246), 1,
      anon_sym_LPAREN2,
    ACTIONS(5249), 1,
      anon_sym_LBRACK,
    ACTIONS(3778), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4580), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [62145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5246), 1,
      anon_sym_LPAREN2,
    ACTIONS(5249), 1,
      anon_sym_LBRACK,
    ACTIONS(3778), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      sym_literal_suffix,
    ACTIONS(3778), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62273] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6410), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6785), 1,
      anon_sym_COMMA,
    ACTIONS(6787), 1,
      anon_sym_RPAREN,
    ACTIONS(6789), 1,
      anon_sym_DASH,
    ACTIONS(6791), 1,
      anon_sym_PLUS,
    ACTIONS(6793), 1,
      anon_sym_STAR,
    ACTIONS(6795), 1,
      anon_sym_SLASH,
    ACTIONS(6797), 1,
      anon_sym_PERCENT,
    ACTIONS(6799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_CARET,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 1,
      anon_sym_GT,
    ACTIONS(6815), 1,
      anon_sym_GT_EQ,
    ACTIONS(6817), 1,
      anon_sym_LT_EQ,
    ACTIONS(6819), 1,
      anon_sym_LT,
    ACTIONS(6821), 1,
      anon_sym_LT_LT,
    ACTIONS(6823), 1,
      anon_sym_GT_GT,
    ACTIONS(6825), 1,
      anon_sym_EQ,
    ACTIONS(6827), 1,
      anon_sym_QMARK,
    ACTIONS(6829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6851), 1,
      anon_sym_or,
    ACTIONS(6853), 1,
      anon_sym_and,
    ACTIONS(6855), 1,
      anon_sym_bitor,
    ACTIONS(6857), 1,
      anon_sym_xor,
    ACTIONS(6859), 1,
      anon_sym_bitand,
    ACTIONS(6861), 1,
      anon_sym_not_eq,
    STATE(1362), 1,
      sym__binary_fold_operator,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      sym__fold_operator,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [62429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3194), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3192), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [62489] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LBRACE,
    ACTIONS(6865), 1,
      anon_sym_LPAREN2,
    STATE(2500), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3272), 1,
      sym_argument_list,
    STATE(3538), 1,
      sym_initializer_list,
    ACTIONS(6072), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4912), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(4910), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [62561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(4947), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4949), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4910), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [62683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(6755), 1,
      anon_sym_COLON,
    STATE(2475), 1,
      sym_attribute_specifier,
    STATE(2712), 1,
      sym__enum_base_clause,
    STATE(2912), 1,
      sym_enumerator_list,
    ACTIONS(5654), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5652), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [62755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(3778), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6868), 1,
      anon_sym_namespace,
    ACTIONS(6189), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6187), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [62879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5909), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62939] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_EQ,
    ACTIONS(4618), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5246), 1,
      anon_sym_LPAREN2,
    ACTIONS(5249), 1,
      anon_sym_LBRACK,
    ACTIONS(3806), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6679), 1,
      anon_sym_LT,
    STATE(1510), 1,
      sym_template_argument_list,
    ACTIONS(5797), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5799), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 1,
      anon_sym_LT,
    STATE(1513), 1,
      sym_template_argument_list,
    ACTIONS(5797), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5799), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3618), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63197] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5777), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5779), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [63271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6872), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(6870), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [63331] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [63407] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6723), 1,
      anon_sym_bitor,
    ACTIONS(6725), 1,
      anon_sym_bitand,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(6759), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_or,
    ACTIONS(6767), 1,
      anon_sym_and,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6235), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [63511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4910), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4912), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63573] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5789), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [63647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5804), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5806), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63707] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6410), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6785), 1,
      anon_sym_COMMA,
    ACTIONS(6789), 1,
      anon_sym_DASH,
    ACTIONS(6791), 1,
      anon_sym_PLUS,
    ACTIONS(6793), 1,
      anon_sym_STAR,
    ACTIONS(6795), 1,
      anon_sym_SLASH,
    ACTIONS(6797), 1,
      anon_sym_PERCENT,
    ACTIONS(6799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_CARET,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 1,
      anon_sym_GT,
    ACTIONS(6815), 1,
      anon_sym_GT_EQ,
    ACTIONS(6817), 1,
      anon_sym_LT_EQ,
    ACTIONS(6819), 1,
      anon_sym_LT,
    ACTIONS(6821), 1,
      anon_sym_LT_LT,
    ACTIONS(6823), 1,
      anon_sym_GT_GT,
    ACTIONS(6825), 1,
      anon_sym_EQ,
    ACTIONS(6827), 1,
      anon_sym_QMARK,
    ACTIONS(6829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6851), 1,
      anon_sym_or,
    ACTIONS(6853), 1,
      anon_sym_and,
    ACTIONS(6855), 1,
      anon_sym_bitor,
    ACTIONS(6857), 1,
      anon_sym_xor,
    ACTIONS(6859), 1,
      anon_sym_bitand,
    ACTIONS(6861), 1,
      anon_sym_not_eq,
    ACTIONS(6874), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym__binary_fold_operator,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      sym__fold_operator,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [63863] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6723), 1,
      anon_sym_bitor,
    ACTIONS(6725), 1,
      anon_sym_bitand,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(6757), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6759), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6763), 1,
      anon_sym_QMARK,
    ACTIONS(6765), 1,
      anon_sym_or,
    ACTIONS(6767), 1,
      anon_sym_and,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6247), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6249), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [63971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5593), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5595), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 1,
      sym_auto,
    ACTIONS(6454), 1,
      anon_sym_decltype,
    STATE(3337), 1,
      sym_decltype_auto,
    ACTIONS(4881), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4883), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5694), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64157] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6723), 1,
      anon_sym_bitor,
    ACTIONS(6725), 1,
      anon_sym_bitand,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(6761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6767), 1,
      anon_sym_and,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5789), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [64257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5605), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5607), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5692), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5694), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64379] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(6878), 1,
      anon_sym_requires,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(4594), 1,
      sym__function_attributes_start,
    STATE(4762), 1,
      sym_ref_qualifier,
    STATE(5374), 1,
      sym__function_attributes_end,
    STATE(5406), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6738), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3907), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5019), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [64489] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6725), 1,
      anon_sym_bitand,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [64581] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6725), 1,
      anon_sym_bitand,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [64671] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6410), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6785), 1,
      anon_sym_COMMA,
    ACTIONS(6789), 1,
      anon_sym_DASH,
    ACTIONS(6791), 1,
      anon_sym_PLUS,
    ACTIONS(6793), 1,
      anon_sym_STAR,
    ACTIONS(6795), 1,
      anon_sym_SLASH,
    ACTIONS(6797), 1,
      anon_sym_PERCENT,
    ACTIONS(6799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_CARET,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 1,
      anon_sym_GT,
    ACTIONS(6815), 1,
      anon_sym_GT_EQ,
    ACTIONS(6817), 1,
      anon_sym_LT_EQ,
    ACTIONS(6819), 1,
      anon_sym_LT,
    ACTIONS(6821), 1,
      anon_sym_LT_LT,
    ACTIONS(6823), 1,
      anon_sym_GT_GT,
    ACTIONS(6825), 1,
      anon_sym_EQ,
    ACTIONS(6827), 1,
      anon_sym_QMARK,
    ACTIONS(6829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6851), 1,
      anon_sym_or,
    ACTIONS(6853), 1,
      anon_sym_and,
    ACTIONS(6855), 1,
      anon_sym_bitor,
    ACTIONS(6857), 1,
      anon_sym_xor,
    ACTIONS(6859), 1,
      anon_sym_bitand,
    ACTIONS(6861), 1,
      anon_sym_not_eq,
    ACTIONS(6880), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym__binary_fold_operator,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      sym__fold_operator,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [64827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5242), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64887] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [64973] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [65057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5234), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65117] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [65199] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [65277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4959), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65337] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6723), 1,
      anon_sym_bitor,
    ACTIONS(6725), 1,
      anon_sym_bitand,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(6757), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6759), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6763), 1,
      anon_sym_QMARK,
    ACTIONS(6765), 1,
      anon_sym_or,
    ACTIONS(6767), 1,
      anon_sym_and,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6239), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6241), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [65445] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6410), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6785), 1,
      anon_sym_COMMA,
    ACTIONS(6789), 1,
      anon_sym_DASH,
    ACTIONS(6791), 1,
      anon_sym_PLUS,
    ACTIONS(6793), 1,
      anon_sym_STAR,
    ACTIONS(6795), 1,
      anon_sym_SLASH,
    ACTIONS(6797), 1,
      anon_sym_PERCENT,
    ACTIONS(6799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_CARET,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 1,
      anon_sym_GT,
    ACTIONS(6815), 1,
      anon_sym_GT_EQ,
    ACTIONS(6817), 1,
      anon_sym_LT_EQ,
    ACTIONS(6819), 1,
      anon_sym_LT,
    ACTIONS(6821), 1,
      anon_sym_LT_LT,
    ACTIONS(6823), 1,
      anon_sym_GT_GT,
    ACTIONS(6825), 1,
      anon_sym_EQ,
    ACTIONS(6827), 1,
      anon_sym_QMARK,
    ACTIONS(6829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6851), 1,
      anon_sym_or,
    ACTIONS(6853), 1,
      anon_sym_and,
    ACTIONS(6855), 1,
      anon_sym_bitor,
    ACTIONS(6857), 1,
      anon_sym_xor,
    ACTIONS(6859), 1,
      anon_sym_bitand,
    ACTIONS(6861), 1,
      anon_sym_not_eq,
    ACTIONS(6882), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym__binary_fold_operator,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      sym__fold_operator,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [65601] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [65681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5909), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65741] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6410), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6785), 1,
      anon_sym_COMMA,
    ACTIONS(6789), 1,
      anon_sym_DASH,
    ACTIONS(6791), 1,
      anon_sym_PLUS,
    ACTIONS(6793), 1,
      anon_sym_STAR,
    ACTIONS(6795), 1,
      anon_sym_SLASH,
    ACTIONS(6797), 1,
      anon_sym_PERCENT,
    ACTIONS(6799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_CARET,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 1,
      anon_sym_GT,
    ACTIONS(6815), 1,
      anon_sym_GT_EQ,
    ACTIONS(6817), 1,
      anon_sym_LT_EQ,
    ACTIONS(6819), 1,
      anon_sym_LT,
    ACTIONS(6821), 1,
      anon_sym_LT_LT,
    ACTIONS(6823), 1,
      anon_sym_GT_GT,
    ACTIONS(6825), 1,
      anon_sym_EQ,
    ACTIONS(6827), 1,
      anon_sym_QMARK,
    ACTIONS(6829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6851), 1,
      anon_sym_or,
    ACTIONS(6853), 1,
      anon_sym_and,
    ACTIONS(6855), 1,
      anon_sym_bitor,
    ACTIONS(6857), 1,
      anon_sym_xor,
    ACTIONS(6859), 1,
      anon_sym_bitand,
    ACTIONS(6861), 1,
      anon_sym_not_eq,
    ACTIONS(6884), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym__binary_fold_operator,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      sym__fold_operator,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [65897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3642), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3644), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65957] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6410), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6785), 1,
      anon_sym_COMMA,
    ACTIONS(6789), 1,
      anon_sym_DASH,
    ACTIONS(6791), 1,
      anon_sym_PLUS,
    ACTIONS(6793), 1,
      anon_sym_STAR,
    ACTIONS(6795), 1,
      anon_sym_SLASH,
    ACTIONS(6797), 1,
      anon_sym_PERCENT,
    ACTIONS(6799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_CARET,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 1,
      anon_sym_GT,
    ACTIONS(6815), 1,
      anon_sym_GT_EQ,
    ACTIONS(6817), 1,
      anon_sym_LT_EQ,
    ACTIONS(6819), 1,
      anon_sym_LT,
    ACTIONS(6821), 1,
      anon_sym_LT_LT,
    ACTIONS(6823), 1,
      anon_sym_GT_GT,
    ACTIONS(6825), 1,
      anon_sym_EQ,
    ACTIONS(6827), 1,
      anon_sym_QMARK,
    ACTIONS(6829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6851), 1,
      anon_sym_or,
    ACTIONS(6853), 1,
      anon_sym_and,
    ACTIONS(6855), 1,
      anon_sym_bitor,
    ACTIONS(6857), 1,
      anon_sym_xor,
    ACTIONS(6859), 1,
      anon_sym_bitand,
    ACTIONS(6861), 1,
      anon_sym_not_eq,
    ACTIONS(6886), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym__binary_fold_operator,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      sym__fold_operator,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [66113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6750), 1,
      anon_sym_LT,
    STATE(2891), 1,
      sym_template_argument_list,
    ACTIONS(5797), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5799), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_namespace,
    ACTIONS(6189), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6187), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [66239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5118), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5120), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66299] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6314), 1,
      anon_sym_GT_EQ,
    ACTIONS(6318), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6324), 1,
      anon_sym_RPAREN,
    ACTIONS(6418), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6420), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6422), 1,
      anon_sym_PIPE,
    ACTIONS(6426), 1,
      anon_sym_AMP,
    ACTIONS(6430), 1,
      anon_sym_QMARK,
    ACTIONS(6432), 1,
      anon_sym_or,
    ACTIONS(6434), 1,
      anon_sym_and,
    ACTIONS(6436), 1,
      anon_sym_bitor,
    ACTIONS(6438), 1,
      anon_sym_bitand,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(6892), 1,
      anon_sym_EQ,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6424), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6310), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6428), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6388), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [66413] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6723), 1,
      anon_sym_bitor,
    ACTIONS(6725), 1,
      anon_sym_bitand,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(6759), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_or,
    ACTIONS(6767), 1,
      anon_sym_and,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6243), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6245), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [66517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5142), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5144), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5164), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4916), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4918), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66697] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(4635), 1,
      sym__function_attributes_start,
    STATE(4718), 1,
      sym_ref_qualifier,
    STATE(5406), 1,
      sym_trailing_return_type,
    STATE(5526), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3907), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5013), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [66807] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6743), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(4579), 1,
      sym__function_attributes_start,
    STATE(4734), 1,
      sym_ref_qualifier,
    STATE(5464), 1,
      sym_trailing_return_type,
    STATE(5549), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6641), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3907), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5008), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [66917] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6410), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6785), 1,
      anon_sym_COMMA,
    ACTIONS(6789), 1,
      anon_sym_DASH,
    ACTIONS(6791), 1,
      anon_sym_PLUS,
    ACTIONS(6793), 1,
      anon_sym_STAR,
    ACTIONS(6795), 1,
      anon_sym_SLASH,
    ACTIONS(6797), 1,
      anon_sym_PERCENT,
    ACTIONS(6799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_CARET,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 1,
      anon_sym_GT,
    ACTIONS(6815), 1,
      anon_sym_GT_EQ,
    ACTIONS(6817), 1,
      anon_sym_LT_EQ,
    ACTIONS(6819), 1,
      anon_sym_LT,
    ACTIONS(6821), 1,
      anon_sym_LT_LT,
    ACTIONS(6823), 1,
      anon_sym_GT_GT,
    ACTIONS(6825), 1,
      anon_sym_EQ,
    ACTIONS(6827), 1,
      anon_sym_QMARK,
    ACTIONS(6829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6851), 1,
      anon_sym_or,
    ACTIONS(6853), 1,
      anon_sym_and,
    ACTIONS(6855), 1,
      anon_sym_bitor,
    ACTIONS(6857), 1,
      anon_sym_xor,
    ACTIONS(6859), 1,
      anon_sym_bitand,
    ACTIONS(6861), 1,
      anon_sym_not_eq,
    ACTIONS(6896), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym__binary_fold_operator,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      sym__fold_operator,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [67073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5249), 1,
      anon_sym_LBRACK,
    ACTIONS(5246), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(3778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6898), 1,
      anon_sym_namespace,
    ACTIONS(6189), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6187), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [67261] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6632), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4623), 1,
      sym__function_attributes_start,
    STATE(4717), 1,
      sym_ref_qualifier,
    STATE(5361), 1,
      sym_trailing_return_type,
    STATE(5559), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5025), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [67371] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    STATE(3773), 1,
      sym_field_declaration_list,
    STATE(3843), 1,
      sym_attribute_specifier,
    STATE(6523), 1,
      sym_virtual_specifier,
    STATE(7240), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4854), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4856), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67447] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6906), 1,
      sym_identifier,
    STATE(3002), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5275), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5277), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4766), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4764), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6908), 1,
      anon_sym_namespace,
    ACTIONS(6189), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6187), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [67577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4939), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4941), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [67877] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6632), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(6644), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4622), 1,
      sym__function_attributes_start,
    STATE(4747), 1,
      sym_ref_qualifier,
    STATE(5428), 1,
      sym_trailing_return_type,
    STATE(5530), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6641), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5028), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [67987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6294), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68107] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5736), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5738), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [68179] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5716), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5718), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [68253] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5728), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5730), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [68327] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6255), 1,
      anon_sym_EQ,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE,
    ACTIONS(6926), 1,
      anon_sym_AMP,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6938), 1,
      anon_sym_or,
    ACTIONS(6940), 1,
      anon_sym_and,
    ACTIONS(6942), 1,
      anon_sym_bitor,
    ACTIONS(6944), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6924), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6928), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6257), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68433] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5747), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5749), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [68505] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_EQ,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE,
    ACTIONS(6926), 1,
      anon_sym_AMP,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6938), 1,
      anon_sym_or,
    ACTIONS(6940), 1,
      anon_sym_and,
    ACTIONS(6942), 1,
      anon_sym_bitor,
    ACTIONS(6944), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6924), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6928), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6199), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68611] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5836), 1,
      anon_sym_EQ,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE,
    ACTIONS(6926), 1,
      anon_sym_AMP,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6938), 1,
      anon_sym_or,
    ACTIONS(6940), 1,
      anon_sym_and,
    ACTIONS(6942), 1,
      anon_sym_bitor,
    ACTIONS(6944), 1,
      anon_sym_bitand,
    ACTIONS(6946), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6924), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6928), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5838), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68721] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [68797] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5789), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [68871] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE,
    ACTIONS(6926), 1,
      anon_sym_AMP,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6940), 1,
      anon_sym_and,
    ACTIONS(6942), 1,
      anon_sym_bitor,
    ACTIONS(6944), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5789), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6924), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6928), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68973] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6922), 1,
      anon_sym_PIPE,
    ACTIONS(6926), 1,
      anon_sym_AMP,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6942), 1,
      anon_sym_bitor,
    ACTIONS(6944), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6924), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6928), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [69071] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6926), 1,
      anon_sym_AMP,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6944), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6924), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6928), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(5791), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [69165] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6926), 1,
      anon_sym_AMP,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6944), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6928), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [69257] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6928), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [69345] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [69431] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [69513] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [69591] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5791), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [69671] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5700), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5702), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [69745] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6235), 1,
      anon_sym_EQ,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE,
    ACTIONS(6926), 1,
      anon_sym_AMP,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6938), 1,
      anon_sym_or,
    ACTIONS(6940), 1,
      anon_sym_and,
    ACTIONS(6942), 1,
      anon_sym_bitor,
    ACTIONS(6944), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6924), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6928), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [69851] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6239), 1,
      anon_sym_EQ,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE,
    ACTIONS(6926), 1,
      anon_sym_AMP,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6938), 1,
      anon_sym_or,
    ACTIONS(6940), 1,
      anon_sym_and,
    ACTIONS(6942), 1,
      anon_sym_bitor,
    ACTIONS(6944), 1,
      anon_sym_bitand,
    ACTIONS(6946), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6924), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6928), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6241), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [69961] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6243), 1,
      anon_sym_EQ,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE,
    ACTIONS(6926), 1,
      anon_sym_AMP,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6938), 1,
      anon_sym_or,
    ACTIONS(6940), 1,
      anon_sym_and,
    ACTIONS(6942), 1,
      anon_sym_bitor,
    ACTIONS(6944), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6924), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6928), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6245), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70067] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6231), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6247), 1,
      anon_sym_EQ,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(6918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE,
    ACTIONS(6926), 1,
      anon_sym_AMP,
    ACTIONS(6932), 1,
      anon_sym_GT_EQ,
    ACTIONS(6936), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6938), 1,
      anon_sym_or,
    ACTIONS(6940), 1,
      anon_sym_and,
    ACTIONS(6942), 1,
      anon_sym_bitor,
    ACTIONS(6944), 1,
      anon_sym_bitand,
    ACTIONS(6946), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6924), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6928), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6930), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6249), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4926), 1,
      anon_sym_LBRACE,
    ACTIONS(4912), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(4910), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [70241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6294), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70301] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5736), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5738), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [70373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 1,
      anon_sym_LBRACE,
    ACTIONS(4912), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(4910), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [70435] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5700), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5702), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [70509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6948), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [70571] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5706), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5777), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5779), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [70645] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5716), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5718), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [70719] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5728), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5730), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [70793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5761), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5694), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70913] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6723), 1,
      anon_sym_bitor,
    ACTIONS(6725), 1,
      anon_sym_bitand,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(6759), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_or,
    ACTIONS(6767), 1,
      anon_sym_and,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6255), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6257), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [71017] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5747), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(5749), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [71089] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2688), 1,
      sym_template_argument_list,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3768), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [71159] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6410), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6785), 1,
      anon_sym_COMMA,
    ACTIONS(6789), 1,
      anon_sym_DASH,
    ACTIONS(6791), 1,
      anon_sym_PLUS,
    ACTIONS(6793), 1,
      anon_sym_STAR,
    ACTIONS(6795), 1,
      anon_sym_SLASH,
    ACTIONS(6797), 1,
      anon_sym_PERCENT,
    ACTIONS(6799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_CARET,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 1,
      anon_sym_GT,
    ACTIONS(6815), 1,
      anon_sym_GT_EQ,
    ACTIONS(6817), 1,
      anon_sym_LT_EQ,
    ACTIONS(6819), 1,
      anon_sym_LT,
    ACTIONS(6821), 1,
      anon_sym_LT_LT,
    ACTIONS(6823), 1,
      anon_sym_GT_GT,
    ACTIONS(6825), 1,
      anon_sym_EQ,
    ACTIONS(6827), 1,
      anon_sym_QMARK,
    ACTIONS(6829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6851), 1,
      anon_sym_or,
    ACTIONS(6853), 1,
      anon_sym_and,
    ACTIONS(6855), 1,
      anon_sym_bitor,
    ACTIONS(6857), 1,
      anon_sym_xor,
    ACTIONS(6859), 1,
      anon_sym_bitand,
    ACTIONS(6861), 1,
      anon_sym_not_eq,
    ACTIONS(6952), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym__binary_fold_operator,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      sym__fold_operator,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [71315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6181), 1,
      anon_sym_LBRACK,
    STATE(3218), 1,
      sym_new_declarator,
    ACTIONS(5688), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5690), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [71379] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6954), 1,
      anon_sym_LT,
    STATE(3340), 1,
      sym_template_argument_list,
    ACTIONS(5662), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5664), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [71445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5242), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71505] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6721), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6723), 1,
      anon_sym_bitor,
    ACTIONS(6725), 1,
      anon_sym_bitand,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(6759), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6765), 1,
      anon_sym_or,
    ACTIONS(6767), 1,
      anon_sym_and,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6197), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(6703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6709), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6717), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6727), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6713), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6715), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6199), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [71609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6957), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [71671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6959), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [71733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6961), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [71795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6963), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [71857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym_typedef,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [71919] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6408), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6410), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6785), 1,
      anon_sym_COMMA,
    ACTIONS(6789), 1,
      anon_sym_DASH,
    ACTIONS(6791), 1,
      anon_sym_PLUS,
    ACTIONS(6793), 1,
      anon_sym_STAR,
    ACTIONS(6795), 1,
      anon_sym_SLASH,
    ACTIONS(6797), 1,
      anon_sym_PERCENT,
    ACTIONS(6799), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6801), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_CARET,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6811), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 1,
      anon_sym_GT,
    ACTIONS(6815), 1,
      anon_sym_GT_EQ,
    ACTIONS(6817), 1,
      anon_sym_LT_EQ,
    ACTIONS(6819), 1,
      anon_sym_LT,
    ACTIONS(6821), 1,
      anon_sym_LT_LT,
    ACTIONS(6823), 1,
      anon_sym_GT_GT,
    ACTIONS(6825), 1,
      anon_sym_EQ,
    ACTIONS(6827), 1,
      anon_sym_QMARK,
    ACTIONS(6829), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6831), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6833), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6835), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6837), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6841), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6843), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6845), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6847), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6851), 1,
      anon_sym_or,
    ACTIONS(6853), 1,
      anon_sym_and,
    ACTIONS(6855), 1,
      anon_sym_bitor,
    ACTIONS(6857), 1,
      anon_sym_xor,
    ACTIONS(6859), 1,
      anon_sym_bitand,
    ACTIONS(6861), 1,
      anon_sym_not_eq,
    ACTIONS(6967), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym__binary_fold_operator,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    STATE(7434), 1,
      sym__fold_operator,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [72075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5959), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5963), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5889), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5891), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4501), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72665] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_requires,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(4647), 1,
      sym__function_attributes_start,
    STATE(4819), 1,
      sym_ref_qualifier,
    STATE(5589), 1,
      sym__function_attributes_end,
    STATE(5750), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(3907), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5039), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [72774] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6587), 1,
      anon_sym_LBRACK,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3817), 1,
      sym_template_argument_list,
    ACTIONS(3791), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(3768), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [72847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(3022), 1,
      sym_template_argument_list,
    ACTIONS(5797), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5799), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5593), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5595), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5605), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5607), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5995), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1880), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6978), 1,
      anon_sym_and,
    ACTIONS(5684), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5686), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3642), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [73327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5951), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4711), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4703), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4943), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4945), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4955), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5849), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5883), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5905), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4963), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4967), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4969), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4971), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4963), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5720), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5722), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4963), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4747), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5983), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4743), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5987), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3250), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5376), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6980), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [74511] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6976), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6978), 1,
      anon_sym_and,
    ACTIONS(6982), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6984), 1,
      anon_sym_or,
    ACTIONS(5625), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5627), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6986), 1,
      sym_identifier,
    STATE(3226), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4638), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4640), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4760), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4758), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74645] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_requires,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(4670), 1,
      sym__function_attributes_start,
    STATE(4902), 1,
      sym_ref_qualifier,
    STATE(5669), 1,
      sym__function_attributes_end,
    STATE(5705), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3907), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5704), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5052), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [74754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5931), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4735), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5254), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5256), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5787), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4723), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym_LPAREN2,
    STATE(3582), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5548), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5550), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4727), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3552), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4737), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4739), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3618), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4737), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4739), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5804), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5806), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4747), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4813), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [75586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4817), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [75645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym_LPAREN2,
    STATE(3596), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5559), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5561), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6011), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6294), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6292), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [75828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5122), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5124), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5128), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3257), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5332), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6992), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5330), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [76009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2688), 1,
      sym_template_argument_list,
    ACTIONS(3794), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5017), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [76133] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(1851), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4620), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5279), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5281), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [76200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5879), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5148), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5152), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3282), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5142), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6994), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5144), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [76440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5176), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5166), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5168), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5795), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5172), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5176), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5919), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5242), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6996), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5692), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5694), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5845), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5975), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77032] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6998), 1,
      sym_identifier,
    STATE(3226), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7001), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7004), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4781), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4779), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5188), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77158] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2688), 1,
      sym_template_argument_list,
    ACTIONS(4506), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4499), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [77223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5971), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym_LPAREN2,
    STATE(3616), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5563), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5565), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5955), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1880), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4731), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4749), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4751), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5853), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5581), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5591), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [77819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5991), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5838), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5761), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4715), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5887), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5742), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78291] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(7007), 1,
      anon_sym_requires,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(4678), 1,
      sym__function_attributes_start,
    STATE(4788), 1,
      sym_ref_qualifier,
    STATE(5613), 1,
      sym__function_attributes_end,
    STATE(5722), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6641), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3907), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5049), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [78400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_LT,
    STATE(1670), 1,
      sym_template_argument_list,
    ACTIONS(5797), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5799), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6019), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1914), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5369), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7010), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5367), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [78585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LBRACE,
    ACTIONS(6448), 1,
      anon_sym_LPAREN2,
    STATE(3621), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5575), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5577), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4723), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5865), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78768] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7012), 1,
      anon_sym_LT,
    STATE(1795), 1,
      sym_template_argument_list,
    STATE(1851), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4620), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(3776), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [78837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4973), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4975), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4977), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4979), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1914), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5384), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7010), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5382), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [79018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4715), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4983), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5532), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5534), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4829), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [79254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5007), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4735), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5011), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5015), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2542), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5536), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5538), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5540), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5542), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [79667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79726] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7014), 1,
      sym_identifier,
    ACTIONS(7019), 1,
      sym_primitive_type,
    STATE(3280), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7017), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5206), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5204), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4703), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5845), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79911] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7021), 1,
      anon_sym_LT,
    STATE(1795), 1,
      sym_template_argument_list,
    STATE(3375), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(3776), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5937), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5939), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5812), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5814), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4743), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5909), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5023), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5049), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5051), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4791), 1,
      sym_primitive_type,
    STATE(1584), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5115), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5112), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5765), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80458] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1914), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5305), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7010), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5303), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [80521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6031), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(1876), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5753), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5601), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5603), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5555), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5557), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5611), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5200), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80934] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(7023), 1,
      anon_sym_requires,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(4677), 1,
      sym__function_attributes_start,
    STATE(4915), 1,
      sym_ref_qualifier,
    STATE(5674), 1,
      sym__function_attributes_end,
    STATE(5709), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3907), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5704), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5055), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4912), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5834), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7033), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7029), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7031), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(7036), 11,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(7026), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
  [81226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5753), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5316), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4719), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81464] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2479), 1,
      sym_attribute_specifier,
    STATE(3757), 1,
      sym_field_declaration_list,
    STATE(6604), 1,
      sym_virtual_specifier,
    STATE(7348), 1,
      sym_base_class_clause,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4854), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(4856), 38,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [81539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4821), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [81657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5826), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3616), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [81775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4912), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5923), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1876), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 1,
      sym_literal_suffix,
    ACTIONS(4949), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4947), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [82013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1914), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5356), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7010), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5354), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [82076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5820), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5822), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 1,
      sym_literal_suffix,
    ACTIONS(3770), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(3778), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [82196] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(7040), 1,
      anon_sym_EQ,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2688), 1,
      sym_template_argument_list,
    ACTIONS(7038), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3768), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [82269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4749), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4751), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5218), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4727), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4731), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5222), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5226), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5230), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6679), 1,
      anon_sym_LT,
    STATE(1528), 1,
      sym_template_argument_list,
    ACTIONS(5797), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5799), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7042), 1,
      sym_identifier,
    STATE(3186), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4638), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4640), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4766), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4764), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5783), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [82871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5271), 1,
      anon_sym_EQ,
    ACTIONS(5273), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6187), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [82993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5753), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5816), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5818), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6003), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6005), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6280), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6278), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [83229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5597), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5599), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5945), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5947), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5694), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5967), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4719), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5769), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5828), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5830), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3642), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3644), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [83819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5178), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5180), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5941), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5943), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6035), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5669), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5671), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(4711), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3282), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4910), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6994), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4912), 42,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [84179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7046), 1,
      anon_sym_and,
    ACTIONS(5684), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5686), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84299] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6243), 1,
      anon_sym_EQ,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7056), 1,
      anon_sym_PIPE,
    ACTIONS(7058), 1,
      anon_sym_CARET,
    ACTIONS(7060), 1,
      anon_sym_AMP,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    ACTIONS(7070), 1,
      anon_sym_bitor,
    ACTIONS(7072), 1,
      anon_sym_xor,
    ACTIONS(7074), 1,
      anon_sym_bitand,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7052), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7054), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7062), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6245), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [84401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5753), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3347), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7076), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4791), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4793), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5769), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84579] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [84653] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5789), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [84725] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_EQ,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7056), 1,
      anon_sym_PIPE,
    ACTIONS(7058), 1,
      anon_sym_CARET,
    ACTIONS(7060), 1,
      anon_sym_AMP,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    ACTIONS(7070), 1,
      anon_sym_bitor,
    ACTIONS(7072), 1,
      anon_sym_xor,
    ACTIONS(7074), 1,
      anon_sym_bitand,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7054), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7062), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [84825] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_EQ,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7056), 1,
      anon_sym_PIPE,
    ACTIONS(7058), 1,
      anon_sym_CARET,
    ACTIONS(7060), 1,
      anon_sym_AMP,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    ACTIONS(7070), 1,
      anon_sym_bitor,
    ACTIONS(7072), 1,
      anon_sym_xor,
    ACTIONS(7074), 1,
      anon_sym_bitand,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7062), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [84923] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7058), 1,
      anon_sym_CARET,
    ACTIONS(7060), 1,
      anon_sym_AMP,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    ACTIONS(7072), 1,
      anon_sym_xor,
    ACTIONS(7074), 1,
      anon_sym_bitand,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(5789), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7062), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [85017] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7060), 1,
      anon_sym_AMP,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    ACTIONS(7074), 1,
      anon_sym_bitand,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7062), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [85107] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7062), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(5791), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [85193] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(5791), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85277] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(5791), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85357] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85433] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5789), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(5791), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85511] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym___attribute__,
    ACTIONS(7092), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7095), 1,
      anon_sym___declspec,
    ACTIONS(7101), 1,
      sym_virtual,
    ACTIONS(7104), 1,
      anon_sym_explicit,
    STATE(3026), 1,
      sym_alignas_qualifier,
    ACTIONS(7098), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7081), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7079), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7086), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3360), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7083), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [85589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5887), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6019), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5945), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5947), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5838), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85821] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7046), 1,
      anon_sym_and,
    ACTIONS(7107), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7109), 1,
      anon_sym_or,
    ACTIONS(5625), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5627), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4731), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85945] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    STATE(3087), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5275), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5277), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4947), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4949), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5763), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5765), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86069] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5700), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5702), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [86141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5941), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5943), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5967), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3347), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5305), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5303), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 1,
      anon_sym_LBRACK,
    STATE(3521), 1,
      sym_new_declarator,
    ACTIONS(5688), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5690), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5951), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3347), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5356), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5354), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4715), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86559] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6197), 1,
      anon_sym_EQ,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7056), 1,
      anon_sym_PIPE,
    ACTIONS(7058), 1,
      anon_sym_CARET,
    ACTIONS(7060), 1,
      anon_sym_AMP,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    ACTIONS(7070), 1,
      anon_sym_bitor,
    ACTIONS(7072), 1,
      anon_sym_xor,
    ACTIONS(7074), 1,
      anon_sym_bitand,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7052), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7054), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7062), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6199), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [86661] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6247), 1,
      anon_sym_EQ,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6827), 1,
      anon_sym_QMARK,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7056), 1,
      anon_sym_PIPE,
    ACTIONS(7058), 1,
      anon_sym_CARET,
    ACTIONS(7060), 1,
      anon_sym_AMP,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    ACTIONS(7070), 1,
      anon_sym_bitor,
    ACTIONS(7072), 1,
      anon_sym_xor,
    ACTIONS(7074), 1,
      anon_sym_bitand,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7052), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7054), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7062), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6249), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [86767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3431), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7113), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5374), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5889), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5891), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86887] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7121), 1,
      anon_sym___attribute__,
    ACTIONS(7124), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7127), 1,
      anon_sym___declspec,
    ACTIONS(7133), 1,
      sym_virtual,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(7130), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3381), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7118), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(7115), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6123), 14,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [86963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4711), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3437), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7136), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5332), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5330), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87083] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(2475), 1,
      sym_attribute_specifier,
    STATE(2712), 1,
      sym__enum_base_clause,
    STATE(2912), 1,
      sym_enumerator_list,
    ACTIONS(5654), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5652), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [87153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6011), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(2464), 1,
      sym_attribute_specifier,
    STATE(2744), 1,
      sym__enum_base_clause,
    STATE(2887), 1,
      sym_enumerator_list,
    ACTIONS(5660), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5658), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [87281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5909), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4719), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87397] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5716), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5718), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [87469] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5728), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5730), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [87541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5720), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5722), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5845), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5816), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5818), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5879), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5883), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4735), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5991), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [87947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4723), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5857), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5905), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    ACTIONS(5017), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3794), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [88185] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6255), 1,
      anon_sym_EQ,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7056), 1,
      anon_sym_PIPE,
    ACTIONS(7058), 1,
      anon_sym_CARET,
    ACTIONS(7060), 1,
      anon_sym_AMP,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    ACTIONS(7070), 1,
      anon_sym_bitor,
    ACTIONS(7072), 1,
      anon_sym_xor,
    ACTIONS(7074), 1,
      anon_sym_bitand,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7052), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7054), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7062), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6257), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [88287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5849), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5931), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5787), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88461] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5747), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5749), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [88531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5861), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5987), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4737), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4739), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5959), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5963), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4747), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5242), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4703), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    ACTIONS(4499), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4506), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [89117] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5736), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(5738), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [89187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5853), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89303] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_EQ,
    ACTIONS(3819), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5246), 1,
      anon_sym_LPAREN2,
    ACTIONS(5249), 1,
      anon_sym_LBRACK,
    ACTIONS(3806), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3770), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [89373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5937), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5939), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5820), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5822), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5299), 1,
      anon_sym_EQ,
    ACTIONS(5301), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89551] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7021), 1,
      anon_sym_LT,
    STATE(1795), 1,
      sym_template_argument_list,
    ACTIONS(5017), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(3794), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6031), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5826), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7140), 1,
      anon_sym_LT,
    STATE(1795), 1,
      sym_template_argument_list,
    ACTIONS(4499), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4506), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4479), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89853] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(7145), 1,
      anon_sym_requires,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(4691), 1,
      sym__function_attributes_start,
    STATE(4922), 1,
      sym_ref_qualifier,
    STATE(5761), 1,
      sym__function_attributes_end,
    STATE(5989), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3907), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5704), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5057), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5843), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5845), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3347), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5369), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5367), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5834), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90139] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(7147), 1,
      anon_sym_requires,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(4693), 1,
      sym__function_attributes_start,
    STATE(4937), 1,
      sym_ref_qualifier,
    STATE(5769), 1,
      sym__function_attributes_end,
    STATE(5986), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6532), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3907), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5704), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5065), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6514), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5971), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5983), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5955), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3347), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7111), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5382), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4743), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90541] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 1,
      anon_sym_EQ,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6827), 1,
      anon_sym_QMARK,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7056), 1,
      anon_sym_PIPE,
    ACTIONS(7058), 1,
      anon_sym_CARET,
    ACTIONS(7060), 1,
      anon_sym_AMP,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    ACTIONS(7070), 1,
      anon_sym_bitor,
    ACTIONS(7072), 1,
      anon_sym_xor,
    ACTIONS(7074), 1,
      anon_sym_bitand,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7052), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7054), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7062), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5838), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [90647] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    STATE(3087), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5275), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5277), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3778), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3372), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5142), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5144), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3552), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4536), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5919), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4540), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4544), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4749), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4751), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4548), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4552), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4556), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4580), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4501), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1876), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5865), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 1,
      anon_sym_LT,
    STATE(1803), 1,
      sym_template_argument_list,
    ACTIONS(5797), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5799), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6003), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6005), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5694), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4634), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(4636), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3770), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(3778), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [92061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5975), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 1,
      anon_sym_EQ,
    ACTIONS(5510), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4707), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6023), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5923), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4727), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5812), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5814), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92529] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(7040), 1,
      anon_sym_EQ,
    STATE(2688), 1,
      sym_template_argument_list,
    ACTIONS(7038), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(3794), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5017), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [92597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5995), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5828), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5830), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6035), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92771] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6239), 1,
      anon_sym_EQ,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6783), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6827), 1,
      anon_sym_QMARK,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7056), 1,
      anon_sym_PIPE,
    ACTIONS(7058), 1,
      anon_sym_CARET,
    ACTIONS(7060), 1,
      anon_sym_AMP,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    ACTIONS(7070), 1,
      anon_sym_bitor,
    ACTIONS(7072), 1,
      anon_sym_xor,
    ACTIONS(7074), 1,
      anon_sym_bitand,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7052), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7054), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7062), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6241), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [92877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2542), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5753), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6015), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5753), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(1880), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5804), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5806), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93225] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    ACTIONS(6235), 1,
      anon_sym_EQ,
    ACTIONS(6362), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6849), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7056), 1,
      anon_sym_PIPE,
    ACTIONS(7058), 1,
      anon_sym_CARET,
    ACTIONS(7060), 1,
      anon_sym_AMP,
    ACTIONS(7066), 1,
      anon_sym_GT_EQ,
    ACTIONS(7070), 1,
      anon_sym_bitor,
    ACTIONS(7072), 1,
      anon_sym_xor,
    ACTIONS(7074), 1,
      anon_sym_bitand,
    STATE(3224), 1,
      sym_argument_list,
    STATE(3229), 1,
      sym_subscript_argument_list,
    ACTIONS(6406), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6863), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7048), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7052), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7054), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7050), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7062), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [93327] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7154), 1,
      anon_sym_STAR,
    ACTIONS(7156), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5695), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3520), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3992), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5338), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93420] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4510), 1,
      anon_sym_LBRACK,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(3705), 1,
      sym_template_argument_list,
    ACTIONS(4503), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4506), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4499), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [93487] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_STAR,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_AMP,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5638), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3487), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3979), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5338), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93580] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_STAR,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_AMP,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5652), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3994), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4920), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4922), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4479), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4536), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4540), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4544), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4548), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4552), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4556), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4821), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [94188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4829), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [94245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4920), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4922), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      sym_literal_suffix,
    ACTIONS(4947), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4949), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3372), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4910), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4912), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4930), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4813), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [94538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4817), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [94595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6294), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4813), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4811), 46,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [94709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4580), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    STATE(3557), 1,
      sym_new_declarator,
    ACTIONS(5688), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5690), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94829] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(3307), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3768), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6569), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 37,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [94896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4817), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(4815), 46,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [94953] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_EQ,
    ACTIONS(3819), 1,
      anon_sym_SEMI,
    ACTIONS(3806), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(3770), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [95016] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 1,
      sym_literal_suffix,
    STATE(3319), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4638), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4640), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4947), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4949), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95081] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 1,
      sym_literal_suffix,
    STATE(3319), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4638), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4640), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4924), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4926), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95205] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    ACTIONS(7178), 1,
      anon_sym_COLON,
    STATE(3708), 1,
      sym__enum_base_clause,
    STATE(3763), 1,
      sym_enumerator_list,
    STATE(3869), 1,
      sym_attribute_specifier,
    ACTIONS(5652), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5654), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95274] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7187), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7184), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7182), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7180), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [95339] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7190), 1,
      anon_sym_STAR,
    ACTIONS(7192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7194), 1,
      anon_sym_AMP,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5629), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3518), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5338), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95432] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    ACTIONS(7178), 1,
      anon_sym_COLON,
    STATE(3699), 1,
      sym__enum_base_clause,
    STATE(3766), 1,
      sym_enumerator_list,
    STATE(3878), 1,
      sym_attribute_specifier,
    ACTIONS(5658), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5660), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95501] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7190), 1,
      anon_sym_STAR,
    ACTIONS(7192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7194), 1,
      anon_sym_AMP,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5653), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4002), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95594] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7198), 1,
      anon_sym_RPAREN,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_type_descriptor,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95699] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7154), 1,
      anon_sym_STAR,
    ACTIONS(7156), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5660), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3998), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5795), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      sym_literal_suffix,
    ACTIONS(3778), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95908] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5789), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5791), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [95978] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4595), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(8011), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3698), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96080] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    ACTIONS(7206), 1,
      anon_sym_LPAREN2,
    ACTIONS(7208), 1,
      sym_auto,
    ACTIONS(7210), 1,
      anon_sym_decltype,
    STATE(3787), 1,
      sym_new_declarator,
    STATE(3836), 1,
      sym_decltype_auto,
    STATE(3706), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5190), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5192), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96152] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    ACTIONS(7206), 1,
      anon_sym_LPAREN2,
    ACTIONS(7208), 1,
      sym_auto,
    ACTIONS(7210), 1,
      anon_sym_decltype,
    STATE(3794), 1,
      sym_new_declarator,
    STATE(3836), 1,
      sym_decltype_auto,
    STATE(3737), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5194), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5196), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7012), 1,
      anon_sym_LT,
    STATE(1795), 1,
      sym_template_argument_list,
    ACTIONS(5017), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(3794), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [96286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4817), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [96342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6011), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3770), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96454] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(3168), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7212), 1,
      anon_sym_STAR,
    ACTIONS(7214), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7216), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5764), 1,
      sym__abstract_declarator,
    ACTIONS(7220), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7222), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3535), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4006), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5338), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5931), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6023), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96658] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2848), 1,
      anon_sym_enum,
    ACTIONS(2850), 1,
      anon_sym_class,
    ACTIONS(2852), 1,
      anon_sym_struct,
    ACTIONS(2854), 1,
      anon_sym_union,
    ACTIONS(2878), 1,
      sym_auto,
    ACTIONS(2880), 1,
      anon_sym_decltype,
    ACTIONS(2882), 1,
      anon_sym_typename,
    ACTIONS(7228), 1,
      sym_identifier,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7232), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2631), 1,
      sym_decltype_auto,
    STATE(2692), 1,
      sym_qualified_type_identifier,
    STATE(4114), 1,
      sym_type_specifier,
    STATE(5793), 1,
      sym_type_descriptor,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2539), 2,
      sym_decltype,
      sym_template_type,
    STATE(3687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96760] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(3168), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7212), 1,
      anon_sym_STAR,
    ACTIONS(7214), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7216), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5775), 1,
      sym__abstract_declarator,
    ACTIONS(7220), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7222), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4029), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96852] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7234), 1,
      sym_identifier,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7240), 1,
      sym_primitive_type,
    ACTIONS(7242), 1,
      anon_sym_enum,
    ACTIONS(7244), 1,
      anon_sym_class,
    ACTIONS(7246), 1,
      anon_sym_struct,
    ACTIONS(7248), 1,
      anon_sym_union,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    ACTIONS(7254), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(3963), 1,
      sym_type_specifier,
    STATE(3980), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4636), 1,
      sym_decltype_auto,
    STATE(5509), 1,
      sym_type_descriptor,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(3743), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96954] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5716), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5718), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [97024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6031), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97080] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4595), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7485), 1,
      sym_type_descriptor,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3698), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4743), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97238] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5728), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5730), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [97308] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7768), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3552), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5919), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97522] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(5509), 1,
      sym_type_descriptor,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4749), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4751), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4735), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97736] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7785), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97838] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5736), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5738), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [97906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7256), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5684), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5686), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5955), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98188] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7819), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2542), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5795), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98402] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7140), 1,
      sym_type_descriptor,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98504] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4416), 1,
      sym_type_specifier,
    STATE(5793), 1,
      sym_type_descriptor,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3709), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4747), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98662] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5700), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5702), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [98732] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3560), 1,
      sym_identifier,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(3572), 1,
      anon_sym_enum,
    ACTIONS(3574), 1,
      anon_sym_class,
    ACTIONS(3576), 1,
      anon_sym_struct,
    ACTIONS(3578), 1,
      anon_sym_union,
    ACTIONS(3582), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3995), 1,
      sym_type_specifier,
    STATE(5509), 1,
      sym_type_descriptor,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(3753), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2542), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5838), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6035), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4711), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4703), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99114] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4036), 1,
      sym_type_specifier,
    STATE(5793), 1,
      sym_type_descriptor,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3742), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4715), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4719), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5975), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5816), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5818), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5834), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5931), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99552] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7530), 1,
      sym_type_descriptor,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4813), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [99710] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7258), 1,
      anon_sym_LT,
    STATE(1795), 1,
      sym_template_argument_list,
    ACTIONS(4499), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4506), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [99772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5937), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5939), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5812), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5814), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99884] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(8032), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99986] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7234), 1,
      sym_identifier,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7240), 1,
      sym_primitive_type,
    ACTIONS(7242), 1,
      anon_sym_enum,
    ACTIONS(7244), 1,
      anon_sym_class,
    ACTIONS(7246), 1,
      anon_sym_struct,
    ACTIONS(7248), 1,
      anon_sym_union,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    ACTIONS(7254), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(3865), 1,
      sym_type_specifier,
    STATE(3980), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4636), 1,
      sym_decltype_auto,
    STATE(5509), 1,
      sym_type_descriptor,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(3694), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5861), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5865), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100200] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7668), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4723), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100358] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7261), 1,
      sym_identifier,
    ACTIONS(7263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7265), 1,
      anon_sym_enum,
    ACTIONS(7267), 1,
      anon_sym_class,
    ACTIONS(7269), 1,
      anon_sym_struct,
    ACTIONS(7271), 1,
      anon_sym_union,
    ACTIONS(7273), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3825), 1,
      sym_type_specifier,
    STATE(5509), 1,
      sym_type_descriptor,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(3756), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100460] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6632), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(7277), 1,
      anon_sym_requires,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4872), 1,
      sym__function_attributes_start,
    STATE(4997), 1,
      sym_ref_qualifier,
    STATE(5882), 1,
      sym__function_attributes_end,
    STATE(6014), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6514), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6641), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5128), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4821), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [100622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4829), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [100678] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7816), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4727), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4731), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100892] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5288), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100994] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7541), 1,
      sym_type_descriptor,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101096] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7234), 1,
      sym_identifier,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7240), 1,
      sym_primitive_type,
    ACTIONS(7242), 1,
      anon_sym_enum,
    ACTIONS(7244), 1,
      anon_sym_class,
    ACTIONS(7246), 1,
      anon_sym_struct,
    ACTIONS(7248), 1,
      anon_sym_union,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    ACTIONS(7254), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(3855), 1,
      sym_type_specifier,
    STATE(3980), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4636), 1,
      sym_decltype_auto,
    STATE(5509), 1,
      sym_type_descriptor,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(3704), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5959), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5963), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101310] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7760), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5995), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101468] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7261), 1,
      sym_identifier,
    ACTIONS(7263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7265), 1,
      anon_sym_enum,
    ACTIONS(7267), 1,
      anon_sym_class,
    ACTIONS(7269), 1,
      anon_sym_struct,
    ACTIONS(7271), 1,
      anon_sym_union,
    ACTIONS(7273), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3952), 1,
      sym_type_specifier,
    STATE(5509), 1,
      sym_type_descriptor,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(3696), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101570] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7298), 1,
      sym_identifier,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7304), 1,
      sym_primitive_type,
    ACTIONS(7306), 1,
      anon_sym_enum,
    ACTIONS(7308), 1,
      anon_sym_class,
    ACTIONS(7310), 1,
      anon_sym_struct,
    ACTIONS(7312), 1,
      anon_sym_union,
    ACTIONS(7314), 1,
      sym_auto,
    ACTIONS(7316), 1,
      anon_sym_decltype,
    ACTIONS(7318), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3929), 1,
      sym_type_specifier,
    STATE(4125), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4713), 1,
      sym_qualified_type_identifier,
    STATE(4730), 1,
      sym_decltype_auto,
    STATE(5793), 1,
      sym_type_descriptor,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3710), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4704), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7302), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4746), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101672] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4595), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7815), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3698), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6023), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101830] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(8232), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101932] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(8064), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102034] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7240), 1,
      sym_primitive_type,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    ACTIONS(7320), 1,
      sym_identifier,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7324), 1,
      anon_sym_enum,
    ACTIONS(7326), 1,
      anon_sym_class,
    ACTIONS(7328), 1,
      anon_sym_struct,
    ACTIONS(7330), 1,
      anon_sym_union,
    ACTIONS(7332), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(3980), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4239), 1,
      sym_type_specifier,
    STATE(4636), 1,
      sym_decltype_auto,
    STATE(5509), 1,
      sym_type_descriptor,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(3689), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102136] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7425), 1,
      sym_type_descriptor,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102238] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7886), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5853), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5857), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5887), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102508] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(8088), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102610] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7392), 1,
      sym_type_descriptor,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102712] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7630), 1,
      sym_type_descriptor,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4813), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [102870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5879), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102926] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7754), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103028] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7791), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4737), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4739), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103186] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5241), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5941), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5943), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103344] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(8023), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5923), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5951), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103558] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(8073), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103660] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7527), 1,
      sym_type_descriptor,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103762] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4618), 1,
      anon_sym_SEMI,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(6587), 1,
      anon_sym_LBRACK,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3817), 1,
      sym_template_argument_list,
    ACTIONS(3791), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3776), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [103834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7650), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103936] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7920), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104038] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7984), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5991), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104252] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5282), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6019), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104410] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7023), 1,
      anon_sym_requires,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4797), 1,
      sym__function_attributes_start,
    STATE(4999), 1,
      sym_ref_qualifier,
    STATE(5709), 1,
      sym_trailing_return_type,
    STATE(5983), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6514), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6532), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5704), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5085), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5945), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5947), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5967), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104628] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5283), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5849), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5883), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5905), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5983), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104954] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6632), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(7338), 1,
      anon_sym_requires,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4863), 1,
      sym__function_attributes_start,
    STATE(4993), 1,
      sym_ref_qualifier,
    STATE(5876), 1,
      sym__function_attributes_end,
    STATE(6051), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6514), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5529), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5086), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5987), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105116] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2467), 1,
      sym_attribute_specifier,
    STATE(3727), 1,
      sym_enumerator_list,
    ACTIONS(5326), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5328), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [105180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2415), 1,
      sym_attribute_specifier,
    STATE(3730), 1,
      sym_enumerator_list,
    ACTIONS(5318), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5320), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [105244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4817), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [105300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1876), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105356] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6524), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4783), 1,
      sym__function_attributes_start,
    STATE(5001), 1,
      sym_ref_qualifier,
    STATE(5705), 1,
      sym_trailing_return_type,
    STATE(5975), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6514), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(4428), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5704), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5081), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(1880), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105518] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7426), 1,
      sym_type_descriptor,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105620] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5291), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105722] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5293), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105824] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5296), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105926] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_SEMI,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    STATE(2400), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3326), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3330), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(3778), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105992] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5297), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4821), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106150] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5298), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(4829), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106308] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5299), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106410] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5301), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106512] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5302), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106614] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5303), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106716] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5304), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106818] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5305), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106920] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5306), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107022] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5308), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107124] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4752), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5309), 1,
      sym__type_definition_type,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3713), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107226] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7795), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107328] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4595), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7817), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3698), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5951), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7256), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5625), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5627), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107546] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    ACTIONS(7206), 1,
      anon_sym_LPAREN2,
    ACTIONS(7208), 1,
      sym_auto,
    ACTIONS(7210), 1,
      anon_sym_decltype,
    STATE(3767), 1,
      sym_new_declarator,
    STATE(3836), 1,
      sym_decltype_auto,
    STATE(3745), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5130), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5132), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107618] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5747), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5749), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [107686] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    ACTIONS(7206), 1,
      anon_sym_LPAREN2,
    ACTIONS(7208), 1,
      sym_auto,
    ACTIONS(7210), 1,
      anon_sym_decltype,
    STATE(3784), 1,
      sym_new_declarator,
    STATE(3836), 1,
      sym_decltype_auto,
    STATE(3690), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5182), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5184), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107758] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7945), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107860] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4595), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7950), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3698), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107962] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7967), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108064] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4595), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7972), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3698), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108166] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7987), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108268] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4595), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(7992), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3698), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108370] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4470), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(8006), 1,
      sym_type_descriptor,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(3747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4922), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2466), 1,
      sym_attribute_specifier,
    ACTIONS(5450), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5452), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [108587] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5842), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3749), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4160), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5338), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6011), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108733] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2848), 1,
      anon_sym_enum,
    ACTIONS(2850), 1,
      anon_sym_class,
    ACTIONS(2852), 1,
      anon_sym_struct,
    ACTIONS(2854), 1,
      anon_sym_union,
    ACTIONS(2878), 1,
      sym_auto,
    ACTIONS(2880), 1,
      anon_sym_decltype,
    ACTIONS(2882), 1,
      anon_sym_typename,
    ACTIONS(7228), 1,
      sym_identifier,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7232), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2631), 1,
      sym_decltype_auto,
    STATE(2692), 1,
      sym_qualified_type_identifier,
    STATE(4096), 1,
      sym_type_specifier,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2539), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4813), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [108887] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7240), 1,
      sym_primitive_type,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    ACTIONS(7320), 1,
      sym_identifier,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7324), 1,
      anon_sym_enum,
    ACTIONS(7326), 1,
      anon_sym_class,
    ACTIONS(7328), 1,
      anon_sym_struct,
    ACTIONS(7330), 1,
      anon_sym_union,
    ACTIONS(7332), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(3980), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4305), 1,
      sym_type_specifier,
    STATE(4636), 1,
      sym_decltype_auto,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5816), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5818), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6015), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6019), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109151] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(2240), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5279), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5281), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [109214] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7234), 1,
      sym_identifier,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7240), 1,
      sym_primitive_type,
    ACTIONS(7242), 1,
      anon_sym_enum,
    ACTIONS(7244), 1,
      anon_sym_class,
    ACTIONS(7246), 1,
      anon_sym_struct,
    ACTIONS(7248), 1,
      anon_sym_union,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    ACTIONS(7254), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(3852), 1,
      sym_type_specifier,
    STATE(3980), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4636), 1,
      sym_decltype_auto,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5887), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109368] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7261), 1,
      sym_identifier,
    ACTIONS(7263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7265), 1,
      anon_sym_enum,
    ACTIONS(7267), 1,
      anon_sym_class,
    ACTIONS(7269), 1,
      anon_sym_struct,
    ACTIONS(7271), 1,
      anon_sym_union,
    ACTIONS(7273), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3953), 1,
      sym_type_specifier,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5853), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109522] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4633), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109621] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    STATE(3781), 1,
      sym_enumerator_list,
    STATE(3832), 1,
      sym_attribute_specifier,
    ACTIONS(5318), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5320), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5849), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4829), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5861), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5812), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5814), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109904] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7234), 1,
      sym_identifier,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7240), 1,
      sym_primitive_type,
    ACTIONS(7242), 1,
      anon_sym_enum,
    ACTIONS(7244), 1,
      anon_sym_class,
    ACTIONS(7246), 1,
      anon_sym_struct,
    ACTIONS(7248), 1,
      anon_sym_union,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    ACTIONS(7254), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(3870), 1,
      sym_type_specifier,
    STATE(3980), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4636), 1,
      sym_decltype_auto,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      anon_sym_LBRACK,
    ACTIONS(4582), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4585), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4578), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [110062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5865), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5975), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110172] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    STATE(3797), 1,
      sym_enumerator_list,
    STATE(3842), 1,
      sym_attribute_specifier,
    ACTIONS(5326), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5328), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110235] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4358), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110334] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7298), 1,
      sym_identifier,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7304), 1,
      sym_primitive_type,
    ACTIONS(7306), 1,
      anon_sym_enum,
    ACTIONS(7308), 1,
      anon_sym_class,
    ACTIONS(7310), 1,
      anon_sym_struct,
    ACTIONS(7312), 1,
      anon_sym_union,
    ACTIONS(7314), 1,
      sym_auto,
    ACTIONS(7316), 1,
      anon_sym_decltype,
    ACTIONS(7318), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3932), 1,
      sym_type_specifier,
    STATE(4125), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4713), 1,
      sym_qualified_type_identifier,
    STATE(4730), 1,
      sym_decltype_auto,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4704), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7302), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4746), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4817), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [110488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7350), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7348), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [110543] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4728), 1,
      sym_type_specifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5941), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5943), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2474), 1,
      sym_attribute_specifier,
    ACTIONS(5504), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5506), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [110811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5883), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2410), 1,
      sym_attribute_specifier,
    ACTIONS(5386), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5388), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [110925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5879), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110980] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2848), 1,
      anon_sym_enum,
    ACTIONS(2850), 1,
      anon_sym_class,
    ACTIONS(2852), 1,
      anon_sym_struct,
    ACTIONS(2854), 1,
      anon_sym_union,
    ACTIONS(2878), 1,
      sym_auto,
    ACTIONS(2880), 1,
      anon_sym_decltype,
    ACTIONS(2882), 1,
      anon_sym_typename,
    ACTIONS(7228), 1,
      sym_identifier,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7232), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2631), 1,
      sym_decltype_auto,
    STATE(2692), 1,
      sym_qualified_type_identifier,
    STATE(4462), 1,
      sym_type_specifier,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2539), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5905), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2463), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5481), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111193] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(7352), 1,
      anon_sym_COLON,
    STATE(1665), 1,
      sym_attribute_specifier,
    STATE(2181), 1,
      sym__enum_base_clause,
    STATE(2286), 1,
      sym_enumerator_list,
    ACTIONS(5652), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5654), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [111260] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(7352), 1,
      anon_sym_COLON,
    STATE(1720), 1,
      sym_attribute_specifier,
    STATE(2188), 1,
      sym__enum_base_clause,
    STATE(2244), 1,
      sym_enumerator_list,
    ACTIONS(5658), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5660), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [111327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2471), 1,
      sym_attribute_specifier,
    ACTIONS(5446), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5448), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2414), 1,
      sym_attribute_specifier,
    ACTIONS(5404), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5406), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2416), 1,
      sym_attribute_specifier,
    ACTIONS(5432), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5434), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2419), 1,
      sym_attribute_specifier,
    ACTIONS(5438), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5440), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2420), 1,
      sym_attribute_specifier,
    ACTIONS(5442), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5444), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111622] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2458), 1,
      sym_attribute_specifier,
    ACTIONS(5490), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5492), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2459), 1,
      sym_attribute_specifier,
    ACTIONS(5466), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5468), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4926), 1,
      anon_sym_SEMI,
    ACTIONS(4912), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4910), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [111799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 1,
      anon_sym_SEMI,
    ACTIONS(4912), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4910), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [111856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      anon_sym_STAR,
    ACTIONS(7356), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7358), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5847), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3738), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5338), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5959), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3552), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5963), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112112] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      anon_sym_STAR,
    ACTIONS(7356), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7358), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5851), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4105), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5983), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5987), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6031), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112368] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4027), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112467] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7234), 1,
      sym_identifier,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7240), 1,
      sym_primitive_type,
    ACTIONS(7242), 1,
      anon_sym_enum,
    ACTIONS(7244), 1,
      anon_sym_class,
    ACTIONS(7246), 1,
      anon_sym_struct,
    ACTIONS(7248), 1,
      anon_sym_union,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    ACTIONS(7254), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(3935), 1,
      sym_type_specifier,
    STATE(3980), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4636), 1,
      sym_decltype_auto,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5937), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5939), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6035), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5945), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5947), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112731] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(4482), 1,
      sym_type_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5967), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112885] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5910), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4103), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5857), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(4821), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [113086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5919), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113141] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3560), 1,
      sym_identifier,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(3572), 1,
      anon_sym_enum,
    ACTIONS(3574), 1,
      anon_sym_class,
    ACTIONS(3576), 1,
      anon_sym_struct,
    ACTIONS(3578), 1,
      anon_sym_union,
    ACTIONS(3582), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4000), 1,
      sym_type_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5838), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5991), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113350] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7261), 1,
      sym_identifier,
    ACTIONS(7263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7265), 1,
      anon_sym_enum,
    ACTIONS(7267), 1,
      anon_sym_class,
    ACTIONS(7269), 1,
      anon_sym_struct,
    ACTIONS(7271), 1,
      anon_sym_union,
    ACTIONS(7273), 1,
      anon_sym_typename,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3864), 1,
      sym_type_specifier,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(2470), 1,
      sym_attribute_specifier,
    ACTIONS(5400), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5402), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_EQ,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [113508] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3947), 1,
      sym_new_declarator,
    STATE(3706), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5190), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5192), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113578] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3959), 1,
      sym_new_declarator,
    STATE(3745), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5130), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5132), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    STATE(3837), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5481), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113706] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4510), 1,
      anon_sym_LBRACK,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(3817), 1,
      sym_template_argument_list,
    ACTIONS(4503), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4506), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4499), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [113770] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5712), 1,
      sym__declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    STATE(3827), 1,
      sym_attribute_specifier,
    ACTIONS(5450), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5452), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    STATE(3848), 1,
      sym_attribute_specifier,
    ACTIONS(5438), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5440), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113978] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_STAR,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5972), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3799), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4283), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5338), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    STATE(3831), 1,
      sym_attribute_specifier,
    ACTIONS(5404), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5406), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7206), 1,
      anon_sym_LPAREN2,
    STATE(3702), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5548), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5550), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114186] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7372), 1,
      anon_sym_LT,
    STATE(2240), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2435), 1,
      sym_template_argument_list,
    ACTIONS(4632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3776), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [114250] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    STATE(2528), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4094), 1,
      sym_template_argument_list,
    ACTIONS(3791), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3776), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(3796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_operator,
  [114318] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_STAR,
    ACTIONS(6494), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6496), 1,
      anon_sym_AMP,
    ACTIONS(6498), 1,
      anon_sym_COLON_COLON,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5391), 1,
      sym__scope_resolution,
    STATE(5800), 1,
      sym__declarator,
    STATE(7493), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7378), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7376), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [114464] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_STAR,
    ACTIONS(6494), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6496), 1,
      anon_sym_AMP,
    ACTIONS(6498), 1,
      anon_sym_COLON_COLON,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5391), 1,
      sym__scope_resolution,
    STATE(5814), 1,
      sym__declarator,
    STATE(7493), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    STATE(3829), 1,
      sym_attribute_specifier,
    ACTIONS(5400), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5402), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    STATE(3856), 1,
      sym_attribute_specifier,
    ACTIONS(5446), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5448), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    STATE(3823), 1,
      sym_attribute_specifier,
    ACTIONS(5504), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5506), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114730] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6500), 1,
      anon_sym_STAR,
    ACTIONS(6502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6504), 1,
      anon_sym_AMP,
    ACTIONS(6506), 1,
      anon_sym_COLON_COLON,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5433), 1,
      sym__scope_resolution,
    STATE(6208), 1,
      sym__declarator,
    STATE(7619), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114822] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_STAR,
    ACTIONS(6494), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6496), 1,
      anon_sym_AMP,
    ACTIONS(6498), 1,
      anon_sym_COLON_COLON,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5391), 1,
      sym__scope_resolution,
    STATE(5776), 1,
      sym__declarator,
    STATE(7493), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    STATE(3860), 1,
      sym_attribute_specifier,
    ACTIONS(5442), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5444), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    STATE(3839), 1,
      sym_attribute_specifier,
    ACTIONS(5386), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5388), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115030] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6074), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    STATE(3875), 1,
      sym_attribute_specifier,
    ACTIONS(5490), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5492), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115180] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_STAR,
    ACTIONS(6470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6472), 1,
      anon_sym_AMP,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5947), 1,
      sym__declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115272] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_STAR,
    ACTIONS(6470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6472), 1,
      anon_sym_AMP,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5943), 1,
      sym__declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7206), 1,
      anon_sym_LPAREN2,
    STATE(3735), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5559), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5561), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115424] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5707), 1,
      sym__declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115516] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6050), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7206), 1,
      anon_sym_LPAREN2,
    STATE(3719), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5563), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5565), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7382), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7380), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [115722] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5791), 1,
      sym__declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115814] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6074), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115906] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6500), 1,
      anon_sym_STAR,
    ACTIONS(6502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6504), 1,
      anon_sym_AMP,
    ACTIONS(6506), 1,
      anon_sym_COLON_COLON,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5433), 1,
      sym__scope_resolution,
    STATE(6204), 1,
      sym__declarator,
    STATE(7619), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    STATE(3876), 1,
      sym_attribute_specifier,
    ACTIONS(5466), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5468), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116056] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6050), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7206), 1,
      anon_sym_LPAREN2,
    STATE(3715), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5575), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5577), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116208] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_STAR,
    ACTIONS(6470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6472), 1,
      anon_sym_AMP,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5951), 1,
      sym__declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116300] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3938), 1,
      sym_new_declarator,
    STATE(3690), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5182), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5184), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6902), 1,
      anon_sym___attribute__,
    STATE(3821), 1,
      sym_attribute_specifier,
    ACTIONS(5432), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5434), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116428] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6082), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_STAR,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5968), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4220), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116610] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6082), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116702] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6500), 1,
      anon_sym_STAR,
    ACTIONS(6502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6504), 1,
      anon_sym_AMP,
    ACTIONS(6506), 1,
      anon_sym_COLON_COLON,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5433), 1,
      sym__scope_resolution,
    STATE(6210), 1,
      sym__declarator,
    STATE(7619), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116794] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3962), 1,
      sym_new_declarator,
    STATE(3737), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5194), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5196), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116864] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7384), 1,
      anon_sym_COLON,
    STATE(2475), 1,
      sym_attribute_specifier,
    STATE(3645), 1,
      sym__enum_base_clause,
    STATE(3684), 1,
      sym_enumerator_list,
    ACTIONS(5652), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5654), 35,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [116929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4916), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4918), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5234), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117035] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(3168), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6058), 1,
      sym__abstract_declarator,
    ACTIONS(7220), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7222), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4375), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4910), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4912), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4939), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4941), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7384), 1,
      anon_sym_COLON,
    STATE(2464), 1,
      sym_attribute_specifier,
    STATE(3646), 1,
      sym__enum_base_clause,
    STATE(3726), 1,
      sym_enumerator_list,
    ACTIONS(5658), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5660), 35,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_try,
      anon_sym_requires,
  [117297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4959), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5118), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5120), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117403] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(3168), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6023), 1,
      sym__abstract_declarator,
    ACTIONS(7220), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7222), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3806), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4371), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5338), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117492] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(2479), 1,
      sym_attribute_specifier,
    STATE(2922), 1,
      sym_field_declaration_list,
    STATE(6565), 1,
      sym_virtual_specifier,
    STATE(7352), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4856), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4854), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_operator,
  [117561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7395), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7392), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7182), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7180), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [117622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7398), 1,
      anon_sym_LT,
    STATE(2435), 1,
      sym_template_argument_list,
    ACTIONS(4499), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4506), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [117681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5164), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_SEMI,
    ACTIONS(4589), 1,
      anon_sym_LBRACK,
    ACTIONS(4582), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4585), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(4578), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [117793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7208), 1,
      sym_auto,
    ACTIONS(7210), 1,
      anon_sym_decltype,
    STATE(3836), 1,
      sym_decltype_auto,
    ACTIONS(4881), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4883), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117852] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7372), 1,
      anon_sym_LT,
    STATE(2435), 1,
      sym_template_argument_list,
    ACTIONS(5017), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(3794), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [117911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5142), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5144), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4983), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118016] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(5914), 1,
      sym__type_declarator,
    STATE(8016), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3830), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4500), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4943), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4945), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5218), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118208] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7154), 1,
      anon_sym_STAR,
    ACTIONS(7156), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7419), 1,
      sym_auto,
    ACTIONS(7421), 1,
      anon_sym_decltype,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5686), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7417), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [118292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5222), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5148), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5176), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5166), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5168), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118500] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(5853), 1,
      sym__type_declarator,
    STATE(8016), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4501), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4973), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4975), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4977), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4979), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118692] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    ACTIONS(7206), 1,
      anon_sym_LPAREN2,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3787), 1,
      sym_new_declarator,
    STATE(3706), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5190), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5192), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118760] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_STAR,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_AMP,
    ACTIONS(7435), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6250), 1,
      sym__type_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4513), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118848] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_STAR,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_AMP,
    ACTIONS(7435), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6250), 1,
      sym__type_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3850), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4513), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5178), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5180), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5122), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5124), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4963), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4967), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119144] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    ACTIONS(7206), 1,
      anon_sym_LPAREN2,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3794), 1,
      sym_new_declarator,
    STATE(3737), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5194), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5196), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4963), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5152), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4969), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4971), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119368] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7437), 1,
      sym_identifier,
    ACTIONS(7439), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_STAR,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7445), 1,
      anon_sym_AMP,
    ACTIONS(7449), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2809), 1,
      sym__type_declarator,
    STATE(3288), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7409), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4472), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7447), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3238), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119456] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7451), 1,
      sym_identifier,
    ACTIONS(7453), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7459), 1,
      anon_sym_AMP,
    ACTIONS(7463), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2755), 1,
      sym__type_declarator,
    STATE(3017), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7489), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3859), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4536), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3003), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119544] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(5856), 1,
      sym__type_declarator,
    STATE(8016), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4502), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119632] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    ACTIONS(7206), 1,
      anon_sym_LPAREN2,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3784), 1,
      sym_new_declarator,
    STATE(3690), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5182), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5184), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5007), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7437), 1,
      sym_identifier,
    ACTIONS(7439), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_STAR,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7445), 1,
      anon_sym_AMP,
    ACTIONS(7449), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2809), 1,
      sym__type_declarator,
    STATE(3288), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7409), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3874), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4472), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7447), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3238), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119840] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_STAR,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_AMP,
    ACTIONS(7435), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6259), 1,
      sym__type_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4514), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5200), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119980] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7190), 1,
      anon_sym_STAR,
    ACTIONS(7192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7194), 1,
      anon_sym_AMP,
    ACTIONS(7467), 1,
      sym_auto,
    ACTIONS(7469), 1,
      anon_sym_decltype,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5667), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3983), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7465), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [120064] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7475), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1891), 1,
      sym__type_declarator,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7419), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3868), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4531), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120152] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5959), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3880), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4498), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120240] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_STAR,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_AMP,
    ACTIONS(7467), 1,
      sym_auto,
    ACTIONS(7469), 1,
      anon_sym_decltype,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5637), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3975), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7417), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [120324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5172), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5230), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    ACTIONS(6103), 1,
      anon_sym_LBRACE,
    ACTIONS(7483), 1,
      anon_sym_COLON,
    STATE(2437), 1,
      sym__enum_base_clause,
    STATE(2514), 1,
      sym_enumerator_list,
    STATE(2627), 1,
      sym_attribute_specifier,
    ACTIONS(5652), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5654), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [120492] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7451), 1,
      sym_identifier,
    ACTIONS(7453), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7459), 1,
      anon_sym_AMP,
    ACTIONS(7463), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2733), 1,
      sym__type_declarator,
    STATE(3017), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7489), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4486), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3003), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5011), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5226), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120684] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7437), 1,
      sym_identifier,
    ACTIONS(7439), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_STAR,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7445), 1,
      anon_sym_AMP,
    ACTIONS(7449), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2826), 1,
      sym__type_declarator,
    STATE(3288), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7409), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3844), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4473), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7447), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3238), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5015), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120824] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7154), 1,
      anon_sym_STAR,
    ACTIONS(7156), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7419), 1,
      sym_auto,
    ACTIONS(7421), 1,
      anon_sym_decltype,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5699), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3996), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7465), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [120908] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7190), 1,
      anon_sym_STAR,
    ACTIONS(7192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7194), 1,
      anon_sym_AMP,
    ACTIONS(7467), 1,
      sym_auto,
    ACTIONS(7469), 1,
      anon_sym_decltype,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5682), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4001), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7417), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [120992] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_STAR,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_AMP,
    ACTIONS(7435), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6238), 1,
      sym__type_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3834), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4512), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121080] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7174), 1,
      anon_sym_LBRACK,
    ACTIONS(7206), 1,
      anon_sym_LPAREN2,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3767), 1,
      sym_new_declarator,
    STATE(3745), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5130), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5132), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121148] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7475), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1875), 1,
      sym__type_declarator,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7419), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4490), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4955), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121288] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_STAR,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_AMP,
    ACTIONS(7467), 1,
      sym_auto,
    ACTIONS(7469), 1,
      anon_sym_decltype,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5647), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3982), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7465), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [121372] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(3168), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7485), 1,
      anon_sym_STAR,
    ACTIONS(7487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7489), 1,
      anon_sym_AMP,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6111), 1,
      sym__abstract_declarator,
    ACTIONS(7220), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7222), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3872), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4505), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5338), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121460] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(3168), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7485), 1,
      anon_sym_STAR,
    ACTIONS(7487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7489), 1,
      anon_sym_AMP,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6116), 1,
      sym__abstract_declarator,
    ACTIONS(7220), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7222), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4507), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121548] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      sym_primitive_type,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5678), 1,
      sym__type_declarator,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(7566), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3881), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4491), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121636] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7437), 1,
      sym_identifier,
    ACTIONS(7439), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_STAR,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7445), 1,
      anon_sym_AMP,
    ACTIONS(7449), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2808), 1,
      sym__type_declarator,
    STATE(3288), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7409), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4516), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7447), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3238), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5023), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5049), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5051), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121828] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7451), 1,
      sym_identifier,
    ACTIONS(7453), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7459), 1,
      anon_sym_AMP,
    ACTIONS(7463), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2758), 1,
      sym__type_declarator,
    STATE(3017), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7489), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4520), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3003), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5128), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4912), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122020] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5962), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4551), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122108] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      sym_primitive_type,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5631), 1,
      sym__type_declarator,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(7566), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4508), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122196] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5962), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3889), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4551), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5176), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122336] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    ACTIONS(6103), 1,
      anon_sym_LBRACE,
    ACTIONS(7483), 1,
      anon_sym_COLON,
    STATE(2439), 1,
      sym__enum_base_clause,
    STATE(2525), 1,
      sym_enumerator_list,
    STATE(2655), 1,
      sym_attribute_specifier,
    ACTIONS(5658), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5660), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [122400] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7451), 1,
      sym_identifier,
    ACTIONS(7453), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7459), 1,
      anon_sym_AMP,
    ACTIONS(7463), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2733), 1,
      sym__type_declarator,
    STATE(3017), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7489), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3877), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4486), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3003), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122488] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      sym_primitive_type,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5630), 1,
      sym__type_declarator,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(7566), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4523), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122576] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      sym_primitive_type,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5631), 1,
      sym__type_declarator,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(7566), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3886), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4508), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4963), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122716] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5940), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4499), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122804] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(5853), 1,
      sym__type_declarator,
    STATE(8016), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3846), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4501), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5188), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122944] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7475), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1875), 1,
      sym__type_declarator,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7419), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3893), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4490), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123032] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7475), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1893), 1,
      sym__type_declarator,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7419), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7411), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4479), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7160), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5955), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123171] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7509), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7511), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7527), 1,
      anon_sym_QMARK,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7531), 1,
      anon_sym_or,
    ACTIONS(7533), 1,
      anon_sym_and,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7497), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7513), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7517), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7501), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [123274] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5791), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [123353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5923), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123404] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7509), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7511), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7527), 1,
      anon_sym_QMARK,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7531), 1,
      anon_sym_or,
    ACTIONS(7533), 1,
      anon_sym_and,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6239), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7513), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7517), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6241), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [123507] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(6193), 1,
      sym_auto,
    ACTIONS(6195), 1,
      anon_sym_decltype,
    ACTIONS(7539), 1,
      anon_sym_LPAREN2,
    ACTIONS(7541), 1,
      anon_sym_LBRACK,
    STATE(2599), 1,
      sym_decltype_auto,
    STATE(4070), 1,
      sym_new_declarator,
    STATE(4475), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5130), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5132), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [123574] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5791), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [123649] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5789), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5791), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [123720] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7509), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7511), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7531), 1,
      anon_sym_or,
    ACTIONS(7533), 1,
      anon_sym_and,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6243), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7513), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7517), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6245), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [123819] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4501), 1,
      anon_sym_SEMI,
    ACTIONS(4510), 1,
      anon_sym_LBRACK,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(3817), 1,
      sym_template_argument_list,
    ACTIONS(4503), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4506), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4499), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [123882] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(6193), 1,
      sym_auto,
    ACTIONS(6195), 1,
      anon_sym_decltype,
    ACTIONS(7539), 1,
      anon_sym_LPAREN2,
    ACTIONS(7541), 1,
      anon_sym_LBRACK,
    STATE(2599), 1,
      sym_decltype_auto,
    STATE(4087), 1,
      sym_new_declarator,
    STATE(4484), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5194), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5196), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [123949] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7509), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7511), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7531), 1,
      anon_sym_or,
    ACTIONS(7533), 1,
      anon_sym_and,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6255), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7513), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7517), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6257), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [124048] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7509), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7511), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7527), 1,
      anon_sym_QMARK,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7531), 1,
      anon_sym_or,
    ACTIONS(7533), 1,
      anon_sym_and,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6247), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7513), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7517), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6249), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [124151] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7545), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4039), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7543), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [124216] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5791), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [124289] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7419), 1,
      sym_auto,
    ACTIONS(7421), 1,
      anon_sym_decltype,
    ACTIONS(7549), 1,
      anon_sym___declspec,
    ACTIONS(7551), 1,
      sym_virtual,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2418), 1,
      sym_decltype_auto,
    ACTIONS(5893), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5895), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4007), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7547), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124368] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(6193), 1,
      sym_auto,
    ACTIONS(6195), 1,
      anon_sym_decltype,
    ACTIONS(7539), 1,
      anon_sym_LPAREN2,
    ACTIONS(7541), 1,
      anon_sym_LBRACK,
    STATE(2599), 1,
      sym_decltype_auto,
    STATE(4071), 1,
      sym_new_declarator,
    STATE(4474), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5182), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5184), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [124435] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5514), 1,
      anon_sym_STAR,
    ACTIONS(7553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_AMP,
    ACTIONS(7561), 1,
      anon_sym_EQ,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6096), 1,
      sym__declarator,
    STATE(6316), 1,
      sym__abstract_declarator,
    STATE(6368), 1,
      sym_abstract_reference_declarator,
    STATE(6694), 1,
      sym_variadic_declarator,
    STATE(6735), 1,
      sym_variadic_reference_declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(7555), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [124536] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5789), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(5791), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [124605] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7419), 1,
      sym_auto,
    ACTIONS(7421), 1,
      anon_sym_decltype,
    ACTIONS(7549), 1,
      anon_sym___declspec,
    ACTIONS(7563), 1,
      sym_virtual,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2418), 1,
      sym_decltype_auto,
    ACTIONS(5997), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(5999), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4015), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7547), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124684] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7511), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7533), 1,
      anon_sym_and,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7513), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7517), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [124779] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7515), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7513), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7517), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(5791), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [124870] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(6193), 1,
      sym_auto,
    ACTIONS(6195), 1,
      anon_sym_decltype,
    ACTIONS(7539), 1,
      anon_sym_LPAREN2,
    ACTIONS(7541), 1,
      anon_sym_LBRACK,
    STATE(2599), 1,
      sym_decltype_auto,
    STATE(4130), 1,
      sym_new_declarator,
    STATE(4464), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5190), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5192), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [124937] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7515), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7517), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(5791), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [125026] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5569), 1,
      anon_sym_STAR,
    ACTIONS(7553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7557), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7559), 1,
      anon_sym_AMP,
    ACTIONS(7565), 1,
      anon_sym_EQ,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6107), 1,
      sym__declarator,
    STATE(6287), 1,
      sym__abstract_declarator,
    STATE(6338), 1,
      sym_abstract_reference_declarator,
    STATE(6694), 1,
      sym_variadic_declarator,
    STATE(6735), 1,
      sym_variadic_reference_declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(7555), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [125127] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6133), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3920), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4559), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5338), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125214] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7160), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(3771), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6139), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7162), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7164), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3515), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4561), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5350), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5834), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5995), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125403] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5340), 1,
      anon_sym_STAR,
    ACTIONS(5342), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(7553), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5942), 1,
      sym__declarator,
    STATE(6071), 1,
      sym__abstract_declarator,
    STATE(6729), 1,
      sym_variadic_declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7573), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [125498] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7517), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(5791), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [125583] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5789), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(5791), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [125666] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7509), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7511), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7531), 1,
      anon_sym_or,
    ACTIONS(7533), 1,
      anon_sym_and,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6235), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7513), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7517), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [125765] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7509), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7511), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7531), 1,
      anon_sym_or,
    ACTIONS(7533), 1,
      anon_sym_and,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6197), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7513), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7517), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6199), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [125864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym_typedef,
    ACTIONS(3194), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [125917] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7212), 1,
      anon_sym_STAR,
    ACTIONS(7214), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7216), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7577), 1,
      sym_auto,
    ACTIONS(7579), 1,
      anon_sym_decltype,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(4744), 1,
      sym_decltype_auto,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5752), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4037), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7417), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_typedef,
    ACTIONS(3194), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [126053] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7507), 1,
      anon_sym_SLASH,
    ACTIONS(7509), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7511), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7515), 1,
      anon_sym_CARET,
    ACTIONS(7523), 1,
      anon_sym_GT_EQ,
    ACTIONS(7527), 1,
      anon_sym_QMARK,
    ACTIONS(7529), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7531), 1,
      anon_sym_or,
    ACTIONS(7533), 1,
      anon_sym_and,
    ACTIONS(7535), 1,
      anon_sym_xor,
    ACTIONS(7537), 1,
      anon_sym_not_eq,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5836), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7503), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7505), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7513), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7517), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7519), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7525), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7521), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5838), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [126156] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7212), 1,
      anon_sym_STAR,
    ACTIONS(7214), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7216), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7577), 1,
      sym_auto,
    ACTIONS(7579), 1,
      anon_sym_decltype,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(4744), 1,
      sym_decltype_auto,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5770), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7465), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126239] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7583), 1,
      sym_identifier,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(6199), 1,
      sym__field_declarator,
    STATE(6317), 1,
      sym_operator_name,
    STATE(7597), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3951), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4621), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126323] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(4134), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3768), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(7593), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [126383] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7467), 1,
      sym_auto,
    ACTIONS(7469), 1,
      anon_sym_decltype,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5907), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4154), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7465), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126465] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7595), 1,
      sym_identifier,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5732), 1,
      sym__field_declarator,
    STATE(5980), 1,
      sym_operator_name,
    STATE(8188), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4619), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(3778), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3770), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(3735), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5559), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5561), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126657] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7595), 1,
      sym_identifier,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5785), 1,
      sym__field_declarator,
    STATE(5980), 1,
      sym_operator_name,
    STATE(8188), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4587), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6294), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126791] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7583), 1,
      sym_identifier,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(6225), 1,
      sym__field_declarator,
    STATE(6317), 1,
      sym_operator_name,
    STATE(7597), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4592), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126875] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7595), 1,
      sym_identifier,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5732), 1,
      sym__field_declarator,
    STATE(5980), 1,
      sym_operator_name,
    STATE(8188), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3939), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4619), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2526), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [127009] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7603), 1,
      anon_sym_STAR,
    ACTIONS(7605), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7607), 1,
      anon_sym_AMP,
    ACTIONS(7611), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7617), 1,
      anon_sym_const,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6211), 1,
      sym__abstract_declarator,
    ACTIONS(7613), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7615), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3945), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4577), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5338), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127095] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7603), 1,
      anon_sym_STAR,
    ACTIONS(7605), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7607), 1,
      anon_sym_AMP,
    ACTIONS(7611), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7617), 1,
      anon_sym_const,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6189), 1,
      sym__abstract_declarator,
    ACTIONS(7613), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7615), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4724), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(5350), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127181] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(3168), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7621), 1,
      anon_sym_STAR,
    ACTIONS(7623), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7625), 1,
      anon_sym_AMP,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6017), 1,
      sym__abstract_declarator,
    ACTIONS(7220), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7222), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3955), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4624), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5338), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(3719), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5563), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5565), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127323] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7595), 1,
      sym_identifier,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5795), 1,
      sym__field_declarator,
    STATE(5980), 1,
      sym_operator_name,
    STATE(8188), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3936), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4609), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7382), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7380), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [127457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2740), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [127507] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7583), 1,
      sym_identifier,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(6200), 1,
      sym__field_declarator,
    STATE(6317), 1,
      sym_operator_name,
    STATE(7597), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4591), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127591] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      anon_sym_STAR,
    ACTIONS(7356), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7358), 1,
      anon_sym_AMP,
    ACTIONS(7419), 1,
      sym_auto,
    ACTIONS(7421), 1,
      anon_sym_decltype,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5846), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4090), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7417), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127673] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      anon_sym_STAR,
    ACTIONS(7356), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7358), 1,
      anon_sym_AMP,
    ACTIONS(7419), 1,
      sym_auto,
    ACTIONS(7421), 1,
      anon_sym_decltype,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5850), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4102), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7465), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3060), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [127805] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(3168), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7621), 1,
      anon_sym_STAR,
    ACTIONS(7623), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7625), 1,
      anon_sym_AMP,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6043), 1,
      sym__abstract_declarator,
    ACTIONS(7220), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7222), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5350), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7378), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7376), 29,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [127941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2779), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [127991] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(3307), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3768), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6569), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [128051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(3702), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5548), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5550), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128107] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(7627), 1,
      anon_sym_COLON,
    STATE(2475), 1,
      sym_attribute_specifier,
    STATE(2712), 1,
      sym__enum_base_clause,
    STATE(2912), 1,
      sym_enumerator_list,
    ACTIONS(5654), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5652), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_operator,
  [128169] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    ACTIONS(5017), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3794), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [128225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(3715), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5575), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5577), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128281] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    ACTIONS(7467), 1,
      sym_auto,
    ACTIONS(7469), 1,
      anon_sym_decltype,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5903), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4081), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7417), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128363] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(4134), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5279), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(7593), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5281), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [128423] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7583), 1,
      sym_identifier,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(6200), 1,
      sym__field_declarator,
    STATE(6317), 1,
      sym_operator_name,
    STATE(7597), 1,
      sym_ms_based_modifier,
    ACTIONS(3170), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3941), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4591), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3168), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(4947), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4949), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2618), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2616), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [128609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    ACTIONS(4499), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4506), 35,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [128665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2584), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [128715] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(7627), 1,
      anon_sym_COLON,
    STATE(2464), 1,
      sym_attribute_specifier,
    STATE(2744), 1,
      sym__enum_base_clause,
    STATE(2887), 1,
      sym_enumerator_list,
    ACTIONS(5660), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5658), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_operator,
  [128777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2620), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_typename,
      anon_sym_template,
  [128827] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7655), 1,
      anon_sym_SEMI,
    ACTIONS(7657), 1,
      anon_sym_QMARK,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6386), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7405), 1,
      sym_attribute_specifier,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7637), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [128930] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    STATE(4576), 1,
      sym_alignas_qualifier,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7545), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4352), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4478), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7543), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [128993] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(3168), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7665), 1,
      anon_sym_STAR,
    ACTIONS(7667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7669), 1,
      anon_sym_AMP,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6260), 1,
      sym__abstract_declarator,
    ACTIONS(7220), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7222), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5350), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129078] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_STAR,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_AMP,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5646), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7671), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [129153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7675), 1,
      anon_sym_and,
    ACTIONS(5684), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5686), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129206] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5340), 1,
      anon_sym_STAR,
    ACTIONS(5342), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5344), 1,
      anon_sym_AMP,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5942), 1,
      sym__declarator,
    STATE(6071), 1,
      sym__abstract_declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7573), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [129295] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7657), 1,
      anon_sym_QMARK,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    ACTIONS(7677), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6350), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8012), 1,
      sym_attribute_specifier,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7637), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [129398] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_STAR,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_AMP,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5652), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7679), 1,
      sym_identifier,
    ACTIONS(7683), 1,
      sym_primitive_type,
    STATE(3993), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7681), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5204), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5206), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129530] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7190), 1,
      anon_sym_STAR,
    ACTIONS(7192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7194), 1,
      anon_sym_AMP,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5653), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [129605] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_STAR,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_AMP,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5658), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7685), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [129680] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7190), 1,
      anon_sym_STAR,
    ACTIONS(7192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7194), 1,
      anon_sym_AMP,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5676), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7685), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7689), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5625), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5627), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129808] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7154), 1,
      anon_sym_STAR,
    ACTIONS(7156), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5698), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7671), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [129883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7689), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5684), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5686), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6294), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129983] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(3168), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6234), 1,
      sym__abstract_declarator,
    ACTIONS(7220), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7222), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3990), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4666), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5338), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130068] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7657), 1,
      anon_sym_QMARK,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    ACTIONS(7691), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6347), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7832), 1,
      sym_attribute_specifier,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7637), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [130171] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(3168), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6251), 1,
      sym__abstract_declarator,
    ACTIONS(7220), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7222), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3814), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4663), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5350), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3991), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7693), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4793), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(4791), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130309] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7154), 1,
      anon_sym_STAR,
    ACTIONS(7156), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5660), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3991), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4791), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(7693), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5112), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5115), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130439] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_STAR,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_AMP,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5659), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6173), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130514] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_STAR,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7419), 1,
      sym_auto,
    ACTIONS(7421), 1,
      anon_sym_decltype,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5957), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4199), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7417), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7154), 1,
      anon_sym_STAR,
    ACTIONS(7156), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5687), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7685), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [130670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(3778), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130721] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7154), 1,
      anon_sym_STAR,
    ACTIONS(7156), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5663), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6173), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130796] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7673), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7675), 1,
      anon_sym_and,
    ACTIONS(7696), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7698), 1,
      anon_sym_or,
    ACTIONS(5625), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5627), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130853] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_STAR,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    ACTIONS(7419), 1,
      sym_auto,
    ACTIONS(7421), 1,
      anon_sym_decltype,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2418), 1,
      sym_decltype_auto,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5956), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4222), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7465), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130934] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7190), 1,
      anon_sym_STAR,
    ACTIONS(7192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7194), 1,
      anon_sym_AMP,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5627), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7671), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [131009] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7190), 1,
      anon_sym_STAR,
    ACTIONS(7192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7194), 1,
      anon_sym_AMP,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5689), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6173), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131084] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(4094), 1,
      sym_template_argument_list,
    ACTIONS(4503), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4506), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4499), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_operator,
  [131143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(4947), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4949), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131194] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(3168), 1,
      sym_ms_restrict_modifier,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7665), 1,
      anon_sym_STAR,
    ACTIONS(7667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7669), 1,
      anon_sym_AMP,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(3956), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6257), 1,
      sym__abstract_declarator,
    ACTIONS(7220), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7222), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3974), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5338), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131279] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7212), 1,
      anon_sym_STAR,
    ACTIONS(7214), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7216), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5775), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131353] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7549), 1,
      anon_sym___declspec,
    ACTIONS(7700), 1,
      sym_virtual,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(6084), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6086), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4010), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7547), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_LPAREN2,
    ACTIONS(7706), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7702), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [131473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4912), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4910), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
      anon_sym_operator,
  [131523] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_const,
    ACTIONS(7118), 1,
      anon_sym___inline,
    ACTIONS(7714), 1,
      anon_sym___attribute__,
    ACTIONS(7717), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7720), 1,
      anon_sym___declspec,
    ACTIONS(7726), 1,
      sym_virtual,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(6123), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7723), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6125), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4010), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7711), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(7708), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131593] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6245), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [131683] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [131755] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5838), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [131849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7212), 1,
      anon_sym_STAR,
    ACTIONS(7214), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7216), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5777), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7685), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131923] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7549), 1,
      anon_sym___declspec,
    ACTIONS(7700), 1,
      sym_virtual,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(6096), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6098), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    STATE(4010), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7547), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131993] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5789), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [132069] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [132155] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [132225] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7768), 1,
      anon_sym_const,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(7763), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7771), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7765), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7761), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [132283] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6199), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [132373] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5789), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [132451] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5789), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [132517] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [132585] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7774), 1,
      anon_sym_COMMA,
    ACTIONS(7776), 1,
      anon_sym_SEMI,
    ACTIONS(7778), 1,
      anon_sym_RBRACE,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6889), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [132685] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [132775] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [132863] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6036), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4372), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7465), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132943] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(4315), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5279), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(7780), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5281), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133001] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7212), 1,
      anon_sym_STAR,
    ACTIONS(7214), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7216), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5779), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6173), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133075] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6241), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [133169] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(5789), 1,
      anon_sym_PIPE,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [133253] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(5789), 1,
      anon_sym_PIPE,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [133335] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6249), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [133429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7782), 34,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [133477] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6257), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [133567] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6063), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4366), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7417), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133647] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7212), 1,
      anon_sym_STAR,
    ACTIONS(7214), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7216), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5830), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7671), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133721] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [133808] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7788), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7786), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [133865] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7828), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6961), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [133962] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(5338), 1,
      anon_sym_COLON,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7611), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7617), 1,
      anon_sym_const,
    ACTIONS(7830), 1,
      anon_sym_STAR,
    ACTIONS(7832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7834), 1,
      anon_sym_AMP,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6335), 1,
      sym__abstract_declarator,
    ACTIONS(7613), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7615), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4146), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4716), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134045] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7838), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6762), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134142] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7840), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6975), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134239] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7842), 1,
      anon_sym_COMMA,
    ACTIONS(7844), 1,
      anon_sym_RBRACE,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6765), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4749), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4751), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [134383] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7846), 1,
      anon_sym_COMMA,
    ACTIONS(7848), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6983), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134480] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7850), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6870), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134577] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7852), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6775), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134674] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7854), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134769] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7856), 1,
      anon_sym_COLON,
    STATE(2475), 1,
      sym_attribute_specifier,
    STATE(3645), 1,
      sym__enum_base_clause,
    STATE(3684), 1,
      sym_enumerator_list,
    ACTIONS(5652), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5654), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [134828] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7856), 1,
      anon_sym_COLON,
    STATE(2464), 1,
      sym_attribute_specifier,
    STATE(3646), 1,
      sym__enum_base_clause,
    STATE(3726), 1,
      sym_enumerator_list,
    ACTIONS(5658), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5660), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [134887] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7846), 1,
      anon_sym_COMMA,
    ACTIONS(7858), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6883), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [134984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4910), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7860), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4912), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4138), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4791), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(7862), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5112), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5115), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3991), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5369), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7865), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5367), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135139] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7867), 1,
      anon_sym_COMMA,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7893), 1,
      anon_sym_RBRACK,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6744), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135236] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7903), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(7023), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135333] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7846), 1,
      anon_sym_COMMA,
    ACTIONS(7905), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6881), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135430] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7907), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(7027), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3991), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5305), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7865), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5303), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135578] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7909), 1,
      anon_sym_LT,
    STATE(4308), 1,
      sym_template_argument_list,
    STATE(4315), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3768), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(7780), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [135635] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(7034), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135732] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7637), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6199), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [135821] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7913), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6787), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [135918] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7915), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6936), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1876), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136062] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7917), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(7046), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136159] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(7921), 1,
      anon_sym_RBRACE,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6656), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136256] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5569), 1,
      anon_sym_STAR,
    ACTIONS(5571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5573), 1,
      anon_sym_AMP,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5942), 1,
      sym__declarator,
    STATE(6241), 1,
      sym__abstract_declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(7573), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [136343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(7539), 1,
      anon_sym_LPAREN2,
    STATE(4463), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5548), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5550), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [136396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(7539), 1,
      anon_sym_LPAREN2,
    STATE(4483), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5559), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5561), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [136449] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7867), 1,
      anon_sym_COMMA,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(7923), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7925), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6781), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4711), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4703), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136640] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7927), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6663), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136737] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7929), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6678), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7657), 1,
      anon_sym_QMARK,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7637), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5838), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [136927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4743), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [136974] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(7931), 1,
      anon_sym_COMMA,
    ACTIONS(7933), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6924), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137071] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7846), 1,
      anon_sym_COMMA,
    ACTIONS(7935), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6966), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137168] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5872), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7671), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137241] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(7931), 1,
      anon_sym_COMMA,
    ACTIONS(7937), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6893), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137338] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7939), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6679), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137435] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7846), 1,
      anon_sym_COMMA,
    ACTIONS(7941), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6799), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137532] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7945), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7943), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [137627] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5789), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [137692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(7539), 1,
      anon_sym_LPAREN2,
    STATE(4521), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5575), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5577), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [137745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7909), 1,
      anon_sym_LT,
    STATE(4308), 1,
      sym_template_argument_list,
    ACTIONS(5017), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3794), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137798] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [137883] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      anon_sym_STAR,
    ACTIONS(7356), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7358), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5849), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7671), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5142), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7860), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5144), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [138007] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7637), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6245), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [138096] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(5789), 1,
      anon_sym_PIPE,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [138179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4587), 1,
      anon_sym_LBRACK,
    ACTIONS(4582), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4585), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(4578), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_operator,
  [138230] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(5789), 1,
      anon_sym_PIPE,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [138311] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(6193), 1,
      sym_auto,
    ACTIONS(6195), 1,
      anon_sym_decltype,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7485), 1,
      anon_sym_STAR,
    ACTIONS(7487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7489), 1,
      anon_sym_AMP,
    STATE(2599), 1,
      sym_decltype_auto,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6115), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4506), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7465), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138390] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5789), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [138467] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7947), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6699), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138564] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      anon_sym_STAR,
    ACTIONS(7356), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7358), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5851), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138637] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5789), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [138712] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7949), 1,
      anon_sym_RPAREN,
    ACTIONS(7951), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [138809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      anon_sym_STAR,
    ACTIONS(7356), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7358), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5852), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7685), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138882] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5832), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6173), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138955] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7776), 1,
      anon_sym_SEMI,
    ACTIONS(7953), 1,
      anon_sym_COMMA,
    ACTIONS(7956), 1,
      anon_sym_RBRACE,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139052] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      anon_sym_STAR,
    ACTIONS(7356), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7358), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5831), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6173), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139125] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7958), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6710), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139222] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [139293] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [139360] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(7931), 1,
      anon_sym_COMMA,
    ACTIONS(7960), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6760), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139457] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7962), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6717), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4707), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [139601] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7964), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6726), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [139698] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7657), 1,
      anon_sym_QMARK,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7637), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7966), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [139791] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(6193), 1,
      sym_auto,
    ACTIONS(6195), 1,
      anon_sym_decltype,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7485), 1,
      anon_sym_STAR,
    ACTIONS(7487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7489), 1,
      anon_sym_AMP,
    STATE(2599), 1,
      sym_decltype_auto,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6110), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4504), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7417), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139870] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [139939] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7968), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6739), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140036] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7545), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7543), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [140093] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7846), 1,
      anon_sym_COMMA,
    ACTIONS(7970), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6992), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4707), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140237] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7972), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6748), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140334] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7974), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(7014), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140431] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7976), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6757), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140528] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7854), 1,
      anon_sym_SEMI,
    ACTIONS(7978), 1,
      anon_sym_COMMA,
    ACTIONS(7981), 1,
      anon_sym_RBRACE,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140625] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7983), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6967), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140722] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7985), 1,
      sym_identifier,
    ACTIONS(7989), 1,
      sym_primitive_type,
    STATE(4054), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7987), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5204), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5206), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [140777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4707), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [140824] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(7991), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6767), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [140921] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5514), 1,
      anon_sym_STAR,
    ACTIONS(5516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5518), 1,
      anon_sym_AMP,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5942), 1,
      sym__declarator,
    STATE(6258), 1,
      sym__abstract_declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    ACTIONS(7573), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [141008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7909), 1,
      anon_sym_LT,
    STATE(4308), 1,
      sym_template_argument_list,
    ACTIONS(4499), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4506), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [141061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(7539), 1,
      anon_sym_LPAREN2,
    STATE(4511), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5563), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5565), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [141114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4735), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4723), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4747), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3991), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5356), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7865), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5354), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [141306] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7993), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6706), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1317), 1,
      sym__fold_operator,
    ACTIONS(7997), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(7995), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [141452] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7999), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6806), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4138), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7862), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4793), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4791), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [141600] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(8001), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6854), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141697] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8003), 1,
      anon_sym_COMMA,
    ACTIONS(8005), 1,
      anon_sym_RBRACE,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6856), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4055), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5376), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [141845] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7778), 1,
      anon_sym_RBRACE,
    ACTIONS(8009), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6889), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [141942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4727), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [141989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4731), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142036] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7657), 1,
      anon_sym_QMARK,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7637), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6249), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142129] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(5350), 1,
      anon_sym_COLON,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7611), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7617), 1,
      anon_sym_const,
    ACTIONS(7830), 1,
      anon_sym_STAR,
    ACTIONS(7832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7834), 1,
      anon_sym_AMP,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6372), 1,
      sym__abstract_declarator,
    ACTIONS(7613), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7615), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4724), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4766), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4715), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142259] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(8011), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6860), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142356] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7637), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6257), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [142445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3991), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5384), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7865), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5382), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [142496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4719), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142543] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(8013), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6894), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142640] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7637), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [142729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5905), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7685), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142802] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8015), 1,
      anon_sym_COMMA,
    ACTIONS(8017), 1,
      anon_sym_RBRACE,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6897), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [142899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1880), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [142946] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7867), 1,
      anon_sym_COMMA,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(8019), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6781), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143043] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7657), 1,
      anon_sym_QMARK,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7637), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6241), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143136] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(8021), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6950), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5910), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143306] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8023), 1,
      anon_sym_COMMA,
    ACTIONS(8025), 1,
      anon_sym_RBRACE,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    STATE(6953), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4737), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4739), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [143450] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7635), 1,
      anon_sym_SLASH,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    ACTIONS(7645), 1,
      anon_sym_AMP,
    ACTIONS(7651), 1,
      anon_sym_GT_EQ,
    ACTIONS(7657), 1,
      anon_sym_QMARK,
    ACTIONS(7659), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7661), 1,
      anon_sym_bitor,
    ACTIONS(7663), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7633), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7637), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7639), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7643), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7653), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7647), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7649), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8027), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [143543] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    ACTIONS(8029), 1,
      anon_sym_GT2,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    STATE(6909), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4150), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5332), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8031), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5330), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [143691] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [143779] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [143847] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8033), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [143941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5246), 1,
      anon_sym_LPAREN2,
    ACTIONS(5249), 1,
      anon_sym_LBRACK,
    ACTIONS(3778), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(3770), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143993] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8035), 1,
      anon_sym_COMMA,
    ACTIONS(8037), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144087] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8065), 1,
      anon_sym_COLON,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144181] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6245), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [144269] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6199), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [144357] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5838), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [144449] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5789), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [144513] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [144599] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [144683] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5789), 1,
      anon_sym_PIPE,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [144765] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5789), 1,
      anon_sym_PIPE,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [144845] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5789), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [144921] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5789), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [144995] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145065] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145131] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [145199] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8075), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145293] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6237), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [145381] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6241), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145473] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6245), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [145561] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6249), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6294), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145699] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8077), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145793] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8079), 1,
      anon_sym_COMMA,
    ACTIONS(8081), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145887] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8083), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [145979] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5838), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146071] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6257), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [146159] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8085), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146253] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7943), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146345] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8087), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146439] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_STAR,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5992), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7671), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146511] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5789), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146571] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8089), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146665] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5700), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5702), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [146725] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8091), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146819] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8093), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [146911] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6249), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147003] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5789), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5791), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [147067] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5789), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [147143] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6199), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [147231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(4587), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4580), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [147279] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7951), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147373] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8095), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147467] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5789), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [147527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8101), 1,
      anon_sym___attribute__,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8099), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8097), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [147577] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5789), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [147651] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [147721] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8104), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147815] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [147901] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8106), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [147993] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [148077] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_STAR,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5967), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6173), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148149] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5736), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5738), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [148207] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_STAR,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5987), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7685), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148279] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5716), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5718), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [148339] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8108), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148431] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5728), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5730), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [148491] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(5838), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148583] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5747), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5749), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [148641] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8110), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148735] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8112), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148829] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8108), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [148921] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_PIPE,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [149003] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5789), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [149067] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_PIPE,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [149147] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6237), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149235] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(1851), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5279), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4620), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5281), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [149291] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(5789), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [149367] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5747), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5749), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [149425] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8114), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149519] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7467), 1,
      sym_auto,
    ACTIONS(7469), 1,
      anon_sym_decltype,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6131), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7417), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149597] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8116), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149689] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6257), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [149777] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8118), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149869] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8120), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [149963] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8122), 1,
      anon_sym_COMMA,
    ACTIONS(8124), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150057] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6241), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150149] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8126), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150243] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [150329] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8128), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150421] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8108), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150513] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8130), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150607] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8093), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150699] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(5789), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [150773] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8132), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150867] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7501), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [150959] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8134), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151053] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7776), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151147] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7981), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151239] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5789), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151311] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8136), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151405] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5716), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5718), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151465] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6241), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151557] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5728), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5730), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151617] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5789), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [151683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5736), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5738), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [151741] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8138), 1,
      anon_sym_COMMA,
    ACTIONS(8140), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [151835] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5789), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5791), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [151901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7541), 1,
      anon_sym_LBRACK,
    STATE(4329), 1,
      sym_new_declarator,
    ACTIONS(5688), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5690), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [151951] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5789), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [152021] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8142), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(3778), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152163] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8144), 1,
      anon_sym_COMMA,
    ACTIONS(8146), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152257] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152349] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [152433] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8150), 1,
      anon_sym_COMMA,
    ACTIONS(8152), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152527] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(5789), 1,
      anon_sym_PIPE,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [152607] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8157), 1,
      anon_sym_const,
    STATE(4576), 1,
      sym_alignas_qualifier,
    ACTIONS(7763), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(8160), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8154), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7761), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [152663] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7854), 1,
      anon_sym_COLON,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152757] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8163), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152851] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8165), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152945] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8167), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(4947), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4949), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153087] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8169), 1,
      anon_sym_COMMA,
    ACTIONS(8171), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153181] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_STAR,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5968), 1,
      sym__abstract_declarator,
    ACTIONS(6526), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4019), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(6520), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153253] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8173), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153347] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8175), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153441] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8177), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153535] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(3831), 1,
      anon_sym_STAR,
    ACTIONS(3833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3835), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7573), 1,
      anon_sym_RPAREN,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6072), 1,
      sym__declarator,
    STATE(6241), 1,
      sym__abstract_declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [153621] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8179), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153715] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7956), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153807] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8108), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153899] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8181), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153993] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7818), 1,
      anon_sym_QMARK,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6249), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154085] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(5700), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(5702), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [154145] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8183), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154239] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8185), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154333] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8039), 1,
      anon_sym_COMMA,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8187), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154427] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(5789), 1,
      anon_sym_PIPE,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(5791), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [154509] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6257), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154597] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8189), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154691] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6199), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154779] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(6890), 1,
      anon_sym_COMMA,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8191), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154873] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8193), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154965] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    STATE(4557), 1,
      sym_field_declaration_list,
    STATE(4582), 1,
      sym_attribute_specifier,
    STATE(6633), 1,
      sym_virtual_specifier,
    STATE(7312), 1,
      sym_base_class_clause,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4854), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4856), 26,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [155027] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      anon_sym_DOT,
    ACTIONS(7798), 1,
      anon_sym_SLASH,
    ACTIONS(7804), 1,
      anon_sym_PIPE,
    ACTIONS(7808), 1,
      anon_sym_AMP,
    ACTIONS(7814), 1,
      anon_sym_LT_LT,
    ACTIONS(7816), 1,
      anon_sym_GT_GT,
    ACTIONS(7820), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7822), 1,
      anon_sym_bitor,
    ACTIONS(7824), 1,
      anon_sym_bitand,
    STATE(3430), 1,
      sym_argument_list,
    STATE(3434), 1,
      sym_subscript_argument_list,
    ACTIONS(6731), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7794), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7796), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7800), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7802), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7806), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7826), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7810), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6245), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(7812), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155115] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7467), 1,
      sym_auto,
    ACTIONS(7469), 1,
      anon_sym_decltype,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(4601), 1,
      sym_decltype_auto,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6136), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4560), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7465), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155193] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8197), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155284] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    STATE(4656), 1,
      sym_field_declaration_list,
    STATE(4771), 1,
      sym_attribute_specifier,
    STATE(6509), 1,
      sym_virtual_specifier,
    STATE(7299), 1,
      sym_base_class_clause,
    ACTIONS(4854), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4856), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4585), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4924), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4926), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4920), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4922), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4920), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4922), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4930), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155576] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(8203), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7761), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7768), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7763), 16,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [155629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4138), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5305), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8206), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5303), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4138), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5356), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8206), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5354), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4318), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5376), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5374), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4319), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5332), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8210), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5330), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4138), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5369), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8206), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5367), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4138), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5384), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8206), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5382), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4314), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5142), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8212), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5144), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [155972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4479), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4536), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4540), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4544), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4548), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4552), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4556), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [156287] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8214), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5795), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156423] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8216), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156514] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8218), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156605] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8220), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156696] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8222), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156787] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8224), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156878] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8226), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156969] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8228), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157060] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(8230), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157151] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8232), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5214), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5212), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [157287] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8234), 1,
      anon_sym_RBRACE,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157378] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8236), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157469] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157560] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8238), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157651] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8240), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5781), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5783), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [157787] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(8242), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157878] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157969] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158060] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4357), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158151] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8244), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158242] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4381), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158333] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    STATE(4576), 1,
      sym_alignas_qualifier,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7788), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7786), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [158388] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158479] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4385), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158570] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(4934), 1,
      sym_ms_call_modifier,
    STATE(5271), 1,
      sym__declarator,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(7031), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [158651] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4361), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158742] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4363), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158833] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    ACTIONS(7603), 1,
      anon_sym_STAR,
    ACTIONS(7605), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7607), 1,
      anon_sym_AMP,
    ACTIONS(7617), 1,
      anon_sym_const,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6219), 1,
      sym__abstract_declarator,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7465), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158910] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8246), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159001] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4365), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159092] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8248), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159183] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159274] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8252), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159365] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8254), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159456] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(7923), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8256), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6035), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7671), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159618] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8258), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159709] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8260), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159800] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159891] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8264), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159982] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6058), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160053] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6059), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7685), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160124] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8266), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160215] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(8268), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160306] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6066), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6173), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160377] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8270), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160468] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160559] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8272), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160650] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160741] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8274), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160832] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8276), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160923] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8278), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8280), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161105] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8282), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161196] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161287] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8286), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161378] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8288), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161469] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8290), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161560] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8292), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161651] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(8294), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161742] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8296), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161833] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161924] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4419), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6294), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [162060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5742), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [162105] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8051), 1,
      anon_sym_PIPE,
    ACTIONS(8055), 1,
      anon_sym_AMP,
    ACTIONS(8061), 1,
      anon_sym_GT_EQ,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    ACTIONS(8069), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8071), 1,
      anon_sym_bitor,
    ACTIONS(8073), 1,
      anon_sym_bitand,
    ACTIONS(8298), 1,
      anon_sym_COLON,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(6912), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8041), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8049), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8053), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8057), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8059), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162196] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8300), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162287] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8302), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162378] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8304), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162469] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8306), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162560] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8308), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162651] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8310), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162742] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8312), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162833] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8314), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162924] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(8316), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163015] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8318), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163106] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4415), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163197] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163288] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8322), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163379] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4421), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163470] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8324), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163561] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8326), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163652] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(8328), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163743] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8330), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    ACTIONS(8332), 1,
      anon_sym_RBRACK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163925] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    ACTIONS(7603), 1,
      anon_sym_STAR,
    ACTIONS(7605), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7607), 1,
      anon_sym_AMP,
    ACTIONS(7617), 1,
      anon_sym_const,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6215), 1,
      sym__abstract_declarator,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4600), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7417), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164002] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8334), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164093] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8336), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164184] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8338), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164275] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8340), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164366] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8342), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164457] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8344), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5761), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [164593] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4413), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164684] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4433), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164775] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(4960), 1,
      sym_ms_call_modifier,
    STATE(5319), 1,
      sym__declarator,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(6730), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [164856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5254), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5256), 34,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [164901] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    STATE(4576), 1,
      sym_alignas_qualifier,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(7545), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7543), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [164956] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8346), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165047] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(4962), 1,
      sym_ms_call_modifier,
    STATE(5336), 1,
      sym__declarator,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(6804), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165128] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4443), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165219] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(7945), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165310] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(4974), 1,
      sym_ms_call_modifier,
    STATE(5238), 1,
      sym__declarator,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(6828), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165391] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8348), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165482] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8350), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165573] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(4924), 1,
      sym_ms_call_modifier,
    STATE(5249), 1,
      sym__declarator,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(6919), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165654] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(4930), 1,
      sym_ms_call_modifier,
    STATE(5256), 1,
      sym__declarator,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(7004), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165735] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(4936), 1,
      sym_ms_call_modifier,
    STATE(5262), 1,
      sym__declarator,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(6653), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165816] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_RBRACK,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7873), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7889), 1,
      anon_sym_GT_EQ,
    ACTIONS(7895), 1,
      anon_sym_QMARK,
    ACTIONS(7897), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7899), 1,
      anon_sym_bitor,
    ACTIONS(7901), 1,
      anon_sym_bitand,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7869), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7871), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7875), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7877), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7881), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7891), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7885), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7887), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165907] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    ACTIONS(8354), 1,
      anon_sym_COLON,
    STATE(4469), 1,
      sym__enum_base_clause,
    STATE(4554), 1,
      sym_enumerator_list,
    STATE(4617), 1,
      sym_attribute_specifier,
    ACTIONS(5652), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5654), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165964] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8356), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166055] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    ACTIONS(8354), 1,
      anon_sym_COLON,
    STATE(4480), 1,
      sym__enum_base_clause,
    STATE(4571), 1,
      sym_enumerator_list,
    STATE(4628), 1,
      sym_attribute_specifier,
    ACTIONS(5658), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5660), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [166112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 1,
      sym_literal_suffix,
    ACTIONS(4947), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4949), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [166159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 1,
      sym_literal_suffix,
    ACTIONS(3778), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [166206] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8358), 1,
      anon_sym_LT,
    STATE(1795), 1,
      sym_template_argument_list,
    STATE(1851), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3768), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4620), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [166261] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8360), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3194), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3192), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [166397] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(2240), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5279), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5281), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [166452] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8362), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166543] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8364), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166634] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8366), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166725] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8368), 1,
      anon_sym_RPAREN,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166816] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8370), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166907] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166998] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8374), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167089] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    ACTIONS(8376), 1,
      anon_sym_COMMA,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167180] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3829), 1,
      anon_sym_LPAREN2,
    ACTIONS(3831), 1,
      anon_sym_STAR,
    ACTIONS(3833), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3835), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5348), 1,
      anon_sym_LBRACK,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6195), 1,
      sym__declarator,
    STATE(6365), 1,
      sym__abstract_declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [167263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8378), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8380), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5625), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5627), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8358), 1,
      anon_sym_LT,
    STATE(1795), 1,
      sym_template_argument_list,
    ACTIONS(5017), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3794), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [167361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5812), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5814), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4314), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4910), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8212), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4912), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167453] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(6193), 1,
      sym_auto,
    ACTIONS(6195), 1,
      anon_sym_decltype,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7665), 1,
      anon_sym_STAR,
    ACTIONS(7667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7669), 1,
      anon_sym_AMP,
    STATE(2599), 1,
      sym_decltype_auto,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6263), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4652), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7465), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5859), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5861), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5863), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5865), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167617] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      anon_sym_LBRACK,
    ACTIONS(5708), 1,
      anon_sym_DOT,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7733), 1,
      anon_sym_SLASH,
    ACTIONS(7739), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_AMP,
    ACTIONS(7749), 1,
      anon_sym_GT_EQ,
    ACTIONS(7753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7755), 1,
      anon_sym_bitor,
    ACTIONS(7757), 1,
      anon_sym_bitand,
    ACTIONS(7759), 1,
      anon_sym_QMARK,
    STATE(2363), 1,
      sym_subscript_argument_list,
    STATE(2368), 1,
      sym_argument_list,
    ACTIONS(5710), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7204), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7729), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7731), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7735), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7737), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7741), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7751), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7745), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7747), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167705] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6557), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(4661), 1,
      sym_ref_qualifier,
    STATE(5481), 1,
      sym__function_attributes_end,
    STATE(5566), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4981), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [167787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5973), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5975), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8380), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5684), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5686), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [167877] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    STATE(4573), 1,
      sym_enumerator_list,
    STATE(4637), 1,
      sym_attribute_specifier,
    ACTIONS(5326), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5328), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167929] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6267), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7417), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168005] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    ACTIONS(8386), 1,
      anon_sym_LBRACE,
    ACTIONS(8388), 1,
      anon_sym_COLON,
    STATE(4618), 1,
      sym__enum_base_clause,
    STATE(4653), 1,
      sym_enumerator_list,
    STATE(4757), 1,
      sym_attribute_specifier,
    ACTIONS(5652), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5654), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168061] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7437), 1,
      sym_identifier,
    ACTIONS(7439), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_STAR,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7445), 1,
      anon_sym_AMP,
    ACTIONS(7449), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2808), 1,
      sym__type_declarator,
    STATE(3288), 1,
      sym_pointer_type_declarator,
    STATE(7409), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7447), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3238), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168133] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7437), 1,
      sym_identifier,
    ACTIONS(7439), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_STAR,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7445), 1,
      anon_sym_AMP,
    ACTIONS(7449), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2809), 1,
      sym__type_declarator,
    STATE(3288), 1,
      sym_pointer_type_declarator,
    STATE(7409), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7447), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3238), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5816), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5818), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6035), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    ACTIONS(8386), 1,
      anon_sym_LBRACE,
    ACTIONS(8388), 1,
      anon_sym_COLON,
    STATE(4588), 1,
      sym__enum_base_clause,
    STATE(4664), 1,
      sym_enumerator_list,
    STATE(4741), 1,
      sym_attribute_specifier,
    ACTIONS(5658), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5660), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168349] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8393), 1,
      anon_sym_requires,
    STATE(4645), 1,
      sym_ref_qualifier,
    STATE(5478), 1,
      sym__function_attributes_end,
    STATE(5577), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4991), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [168431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8396), 1,
      anon_sym___attribute__,
    STATE(4478), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(8099), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8097), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [168479] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7475), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1907), 1,
      sym__type_declarator,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(7419), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168551] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    STATE(4569), 1,
      sym_enumerator_list,
    STATE(4604), 1,
      sym_attribute_specifier,
    ACTIONS(5318), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5320), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5929), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5931), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168647] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6269), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4668), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7465), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5957), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5959), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5961), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5963), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168811] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_SEMI,
    ACTIONS(4618), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5246), 1,
      anon_sym_LPAREN2,
    ACTIONS(5249), 1,
      anon_sym_LBRACK,
    ACTIONS(3778), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(3770), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168863] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7451), 1,
      sym_identifier,
    ACTIONS(7453), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7459), 1,
      anon_sym_AMP,
    ACTIONS(7463), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2758), 1,
      sym__type_declarator,
    STATE(3017), 1,
      sym_pointer_type_declarator,
    STATE(7489), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3003), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6023), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [168979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5851), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5853), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8399), 1,
      anon_sym_LT,
    STATE(2435), 1,
      sym_template_argument_list,
    ACTIONS(5017), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(3794), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [169073] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7475), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1893), 1,
      sym__type_declarator,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(7419), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169145] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      sym_primitive_type,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(5631), 1,
      sym__type_declarator,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(7566), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169217] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(4933), 1,
      sym_ms_call_modifier,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6202), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [169295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5857), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169339] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(4975), 1,
      sym_ms_call_modifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6040), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [169417] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(4973), 1,
      sym_ms_call_modifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6004), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [169495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8399), 1,
      anon_sym_LT,
    STATE(2435), 1,
      sym_template_argument_list,
    ACTIONS(4499), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4506), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [169545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5953), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5955), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169589] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(5962), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169661] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(5954), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169733] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(5853), 1,
      sym__type_declarator,
    STATE(8016), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169805] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(5856), 1,
      sym__type_declarator,
    STATE(8016), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169877] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(5857), 1,
      sym__type_declarator,
    STATE(8016), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5834), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [169993] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7485), 1,
      anon_sym_STAR,
    ACTIONS(7487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7489), 1,
      anon_sym_AMP,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6114), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7671), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170063] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7485), 1,
      anon_sym_STAR,
    ACTIONS(7487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7489), 1,
      anon_sym_AMP,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6116), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(5350), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7485), 1,
      anon_sym_STAR,
    ACTIONS(7487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7489), 1,
      anon_sym_AMP,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6117), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7685), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170203] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7485), 1,
      anon_sym_STAR,
    ACTIONS(7487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7489), 1,
      anon_sym_AMP,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6118), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6173), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170273] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      sym_primitive_type,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(5630), 1,
      sym__type_declarator,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(7566), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5885), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5887), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170389] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(4963), 1,
      sym_ms_call_modifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6010), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [170467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5879), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170511] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_STAR,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_AMP,
    ACTIONS(7435), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6250), 1,
      sym__type_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170583] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_STAR,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_AMP,
    ACTIONS(7435), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6259), 1,
      sym__type_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170655] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_STAR,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_AMP,
    ACTIONS(7435), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6262), 1,
      sym__type_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170727] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8358), 1,
      anon_sym_LT,
    STATE(1795), 1,
      sym_template_argument_list,
    ACTIONS(4499), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4506), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [170777] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7437), 1,
      sym_identifier,
    ACTIONS(7439), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_STAR,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7445), 1,
      anon_sym_AMP,
    ACTIONS(7449), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2828), 1,
      sym__type_declarator,
    STATE(3288), 1,
      sym_pointer_type_declarator,
    STATE(7409), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7447), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3238), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170849] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(6193), 1,
      sym_auto,
    ACTIONS(6195), 1,
      anon_sym_decltype,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7665), 1,
      anon_sym_STAR,
    ACTIONS(7667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7669), 1,
      anon_sym_AMP,
    STATE(2599), 1,
      sym_decltype_auto,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6276), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4644), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7417), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5995), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170969] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(4977), 1,
      sym_ms_call_modifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6026), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171047] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7451), 1,
      sym_identifier,
    ACTIONS(7453), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7459), 1,
      anon_sym_AMP,
    ACTIONS(7463), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2711), 1,
      sym__type_declarator,
    STATE(3017), 1,
      sym_pointer_type_declarator,
    STATE(7489), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3003), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5941), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5943), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171163] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(4925), 1,
      sym_ms_call_modifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6039), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171241] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      sym_primitive_type,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(5681), 1,
      sym__type_declarator,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(7566), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5949), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5951), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5921), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5923), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171401] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(4931), 1,
      sym_ms_call_modifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6045), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5989), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5991), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171523] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(4938), 1,
      sym_ms_call_modifier,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6070), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [171601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6015), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6017), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6019), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171689] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7475), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(1875), 1,
      sym__type_declarator,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(7419), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4922), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [171805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6011), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171893] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(1669), 1,
      sym_attribute_specifier,
    STATE(4948), 1,
      sym_field_declaration_list,
    STATE(6525), 1,
      sym_virtual_specifier,
    STATE(7295), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4856), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4854), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [171953] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7451), 1,
      sym_identifier,
    ACTIONS(7453), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7459), 1,
      anon_sym_AMP,
    ACTIONS(7463), 1,
      sym_primitive_type,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2733), 1,
      sym__type_declarator,
    STATE(3017), 1,
      sym_pointer_type_declarator,
    STATE(7489), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3003), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5945), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5947), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_SEMI,
    ACTIONS(4951), 1,
      sym_literal_suffix,
    ACTIONS(3778), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(3770), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5937), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5939), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5965), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5967), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6031), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5847), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5849), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5881), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5883), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5838), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3552), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5903), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5905), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5917), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5919), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5983), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5987), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2542), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172645] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(1808), 1,
      sym_alignas_qualifier,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(5940), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    STATE(4610), 1,
      sym_attribute_specifier,
    ACTIONS(5442), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5444), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172764] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym___attribute__,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    STATE(4701), 1,
      sym_ref_qualifier,
    STATE(5343), 1,
      sym_trailing_return_type,
    STATE(5380), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5004), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [172845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    STATE(4634), 1,
      sym_attribute_specifier,
    ACTIONS(5450), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5452), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5214), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [172935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7467), 1,
      sym_auto,
    ACTIONS(7469), 1,
      anon_sym_decltype,
    STATE(4601), 1,
      sym_decltype_auto,
    ACTIONS(4881), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4883), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    STATE(4581), 1,
      sym_attribute_specifier,
    ACTIONS(5400), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5402), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173031] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6135), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7671), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173100] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6139), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5350), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173169] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6141), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7685), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173238] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_const,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(4576), 1,
      sym_alignas_qualifier,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6143), 1,
      sym__abstract_declarator,
    ACTIONS(6637), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6173), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6627), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    STATE(4583), 1,
      sym_attribute_specifier,
    ACTIONS(5446), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5448), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    STATE(4612), 1,
      sym_attribute_specifier,
    ACTIONS(5504), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5506), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    STATE(4627), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5481), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8358), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    ACTIONS(3794), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5017), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [173497] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8358), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    ACTIONS(4506), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(4499), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [173546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    STATE(4613), 1,
      sym_attribute_specifier,
    ACTIONS(5386), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5388), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173593] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym___attribute__,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4705), 1,
      sym_ref_qualifier,
    STATE(5369), 1,
      sym__function_attributes_end,
    STATE(5439), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4996), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [173674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    STATE(4615), 1,
      sym_attribute_specifier,
    ACTIONS(5490), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5492), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    STATE(4616), 1,
      sym_attribute_specifier,
    ACTIONS(5466), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5468), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    STATE(4603), 1,
      sym_attribute_specifier,
    ACTIONS(5404), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5406), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_SEMI,
    ACTIONS(3778), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(3770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    STATE(4606), 1,
      sym_attribute_specifier,
    ACTIONS(5432), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5434), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    STATE(4607), 1,
      sym_attribute_specifier,
    ACTIONS(5438), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5440), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173954] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8399), 1,
      anon_sym_LT,
    STATE(2240), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2435), 1,
      sym_template_argument_list,
    ACTIONS(3768), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [174007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3192), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(3194), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [174050] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7603), 1,
      anon_sym_STAR,
    ACTIONS(7605), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7607), 1,
      anon_sym_AMP,
    ACTIONS(7617), 1,
      anon_sym_const,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6189), 1,
      sym__abstract_declarator,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5007), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5350), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5164), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174160] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8416), 1,
      anon_sym_requires,
    STATE(4738), 1,
      sym_ref_qualifier,
    STATE(5338), 1,
      sym_trailing_return_type,
    STATE(5552), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5009), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [174240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5176), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5166), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5168), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4969), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4971), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5172), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174408] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8416), 1,
      anon_sym_requires,
    STATE(4729), 1,
      sym_ref_qualifier,
    STATE(5338), 1,
      sym_trailing_return_type,
    STATE(5384), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8419), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5023), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [174488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5176), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5188), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174572] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7595), 1,
      sym_identifier,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5802), 1,
      sym__field_declarator,
    STATE(5980), 1,
      sym_operator_name,
    STATE(8188), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    ACTIONS(8386), 1,
      anon_sym_LBRACE,
    STATE(4673), 1,
      sym_enumerator_list,
    STATE(4748), 1,
      sym_attribute_specifier,
    ACTIONS(5318), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5320), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [174690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4963), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4963), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174774] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7583), 1,
      sym_identifier,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(6225), 1,
      sym__field_declarator,
    STATE(6317), 1,
      sym_operator_name,
    STATE(7597), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174842] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7583), 1,
      sym_identifier,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(6222), 1,
      sym__field_declarator,
    STATE(6317), 1,
      sym_operator_name,
    STATE(7597), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5222), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174952] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4742), 1,
      sym_ref_qualifier,
    STATE(5375), 1,
      sym__function_attributes_end,
    STATE(5411), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8419), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5036), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [175032] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    ACTIONS(7417), 1,
      anon_sym_COLON,
    ACTIONS(7617), 1,
      anon_sym_const,
    ACTIONS(7830), 1,
      anon_sym_STAR,
    ACTIONS(7832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7834), 1,
      anon_sym_AMP,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6356), 1,
      sym__abstract_declarator,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4763), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8422), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(5759), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5761), 29,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [175150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5234), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5226), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175234] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    STATE(4764), 1,
      sym_ref_qualifier,
    STATE(5343), 1,
      sym_trailing_return_type,
    STATE(5418), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8419), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5027), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [175314] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7603), 1,
      anon_sym_STAR,
    ACTIONS(7605), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7607), 1,
      anon_sym_AMP,
    ACTIONS(7617), 1,
      anon_sym_const,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6218), 1,
      sym__abstract_declarator,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5007), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7671), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5178), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5180), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4939), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4941), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4973), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4975), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4977), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4979), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175550] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7621), 1,
      anon_sym_STAR,
    ACTIONS(7623), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7625), 1,
      anon_sym_AMP,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6007), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6173), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4983), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5007), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5230), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175744] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7595), 1,
      sym_identifier,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5732), 1,
      sym__field_declarator,
    STATE(5980), 1,
      sym_operator_name,
    STATE(8188), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5011), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5015), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4943), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4945), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4967), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [175980] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7603), 1,
      anon_sym_STAR,
    ACTIONS(7605), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7607), 1,
      anon_sym_AMP,
    ACTIONS(7617), 1,
      anon_sym_const,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6226), 1,
      sym__abstract_declarator,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5007), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6173), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5023), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5049), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5051), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4955), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176174] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    ACTIONS(8386), 1,
      anon_sym_LBRACE,
    STATE(4667), 1,
      sym_enumerator_list,
    STATE(4720), 1,
      sym_attribute_specifier,
    ACTIONS(5326), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5328), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [176224] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7595), 1,
      sym_identifier,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5785), 1,
      sym__field_declarator,
    STATE(5980), 1,
      sym_operator_name,
    STATE(8188), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5218), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176334] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7583), 1,
      sym_identifier,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(6200), 1,
      sym__field_declarator,
    STATE(6317), 1,
      sym_operator_name,
    STATE(7597), 1,
      sym_ms_based_modifier,
    ACTIONS(3172), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3166), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176402] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    STATE(4754), 1,
      sym_ref_qualifier,
    STATE(5343), 1,
      sym_trailing_return_type,
    STATE(5513), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5030), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [176482] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4722), 1,
      sym_ref_qualifier,
    STATE(5439), 1,
      sym_trailing_return_type,
    STATE(5519), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5033), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [176562] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7621), 1,
      anon_sym_STAR,
    ACTIONS(7623), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7625), 1,
      anon_sym_AMP,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6043), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5350), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4959), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5118), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5120), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5122), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5124), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5128), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176798] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(4134), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3768), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(7593), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3776), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [176850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4963), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5142), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5144), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [176934] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4714), 1,
      sym_ref_qualifier,
    STATE(5410), 1,
      sym__function_attributes_end,
    STATE(5439), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8419), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5017), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [177014] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7362), 1,
      sym_auto,
    ACTIONS(7364), 1,
      anon_sym_decltype,
    ACTIONS(7465), 1,
      anon_sym_COLON,
    ACTIONS(7617), 1,
      anon_sym_const,
    ACTIONS(7830), 1,
      anon_sym_STAR,
    ACTIONS(7832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7834), 1,
      anon_sym_AMP,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6385), 1,
      sym__abstract_declarator,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4767), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5148), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177130] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4723), 1,
      sym_ref_qualifier,
    STATE(5411), 1,
      sym_trailing_return_type,
    STATE(5528), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5014), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [177210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5200), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5152), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(4912), 31,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [177336] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8425), 1,
      sym_identifier,
    ACTIONS(8427), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8431), 1,
      anon_sym_EQ,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5160), 1,
      sym_ms_declspec_modifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8429), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4940), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [177426] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1822), 1,
      anon_sym_enum,
    ACTIONS(1824), 1,
      anon_sym_class,
    ACTIONS(1826), 1,
      anon_sym_struct,
    ACTIONS(1828), 1,
      anon_sym_union,
    ACTIONS(1854), 1,
      anon_sym_typename,
    ACTIONS(3110), 1,
      sym_primitive_type,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8427), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8431), 1,
      anon_sym_EQ,
    ACTIONS(8433), 1,
      sym_identifier,
    STATE(2388), 1,
      sym_type_specifier,
    STATE(2412), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(3029), 1,
      sym_qualified_type_identifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    ACTIONS(8429), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [177510] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7603), 1,
      anon_sym_STAR,
    ACTIONS(7605), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7607), 1,
      anon_sym_AMP,
    ACTIONS(7617), 1,
      anon_sym_const,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6186), 1,
      sym__abstract_declarator,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5007), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7685), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(8435), 1,
      anon_sym_COLON,
    STATE(1665), 1,
      sym_attribute_specifier,
    STATE(2181), 1,
      sym__enum_base_clause,
    STATE(2286), 1,
      sym_enumerator_list,
    ACTIONS(5652), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5654), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [177631] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8393), 1,
      anon_sym_requires,
    STATE(5478), 1,
      sym__function_attributes_end,
    STATE(5577), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4991), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [177704] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7665), 1,
      anon_sym_STAR,
    ACTIONS(7667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7669), 1,
      anon_sym_AMP,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6255), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7671), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177771] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8444), 1,
      anon_sym_requires,
    STATE(5483), 1,
      sym__function_attributes_end,
    STATE(5600), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4983), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [177844] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4447), 1,
      sym_alignas_qualifier,
    ACTIONS(8450), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7763), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7761), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8447), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177893] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4868), 1,
      sym_ref_qualifier,
    STATE(5563), 1,
      sym__function_attributes_end,
    STATE(5751), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5041), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [177972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    STATE(4768), 1,
      sym_attribute_specifier,
    ACTIONS(5479), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5481), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178017] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(8453), 1,
      anon_sym_COLON,
    STATE(1665), 1,
      sym_attribute_specifier,
    STATE(4740), 1,
      sym__enum_base_clause,
    STATE(4979), 1,
      sym_enumerator_list,
    ACTIONS(5654), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5652), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [178070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    ACTIONS(6103), 1,
      anon_sym_LBRACE,
    ACTIONS(8455), 1,
      anon_sym_COLON,
    STATE(2439), 1,
      sym__enum_base_clause,
    STATE(2525), 1,
      sym_enumerator_list,
    STATE(2655), 1,
      sym_attribute_specifier,
    ACTIONS(5658), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5660), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [178123] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5414), 1,
      anon_sym___attribute__,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(8435), 1,
      anon_sym_COLON,
    STATE(1720), 1,
      sym_attribute_specifier,
    STATE(2188), 1,
      sym__enum_base_clause,
    STATE(2244), 1,
      sym_enumerator_list,
    ACTIONS(5658), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5660), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [178176] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7665), 1,
      anon_sym_STAR,
    ACTIONS(7667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7669), 1,
      anon_sym_AMP,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6235), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7685), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    STATE(4719), 1,
      sym_attribute_specifier,
    ACTIONS(5450), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5452), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    STATE(4753), 1,
      sym_attribute_specifier,
    ACTIONS(5504), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5506), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(4904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5281), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5279), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [178382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    STATE(4727), 1,
      sym_attribute_specifier,
    ACTIONS(5400), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5402), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    STATE(4731), 1,
      sym_attribute_specifier,
    ACTIONS(5446), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5448), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178472] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6557), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5481), 1,
      sym__function_attributes_end,
    STATE(5566), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4981), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [178545] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7665), 1,
      anon_sym_STAR,
    ACTIONS(7667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7669), 1,
      anon_sym_AMP,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6260), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5350), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178612] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7665), 1,
      anon_sym_STAR,
    ACTIONS(7667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7669), 1,
      anon_sym_AMP,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6261), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6173), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178679] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6557), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5480), 1,
      sym__function_attributes_end,
    STATE(5571), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4984), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [178752] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7763), 1,
      anon_sym_AMP,
    ACTIONS(8447), 1,
      anon_sym_const,
    STATE(4447), 1,
      sym_alignas_qualifier,
    ACTIONS(8460), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8457), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7761), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178803] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6265), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6173), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    STATE(4773), 1,
      sym_attribute_specifier,
    ACTIONS(5404), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5406), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [178915] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym___attribute__,
    ACTIONS(6103), 1,
      anon_sym_LBRACE,
    ACTIONS(8455), 1,
      anon_sym_COLON,
    STATE(2437), 1,
      sym__enum_base_clause,
    STATE(2514), 1,
      sym_enumerator_list,
    STATE(2627), 1,
      sym_attribute_specifier,
    ACTIONS(5652), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5654), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [178968] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6251), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5350), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    STATE(4750), 1,
      sym_attribute_specifier,
    ACTIONS(5432), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5434), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179080] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6239), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7685), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    STATE(4751), 1,
      sym_attribute_specifier,
    ACTIONS(5438), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5440), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179192] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(4866), 1,
      sym_ref_qualifier,
    STATE(5640), 1,
      sym__function_attributes_end,
    STATE(5799), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5038), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [179271] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(8453), 1,
      anon_sym_COLON,
    STATE(1720), 1,
      sym_attribute_specifier,
    STATE(4743), 1,
      sym__enum_base_clause,
    STATE(4952), 1,
      sym_enumerator_list,
    ACTIONS(5660), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5658), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [179324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    STATE(4756), 1,
      sym_attribute_specifier,
    ACTIONS(5442), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5444), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    STATE(4759), 1,
      sym_attribute_specifier,
    ACTIONS(5490), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5492), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    STATE(4761), 1,
      sym_attribute_specifier,
    ACTIONS(5466), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5468), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179459] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 1,
      anon_sym_const,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4447), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6268), 1,
      sym__abstract_declarator,
    ACTIONS(7226), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7671), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7218), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8199), 1,
      anon_sym___attribute__,
    STATE(4769), 1,
      sym_attribute_specifier,
    ACTIONS(5386), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5388), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [179571] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8463), 1,
      anon_sym_requires,
    STATE(4870), 1,
      sym_ref_qualifier,
    STATE(5690), 1,
      sym__function_attributes_end,
    STATE(5768), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5047), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [179650] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_requires,
    STATE(4889), 1,
      sym_ref_qualifier,
    STATE(5605), 1,
      sym__function_attributes_end,
    STATE(5724), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5037), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [179729] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8469), 1,
      sym_identifier,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8475), 1,
      sym_primitive_type,
    ACTIONS(8477), 1,
      anon_sym_enum,
    ACTIONS(8479), 1,
      anon_sym_class,
    ACTIONS(8481), 1,
      anon_sym_struct,
    ACTIONS(8483), 1,
      anon_sym_union,
    ACTIONS(8485), 1,
      sym_auto,
    ACTIONS(8487), 1,
      anon_sym_decltype,
    ACTIONS(8489), 1,
      anon_sym_typename,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2512), 1,
      sym_type_specifier,
    STATE(2814), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_decltype_auto,
    STATE(4862), 1,
      sym_argument_list,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2718), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8473), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179809] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8491), 1,
      sym_identifier,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8497), 1,
      sym_primitive_type,
    ACTIONS(8499), 1,
      anon_sym_enum,
    ACTIONS(8501), 1,
      anon_sym_class,
    ACTIONS(8503), 1,
      anon_sym_struct,
    ACTIONS(8505), 1,
      anon_sym_union,
    ACTIONS(8507), 1,
      sym_auto,
    ACTIONS(8509), 1,
      anon_sym_decltype,
    ACTIONS(8511), 1,
      anon_sym_typename,
    STATE(2423), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2731), 1,
      sym_type_specifier,
    STATE(3289), 1,
      sym_decltype_auto,
    STATE(3303), 1,
      sym_qualified_type_identifier,
    STATE(4785), 1,
      sym_argument_list,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(3042), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8495), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3291), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179889] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8491), 1,
      sym_identifier,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8497), 1,
      sym_primitive_type,
    ACTIONS(8499), 1,
      anon_sym_enum,
    ACTIONS(8501), 1,
      anon_sym_class,
    ACTIONS(8503), 1,
      anon_sym_struct,
    ACTIONS(8505), 1,
      anon_sym_union,
    ACTIONS(8507), 1,
      sym_auto,
    ACTIONS(8509), 1,
      anon_sym_decltype,
    ACTIONS(8511), 1,
      anon_sym_typename,
    STATE(2423), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2736), 1,
      sym_type_specifier,
    STATE(3289), 1,
      sym_decltype_auto,
    STATE(3303), 1,
      sym_qualified_type_identifier,
    STATE(4786), 1,
      sym_argument_list,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(3042), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8495), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3291), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [179969] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym___attribute__,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5369), 1,
      sym__function_attributes_end,
    STATE(5439), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(4996), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [180041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4957), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4959), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180081] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2878), 1,
      sym_auto,
    ACTIONS(2880), 1,
      anon_sym_decltype,
    ACTIONS(7232), 1,
      sym_primitive_type,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8513), 1,
      sym_identifier,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8517), 1,
      anon_sym_enum,
    ACTIONS(8519), 1,
      anon_sym_class,
    ACTIONS(8521), 1,
      anon_sym_struct,
    ACTIONS(8523), 1,
      anon_sym_union,
    ACTIONS(8525), 1,
      anon_sym_typename,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2631), 1,
      sym_decltype_auto,
    STATE(2692), 1,
      sym_qualified_type_identifier,
    STATE(3910), 1,
      sym_type_specifier,
    STATE(4905), 1,
      sym_argument_list,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2539), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5142), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5144), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180201] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2878), 1,
      sym_auto,
    ACTIONS(2880), 1,
      anon_sym_decltype,
    ACTIONS(7232), 1,
      sym_primitive_type,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8513), 1,
      sym_identifier,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8517), 1,
      anon_sym_enum,
    ACTIONS(8519), 1,
      anon_sym_class,
    ACTIONS(8521), 1,
      anon_sym_struct,
    ACTIONS(8523), 1,
      anon_sym_union,
    ACTIONS(8525), 1,
      anon_sym_typename,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2631), 1,
      sym_decltype_auto,
    STATE(2692), 1,
      sym_qualified_type_identifier,
    STATE(3899), 1,
      sym_type_specifier,
    STATE(4903), 1,
      sym_argument_list,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2539), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5234), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5164), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180361] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym___attribute__,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    STATE(5343), 1,
      sym_trailing_return_type,
    STATE(5380), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5004), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [180433] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8527), 1,
      sym_identifier,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      sym_primitive_type,
    ACTIONS(8535), 1,
      anon_sym_enum,
    ACTIONS(8537), 1,
      anon_sym_class,
    ACTIONS(8539), 1,
      anon_sym_struct,
    ACTIONS(8541), 1,
      anon_sym_union,
    ACTIONS(8543), 1,
      sym_auto,
    ACTIONS(8545), 1,
      anon_sym_decltype,
    ACTIONS(8547), 1,
      anon_sym_typename,
    STATE(1722), 1,
      sym_type_specifier,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1931), 1,
      sym_decltype_auto,
    STATE(1942), 1,
      sym_qualified_type_identifier,
    STATE(4816), 1,
      sym_argument_list,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8531), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1986), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180513] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(7145), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(4923), 1,
      sym_ref_qualifier,
    STATE(5703), 1,
      sym__function_attributes_end,
    STATE(5973), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5059), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [180591] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8537), 1,
      anon_sym_class,
    ACTIONS(8539), 1,
      anon_sym_struct,
    ACTIONS(8541), 1,
      anon_sym_union,
    ACTIONS(8543), 1,
      sym_auto,
    ACTIONS(8545), 1,
      anon_sym_decltype,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8553), 1,
      sym_primitive_type,
    ACTIONS(8555), 1,
      anon_sym_enum,
    ACTIONS(8557), 1,
      anon_sym_typename,
    STATE(1722), 1,
      sym_type_specifier,
    STATE(1881), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1931), 1,
      sym_decltype_auto,
    STATE(1942), 1,
      sym_qualified_type_identifier,
    STATE(4818), 1,
      sym_argument_list,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8551), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1986), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180671] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_requires,
    STATE(4939), 1,
      sym_ref_qualifier,
    STATE(5771), 1,
      sym__function_attributes_end,
    STATE(5994), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5061), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [180749] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8537), 1,
      anon_sym_class,
    ACTIONS(8539), 1,
      anon_sym_struct,
    ACTIONS(8541), 1,
      anon_sym_union,
    ACTIONS(8543), 1,
      sym_auto,
    ACTIONS(8545), 1,
      anon_sym_decltype,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8553), 1,
      sym_primitive_type,
    ACTIONS(8555), 1,
      anon_sym_enum,
    ACTIONS(8557), 1,
      anon_sym_typename,
    STATE(1737), 1,
      sym_type_specifier,
    STATE(1881), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1931), 1,
      sym_decltype_auto,
    STATE(1942), 1,
      sym_qualified_type_identifier,
    STATE(4848), 1,
      sym_argument_list,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8551), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1986), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      sym_auto,
    ACTIONS(7579), 1,
      anon_sym_decltype,
    STATE(4744), 1,
      sym_decltype_auto,
    ACTIONS(4881), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4883), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4939), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4941), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [180915] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8562), 1,
      sym_identifier,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_primitive_type,
    ACTIONS(8570), 1,
      anon_sym_enum,
    ACTIONS(8572), 1,
      anon_sym_class,
    ACTIONS(8574), 1,
      anon_sym_struct,
    ACTIONS(8576), 1,
      anon_sym_union,
    ACTIONS(8578), 1,
      sym_auto,
    ACTIONS(8580), 1,
      anon_sym_decltype,
    ACTIONS(8582), 1,
      anon_sym_typename,
    STATE(2315), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2588), 1,
      sym_type_specifier,
    STATE(2889), 1,
      sym_decltype_auto,
    STATE(2984), 1,
      sym_qualified_type_identifier,
    STATE(4794), 1,
      sym_argument_list,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2845), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8566), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2892), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [180995] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8469), 1,
      sym_identifier,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8475), 1,
      sym_primitive_type,
    ACTIONS(8477), 1,
      anon_sym_enum,
    ACTIONS(8479), 1,
      anon_sym_class,
    ACTIONS(8481), 1,
      anon_sym_struct,
    ACTIONS(8483), 1,
      anon_sym_union,
    ACTIONS(8485), 1,
      sym_auto,
    ACTIONS(8487), 1,
      anon_sym_decltype,
    ACTIONS(8489), 1,
      anon_sym_typename,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2521), 1,
      sym_type_specifier,
    STATE(2814), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_decltype_auto,
    STATE(4858), 1,
      sym_argument_list,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2718), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8473), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181075] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8562), 1,
      sym_identifier,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_primitive_type,
    ACTIONS(8570), 1,
      anon_sym_enum,
    ACTIONS(8572), 1,
      anon_sym_class,
    ACTIONS(8574), 1,
      anon_sym_struct,
    ACTIONS(8576), 1,
      anon_sym_union,
    ACTIONS(8578), 1,
      sym_auto,
    ACTIONS(8580), 1,
      anon_sym_decltype,
    ACTIONS(8582), 1,
      anon_sym_typename,
    STATE(2315), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2589), 1,
      sym_type_specifier,
    STATE(2889), 1,
      sym_decltype_auto,
    STATE(2984), 1,
      sym_qualified_type_identifier,
    STATE(4795), 1,
      sym_argument_list,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2845), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8566), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2892), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181155] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8527), 1,
      sym_identifier,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      sym_primitive_type,
    ACTIONS(8535), 1,
      anon_sym_enum,
    ACTIONS(8537), 1,
      anon_sym_class,
    ACTIONS(8539), 1,
      anon_sym_struct,
    ACTIONS(8541), 1,
      anon_sym_union,
    ACTIONS(8543), 1,
      sym_auto,
    ACTIONS(8545), 1,
      anon_sym_decltype,
    ACTIONS(8547), 1,
      anon_sym_typename,
    STATE(1737), 1,
      sym_type_specifier,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1931), 1,
      sym_decltype_auto,
    STATE(1942), 1,
      sym_qualified_type_identifier,
    STATE(4817), 1,
      sym_argument_list,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8531), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1986), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181235] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8584), 1,
      anon_sym___attribute__,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8593), 1,
      anon_sym_requires,
    STATE(5351), 1,
      sym_trailing_return_type,
    STATE(5381), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5006), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [181307] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8596), 1,
      sym_identifier,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8602), 1,
      sym_primitive_type,
    ACTIONS(8604), 1,
      anon_sym_enum,
    ACTIONS(8606), 1,
      anon_sym_class,
    ACTIONS(8608), 1,
      anon_sym_struct,
    ACTIONS(8610), 1,
      anon_sym_union,
    ACTIONS(8612), 1,
      sym_auto,
    ACTIONS(8614), 1,
      anon_sym_decltype,
    ACTIONS(8616), 1,
      anon_sym_typename,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3270), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3675), 1,
      sym_type_specifier,
    STATE(3851), 1,
      sym_decltype_auto,
    STATE(4807), 1,
      sym_argument_list,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(3807), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8600), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3879), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181387] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7202), 1,
      sym_primitive_type,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8622), 1,
      anon_sym_enum,
    ACTIONS(8624), 1,
      anon_sym_class,
    ACTIONS(8626), 1,
      anon_sym_struct,
    ACTIONS(8628), 1,
      anon_sym_union,
    ACTIONS(8630), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3759), 1,
      sym_type_specifier,
    STATE(4910), 1,
      sym_argument_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4910), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4912), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181509] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8584), 1,
      anon_sym___attribute__,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5372), 1,
      sym__function_attributes_end,
    STATE(5432), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5005), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [181581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5118), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5120), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181621] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7202), 1,
      sym_primitive_type,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8622), 1,
      anon_sym_enum,
    ACTIONS(8624), 1,
      anon_sym_class,
    ACTIONS(8626), 1,
      anon_sym_struct,
    ACTIONS(8628), 1,
      anon_sym_union,
    ACTIONS(8630), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3796), 1,
      sym_type_specifier,
    STATE(4901), 1,
      sym_argument_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181701] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7202), 1,
      sym_primitive_type,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8622), 1,
      anon_sym_enum,
    ACTIONS(8624), 1,
      anon_sym_class,
    ACTIONS(8626), 1,
      anon_sym_struct,
    ACTIONS(8628), 1,
      anon_sym_union,
    ACTIONS(8630), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3847), 1,
      sym_type_specifier,
    STATE(4861), 1,
      sym_argument_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181781] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(8632), 1,
      anon_sym_LPAREN2,
    STATE(2236), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3392), 1,
      sym_argument_list,
    STATE(4541), 1,
      sym_initializer_list,
    ACTIONS(4910), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5757), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4912), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [181833] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8596), 1,
      sym_identifier,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8602), 1,
      sym_primitive_type,
    ACTIONS(8604), 1,
      anon_sym_enum,
    ACTIONS(8606), 1,
      anon_sym_class,
    ACTIONS(8608), 1,
      anon_sym_struct,
    ACTIONS(8610), 1,
      anon_sym_union,
    ACTIONS(8612), 1,
      sym_auto,
    ACTIONS(8614), 1,
      anon_sym_decltype,
    ACTIONS(8616), 1,
      anon_sym_typename,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3270), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3673), 1,
      sym_type_specifier,
    STATE(3851), 1,
      sym_decltype_auto,
    STATE(4806), 1,
      sym_argument_list,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(3807), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8600), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3879), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [181913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4916), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4918), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [181953] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7202), 1,
      sym_primitive_type,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8622), 1,
      anon_sym_enum,
    ACTIONS(8624), 1,
      anon_sym_class,
    ACTIONS(8626), 1,
      anon_sym_struct,
    ACTIONS(8628), 1,
      anon_sym_union,
    ACTIONS(8630), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3867), 1,
      sym_type_specifier,
    STATE(4859), 1,
      sym_argument_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [182033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4912), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182072] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5412), 1,
      sym__function_attributes_end,
    STATE(5432), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8635), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5022), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [182143] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5410), 1,
      sym__function_attributes_end,
    STATE(5439), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8419), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5017), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [182214] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(5350), 1,
      anon_sym_COLON,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7617), 1,
      anon_sym_const,
    ACTIONS(7830), 1,
      anon_sym_STAR,
    ACTIONS(7832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7834), 1,
      anon_sym_AMP,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6372), 1,
      sym__abstract_declarator,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5007), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182279] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5439), 1,
      sym_trailing_return_type,
    STATE(5519), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5033), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [182350] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5411), 1,
      sym_trailing_return_type,
    STATE(5528), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5014), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [182421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5148), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5150), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5152), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4963), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182538] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5432), 1,
      sym_trailing_return_type,
    STATE(5505), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5016), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [182609] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8638), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5413), 1,
      sym_trailing_return_type,
    STATE(5535), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5018), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [182680] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8641), 1,
      sym_ms_restrict_modifier,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7180), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8644), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8647), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4724), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7182), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [182729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4963), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5176), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5166), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5168), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182846] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      sym_auto,
    ACTIONS(4887), 1,
      anon_sym_decltype,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4980), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8652), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182899] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8638), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8654), 1,
      anon_sym_requires,
    STATE(5339), 1,
      sym_trailing_return_type,
    STATE(5385), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8635), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5024), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [182970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5198), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5200), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5170), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5172), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    ACTIONS(8657), 1,
      anon_sym_COLON,
    STATE(4469), 1,
      sym__enum_base_clause,
    STATE(4554), 1,
      sym_enumerator_list,
    STATE(4617), 1,
      sym_attribute_specifier,
    ACTIONS(5652), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5654), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [183099] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    ACTIONS(8657), 1,
      anon_sym_COLON,
    STATE(4480), 1,
      sym__enum_base_clause,
    STATE(4571), 1,
      sym_enumerator_list,
    STATE(4628), 1,
      sym_attribute_specifier,
    ACTIONS(5658), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5660), 22,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [183150] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8416), 1,
      anon_sym_requires,
    STATE(5338), 1,
      sym_trailing_return_type,
    STATE(5552), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5009), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [183221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5254), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5256), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5176), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5188), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183338] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8638), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8654), 1,
      anon_sym_requires,
    STATE(5339), 1,
      sym_trailing_return_type,
    STATE(5554), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5010), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [183409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5224), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5226), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183448] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    STATE(1726), 1,
      sym_attribute_specifier,
    STATE(4954), 1,
      sym_enumerator_list,
    ACTIONS(5328), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [183495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5126), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5128), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183534] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8638), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5376), 1,
      sym__function_attributes_end,
    STATE(5413), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8635), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5035), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [183605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    STATE(1674), 1,
      sym_attribute_specifier,
    STATE(4958), 1,
      sym_enumerator_list,
    ACTIONS(5320), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5318), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [183652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5178), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5180), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183691] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8358), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(4904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3776), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8659), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3768), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [183740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4912), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183779] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    STATE(5343), 1,
      sym_trailing_return_type,
    STATE(5513), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5030), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [183850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4977), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4979), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183889] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8416), 1,
      anon_sym_requires,
    STATE(5338), 1,
      sym_trailing_return_type,
    STATE(5384), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8419), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5023), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [183960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4983), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [183999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5007), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184038] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      sym_auto,
    ACTIONS(4887), 1,
      anon_sym_decltype,
    STATE(1736), 1,
      sym_decltype_auto,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4987), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8663), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8661), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4943), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4945), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184130] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8593), 1,
      anon_sym_requires,
    STATE(5351), 1,
      sym_trailing_return_type,
    STATE(5502), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5032), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [184201] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    STATE(5343), 1,
      sym_trailing_return_type,
    STATE(5418), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8419), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5027), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [184272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5011), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4955), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5015), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5023), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4963), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5049), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5051), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184506] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5375), 1,
      sym__function_attributes_end,
    STATE(5411), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8419), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5036), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [184577] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7617), 1,
      anon_sym_const,
    ACTIONS(7671), 1,
      anon_sym_COLON,
    ACTIONS(7830), 1,
      anon_sym_STAR,
    ACTIONS(7832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7834), 1,
      anon_sym_AMP,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6381), 1,
      sym__abstract_declarator,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5007), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184642] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8593), 1,
      anon_sym_requires,
    STATE(5351), 1,
      sym_trailing_return_type,
    STATE(5419), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8635), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5034), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [184713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5216), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5218), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184752] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(6173), 1,
      anon_sym_COLON,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7617), 1,
      anon_sym_const,
    ACTIONS(7830), 1,
      anon_sym_STAR,
    ACTIONS(7832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7834), 1,
      anon_sym_AMP,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6361), 1,
      sym__abstract_declarator,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5007), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184817] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7617), 1,
      anon_sym_const,
    ACTIONS(7685), 1,
      anon_sym_COLON,
    ACTIONS(7830), 1,
      anon_sym_STAR,
    ACTIONS(7832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7834), 1,
      anon_sym_AMP,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5069), 1,
      sym_alignas_qualifier,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6388), 1,
      sym__abstract_declarator,
    ACTIONS(7619), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5007), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7609), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5122), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5124), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4965), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4967), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5220), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5222), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4969), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4971), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5230), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4973), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4975), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185116] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5523), 1,
      sym__declarator,
    STATE(6828), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [185186] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7202), 1,
      sym_primitive_type,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8622), 1,
      anon_sym_enum,
    ACTIONS(8624), 1,
      anon_sym_class,
    ACTIONS(8626), 1,
      anon_sym_struct,
    ACTIONS(8628), 1,
      anon_sym_union,
    ACTIONS(8630), 1,
      anon_sym_typename,
    STATE(1623), 1,
      sym_type_specifier,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185260] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7298), 1,
      sym_identifier,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7304), 1,
      sym_primitive_type,
    ACTIONS(7306), 1,
      anon_sym_enum,
    ACTIONS(7308), 1,
      anon_sym_class,
    ACTIONS(7310), 1,
      anon_sym_struct,
    ACTIONS(7312), 1,
      anon_sym_union,
    ACTIONS(7314), 1,
      sym_auto,
    ACTIONS(7316), 1,
      anon_sym_decltype,
    ACTIONS(7318), 1,
      anon_sym_typename,
    STATE(4125), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4695), 1,
      sym_type_specifier,
    STATE(4713), 1,
      sym_qualified_type_identifier,
    STATE(4730), 1,
      sym_decltype_auto,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(4704), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7302), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4746), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185334] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1783), 1,
      sym__class_declaration,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(5155), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5164), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4950), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185414] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(1785), 1,
      sym__class_declaration,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(5155), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5164), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4950), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185494] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(1786), 1,
      sym__class_declaration,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(5155), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5164), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4950), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4846), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5374), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8667), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5376), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4847), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5330), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8670), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5332), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1914), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5112), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8673), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5115), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [185700] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5000), 1,
      sym_ref_qualifier,
    STATE(5799), 1,
      sym_trailing_return_type,
    STATE(5977), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8382), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5078), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [185776] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [185856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8491), 1,
      sym_identifier,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8497), 1,
      sym_primitive_type,
    ACTIONS(8499), 1,
      anon_sym_enum,
    ACTIONS(8501), 1,
      anon_sym_class,
    ACTIONS(8503), 1,
      anon_sym_struct,
    ACTIONS(8505), 1,
      anon_sym_union,
    ACTIONS(8507), 1,
      sym_auto,
    ACTIONS(8509), 1,
      anon_sym_decltype,
    ACTIONS(8511), 1,
      anon_sym_typename,
    STATE(2423), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2740), 1,
      sym_type_specifier,
    STATE(3289), 1,
      sym_decltype_auto,
    STATE(3303), 1,
      sym_qualified_type_identifier,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(3042), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8495), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3291), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [185930] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8491), 1,
      sym_identifier,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8497), 1,
      sym_primitive_type,
    ACTIONS(8499), 1,
      anon_sym_enum,
    ACTIONS(8501), 1,
      anon_sym_class,
    ACTIONS(8503), 1,
      anon_sym_struct,
    ACTIONS(8505), 1,
      anon_sym_union,
    ACTIONS(8507), 1,
      sym_auto,
    ACTIONS(8509), 1,
      anon_sym_decltype,
    ACTIONS(8511), 1,
      anon_sym_typename,
    STATE(2423), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2741), 1,
      sym_type_specifier,
    STATE(3289), 1,
      sym_decltype_auto,
    STATE(3303), 1,
      sym_qualified_type_identifier,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(3042), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8495), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3291), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186004] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7261), 1,
      sym_identifier,
    ACTIONS(7263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7265), 1,
      anon_sym_enum,
    ACTIONS(7267), 1,
      anon_sym_class,
    ACTIONS(7269), 1,
      anon_sym_struct,
    ACTIONS(7271), 1,
      anon_sym_union,
    ACTIONS(7273), 1,
      anon_sym_typename,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(6358), 1,
      sym_type_specifier,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186078] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_requires,
    STATE(5605), 1,
      sym__function_attributes_end,
    STATE(5724), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5037), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [186148] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
    STATE(2649), 1,
      sym_field_declaration_list,
    STATE(2847), 1,
      sym__class_declaration,
    STATE(2848), 1,
      sym__class_declaration_item,
    STATE(5150), 1,
      sym_ms_declspec_modifier,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7254), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5153), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4941), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186228] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
    STATE(2649), 1,
      sym_field_declaration_list,
    STATE(2848), 1,
      sym__class_declaration_item,
    STATE(2851), 1,
      sym__class_declaration,
    STATE(5150), 1,
      sym_ms_declspec_modifier,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7254), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5153), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4941), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186308] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
    STATE(2649), 1,
      sym_field_declaration_list,
    STATE(2848), 1,
      sym__class_declaration_item,
    STATE(2853), 1,
      sym__class_declaration,
    STATE(5150), 1,
      sym_ms_declspec_modifier,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7254), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5153), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4941), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186388] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8527), 1,
      sym_identifier,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      sym_primitive_type,
    ACTIONS(8535), 1,
      anon_sym_enum,
    ACTIONS(8537), 1,
      anon_sym_class,
    ACTIONS(8539), 1,
      anon_sym_struct,
    ACTIONS(8541), 1,
      anon_sym_union,
    ACTIONS(8543), 1,
      sym_auto,
    ACTIONS(8545), 1,
      anon_sym_decltype,
    ACTIONS(8547), 1,
      anon_sym_typename,
    STATE(1880), 1,
      sym_type_specifier,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1931), 1,
      sym_decltype_auto,
    STATE(1942), 1,
      sym_qualified_type_identifier,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8531), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1986), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186462] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2878), 1,
      sym_auto,
    ACTIONS(2880), 1,
      anon_sym_decltype,
    ACTIONS(7232), 1,
      sym_primitive_type,
    ACTIONS(8513), 1,
      sym_identifier,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8517), 1,
      anon_sym_enum,
    ACTIONS(8519), 1,
      anon_sym_class,
    ACTIONS(8521), 1,
      anon_sym_struct,
    ACTIONS(8523), 1,
      anon_sym_union,
    ACTIONS(8525), 1,
      anon_sym_typename,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2542), 1,
      sym_type_specifier,
    STATE(2631), 1,
      sym_decltype_auto,
    STATE(2692), 1,
      sym_qualified_type_identifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2539), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186536] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8562), 1,
      sym_identifier,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_primitive_type,
    ACTIONS(8570), 1,
      anon_sym_enum,
    ACTIONS(8572), 1,
      anon_sym_class,
    ACTIONS(8574), 1,
      anon_sym_struct,
    ACTIONS(8576), 1,
      anon_sym_union,
    ACTIONS(8578), 1,
      sym_auto,
    ACTIONS(8580), 1,
      anon_sym_decltype,
    ACTIONS(8582), 1,
      anon_sym_typename,
    STATE(2315), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2570), 1,
      sym_type_specifier,
    STATE(2889), 1,
      sym_decltype_auto,
    STATE(2984), 1,
      sym_qualified_type_identifier,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2845), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8566), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2892), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186610] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8562), 1,
      sym_identifier,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_primitive_type,
    ACTIONS(8570), 1,
      anon_sym_enum,
    ACTIONS(8572), 1,
      anon_sym_class,
    ACTIONS(8574), 1,
      anon_sym_struct,
    ACTIONS(8576), 1,
      anon_sym_union,
    ACTIONS(8578), 1,
      sym_auto,
    ACTIONS(8580), 1,
      anon_sym_decltype,
    ACTIONS(8582), 1,
      anon_sym_typename,
    STATE(2315), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2537), 1,
      sym_type_specifier,
    STATE(2889), 1,
      sym_decltype_auto,
    STATE(2984), 1,
      sym_qualified_type_identifier,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2845), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8566), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2892), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [186684] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5593), 1,
      sym__declarator,
    STATE(7361), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [186754] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8463), 1,
      anon_sym_requires,
    STATE(4992), 1,
      sym_ref_qualifier,
    STATE(5768), 1,
      sym_trailing_return_type,
    STATE(5990), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8382), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5127), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [186830] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8681), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1783), 1,
      sym__class_declaration,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(4944), 1,
      sym_field_declaration_list,
    STATE(5220), 1,
      sym_ms_declspec_modifier,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(6524), 1,
      sym_virtual_specifier,
    STATE(7293), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4535), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5143), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4965), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186910] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1870), 1,
      sym_field_declaration_list,
    STATE(1970), 1,
      sym__class_declaration,
    STATE(1971), 1,
      sym__class_declaration_item,
    STATE(5140), 1,
      sym_ms_declspec_modifier,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(6461), 1,
      sym_virtual_specifier,
    STATE(7136), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4946), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [186990] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1870), 1,
      sym_field_declaration_list,
    STATE(1971), 1,
      sym__class_declaration_item,
    STATE(1973), 1,
      sym__class_declaration,
    STATE(5140), 1,
      sym_ms_declspec_modifier,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(6461), 1,
      sym_virtual_specifier,
    STATE(7136), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4946), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187070] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1870), 1,
      sym_field_declaration_list,
    STATE(1971), 1,
      sym__class_declaration_item,
    STATE(1978), 1,
      sym__class_declaration,
    STATE(5140), 1,
      sym_ms_declspec_modifier,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(6461), 1,
      sym_virtual_specifier,
    STATE(7136), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4946), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187150] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8681), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(1785), 1,
      sym__class_declaration,
    STATE(4944), 1,
      sym_field_declaration_list,
    STATE(5220), 1,
      sym_ms_declspec_modifier,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(6524), 1,
      sym_virtual_specifier,
    STATE(7293), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4535), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5143), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4965), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187230] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8681), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(1786), 1,
      sym__class_declaration,
    STATE(4944), 1,
      sym_field_declaration_list,
    STATE(5220), 1,
      sym_ms_declspec_modifier,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(6524), 1,
      sym_virtual_specifier,
    STATE(7293), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4535), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5143), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4965), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187310] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5496), 1,
      sym__declarator,
    STATE(6684), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [187380] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3110), 1,
      sym_primitive_type,
    ACTIONS(3112), 1,
      anon_sym_enum,
    ACTIONS(3114), 1,
      anon_sym_class,
    ACTIONS(3116), 1,
      anon_sym_struct,
    ACTIONS(3118), 1,
      anon_sym_union,
    ACTIONS(3120), 1,
      anon_sym_typename,
    ACTIONS(4645), 1,
      sym_identifier,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    STATE(2388), 1,
      sym_type_specifier,
    STATE(2412), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(3029), 1,
      sym_qualified_type_identifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187454] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8596), 1,
      sym_identifier,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8602), 1,
      sym_primitive_type,
    ACTIONS(8604), 1,
      anon_sym_enum,
    ACTIONS(8606), 1,
      anon_sym_class,
    ACTIONS(8608), 1,
      anon_sym_struct,
    ACTIONS(8610), 1,
      anon_sym_union,
    ACTIONS(8612), 1,
      sym_auto,
    ACTIONS(8614), 1,
      anon_sym_decltype,
    ACTIONS(8616), 1,
      anon_sym_typename,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3270), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3525), 1,
      sym_type_specifier,
    STATE(3851), 1,
      sym_decltype_auto,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(3807), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8600), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3879), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187528] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8596), 1,
      sym_identifier,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8602), 1,
      sym_primitive_type,
    ACTIONS(8604), 1,
      anon_sym_enum,
    ACTIONS(8606), 1,
      anon_sym_class,
    ACTIONS(8608), 1,
      anon_sym_struct,
    ACTIONS(8610), 1,
      anon_sym_union,
    ACTIONS(8612), 1,
      sym_auto,
    ACTIONS(8614), 1,
      anon_sym_decltype,
    ACTIONS(8616), 1,
      anon_sym_typename,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3270), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3526), 1,
      sym_type_specifier,
    STATE(3851), 1,
      sym_decltype_auto,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(3807), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8600), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3879), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [187602] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5544), 1,
      sym__declarator,
    STATE(7031), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [187672] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2441), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187752] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    ACTIONS(8685), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5206), 1,
      sym_ms_declspec_modifier,
    STATE(6155), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3813), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5212), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4967), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187832] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    ACTIONS(8685), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2441), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5206), 1,
      sym_ms_declspec_modifier,
    STATE(6155), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3813), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5212), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4967), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187912] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    ACTIONS(8685), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2442), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5206), 1,
      sym_ms_declspec_modifier,
    STATE(6155), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3813), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5212), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4967), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [187992] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2769), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188072] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_STAR,
    ACTIONS(6494), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6496), 1,
      anon_sym_AMP,
    ACTIONS(6498), 1,
      anon_sym_COLON_COLON,
    STATE(5391), 1,
      sym__scope_resolution,
    STATE(5467), 1,
      sym__declarator,
    STATE(6684), 1,
      sym_init_declarator,
    STATE(7493), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [188142] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2441), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2769), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188222] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8527), 1,
      sym_identifier,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      sym_primitive_type,
    ACTIONS(8535), 1,
      anon_sym_enum,
    ACTIONS(8537), 1,
      anon_sym_class,
    ACTIONS(8539), 1,
      anon_sym_struct,
    ACTIONS(8541), 1,
      anon_sym_union,
    ACTIONS(8543), 1,
      sym_auto,
    ACTIONS(8545), 1,
      anon_sym_decltype,
    ACTIONS(8547), 1,
      anon_sym_typename,
    STATE(1748), 1,
      sym_type_specifier,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1931), 1,
      sym_decltype_auto,
    STATE(1942), 1,
      sym_qualified_type_identifier,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8531), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1986), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188296] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8527), 1,
      sym_identifier,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8533), 1,
      sym_primitive_type,
    ACTIONS(8535), 1,
      anon_sym_enum,
    ACTIONS(8537), 1,
      anon_sym_class,
    ACTIONS(8539), 1,
      anon_sym_struct,
    ACTIONS(8541), 1,
      anon_sym_union,
    ACTIONS(8543), 1,
      sym_auto,
    ACTIONS(8545), 1,
      anon_sym_decltype,
    ACTIONS(8547), 1,
      anon_sym_typename,
    STATE(1754), 1,
      sym_type_specifier,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1931), 1,
      sym_decltype_auto,
    STATE(1942), 1,
      sym_qualified_type_identifier,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8531), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1986), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188370] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8537), 1,
      anon_sym_class,
    ACTIONS(8539), 1,
      anon_sym_struct,
    ACTIONS(8541), 1,
      anon_sym_union,
    ACTIONS(8543), 1,
      sym_auto,
    ACTIONS(8545), 1,
      anon_sym_decltype,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8553), 1,
      sym_primitive_type,
    ACTIONS(8555), 1,
      anon_sym_enum,
    ACTIONS(8557), 1,
      anon_sym_typename,
    STATE(1748), 1,
      sym_type_specifier,
    STATE(1881), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1931), 1,
      sym_decltype_auto,
    STATE(1942), 1,
      sym_qualified_type_identifier,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8551), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1986), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [188444] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5563), 1,
      sym__function_attributes_end,
    STATE(5751), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5041), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [188514] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2442), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2769), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188594] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2595), 1,
      sym__class_declaration_item,
    STATE(2648), 1,
      sym__class_declaration,
    STATE(5135), 1,
      sym_ms_declspec_modifier,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5138), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188674] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2595), 1,
      sym__class_declaration_item,
    STATE(2596), 1,
      sym__class_declaration,
    STATE(5135), 1,
      sym_ms_declspec_modifier,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5138), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188754] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2595), 1,
      sym__class_declaration_item,
    STATE(2597), 1,
      sym__class_declaration,
    STATE(5135), 1,
      sym_ms_declspec_modifier,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5138), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4926), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188834] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2595), 1,
      sym__class_declaration_item,
    STATE(2648), 1,
      sym__class_declaration,
    STATE(5148), 1,
      sym_ms_declspec_modifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5156), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4970), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188914] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2595), 1,
      sym__class_declaration_item,
    STATE(2596), 1,
      sym__class_declaration,
    STATE(5148), 1,
      sym_ms_declspec_modifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5156), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4970), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [188994] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2595), 1,
      sym__class_declaration_item,
    STATE(2597), 1,
      sym__class_declaration,
    STATE(5148), 1,
      sym_ms_declspec_modifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5156), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4970), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189074] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(2620), 1,
      sym_template_type,
    STATE(2934), 1,
      sym_field_declaration_list,
    STATE(3312), 1,
      sym__class_declaration,
    STATE(3315), 1,
      sym__class_declaration_item,
    STATE(5189), 1,
      sym_ms_declspec_modifier,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(6487), 1,
      sym_virtual_specifier,
    STATE(7120), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2446), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5190), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4927), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189154] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(2620), 1,
      sym_template_type,
    STATE(2934), 1,
      sym_field_declaration_list,
    STATE(3315), 1,
      sym__class_declaration_item,
    STATE(3316), 1,
      sym__class_declaration,
    STATE(5189), 1,
      sym_ms_declspec_modifier,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(6487), 1,
      sym_virtual_specifier,
    STATE(7120), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2446), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5190), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4927), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189234] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(2620), 1,
      sym_template_type,
    STATE(2934), 1,
      sym_field_declaration_list,
    STATE(3315), 1,
      sym__class_declaration_item,
    STATE(3317), 1,
      sym__class_declaration,
    STATE(5189), 1,
      sym_ms_declspec_modifier,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(6487), 1,
      sym_virtual_specifier,
    STATE(7120), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2446), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5190), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4927), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189314] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4593), 1,
      sym__class_declaration_item,
    STATE(4620), 1,
      sym__class_declaration,
    STATE(5159), 1,
      sym_ms_declspec_modifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4945), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189394] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4593), 1,
      sym__class_declaration_item,
    STATE(4598), 1,
      sym__class_declaration,
    STATE(5159), 1,
      sym_ms_declspec_modifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4945), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189474] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4593), 1,
      sym__class_declaration_item,
    STATE(4608), 1,
      sym__class_declaration,
    STATE(5159), 1,
      sym_ms_declspec_modifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5162), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4945), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189554] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2504), 1,
      sym_template_type,
    STATE(2703), 1,
      sym_field_declaration_list,
    STATE(2905), 1,
      sym__class_declaration,
    STATE(2906), 1,
      sym__class_declaration_item,
    STATE(5141), 1,
      sym_ms_declspec_modifier,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(6427), 1,
      sym_virtual_specifier,
    STATE(7384), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2369), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5142), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4953), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189634] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2504), 1,
      sym_template_type,
    STATE(2703), 1,
      sym_field_declaration_list,
    STATE(2906), 1,
      sym__class_declaration_item,
    STATE(2907), 1,
      sym__class_declaration,
    STATE(5141), 1,
      sym_ms_declspec_modifier,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(6427), 1,
      sym_virtual_specifier,
    STATE(7384), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2369), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5142), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4953), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189714] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2504), 1,
      sym_template_type,
    STATE(2703), 1,
      sym_field_declaration_list,
    STATE(2906), 1,
      sym__class_declaration_item,
    STATE(2908), 1,
      sym__class_declaration,
    STATE(5141), 1,
      sym_ms_declspec_modifier,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(6427), 1,
      sym_virtual_specifier,
    STATE(7384), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2369), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5142), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4953), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189794] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(5187), 1,
      sym_ms_declspec_modifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5172), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4928), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189874] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2441), 1,
      sym__class_declaration,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(5187), 1,
      sym_ms_declspec_modifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5172), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4928), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [189954] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2442), 1,
      sym__class_declaration,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(5187), 1,
      sym_ms_declspec_modifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5172), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4928), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190034] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8491), 1,
      sym_identifier,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8497), 1,
      sym_primitive_type,
    ACTIONS(8499), 1,
      anon_sym_enum,
    ACTIONS(8501), 1,
      anon_sym_class,
    ACTIONS(8503), 1,
      anon_sym_struct,
    ACTIONS(8505), 1,
      anon_sym_union,
    ACTIONS(8507), 1,
      sym_auto,
    ACTIONS(8509), 1,
      anon_sym_decltype,
    ACTIONS(8511), 1,
      anon_sym_typename,
    STATE(2423), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3048), 1,
      sym_type_specifier,
    STATE(3289), 1,
      sym_decltype_auto,
    STATE(3303), 1,
      sym_qualified_type_identifier,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(3042), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8495), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3291), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190108] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(4309), 1,
      sym_template_type,
    STATE(4676), 1,
      sym_field_declaration_list,
    STATE(4765), 1,
      sym__class_declaration,
    STATE(4770), 1,
      sym__class_declaration_item,
    STATE(5163), 1,
      sym_ms_declspec_modifier,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(6506), 1,
      sym_virtual_specifier,
    STATE(7219), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4307), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5165), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4976), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190188] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(4309), 1,
      sym_template_type,
    STATE(4676), 1,
      sym_field_declaration_list,
    STATE(4739), 1,
      sym__class_declaration,
    STATE(4770), 1,
      sym__class_declaration_item,
    STATE(5163), 1,
      sym_ms_declspec_modifier,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(6506), 1,
      sym_virtual_specifier,
    STATE(7219), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4307), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5165), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4976), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190268] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(4309), 1,
      sym_template_type,
    STATE(4676), 1,
      sym_field_declaration_list,
    STATE(4770), 1,
      sym__class_declaration_item,
    STATE(4772), 1,
      sym__class_declaration,
    STATE(5163), 1,
      sym_ms_declspec_modifier,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(6506), 1,
      sym_virtual_specifier,
    STATE(7219), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4307), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5165), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4976), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190348] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(3513), 1,
      sym_template_type,
    STATE(3779), 1,
      sym_field_declaration_list,
    STATE(3824), 1,
      sym__class_declaration,
    STATE(3826), 1,
      sym__class_declaration_item,
    STATE(5217), 1,
      sym_ms_declspec_modifier,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(6479), 1,
      sym_virtual_specifier,
    STATE(7208), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3086), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5227), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4978), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190428] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(3513), 1,
      sym_template_type,
    STATE(3779), 1,
      sym_field_declaration_list,
    STATE(3826), 1,
      sym__class_declaration_item,
    STATE(3861), 1,
      sym__class_declaration,
    STATE(5217), 1,
      sym_ms_declspec_modifier,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(6479), 1,
      sym_virtual_specifier,
    STATE(7208), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3086), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5227), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4978), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190508] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(3513), 1,
      sym_template_type,
    STATE(3779), 1,
      sym_field_declaration_list,
    STATE(3826), 1,
      sym__class_declaration_item,
    STATE(3857), 1,
      sym__class_declaration,
    STATE(5217), 1,
      sym_ms_declspec_modifier,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(6479), 1,
      sym_virtual_specifier,
    STATE(7208), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3086), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5227), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4978), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1914), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5367), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8701), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5369), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [190630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1914), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5382), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8704), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5384), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [190672] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8537), 1,
      anon_sym_class,
    ACTIONS(8539), 1,
      anon_sym_struct,
    ACTIONS(8541), 1,
      anon_sym_union,
    ACTIONS(8543), 1,
      sym_auto,
    ACTIONS(8545), 1,
      anon_sym_decltype,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8553), 1,
      sym_primitive_type,
    ACTIONS(8555), 1,
      anon_sym_enum,
    ACTIONS(8557), 1,
      anon_sym_typename,
    STATE(1754), 1,
      sym_type_specifier,
    STATE(1881), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1931), 1,
      sym_decltype_auto,
    STATE(1942), 1,
      sym_qualified_type_identifier,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8551), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1986), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [190746] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4593), 1,
      sym__class_declaration_item,
    STATE(4620), 1,
      sym__class_declaration,
    STATE(5229), 1,
      sym_ms_declspec_modifier,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5230), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4947), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190826] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4593), 1,
      sym__class_declaration_item,
    STATE(4598), 1,
      sym__class_declaration,
    STATE(5229), 1,
      sym_ms_declspec_modifier,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5230), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4947), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190906] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4593), 1,
      sym__class_declaration_item,
    STATE(4608), 1,
      sym__class_declaration,
    STATE(5229), 1,
      sym_ms_declspec_modifier,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5230), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4947), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [190986] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8537), 1,
      anon_sym_class,
    ACTIONS(8539), 1,
      anon_sym_struct,
    ACTIONS(8541), 1,
      anon_sym_union,
    ACTIONS(8543), 1,
      sym_auto,
    ACTIONS(8545), 1,
      anon_sym_decltype,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8553), 1,
      sym_primitive_type,
    ACTIONS(8555), 1,
      anon_sym_enum,
    ACTIONS(8557), 1,
      anon_sym_typename,
    STATE(1880), 1,
      sym_type_specifier,
    STATE(1881), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1931), 1,
      sym_decltype_auto,
    STATE(1942), 1,
      sym_qualified_type_identifier,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1912), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8551), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1986), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191060] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8709), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5160), 1,
      sym_ms_declspec_modifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4940), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191140] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8709), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2441), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5160), 1,
      sym_ms_declspec_modifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4940), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191220] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8709), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2442), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5160), 1,
      sym_ms_declspec_modifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4940), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191300] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1822), 1,
      anon_sym_enum,
    ACTIONS(1824), 1,
      anon_sym_class,
    ACTIONS(1826), 1,
      anon_sym_struct,
    ACTIONS(1828), 1,
      anon_sym_union,
    ACTIONS(1854), 1,
      anon_sym_typename,
    ACTIONS(3110), 1,
      sym_primitive_type,
    ACTIONS(4592), 1,
      sym_identifier,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    STATE(2388), 1,
      sym_type_specifier,
    STATE(2412), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(3029), 1,
      sym_qualified_type_identifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191374] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5485), 1,
      sym__declarator,
    STATE(6684), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [191444] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8469), 1,
      sym_identifier,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8475), 1,
      sym_primitive_type,
    ACTIONS(8477), 1,
      anon_sym_enum,
    ACTIONS(8479), 1,
      anon_sym_class,
    ACTIONS(8481), 1,
      anon_sym_struct,
    ACTIONS(8483), 1,
      anon_sym_union,
    ACTIONS(8485), 1,
      sym_auto,
    ACTIONS(8487), 1,
      anon_sym_decltype,
    ACTIONS(8489), 1,
      anon_sym_typename,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2497), 1,
      sym_type_specifier,
    STATE(2814), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_decltype_auto,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2718), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8473), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191518] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7202), 1,
      sym_primitive_type,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8622), 1,
      anon_sym_enum,
    ACTIONS(8624), 1,
      anon_sym_class,
    ACTIONS(8626), 1,
      anon_sym_struct,
    ACTIONS(8628), 1,
      anon_sym_union,
    ACTIONS(8630), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3833), 1,
      sym_type_specifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4888), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5144), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5142), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [191632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7202), 1,
      sym_primitive_type,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8622), 1,
      anon_sym_enum,
    ACTIONS(8624), 1,
      anon_sym_class,
    ACTIONS(8626), 1,
      anon_sym_struct,
    ACTIONS(8628), 1,
      anon_sym_union,
    ACTIONS(8630), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3840), 1,
      sym_type_specifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191706] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8469), 1,
      sym_identifier,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8475), 1,
      sym_primitive_type,
    ACTIONS(8477), 1,
      anon_sym_enum,
    ACTIONS(8479), 1,
      anon_sym_class,
    ACTIONS(8481), 1,
      anon_sym_struct,
    ACTIONS(8483), 1,
      anon_sym_union,
    ACTIONS(8485), 1,
      sym_auto,
    ACTIONS(8487), 1,
      anon_sym_decltype,
    ACTIONS(8489), 1,
      anon_sym_typename,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2502), 1,
      sym_type_specifier,
    STATE(2814), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_decltype_auto,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2718), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8473), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [191780] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4994), 1,
      sym_ref_qualifier,
    STATE(5878), 1,
      sym__function_attributes_end,
    STATE(6053), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8382), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5117), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [191856] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2752), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [191936] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2441), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2752), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192016] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5664), 1,
      sym__function_attributes_end,
    STATE(5756), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5045), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [192086] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5492), 1,
      sym__declarator,
    STATE(6730), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [192156] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8638), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5570), 1,
      sym__function_attributes_end,
    STATE(5754), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5051), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [192226] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7240), 1,
      sym_primitive_type,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    ACTIONS(7320), 1,
      sym_identifier,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7324), 1,
      anon_sym_enum,
    ACTIONS(7326), 1,
      anon_sym_class,
    ACTIONS(7328), 1,
      anon_sym_struct,
    ACTIONS(7330), 1,
      anon_sym_union,
    ACTIONS(7332), 1,
      anon_sym_typename,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(3980), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4556), 1,
      sym_type_specifier,
    STATE(4636), 1,
      sym_decltype_auto,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192300] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8711), 1,
      anon_sym_requires,
    STATE(5635), 1,
      sym__function_attributes_end,
    STATE(5804), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5040), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [192370] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7280), 1,
      sym_identifier,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7286), 1,
      sym_primitive_type,
    ACTIONS(7288), 1,
      anon_sym_enum,
    ACTIONS(7290), 1,
      anon_sym_class,
    ACTIONS(7292), 1,
      anon_sym_struct,
    ACTIONS(7294), 1,
      anon_sym_union,
    ACTIONS(7296), 1,
      anon_sym_typename,
    STATE(1623), 1,
      sym_type_specifier,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192444] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6518), 1,
      anon_sym_AMP,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8714), 1,
      anon_sym_requires,
    STATE(4998), 1,
      sym_ref_qualifier,
    STATE(5883), 1,
      sym__function_attributes_end,
    STATE(6015), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8382), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5131), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [192520] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8717), 1,
      sym_identifier,
    ACTIONS(8723), 1,
      sym_primitive_type,
    STATE(4782), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5204), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8720), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5206), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [192566] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7261), 1,
      sym_identifier,
    ACTIONS(7263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7265), 1,
      anon_sym_enum,
    ACTIONS(7267), 1,
      anon_sym_class,
    ACTIONS(7269), 1,
      anon_sym_struct,
    ACTIONS(7271), 1,
      anon_sym_union,
    ACTIONS(7273), 1,
      anon_sym_typename,
    STATE(2388), 1,
      sym_type_specifier,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192640] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2848), 1,
      anon_sym_enum,
    ACTIONS(2850), 1,
      anon_sym_class,
    ACTIONS(2852), 1,
      anon_sym_struct,
    ACTIONS(2854), 1,
      anon_sym_union,
    ACTIONS(2878), 1,
      sym_auto,
    ACTIONS(2880), 1,
      anon_sym_decltype,
    ACTIONS(2882), 1,
      anon_sym_typename,
    ACTIONS(7228), 1,
      sym_identifier,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7232), 1,
      sym_primitive_type,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2542), 1,
      sym_type_specifier,
    STATE(2631), 1,
      sym_decltype_auto,
    STATE(2692), 1,
      sym_qualified_type_identifier,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2539), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192714] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(67), 1,
      anon_sym_enum,
    ACTIONS(69), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_struct,
    ACTIONS(73), 1,
      anon_sym_union,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(127), 1,
      anon_sym_typename,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3110), 1,
      sym_primitive_type,
    ACTIONS(4645), 1,
      sym_identifier,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    STATE(2388), 1,
      sym_type_specifier,
    STATE(2412), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(3029), 1,
      sym_qualified_type_identifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [192788] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2442), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192868] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [192948] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2441), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193028] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2442), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193108] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8562), 1,
      sym_identifier,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8568), 1,
      sym_primitive_type,
    ACTIONS(8570), 1,
      anon_sym_enum,
    ACTIONS(8572), 1,
      anon_sym_class,
    ACTIONS(8574), 1,
      anon_sym_struct,
    ACTIONS(8576), 1,
      anon_sym_union,
    ACTIONS(8578), 1,
      sym_auto,
    ACTIONS(8580), 1,
      anon_sym_decltype,
    ACTIONS(8582), 1,
      anon_sym_typename,
    STATE(2315), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2782), 1,
      sym_type_specifier,
    STATE(2889), 1,
      sym_decltype_auto,
    STATE(2984), 1,
      sym_qualified_type_identifier,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2845), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8566), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2892), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [193182] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(5232), 1,
      sym_ms_declspec_modifier,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5219), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4932), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193262] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2441), 1,
      sym__class_declaration,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(5232), 1,
      sym_ms_declspec_modifier,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5219), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4932), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193342] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2442), 1,
      sym__class_declaration,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(5232), 1,
      sym_ms_declspec_modifier,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5219), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4932), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193422] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2728), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193502] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2441), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2728), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193582] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2442), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2728), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1914), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5303), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8726), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5305), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [193704] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8638), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8729), 1,
      anon_sym_requires,
    STATE(5573), 1,
      sym__function_attributes_end,
    STATE(5725), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5050), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [193774] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2734), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193854] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2441), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2734), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [193934] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2442), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2734), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194014] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2737), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194094] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2441), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2737), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194174] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2442), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2737), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194254] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(7234), 1,
      sym_identifier,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7240), 1,
      sym_primitive_type,
    ACTIONS(7242), 1,
      anon_sym_enum,
    ACTIONS(7244), 1,
      anon_sym_class,
    ACTIONS(7246), 1,
      anon_sym_struct,
    ACTIONS(7248), 1,
      anon_sym_union,
    ACTIONS(7250), 1,
      sym_auto,
    ACTIONS(7252), 1,
      anon_sym_decltype,
    ACTIONS(7254), 1,
      anon_sym_typename,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(3980), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4556), 1,
      sym_type_specifier,
    STATE(4636), 1,
      sym_decltype_auto,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194328] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2438), 1,
      sym__class_declaration,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194408] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2441), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194488] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2442), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [194568] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8469), 1,
      sym_identifier,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8475), 1,
      sym_primitive_type,
    ACTIONS(8477), 1,
      anon_sym_enum,
    ACTIONS(8479), 1,
      anon_sym_class,
    ACTIONS(8481), 1,
      anon_sym_struct,
    ACTIONS(8483), 1,
      anon_sym_union,
    ACTIONS(8485), 1,
      sym_auto,
    ACTIONS(8487), 1,
      anon_sym_decltype,
    ACTIONS(8489), 1,
      anon_sym_typename,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2729), 1,
      sym_type_specifier,
    STATE(2814), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_decltype_auto,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2718), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8473), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2822), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194642] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7202), 1,
      sym_primitive_type,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8622), 1,
      anon_sym_enum,
    ACTIONS(8624), 1,
      anon_sym_class,
    ACTIONS(8626), 1,
      anon_sym_struct,
    ACTIONS(8628), 1,
      anon_sym_union,
    ACTIONS(8630), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3802), 1,
      sym_type_specifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194716] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5640), 1,
      sym__function_attributes_end,
    STATE(5799), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5038), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [194786] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2878), 1,
      sym_auto,
    ACTIONS(2880), 1,
      anon_sym_decltype,
    ACTIONS(7232), 1,
      sym_primitive_type,
    ACTIONS(8513), 1,
      sym_identifier,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8517), 1,
      anon_sym_enum,
    ACTIONS(8519), 1,
      anon_sym_class,
    ACTIONS(8521), 1,
      anon_sym_struct,
    ACTIONS(8523), 1,
      anon_sym_union,
    ACTIONS(8525), 1,
      anon_sym_typename,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2631), 1,
      sym_decltype_auto,
    STATE(2692), 1,
      sym_qualified_type_identifier,
    STATE(3916), 1,
      sym_type_specifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2539), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1914), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5354), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(8732), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5356), 21,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [194902] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(2878), 1,
      sym_auto,
    ACTIONS(2880), 1,
      anon_sym_decltype,
    ACTIONS(7232), 1,
      sym_primitive_type,
    ACTIONS(8513), 1,
      sym_identifier,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8517), 1,
      anon_sym_enum,
    ACTIONS(8519), 1,
      anon_sym_class,
    ACTIONS(8521), 1,
      anon_sym_struct,
    ACTIONS(8523), 1,
      anon_sym_union,
    ACTIONS(8525), 1,
      anon_sym_typename,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2631), 1,
      sym_decltype_auto,
    STATE(2692), 1,
      sym_qualified_type_identifier,
    STATE(3904), 1,
      sym_type_specifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2539), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2638), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [194976] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(7261), 1,
      sym_identifier,
    ACTIONS(7263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7265), 1,
      anon_sym_enum,
    ACTIONS(7267), 1,
      anon_sym_class,
    ACTIONS(7269), 1,
      anon_sym_struct,
    ACTIONS(7271), 1,
      anon_sym_union,
    ACTIONS(7273), 1,
      anon_sym_typename,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(6352), 1,
      sym_type_specifier,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195050] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    ACTIONS(6865), 1,
      anon_sym_LPAREN2,
    STATE(1833), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3272), 1,
      sym_argument_list,
    STATE(3283), 1,
      sym_initializer_list,
    ACTIONS(4910), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5324), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4912), 19,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [195100] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1758), 1,
      anon_sym_enum,
    ACTIONS(1760), 1,
      anon_sym_class,
    ACTIONS(1762), 1,
      anon_sym_struct,
    ACTIONS(1764), 1,
      anon_sym_union,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(1792), 1,
      anon_sym_typename,
    ACTIONS(7196), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7202), 1,
      sym_primitive_type,
    STATE(1623), 1,
      sym_type_specifier,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195174] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5558), 1,
      sym__declarator,
    STATE(6804), 1,
      sym_init_declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [195244] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1788), 1,
      sym_auto,
    ACTIONS(1790), 1,
      anon_sym_decltype,
    ACTIONS(7202), 1,
      sym_primitive_type,
    ACTIONS(8618), 1,
      sym_identifier,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8622), 1,
      anon_sym_enum,
    ACTIONS(8624), 1,
      anon_sym_class,
    ACTIONS(8626), 1,
      anon_sym_struct,
    ACTIONS(8628), 1,
      anon_sym_union,
    ACTIONS(8630), 1,
      anon_sym_typename,
    STATE(1761), 1,
      sym_decltype_auto,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3758), 1,
      sym_type_specifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(1627), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1762), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195318] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(8596), 1,
      sym_identifier,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8602), 1,
      sym_primitive_type,
    ACTIONS(8604), 1,
      anon_sym_enum,
    ACTIONS(8606), 1,
      anon_sym_class,
    ACTIONS(8608), 1,
      anon_sym_struct,
    ACTIONS(8610), 1,
      anon_sym_union,
    ACTIONS(8612), 1,
      sym_auto,
    ACTIONS(8614), 1,
      anon_sym_decltype,
    ACTIONS(8616), 1,
      anon_sym_typename,
    STATE(1814), 1,
      sym_qualified_type_identifier,
    STATE(3270), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3818), 1,
      sym_type_specifier,
    STATE(3851), 1,
      sym_decltype_auto,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(3807), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8600), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3879), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195392] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1783), 1,
      sym__class_declaration,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(5213), 1,
      sym_ms_declspec_modifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5214), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4971), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195472] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(1785), 1,
      sym__class_declaration,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(5213), 1,
      sym_ms_declspec_modifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5214), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4971), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195552] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1784), 1,
      sym__class_declaration_item,
    STATE(1786), 1,
      sym__class_declaration,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(5213), 1,
      sym_ms_declspec_modifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5214), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4971), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195632] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8463), 1,
      anon_sym_requires,
    STATE(5690), 1,
      sym__function_attributes_end,
    STATE(5768), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5047), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [195702] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_auto,
    ACTIONS(121), 1,
      anon_sym_decltype,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(3560), 1,
      sym_identifier,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3570), 1,
      sym_primitive_type,
    ACTIONS(3572), 1,
      anon_sym_enum,
    ACTIONS(3574), 1,
      anon_sym_class,
    ACTIONS(3576), 1,
      anon_sym_struct,
    ACTIONS(3578), 1,
      anon_sym_union,
    ACTIONS(3582), 1,
      anon_sym_typename,
    STATE(2388), 1,
      sym_type_specifier,
    STATE(2461), 1,
      sym_decltype_auto,
    STATE(2841), 1,
      sym_qualified_type_identifier,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_dependent_type_identifier,
    STATE(2394), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2477), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [195776] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(6069), 1,
      anon_sym_LPAREN2,
    STATE(1833), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2307), 1,
      sym_argument_list,
    STATE(3741), 1,
      sym_initializer_list,
    ACTIONS(4910), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5324), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4912), 19,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
  [195826] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2440), 1,
      sym__class_declaration_item,
    STATE(2442), 1,
      sym__class_declaration,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2752), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4969), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [195906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1719), 1,
      sym_attribute_specifier,
    ACTIONS(5481), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5479), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [195947] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6508), 1,
      anon_sym_STAR,
    ACTIONS(6510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6512), 1,
      anon_sym_AMP,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5743), 1,
      sym__declarator,
    STATE(8076), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196014] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_STAR,
    ACTIONS(6470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6472), 1,
      anon_sym_AMP,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5942), 1,
      sym__declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196081] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(7145), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5703), 1,
      sym__function_attributes_end,
    STATE(5973), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5059), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [196150] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(7145), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5762), 1,
      sym__function_attributes_end,
    STATE(5974), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5063), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [196219] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6032), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196286] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6061), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196353] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2645), 1,
      sym__class_declaration_item,
    STATE(5166), 1,
      sym_ms_declspec_modifier,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5161), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196430] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(2620), 1,
      sym_template_type,
    STATE(2934), 1,
      sym_field_declaration_list,
    STATE(3178), 1,
      sym__class_declaration_item,
    STATE(5203), 1,
      sym_ms_declspec_modifier,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(6487), 1,
      sym_virtual_specifier,
    STATE(7120), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2446), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5200), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196507] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2482), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(5209), 1,
      sym_ms_declspec_modifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5207), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196584] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6500), 1,
      anon_sym_STAR,
    ACTIONS(6502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6504), 1,
      anon_sym_AMP,
    ACTIONS(6506), 1,
      anon_sym_COLON_COLON,
    STATE(5433), 1,
      sym__scope_resolution,
    STATE(6181), 1,
      sym__declarator,
    STATE(7619), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196651] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6044), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196718] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6052), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196785] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2482), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(5218), 1,
      sym_ms_declspec_modifier,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5197), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [196862] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6195), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196929] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6084), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196996] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6179), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197063] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6042), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197130] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_requires,
    STATE(5771), 1,
      sym__function_attributes_end,
    STATE(5994), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5061), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8382), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [197199] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6011), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197266] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8737), 1,
      anon_sym_requires,
    STATE(5772), 1,
      sym__function_attributes_end,
    STATE(5935), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5060), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(8437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [197335] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8709), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2482), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5134), 1,
      sym_ms_declspec_modifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5185), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197412] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
    STATE(2649), 1,
      sym_field_declaration_list,
    STATE(2830), 1,
      sym__class_declaration_item,
    STATE(5183), 1,
      sym_ms_declspec_modifier,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7254), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5182), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197489] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6197), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [197556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1662), 1,
      sym_attribute_specifier,
    ACTIONS(5506), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5504), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [197597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1668), 1,
      sym_attribute_specifier,
    ACTIONS(5388), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5386), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [197638] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4590), 1,
      sym__class_declaration_item,
    STATE(5193), 1,
      sym_ms_declspec_modifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5191), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197715] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1870), 1,
      sym_field_declaration_list,
    STATE(1929), 1,
      sym__class_declaration_item,
    STATE(5157), 1,
      sym_ms_declspec_modifier,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(6461), 1,
      sym_virtual_specifier,
    STATE(7136), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1616), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5136), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197792] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4590), 1,
      sym__class_declaration_item,
    STATE(5208), 1,
      sym_ms_declspec_modifier,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5202), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [197869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1731), 1,
      sym_attribute_specifier,
    ACTIONS(5402), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5400), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [197910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1732), 1,
      sym_attribute_specifier,
    ACTIONS(5448), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5446), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [197951] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1672), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(5224), 1,
      sym_ms_declspec_modifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5222), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198028] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6500), 1,
      anon_sym_STAR,
    ACTIONS(6502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6504), 1,
      anon_sym_AMP,
    ACTIONS(6506), 1,
      anon_sym_COLON_COLON,
    STATE(5433), 1,
      sym__scope_resolution,
    STATE(6196), 1,
      sym__declarator,
    STATE(7619), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1673), 1,
      sym_attribute_specifier,
    ACTIONS(5406), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5404), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [198136] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2504), 1,
      sym_template_type,
    STATE(2703), 1,
      sym_field_declaration_list,
    STATE(2935), 1,
      sym__class_declaration_item,
    STATE(5145), 1,
      sym_ms_declspec_modifier,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(6427), 1,
      sym_virtual_specifier,
    STATE(7384), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2369), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5144), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1675), 1,
      sym_attribute_specifier,
    ACTIONS(5434), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5432), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [198254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1684), 1,
      sym_attribute_specifier,
    ACTIONS(5440), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5438), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [198295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1685), 1,
      sym_attribute_specifier,
    ACTIONS(5444), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5442), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [198336] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6072), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1688), 1,
      sym_attribute_specifier,
    ACTIONS(5492), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5490), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [198444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1697), 1,
      sym_attribute_specifier,
    ACTIONS(5468), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5466), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [198485] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6003), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198552] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6178), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198619] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6009), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198686] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6057), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198753] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6072), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198820] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8681), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1672), 1,
      sym__class_declaration_item,
    STATE(4944), 1,
      sym_field_declaration_list,
    STATE(5201), 1,
      sym_ms_declspec_modifier,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(6524), 1,
      sym_virtual_specifier,
    STATE(7293), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4535), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5154), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [198897] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6468), 1,
      anon_sym_STAR,
    ACTIONS(6470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6472), 1,
      anon_sym_AMP,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(6122), 1,
      sym__declarator,
    STATE(7568), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198964] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    ACTIONS(8685), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(2482), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5210), 1,
      sym_ms_declspec_modifier,
    STATE(6155), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3813), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5205), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199041] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      anon_sym_STAR,
    ACTIONS(6494), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6496), 1,
      anon_sym_AMP,
    ACTIONS(6498), 1,
      anon_sym_COLON_COLON,
    STATE(5391), 1,
      sym__scope_resolution,
    STATE(5749), 1,
      sym__declarator,
    STATE(7493), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199108] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2482), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5192), 1,
      sym_ms_declspec_modifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5177), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199185] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2645), 1,
      sym__class_declaration_item,
    STATE(5180), 1,
      sym_ms_declspec_modifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199262] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1672), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(5221), 1,
      sym_ms_declspec_modifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5178), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199339] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3098), 1,
      anon_sym_STAR,
    ACTIONS(3100), 1,
      anon_sym_AMP,
    ACTIONS(4889), 1,
      sym_identifier,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(6216), 1,
      sym__declarator,
    STATE(7782), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199406] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6006), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199473] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6022), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199540] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6030), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199607] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(4309), 1,
      sym_template_type,
    STATE(4676), 1,
      sym_field_declaration_list,
    STATE(4725), 1,
      sym__class_declaration_item,
    STATE(5169), 1,
      sym_ms_declspec_modifier,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(6506), 1,
      sym_virtual_specifier,
    STATE(7219), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4307), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5168), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199684] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3094), 1,
      anon_sym_LPAREN2,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6474), 1,
      anon_sym_LBRACK,
    ACTIONS(6542), 1,
      sym_identifier,
    ACTIONS(6544), 1,
      anon_sym_STAR,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(6078), 1,
      sym__declarator,
    STATE(8183), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(5906), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199751] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4895), 1,
      anon_sym___attribute__,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4901), 1,
      anon_sym___declspec,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(3513), 1,
      sym_template_type,
    STATE(3779), 1,
      sym_field_declaration_list,
    STATE(3841), 1,
      sym__class_declaration_item,
    STATE(5151), 1,
      sym_ms_declspec_modifier,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(6479), 1,
      sym_virtual_specifier,
    STATE(7208), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4903), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3086), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5149), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
  [199828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1725), 1,
      sym_attribute_specifier,
    ACTIONS(5452), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5450), 24,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [199869] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8742), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8740), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [199913] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6557), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5480), 1,
      sym__function_attributes_end,
    STATE(5571), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [199975] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6557), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5481), 1,
      sym__function_attributes_end,
    STATE(5566), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200037] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8751), 1,
      anon_sym_requires,
    STATE(5484), 1,
      sym__function_attributes_end,
    STATE(5612), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8748), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200099] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6557), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    STATE(5468), 1,
      sym__function_attributes_end,
    STATE(5580), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7376), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7378), 25,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [200197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7380), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(7382), 25,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [200233] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1808), 1,
      sym_alignas_qualifier,
    ACTIONS(63), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4313), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8756), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8754), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [200277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8758), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5527), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5525), 15,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      sym_virtual,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [200317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4888), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4912), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8761), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4910), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [200357] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8393), 1,
      anon_sym_requires,
    STATE(5478), 1,
      sym__function_attributes_end,
    STATE(5577), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200419] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8444), 1,
      anon_sym_requires,
    STATE(5483), 1,
      sym__function_attributes_end,
    STATE(5600), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [200481] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8711), 1,
      anon_sym_requires,
    STATE(5804), 1,
      sym_trailing_return_type,
    STATE(5995), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8437), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5080), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [200548] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5878), 1,
      sym__function_attributes_end,
    STATE(6053), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8382), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5117), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [200615] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5880), 1,
      sym__function_attributes_end,
    STATE(6054), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8437), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5124), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [200682] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym___attribute__,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5369), 1,
      sym__function_attributes_end,
    STATE(5439), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [200743] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8584), 1,
      anon_sym___attribute__,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5372), 1,
      sym__function_attributes_end,
    STATE(5432), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [200804] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8714), 1,
      anon_sym_requires,
    STATE(5883), 1,
      sym__function_attributes_end,
    STATE(6015), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8382), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5131), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [200871] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8764), 1,
      anon_sym_requires,
    STATE(5884), 1,
      sym__function_attributes_end,
    STATE(6018), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8437), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5073), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [200938] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8463), 1,
      anon_sym_requires,
    STATE(5768), 1,
      sym_trailing_return_type,
    STATE(5990), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8382), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5127), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201005] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5756), 1,
      sym_trailing_return_type,
    STATE(5981), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8437), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5115), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201072] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_noexcept,
    ACTIONS(6537), 1,
      anon_sym_throw,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5799), 1,
      sym_trailing_return_type,
    STATE(5977), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8382), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5078), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [201139] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8401), 1,
      anon_sym___attribute__,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    STATE(5343), 1,
      sym_trailing_return_type,
    STATE(5380), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4926), 1,
      anon_sym_LBRACE,
    ACTIONS(4910), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4912), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [201239] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8584), 1,
      anon_sym___attribute__,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8593), 1,
      anon_sym_requires,
    STATE(5351), 1,
      sym_trailing_return_type,
    STATE(5381), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201300] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym___attribute__,
    ACTIONS(8770), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5370), 1,
      sym_trailing_return_type,
    STATE(5373), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201361] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8767), 1,
      anon_sym___attribute__,
    ACTIONS(8770), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8776), 1,
      anon_sym_requires,
    STATE(5371), 1,
      sym_trailing_return_type,
    STATE(5382), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201422] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7763), 1,
      anon_sym_AMP,
    ACTIONS(8782), 1,
      anon_sym_const,
    STATE(5069), 1,
      sym_alignas_qualifier,
    ACTIONS(8785), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(5007), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7761), 8,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8779), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201466] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8416), 1,
      anon_sym_requires,
    STATE(5338), 1,
      sym_trailing_return_type,
    STATE(5552), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [201526] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8638), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8654), 1,
      anon_sym_requires,
    STATE(5339), 1,
      sym_trailing_return_type,
    STATE(5554), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [201586] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8788), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8791), 1,
      anon_sym_requires,
    STATE(5347), 1,
      sym_trailing_return_type,
    STATE(5486), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [201646] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5410), 1,
      sym__function_attributes_end,
    STATE(5439), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8419), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [201706] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8416), 1,
      anon_sym_requires,
    STATE(5338), 1,
      sym_trailing_return_type,
    STATE(5384), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8419), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [201766] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5411), 1,
      sym_trailing_return_type,
    STATE(5528), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [201826] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8638), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5413), 1,
      sym_trailing_return_type,
    STATE(5535), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [201886] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(5407), 1,
      sym_ms_call_modifier,
    STATE(6243), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [201944] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8770), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5370), 1,
      sym_trailing_return_type,
    STATE(5498), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202004] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5412), 1,
      sym__function_attributes_end,
    STATE(5432), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8635), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202064] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8788), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5414), 1,
      sym_trailing_return_type,
    STATE(5537), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [202124] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5375), 1,
      sym__function_attributes_end,
    STATE(5411), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8419), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202184] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(5423), 1,
      sym_ms_call_modifier,
    STATE(6227), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [202242] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(5378), 1,
      sym_ms_call_modifier,
    STATE(6272), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [202300] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8770), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5370), 1,
      sym_trailing_return_type,
    STATE(5415), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8794), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202360] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8638), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8654), 1,
      anon_sym_requires,
    STATE(5339), 1,
      sym_trailing_return_type,
    STATE(5385), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8635), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202420] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8788), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8791), 1,
      anon_sym_requires,
    STATE(5347), 1,
      sym_trailing_return_type,
    STATE(5386), 1,
      sym__function_attributes_end,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8794), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [202480] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5439), 1,
      sym_trailing_return_type,
    STATE(5519), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202540] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    STATE(5343), 1,
      sym_trailing_return_type,
    STATE(5418), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8419), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202600] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8593), 1,
      anon_sym_requires,
    STATE(5351), 1,
      sym_trailing_return_type,
    STATE(5419), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8635), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [202660] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    STATE(5343), 1,
      sym_trailing_return_type,
    STATE(5513), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 1,
      anon_sym_LBRACE,
    ACTIONS(4910), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(4912), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [202756] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8593), 1,
      anon_sym_requires,
    STATE(5351), 1,
      sym_trailing_return_type,
    STATE(5502), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202816] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(5365), 1,
      sym_ms_call_modifier,
    STATE(6233), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [202874] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8770), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8776), 1,
      anon_sym_requires,
    STATE(5371), 1,
      sym_trailing_return_type,
    STATE(5527), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202934] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5432), 1,
      sym_trailing_return_type,
    STATE(5505), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202994] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8770), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8776), 1,
      anon_sym_requires,
    STATE(5371), 1,
      sym_trailing_return_type,
    STATE(5420), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8794), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [203054] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8788), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5377), 1,
      sym__function_attributes_end,
    STATE(5414), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8794), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [203114] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8638), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5376), 1,
      sym__function_attributes_end,
    STATE(5413), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8635), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [203174] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8638), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8729), 1,
      anon_sym_requires,
    STATE(5573), 1,
      sym__function_attributes_end,
    STATE(5725), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [203233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5664), 1,
      sym__function_attributes_end,
    STATE(5756), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [203292] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5563), 1,
      sym__function_attributes_end,
    STATE(5751), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [203351] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8797), 1,
      anon_sym_requires,
    STATE(5680), 1,
      sym__function_attributes_end,
    STATE(5813), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8748), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [203410] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8638), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5570), 1,
      sym__function_attributes_end,
    STATE(5754), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [203469] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    ACTIONS(8800), 1,
      anon_sym_LPAREN2,
    ACTIONS(8802), 1,
      anon_sym_LBRACE,
    ACTIONS(8806), 1,
      anon_sym_requires,
    STATE(2620), 1,
      sym_template_type,
    STATE(3540), 1,
      sym_requirement_seq,
    STATE(5536), 1,
      sym_lambda_capture_specifier,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(7238), 1,
      sym_requires_parameter_list,
    ACTIONS(8804), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3672), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [203530] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    ACTIONS(8808), 1,
      anon_sym_LPAREN2,
    ACTIONS(8810), 1,
      anon_sym_LBRACE,
    ACTIONS(8814), 1,
      anon_sym_requires,
    STATE(2504), 1,
      sym_template_type,
    STATE(3438), 1,
      sym_requirement_seq,
    STATE(5557), 1,
      sym_lambda_capture_specifier,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(7135), 1,
      sym_requires_parameter_list,
    ACTIONS(8812), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3365), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [203591] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    ACTIONS(8816), 1,
      anon_sym_LPAREN2,
    ACTIONS(8818), 1,
      anon_sym_LBRACE,
    ACTIONS(8822), 1,
      anon_sym_requires,
    STATE(2480), 1,
      sym_template_type,
    STATE(3181), 1,
      sym_requirement_seq,
    STATE(5500), 1,
      sym_lambda_capture_specifier,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(7347), 1,
      sym_requires_parameter_list,
    ACTIONS(8820), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3185), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [203652] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    STATE(5662), 1,
      sym__function_attributes_end,
    STATE(5789), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [203711] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    ACTIONS(8824), 1,
      anon_sym_LPAREN2,
    ACTIONS(8826), 1,
      anon_sym_LBRACE,
    ACTIONS(8830), 1,
      anon_sym_requires,
    STATE(1649), 1,
      sym_template_type,
    STATE(3276), 1,
      sym_requirement_seq,
    STATE(5499), 1,
      sym_lambda_capture_specifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7274), 1,
      sym_requires_parameter_list,
    ACTIONS(8828), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3984), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [203772] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8711), 1,
      anon_sym_requires,
    STATE(5635), 1,
      sym__function_attributes_end,
    STATE(5804), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [203831] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    ACTIONS(8832), 1,
      anon_sym_LPAREN2,
    ACTIONS(8834), 1,
      anon_sym_LBRACE,
    ACTIONS(8838), 1,
      anon_sym_requires,
    STATE(1813), 1,
      sym_template_type,
    STATE(2333), 1,
      sym_requirement_seq,
    STATE(5532), 1,
      sym_lambda_capture_specifier,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(7118), 1,
      sym_requires_parameter_list,
    ACTIONS(8836), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2337), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [203892] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_requires,
    STATE(5605), 1,
      sym__function_attributes_end,
    STATE(5724), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [203951] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8788), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_requires,
    STATE(5575), 1,
      sym__function_attributes_end,
    STATE(5728), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204010] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8788), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5581), 1,
      sym__function_attributes_end,
    STATE(5757), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [204069] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5640), 1,
      sym__function_attributes_end,
    STATE(5799), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204128] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    ACTIONS(8824), 1,
      anon_sym_LPAREN2,
    ACTIONS(8826), 1,
      anon_sym_LBRACE,
    ACTIONS(8830), 1,
      anon_sym_requires,
    STATE(3276), 1,
      sym_requirement_seq,
    STATE(3513), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_lambda_capture_specifier,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(7274), 1,
      sym_requires_parameter_list,
    ACTIONS(8843), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3999), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [204189] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    ACTIONS(8845), 1,
      anon_sym_LPAREN2,
    ACTIONS(8847), 1,
      anon_sym_LBRACE,
    ACTIONS(8851), 1,
      anon_sym_requires,
    STATE(2484), 1,
      sym_template_type,
    STATE(4078), 1,
      sym_requirement_seq,
    STATE(5534), 1,
      sym_lambda_capture_specifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7093), 1,
      sym_requires_parameter_list,
    ACTIONS(8849), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4458), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [204250] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8463), 1,
      anon_sym_requires,
    STATE(5690), 1,
      sym__function_attributes_end,
    STATE(5768), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [204309] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7190), 1,
      anon_sym_STAR,
    ACTIONS(7192), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7194), 1,
      anon_sym_AMP,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5691), 1,
      sym__abstract_declarator,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204357] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(7145), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5703), 1,
      sym__function_attributes_end,
    STATE(5973), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204415] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7583), 1,
      sym_identifier,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(5491), 1,
      sym_ms_call_modifier,
    STATE(6187), 1,
      sym__field_declarator,
    STATE(6317), 1,
      sym_operator_name,
    STATE(7597), 1,
      sym_ms_based_modifier,
    ACTIONS(1750), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [204469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(7145), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5762), 1,
      sym__function_attributes_end,
    STATE(5974), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204527] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8853), 1,
      anon_sym_requires,
    STATE(5773), 1,
      sym__function_attributes_end,
    STATE(5936), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8748), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204585] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8737), 1,
      anon_sym_requires,
    STATE(5772), 1,
      sym__function_attributes_end,
    STATE(5935), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204643] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7154), 1,
      anon_sym_STAR,
    ACTIONS(7156), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7158), 1,
      anon_sym_AMP,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5697), 1,
      sym__abstract_declarator,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204691] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(7145), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    STATE(5763), 1,
      sym__function_attributes_end,
    STATE(5961), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204749] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7168), 1,
      anon_sym_STAR,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_AMP,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5639), 1,
      sym__abstract_declarator,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [204797] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_requires,
    STATE(5771), 1,
      sym__function_attributes_end,
    STATE(5994), 1,
      sym_trailing_return_type,
    STATE(6279), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5087), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [204855] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7212), 1,
      anon_sym_STAR,
    ACTIONS(7214), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7216), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(5765), 1,
      sym__abstract_declarator,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5214), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [204933] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8858), 1,
      anon_sym_SEMI,
    ACTIONS(8860), 1,
      anon_sym_LBRACE,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    ACTIONS(8864), 1,
      anon_sym_EQ,
    ACTIONS(8866), 1,
      anon_sym_COLON,
    ACTIONS(8868), 1,
      anon_sym_try,
    STATE(2005), 1,
      sym_compound_statement,
    STATE(2017), 1,
      sym_default_method_clause,
    STATE(2018), 1,
      sym_delete_method_clause,
    STATE(2020), 1,
      sym_pure_virtual_clause,
    STATE(2027), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(6363), 1,
      sym_bitfield_clause,
    STATE(6366), 1,
      sym_initializer_list,
    STATE(6379), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7510), 1,
      sym_attribute_specifier,
    STATE(5960), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [205004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3192), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(3194), 21,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [205035] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    ACTIONS(8866), 1,
      anon_sym_COLON,
    ACTIONS(8870), 1,
      anon_sym_SEMI,
    ACTIONS(8872), 1,
      anon_sym_LBRACE,
    ACTIONS(8874), 1,
      anon_sym_EQ,
    ACTIONS(8876), 1,
      anon_sym_try,
    STATE(1679), 1,
      sym_compound_statement,
    STATE(1680), 1,
      sym_default_method_clause,
    STATE(1681), 1,
      sym_delete_method_clause,
    STATE(1682), 1,
      sym_pure_virtual_clause,
    STATE(1683), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(6359), 1,
      sym_initializer_list,
    STATE(6377), 1,
      sym_bitfield_clause,
    STATE(6384), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7577), 1,
      sym_attribute_specifier,
    STATE(5960), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [205106] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    ACTIONS(8866), 1,
      anon_sym_COLON,
    ACTIONS(8878), 1,
      anon_sym_SEMI,
    ACTIONS(8880), 1,
      anon_sym_LBRACE,
    ACTIONS(8882), 1,
      anon_sym_EQ,
    ACTIONS(8884), 1,
      anon_sym_try,
    STATE(2076), 1,
      sym_compound_statement,
    STATE(2077), 1,
      sym_default_method_clause,
    STATE(2078), 1,
      sym_delete_method_clause,
    STATE(2079), 1,
      sym_pure_virtual_clause,
    STATE(2082), 1,
      sym_try_statement,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(6380), 1,
      sym_bitfield_clause,
    STATE(6382), 1,
      sym_initializer_list,
    STATE(6383), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7678), 1,
      sym_attribute_specifier,
    STATE(5960), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [205177] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    ACTIONS(8851), 1,
      anon_sym_requires,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    STATE(2484), 1,
      sym_template_type,
    STATE(5534), 1,
      sym_lambda_capture_specifier,
    STATE(6157), 1,
      sym__scope_resolution,
    ACTIONS(8888), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5946), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8770), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8890), 1,
      anon_sym_requires,
    STATE(5933), 1,
      sym__function_attributes_end,
    STATE(6019), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8744), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
  [205285] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    ACTIONS(8830), 1,
      anon_sym_requires,
    ACTIONS(8893), 1,
      anon_sym_LPAREN2,
    STATE(1649), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_lambda_capture_specifier,
    STATE(6173), 1,
      sym__scope_resolution,
    ACTIONS(8895), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3200), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205337] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8830), 1,
      anon_sym_requires,
    ACTIONS(8893), 1,
      anon_sym_LPAREN2,
    ACTIONS(8897), 1,
      sym_identifier,
    ACTIONS(8899), 1,
      anon_sym_COLON_COLON,
    STATE(1649), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_lambda_capture_specifier,
    STATE(6163), 1,
      sym__scope_resolution,
    ACTIONS(8901), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5737), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205389] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(8903), 1,
      anon_sym_LPAREN2,
    ACTIONS(8907), 1,
      anon_sym_requires,
    STATE(2197), 1,
      sym_template_type,
    STATE(5533), 1,
      sym_lambda_capture_specifier,
    STATE(6161), 1,
      sym__scope_resolution,
    ACTIONS(8905), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6068), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205441] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    ACTIONS(8851), 1,
      anon_sym_requires,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    STATE(2484), 1,
      sym_template_type,
    STATE(5534), 1,
      sym_lambda_capture_specifier,
    STATE(6157), 1,
      sym__scope_resolution,
    ACTIONS(8909), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5970), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205493] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5756), 1,
      sym_trailing_return_type,
    STATE(5981), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8437), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
  [205549] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    ACTIONS(8903), 1,
      anon_sym_LPAREN2,
    ACTIONS(8907), 1,
      anon_sym_requires,
    STATE(2197), 1,
      sym_template_type,
    STATE(5533), 1,
      sym_lambda_capture_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    ACTIONS(8911), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5360), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205601] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8797), 1,
      anon_sym_requires,
    STATE(5813), 1,
      sym_trailing_return_type,
    STATE(5939), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8744), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8748), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
  [205657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5799), 1,
      sym_trailing_return_type,
    STATE(5977), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8382), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
  [205713] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    ACTIONS(8822), 1,
      anon_sym_requires,
    ACTIONS(8913), 1,
      anon_sym_LPAREN2,
    STATE(2480), 1,
      sym_template_type,
    STATE(5500), 1,
      sym_lambda_capture_specifier,
    STATE(6125), 1,
      sym__scope_resolution,
    ACTIONS(8915), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3163), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205765] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    ACTIONS(8822), 1,
      anon_sym_requires,
    ACTIONS(8913), 1,
      anon_sym_LPAREN2,
    STATE(2480), 1,
      sym_template_type,
    STATE(5500), 1,
      sym_lambda_capture_specifier,
    STATE(6125), 1,
      sym__scope_resolution,
    ACTIONS(8917), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3179), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [205817] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(8921), 1,
      anon_sym_LBRACK,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5462), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8919), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8463), 1,
      anon_sym_requires,
    STATE(5768), 1,
      sym_trailing_return_type,
    STATE(5990), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8382), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
  [205911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5878), 1,
      sym__function_attributes_end,
    STATE(6053), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8382), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
  [205967] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(8925), 1,
      anon_sym_LBRACK,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8923), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206005] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    ACTIONS(8830), 1,
      anon_sym_requires,
    ACTIONS(8893), 1,
      anon_sym_LPAREN2,
    STATE(1649), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_lambda_capture_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    ACTIONS(8927), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6147), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206057] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    ACTIONS(8830), 1,
      anon_sym_requires,
    ACTIONS(8893), 1,
      anon_sym_LPAREN2,
    STATE(1649), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_lambda_capture_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    ACTIONS(8929), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6132), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206109] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8830), 1,
      anon_sym_requires,
    ACTIONS(8893), 1,
      anon_sym_LPAREN2,
    ACTIONS(8897), 1,
      sym_identifier,
    ACTIONS(8899), 1,
      anon_sym_COLON_COLON,
    STATE(1649), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_lambda_capture_specifier,
    STATE(6163), 1,
      sym__scope_resolution,
    ACTIONS(8931), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5746), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206161] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    ACTIONS(8933), 1,
      anon_sym_LPAREN2,
    ACTIONS(8937), 1,
      anon_sym_requires,
    STATE(4309), 1,
      sym_template_type,
    STATE(5488), 1,
      sym_lambda_capture_specifier,
    STATE(6148), 1,
      sym__scope_resolution,
    ACTIONS(8935), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5608), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206213] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(8939), 1,
      anon_sym_LPAREN2,
    ACTIONS(8943), 1,
      anon_sym_requires,
    STATE(2197), 1,
      sym_template_type,
    STATE(5514), 1,
      sym_lambda_capture_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    ACTIONS(8941), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5731), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206265] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8830), 1,
      anon_sym_requires,
    ACTIONS(8893), 1,
      anon_sym_LPAREN2,
    ACTIONS(8897), 1,
      sym_identifier,
    ACTIONS(8899), 1,
      anon_sym_COLON_COLON,
    STATE(1649), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_lambda_capture_specifier,
    STATE(6163), 1,
      sym__scope_resolution,
    ACTIONS(8895), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3200), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206317] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7354), 1,
      anon_sym_STAR,
    ACTIONS(7356), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7358), 1,
      anon_sym_AMP,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5848), 1,
      sym__abstract_declarator,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [206363] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(8939), 1,
      anon_sym_LPAREN2,
    ACTIONS(8943), 1,
      anon_sym_requires,
    STATE(2197), 1,
      sym_template_type,
    STATE(5514), 1,
      sym_lambda_capture_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    ACTIONS(8945), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5818), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206415] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(8939), 1,
      anon_sym_LPAREN2,
    ACTIONS(8943), 1,
      anon_sym_requires,
    STATE(2197), 1,
      sym_template_type,
    STATE(5514), 1,
      sym_lambda_capture_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    ACTIONS(8947), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1570), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206467] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7342), 1,
      anon_sym_STAR,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_AMP,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5845), 1,
      sym__abstract_declarator,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206513] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8939), 1,
      anon_sym_LPAREN2,
    ACTIONS(8943), 1,
      anon_sym_requires,
    ACTIONS(8949), 1,
      sym_identifier,
    ACTIONS(8951), 1,
      anon_sym_COLON_COLON,
    STATE(2196), 1,
      sym_template_type,
    STATE(5545), 1,
      sym_lambda_capture_specifier,
    STATE(6167), 1,
      sym__scope_resolution,
    ACTIONS(8953), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2218), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206565] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    ACTIONS(8933), 1,
      anon_sym_LPAREN2,
    ACTIONS(8937), 1,
      anon_sym_requires,
    STATE(4309), 1,
      sym_template_type,
    STATE(5488), 1,
      sym_lambda_capture_specifier,
    STATE(6148), 1,
      sym__scope_resolution,
    ACTIONS(8955), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5615), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206617] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    ACTIONS(8851), 1,
      anon_sym_requires,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    STATE(2484), 1,
      sym_template_type,
    STATE(5534), 1,
      sym_lambda_capture_specifier,
    STATE(6157), 1,
      sym__scope_resolution,
    ACTIONS(8957), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4133), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206669] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    ACTIONS(8806), 1,
      anon_sym_requires,
    ACTIONS(8959), 1,
      anon_sym_LPAREN2,
    STATE(2620), 1,
      sym_template_type,
    STATE(5536), 1,
      sym_lambda_capture_specifier,
    STATE(6153), 1,
      sym__scope_resolution,
    ACTIONS(8961), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3553), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206721] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    ACTIONS(8903), 1,
      anon_sym_LPAREN2,
    ACTIONS(8907), 1,
      anon_sym_requires,
    STATE(2197), 1,
      sym_template_type,
    STATE(5533), 1,
      sym_lambda_capture_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    ACTIONS(8963), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5403), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206773] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    ACTIONS(8830), 1,
      anon_sym_requires,
    ACTIONS(8893), 1,
      anon_sym_LPAREN2,
    STATE(1649), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_lambda_capture_specifier,
    STATE(6173), 1,
      sym__scope_resolution,
    ACTIONS(8965), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3986), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206825] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    ACTIONS(8851), 1,
      anon_sym_requires,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    STATE(2484), 1,
      sym_template_type,
    STATE(5534), 1,
      sym_lambda_capture_specifier,
    STATE(6169), 1,
      sym__scope_resolution,
    ACTIONS(8957), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4133), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206877] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    ACTIONS(8838), 1,
      anon_sym_requires,
    ACTIONS(8967), 1,
      anon_sym_LPAREN2,
    STATE(1813), 1,
      sym_template_type,
    STATE(5532), 1,
      sym_lambda_capture_specifier,
    STATE(6159), 1,
      sym__scope_resolution,
    ACTIONS(8969), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2320), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206929] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8939), 1,
      anon_sym_LPAREN2,
    ACTIONS(8943), 1,
      anon_sym_requires,
    ACTIONS(8949), 1,
      sym_identifier,
    ACTIONS(8951), 1,
      anon_sym_COLON_COLON,
    STATE(2196), 1,
      sym_template_type,
    STATE(5545), 1,
      sym_lambda_capture_specifier,
    STATE(6167), 1,
      sym__scope_resolution,
    ACTIONS(8947), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1570), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [206981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8973), 1,
      anon_sym_LPAREN2,
    STATE(5247), 1,
      sym_preproc_argument_list,
    ACTIONS(8975), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8971), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [207015] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    ACTIONS(8903), 1,
      anon_sym_LPAREN2,
    ACTIONS(8907), 1,
      anon_sym_requires,
    STATE(2197), 1,
      sym_template_type,
    STATE(5533), 1,
      sym_lambda_capture_specifier,
    STATE(6165), 1,
      sym__scope_resolution,
    ACTIONS(8977), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5404), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207067] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(8979), 1,
      sym_identifier,
    ACTIONS(8981), 1,
      anon_sym_template,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(2594), 1,
      sym_pointer_type_declarator,
    STATE(2602), 1,
      sym_template_function,
    STATE(2603), 1,
      sym_destructor_name,
    STATE(2604), 1,
      sym_dependent_identifier,
    STATE(2634), 1,
      sym_qualified_identifier,
    STATE(2637), 1,
      sym_operator_name,
    STATE(5109), 1,
      sym__scope_resolution,
    STATE(6567), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6638), 1,
      sym_operator_cast,
    STATE(7635), 1,
      sym_decltype,
    STATE(7783), 1,
      sym_ms_based_modifier,
  [207137] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(8903), 1,
      anon_sym_LPAREN2,
    ACTIONS(8907), 1,
      anon_sym_requires,
    STATE(2197), 1,
      sym_template_type,
    STATE(5533), 1,
      sym_lambda_capture_specifier,
    STATE(6161), 1,
      sym__scope_resolution,
    ACTIONS(8983), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6046), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207189] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    ACTIONS(8851), 1,
      anon_sym_requires,
    ACTIONS(8886), 1,
      anon_sym_LPAREN2,
    STATE(2484), 1,
      sym_template_type,
    STATE(5534), 1,
      sym_lambda_capture_specifier,
    STATE(6169), 1,
      sym__scope_resolution,
    ACTIONS(8985), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4468), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207241] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(8903), 1,
      anon_sym_LPAREN2,
    ACTIONS(8907), 1,
      anon_sym_requires,
    STATE(2197), 1,
      sym_template_type,
    STATE(5533), 1,
      sym_lambda_capture_specifier,
    STATE(6161), 1,
      sym__scope_resolution,
    ACTIONS(8977), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5404), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207293] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    ACTIONS(8830), 1,
      anon_sym_requires,
    ACTIONS(8893), 1,
      anon_sym_LPAREN2,
    STATE(3513), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_lambda_capture_specifier,
    STATE(6154), 1,
      sym__scope_resolution,
    ACTIONS(8987), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3976), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207345] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    ACTIONS(8939), 1,
      anon_sym_LPAREN2,
    ACTIONS(8943), 1,
      anon_sym_requires,
    STATE(2197), 1,
      sym_template_type,
    STATE(5514), 1,
      sym_lambda_capture_specifier,
    STATE(6176), 1,
      sym__scope_resolution,
    ACTIONS(8989), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5395), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207397] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    STATE(5789), 1,
      sym_trailing_return_type,
    STATE(5982), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(8744), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
  [207453] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    ACTIONS(8830), 1,
      anon_sym_requires,
    ACTIONS(8893), 1,
      anon_sym_LPAREN2,
    STATE(3513), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_lambda_capture_specifier,
    STATE(6154), 1,
      sym__scope_resolution,
    ACTIONS(8895), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3200), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207505] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5880), 1,
      sym__function_attributes_end,
    STATE(6054), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8437), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
  [207561] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    ACTIONS(8830), 1,
      anon_sym_requires,
    ACTIONS(8893), 1,
      anon_sym_LPAREN2,
    STATE(1649), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_lambda_capture_specifier,
    STATE(6152), 1,
      sym__scope_resolution,
    ACTIONS(8895), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3200), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207613] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8697), 1,
      sym_identifier,
    ACTIONS(8933), 1,
      anon_sym_LPAREN2,
    ACTIONS(8937), 1,
      anon_sym_requires,
    STATE(4309), 1,
      sym_template_type,
    STATE(5488), 1,
      sym_lambda_capture_specifier,
    STATE(6148), 1,
      sym__scope_resolution,
    ACTIONS(8991), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5597), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207665] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    ACTIONS(8939), 1,
      anon_sym_LPAREN2,
    ACTIONS(8943), 1,
      anon_sym_requires,
    STATE(2197), 1,
      sym_template_type,
    STATE(5514), 1,
      sym_lambda_capture_specifier,
    STATE(6176), 1,
      sym__scope_resolution,
    ACTIONS(8993), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5388), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207717] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8939), 1,
      anon_sym_LPAREN2,
    ACTIONS(8943), 1,
      anon_sym_requires,
    ACTIONS(8949), 1,
      sym_identifier,
    ACTIONS(8951), 1,
      anon_sym_COLON_COLON,
    STATE(2196), 1,
      sym_template_type,
    STATE(5545), 1,
      sym_lambda_capture_specifier,
    STATE(6167), 1,
      sym__scope_resolution,
    ACTIONS(8995), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2190), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207769] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    ACTIONS(8939), 1,
      anon_sym_LPAREN2,
    ACTIONS(8943), 1,
      anon_sym_requires,
    STATE(2197), 1,
      sym_template_type,
    STATE(5514), 1,
      sym_lambda_capture_specifier,
    STATE(6176), 1,
      sym__scope_resolution,
    ACTIONS(8947), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1570), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207821] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    ACTIONS(8806), 1,
      anon_sym_requires,
    ACTIONS(8959), 1,
      anon_sym_LPAREN2,
    STATE(2620), 1,
      sym_template_type,
    STATE(5536), 1,
      sym_lambda_capture_specifier,
    STATE(6153), 1,
      sym__scope_resolution,
    ACTIONS(8997), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3560), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207873] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8770), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5881), 1,
      sym__function_attributes_end,
    STATE(6055), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8744), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
  [207929] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    ACTIONS(8814), 1,
      anon_sym_requires,
    ACTIONS(8999), 1,
      anon_sym_LPAREN2,
    STATE(2504), 1,
      sym_template_type,
    STATE(5557), 1,
      sym_lambda_capture_specifier,
    STATE(6175), 1,
      sym__scope_resolution,
    ACTIONS(9001), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3344), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [207981] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    ACTIONS(8814), 1,
      anon_sym_requires,
    ACTIONS(8999), 1,
      anon_sym_LPAREN2,
    STATE(2504), 1,
      sym_template_type,
    STATE(5557), 1,
      sym_lambda_capture_specifier,
    STATE(6175), 1,
      sym__scope_resolution,
    ACTIONS(9003), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3413), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208033] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8711), 1,
      anon_sym_requires,
    STATE(5804), 1,
      sym_trailing_return_type,
    STATE(5995), 1,
      sym__function_attributes_end,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8437), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208089] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8404), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8714), 1,
      anon_sym_requires,
    STATE(5883), 1,
      sym__function_attributes_end,
    STATE(6015), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8382), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208145] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3106), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(9005), 1,
      sym_identifier,
    ACTIONS(9007), 1,
      anon_sym_template,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(2594), 1,
      sym_pointer_type_declarator,
    STATE(2602), 1,
      sym_template_function,
    STATE(2603), 1,
      sym_destructor_name,
    STATE(2604), 1,
      sym_dependent_identifier,
    STATE(2634), 1,
      sym_qualified_identifier,
    STATE(2637), 1,
      sym_operator_name,
    STATE(5129), 1,
      sym__scope_resolution,
    STATE(6567), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6638), 1,
      sym_operator_cast,
    STATE(7635), 1,
      sym_decltype,
    STATE(7783), 1,
      sym_ms_based_modifier,
  [208215] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(2405), 1,
      anon_sym_LBRACK,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    ACTIONS(8838), 1,
      anon_sym_requires,
    ACTIONS(8967), 1,
      anon_sym_LPAREN2,
    STATE(1813), 1,
      sym_template_type,
    STATE(5532), 1,
      sym_lambda_capture_specifier,
    STATE(6159), 1,
      sym__scope_resolution,
    ACTIONS(9009), 2,
      sym_true,
      sym_false,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2324), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [208267] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8587), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8764), 1,
      anon_sym_requires,
    STATE(5884), 1,
      sym__function_attributes_end,
    STATE(6018), 1,
      sym_trailing_return_type,
    STATE(6315), 1,
      sym_gnu_asm_expression,
    ACTIONS(6528), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(8437), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5252), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5477), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
  [208323] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(9011), 1,
      sym_identifier,
    ACTIONS(9013), 1,
      anon_sym_TILDE,
    ACTIONS(9015), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9017), 1,
      anon_sym_template,
    ACTIONS(9019), 1,
      anon_sym_operator,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(2594), 1,
      sym_pointer_type_declarator,
    STATE(2602), 1,
      sym_template_function,
    STATE(2603), 1,
      sym_destructor_name,
    STATE(2604), 1,
      sym_dependent_identifier,
    STATE(2634), 1,
      sym_qualified_identifier,
    STATE(2637), 1,
      sym_operator_name,
    STATE(5132), 1,
      sym__scope_resolution,
    STATE(6567), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6638), 1,
      sym_operator_cast,
    STATE(7419), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [208393] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2421), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208452] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8709), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2472), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5181), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208511] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2632), 1,
      sym__class_declaration_item,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5161), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208570] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1870), 1,
      sym_field_declaration_list,
    STATE(2100), 1,
      sym__class_declaration_item,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(6461), 1,
      sym_virtual_specifier,
    STATE(7136), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1616), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208629] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1686), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208688] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2643), 1,
      sym__class_declaration_item,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208747] = 5,
    ACTIONS(8971), 1,
      anon_sym_LF,
    ACTIONS(9021), 1,
      anon_sym_LPAREN2,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(5440), 1,
      sym_preproc_argument_list,
    ACTIONS(8975), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [208780] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1870), 1,
      sym_field_declaration_list,
    STATE(2165), 1,
      sym__class_declaration_item,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(6461), 1,
      sym_virtual_specifier,
    STATE(7136), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1616), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5136), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208839] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2504), 1,
      sym_template_type,
    STATE(2703), 1,
      sym_field_declaration_list,
    STATE(2927), 1,
      sym__class_declaration_item,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(6427), 1,
      sym_virtual_specifier,
    STATE(7384), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2369), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5144), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208898] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2504), 1,
      sym_template_type,
    STATE(2703), 1,
      sym_field_declaration_list,
    STATE(2933), 1,
      sym__class_declaration_item,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(6427), 1,
      sym_virtual_specifier,
    STATE(7384), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2369), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [208957] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8681), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1671), 1,
      sym__class_declaration_item,
    STATE(4944), 1,
      sym_field_declaration_list,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(6524), 1,
      sym_virtual_specifier,
    STATE(7293), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4535), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209016] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2504), 1,
      sym_template_type,
    STATE(2703), 1,
      sym_field_declaration_list,
    STATE(2964), 1,
      sym__class_declaration_item,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(6427), 1,
      sym_virtual_specifier,
    STATE(7384), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2369), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209075] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2504), 1,
      sym_template_type,
    STATE(2703), 1,
      sym_field_declaration_list,
    STATE(2970), 1,
      sym__class_declaration_item,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(6427), 1,
      sym_virtual_specifier,
    STATE(7384), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2369), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5147), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209134] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1686), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209193] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2504), 1,
      sym_template_type,
    STATE(2703), 1,
      sym_field_declaration_list,
    STATE(2877), 1,
      sym__class_declaration_item,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(6427), 1,
      sym_virtual_specifier,
    STATE(7384), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2369), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209252] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2632), 1,
      sym__class_declaration_item,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209311] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(3513), 1,
      sym_template_type,
    STATE(3779), 1,
      sym_field_declaration_list,
    STATE(3828), 1,
      sym__class_declaration_item,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(6479), 1,
      sym_virtual_specifier,
    STATE(7208), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3086), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209370] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
    STATE(2649), 1,
      sym_field_declaration_list,
    STATE(2866), 1,
      sym__class_declaration_item,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7254), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5182), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209429] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(3513), 1,
      sym_template_type,
    STATE(3779), 1,
      sym_field_declaration_list,
    STATE(3883), 1,
      sym__class_declaration_item,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(6479), 1,
      sym_virtual_specifier,
    STATE(7208), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3086), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5188), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209488] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2421), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209547] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
    STATE(2649), 1,
      sym_field_declaration_list,
    STATE(2827), 1,
      sym__class_declaration_item,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7254), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209606] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8681), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1796), 1,
      sym__class_declaration_item,
    STATE(4944), 1,
      sym_field_declaration_list,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(6524), 1,
      sym_virtual_specifier,
    STATE(7293), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4535), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209665] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1667), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5222), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209724] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2643), 1,
      sym__class_declaration_item,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209783] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1870), 1,
      sym_field_declaration_list,
    STATE(2111), 1,
      sym__class_declaration_item,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(6461), 1,
      sym_virtual_specifier,
    STATE(7136), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1616), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5231), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209842] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9027), 1,
      anon_sym_RPAREN,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9037), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5223), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [209885] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4630), 1,
      sym__class_declaration_item,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5191), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [209944] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8709), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2478), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5185), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210003] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2669), 1,
      sym__class_declaration_item,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210062] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4589), 1,
      sym__class_declaration_item,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210121] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(4309), 1,
      sym_template_type,
    STATE(4676), 1,
      sym_field_declaration_list,
    STATE(4760), 1,
      sym__class_declaration_item,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(6506), 1,
      sym_virtual_specifier,
    STATE(7219), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4307), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5168), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210180] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1671), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210239] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(4309), 1,
      sym_template_type,
    STATE(4676), 1,
      sym_field_declaration_list,
    STATE(4721), 1,
      sym__class_declaration_item,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(6506), 1,
      sym_virtual_specifier,
    STATE(7219), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4307), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210298] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2690), 1,
      sym__class_declaration_item,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5171), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210357] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8709), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2481), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210416] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(4309), 1,
      sym_template_type,
    STATE(4676), 1,
      sym_field_declaration_list,
    STATE(4726), 1,
      sym__class_declaration_item,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(6506), 1,
      sym_virtual_specifier,
    STATE(7219), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4307), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210475] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(4309), 1,
      sym_template_type,
    STATE(4676), 1,
      sym_field_declaration_list,
    STATE(4736), 1,
      sym__class_declaration_item,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(6506), 1,
      sym_virtual_specifier,
    STATE(7219), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4307), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5170), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210534] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(4309), 1,
      sym_template_type,
    STATE(4676), 1,
      sym_field_declaration_list,
    STATE(4758), 1,
      sym__class_declaration_item,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(6506), 1,
      sym_virtual_specifier,
    STATE(7219), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4307), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210593] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2699), 1,
      sym__class_declaration_item,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210652] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2481), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210711] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1870), 1,
      sym_field_declaration_list,
    STATE(1925), 1,
      sym__class_declaration_item,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(6461), 1,
      sym_virtual_specifier,
    STATE(7136), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1616), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210770] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(4897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(9041), 1,
      sym_identifier,
    ACTIONS(9043), 1,
      anon_sym_template,
    STATE(2594), 1,
      sym_pointer_type_declarator,
    STATE(2602), 1,
      sym_template_function,
    STATE(2603), 1,
      sym_destructor_name,
    STATE(2604), 1,
      sym_dependent_identifier,
    STATE(2634), 1,
      sym_qualified_identifier,
    STATE(2637), 1,
      sym_operator_name,
    STATE(5174), 1,
      sym__scope_resolution,
    STATE(6567), 1,
      sym_qualified_operator_cast_identifier,
    STATE(6638), 1,
      sym_operator_cast,
    STATE(7783), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [210833] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8681), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1686), 1,
      sym__class_declaration_item,
    STATE(4944), 1,
      sym_field_declaration_list,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(6524), 1,
      sym_virtual_specifier,
    STATE(7293), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4535), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210892] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2669), 1,
      sym__class_declaration_item,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [210951] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2469), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211010] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1796), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211069] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9045), 1,
      anon_sym_RPAREN,
    ACTIONS(9047), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5195), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [211112] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2690), 1,
      sym__class_declaration_item,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5225), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211171] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8709), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2421), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211230] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
    STATE(2649), 1,
      sym_field_declaration_list,
    STATE(2846), 1,
      sym__class_declaration_item,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7254), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211289] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
    STATE(2649), 1,
      sym_field_declaration_list,
    STATE(2770), 1,
      sym__class_declaration_item,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7254), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5198), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211348] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2478), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5177), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211407] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8709), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2469), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211466] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7366), 1,
      anon_sym_STAR,
    ACTIONS(7368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7370), 1,
      anon_sym_AMP,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(5979), 1,
      sym__abstract_declarator,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211511] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2478), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5207), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211570] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(3513), 1,
      sym_template_type,
    STATE(3779), 1,
      sym_field_declaration_list,
    STATE(3863), 1,
      sym__class_declaration_item,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(6479), 1,
      sym_virtual_specifier,
    STATE(7208), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3086), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211629] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(2620), 1,
      sym_template_type,
    STATE(2934), 1,
      sym_field_declaration_list,
    STATE(3173), 1,
      sym__class_declaration_item,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(6487), 1,
      sym_virtual_specifier,
    STATE(7120), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2446), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5200), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211688] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(2620), 1,
      sym_template_type,
    STATE(2934), 1,
      sym_field_declaration_list,
    STATE(3176), 1,
      sym__class_declaration_item,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(6487), 1,
      sym_virtual_specifier,
    STATE(7120), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2446), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211747] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4580), 1,
      sym__class_declaration_item,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211806] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2472), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5226), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211865] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4585), 1,
      sym__class_declaration_item,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5211), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211924] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4611), 1,
      sym__class_declaration_item,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [211983] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9049), 1,
      anon_sym_COMMA,
    ACTIONS(9051), 1,
      anon_sym_RPAREN,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9059), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9063), 1,
      anon_sym_PIPE,
    ACTIONS(9065), 1,
      anon_sym_CARET,
    ACTIONS(9067), 1,
      anon_sym_AMP,
    STATE(7042), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9069), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9071), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9073), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [212038] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9049), 1,
      anon_sym_COMMA,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9059), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9063), 1,
      anon_sym_PIPE,
    ACTIONS(9065), 1,
      anon_sym_CARET,
    ACTIONS(9067), 1,
      anon_sym_AMP,
    ACTIONS(9077), 1,
      anon_sym_RPAREN,
    STATE(6932), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9069), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9071), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9073), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [212093] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2469), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
    STATE(2649), 1,
      sym_field_declaration_list,
    STATE(2842), 1,
      sym__class_declaration_item,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(6481), 1,
      sym_virtual_specifier,
    STATE(7254), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212211] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2481), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212270] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(2620), 1,
      sym_template_type,
    STATE(2934), 1,
      sym_field_declaration_list,
    STATE(3216), 1,
      sym__class_declaration_item,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(6487), 1,
      sym_virtual_specifier,
    STATE(7120), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2446), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212329] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8681), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1733), 1,
      sym__class_declaration_item,
    STATE(4944), 1,
      sym_field_declaration_list,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(6524), 1,
      sym_virtual_specifier,
    STATE(7293), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4535), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5175), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212388] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4580), 1,
      sym__class_declaration_item,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212447] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(2620), 1,
      sym_template_type,
    STATE(2934), 1,
      sym_field_declaration_list,
    STATE(3220), 1,
      sym__class_declaration_item,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(6487), 1,
      sym_virtual_specifier,
    STATE(7120), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2446), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212506] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(2620), 1,
      sym_template_type,
    STATE(2934), 1,
      sym_field_declaration_list,
    STATE(3265), 1,
      sym__class_declaration_item,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(6487), 1,
      sym_virtual_specifier,
    STATE(7120), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2446), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212565] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    ACTIONS(8685), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(2469), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6155), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3813), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212624] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    ACTIONS(8685), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(2478), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6155), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3813), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5205), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212683] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2469), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212742] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4585), 1,
      sym__class_declaration_item,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5194), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212801] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2472), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5133), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212860] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    ACTIONS(8685), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(2472), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6155), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3813), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5216), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212919] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4611), 1,
      sym__class_declaration_item,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [212978] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    ACTIONS(8685), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(2481), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6155), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3813), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213037] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1667), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5178), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213096] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1671), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213155] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9079), 1,
      anon_sym_RPAREN,
    ACTIONS(9081), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5196), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [213198] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    ACTIONS(8685), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(2421), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6155), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3813), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213257] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(3513), 1,
      sym_template_type,
    STATE(3779), 1,
      sym_field_declaration_list,
    STATE(3838), 1,
      sym__class_declaration_item,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(6479), 1,
      sym_virtual_specifier,
    STATE(7208), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3086), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5149), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213316] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2472), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5152), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213375] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2481), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213434] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8681), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1667), 1,
      sym__class_declaration_item,
    STATE(4944), 1,
      sym_field_declaration_list,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(6524), 1,
      sym_virtual_specifier,
    STATE(7293), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4535), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5154), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213493] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1733), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5137), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213552] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1796), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213611] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9049), 1,
      anon_sym_COMMA,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9059), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9063), 1,
      anon_sym_PIPE,
    ACTIONS(9065), 1,
      anon_sym_CARET,
    ACTIONS(9067), 1,
      anon_sym_AMP,
    ACTIONS(9083), 1,
      anon_sym_RPAREN,
    STATE(6791), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9069), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9071), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9073), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [213666] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(1733), 1,
      sym__class_declaration_item,
    STATE(2238), 1,
      sym_field_declaration_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(6418), 1,
      sym_virtual_specifier,
    STATE(7257), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213725] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2532), 1,
      sym_field_declaration_list,
    STATE(2699), 1,
      sym__class_declaration_item,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(6545), 1,
      sym_virtual_specifier,
    STATE(7226), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213784] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2421), 1,
      sym__class_declaration_item,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(6530), 1,
      sym_virtual_specifier,
    STATE(7304), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2391), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213843] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(3513), 1,
      sym_template_type,
    STATE(3779), 1,
      sym_field_declaration_list,
    STATE(3888), 1,
      sym__class_declaration_item,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(6479), 1,
      sym_virtual_specifier,
    STATE(7208), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3086), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9087), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [213931] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4630), 1,
      sym__class_declaration_item,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5202), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [213990] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4567), 1,
      sym_field_declaration_list,
    STATE(4589), 1,
      sym__class_declaration_item,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6584), 1,
      sym_virtual_specifier,
    STATE(7275), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4303), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214049] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1870), 1,
      sym_field_declaration_list,
    STATE(1922), 1,
      sym__class_declaration_item,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(6461), 1,
      sym_virtual_specifier,
    STATE(7136), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(1616), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214108] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2478), 1,
      sym__class_declaration_item,
    STATE(3718), 1,
      sym_field_declaration_list,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(6600), 1,
      sym_virtual_specifier,
    STATE(7344), 1,
      sym_base_class_clause,
    ACTIONS(4864), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3298), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5197), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [214167] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9099), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5341), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214207] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(4610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(9103), 1,
      sym_identifier,
    ACTIONS(9105), 1,
      anon_sym_template,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(2594), 1,
      sym_pointer_type_declarator,
    STATE(2602), 1,
      sym_template_function,
    STATE(2603), 1,
      sym_destructor_name,
    STATE(2604), 1,
      sym_dependent_identifier,
    STATE(2634), 1,
      sym_qualified_identifier,
    STATE(2637), 1,
      sym_operator_name,
    STATE(5234), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
    STATE(7783), 1,
      sym_ms_based_modifier,
  [214271] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7595), 1,
      sym_identifier,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    ACTIONS(9107), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      sym__field_declarator,
    STATE(5980), 1,
      sym_operator_name,
    STATE(7829), 1,
      sym_attribute_specifier,
    STATE(8188), 1,
      sym_ms_based_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [214323] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9109), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5409), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9113), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9111), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214391] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9119), 1,
      anon_sym_SEMI,
    ACTIONS(9121), 1,
      anon_sym_LBRACE,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    ACTIONS(9129), 1,
      anon_sym_try,
    STATE(643), 1,
      sym_compound_statement,
    STATE(644), 1,
      sym_try_statement,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6846), 1,
      sym_gnu_asm_expression,
    STATE(6847), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [214449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9133), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9131), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214477] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9135), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5323), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214517] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6634), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [214567] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9137), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5400), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214607] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9139), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5324), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214647] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9141), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5329), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214687] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9143), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5330), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214727] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(9145), 1,
      sym_identifier,
    ACTIONS(9147), 1,
      anon_sym_TILDE,
    ACTIONS(9149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9151), 1,
      anon_sym_template,
    ACTIONS(9153), 1,
      anon_sym_operator,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(3148), 1,
      sym_pointer_type_declarator,
    STATE(3149), 1,
      sym_template_function,
    STATE(3150), 1,
      sym_destructor_name,
    STATE(3151), 1,
      sym_dependent_identifier,
    STATE(3153), 1,
      sym_qualified_identifier,
    STATE(3154), 1,
      sym_operator_name,
    STATE(5246), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [214791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9157), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9155), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [214819] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9159), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5331), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214859] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8868), 1,
      anon_sym_try,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    ACTIONS(9161), 1,
      anon_sym_SEMI,
    ACTIONS(9163), 1,
      anon_sym_LBRACE,
    STATE(1927), 1,
      sym_compound_statement,
    STATE(1928), 1,
      sym_try_statement,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6937), 1,
      sym_gnu_asm_expression,
    STATE(6938), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [214917] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8921), 1,
      anon_sym_LBRACK,
    STATE(4478), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5471), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8919), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [214953] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9165), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5332), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [214993] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8925), 1,
      anon_sym_LBRACK,
    STATE(4478), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8923), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215029] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9167), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5342), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215069] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(9169), 1,
      sym_identifier,
    ACTIONS(9171), 1,
      anon_sym_TILDE,
    ACTIONS(9173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9175), 1,
      anon_sym_template,
    ACTIONS(9177), 1,
      anon_sym_operator,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(3082), 1,
      sym_pointer_type_declarator,
    STATE(3090), 1,
      sym_template_function,
    STATE(3091), 1,
      sym_destructor_name,
    STATE(3092), 1,
      sym_dependent_identifier,
    STATE(3093), 1,
      sym_qualified_identifier,
    STATE(3095), 1,
      sym_operator_name,
    STATE(5254), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [215133] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9059), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9063), 1,
      anon_sym_PIPE,
    ACTIONS(9065), 1,
      anon_sym_CARET,
    ACTIONS(9067), 1,
      anon_sym_AMP,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9069), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9071), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9073), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9179), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [215183] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8876), 1,
      anon_sym_try,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    ACTIONS(9181), 1,
      anon_sym_SEMI,
    ACTIONS(9183), 1,
      anon_sym_LBRACE,
    STATE(1751), 1,
      sym_compound_statement,
    STATE(1752), 1,
      sym_try_statement,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(7018), 1,
      sym_gnu_asm_expression,
    STATE(7019), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [215241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6294), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215269] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7595), 1,
      sym_identifier,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    ACTIONS(9185), 1,
      anon_sym_SEMI,
    STATE(5068), 1,
      sym__field_declarator,
    STATE(5980), 1,
      sym_operator_name,
    STATE(8114), 1,
      sym_attribute_specifier,
    STATE(8188), 1,
      sym_ms_based_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [215321] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(9171), 1,
      anon_sym_TILDE,
    ACTIONS(9177), 1,
      anon_sym_operator,
    ACTIONS(9187), 1,
      sym_identifier,
    ACTIONS(9189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9191), 1,
      anon_sym_template,
    STATE(1634), 1,
      sym_template_type,
    STATE(1635), 1,
      sym_dependent_type_identifier,
    STATE(1689), 1,
      sym_qualified_type_identifier,
    STATE(3082), 1,
      sym_pointer_type_declarator,
    STATE(3090), 1,
      sym_template_function,
    STATE(3091), 1,
      sym_destructor_name,
    STATE(3092), 1,
      sym_dependent_identifier,
    STATE(3093), 1,
      sym_qualified_identifier,
    STATE(3095), 1,
      sym_operator_name,
    STATE(5259), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [215385] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(9147), 1,
      anon_sym_TILDE,
    ACTIONS(9153), 1,
      anon_sym_operator,
    ACTIONS(9193), 1,
      sym_identifier,
    ACTIONS(9195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9197), 1,
      anon_sym_template,
    STATE(1634), 1,
      sym_template_type,
    STATE(1635), 1,
      sym_dependent_type_identifier,
    STATE(1689), 1,
      sym_qualified_type_identifier,
    STATE(3148), 1,
      sym_pointer_type_declarator,
    STATE(3149), 1,
      sym_template_function,
    STATE(3150), 1,
      sym_destructor_name,
    STATE(3151), 1,
      sym_dependent_identifier,
    STATE(3153), 1,
      sym_qualified_identifier,
    STATE(3154), 1,
      sym_operator_name,
    STATE(5260), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [215449] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9199), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5333), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215489] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8884), 1,
      anon_sym_try,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    ACTIONS(9201), 1,
      anon_sym_SEMI,
    ACTIONS(9203), 1,
      anon_sym_LBRACE,
    STATE(2108), 1,
      sym_compound_statement,
    STATE(2109), 1,
      sym_try_statement,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6659), 1,
      sym_gnu_asm_expression,
    STATE(6660), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [215547] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9205), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5392), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215587] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9207), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5334), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215627] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9209), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5335), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215667] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(9211), 1,
      sym_identifier,
    ACTIONS(9213), 1,
      anon_sym_TILDE,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9217), 1,
      anon_sym_template,
    ACTIONS(9219), 1,
      anon_sym_operator,
    STATE(1634), 1,
      sym_template_type,
    STATE(1635), 1,
      sym_dependent_type_identifier,
    STATE(1689), 1,
      sym_qualified_type_identifier,
    STATE(2342), 1,
      sym_pointer_type_declarator,
    STATE(2348), 1,
      sym_template_function,
    STATE(2351), 1,
      sym_destructor_name,
    STATE(2352), 1,
      sym_dependent_identifier,
    STATE(2353), 1,
      sym_qualified_identifier,
    STATE(2354), 1,
      sym_operator_name,
    STATE(5266), 1,
      sym__scope_resolution,
    STATE(7419), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [215731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9223), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9221), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [215759] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9225), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5285), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215799] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9227), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5394), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [215839] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(9213), 1,
      anon_sym_TILDE,
    ACTIONS(9219), 1,
      anon_sym_operator,
    ACTIONS(9229), 1,
      sym_identifier,
    ACTIONS(9231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9233), 1,
      anon_sym_template,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(2342), 1,
      sym_pointer_type_declarator,
    STATE(2348), 1,
      sym_template_function,
    STATE(2351), 1,
      sym_destructor_name,
    STATE(2352), 1,
      sym_dependent_identifier,
    STATE(2353), 1,
      sym_qualified_identifier,
    STATE(2354), 1,
      sym_operator_name,
    STATE(5270), 1,
      sym__scope_resolution,
    STATE(7419), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [215903] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_LBRACE,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    ACTIONS(9235), 1,
      anon_sym_SEMI,
    ACTIONS(9237), 1,
      anon_sym_try,
    STATE(667), 1,
      sym_try_statement,
    STATE(722), 1,
      sym_compound_statement,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6952), 1,
      sym_gnu_asm_expression,
    STATE(6977), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [215961] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7441), 1,
      anon_sym_STAR,
    ACTIONS(9239), 1,
      sym_identifier,
    ACTIONS(9241), 1,
      anon_sym_TILDE,
    ACTIONS(9243), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9245), 1,
      anon_sym_template,
    ACTIONS(9247), 1,
      anon_sym_operator,
    STATE(2447), 1,
      sym_template_type,
    STATE(2448), 1,
      sym_dependent_type_identifier,
    STATE(2516), 1,
      sym_qualified_type_identifier,
    STATE(3449), 1,
      sym_pointer_type_declarator,
    STATE(3451), 1,
      sym_template_function,
    STATE(3452), 1,
      sym_destructor_name,
    STATE(3453), 1,
      sym_dependent_identifier,
    STATE(3455), 1,
      sym_qualified_identifier,
    STATE(3457), 1,
      sym_operator_name,
    STATE(5272), 1,
      sym__scope_resolution,
    STATE(7409), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [216025] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(9147), 1,
      anon_sym_TILDE,
    ACTIONS(9153), 1,
      anon_sym_operator,
    ACTIONS(9249), 1,
      sym_identifier,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9253), 1,
      anon_sym_template,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(3148), 1,
      sym_pointer_type_declarator,
    STATE(3149), 1,
      sym_template_function,
    STATE(3150), 1,
      sym_destructor_name,
    STATE(3151), 1,
      sym_dependent_identifier,
    STATE(3153), 1,
      sym_qualified_identifier,
    STATE(3154), 1,
      sym_operator_name,
    STATE(5273), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [216089] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7441), 1,
      anon_sym_STAR,
    ACTIONS(9241), 1,
      anon_sym_TILDE,
    ACTIONS(9247), 1,
      anon_sym_operator,
    ACTIONS(9255), 1,
      sym_identifier,
    ACTIONS(9257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9259), 1,
      anon_sym_template,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(3449), 1,
      sym_pointer_type_declarator,
    STATE(3451), 1,
      sym_template_function,
    STATE(3452), 1,
      sym_destructor_name,
    STATE(3453), 1,
      sym_dependent_identifier,
    STATE(3455), 1,
      sym_qualified_identifier,
    STATE(3457), 1,
      sym_operator_name,
    STATE(5274), 1,
      sym__scope_resolution,
    STATE(7409), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [216153] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(9213), 1,
      anon_sym_TILDE,
    ACTIONS(9219), 1,
      anon_sym_operator,
    ACTIONS(9261), 1,
      sym_identifier,
    ACTIONS(9263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9265), 1,
      anon_sym_template,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(2342), 1,
      sym_pointer_type_declarator,
    STATE(2348), 1,
      sym_template_function,
    STATE(2351), 1,
      sym_destructor_name,
    STATE(2352), 1,
      sym_dependent_identifier,
    STATE(2353), 1,
      sym_qualified_identifier,
    STATE(2354), 1,
      sym_operator_name,
    STATE(5275), 1,
      sym__scope_resolution,
    STATE(7419), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [216217] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(3837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(9267), 1,
      sym_identifier,
    ACTIONS(9269), 1,
      anon_sym_template,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(2594), 1,
      sym_pointer_type_declarator,
    STATE(2602), 1,
      sym_template_function,
    STATE(2603), 1,
      sym_destructor_name,
    STATE(2604), 1,
      sym_dependent_identifier,
    STATE(2634), 1,
      sym_qualified_identifier,
    STATE(2637), 1,
      sym_operator_name,
    STATE(5276), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
    STATE(7783), 1,
      sym_ms_based_modifier,
  [216281] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9271), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5255), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216321] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9273), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5239), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216361] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(9213), 1,
      anon_sym_TILDE,
    ACTIONS(9219), 1,
      anon_sym_operator,
    ACTIONS(9275), 1,
      sym_identifier,
    ACTIONS(9277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9279), 1,
      anon_sym_template,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(2342), 1,
      sym_pointer_type_declarator,
    STATE(2348), 1,
      sym_template_function,
    STATE(2351), 1,
      sym_destructor_name,
    STATE(2352), 1,
      sym_dependent_identifier,
    STATE(2353), 1,
      sym_qualified_identifier,
    STATE(2354), 1,
      sym_operator_name,
    STATE(5279), 1,
      sym__scope_resolution,
    STATE(7419), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [216425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9283), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9281), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216453] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      anon_sym_LPAREN2,
    ACTIONS(9031), 1,
      anon_sym_defined,
    ACTIONS(9285), 1,
      sym_number_literal,
    ACTIONS(9033), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9035), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9039), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5465), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216493] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6502), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216543] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6407), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216593] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(9013), 1,
      anon_sym_TILDE,
    ACTIONS(9287), 1,
      sym_identifier,
    ACTIONS(9289), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9291), 1,
      anon_sym_template,
    ACTIONS(9293), 1,
      anon_sym_operator,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(2594), 1,
      sym_pointer_type_declarator,
    STATE(2602), 1,
      sym_template_function,
    STATE(2603), 1,
      sym_destructor_name,
    STATE(2604), 1,
      sym_dependent_identifier,
    STATE(2634), 1,
      sym_qualified_identifier,
    STATE(2637), 1,
      sym_operator_name,
    STATE(5284), 1,
      sym__scope_resolution,
    STATE(7419), 1,
      sym_ms_based_modifier,
    STATE(7635), 1,
      sym_decltype,
  [216657] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9297), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9295), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216691] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7386), 1,
      anon_sym_STAR,
    ACTIONS(7388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7390), 1,
      anon_sym_AMP,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6024), 1,
      sym__abstract_declarator,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [216735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9299), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5346), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216775] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6589), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216825] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9301), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5352), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [216865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9305), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9303), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [216893] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6554), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [216943] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7595), 1,
      sym_identifier,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    ACTIONS(9307), 1,
      anon_sym_SEMI,
    STATE(5071), 1,
      sym__field_declarator,
    STATE(5980), 1,
      sym_operator_name,
    STATE(7479), 1,
      sym_attribute_specifier,
    STATE(8188), 1,
      sym_ms_based_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [216995] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6396), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217045] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9309), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5429), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217085] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9311), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5353), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217125] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6581), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217175] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6533), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217225] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6498), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217275] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6469), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9315), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9313), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [217353] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6611), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217403] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6440), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217453] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6620), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217503] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6575), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217553] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6536), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217603] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6425), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217653] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9317), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5448), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217693] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6489), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217743] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6087), 1,
      sym__type_declarator,
    STATE(6583), 1,
      sym__type_definition_declarators,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [217793] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9319), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5358), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217833] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9321), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5449), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217873] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9323), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5450), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217913] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9325), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5453), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217953] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9327), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5454), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [217993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9329), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5366), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218033] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9331), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5455), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218073] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9333), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5456), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218113] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9335), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5457), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218153] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    ACTIONS(9337), 1,
      anon_sym_SEMI,
    ACTIONS(9339), 1,
      anon_sym_LBRACE,
    ACTIONS(9341), 1,
      anon_sym_try,
    STATE(606), 1,
      sym_compound_statement,
    STATE(608), 1,
      sym_try_statement,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6946), 1,
      sym_gnu_asm_expression,
    STATE(6949), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [218211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9345), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9343), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [218239] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9347), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5458), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218279] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9349), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5459), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9297), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9295), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [218351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9297), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9295), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [218379] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9351), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5460), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218419] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9353), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5398), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218459] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9355), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5408), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218499] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      anon_sym_LPAREN2,
    ACTIONS(9093), 1,
      anon_sym_defined,
    ACTIONS(9357), 1,
      sym_number_literal,
    ACTIONS(9095), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9097), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9101), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(5422), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [218539] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9063), 1,
      anon_sym_PIPE,
    ACTIONS(9065), 1,
      anon_sym_CARET,
    ACTIONS(9067), 1,
      anon_sym_AMP,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9069), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9071), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9073), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9295), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [218587] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9063), 1,
      anon_sym_PIPE,
    ACTIONS(9065), 1,
      anon_sym_CARET,
    ACTIONS(9067), 1,
      anon_sym_AMP,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9069), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9071), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9073), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9295), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [218633] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9065), 1,
      anon_sym_CARET,
    ACTIONS(9067), 1,
      anon_sym_AMP,
    ACTIONS(9297), 1,
      anon_sym_PIPE,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9069), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9071), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9073), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9295), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [218679] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9067), 1,
      anon_sym_AMP,
    ACTIONS(9297), 1,
      anon_sym_PIPE,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9069), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9071), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9073), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9295), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [218723] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9069), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9071), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9073), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9297), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9295), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [218765] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9071), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9073), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9297), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9295), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [218805] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9297), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9295), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [218841] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    ACTIONS(9359), 1,
      anon_sym_SEMI,
    ACTIONS(9361), 1,
      anon_sym_LBRACE,
    ACTIONS(9363), 1,
      anon_sym_try,
    STATE(301), 1,
      sym_compound_statement,
    STATE(304), 1,
      sym_try_statement,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6849), 1,
      sym_gnu_asm_expression,
    STATE(6850), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [218899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9367), 1,
      anon_sym_LBRACK,
    ACTIONS(9365), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218926] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8654), 1,
      anon_sym_requires,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [218961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8791), 1,
      anon_sym_requires,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [218996] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7437), 1,
      sym_identifier,
    ACTIONS(7439), 1,
      anon_sym_LPAREN2,
    ACTIONS(7441), 1,
      anon_sym_STAR,
    ACTIONS(7443), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7445), 1,
      anon_sym_AMP,
    ACTIONS(7449), 1,
      sym_primitive_type,
    STATE(2838), 1,
      sym__type_declarator,
    STATE(3288), 1,
      sym_pointer_type_declarator,
    STATE(7409), 1,
      sym_ms_based_modifier,
    ACTIONS(7447), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3238), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219043] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9369), 1,
      anon_sym_LF,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [219088] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9391), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [219133] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8593), 1,
      anon_sym_requires,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8925), 1,
      anon_sym_LBRACK,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8923), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1876), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219226] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9393), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [219271] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_requires,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [219306] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9412), 1,
      anon_sym_requires,
    ACTIONS(9409), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5518), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [219341] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9303), 1,
      anon_sym_LF,
    ACTIONS(9305), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [219368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219395] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8776), 1,
      anon_sym_requires,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219430] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9415), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [219475] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9417), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [219520] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(5950), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219567] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9221), 1,
      anon_sym_LF,
    ACTIONS(9223), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [219594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      anon_sym_LPAREN2,
    ACTIONS(9423), 1,
      anon_sym_LBRACK,
    ACTIONS(9419), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219623] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(9425), 1,
      sym_identifier,
    ACTIONS(9427), 1,
      anon_sym_template,
    STATE(5357), 1,
      sym__scope_resolution,
    STATE(5925), 1,
      sym_pointer_type_declarator,
    STATE(5926), 1,
      sym_template_function,
    STATE(5927), 1,
      sym_destructor_name,
    STATE(5928), 1,
      sym_dependent_identifier,
    STATE(5929), 1,
      sym_qualified_identifier,
    STATE(5930), 1,
      sym_operator_name,
    STATE(7566), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [219680] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9429), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [219725] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(9431), 1,
      sym_identifier,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9435), 1,
      anon_sym_template,
    STATE(2594), 1,
      sym_pointer_type_declarator,
    STATE(2602), 1,
      sym_template_function,
    STATE(2603), 1,
      sym_destructor_name,
    STATE(2604), 1,
      sym_dependent_identifier,
    STATE(2634), 1,
      sym_qualified_identifier,
    STATE(2637), 1,
      sym_operator_name,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7783), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [219782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 1,
      anon_sym_LBRACK,
    ACTIONS(9437), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9439), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5627), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [219848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9443), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5463), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9441), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219879] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7471), 1,
      anon_sym_STAR,
    ACTIONS(7473), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7475), 1,
      anon_sym_AMP,
    STATE(1871), 1,
      sym__type_declarator,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(7419), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [219926] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5439), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [219965] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6237), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [220012] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9445), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [220057] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(5621), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(9041), 1,
      sym_identifier,
    ACTIONS(9043), 1,
      anon_sym_template,
    STATE(2594), 1,
      sym_pointer_type_declarator,
    STATE(2602), 1,
      sym_template_function,
    STATE(2603), 1,
      sym_destructor_name,
    STATE(2604), 1,
      sym_dependent_identifier,
    STATE(2634), 1,
      sym_qualified_identifier,
    STATE(2637), 1,
      sym_operator_name,
    STATE(5367), 1,
      sym__scope_resolution,
    STATE(7783), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [220114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9449), 1,
      anon_sym_LBRACK,
    ACTIONS(9447), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220141] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5432), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(9451), 1,
      anon_sym_requires,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220250] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    STATE(5370), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220289] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    STATE(5426), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220328] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5411), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220367] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5413), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220406] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    STATE(5414), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220445] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    STATE(5416), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220484] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6249), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [220531] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    STATE(5343), 1,
      sym_trailing_return_type,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220570] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8593), 1,
      anon_sym_requires,
    STATE(5351), 1,
      sym_trailing_return_type,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220609] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8776), 1,
      anon_sym_requires,
    STATE(5371), 1,
      sym_trailing_return_type,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220648] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_DASH_GT,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(9451), 1,
      anon_sym_requires,
    STATE(5390), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220687] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8416), 1,
      anon_sym_requires,
    STATE(5338), 1,
      sym_trailing_return_type,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220726] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8654), 1,
      anon_sym_requires,
    STATE(5339), 1,
      sym_trailing_return_type,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220765] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8791), 1,
      anon_sym_requires,
    STATE(5347), 1,
      sym_trailing_return_type,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220804] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6741), 1,
      anon_sym_DASH_GT,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_requires,
    STATE(5348), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220843] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9313), 1,
      anon_sym_LF,
    ACTIONS(9315), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [220870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5684), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5686), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220899] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7451), 1,
      sym_identifier,
    ACTIONS(7453), 1,
      anon_sym_LPAREN2,
    ACTIONS(7455), 1,
      anon_sym_STAR,
    ACTIONS(7457), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7459), 1,
      anon_sym_AMP,
    ACTIONS(7463), 1,
      sym_primitive_type,
    STATE(2708), 1,
      sym__type_declarator,
    STATE(3017), 1,
      sym_pointer_type_declarator,
    STATE(7489), 1,
      sym_ms_based_modifier,
    ACTIONS(7461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3003), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [220946] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9456), 1,
      anon_sym_requires,
    ACTIONS(9409), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5518), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [220981] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(9425), 1,
      sym_identifier,
    ACTIONS(9427), 1,
      anon_sym_template,
    STATE(5391), 1,
      sym__scope_resolution,
    STATE(5925), 1,
      sym_pointer_type_declarator,
    STATE(5926), 1,
      sym_template_function,
    STATE(5927), 1,
      sym_destructor_name,
    STATE(5928), 1,
      sym_dependent_identifier,
    STATE(5929), 1,
      sym_qualified_identifier,
    STATE(5930), 1,
      sym_operator_name,
    STATE(8016), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [221038] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9459), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [221083] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7415), 1,
      sym_primitive_type,
    ACTIONS(7491), 1,
      anon_sym_STAR,
    ACTIONS(7493), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7495), 1,
      anon_sym_AMP,
    STATE(5684), 1,
      sym__type_declarator,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(7566), 1,
      sym_ms_based_modifier,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [221130] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9461), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [221175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9463), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5627), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221206] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7485), 1,
      anon_sym_STAR,
    ACTIONS(7487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7489), 1,
      anon_sym_AMP,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6113), 1,
      sym__abstract_declarator,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7573), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [221249] = 3,
    ACTIONS(6294), 1,
      anon_sym_LF,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(6292), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221276] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9465), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [221321] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6550), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(9467), 1,
      sym_identifier,
    ACTIONS(9469), 1,
      anon_sym_template,
    STATE(2594), 1,
      sym_pointer_type_declarator,
    STATE(2602), 1,
      sym_template_function,
    STATE(2603), 1,
      sym_destructor_name,
    STATE(2604), 1,
      sym_dependent_identifier,
    STATE(2634), 1,
      sym_qualified_identifier,
    STATE(2637), 1,
      sym_operator_name,
    STATE(5399), 1,
      sym__scope_resolution,
    STATE(7783), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [221378] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9471), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [221423] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7427), 1,
      anon_sym_STAR,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_AMP,
    ACTIONS(7435), 1,
      sym_primitive_type,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6244), 1,
      sym__type_declarator,
    STATE(7942), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [221470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4733), 1,
      anon_sym_LBRACK,
    ACTIONS(4735), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5684), 1,
      anon_sym_LBRACK,
    ACTIONS(9439), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5686), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221553] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5439), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [221592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [221627] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6277), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [221674] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9473), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [221719] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9059), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9063), 1,
      anon_sym_PIPE,
    ACTIONS(9065), 1,
      anon_sym_CARET,
    ACTIONS(9067), 1,
      anon_sym_AMP,
    ACTIONS(9475), 1,
      anon_sym_RPAREN,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9069), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9071), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9073), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [221768] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5432), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [221807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [221842] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    STATE(5370), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [221881] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [221916] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [221951] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    STATE(5426), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [221990] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5518), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [222025] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    STATE(5343), 1,
      sym_trailing_return_type,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [222064] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8593), 1,
      anon_sym_requires,
    STATE(5351), 1,
      sym_trailing_return_type,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [222103] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8776), 1,
      anon_sym_requires,
    STATE(5371), 1,
      sym_trailing_return_type,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [222142] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6748), 1,
      anon_sym_DASH_GT,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(9451), 1,
      anon_sym_requires,
    STATE(5390), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [222181] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6146), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222228] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9477), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [222273] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_LPAREN2,
    ACTIONS(7435), 1,
      sym_primitive_type,
    ACTIONS(7477), 1,
      anon_sym_STAR,
    ACTIONS(7479), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7481), 1,
      anon_sym_AMP,
    STATE(2125), 1,
      sym_pointer_type_declarator,
    STATE(6266), 1,
      sym__type_declarator,
    STATE(7783), 1,
      sym_ms_based_modifier,
    ACTIONS(7433), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2084), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222320] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9111), 1,
      anon_sym_LF,
    ACTIONS(9113), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 1,
      anon_sym_LBRACK,
    ACTIONS(9479), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222374] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5518), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [222409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9485), 1,
      anon_sym_LBRACK,
    ACTIONS(9483), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222436] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [222471] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9131), 1,
      anon_sym_LF,
    ACTIONS(9133), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9489), 1,
      anon_sym_LBRACK,
    ACTIONS(9487), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222525] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(7401), 1,
      sym_identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN2,
    ACTIONS(7405), 1,
      anon_sym_STAR,
    ACTIONS(7407), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7409), 1,
      anon_sym_AMP,
    ACTIONS(7415), 1,
      sym_primitive_type,
    STATE(5838), 1,
      sym_pointer_type_declarator,
    STATE(5917), 1,
      sym__type_declarator,
    STATE(8016), 1,
      sym_ms_based_modifier,
    ACTIONS(7413), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5836), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [222572] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [222607] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3096), 1,
      anon_sym_TILDE,
    ACTIONS(6506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7427), 1,
      anon_sym_STAR,
    ACTIONS(9041), 1,
      sym_identifier,
    ACTIONS(9043), 1,
      anon_sym_template,
    STATE(2594), 1,
      sym_pointer_type_declarator,
    STATE(2602), 1,
      sym_template_function,
    STATE(2603), 1,
      sym_destructor_name,
    STATE(2604), 1,
      sym_dependent_identifier,
    STATE(2634), 1,
      sym_qualified_identifier,
    STATE(2637), 1,
      sym_operator_name,
    STATE(5433), 1,
      sym__scope_resolution,
    STATE(7942), 1,
      sym_ms_based_modifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [222664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 1,
      anon_sym_LBRACK,
    ACTIONS(4743), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4749), 1,
      anon_sym_LBRACK,
    ACTIONS(4751), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_LBRACK,
    ACTIONS(4707), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_LBRACK,
    ACTIONS(4707), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_LBRACK,
    ACTIONS(4707), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222799] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [222834] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9155), 1,
      anon_sym_LF,
    ACTIONS(9157), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222861] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9281), 1,
      anon_sym_LF,
    ACTIONS(9283), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [222888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 1,
      anon_sym_LBRACK,
    ACTIONS(4711), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 1,
      anon_sym_LBRACK,
    ACTIONS(4703), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 1,
      anon_sym_LBRACK,
    ACTIONS(4715), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 1,
      anon_sym_LBRACK,
    ACTIONS(4719), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222996] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9343), 1,
      anon_sym_LF,
    ACTIONS(9345), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4721), 1,
      anon_sym_LBRACK,
    ACTIONS(4723), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223050] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9295), 1,
      anon_sym_LF,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9297), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223079] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9295), 1,
      anon_sym_LF,
    ACTIONS(9297), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223106] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9295), 1,
      anon_sym_LF,
    ACTIONS(9297), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      anon_sym_LBRACK,
    ACTIONS(4727), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 1,
      anon_sym_LBRACK,
    ACTIONS(4731), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223205] = 11,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9295), 1,
      anon_sym_LF,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9297), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223248] = 10,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9295), 1,
      anon_sym_LF,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9297), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223289] = 9,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9295), 1,
      anon_sym_LF,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9297), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223328] = 8,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9295), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9297), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [223365] = 7,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9295), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9297), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [223400] = 6,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9295), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9297), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223433] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9295), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9297), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223464] = 12,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9375), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9379), 1,
      anon_sym_PIPE,
    ACTIONS(9381), 1,
      anon_sym_CARET,
    ACTIONS(9383), 1,
      anon_sym_AMP,
    ACTIONS(9491), 1,
      anon_sym_LF,
    ACTIONS(9371), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9385), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9389), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9373), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9387), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [223509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4737), 1,
      anon_sym_LBRACK,
    ACTIONS(4739), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9495), 1,
      anon_sym_LBRACK,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9493), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9499), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5463), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9497), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223598] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8416), 1,
      anon_sym_requires,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [223633] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9057), 1,
      anon_sym_SLASH,
    ACTIONS(9059), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9061), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9063), 1,
      anon_sym_PIPE,
    ACTIONS(9065), 1,
      anon_sym_CARET,
    ACTIONS(9067), 1,
      anon_sym_AMP,
    ACTIONS(9504), 1,
      anon_sym_RPAREN,
    ACTIONS(9053), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9055), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9069), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9071), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9073), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9075), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [223682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8921), 1,
      anon_sym_LBRACK,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8919), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223713] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    ACTIONS(9506), 1,
      anon_sym_SEMI,
    ACTIONS(9508), 1,
      anon_sym_COLON,
    STATE(3009), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6732), 1,
      sym_gnu_asm_expression,
    STATE(6733), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [223765] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6557), 1,
      anon_sym_requires,
    STATE(5584), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [223801] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6557), 1,
      anon_sym_requires,
    STATE(5566), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [223837] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(9510), 1,
      sym_virtual,
    STATE(2197), 1,
      sym_template_type,
    STATE(6073), 1,
      sym_access_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(5482), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6987), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9512), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [223885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9495), 1,
      anon_sym_LBRACK,
    STATE(5472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9493), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 1,
      anon_sym_LBRACK,
    ACTIONS(9514), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5527), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8921), 1,
      anon_sym_LBRACK,
    STATE(5472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8919), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223975] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_LPAREN2,
    ACTIONS(7166), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_STAR,
    ACTIONS(7569), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7571), 1,
      anon_sym_AMP,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5543), 1,
      sym__function_declarator_seq,
    STATE(6134), 1,
      sym__abstract_declarator,
    ACTIONS(7573), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5522), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [224017] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(9517), 1,
      sym_virtual,
    STATE(2197), 1,
      sym_template_type,
    STATE(6037), 1,
      sym_access_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6464), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9512), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [224065] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(8393), 1,
      anon_sym_requires,
    STATE(5577), 1,
      sym_trailing_return_type,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8925), 1,
      anon_sym_LBRACK,
    STATE(5472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(8923), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [224131] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(8444), 1,
      anon_sym_requires,
    STATE(5600), 1,
      sym_trailing_return_type,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224167] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(9519), 1,
      sym_virtual,
    STATE(2197), 1,
      sym_template_type,
    STATE(6081), 1,
      sym_access_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(5475), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6503), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9512), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [224215] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6557), 1,
      anon_sym_requires,
    STATE(5580), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224251] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6557), 1,
      anon_sym_requires,
    STATE(5571), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224287] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(9521), 1,
      sym_virtual,
    STATE(2197), 1,
      sym_template_type,
    STATE(6048), 1,
      sym_access_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(4988), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6790), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9512), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [224335] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(8751), 1,
      anon_sym_requires,
    STATE(5612), 1,
      sym_trailing_return_type,
    ACTIONS(8748), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224371] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(9526), 1,
      anon_sym_requires,
    STATE(5626), 1,
      sym_trailing_return_type,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [224407] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    ACTIONS(9506), 1,
      anon_sym_SEMI,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6732), 1,
      sym_gnu_asm_expression,
    STATE(6733), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [224456] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_requires,
    STATE(5348), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [224493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9531), 1,
      anon_sym_LBRACK,
    ACTIONS(9529), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224518] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9533), 1,
      anon_sym_LT,
    ACTIONS(9535), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5495), 1,
      sym_template_parameter_list,
    STATE(5616), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6492), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [224567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9539), 1,
      anon_sym_LBRACK,
    ACTIONS(9537), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9543), 1,
      anon_sym_LBRACK,
    ACTIONS(9541), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224617] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7583), 1,
      sym_identifier,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(6224), 1,
      sym__field_declarator,
    STATE(6317), 1,
      sym_operator_name,
    STATE(7597), 1,
      sym_ms_based_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [224660] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    ACTIONS(9337), 1,
      anon_sym_SEMI,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6946), 1,
      sym_gnu_asm_expression,
    STATE(6949), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [224709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9547), 1,
      anon_sym_LBRACK,
    ACTIONS(9545), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9405), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224759] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9535), 1,
      anon_sym_LBRACE,
    ACTIONS(9549), 1,
      anon_sym_requires,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5625), 1,
      sym_compound_statement,
    STATE(5677), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(6543), 1,
      sym_abstract_function_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [224808] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9506), 1,
      anon_sym_SEMI,
    ACTIONS(9551), 1,
      anon_sym_EQ,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6732), 1,
      sym_gnu_asm_expression,
    STATE(6733), 1,
      aux_sym_declaration_repeat1,
    STATE(7006), 1,
      sym_initializer_list,
    STATE(7387), 1,
      sym_argument_list,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [224859] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7595), 1,
      sym_identifier,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(5673), 1,
      sym__field_declarator,
    STATE(5980), 1,
      sym_operator_name,
    STATE(8188), 1,
      sym_ms_based_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [224902] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    STATE(5426), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224939] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9533), 1,
      anon_sym_LT,
    ACTIONS(9553), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3311), 1,
      sym_compound_statement,
    STATE(5516), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(6613), 1,
      sym_abstract_function_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [224988] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9533), 1,
      anon_sym_LT,
    ACTIONS(9555), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3235), 1,
      sym_compound_statement,
    STATE(5555), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(6612), 1,
      sym_abstract_function_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9559), 1,
      anon_sym_LBRACK,
    ACTIONS(9557), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225062] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8776), 1,
      anon_sym_requires,
    STATE(5371), 1,
      sym_trailing_return_type,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225099] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9549), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3570), 1,
      sym_compound_statement,
    STATE(5700), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6455), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225148] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9549), 1,
      anon_sym_requires,
    STATE(1563), 1,
      sym_compound_statement,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5656), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(6572), 1,
      sym_abstract_function_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225197] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    STATE(5370), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8744), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225259] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9549), 1,
      anon_sym_requires,
    ACTIONS(9563), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym_compound_statement,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5665), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6453), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9565), 1,
      sym_identifier,
    ACTIONS(4779), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5508), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9568), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9571), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [225339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym_LBRACK,
    ACTIONS(9574), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9580), 1,
      anon_sym_LBRACK,
    ACTIONS(9578), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9584), 1,
      anon_sym_LBRACK,
    ACTIONS(9582), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9588), 1,
      anon_sym_LBRACK,
    ACTIONS(9586), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225439] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8593), 1,
      anon_sym_requires,
    STATE(5351), 1,
      sym_trailing_return_type,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225476] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9533), 1,
      anon_sym_LT,
    STATE(1571), 1,
      sym_compound_statement,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5504), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6457), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9592), 1,
      anon_sym_LBRACK,
    ACTIONS(9590), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225550] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9549), 1,
      anon_sym_requires,
    ACTIONS(9553), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3332), 1,
      sym_compound_statement,
    STATE(5688), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6426), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225599] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9549), 1,
      anon_sym_requires,
    ACTIONS(9594), 1,
      anon_sym_LBRACE,
    STATE(2385), 1,
      sym_compound_statement,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5633), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(6574), 1,
      sym_abstract_function_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9598), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225673] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5432), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8437), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225735] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9549), 1,
      anon_sym_requires,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3388), 1,
      sym_compound_statement,
    STATE(5679), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6432), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9604), 1,
      anon_sym_LBRACK,
    ACTIONS(9602), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225809] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9119), 1,
      anon_sym_SEMI,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6846), 1,
      sym_gnu_asm_expression,
    STATE(6847), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [225858] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9549), 1,
      anon_sym_requires,
    ACTIONS(9606), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4151), 1,
      sym_compound_statement,
    STATE(5694), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6434), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [225907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(9395), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5411), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [225969] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(9451), 1,
      anon_sym_requires,
    STATE(5390), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5413), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [226043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8382), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8410), 1,
      anon_sym_requires,
    STATE(5343), 1,
      sym_trailing_return_type,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [226105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9608), 1,
      sym_identifier,
    ACTIONS(4764), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5542), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9610), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9612), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [226136] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9533), 1,
      anon_sym_LT,
    ACTIONS(9594), 1,
      anon_sym_LBRACE,
    STATE(2340), 1,
      sym_compound_statement,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5517), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6482), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226185] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9533), 1,
      anon_sym_LT,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5435), 1,
      sym_compound_statement,
    STATE(5550), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6500), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226234] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9533), 1,
      anon_sym_LT,
    ACTIONS(9606), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4045), 1,
      sym_compound_statement,
    STATE(5524), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6495), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226283] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    STATE(5414), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [226320] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9533), 1,
      anon_sym_LT,
    ACTIONS(9561), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3546), 1,
      sym_compound_statement,
    STATE(5503), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6439), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226369] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 1,
      anon_sym_requires,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    STATE(5416), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [226406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9618), 1,
      anon_sym_LBRACK,
    ACTIONS(9616), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9622), 1,
      anon_sym_LBRACK,
    ACTIONS(9620), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226456] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7603), 1,
      anon_sym_STAR,
    ACTIONS(7605), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7607), 1,
      anon_sym_AMP,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6212), 1,
      sym__abstract_declarator,
    ACTIONS(7573), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226497] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5017), 1,
      anon_sym_COLON,
    ACTIONS(8358), 1,
      anon_sym_LT,
    STATE(2520), 1,
      sym_template_argument_list,
    ACTIONS(3794), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [226528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9624), 1,
      sym_identifier,
    ACTIONS(4758), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5508), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(9610), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9612), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [226559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9628), 1,
      anon_sym_LBRACK,
    ACTIONS(9626), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226584] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    ACTIONS(9235), 1,
      anon_sym_SEMI,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6952), 1,
      sym_gnu_asm_expression,
    STATE(6977), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [226633] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9533), 1,
      anon_sym_LT,
    ACTIONS(9563), 1,
      anon_sym_LBRACE,
    STATE(1571), 1,
      sym_compound_statement,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5507), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(6614), 1,
      sym_abstract_function_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226682] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    ACTIONS(9632), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6477), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [226717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4499), 1,
      anon_sym_COLON,
    ACTIONS(8358), 1,
      anon_sym_LT,
    STATE(2520), 1,
      sym_template_argument_list,
    ACTIONS(4506), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [226748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9636), 1,
      anon_sym_LBRACK,
    ACTIONS(9634), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226773] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8416), 1,
      anon_sym_requires,
    STATE(5338), 1,
      sym_trailing_return_type,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [226810] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9549), 1,
      anon_sym_requires,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5445), 1,
      sym_compound_statement,
    STATE(5685), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6415), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226859] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7595), 1,
      sym_identifier,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    STATE(5796), 1,
      sym__field_declarator,
    STATE(5980), 1,
      sym_operator_name,
    STATE(8188), 1,
      sym_ms_based_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [226902] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8654), 1,
      anon_sym_requires,
    STATE(5339), 1,
      sym_trailing_return_type,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [226939] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7621), 1,
      anon_sym_STAR,
    ACTIONS(7623), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7625), 1,
      anon_sym_AMP,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6071), 1,
      sym__abstract_declarator,
    ACTIONS(7573), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [226980] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8791), 1,
      anon_sym_requires,
    STATE(5347), 1,
      sym_trailing_return_type,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [227017] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9549), 1,
      anon_sym_requires,
    ACTIONS(9555), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3297), 1,
      sym_compound_statement,
    STATE(5650), 1,
      sym_requires_clause,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(6616), 1,
      sym_abstract_function_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227066] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(7583), 1,
      sym_identifier,
    ACTIONS(7585), 1,
      anon_sym_LPAREN2,
    ACTIONS(7587), 1,
      anon_sym_STAR,
    ACTIONS(7589), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7591), 1,
      anon_sym_AMP,
    STATE(6191), 1,
      sym__field_declarator,
    STATE(6317), 1,
      sym_operator_name,
    STATE(7597), 1,
      sym_ms_based_modifier,
    STATE(6060), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [227109] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9533), 1,
      anon_sym_LT,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3447), 1,
      sym_compound_statement,
    STATE(5521), 1,
      sym_template_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(6566), 1,
      sym_abstract_function_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227158] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    ACTIONS(9359), 1,
      anon_sym_SEMI,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(6849), 1,
      sym_gnu_asm_expression,
    STATE(6850), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [227207] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_requires,
    ACTIONS(6900), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5439), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [227244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LBRACK,
    ACTIONS(9638), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(5694), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [227292] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6241), 1,
      sym__abstract_declarator,
    ACTIONS(7573), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [227332] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(5754), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [227368] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9640), 1,
      sym_identifier,
    ACTIONS(9642), 1,
      sym_primitive_type,
    STATE(3980), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(4631), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227408] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9644), 1,
      sym_identifier,
    ACTIONS(9646), 1,
      sym_primitive_type,
    STATE(2412), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(2465), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6557), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_LBRACK,
    ACTIONS(3618), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [227502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3642), 1,
      anon_sym_LBRACK,
    ACTIONS(3644), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [227526] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9650), 1,
      anon_sym___attribute__,
    ACTIONS(9655), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(9653), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(5569), 3,
      sym_attribute_specifier,
      sym_alignas_qualifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(9648), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [227556] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    STATE(5757), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [227592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6557), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8393), 1,
      anon_sym_requires,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_requires,
    STATE(5728), 1,
      sym_trailing_return_type,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [227688] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9658), 1,
      sym_identifier,
    ACTIONS(9660), 1,
      sym_primitive_type,
    STATE(4873), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(1724), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227728] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(9662), 1,
      anon_sym_requires,
    STATE(5729), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [227764] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9665), 1,
      sym_identifier,
    ACTIONS(9667), 1,
      sym_primitive_type,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(2465), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8444), 1,
      anon_sym_requires,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(5720), 1,
      sym_template_argument_list,
    ACTIONS(7374), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4618), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [227864] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9669), 1,
      sym_identifier,
    ACTIONS(9671), 1,
      sym_primitive_type,
    STATE(1881), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(2086), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8551), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [227904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6557), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [227934] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    STATE(5758), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [227970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1876), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227992] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7665), 1,
      anon_sym_STAR,
    ACTIONS(7667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7669), 1,
      anon_sym_AMP,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6258), 1,
      sym__abstract_declarator,
    ACTIONS(7573), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [228032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6557), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228062] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(5720), 1,
      sym_template_argument_list,
    ACTIONS(4508), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4501), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [228092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228114] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9673), 1,
      sym_identifier,
    ACTIONS(9675), 1,
      sym_primitive_type,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(2569), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228154] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9677), 1,
      sym_identifier,
    ACTIONS(9679), 1,
      sym_primitive_type,
    STATE(1904), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(2086), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8531), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228194] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(5751), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [228230] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6557), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9497), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228286] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9684), 1,
      sym_identifier,
    ACTIONS(9686), 1,
      sym_primitive_type,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(1724), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228326] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(9117), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_EQ,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(7202), 1,
      sym_gnu_asm_expression,
    ACTIONS(9127), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9688), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7387), 2,
      sym_argument_list,
      sym_initializer_list,
  [228370] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9675), 1,
      sym_primitive_type,
    ACTIONS(9690), 1,
      sym_identifier,
    STATE(2070), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(2569), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2844), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228410] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9665), 1,
      sym_identifier,
    ACTIONS(9667), 1,
      sym_primitive_type,
    STATE(2965), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(2465), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3568), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228450] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9644), 1,
      sym_identifier,
    ACTIONS(9646), 1,
      sym_primitive_type,
    STATE(2412), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(2465), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9692), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5686), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4735), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228536] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9694), 1,
      sym_identifier,
    ACTIONS(9696), 1,
      sym_primitive_type,
    STATE(2315), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(2810), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8566), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8751), 1,
      anon_sym_requires,
    ACTIONS(8748), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4731), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4739), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4727), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4723), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228694] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8729), 1,
      anon_sym_requires,
    STATE(5725), 1,
      sym_trailing_return_type,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [228730] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9698), 1,
      sym_identifier,
    ACTIONS(9700), 1,
      sym_primitive_type,
    STATE(2423), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(3076), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8495), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228770] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9686), 1,
      sym_primitive_type,
    ACTIONS(9702), 1,
      sym_identifier,
    STATE(1764), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(1724), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(1752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228832] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9704), 1,
      sym_identifier,
    ACTIONS(9706), 1,
      sym_primitive_type,
    STATE(4125), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(4685), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7302), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [228872] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9147), 1,
      anon_sym_TILDE,
    ACTIONS(9708), 1,
      sym_identifier,
    ACTIONS(9710), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9715), 1,
      anon_sym_template,
    STATE(5874), 1,
      sym__scope_resolution,
    STATE(7322), 1,
      sym_operator_name,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3335), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [228914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(9441), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9526), 1,
      anon_sym_requires,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [228970] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_requires,
    STATE(5724), 1,
      sym_trailing_return_type,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [229006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4743), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9692), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9717), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5627), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4751), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229120] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9640), 1,
      sym_identifier,
    ACTIONS(9642), 1,
      sym_primitive_type,
    STATE(3980), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(4631), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229160] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9719), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      sym_primitive_type,
    STATE(3270), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(3820), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8600), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4711), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4703), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229244] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      sym_primitive_type,
    STATE(2278), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(2722), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8473), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [229284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4719), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229328] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9730), 1,
      anon_sym_requires,
    ACTIONS(9727), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [229358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229387] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6912), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [229447] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9739), 1,
      anon_sym_LBRACK,
    STATE(5864), 1,
      sym_parameter_list,
    STATE(5744), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5462), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229478] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9739), 1,
      anon_sym_LBRACK,
    STATE(5864), 1,
      sym_parameter_list,
    STATE(5744), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5412), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5531), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4949), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(9610), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9612), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229536] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9594), 1,
      anon_sym_LBRACE,
    STATE(2345), 1,
      sym_compound_statement,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6483), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [229579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_LBRACK,
    ACTIONS(5694), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(8797), 1,
      anon_sym_requires,
    STATE(5813), 1,
      sym_trailing_return_type,
    ACTIONS(8748), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [229635] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6934), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229753] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_requires,
    STATE(5756), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [229786] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6960), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229817] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9213), 1,
      anon_sym_TILDE,
    ACTIONS(9745), 1,
      sym_identifier,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9749), 1,
      anon_sym_template,
    STATE(5871), 1,
      sym__scope_resolution,
    STATE(7259), 1,
      sym_operator_name,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2301), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [229856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 1,
      anon_sym_LBRACK,
    ACTIONS(9751), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5527), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [229883] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6833), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229914] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(7008), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [229945] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [229974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230003] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6774), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230034] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6677), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230065] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9555), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3234), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6511), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230108] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6908), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230139] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230197] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(9760), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9762), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9764), 1,
      aux_sym_preproc_elif_token1,
    STATE(6065), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6067), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6252), 1,
      sym_enumerator,
    ACTIONS(9766), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7880), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7896), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [230236] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6650), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230267] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(1566), 1,
      sym_compound_statement,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(6631), 1,
      sym_abstract_function_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 1,
      anon_sym_LBRACK,
    ACTIONS(5909), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [230333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230362] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2997), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [230391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230420] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6845), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230451] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_requires,
    STATE(5798), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [230484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230513] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_requires,
    STATE(5789), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [230546] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9563), 1,
      anon_sym_LBRACE,
    STATE(1566), 1,
      sym_compound_statement,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(6605), 1,
      sym_abstract_function_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [230589] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6859), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230649] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(7026), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [230680] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(6990), 1,
      anon_sym_requires,
    STATE(5799), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [230713] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(9762), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9764), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9772), 1,
      aux_sym_preproc_if_token2,
    STATE(6079), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6080), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6252), 1,
      sym_enumerator,
    ACTIONS(9766), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7871), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(8242), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [230752] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9241), 1,
      anon_sym_TILDE,
    ACTIONS(9774), 1,
      sym_identifier,
    ACTIONS(9776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9778), 1,
      anon_sym_template,
    STATE(5893), 1,
      sym__scope_resolution,
    STATE(7222), 1,
      sym_operator_name,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3474), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [230791] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(9762), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9764), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9780), 1,
      aux_sym_preproc_if_token2,
    STATE(6027), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6031), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6252), 1,
      sym_enumerator,
    ACTIONS(9766), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7611), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7624), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [230830] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    ACTIONS(8866), 1,
      anon_sym_COLON,
    ACTIONS(9784), 1,
      anon_sym_EQ,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(6872), 1,
      sym_bitfield_clause,
    STATE(6873), 1,
      sym_initializer_list,
    STATE(5960), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9782), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [230873] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(8463), 1,
      anon_sym_requires,
    STATE(5768), 1,
      sym_trailing_return_type,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [230906] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9147), 1,
      anon_sym_TILDE,
    ACTIONS(9708), 1,
      sym_identifier,
    ACTIONS(9713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9715), 1,
      anon_sym_template,
    STATE(5874), 1,
      sym__scope_resolution,
    STATE(7322), 1,
      sym_operator_name,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3335), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [230945] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [230974] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9535), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5601), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(6556), 1,
      sym_abstract_function_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231017] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9739), 1,
      anon_sym_LBRACK,
    STATE(5864), 1,
      sym_parameter_list,
    STATE(5744), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5458), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231048] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3366), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6456), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231091] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(9786), 1,
      anon_sym_requires,
    STATE(5816), 1,
      sym_trailing_return_type,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [231124] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9739), 1,
      anon_sym_LBRACK,
    STATE(5864), 1,
      sym_parameter_list,
    STATE(5744), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5496), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231184] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6843), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9739), 1,
      anon_sym_LBRACK,
    STATE(5864), 1,
      sym_parameter_list,
    STATE(5744), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5392), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231246] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5452), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6443), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231347] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9553), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3314), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6478), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231419] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_DASH_GT,
    ACTIONS(8711), 1,
      anon_sym_requires,
    STATE(5804), 1,
      sym_trailing_return_type,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [231452] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2873), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231481] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6720), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231512] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(5632), 1,
      sym_string_literal,
    STATE(5937), 1,
      sym_raw_string_literal,
    STATE(6995), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231543] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9606), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(4144), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(6626), 1,
      sym_abstract_function_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231615] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9213), 1,
      anon_sym_TILDE,
    ACTIONS(9745), 1,
      sym_identifier,
    ACTIONS(9789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9791), 1,
      anon_sym_template,
    STATE(5915), 1,
      sym__scope_resolution,
    STATE(7291), 1,
      sym_operator_name,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2301), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [231654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231683] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(2994), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [231741] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(9561), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(3592), 1,
      sym_compound_statement,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6501), 1,
      sym_abstract_function_declarator,
    STATE(6542), 1,
      sym__abstract_declarator,
    STATE(5819), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [231784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 1,
      anon_sym_LBRACK,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(5720), 1,
      sym_template_argument_list,
    ACTIONS(5799), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [231811] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(9762), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9764), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9793), 1,
      aux_sym_preproc_if_token2,
    STATE(6064), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6077), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6252), 1,
      sym_enumerator,
    ACTIONS(9766), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7618), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(7634), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [231850] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(7145), 1,
      anon_sym_requires,
    STATE(5974), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [231882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8382), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [231930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4811), 1,
      sym_identifier,
    ACTIONS(4813), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [231952] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9795), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [231984] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(8677), 1,
      sym_identifier,
    ACTIONS(8685), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(2920), 1,
      sym_enumerator_list,
    STATE(6155), 1,
      sym__scope_resolution,
    ACTIONS(9797), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3960), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8463), 1,
      anon_sym_requires,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [232052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9557), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232072] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(2234), 1,
      sym_enumerator_list,
    STATE(6152), 1,
      sym__scope_resolution,
    ACTIONS(9799), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4642), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232112] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9801), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [232144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9586), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9578), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9545), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232204] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6103), 1,
      anon_sym_LBRACE,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2507), 1,
      sym_enumerator_list,
    STATE(6157), 1,
      sym__scope_resolution,
    ACTIONS(9803), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4665), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232244] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_SEMI,
    ACTIONS(9807), 1,
      anon_sym_EQ,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9811), 1,
      anon_sym_try,
    STATE(725), 1,
      sym_compound_statement,
    STATE(7288), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(726), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [232282] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9807), 1,
      anon_sym_EQ,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9811), 1,
      anon_sym_try,
    ACTIONS(9813), 1,
      anon_sym_SEMI,
    STATE(704), 1,
      sym_compound_statement,
    STATE(7053), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(707), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [232320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(7889), 1,
      sym_concatenated_string,
    STATE(5919), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [232348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4587), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4580), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [232372] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6103), 1,
      anon_sym_LBRACE,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2507), 1,
      sym_enumerator_list,
    STATE(6169), 1,
      sym__scope_resolution,
    ACTIONS(9815), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3858), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232412] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_requires,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [232442] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6266), 1,
      anon_sym_LBRACE,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(2620), 1,
      sym_template_type,
    STATE(2932), 1,
      sym_enumerator_list,
    STATE(6153), 1,
      sym__scope_resolution,
    ACTIONS(9817), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2610), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232482] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8729), 1,
      anon_sym_requires,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [232512] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8840), 1,
      anon_sym_requires,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [232542] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(2234), 1,
      sym_enumerator_list,
    STATE(6173), 1,
      sym__scope_resolution,
    ACTIONS(9819), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232582] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4563), 1,
      sym_enumerator_list,
    STATE(6165), 1,
      sym__scope_resolution,
    ACTIONS(9821), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232622] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(9662), 1,
      anon_sym_requires,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [232652] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(9823), 1,
      anon_sym_requires,
    ACTIONS(9409), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5518), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [232682] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6165), 1,
      anon_sym_LBRACE,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2504), 1,
      sym_template_type,
    STATE(2753), 1,
      sym_enumerator_list,
    STATE(6175), 1,
      sym__scope_resolution,
    ACTIONS(9826), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2508), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 1,
      anon_sym_LBRACK,
    ACTIONS(9828), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9830), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5627), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [232748] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(5960), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9832), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [232780] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(3716), 1,
      sym_enumerator_list,
    STATE(6165), 1,
      sym__scope_resolution,
    ACTIONS(9834), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4050), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9626), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232840] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8386), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(4309), 1,
      sym_template_type,
    STATE(4654), 1,
      sym_enumerator_list,
    STATE(6148), 1,
      sym__scope_resolution,
    ACTIONS(9836), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4471), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232880] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(3513), 1,
      sym_template_type,
    STATE(3775), 1,
      sym_enumerator_list,
    STATE(6154), 1,
      sym__scope_resolution,
    ACTIONS(9838), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3514), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9840), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5686), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [232942] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2920), 1,
      sym_enumerator_list,
    STATE(6137), 1,
      sym__scope_resolution,
    ACTIONS(9842), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3030), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [232982] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4563), 1,
      sym_enumerator_list,
    STATE(6161), 1,
      sym__scope_resolution,
    ACTIONS(9844), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4732), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233022] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(8709), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2920), 1,
      sym_enumerator_list,
    STATE(6172), 1,
      sym__scope_resolution,
    ACTIONS(9846), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3384), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233062] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8681), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(4943), 1,
      sym_enumerator_list,
    STATE(6158), 1,
      sym__scope_resolution,
    ACTIONS(9848), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4649), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [233102] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9850), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [233134] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9852), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [233166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5613), 1,
      anon_sym_LBRACK,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5615), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [233192] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(6088), 1,
      sym_access_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6898), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9512), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [233230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9840), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9854), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5627), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [233254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9858), 1,
      anon_sym_LBRACK,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9856), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [233280] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3009), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9850), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [233312] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3009), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9852), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [233344] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [233374] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [233404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4827), 1,
      sym_identifier,
    ACTIONS(4829), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [233454] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [233484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8744), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233504] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [233532] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [233562] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6971), 1,
      anon_sym_requires,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5518), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [233592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9537), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233612] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    ACTIONS(9864), 1,
      anon_sym_LBRACE,
    ACTIONS(9866), 1,
      anon_sym_EQ,
    ACTIONS(9868), 1,
      anon_sym_try,
    STATE(1741), 1,
      sym_compound_statement,
    STATE(7141), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1742), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [233650] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(7145), 1,
      anon_sym_requires,
    STATE(5973), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [233682] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(7145), 1,
      anon_sym_requires,
    STATE(5961), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [233714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(7145), 1,
      anon_sym_requires,
    STATE(5971), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [233746] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233774] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233802] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9870), 1,
      anon_sym_SEMI,
    ACTIONS(9872), 1,
      anon_sym_LBRACE,
    ACTIONS(9874), 1,
      anon_sym_EQ,
    ACTIONS(9876), 1,
      anon_sym_try,
    STATE(2003), 1,
      sym_compound_statement,
    STATE(7261), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2012), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [233840] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9878), 1,
      anon_sym_SEMI,
    ACTIONS(9880), 1,
      anon_sym_LBRACE,
    ACTIONS(9882), 1,
      anon_sym_EQ,
    ACTIONS(9884), 1,
      anon_sym_try,
    STATE(2115), 1,
      sym_compound_statement,
    STATE(7324), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2116), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [233878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8711), 1,
      anon_sym_requires,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [233906] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(8559), 1,
      anon_sym_requires,
    STATE(5994), 1,
      sym_trailing_return_type,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [233938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233966] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(8737), 1,
      anon_sym_requires,
    STATE(5935), 1,
      sym_trailing_return_type,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [233998] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(8853), 1,
      anon_sym_requires,
    STATE(5936), 1,
      sym_trailing_return_type,
    ACTIONS(8748), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [234030] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_DASH_GT,
    ACTIONS(9886), 1,
      anon_sym_requires,
    STATE(5945), 1,
      sym_trailing_return_type,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [234062] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9864), 1,
      anon_sym_LBRACE,
    ACTIONS(9866), 1,
      anon_sym_EQ,
    ACTIONS(9868), 1,
      anon_sym_try,
    ACTIONS(9889), 1,
      anon_sym_SEMI,
    STATE(1755), 1,
      sym_compound_statement,
    STATE(7198), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1756), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234128] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3009), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9795), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [234160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9616), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4815), 1,
      sym_identifier,
    ACTIONS(4817), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234258] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      anon_sym_LBRACE,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1915), 1,
      sym_enumerator_list,
    STATE(6159), 1,
      sym__scope_resolution,
    ACTIONS(9891), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9634), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9541), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234358] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(5960), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9893), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234390] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9895), 1,
      anon_sym_SEMI,
    ACTIONS(9897), 1,
      anon_sym_EQ,
    ACTIONS(9899), 1,
      anon_sym_try,
    STATE(555), 1,
      sym_compound_statement,
    STATE(7253), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(559), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4819), 1,
      sym_identifier,
    ACTIONS(4821), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [234450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9395), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234498] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9901), 1,
      anon_sym_SEMI,
    ACTIONS(9903), 1,
      anon_sym_EQ,
    ACTIONS(9905), 1,
      anon_sym_try,
    STATE(350), 1,
      sym_compound_statement,
    STATE(7130), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(356), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234536] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3053), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9907), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [234568] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6119), 1,
      anon_sym_LBRACE,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
    STATE(2701), 1,
      sym_enumerator_list,
    STATE(6125), 1,
      sym__scope_resolution,
    ACTIONS(9909), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2457), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [234608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9574), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8437), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234648] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(5960), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9911), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234680] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(5960), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9913), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9405), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234732] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234760] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3009), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9801), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [234820] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9915), 1,
      anon_sym_SEMI,
    ACTIONS(9917), 1,
      anon_sym_EQ,
    ACTIONS(9919), 1,
      anon_sym_try,
    STATE(626), 1,
      sym_compound_statement,
    STATE(7243), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(627), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [234858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    STATE(2986), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(5960), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9921), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9582), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8797), 1,
      anon_sym_requires,
    ACTIONS(8748), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [234938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9590), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234958] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(6112), 1,
      sym_access_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9512), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [234996] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9917), 1,
      anon_sym_EQ,
    ACTIONS(9919), 1,
      anon_sym_try,
    ACTIONS(9923), 1,
      anon_sym_SEMI,
    STATE(527), 1,
      sym_compound_statement,
    STATE(7310), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(529), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235034] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9872), 1,
      anon_sym_LBRACE,
    ACTIONS(9874), 1,
      anon_sym_EQ,
    ACTIONS(9876), 1,
      anon_sym_try,
    ACTIONS(9925), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_compound_statement,
    STATE(7117), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2061), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235072] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(6103), 1,
      sym_access_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6464), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9512), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [235110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(7641), 1,
      sym_concatenated_string,
    STATE(5912), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [235138] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9897), 1,
      anon_sym_EQ,
    ACTIONS(9899), 1,
      anon_sym_try,
    ACTIONS(9927), 1,
      anon_sym_SEMI,
    STATE(612), 1,
      sym_compound_statement,
    STATE(7318), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(613), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235196] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9786), 1,
      anon_sym_requires,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [235224] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3009), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9907), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [235256] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      anon_sym_LBRACE,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1915), 1,
      sym_enumerator_list,
    STATE(6159), 1,
      sym__scope_resolution,
    ACTIONS(9929), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235296] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9931), 1,
      anon_sym_requires,
    ACTIONS(9727), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [235324] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(6092), 1,
      sym_access_specifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6790), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(9512), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [235362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5684), 1,
      anon_sym_LBRACK,
    ACTIONS(9830), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5686), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [235386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9602), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235406] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9903), 1,
      anon_sym_EQ,
    ACTIONS(9905), 1,
      anon_sym_try,
    ACTIONS(9934), 1,
      anon_sym_SEMI,
    STATE(314), 1,
      sym_compound_statement,
    STATE(7070), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(359), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(7448), 1,
      sym_concatenated_string,
    STATE(5870), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [235472] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(7547), 1,
      sym_concatenated_string,
    STATE(5879), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [235500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(7608), 1,
      sym_concatenated_string,
    STATE(5889), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [235528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(7657), 1,
      sym_concatenated_string,
    STATE(5894), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [235556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      sym_identifier,
    STATE(7694), 1,
      sym_concatenated_string,
    STATE(5899), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [235584] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7573), 1,
      anon_sym_COLON,
    ACTIONS(7830), 1,
      anon_sym_STAR,
    ACTIONS(7832), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7834), 1,
      anon_sym_AMP,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6348), 1,
      sym__abstract_declarator,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [235622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9620), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235642] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(3716), 1,
      sym_enumerator_list,
    STATE(6161), 1,
      sym__scope_resolution,
    ACTIONS(9936), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3803), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [235682] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9880), 1,
      anon_sym_LBRACE,
    ACTIONS(9882), 1,
      anon_sym_EQ,
    ACTIONS(9884), 1,
      anon_sym_try,
    ACTIONS(9938), 1,
      anon_sym_SEMI,
    STATE(2087), 1,
      sym_compound_statement,
    STATE(7287), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2088), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2786), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [235775] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [235802] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9917), 1,
      anon_sym_EQ,
    ACTIONS(9919), 1,
      anon_sym_try,
    STATE(527), 1,
      sym_compound_statement,
    STATE(7310), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(529), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [235837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 1,
      anon_sym_LBRACK,
    ACTIONS(5242), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 1,
      anon_sym_LBRACK,
    ACTIONS(5581), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 1,
      anon_sym_LBRACK,
    ACTIONS(5591), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5601), 1,
      anon_sym_LBRACK,
    ACTIONS(5603), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 1,
      anon_sym_LBRACK,
    ACTIONS(5611), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [235942] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9946), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7220), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7576), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5859), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [235975] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9948), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7279), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7601), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5843), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236008] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9950), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7055), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8208), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6028), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236041] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9952), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7060), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7877), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6028), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236101] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9903), 1,
      anon_sym_EQ,
    ACTIONS(9905), 1,
      anon_sym_try,
    STATE(314), 1,
      sym_compound_statement,
    STATE(7070), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(359), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236136] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [236190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [236217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [236244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [236271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [236298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [236325] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3080), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [236352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9739), 1,
      anon_sym_LBRACK,
    STATE(5864), 1,
      sym_parameter_list,
    STATE(5949), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5412), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9956), 1,
      anon_sym_LBRACK,
    ACTIONS(9954), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236402] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9807), 1,
      anon_sym_EQ,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9811), 1,
      anon_sym_try,
    STATE(725), 1,
      sym_compound_statement,
    STATE(7288), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(726), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236437] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9739), 1,
      anon_sym_LBRACK,
    STATE(5864), 1,
      sym_parameter_list,
    STATE(5949), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5462), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236466] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9739), 1,
      anon_sym_LBRACK,
    STATE(5864), 1,
      sym_parameter_list,
    STATE(5949), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5496), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [236495] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9958), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7089), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7471), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6028), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236528] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9960), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7332), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7402), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6028), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236561] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9962), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7266), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7863), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5924), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5593), 1,
      anon_sym_LBRACK,
    ACTIONS(5595), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236615] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9917), 1,
      anon_sym_EQ,
    ACTIONS(9919), 1,
      anon_sym_try,
    STATE(626), 1,
      sym_compound_statement,
    STATE(7243), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(627), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5605), 1,
      anon_sym_LBRACK,
    ACTIONS(5607), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5597), 1,
      anon_sym_LBRACK,
    ACTIONS(5599), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236692] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9964), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7325), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7912), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5867), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9968), 1,
      anon_sym_LBRACK,
    ACTIONS(9966), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236746] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9970), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7327), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7865), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6028), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5804), 1,
      anon_sym_LBRACK,
    ACTIONS(5806), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [236800] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9903), 1,
      anon_sym_EQ,
    ACTIONS(9905), 1,
      anon_sym_try,
    STATE(350), 1,
      sym_compound_statement,
    STATE(7130), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(356), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [236835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9972), 1,
      anon_sym_RPAREN,
    STATE(5531), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9610), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9612), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [236860] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9749), 1,
      anon_sym_template,
    ACTIONS(9974), 1,
      sym_identifier,
    STATE(2260), 1,
      sym_template_method,
    STATE(2266), 1,
      sym_dependent_field_identifier,
    STATE(2272), 1,
      sym_qualified_field_identifier,
    STATE(5871), 1,
      sym__scope_resolution,
    STATE(7259), 1,
      sym_operator_name,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [236899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [236926] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9976), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7165), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7613), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5895), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [236959] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9715), 1,
      anon_sym_template,
    ACTIONS(9978), 1,
      sym_identifier,
    STATE(3285), 1,
      sym_template_method,
    STATE(3294), 1,
      sym_dependent_field_identifier,
    STATE(3323), 1,
      sym_qualified_field_identifier,
    STATE(5874), 1,
      sym__scope_resolution,
    STATE(7322), 1,
      sym_operator_name,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [236998] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6365), 1,
      sym__abstract_declarator,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [237033] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    STATE(6053), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [237066] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9980), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7277), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7614), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5841), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237099] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    STATE(6054), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [237132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      anon_sym_RPAREN,
    STATE(5531), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9610), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9612), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [237157] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    STATE(6055), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [237190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    STATE(6056), 1,
      sym_trailing_return_type,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [237223] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8714), 1,
      anon_sym_requires,
    STATE(6015), 1,
      sym_trailing_return_type,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [237256] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8764), 1,
      anon_sym_requires,
    STATE(6018), 1,
      sym_trailing_return_type,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [237289] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8890), 1,
      anon_sym_requires,
    STATE(6019), 1,
      sym_trailing_return_type,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [237322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9986), 1,
      anon_sym_LBRACK,
    ACTIONS(9984), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237343] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9988), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7049), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7534), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5896), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237376] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9990), 1,
      sym_identifier,
    ACTIONS(9992), 1,
      anon_sym_COLON_COLON,
    STATE(5898), 1,
      sym__scope_resolution,
    STATE(6803), 1,
      sym_field_initializer,
    STATE(7185), 1,
      sym_operator_name,
    STATE(6468), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9996), 1,
      anon_sym_LBRACK,
    ACTIONS(9994), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9998), 1,
      anon_sym_RPAREN,
    STATE(5531), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9610), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9612), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [237459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5536), 1,
      anon_sym_LBRACK,
    ACTIONS(5538), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5540), 1,
      anon_sym_LBRACK,
    ACTIONS(5542), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237522] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9778), 1,
      anon_sym_template,
    ACTIONS(10000), 1,
      sym_identifier,
    STATE(3346), 1,
      sym_qualified_field_identifier,
    STATE(3478), 1,
      sym_template_method,
    STATE(3480), 1,
      sym_dependent_field_identifier,
    STATE(5893), 1,
      sym__scope_resolution,
    STATE(7222), 1,
      sym_operator_name,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10002), 1,
      anon_sym_RPAREN,
    STATE(5531), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9610), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9612), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [237586] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10004), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7214), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7708), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6028), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237619] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10006), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7258), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7620), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6028), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10010), 1,
      anon_sym_LBRACK,
    ACTIONS(10008), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237673] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9992), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10012), 1,
      sym_identifier,
    ACTIONS(10014), 1,
      anon_sym_template,
    STATE(2260), 1,
      sym_template_method,
    STATE(2266), 1,
      sym_dependent_field_identifier,
    STATE(2272), 1,
      sym_qualified_field_identifier,
    STATE(5898), 1,
      sym__scope_resolution,
    STATE(7185), 1,
      sym_operator_name,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10016), 1,
      anon_sym_RPAREN,
    STATE(5531), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9610), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9612), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [237737] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9990), 1,
      sym_identifier,
    ACTIONS(9992), 1,
      anon_sym_COLON_COLON,
    STATE(5898), 1,
      sym__scope_resolution,
    STATE(7185), 1,
      sym_operator_name,
    STATE(7264), 1,
      sym_field_initializer,
    STATE(6468), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [237774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5555), 1,
      anon_sym_LBRACK,
    ACTIONS(5557), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237795] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4600), 1,
      anon_sym_AMP,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6343), 1,
      sym__abstract_declarator,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [237830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [237857] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10018), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7233), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7745), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5858), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [237890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [237917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(4618), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [237938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [237965] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9807), 1,
      anon_sym_EQ,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9811), 1,
      anon_sym_try,
    STATE(704), 1,
      sym_compound_statement,
    STATE(7053), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(707), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10022), 1,
      anon_sym_LBRACK,
    ACTIONS(10020), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238021] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3094), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [238048] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
    ACTIONS(7224), 1,
      anon_sym_LBRACK,
    ACTIONS(7621), 1,
      anon_sym_STAR,
    ACTIONS(7623), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7625), 1,
      anon_sym_AMP,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(5734), 1,
      sym__function_declarator_seq,
    STATE(6190), 1,
      sym__abstract_declarator,
    STATE(5819), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [238083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10024), 1,
      anon_sym_RPAREN,
    STATE(5531), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9610), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9612), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [238108] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9897), 1,
      anon_sym_EQ,
    ACTIONS(9899), 1,
      anon_sym_try,
    STATE(555), 1,
      sym_compound_statement,
    STATE(7253), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(559), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238143] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9739), 1,
      anon_sym_LBRACK,
    STATE(5864), 1,
      sym_parameter_list,
    STATE(5949), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5458), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [238172] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9791), 1,
      anon_sym_template,
    ACTIONS(9974), 1,
      sym_identifier,
    STATE(2260), 1,
      sym_template_method,
    STATE(2266), 1,
      sym_dependent_field_identifier,
    STATE(2272), 1,
      sym_qualified_field_identifier,
    STATE(5915), 1,
      sym__scope_resolution,
    STATE(7291), 1,
      sym_operator_name,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [238211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10028), 1,
      anon_sym_LBRACK,
    ACTIONS(10026), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238232] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9739), 1,
      anon_sym_LBRACK,
    STATE(5864), 1,
      sym_parameter_list,
    STATE(5949), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5392), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [238261] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10030), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7385), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7418), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5920), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10032), 1,
      anon_sym_RPAREN,
    STATE(5531), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9610), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9612), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [238319] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10034), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7087), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7501), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6028), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238352] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10036), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7307), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7919), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(5932), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10040), 1,
      anon_sym_LBRACK,
    ACTIONS(10038), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10044), 1,
      anon_sym_LBRACK,
    ACTIONS(10042), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238427] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10046), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7321), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8034), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6028), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(4501), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(4501), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(4501), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(4501), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(4501), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(4501), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [238586] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    ACTIONS(9897), 1,
      anon_sym_EQ,
    ACTIONS(9899), 1,
      anon_sym_try,
    STATE(612), 1,
      sym_compound_statement,
    STATE(7318), 1,
      sym_field_initializer_list,
    ACTIONS(4618), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(613), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [238621] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(9942), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10048), 1,
      anon_sym_RBRACE,
    ACTIONS(9944), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7326), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8003), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6028), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [238654] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_DASH_GT,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(10050), 1,
      anon_sym_requires,
    STATE(6029), 1,
      sym_trailing_return_type,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [238687] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(3722), 1,
      sym_enumerator_list,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(4051), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8853), 1,
      anon_sym_requires,
    ACTIONS(8748), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [238749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9886), 1,
      anon_sym_requires,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [238775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5531), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(9610), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(9612), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [238797] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(8677), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2910), 1,
      sym_enumerator_list,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(3010), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [238833] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(9786), 1,
      anon_sym_requires,
    STATE(5816), 1,
      sym_trailing_return_type,
    ACTIONS(9523), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [238863] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5462), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [238891] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3079), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9850), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [238921] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3079), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9852), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [238951] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3079), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9795), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [238981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10055), 1,
      anon_sym_LT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    STATE(6020), 1,
      sym_template_argument_list,
    ACTIONS(10053), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [239005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10059), 1,
      anon_sym_requires,
    ACTIONS(9727), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [239031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10062), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5686), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [239051] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3079), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9801), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [239081] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8681), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(4919), 1,
      sym_enumerator_list,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(4671), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 1,
      anon_sym_LBRACK,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5615), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [239141] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5392), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [239169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3079), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9907), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [239199] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6119), 1,
      anon_sym_LBRACE,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8679), 1,
      sym_identifier,
    STATE(2480), 1,
      sym_template_type,
    STATE(2677), 1,
      sym_enumerator_list,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(2460), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239235] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(3722), 1,
      sym_enumerator_list,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(3809), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239271] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5496), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [239299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9858), 1,
      anon_sym_LBRACK,
    STATE(5472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9856), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [239323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239349] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239375] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6165), 1,
      anon_sym_LBRACE,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(2504), 1,
      sym_template_type,
    STATE(2713), 1,
      sym_enumerator_list,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(2513), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239411] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5458), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [239439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10066), 1,
      anon_sym_LBRACK,
    STATE(5472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10064), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [239463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7145), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [239489] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5412), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [239517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7348), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7350), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [239537] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6103), 1,
      anon_sym_LBRACE,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8687), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2493), 1,
      sym_enumerator_list,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(4650), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239573] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      anon_sym_LBRACE,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1900), 1,
      sym_enumerator_list,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(2207), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239609] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6266), 1,
      anon_sym_LBRACE,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8691), 1,
      sym_identifier,
    STATE(2620), 1,
      sym_template_type,
    STATE(2950), 1,
      sym_enumerator_list,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(2598), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239697] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8735), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(2289), 1,
      sym_enumerator_list,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(4651), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10062), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10068), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5627), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [239755] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7145), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5812), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [239781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7145), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [239833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7145), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [239859] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    STATE(5799), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [239889] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8386), 1,
      anon_sym_LBRACE,
    ACTIONS(8697), 1,
      sym_identifier,
    STATE(4309), 1,
      sym_template_type,
    STATE(4648), 1,
      sym_enumerator_list,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(4476), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239925] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    STATE(5756), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [239955] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5322), 1,
      anon_sym_LBRACE,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8683), 1,
      sym_identifier,
    STATE(1813), 1,
      sym_template_type,
    STATE(1900), 1,
      sym_enumerator_list,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(2330), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [239991] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10055), 1,
      anon_sym_LT,
    ACTIONS(10072), 1,
      anon_sym_LBRACK,
    STATE(6069), 1,
      sym_template_argument_list,
    ACTIONS(10070), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [240041] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    STATE(5789), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240071] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6990), 1,
      anon_sym_requires,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    STATE(5798), 1,
      sym_trailing_return_type,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5797), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240101] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8463), 1,
      anon_sym_requires,
    STATE(5768), 1,
      sym_trailing_return_type,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240131] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(8677), 1,
      sym_identifier,
    ACTIONS(8685), 1,
      anon_sym_COLON_COLON,
    STATE(2197), 1,
      sym_template_type,
    STATE(2910), 1,
      sym_enumerator_list,
    STATE(6155), 1,
      sym__scope_resolution,
    STATE(3970), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240167] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8665), 1,
      sym_identifier,
    STATE(1649), 1,
      sym_template_type,
    STATE(2289), 1,
      sym_enumerator_list,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(3724), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240203] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8559), 1,
      anon_sym_requires,
    ACTIONS(8390), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240229] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240255] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7176), 1,
      anon_sym_LBRACE,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8699), 1,
      sym_identifier,
    STATE(3513), 1,
      sym_template_type,
    STATE(3760), 1,
      sym_enumerator_list,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(3517), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7145), 1,
      anon_sym_requires,
    ACTIONS(6555), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5794), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240317] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8711), 1,
      anon_sym_requires,
    STATE(5804), 1,
      sym_trailing_return_type,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240347] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(6103), 1,
      anon_sym_LBRACE,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8689), 1,
      sym_identifier,
    STATE(2484), 1,
      sym_template_type,
    STATE(2493), 1,
      sym_enumerator_list,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(3884), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3247), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [240409] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6442), 1,
      anon_sym_LBRACE,
    ACTIONS(8709), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(2910), 1,
      sym_enumerator_list,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(3386), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8737), 1,
      anon_sym_requires,
    ACTIONS(8441), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5755), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [240471] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7336), 1,
      anon_sym_DASH_GT,
    ACTIONS(8797), 1,
      anon_sym_requires,
    STATE(5813), 1,
      sym_trailing_return_type,
    ACTIONS(8748), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5611), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5788), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [240501] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    ACTIONS(8693), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4564), 1,
      sym_enumerator_list,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(4442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240537] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(4564), 1,
      sym_enumerator_list,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(4733), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [240573] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9760), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(10074), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10076), 1,
      aux_sym_preproc_elif_token1,
    STATE(6065), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7474), 1,
      sym_enumerator,
    ACTIONS(10078), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7880), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [240604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10082), 1,
      anon_sym_LBRACK,
    ACTIONS(10080), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [240623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10086), 1,
      anon_sym_LBRACK,
    ACTIONS(10084), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [240642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10090), 1,
      anon_sym_LBRACK,
    ACTIONS(10088), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [240661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10094), 1,
      anon_sym_LBRACK,
    ACTIONS(10092), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [240680] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9341), 1,
      anon_sym_try,
    STATE(598), 1,
      sym_try_statement,
    STATE(658), 1,
      sym_compound_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240715] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9341), 1,
      anon_sym_try,
    STATE(625), 1,
      sym_compound_statement,
    STATE(655), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240750] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(10074), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10076), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10096), 1,
      aux_sym_preproc_if_token2,
    STATE(6064), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7474), 1,
      sym_enumerator,
    ACTIONS(10078), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7618), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [240781] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9341), 1,
      anon_sym_try,
    STATE(542), 1,
      sym_compound_statement,
    STATE(558), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [240841] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10098), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7789), 1,
      sym_qualified_identifier,
    ACTIONS(10100), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [240872] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9363), 1,
      anon_sym_try,
    STATE(354), 1,
      sym_compound_statement,
    STATE(355), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240907] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9363), 1,
      anon_sym_try,
    STATE(315), 1,
      sym_try_statement,
    STATE(358), 1,
      sym_compound_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240942] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8884), 1,
      anon_sym_try,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9880), 1,
      anon_sym_LBRACE,
    STATE(2163), 1,
      sym_compound_statement,
    STATE(2164), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240977] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9850), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [241006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10102), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7856), 1,
      sym_qualified_identifier,
    ACTIONS(10104), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241037] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(8714), 1,
      anon_sym_requires,
    ACTIONS(8407), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241064] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(8764), 1,
      anon_sym_requires,
    ACTIONS(8590), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10106), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7763), 1,
      sym_qualified_identifier,
    ACTIONS(10108), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241122] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [241147] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(8890), 1,
      anon_sym_requires,
    ACTIONS(8773), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241174] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(10050), 1,
      anon_sym_requires,
    ACTIONS(9399), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5669), 1,
      anon_sym_LBRACK,
    ACTIONS(5671), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5613), 1,
      anon_sym_LBRACK,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5615), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [241243] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9129), 1,
      anon_sym_try,
    STATE(567), 1,
      sym_compound_statement,
    STATE(573), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241278] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241328] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10110), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7553), 1,
      sym_qualified_identifier,
    ACTIONS(10112), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241359] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9129), 1,
      anon_sym_try,
    STATE(576), 1,
      sym_compound_statement,
    STATE(607), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241394] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(10074), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10076), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10114), 1,
      aux_sym_preproc_if_token2,
    STATE(6193), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7474), 1,
      sym_enumerator,
    ACTIONS(10078), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7802), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [241425] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10116), 1,
      sym_identifier,
    ACTIONS(10119), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10125), 1,
      sym_preproc_directive,
    ACTIONS(10128), 1,
      anon_sym_RBRACE,
    ACTIONS(10122), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7730), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(6028), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [241454] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(10130), 1,
      anon_sym_requires,
    ACTIONS(9409), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5518), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [241481] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9237), 1,
      anon_sym_try,
    STATE(702), 1,
      sym_compound_statement,
    STATE(703), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241516] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(10133), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10135), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10137), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10139), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6207), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7804), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [241545] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8868), 1,
      anon_sym_try,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9872), 1,
      anon_sym_LBRACE,
    STATE(1943), 1,
      sym_compound_statement,
    STATE(1944), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241580] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9780), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(10074), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10076), 1,
      aux_sym_preproc_elif_token1,
    STATE(6027), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7474), 1,
      sym_enumerator,
    ACTIONS(10078), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7611), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [241611] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(10135), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10137), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10141), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10139), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6031), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7624), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [241640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241690] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(10143), 1,
      sym_virtual,
    STATE(2197), 1,
      sym_template_type,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [241723] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10145), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7873), 1,
      sym_qualified_identifier,
    ACTIONS(10147), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [241754] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8868), 1,
      anon_sym_try,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9872), 1,
      anon_sym_LBRACE,
    STATE(1947), 1,
      sym_compound_statement,
    STATE(1948), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241789] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9237), 1,
      anon_sym_try,
    STATE(679), 1,
      sym_compound_statement,
    STATE(680), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10151), 1,
      anon_sym_LBRACK,
    ACTIONS(10149), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [241843] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8884), 1,
      anon_sym_try,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9880), 1,
      anon_sym_LBRACE,
    STATE(2133), 1,
      sym_compound_statement,
    STATE(2134), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [241903] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8876), 1,
      anon_sym_try,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9864), 1,
      anon_sym_LBRACE,
    STATE(1766), 1,
      sym_compound_statement,
    STATE(1767), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241938] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8876), 1,
      anon_sym_try,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9864), 1,
      anon_sym_LBRACE,
    STATE(1768), 1,
      sym_compound_statement,
    STATE(1769), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5684), 1,
      anon_sym_LBRACK,
    ACTIONS(10153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5686), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10157), 1,
      anon_sym_LBRACK,
    ACTIONS(10155), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242013] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(10159), 1,
      sym_virtual,
    STATE(2197), 1,
      sym_template_type,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6898), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242046] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10161), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_qualified_identifier,
    ACTIONS(10163), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [242077] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9795), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [242106] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(8384), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5520), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8382), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242133] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8876), 1,
      anon_sym_try,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9864), 1,
      anon_sym_LBRACE,
    STATE(1779), 1,
      sym_compound_statement,
    STATE(1780), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242168] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(8439), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5506), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8437), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242195] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(8746), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5525), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(8744), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242222] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5494), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9395), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242249] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7338), 1,
      anon_sym_requires,
    ACTIONS(9407), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5362), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(5518), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9405), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [242276] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9363), 1,
      anon_sym_try,
    STATE(295), 1,
      sym_compound_statement,
    STATE(296), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10072), 1,
      anon_sym_LBRACK,
    ACTIONS(10070), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242380] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8868), 1,
      anon_sym_try,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9872), 1,
      anon_sym_LBRACE,
    STATE(1961), 1,
      sym_compound_statement,
    STATE(1963), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10167), 1,
      anon_sym_LBRACK,
    ACTIONS(10165), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242434] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242459] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(10074), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10076), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10169), 1,
      aux_sym_preproc_if_token2,
    STATE(6193), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7474), 1,
      sym_enumerator,
    ACTIONS(10078), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7446), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242490] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(10074), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10076), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10171), 1,
      aux_sym_preproc_if_token2,
    STATE(6193), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7474), 1,
      sym_enumerator,
    ACTIONS(10078), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7643), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3290), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242546] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(10135), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10137), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10173), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10139), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6207), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7644), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [242575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 1,
      anon_sym_LBRACK,
    ACTIONS(10153), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10175), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5627), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5767), 1,
      anon_sym_LBRACK,
    ACTIONS(5769), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [242617] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8884), 1,
      anon_sym_try,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9880), 1,
      anon_sym_LBRACE,
    STATE(2138), 1,
      sym_compound_statement,
    STATE(2139), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242652] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242677] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9852), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [242706] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(10177), 1,
      sym_virtual,
    STATE(2197), 1,
      sym_template_type,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6790), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242739] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9907), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [242768] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(10135), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10137), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10179), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10139), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6067), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7896), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [242797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(10074), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10076), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10181), 1,
      aux_sym_preproc_if_token2,
    STATE(6079), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7474), 1,
      sym_enumerator,
    ACTIONS(10078), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8242), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242828] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(10135), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10137), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10183), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10139), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6207), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7424), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [242857] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9129), 1,
      anon_sym_try,
    STATE(597), 1,
      sym_compound_statement,
    STATE(602), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(10074), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10076), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10185), 1,
      aux_sym_preproc_if_token2,
    STATE(6193), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7474), 1,
      sym_enumerator,
    ACTIONS(10078), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7701), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [242923] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(10135), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10137), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10187), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10139), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6207), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7878), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [242952] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    ACTIONS(10189), 1,
      sym_virtual,
    STATE(2197), 1,
      sym_template_type,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6464), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [242985] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9801), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [243014] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10191), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7427), 1,
      sym_qualified_identifier,
    ACTIONS(10193), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [243045] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9237), 1,
      anon_sym_try,
    STATE(676), 1,
      sym_compound_statement,
    STATE(677), 1,
      sym_try_statement,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10197), 1,
      anon_sym_LBRACK,
    STATE(6406), 1,
      sym_gnu_asm_input_operand,
    STATE(7538), 1,
      sym_string_literal,
    ACTIONS(10195), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [243104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_LBRACK,
    ACTIONS(4548), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243122] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(10199), 1,
      anon_sym_COMMA,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6557), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(10201), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243152] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6964), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10207), 1,
      anon_sym_delete,
    ACTIONS(10209), 1,
      anon_sym_new,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10211), 1,
      anon_sym_delete,
    ACTIONS(10213), 1,
      anon_sym_new,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243226] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_LBRACK,
    STATE(6497), 1,
      sym_gnu_asm_output_operand,
    STATE(7571), 1,
      sym_string_literal,
    ACTIONS(10215), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [243250] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6898), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10219), 1,
      anon_sym_delete,
    ACTIONS(10221), 1,
      anon_sym_new,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10223), 1,
      anon_sym_delete,
    ACTIONS(10225), 1,
      anon_sym_new,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10213), 1,
      anon_sym_new,
    ACTIONS(10227), 1,
      anon_sym_delete,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243346] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10231), 1,
      anon_sym_EQ,
    STATE(3079), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    ACTIONS(10229), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10233), 1,
      anon_sym_delete,
    ACTIONS(10235), 1,
      anon_sym_new,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_LBRACK,
    ACTIONS(4552), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_LBRACK,
    ACTIONS(4536), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_LBRACK,
    ACTIONS(4540), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_LBRACK,
    ACTIONS(4556), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4477), 1,
      anon_sym_LBRACK,
    ACTIONS(4479), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243488] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6521), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10237), 1,
      anon_sym_delete,
    ACTIONS(10239), 1,
      anon_sym_new,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10241), 1,
      anon_sym_delete,
    ACTIONS(10243), 1,
      anon_sym_new,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10221), 1,
      anon_sym_new,
    ACTIONS(10245), 1,
      anon_sym_delete,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243584] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10247), 1,
      anon_sym_EQ,
    STATE(3079), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    ACTIONS(10229), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(10249), 1,
      sym_identifier,
    ACTIONS(10251), 1,
      anon_sym_COLON_COLON,
    STATE(2646), 1,
      sym_template_type,
    STATE(6162), 1,
      sym__scope_resolution,
    STATE(2663), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10253), 1,
      anon_sym_delete,
    ACTIONS(10255), 1,
      anon_sym_new,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243714] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8707), 1,
      sym_identifier,
    STATE(2197), 1,
      sym_template_type,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(6606), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(7635), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243744] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3433), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10221), 1,
      anon_sym_new,
    ACTIONS(10257), 1,
      anon_sym_delete,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10259), 1,
      anon_sym_delete,
    ACTIONS(10261), 1,
      anon_sym_new,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10225), 1,
      anon_sym_new,
    ACTIONS(10263), 1,
      anon_sym_delete,
    ACTIONS(10205), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10203), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [243954] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10265), 1,
      anon_sym_EQ,
    STATE(3079), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(7456), 1,
      sym_initializer_list,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_LBRACK,
    ACTIONS(4544), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244004] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10267), 1,
      sym_identifier,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    STATE(583), 1,
      sym_declaration_list,
    STATE(6270), 1,
      sym_attribute_declaration,
    STATE(7309), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [244035] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10273), 1,
      sym_identifier,
    ACTIONS(10275), 1,
      anon_sym_template,
    STATE(2487), 1,
      sym_template_type,
    STATE(2488), 1,
      sym_dependent_type_identifier,
    STATE(2524), 1,
      sym_qualified_type_identifier,
    STATE(6125), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [244066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10277), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      sym_system_lib_string,
    STATE(8165), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10279), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [244087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10283), 1,
      sym_identifier,
    ACTIONS(10285), 1,
      sym_system_lib_string,
    STATE(7473), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10279), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [244108] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10287), 1,
      sym_identifier,
    STATE(329), 1,
      sym_declaration_list,
    STATE(6240), 1,
      sym_attribute_declaration,
    STATE(7088), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [244139] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10289), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7951), 1,
      sym_qualified_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244166] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10291), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7468), 1,
      sym_qualified_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5684), 1,
      anon_sym_AMP,
    ACTIONS(10293), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(5686), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [244235] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244327] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10295), 1,
      sym_identifier,
    ACTIONS(10297), 1,
      anon_sym_template,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(6137), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [244358] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10299), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7890), 1,
      sym_qualified_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244385] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10303), 1,
      anon_sym_AMP,
    ACTIONS(10305), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(10301), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [244427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10307), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7480), 1,
      sym_qualified_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9735), 1,
      anon_sym_LBRACK,
    STATE(3587), 1,
      sym_parameter_list,
    STATE(5515), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244500] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10309), 1,
      sym_identifier,
    STATE(577), 1,
      sym_declaration_list,
    STATE(6229), 1,
      sym_attribute_declaration,
    STATE(7284), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [244531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(2661), 1,
      sym_template_argument_list,
    ACTIONS(7374), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4618), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [244554] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10311), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [244579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 1,
      anon_sym_AMP,
    ACTIONS(10293), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10313), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(5627), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [244600] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10315), 1,
      sym_identifier,
    ACTIONS(10317), 1,
      anon_sym_template,
    STATE(4310), 1,
      sym_template_type,
    STATE(4311), 1,
      sym_dependent_type_identifier,
    STATE(4532), 1,
      sym_qualified_type_identifier,
    STATE(6148), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [244631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(2661), 1,
      sym_template_argument_list,
    ACTIONS(4508), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(4501), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [244654] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10319), 1,
      sym_identifier,
    STATE(553), 1,
      sym_declaration_list,
    STATE(6236), 1,
      sym_attribute_declaration,
    STATE(7109), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [244685] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10321), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7646), 1,
      sym_qualified_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244712] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7200), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_template,
    STATE(1634), 1,
      sym_template_type,
    STATE(1635), 1,
      sym_dependent_type_identifier,
    STATE(1689), 1,
      sym_qualified_type_identifier,
    STATE(6152), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [244743] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8493), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10327), 1,
      sym_identifier,
    ACTIONS(10329), 1,
      anon_sym_template,
    STATE(2694), 1,
      sym_template_type,
    STATE(2695), 1,
      sym_dependent_type_identifier,
    STATE(2706), 1,
      sym_qualified_type_identifier,
    STATE(6153), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [244774] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10331), 1,
      sym_identifier,
    ACTIONS(10333), 1,
      anon_sym_template,
    STATE(3488), 1,
      sym_template_type,
    STATE(3498), 1,
      sym_dependent_type_identifier,
    STATE(3683), 1,
      sym_qualified_type_identifier,
    STATE(6154), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [244805] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8685), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10295), 1,
      sym_identifier,
    ACTIONS(10297), 1,
      anon_sym_template,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(2943), 1,
      sym_qualified_type_identifier,
    STATE(6155), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [244836] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10335), 1,
      sym_identifier,
    STATE(695), 1,
      sym_declaration_list,
    STATE(6242), 1,
      sym_attribute_declaration,
    STATE(7340), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [244867] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10337), 1,
      sym_identifier,
    ACTIONS(10339), 1,
      anon_sym_template,
    STATE(2447), 1,
      sym_template_type,
    STATE(2448), 1,
      sym_dependent_type_identifier,
    STATE(2516), 1,
      sym_qualified_type_identifier,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [244898] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_template,
    STATE(1634), 1,
      sym_template_type,
    STATE(1635), 1,
      sym_dependent_type_identifier,
    STATE(1689), 1,
      sym_qualified_type_identifier,
    STATE(6158), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [244929] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10345), 1,
      sym_identifier,
    ACTIONS(10347), 1,
      anon_sym_template,
    STATE(1798), 1,
      sym_template_type,
    STATE(1799), 1,
      sym_dependent_type_identifier,
    STATE(1844), 1,
      sym_qualified_type_identifier,
    STATE(6159), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [244960] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(3566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10349), 1,
      sym_identifier,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [244991] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10349), 1,
      sym_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(2943), 1,
      sym_qualified_type_identifier,
    STATE(6161), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [245022] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(10251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10351), 1,
      sym_identifier,
    ACTIONS(10353), 1,
      anon_sym_template,
    STATE(2611), 1,
      sym_template_type,
    STATE(2628), 1,
      sym_qualified_type_identifier,
    STATE(2641), 1,
      sym_dependent_type_identifier,
    STATE(6162), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [245053] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8899), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10355), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_template,
    STATE(1634), 1,
      sym_template_type,
    STATE(1635), 1,
      sym_dependent_type_identifier,
    STATE(1689), 1,
      sym_qualified_type_identifier,
    STATE(6163), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [245084] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10359), 1,
      sym_identifier,
    STATE(601), 1,
      sym_declaration_list,
    STATE(6228), 1,
      sym_attribute_declaration,
    STATE(7303), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [245115] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7236), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_identifier,
    ACTIONS(10363), 1,
      anon_sym_template,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(2943), 1,
      sym_qualified_type_identifier,
    STATE(6165), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [245146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      sym_system_lib_string,
    STATE(8220), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10279), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [245167] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10369), 1,
      sym_identifier,
    ACTIONS(10371), 1,
      anon_sym_template,
    STATE(2189), 1,
      sym_qualified_type_identifier,
    STATE(2221), 1,
      sym_template_type,
    STATE(2225), 1,
      sym_dependent_type_identifier,
    STATE(6167), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [245198] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10373), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7638), 1,
      sym_qualified_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245225] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      anon_sym_template,
    ACTIONS(10375), 1,
      sym_identifier,
    STATE(2447), 1,
      sym_template_type,
    STATE(2448), 1,
      sym_dependent_type_identifier,
    STATE(2516), 1,
      sym_qualified_type_identifier,
    STATE(6169), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [245256] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10377), 1,
      sym_identifier,
    STATE(337), 1,
      sym_declaration_list,
    STATE(6271), 1,
      sym_attribute_declaration,
    STATE(7227), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [245287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10379), 1,
      sym_identifier,
    ACTIONS(10381), 1,
      sym_system_lib_string,
    STATE(8172), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10279), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [245308] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(4602), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10383), 1,
      sym_identifier,
    ACTIONS(10385), 1,
      anon_sym_template,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [245339] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8620), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10325), 1,
      anon_sym_template,
    ACTIONS(10387), 1,
      sym_identifier,
    STATE(1634), 1,
      sym_template_type,
    STATE(1635), 1,
      sym_dependent_type_identifier,
    STATE(1689), 1,
      sym_qualified_type_identifier,
    STATE(6173), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [245370] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10389), 1,
      sym_identifier,
    STATE(690), 1,
      sym_declaration_list,
    STATE(6232), 1,
      sym_attribute_declaration,
    STATE(7071), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [245401] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(8564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10391), 1,
      sym_identifier,
    ACTIONS(10393), 1,
      anon_sym_template,
    STATE(2498), 1,
      sym_template_type,
    STATE(2503), 1,
      sym_dependent_type_identifier,
    STATE(2543), 1,
      sym_qualified_type_identifier,
    STATE(6175), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [245432] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(7263), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      sym_identifier,
    ACTIONS(10363), 1,
      anon_sym_template,
    STATE(2187), 1,
      sym_qualified_type_identifier,
    STATE(2205), 1,
      sym_template_type,
    STATE(2219), 1,
      sym_dependent_type_identifier,
    STATE(6176), 1,
      sym__scope_resolution,
    STATE(7635), 1,
      sym_decltype,
  [245463] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 1,
      anon_sym_template,
    ACTIONS(1918), 1,
      anon_sym_decltype,
    ACTIONS(9433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10395), 1,
      sym_identifier,
    STATE(5359), 1,
      sym__scope_resolution,
    STATE(7900), 1,
      sym_qualified_identifier,
    STATE(7635), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [245490] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_SEMI,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245516] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10399), 1,
      anon_sym_SEMI,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245542] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(10401), 1,
      anon_sym_SEMI,
    ACTIONS(10403), 1,
      anon_sym_EQ,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245568] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9852), 1,
      anon_sym_COLON,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245594] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(7374), 1,
      anon_sym_LBRACK,
    STATE(5720), 1,
      sym_template_argument_list,
    ACTIONS(4618), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [245616] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(10405), 1,
      anon_sym_SEMI,
    ACTIONS(10407), 1,
      anon_sym_EQ,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(6592), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245642] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(10409), 1,
      anon_sym_SEMI,
    ACTIONS(10411), 1,
      anon_sym_EQ,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(6561), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245668] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4508), 1,
      anon_sym_LBRACK,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(5720), 1,
      sym_template_argument_list,
    ACTIONS(4501), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [245690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245712] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    ACTIONS(10413), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(6318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245738] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10415), 1,
      anon_sym_SEMI,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(2804), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(10417), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [245808] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    ACTIONS(9913), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(6318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245834] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9850), 1,
      anon_sym_COLON,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245860] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10419), 1,
      sym_identifier,
    ACTIONS(10424), 1,
      aux_sym_preproc_elif_token1,
    STATE(6193), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7474), 1,
      sym_enumerator,
    ACTIONS(10422), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [245882] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(10426), 1,
      anon_sym_SEMI,
    ACTIONS(10428), 1,
      anon_sym_EQ,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(6450), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245908] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10430), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245934] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10432), 1,
      anon_sym_COLON,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245960] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10434), 1,
      anon_sym_SEMI,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [245986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10438), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10440), 1,
      anon_sym_EQ,
    ACTIONS(10436), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [246004] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    ACTIONS(9911), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(6318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246030] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    ACTIONS(9832), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(6318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246056] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(10442), 1,
      anon_sym_SEMI,
    ACTIONS(10444), 1,
      anon_sym_EQ,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(6596), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246082] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10446), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10217), 1,
      anon_sym_LBRACK,
    STATE(6903), 1,
      sym_gnu_asm_output_operand,
    STATE(7571), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [246128] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9907), 1,
      anon_sym_COLON,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 1,
      anon_sym_LBRACK,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(2661), 1,
      sym_template_argument_list,
    ACTIONS(5799), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [246174] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10448), 1,
      anon_sym_SEMI,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10450), 1,
      sym_identifier,
    ACTIONS(10455), 1,
      aux_sym_preproc_elif_token1,
    STATE(6207), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(10453), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [246220] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9801), 1,
      anon_sym_COLON,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246246] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(10457), 1,
      anon_sym_SEMI,
    ACTIONS(10459), 1,
      anon_sym_EQ,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(6550), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246272] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(9795), 1,
      anon_sym_COLON,
    STATE(3643), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5955), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10197), 1,
      anon_sym_LBRACK,
    STATE(6971), 1,
      sym_gnu_asm_input_operand,
    STATE(7538), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [246362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10463), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10461), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246400] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10465), 1,
      anon_sym_SEMI,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246426] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10467), 1,
      anon_sym_SEMI,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246452] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10471), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [246512] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(10473), 1,
      anon_sym_SEMI,
    ACTIONS(10475), 1,
      anon_sym_EQ,
    STATE(1551), 1,
      sym_template_argument_list,
    STATE(6413), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246538] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    ACTIONS(9921), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(6318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246564] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    ACTIONS(10477), 1,
      anon_sym_SEMI,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246590] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    ACTIONS(10479), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(6318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246616] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(8862), 1,
      anon_sym_LBRACK,
    ACTIONS(9893), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym_parameter_list,
    STATE(6062), 1,
      sym__function_declarator_seq,
    STATE(6318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246642] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3635), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246664] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(10481), 1,
      anon_sym_RPAREN,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246687] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10483), 1,
      sym_identifier,
    STATE(652), 1,
      sym_declaration_list,
    STATE(7305), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [246712] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10485), 1,
      sym_identifier,
    STATE(630), 1,
      sym_declaration_list,
    STATE(7216), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [246737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6025), 1,
      anon_sym_AMP,
    ACTIONS(6027), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [246752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10489), 1,
      anon_sym_AMP,
    ACTIONS(10487), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [246767] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10491), 1,
      sym_identifier,
    STATE(670), 1,
      sym_declaration_list,
    STATE(7148), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [246792] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(10493), 1,
      anon_sym_RPAREN,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246836] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [246857] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10309), 1,
      sym_identifier,
    STATE(577), 1,
      sym_declaration_list,
    STATE(7284), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [246882] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(10495), 1,
      anon_sym_RPAREN,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246905] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5458), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6289), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [246928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9768), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246949] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10377), 1,
      sym_identifier,
    STATE(337), 1,
      sym_declaration_list,
    STATE(7227), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [246974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [246995] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10389), 1,
      sym_identifier,
    STATE(690), 1,
      sym_declaration_list,
    STATE(7071), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [247020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(10497), 1,
      anon_sym_RPAREN,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247043] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 1,
      anon_sym_COLON,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6289), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10499), 1,
      anon_sym_LBRACK,
    ACTIONS(10502), 1,
      anon_sym_EQ,
    ACTIONS(10504), 1,
      anon_sym_DOT,
    STATE(6245), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [247085] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9123), 1,
      anon_sym_LBRACK,
    STATE(3085), 1,
      sym_parameter_list,
    STATE(5866), 1,
      sym__function_declarator_seq,
    STATE(5747), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10509), 1,
      anon_sym_AMP,
    ACTIONS(10507), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [247123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 1,
      anon_sym_LBRACK,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(5720), 1,
      sym_template_argument_list,
    ACTIONS(5799), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [247142] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_RPAREN,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247165] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5412), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6289), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247188] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10515), 1,
      anon_sym_COMMA,
    ACTIONS(10517), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10513), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [247226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10303), 1,
      anon_sym_AMP,
    ACTIONS(10301), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [247241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5808), 1,
      anon_sym_AMP,
    ACTIONS(5810), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [247256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10521), 1,
      anon_sym_AMP,
    ACTIONS(10519), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [247292] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9737), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9743), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247334] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5462), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6289), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9756), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247399] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(5496), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6289), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10523), 1,
      anon_sym_LBRACK,
    ACTIONS(10525), 1,
      anon_sym_EQ,
    ACTIONS(10527), 1,
      anon_sym_DOT,
    STATE(6245), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [247462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9770), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247483] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(10529), 1,
      anon_sym_RPAREN,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247506] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9733), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9754), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [247569] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10359), 1,
      sym_identifier,
    STATE(601), 1,
      sym_declaration_list,
    STATE(7303), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [247594] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10531), 1,
      sym_identifier,
    STATE(332), 1,
      sym_declaration_list,
    STATE(7086), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [247619] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(10533), 1,
      anon_sym_RPAREN,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247642] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(2209), 1,
      sym_template_argument_list,
    STATE(6885), 2,
      sym_argument_list,
      sym_initializer_list,
  [247665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5933), 1,
      anon_sym_AMP,
    ACTIONS(5935), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [247680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 1,
      anon_sym_AMP,
    ACTIONS(4099), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [247695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(9741), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [247716] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5398), 1,
      anon_sym_LBRACK,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(10535), 1,
      anon_sym_RPAREN,
    STATE(2114), 1,
      sym_parameter_list,
    STATE(6021), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247739] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9363), 1,
      anon_sym_try,
    ACTIONS(10537), 1,
      anon_sym_SEMI,
    ACTIONS(10539), 1,
      anon_sym_EQ,
    STATE(278), 2,
      sym_compound_statement,
      sym_try_statement,
  [247759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    STATE(5084), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(9129), 1,
      anon_sym_try,
    ACTIONS(10541), 1,
      anon_sym_SEMI,
    ACTIONS(10543), 1,
      anon_sym_EQ,
    STATE(531), 2,
      sym_compound_statement,
      sym_try_statement,
  [247797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10545), 1,
      anon_sym_LPAREN2,
    STATE(6281), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10547), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [247813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 1,
      anon_sym_LBRACK,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(3817), 1,
      sym_template_argument_list,
    ACTIONS(5799), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [247831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10550), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10552), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [247845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8868), 1,
      anon_sym_try,
    ACTIONS(9872), 1,
      anon_sym_LBRACE,
    ACTIONS(10554), 1,
      anon_sym_SEMI,
    ACTIONS(10556), 1,
      anon_sym_EQ,
    STATE(1936), 2,
      sym_compound_statement,
      sym_try_statement,
  [247865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8876), 1,
      anon_sym_try,
    ACTIONS(9864), 1,
      anon_sym_LBRACE,
    ACTIONS(10558), 1,
      anon_sym_SEMI,
    ACTIONS(10560), 1,
      anon_sym_EQ,
    STATE(1745), 2,
      sym_compound_statement,
      sym_try_statement,
  [247885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    STATE(6020), 1,
      sym_template_argument_list,
    ACTIONS(10053), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [247903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(10229), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [247923] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    ACTIONS(9129), 1,
      anon_sym_try,
    ACTIONS(10562), 1,
      anon_sym_SEMI,
    ACTIONS(10564), 1,
      anon_sym_EQ,
    STATE(641), 2,
      sym_compound_statement,
      sym_try_statement,
  [247943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 1,
      anon_sym_LBRACK,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5615), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(5472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [247961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10566), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10568), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [247975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10570), 1,
      anon_sym_LPAREN2,
    STATE(6312), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [247991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10574), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10576), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10578), 1,
      anon_sym_LPAREN2,
    STATE(6294), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10580), 1,
      anon_sym_LPAREN2,
    STATE(6281), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8884), 1,
      anon_sym_try,
    ACTIONS(9880), 1,
      anon_sym_LBRACE,
    ACTIONS(10582), 1,
      anon_sym_SEMI,
    ACTIONS(10584), 1,
      anon_sym_EQ,
    STATE(2092), 2,
      sym_compound_statement,
      sym_try_statement,
  [248057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 1,
      anon_sym_LBRACK,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(3817), 1,
      sym_template_argument_list,
    ACTIONS(5799), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [248075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10586), 1,
      anon_sym_LPAREN2,
    STATE(6299), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9237), 1,
      anon_sym_try,
    ACTIONS(10588), 1,
      anon_sym_SEMI,
    ACTIONS(10590), 1,
      anon_sym_EQ,
    STATE(714), 2,
      sym_compound_statement,
      sym_try_statement,
  [248111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10592), 1,
      anon_sym_LPAREN2,
    STATE(6281), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10594), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10596), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10598), 1,
      anon_sym_LPAREN2,
    STATE(6303), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(9341), 1,
      anon_sym_try,
    ACTIONS(10600), 1,
      anon_sym_SEMI,
    ACTIONS(10602), 1,
      anon_sym_EQ,
    STATE(563), 2,
      sym_compound_statement,
      sym_try_statement,
  [248177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10604), 1,
      anon_sym_LPAREN2,
    STATE(6281), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9237), 1,
      anon_sym_try,
    ACTIONS(10606), 1,
      anon_sym_SEMI,
    ACTIONS(10608), 1,
      anon_sym_EQ,
    STATE(728), 2,
      sym_compound_statement,
      sym_try_statement,
  [248213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7833), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [248227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 1,
      anon_sym_LPAREN2,
    STATE(6281), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10612), 1,
      anon_sym_LPAREN2,
    STATE(6308), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10614), 1,
      anon_sym_LPAREN2,
    STATE(6281), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10616), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10618), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10620), 1,
      anon_sym_LPAREN2,
    STATE(6311), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10622), 1,
      anon_sym_LPAREN2,
    STATE(6281), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10624), 1,
      anon_sym_LPAREN2,
    STATE(6281), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8868), 1,
      anon_sym_try,
    ACTIONS(9872), 1,
      anon_sym_LBRACE,
    ACTIONS(10626), 1,
      anon_sym_SEMI,
    ACTIONS(10628), 1,
      anon_sym_EQ,
    STATE(2034), 2,
      sym_compound_statement,
      sym_try_statement,
  [248357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10550), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10552), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5250), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5473), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
    ACTIONS(10229), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [248409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(10072), 1,
      anon_sym_LBRACK,
    STATE(6069), 1,
      sym_template_argument_list,
    ACTIONS(10070), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [248427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10066), 1,
      anon_sym_LBRACK,
    ACTIONS(10064), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [248445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8884), 1,
      anon_sym_try,
    ACTIONS(9880), 1,
      anon_sym_LBRACE,
    ACTIONS(10630), 1,
      anon_sym_SEMI,
    ACTIONS(10632), 1,
      anon_sym_EQ,
    STATE(2118), 2,
      sym_compound_statement,
      sym_try_statement,
  [248465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7765), 1,
      sym_string_literal,
    ACTIONS(113), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [248479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10634), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10636), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10638), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10640), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248507] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    ACTIONS(9341), 1,
      anon_sym_try,
    ACTIONS(10642), 1,
      anon_sym_SEMI,
    ACTIONS(10644), 1,
      anon_sym_EQ,
    STATE(616), 2,
      sym_compound_statement,
      sym_try_statement,
  [248527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10594), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10596), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8876), 1,
      anon_sym_try,
    ACTIONS(9864), 1,
      anon_sym_LBRACE,
    ACTIONS(10646), 1,
      anon_sym_SEMI,
    ACTIONS(10648), 1,
      anon_sym_EQ,
    STATE(1758), 2,
      sym_compound_statement,
      sym_try_statement,
  [248561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10424), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10422), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [248575] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    ACTIONS(9363), 1,
      anon_sym_try,
    ACTIONS(10650), 1,
      anon_sym_SEMI,
    ACTIONS(10652), 1,
      anon_sym_EQ,
    STATE(319), 2,
      sym_compound_statement,
      sym_try_statement,
  [248595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10654), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10656), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10128), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(10658), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [248623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10660), 1,
      anon_sym_LPAREN2,
    STATE(6306), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10572), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [248639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10662), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7431), 1,
      sym_attribute_specifier,
  [248658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10664), 1,
      sym_identifier,
    STATE(7922), 1,
      sym__namespace_specifier,
    STATE(8019), 1,
      sym_nested_namespace_specifier,
  [248677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 1,
      anon_sym_LBRACK,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(4094), 1,
      sym_template_argument_list,
    ACTIONS(5799), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [248694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10666), 1,
      sym_identifier,
    STATE(7540), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [248713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9737), 1,
      anon_sym_COLON,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [248732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10668), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(7355), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [248745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    ACTIONS(10670), 1,
      anon_sym_RPAREN,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [248764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10672), 1,
      anon_sym_EQ,
    ACTIONS(9602), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [248777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10674), 1,
      sym_identifier,
    STATE(7048), 1,
      sym__namespace_specifier,
    STATE(7285), 1,
      sym_nested_namespace_specifier,
  [248796] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10676), 1,
      anon_sym_SEMI,
    STATE(6349), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7835), 1,
      sym_attribute_specifier,
  [248815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10678), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7837), 1,
      sym_attribute_specifier,
  [248834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10680), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7838), 1,
      sym_attribute_specifier,
  [248853] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    ACTIONS(10682), 1,
      anon_sym_RPAREN,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [248872] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10684), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7441), 1,
      sym_attribute_specifier,
  [248891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(2209), 1,
      sym_template_argument_list,
    ACTIONS(5677), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [248908] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10674), 1,
      sym_identifier,
    STATE(6832), 1,
      sym__namespace_specifier,
    STATE(7255), 1,
      sym_nested_namespace_specifier,
  [248927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10686), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7849), 1,
      sym_attribute_specifier,
  [248946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_COLON,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [248965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10688), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7850), 1,
      sym_attribute_specifier,
  [248984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10690), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7393), 1,
      sym_attribute_specifier,
  [249003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10692), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7406), 1,
      sym_attribute_specifier,
  [249022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7419), 1,
      sym_auto,
    ACTIONS(7421), 1,
      anon_sym_decltype,
    STATE(2418), 1,
      sym_decltype_auto,
    ACTIONS(10694), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10696), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7723), 1,
      sym_attribute_specifier,
  [249058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(10698), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(3191), 1,
      sym_template_method,
    STATE(7322), 1,
      sym_operator_name,
  [249077] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(10700), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2282), 1,
      sym_template_method,
    STATE(7291), 1,
      sym_operator_name,
  [249096] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9741), 1,
      anon_sym_COLON,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [249115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(10702), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2282), 1,
      sym_template_method,
    STATE(7185), 1,
      sym_operator_name,
  [249134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7419), 1,
      sym_auto,
    ACTIONS(7421), 1,
      anon_sym_decltype,
    STATE(2418), 1,
      sym_decltype_auto,
    ACTIONS(10704), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10706), 1,
      anon_sym_SEMI,
    STATE(6378), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7870), 1,
      sym_attribute_specifier,
  [249170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(10700), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2282), 1,
      sym_template_method,
    STATE(7259), 1,
      sym_operator_name,
  [249189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9770), 1,
      anon_sym_COLON,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [249208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10708), 1,
      anon_sym_SEMI,
    STATE(6353), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7410), 1,
      sym_attribute_specifier,
  [249227] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10710), 1,
      anon_sym_SEMI,
    STATE(6331), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8077), 1,
      sym_attribute_specifier,
  [249246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10712), 1,
      sym_identifier,
    STATE(7922), 1,
      sym__namespace_specifier,
    STATE(8014), 1,
      sym_nested_namespace_specifier,
  [249265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    ACTIONS(10714), 1,
      anon_sym_RPAREN,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [249284] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10716), 1,
      anon_sym_SEMI,
    STATE(6344), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8176), 1,
      sym_attribute_specifier,
  [249303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10271), 1,
      anon_sym_inline,
    ACTIONS(10718), 1,
      sym_identifier,
    STATE(7757), 1,
      sym_nested_namespace_specifier,
    STATE(7922), 1,
      sym__namespace_specifier,
  [249322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10720), 1,
      anon_sym_EQ,
    ACTIONS(9602), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [249335] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(10722), 1,
      aux_sym_preproc_if_token2,
    STATE(6252), 1,
      sym_enumerator,
    STATE(6621), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(6625), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [249354] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10724), 1,
      anon_sym_SEMI,
    STATE(6351), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8180), 1,
      sym_attribute_specifier,
  [249373] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    ACTIONS(10726), 1,
      anon_sym_RPAREN,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [249392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9756), 1,
      anon_sym_COLON,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [249411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10728), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8192), 1,
      sym_attribute_specifier,
  [249430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_operator,
    ACTIONS(10730), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(3405), 1,
      sym_template_method,
    STATE(7222), 1,
      sym_operator_name,
  [249449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8427), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8431), 1,
      anon_sym_EQ,
    ACTIONS(10732), 1,
      sym_identifier,
    ACTIONS(8429), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [249466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    ACTIONS(10736), 1,
      anon_sym_COLON_COLON,
    STATE(7128), 1,
      sym_argument_list,
    ACTIONS(10734), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [249483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10738), 1,
      anon_sym_SEMI,
    STATE(6373), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7843), 1,
      sym_attribute_specifier,
  [249502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8194), 1,
      sym_attribute_specifier,
  [249521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10742), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7868), 1,
      sym_attribute_specifier,
  [249540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10744), 1,
      anon_sym_SEMI,
    STATE(6341), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7814), 1,
      sym_attribute_specifier,
  [249559] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9733), 1,
      anon_sym_COLON,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [249578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10746), 1,
      anon_sym_SEMI,
    STATE(6342), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7818), 1,
      sym_attribute_specifier,
  [249597] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10748), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7821), 1,
      sym_attribute_specifier,
  [249616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10750), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7876), 1,
      sym_attribute_specifier,
  [249635] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9754), 1,
      anon_sym_COLON,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [249654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(7629), 1,
      anon_sym_COMMA,
    ACTIONS(10752), 1,
      anon_sym_SEMI,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7702), 1,
      sym_attribute_specifier,
  [249673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 1,
      anon_sym_LBRACK,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(3705), 1,
      sym_template_argument_list,
    ACTIONS(5799), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [249690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9768), 1,
      anon_sym_COLON,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3649), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [249709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10754), 4,
      sym_identifier,
      anon_sym_decltype,
      sym_virtual,
      anon_sym_template,
  [249722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(2252), 1,
      sym_field_declaration_list,
    STATE(7174), 1,
      sym_base_class_clause,
  [249738] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10758), 1,
      anon_sym_DQUOTE,
    ACTIONS(10760), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10762), 1,
      sym_escape_sequence,
    STATE(6405), 1,
      aux_sym_string_literal_repeat1,
  [249754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10766), 1,
      anon_sym_GT2,
    STATE(6664), 1,
      aux_sym_template_argument_list_repeat1,
  [249770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10768), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [249784] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10770), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    ACTIONS(10774), 1,
      sym_preproc_arg,
    STATE(7186), 1,
      sym_preproc_params,
  [249800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(10776), 1,
      anon_sym_SEMI,
    STATE(1551), 1,
      sym_template_argument_list,
  [249816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10778), 1,
      anon_sym_SEMI,
    STATE(6490), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [249830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(10780), 1,
      anon_sym_SEMI,
    STATE(1551), 1,
      sym_template_argument_list,
  [249846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    STATE(7021), 1,
      sym_compound_statement,
    STATE(7200), 1,
      sym_field_initializer_list,
  [249862] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10782), 1,
      anon_sym_DQUOTE,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    STATE(6630), 1,
      aux_sym_string_literal_repeat1,
  [249878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    STATE(2960), 1,
      sym_field_declaration_list,
    STATE(7218), 1,
      sym_base_class_clause,
  [249894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LBRACE,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    STATE(3272), 1,
      sym_argument_list,
    STATE(3538), 1,
      sym_initializer_list,
  [249910] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10788), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [249924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10792), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [249938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10794), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [249952] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10796), 1,
      anon_sym_DQUOTE,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [249968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10802), 1,
      anon_sym_COMMA,
    STATE(6475), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(10804), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [249982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10806), 1,
      anon_sym_SEMI,
    STATE(6515), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [249996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(10808), 1,
      aux_sym_preproc_if_token2,
    STATE(6625), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [250010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10810), 1,
      anon_sym_GT2,
    STATE(6758), 1,
      aux_sym_template_argument_list_repeat1,
  [250026] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10812), 1,
      anon_sym_DQUOTE,
    ACTIONS(10814), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10816), 1,
      sym_escape_sequence,
    STATE(6485), 1,
      aux_sym_string_literal_repeat1,
  [250042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    ACTIONS(6148), 1,
      anon_sym_LPAREN2,
    STATE(3272), 1,
      sym_argument_list,
    STATE(3283), 1,
      sym_initializer_list,
  [250058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10818), 1,
      anon_sym_GT2,
    STATE(6962), 1,
      aux_sym_template_argument_list_repeat1,
  [250074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10820), 1,
      anon_sym_EQ,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4501), 1,
      anon_sym_SEMI,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1613), 1,
      sym_template_argument_list,
  [250104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    STATE(5451), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(10822), 1,
      anon_sym_SEMI,
    STATE(1551), 1,
      sym_template_argument_list,
  [250134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10824), 1,
      anon_sym_GT2,
    STATE(6910), 1,
      aux_sym_template_argument_list_repeat1,
  [250150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(2277), 1,
      sym_field_declaration_list,
    STATE(7076), 1,
      sym_base_class_clause,
  [250166] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10826), 1,
      anon_sym_DQUOTE,
    ACTIONS(10828), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10830), 1,
      sym_escape_sequence,
    STATE(6484), 1,
      aux_sym_string_literal_repeat1,
  [250182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_LBRACE,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    STATE(2307), 1,
      sym_argument_list,
    STATE(2386), 1,
      sym_initializer_list,
  [250198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10832), 1,
      anon_sym_EQ,
    STATE(6570), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8826), 1,
      anon_sym_LBRACE,
    ACTIONS(10834), 1,
      anon_sym_LPAREN2,
    STATE(3276), 1,
      sym_requirement_seq,
    STATE(7274), 1,
      sym_requires_parameter_list,
  [250228] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10836), 1,
      anon_sym_DQUOTE,
    ACTIONS(10838), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10840), 1,
      sym_escape_sequence,
    STATE(6430), 1,
      aux_sym_string_literal_repeat1,
  [250244] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10842), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [250258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10844), 1,
      anon_sym_SEMI,
    STATE(6448), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9553), 1,
      anon_sym_LBRACE,
    STATE(3313), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    STATE(2724), 1,
      sym_field_declaration_list,
    STATE(7082), 1,
      sym_base_class_clause,
  [250302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    STATE(3392), 1,
      sym_argument_list,
    STATE(3425), 1,
      sym_initializer_list,
  [250318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10846), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250332] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(10848), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [250348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10850), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    STATE(3470), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10852), 1,
      anon_sym_COMMA,
    STATE(6433), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(10855), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [250390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9606), 1,
      anon_sym_LBRACE,
    STATE(4143), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10857), 1,
      anon_sym_COMMA,
    STATE(6435), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(10860), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [250418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8847), 1,
      anon_sym_LBRACE,
    ACTIONS(10834), 1,
      anon_sym_LPAREN2,
    STATE(4078), 1,
      sym_requirement_seq,
    STATE(7093), 1,
      sym_requires_parameter_list,
  [250434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10862), 1,
      anon_sym_GT2,
    STATE(6768), 1,
      aux_sym_template_argument_list_repeat1,
  [250450] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10864), 1,
      anon_sym_DQUOTE,
    ACTIONS(10866), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10868), 1,
      sym_escape_sequence,
    STATE(6444), 1,
      aux_sym_string_literal_repeat1,
  [250466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9561), 1,
      anon_sym_LBRACE,
    STATE(3569), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10870), 1,
      anon_sym_SEMI,
    STATE(6473), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10872), 1,
      anon_sym_COMMA,
    STATE(6499), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(10874), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [250508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10876), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    STATE(5461), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250536] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(10878), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [250552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10880), 1,
      anon_sym_GT2,
    STATE(7022), 1,
      aux_sym_template_argument_list_repeat1,
  [250568] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10882), 1,
      anon_sym_DQUOTE,
    ACTIONS(10884), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10886), 1,
      sym_escape_sequence,
    STATE(6451), 1,
      aux_sym_string_literal_repeat1,
  [250584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8834), 1,
      anon_sym_LBRACE,
    ACTIONS(10834), 1,
      anon_sym_LPAREN2,
    STATE(2333), 1,
      sym_requirement_seq,
    STATE(7118), 1,
      sym_requires_parameter_list,
  [250600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10888), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_LPAREN2,
    ACTIONS(10890), 1,
      anon_sym_LBRACE,
    STATE(5614), 1,
      sym_requirement_seq,
    STATE(7269), 1,
      sym_requires_parameter_list,
  [250630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10892), 1,
      anon_sym_EQ,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250644] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(10894), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [250660] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10896), 1,
      anon_sym_DQUOTE,
    ACTIONS(10898), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10900), 1,
      sym_escape_sequence,
    STATE(6488), 1,
      aux_sym_string_literal_repeat1,
  [250676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9563), 1,
      anon_sym_LBRACE,
    STATE(1565), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10475), 1,
      anon_sym_EQ,
    STATE(6413), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9561), 1,
      anon_sym_LBRACE,
    STATE(3591), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    STATE(3410), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1562), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [250746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10902), 1,
      anon_sym_EQ,
    STATE(6579), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10904), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250774] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10906), 1,
      anon_sym_DQUOTE,
    ACTIONS(10908), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10910), 1,
      sym_escape_sequence,
    STATE(6640), 1,
      aux_sym_string_literal_repeat1,
  [250790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    STATE(1886), 1,
      sym_field_declaration_list,
    STATE(7059), 1,
      sym_base_class_clause,
  [250806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    STATE(6743), 1,
      sym_compound_statement,
    STATE(7123), 1,
      sym_field_initializer_list,
  [250822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    STATE(1884), 1,
      sym_field_declaration_list,
    STATE(7330), 1,
      sym_base_class_clause,
  [250838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10912), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(10916), 1,
      anon_sym_LBRACE,
    STATE(6974), 1,
      aux_sym_base_class_clause_repeat1,
  [250854] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(10918), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [250870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10920), 1,
      sym_identifier,
    STATE(768), 1,
      sym_template_parameter_list,
    STATE(2180), 1,
      sym_template_type,
  [250886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      anon_sym_EQ,
    STATE(716), 1,
      sym_declaration_list,
  [250902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(6888), 2,
      sym_argument_list,
      sym_initializer_list,
  [250916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10926), 1,
      anon_sym_SEMI,
    STATE(6516), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250930] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10928), 1,
      anon_sym_DQUOTE,
    ACTIONS(10930), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10932), 1,
      sym_escape_sequence,
    STATE(6615), 1,
      aux_sym_string_literal_repeat1,
  [250946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    STATE(2687), 1,
      sym_field_declaration_list,
    STATE(7108), 1,
      sym_base_class_clause,
  [250962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8818), 1,
      anon_sym_LBRACE,
    ACTIONS(10834), 1,
      anon_sym_LPAREN2,
    STATE(3181), 1,
      sym_requirement_seq,
    STATE(7347), 1,
      sym_requires_parameter_list,
  [250978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10934), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [250992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10936), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10802), 1,
      anon_sym_COMMA,
    STATE(6435), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(10938), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10920), 1,
      sym_identifier,
    STATE(774), 1,
      sym_template_parameter_list,
    STATE(2180), 1,
      sym_template_type,
  [251036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10872), 1,
      anon_sym_COMMA,
    STATE(6441), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(10940), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9553), 1,
      anon_sym_LBRACE,
    STATE(3196), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    STATE(3774), 1,
      sym_field_declaration_list,
    STATE(7244), 1,
      sym_base_class_clause,
  [251080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10942), 1,
      anon_sym_GT2,
    STATE(6727), 1,
      aux_sym_template_argument_list_repeat1,
  [251096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    STATE(2681), 1,
      sym_field_declaration_list,
    STATE(7241), 1,
      sym_base_class_clause,
  [251112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9594), 1,
      anon_sym_LBRACE,
    STATE(2383), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9594), 1,
      anon_sym_LBRACE,
    STATE(2332), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251140] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(10944), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [251156] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(10946), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [251172] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10948), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    STATE(2953), 1,
      sym_field_declaration_list,
    STATE(7173), 1,
      sym_base_class_clause,
  [251202] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(10950), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [251218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10952), 1,
      anon_sym_SEMI,
    STATE(6595), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10954), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8810), 1,
      anon_sym_LBRACE,
    ACTIONS(10834), 1,
      anon_sym_LPAREN2,
    STATE(3438), 1,
      sym_requirement_seq,
    STATE(7135), 1,
      sym_requires_parameter_list,
  [251262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9535), 1,
      anon_sym_LBRACE,
    STATE(5624), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(6179), 1,
      anon_sym_LPAREN2,
    STATE(3392), 1,
      sym_argument_list,
    STATE(4541), 1,
      sym_initializer_list,
  [251292] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10956), 1,
      anon_sym_DQUOTE,
    ACTIONS(10958), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10960), 1,
      sym_escape_sequence,
    STATE(6555), 1,
      aux_sym_string_literal_repeat1,
  [251308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9606), 1,
      anon_sym_LBRACE,
    STATE(4147), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10962), 1,
      anon_sym_COMMA,
    STATE(6433), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(10964), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10962), 1,
      anon_sym_COMMA,
    STATE(6496), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(10966), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10968), 1,
      anon_sym_SEMI,
    STATE(6474), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10970), 1,
      anon_sym_COMMA,
    STATE(6499), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(10973), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [251378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    STATE(5444), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9561), 1,
      anon_sym_LBRACE,
    STATE(3619), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(10975), 1,
      anon_sym_SEMI,
    STATE(6403), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(10977), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10979), 1,
      anon_sym_LBRACE,
    STATE(6696), 1,
      aux_sym_base_class_clause_repeat1,
  [251436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10981), 1,
      anon_sym___except,
    ACTIONS(10983), 1,
      anon_sym___finally,
    STATE(503), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [251450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10985), 1,
      anon_sym___except,
    ACTIONS(10987), 1,
      anon_sym___finally,
    STATE(497), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [251464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    STATE(4657), 1,
      sym_field_declaration_list,
    STATE(7306), 1,
      sym_base_class_clause,
  [251480] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10989), 1,
      anon_sym_DQUOTE,
    ACTIONS(10991), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10993), 1,
      sym_escape_sequence,
    STATE(6514), 1,
      aux_sym_string_literal_repeat1,
  [251496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    STATE(6857), 1,
      sym_compound_statement,
    STATE(7067), 1,
      sym_field_initializer_list,
  [251512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    STATE(4669), 1,
      sym_field_declaration_list,
    STATE(7074), 1,
      sym_base_class_clause,
  [251528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10920), 1,
      sym_identifier,
    STATE(775), 1,
      sym_template_parameter_list,
    STATE(2180), 1,
      sym_template_type,
  [251544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9555), 1,
      anon_sym_LBRACE,
    STATE(3198), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [251558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10995), 1,
      anon_sym_EQ,
    STATE(663), 1,
      sym_declaration_list,
  [251574] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10997), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10999), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251588] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(11002), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [251604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11004), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11006), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11008), 1,
      anon_sym_GT2,
    STATE(6680), 1,
      aux_sym_template_argument_list_repeat1,
  [251648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11010), 1,
      anon_sym_GT2,
    STATE(6718), 1,
      aux_sym_template_argument_list_repeat1,
  [251664] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11012), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
    STATE(2307), 1,
      sym_argument_list,
    STATE(3741), 1,
      sym_initializer_list,
  [251694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(11014), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11016), 1,
      anon_sym_LBRACE,
    STATE(6788), 1,
      aux_sym_base_class_clause_repeat1,
  [251710] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(11018), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [251726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    STATE(3764), 1,
      sym_field_declaration_list,
    STATE(7262), 1,
      sym_base_class_clause,
  [251742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(4949), 1,
      sym_field_declaration_list,
    STATE(7296), 1,
      sym_base_class_clause,
  [251758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(4955), 1,
      sym_field_declaration_list,
    STATE(7298), 1,
      sym_base_class_clause,
  [251774] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11020), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [251788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11022), 1,
      anon_sym___except,
    ACTIONS(11024), 1,
      anon_sym___finally,
    STATE(856), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [251802] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11026), 1,
      anon_sym_DQUOTE,
    ACTIONS(11028), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11030), 1,
      sym_escape_sequence,
    STATE(6564), 1,
      aux_sym_string_literal_repeat1,
  [251818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11032), 1,
      anon_sym_GT2,
    STATE(6700), 1,
      aux_sym_template_argument_list_repeat1,
  [251834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(2923), 1,
      sym_field_declaration_list,
    STATE(7360), 1,
      sym_base_class_clause,
  [251850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11034), 1,
      anon_sym_GT2,
    STATE(6682), 1,
      aux_sym_template_argument_list_repeat1,
  [251866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11036), 1,
      anon_sym_GT2,
    STATE(6740), 1,
      aux_sym_template_argument_list_repeat1,
  [251882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11038), 1,
      anon_sym_SEMI,
    STATE(6459), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_LPAREN2,
    ACTIONS(11040), 1,
      anon_sym_LBRACE,
    STATE(1569), 1,
      sym_requirement_seq,
    STATE(7280), 1,
      sym_requires_parameter_list,
  [251912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11042), 1,
      anon_sym_EQ,
    STATE(637), 1,
      sym_declaration_list,
  [251928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11044), 1,
      anon_sym_SEMI,
    STATE(6429), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11046), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251956] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    ACTIONS(11048), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11050), 1,
      sym_preproc_arg,
    STATE(7160), 1,
      sym_preproc_params,
  [251972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11052), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [251986] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11054), 1,
      anon_sym_DQUOTE,
    ACTIONS(11056), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11058), 1,
      sym_escape_sequence,
    STATE(6594), 1,
      aux_sym_string_literal_repeat1,
  [252002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10920), 1,
      sym_identifier,
    STATE(770), 1,
      sym_template_parameter_list,
    STATE(2180), 1,
      sym_template_type,
  [252018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      anon_sym_LBRACK,
    STATE(3187), 1,
      sym_parameter_list,
    STATE(5805), 1,
      sym__function_declarator_seq,
  [252034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9535), 1,
      anon_sym_LBRACE,
    STATE(5603), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(11060), 1,
      anon_sym_SEMI,
    STATE(1551), 1,
      sym_template_argument_list,
  [252064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(2522), 1,
      sym_field_declaration_list,
    STATE(7273), 1,
      sym_base_class_clause,
  [252080] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(11062), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [252096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8802), 1,
      anon_sym_LBRACE,
    ACTIONS(10834), 1,
      anon_sym_LPAREN2,
    STATE(3540), 1,
      sym_requirement_seq,
    STATE(7238), 1,
      sym_requires_parameter_list,
  [252112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11064), 1,
      anon_sym___except,
    ACTIONS(11066), 1,
      anon_sym___finally,
    STATE(512), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [252126] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11068), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11070), 1,
      anon_sym_EQ,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10428), 1,
      anon_sym_EQ,
    STATE(6450), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11072), 1,
      sym_identifier,
    ACTIONS(11074), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [252180] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    ACTIONS(11076), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11078), 1,
      sym_preproc_arg,
    STATE(7294), 1,
      sym_preproc_params,
  [252196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11080), 1,
      anon_sym_SEMI,
    STATE(6404), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252210] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(11082), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [252226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9535), 1,
      anon_sym_LBRACE,
    STATE(5602), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10199), 1,
      anon_sym_COMMA,
    STATE(6590), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11084), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [252254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11086), 1,
      anon_sym_COMMA,
    STATE(6558), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11089), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [252268] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11091), 1,
      anon_sym_DQUOTE,
    ACTIONS(11093), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11095), 1,
      sym_escape_sequence,
    STATE(6522), 1,
      aux_sym_string_literal_repeat1,
  [252284] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11097), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11099), 1,
      anon_sym_EQ,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10459), 1,
      anon_sym_EQ,
    STATE(6550), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252326] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    ACTIONS(11101), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11103), 1,
      sym_preproc_arg,
    STATE(7068), 1,
      sym_preproc_params,
  [252342] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(11105), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [252358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(2895), 1,
      sym_field_declaration_list,
    STATE(7066), 1,
      sym_base_class_clause,
  [252374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9600), 1,
      anon_sym_LBRACE,
    STATE(3376), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11107), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [252398] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_DQUOTE,
    ACTIONS(11111), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11114), 1,
      sym_escape_sequence,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [252414] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11117), 1,
      anon_sym_DQUOTE,
    ACTIONS(11119), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11121), 1,
      sym_escape_sequence,
    STATE(6585), 1,
      aux_sym_string_literal_repeat1,
  [252430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11123), 1,
      anon_sym_EQ,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10411), 1,
      anon_sym_EQ,
    STATE(6561), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1565), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11125), 1,
      anon_sym_SEMI,
    ACTIONS(11127), 1,
      anon_sym_DASH_GT,
    ACTIONS(11129), 1,
      anon_sym_noexcept,
    STATE(7585), 1,
      sym_trailing_return_type,
  [252488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9594), 1,
      anon_sym_LBRACE,
    STATE(2292), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11131), 1,
      anon_sym_SEMI,
    STATE(6537), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252516] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11133), 1,
      anon_sym_DQUOTE,
    ACTIONS(11135), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11137), 1,
      sym_escape_sequence,
    STATE(6609), 1,
      aux_sym_string_literal_repeat1,
  [252532] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11139), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252546] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11141), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11143), 1,
      anon_sym_EQ,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_EQ,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11145), 1,
      anon_sym_SEMI,
    STATE(6539), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11147), 1,
      anon_sym_GT2,
    STATE(6776), 1,
      aux_sym_template_argument_list_repeat1,
  [252618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11149), 1,
      anon_sym_SEMI,
    STATE(6636), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    STATE(4562), 1,
      sym_field_declaration_list,
    STATE(7313), 1,
      sym_base_class_clause,
  [252648] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(11151), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [252664] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11153), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [252678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11155), 1,
      anon_sym_EQ,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10407), 1,
      anon_sym_EQ,
    STATE(6592), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11157), 1,
      anon_sym_SEMI,
    STATE(6393), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11159), 1,
      anon_sym_COMMA,
    STATE(6590), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11162), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [252734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10920), 1,
      sym_identifier,
    STATE(772), 1,
      sym_template_parameter_list,
    STATE(2180), 1,
      sym_template_type,
  [252750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11164), 1,
      anon_sym_EQ,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10444), 1,
      anon_sym_EQ,
    STATE(6596), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252778] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(11166), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [252794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11168), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11170), 1,
      anon_sym_EQ,
    STATE(5643), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252822] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11172), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [252836] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    ACTIONS(11174), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11176), 1,
      sym_preproc_arg,
    STATE(7151), 1,
      sym_preproc_params,
  [252852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(2529), 1,
      sym_field_declaration_list,
    STATE(7323), 1,
      sym_base_class_clause,
  [252868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(3725), 1,
      sym_field_declaration_list,
    STATE(7349), 1,
      sym_base_class_clause,
  [252884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_LPAREN2,
    ACTIONS(11178), 1,
      anon_sym_LBRACE,
    STATE(5434), 1,
      sym_requirement_seq,
    STATE(7050), 1,
      sym_requires_parameter_list,
  [252900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    STATE(6941), 1,
      sym_compound_statement,
    STATE(7181), 1,
      sym_field_initializer_list,
  [252916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    STATE(6988), 1,
      sym_compound_statement,
    STATE(7167), 1,
      sym_field_initializer_list,
  [252932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(3728), 1,
      sym_field_declaration_list,
    STATE(7350), 1,
      sym_base_class_clause,
  [252948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9563), 1,
      anon_sym_LBRACE,
    STATE(1568), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [252962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(11180), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11182), 1,
      anon_sym_LBRACE,
    STATE(6892), 1,
      aux_sym_base_class_clause_repeat1,
  [252978] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    ACTIONS(11184), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11186), 1,
      sym_preproc_arg,
    STATE(7250), 1,
      sym_preproc_params,
  [252994] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11188), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253008] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(11190), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [253024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11192), 1,
      anon_sym___except,
    ACTIONS(11194), 1,
      anon_sym___finally,
    STATE(252), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [253038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11196), 1,
      anon_sym_SEMI,
    STATE(6442), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9555), 1,
      anon_sym_LBRACE,
    STATE(3258), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9553), 1,
      anon_sym_LBRACE,
    STATE(3243), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9563), 1,
      anon_sym_LBRACE,
    STATE(1562), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253094] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(11198), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [253110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9555), 1,
      anon_sym_LBRACE,
    STATE(3194), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11200), 1,
      anon_sym_GT2,
    STATE(6749), 1,
      aux_sym_template_argument_list_repeat1,
  [253140] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11202), 1,
      anon_sym_DQUOTE,
    ACTIONS(11204), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11206), 1,
      sym_escape_sequence,
    STATE(6546), 1,
      aux_sym_string_literal_repeat1,
  [253156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10920), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(6336), 1,
      sym_template_parameter_list,
  [253172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11208), 1,
      anon_sym_SEMI,
    STATE(6597), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(11210), 1,
      aux_sym_preproc_if_token2,
    STATE(6193), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7474), 1,
      sym_enumerator,
  [253202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10920), 1,
      sym_identifier,
    STATE(773), 1,
      sym_template_parameter_list,
    STATE(2180), 1,
      sym_template_type,
  [253218] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    ACTIONS(11212), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11214), 1,
      sym_preproc_arg,
    STATE(7201), 1,
      sym_preproc_params,
  [253234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11216), 1,
      anon_sym_GT2,
    STATE(6711), 1,
      aux_sym_template_argument_list_repeat1,
  [253250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9758), 1,
      sym_identifier,
    ACTIONS(11218), 1,
      aux_sym_preproc_if_token2,
    STATE(6207), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [253264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9606), 1,
      anon_sym_LBRACE,
    STATE(4162), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11220), 1,
      anon_sym_EQ,
    STATE(286), 1,
      sym_declaration_list,
  [253294] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11222), 1,
      anon_sym_SQUOTE,
    STATE(6513), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10790), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [253308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    STATE(6812), 1,
      sym_compound_statement,
    STATE(7187), 1,
      sym_field_initializer_list,
  [253324] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(11224), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [253340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1568), 1,
      sym_compound_statement,
    ACTIONS(9602), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [253354] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_DQUOTE,
    ACTIONS(11228), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11230), 1,
      sym_escape_sequence,
    STATE(6465), 1,
      aux_sym_string_literal_repeat1,
  [253370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    STATE(4574), 1,
      sym_field_declaration_list,
    STATE(7328), 1,
      sym_base_class_clause,
  [253386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11232), 1,
      anon_sym_SEMI,
    STATE(6431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LT,
    ACTIONS(10920), 1,
      sym_identifier,
    STATE(769), 1,
      sym_template_parameter_list,
    STATE(2180), 1,
      sym_template_type,
  [253416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6522), 1,
      anon_sym___attribute__,
    ACTIONS(11234), 1,
      anon_sym_SEMI,
    STATE(4213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [253430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11236), 1,
      anon_sym_GT2,
    STATE(7028), 1,
      aux_sym_template_argument_list_repeat1,
  [253446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11107), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [253456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11238), 1,
      anon_sym_GT2,
    STATE(6861), 1,
      aux_sym_template_argument_list_repeat1,
  [253472] = 5,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(10798), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10800), 1,
      sym_escape_sequence,
    ACTIONS(11240), 1,
      anon_sym_DQUOTE,
    STATE(6568), 1,
      aux_sym_string_literal_repeat1,
  [253488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_SEMI,
    STATE(1551), 1,
      sym_template_argument_list,
  [253504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(7234), 1,
      sym_argument_list,
    ACTIONS(11244), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [253518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9940), 1,
      sym_identifier,
    ACTIONS(10722), 1,
      aux_sym_preproc_if_token2,
    STATE(6621), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7474), 1,
      sym_enumerator,
  [253534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11246), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [253544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11248), 1,
      anon_sym___except,
    ACTIONS(11250), 1,
      anon_sym___finally,
    STATE(497), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [253558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(11252), 1,
      anon_sym_SEMI,
    STATE(1551), 1,
      sym_template_argument_list,
  [253574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6063), 1,
      anon_sym_LT,
    ACTIONS(11254), 1,
      anon_sym_SEMI,
    STATE(1551), 1,
      sym_template_argument_list,
  [253590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_COLON,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    STATE(2749), 1,
      sym_field_declaration_list,
    STATE(7343), 1,
      sym_base_class_clause,
  [253606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9809), 1,
      anon_sym_COLON,
    STATE(6851), 1,
      sym_compound_statement,
    STATE(7162), 1,
      sym_field_initializer_list,
  [253622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_RPAREN,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    STATE(7025), 1,
      sym_gnu_asm_output_operand_list,
  [253635] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11260), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11262), 1,
      anon_sym_LPAREN2,
    STATE(7391), 1,
      sym_preproc_argument_list,
  [253648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    STATE(552), 1,
      sym_declaration_list,
  [253661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11264), 1,
      anon_sym_SEMI,
    STATE(6661), 1,
      aux_sym_declaration_repeat1,
  [253674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(3199), 1,
      sym_template_function,
  [253687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11270), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6944), 1,
      aux_sym_attribute_declaration_repeat1,
  [253700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4029), 1,
      anon_sym_RBRACE,
    ACTIONS(11272), 1,
      anon_sym_COMMA,
    STATE(6807), 1,
      aux_sym_initializer_list_repeat1,
  [253713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11274), 1,
      anon_sym_EQ,
    ACTIONS(10436), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [253724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11276), 1,
      anon_sym_GT2,
    STATE(6665), 1,
      aux_sym_template_argument_list_repeat1,
  [253737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11278), 1,
      anon_sym_SEMI,
    STATE(6666), 1,
      aux_sym_declaration_repeat1,
  [253750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11280), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [253763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11282), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [253776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11284), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [253789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11286), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [253802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11288), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [253815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11290), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [253828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11292), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [253841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11294), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6702), 1,
      aux_sym_attribute_declaration_repeat1,
  [253854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    ACTIONS(11298), 1,
      anon_sym_constexpr,
    STATE(151), 1,
      sym_condition_clause,
  [253867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10922), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [253876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11300), 1,
      anon_sym_catch,
    STATE(1824), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [253887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_while,
    ACTIONS(11302), 1,
      anon_sym_else,
    STATE(446), 1,
      sym_else_clause,
  [253900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11304), 1,
      anon_sym_COMMA,
    ACTIONS(11307), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [253913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11309), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(3044), 1,
      sym_template_function,
  [253926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11311), 1,
      anon_sym_catch,
    STATE(306), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [253937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11313), 1,
      anon_sym_GT2,
    STATE(6681), 1,
      aux_sym_template_argument_list_repeat1,
  [253950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11315), 1,
      anon_sym_RPAREN,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    STATE(6817), 1,
      sym_gnu_asm_input_operand_list,
  [253963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(11319), 1,
      anon_sym_RPAREN,
    STATE(6818), 1,
      sym_gnu_asm_output_operand_list,
  [253976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11321), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [253989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11323), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11325), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11327), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11329), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11331), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11333), 1,
      anon_sym_SEMI,
    STATE(6734), 1,
      aux_sym_declaration_repeat1,
  [254067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11335), 1,
      anon_sym_RPAREN,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    STATE(6808), 1,
      sym_gnu_asm_clobber_list,
  [254080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11339), 1,
      anon_sym_default,
    ACTIONS(11341), 1,
      anon_sym_delete,
    ACTIONS(11343), 1,
      anon_sym_0,
  [254093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11345), 1,
      anon_sym_RPAREN,
    STATE(6810), 1,
      sym_gnu_asm_input_operand_list,
  [254106] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11262), 1,
      anon_sym_LPAREN2,
    ACTIONS(11347), 1,
      aux_sym_preproc_include_token2,
    STATE(7391), 1,
      sym_preproc_argument_list,
  [254119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11349), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11351), 1,
      anon_sym_COMMA,
    ACTIONS(11353), 1,
      anon_sym_RPAREN,
    STATE(6731), 1,
      aux_sym_parameter_list_repeat1,
  [254145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11355), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2630), 1,
      sym_template_function,
  [254158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10764), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11357), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [254169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11359), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [254178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [254187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11363), 1,
      anon_sym_COMMA,
    ACTIONS(11366), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(10916), 1,
      anon_sym_LBRACE,
    STATE(6997), 1,
      aux_sym_base_class_clause_repeat1,
  [254213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11368), 1,
      sym_identifier,
    STATE(1650), 1,
      sym_template_type,
    STATE(3199), 1,
      sym_template_function,
  [254226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11370), 1,
      anon_sym_GT2,
    STATE(6701), 1,
      aux_sym_template_argument_list_repeat1,
  [254239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11372), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11374), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11376), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11378), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6944), 1,
      aux_sym_attribute_declaration_repeat1,
  [254291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7838), 1,
      anon_sym_RPAREN,
    STATE(6762), 1,
      aux_sym_argument_list_repeat1,
  [254304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11380), 1,
      anon_sym_COMMA,
    ACTIONS(11382), 1,
      anon_sym_GT2,
    STATE(6751), 1,
      aux_sym_template_parameter_list_repeat1,
  [254317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    STATE(651), 1,
      sym_declaration_list,
  [254330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(11384), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [254343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11386), 1,
      sym_identifier,
    STATE(1650), 1,
      sym_template_type,
    STATE(2293), 1,
      sym_template_function,
  [254356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7842), 1,
      anon_sym_COMMA,
    ACTIONS(7844), 1,
      anon_sym_RBRACE,
    STATE(6765), 1,
      aux_sym_initializer_list_repeat1,
  [254369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11388), 1,
      anon_sym_GT2,
    STATE(6712), 1,
      aux_sym_template_argument_list_repeat1,
  [254382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11390), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11392), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11394), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11396), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [254430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11398), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2630), 1,
      sym_template_function,
  [254443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8083), 1,
      anon_sym_RBRACK,
    ACTIONS(11400), 1,
      anon_sym_COMMA,
    STATE(6715), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [254456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11403), 1,
      anon_sym_GT2,
    STATE(6719), 1,
      aux_sym_template_argument_list_repeat1,
  [254469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11405), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11407), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11409), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(11411), 1,
      anon_sym_RPAREN,
    STATE(6773), 1,
      sym_gnu_asm_output_operand_list,
  [254521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11413), 1,
      anon_sym_GT2,
    STATE(6777), 1,
      aux_sym_template_argument_list_repeat1,
  [254534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11415), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6822), 1,
      aux_sym_attribute_declaration_repeat1,
  [254547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8116), 1,
      anon_sym_RPAREN,
    ACTIONS(11417), 1,
      anon_sym_COMMA,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [254560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11420), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2293), 1,
      sym_template_function,
  [254573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11422), 1,
      anon_sym_GT2,
    STATE(6728), 1,
      aux_sym_template_argument_list_repeat1,
  [254586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11424), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11426), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11428), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11430), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [254634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11432), 1,
      anon_sym_SEMI,
    STATE(6955), 1,
      aux_sym_declaration_repeat1,
  [254647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11351), 1,
      anon_sym_COMMA,
    ACTIONS(11434), 1,
      anon_sym_RPAREN,
    STATE(6826), 1,
      aux_sym_parameter_list_repeat1,
  [254660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11436), 1,
      anon_sym_SEMI,
    STATE(6780), 1,
      aux_sym_declaration_repeat1,
  [254673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11438), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [254686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11440), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [254699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11361), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [254708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11442), 1,
      sym_identifier,
    STATE(2451), 1,
      sym_template_type,
    STATE(3482), 1,
      sym_template_function,
  [254721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11351), 1,
      anon_sym_COMMA,
    ACTIONS(11444), 1,
      anon_sym_RPAREN,
    STATE(6782), 1,
      aux_sym_parameter_list_repeat1,
  [254734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11446), 1,
      anon_sym_GT2,
    STATE(6741), 1,
      aux_sym_template_argument_list_repeat1,
  [254747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11448), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11450), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11452), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11454), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [254799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11456), 1,
      anon_sym_catch,
    STATE(1815), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [254810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7867), 1,
      anon_sym_COMMA,
    ACTIONS(11458), 1,
      anon_sym_RBRACK,
    STATE(6715), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [254823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11460), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2630), 1,
      sym_template_function,
  [254836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11351), 1,
      anon_sym_COMMA,
    ACTIONS(11462), 1,
      anon_sym_RPAREN,
    STATE(6826), 1,
      aux_sym_parameter_list_repeat1,
  [254849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11464), 1,
      anon_sym_GT2,
    STATE(6750), 1,
      aux_sym_template_argument_list_repeat1,
  [254862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11466), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11468), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11470), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11472), 1,
      anon_sym_COMMA,
    ACTIONS(11475), 1,
      anon_sym_GT2,
    STATE(6751), 1,
      aux_sym_template_parameter_list_repeat1,
  [254914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7983), 1,
      anon_sym_RPAREN,
    STATE(6967), 1,
      aux_sym_argument_list_repeat1,
  [254927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 1,
      anon_sym_COMMA,
    ACTIONS(11477), 1,
      anon_sym_RBRACK,
    STATE(6868), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [254940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11479), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(3199), 1,
      sym_template_function,
  [254953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11481), 1,
      anon_sym_catch,
    STATE(360), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [254964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11483), 1,
      anon_sym_GT2,
    STATE(6759), 1,
      aux_sym_template_argument_list_repeat1,
  [254977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11485), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [254990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11487), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [255003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11489), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [255016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7931), 1,
      anon_sym_COMMA,
    ACTIONS(11491), 1,
      anon_sym_RBRACK,
    STATE(6866), 1,
      aux_sym_subscript_argument_list_repeat1,
  [255029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11380), 1,
      anon_sym_COMMA,
    ACTIONS(11493), 1,
      anon_sym_GT2,
    STATE(6751), 1,
      aux_sym_template_parameter_list_repeat1,
  [255042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7913), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [255055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    STATE(521), 1,
      sym_declaration_list,
  [255068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11495), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2630), 1,
      sym_template_function,
  [255081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_RBRACE,
    ACTIONS(11497), 1,
      anon_sym_COMMA,
    STATE(6807), 1,
      aux_sym_initializer_list_repeat1,
  [255094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11499), 1,
      anon_sym_GT2,
    STATE(6769), 1,
      aux_sym_template_argument_list_repeat1,
  [255107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11501), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [255120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11503), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [255133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11505), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [255146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11507), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(3482), 1,
      sym_template_function,
  [255159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11509), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2293), 1,
      sym_template_function,
  [255172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11511), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2630), 1,
      sym_template_function,
  [255185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11513), 1,
      anon_sym_RPAREN,
    STATE(6792), 1,
      sym_gnu_asm_input_operand_list,
  [255198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(11515), 1,
      anon_sym_RPAREN,
    STATE(6793), 1,
      sym_gnu_asm_output_operand_list,
  [255211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11517), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [255224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11519), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [255237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11521), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [255250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    ACTIONS(11523), 1,
      anon_sym_constexpr,
    STATE(177), 1,
      sym_condition_clause,
  [255263] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(6578), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11525), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [255274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11527), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [255287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7867), 1,
      anon_sym_COMMA,
    ACTIONS(11529), 1,
      anon_sym_RBRACK,
    STATE(6715), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [255300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11351), 1,
      anon_sym_COMMA,
    ACTIONS(11531), 1,
      anon_sym_RPAREN,
    STATE(6826), 1,
      aux_sym_parameter_list_repeat1,
  [255313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11456), 1,
      anon_sym_catch,
    STATE(1825), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11533), 1,
      anon_sym_catch,
    STATE(193), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11535), 1,
      sym_identifier,
    ACTIONS(11537), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [255346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    STATE(691), 1,
      sym_declaration_list,
  [255359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(11539), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [255372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(11182), 1,
      anon_sym_LBRACE,
    STATE(6997), 1,
      aux_sym_base_class_clause_repeat1,
  [255385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(11182), 1,
      anon_sym_LBRACE,
    STATE(6892), 1,
      aux_sym_base_class_clause_repeat1,
  [255398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11541), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11543), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [255409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9049), 1,
      anon_sym_COMMA,
    ACTIONS(11545), 1,
      anon_sym_RPAREN,
    STATE(6917), 1,
      aux_sym_preproc_argument_list_repeat1,
  [255422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(11547), 1,
      anon_sym_RPAREN,
    STATE(6796), 1,
      sym_gnu_asm_clobber_list,
  [255435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11549), 1,
      anon_sym_RPAREN,
    STATE(6797), 1,
      sym_gnu_asm_input_operand_list,
  [255448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11551), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [255457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11553), 1,
      anon_sym_default,
    ACTIONS(11555), 1,
      anon_sym_delete,
    ACTIONS(11557), 1,
      anon_sym_0,
  [255470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_RPAREN,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    STATE(7457), 1,
      sym_gnu_asm_goto_list,
  [255483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(11563), 1,
      anon_sym_RPAREN,
    STATE(6798), 1,
      sym_gnu_asm_clobber_list,
  [255496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(11565), 1,
      anon_sym_RPAREN,
    STATE(7463), 1,
      sym_gnu_asm_goto_list,
  [255509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7846), 1,
      anon_sym_COMMA,
    ACTIONS(11567), 1,
      anon_sym_RPAREN,
    STATE(6984), 1,
      aux_sym_generic_expression_repeat1,
  [255522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11569), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2630), 1,
      sym_template_function,
  [255535] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11262), 1,
      anon_sym_LPAREN2,
    ACTIONS(11571), 1,
      aux_sym_preproc_include_token2,
    STATE(7391), 1,
      sym_preproc_argument_list,
  [255548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11573), 1,
      sym_identifier,
    STATE(1650), 1,
      sym_template_type,
    STATE(3044), 1,
      sym_template_function,
  [255561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11575), 1,
      anon_sym_COMMA,
    ACTIONS(11577), 1,
      anon_sym_LBRACE,
    STATE(6887), 1,
      aux_sym_field_initializer_list_repeat1,
  [255574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11579), 1,
      anon_sym_SEMI,
    STATE(6852), 1,
      aux_sym_declaration_repeat1,
  [255587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 1,
      anon_sym_COMMA,
    ACTIONS(11581), 1,
      anon_sym_RBRACK,
    STATE(6753), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [255600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(11583), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [255613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7981), 1,
      anon_sym_RBRACE,
    ACTIONS(11585), 1,
      anon_sym_COMMA,
    STATE(6807), 1,
      aux_sym_initializer_list_repeat1,
  [255626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(11588), 1,
      anon_sym_RPAREN,
    STATE(7537), 1,
      sym_gnu_asm_goto_list,
  [255639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11590), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2293), 1,
      sym_template_function,
  [255652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(11592), 1,
      anon_sym_RPAREN,
    STATE(6913), 1,
      sym_gnu_asm_clobber_list,
  [255665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7040), 1,
      anon_sym_EQ,
    ACTIONS(7038), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [255676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11594), 1,
      anon_sym_catch,
    STATE(638), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11127), 1,
      anon_sym_DASH_GT,
    ACTIONS(11596), 1,
      anon_sym_SEMI,
    STATE(7569), 1,
      sym_trailing_return_type,
  [255700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11598), 1,
      anon_sym_COMMA,
    ACTIONS(11601), 1,
      anon_sym_RPAREN,
    STATE(6814), 1,
      aux_sym_requires_parameter_list_repeat1,
  [255713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11603), 1,
      anon_sym_COMMA,
    ACTIONS(11605), 1,
      anon_sym_RPAREN,
    STATE(6920), 1,
      aux_sym_throw_specifier_repeat1,
  [255726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11607), 1,
      anon_sym_COMMA,
    ACTIONS(11609), 1,
      anon_sym_RPAREN,
    STATE(6943), 1,
      aux_sym_requires_parameter_list_repeat1,
  [255739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(11611), 1,
      anon_sym_RPAREN,
    STATE(6841), 1,
      sym_gnu_asm_clobber_list,
  [255752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11613), 1,
      anon_sym_RPAREN,
    STATE(6842), 1,
      sym_gnu_asm_input_operand_list,
  [255765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    STATE(734), 1,
      sym_declaration_list,
  [255778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11615), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [255787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11617), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6835), 1,
      aux_sym_attribute_declaration_repeat1,
  [255800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11619), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6944), 1,
      aux_sym_attribute_declaration_repeat1,
  [255813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(8013), 1,
      anon_sym_RPAREN,
    STATE(6894), 1,
      aux_sym_argument_list_repeat1,
  [255826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    STATE(331), 1,
      sym_declaration_list,
  [255839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8015), 1,
      anon_sym_COMMA,
    ACTIONS(8017), 1,
      anon_sym_RBRACE,
    STATE(6897), 1,
      aux_sym_initializer_list_repeat1,
  [255852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11621), 1,
      anon_sym_COMMA,
    ACTIONS(11624), 1,
      anon_sym_RPAREN,
    STATE(6826), 1,
      aux_sym_parameter_list_repeat1,
  [255865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11456), 1,
      anon_sym_catch,
    STATE(1816), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [255876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11626), 1,
      anon_sym_SEMI,
    STATE(6848), 1,
      aux_sym_declaration_repeat1,
  [255889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11603), 1,
      anon_sym_COMMA,
    ACTIONS(11628), 1,
      anon_sym_RPAREN,
    STATE(6815), 1,
      aux_sym_throw_specifier_repeat1,
  [255902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11630), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6944), 1,
      aux_sym_attribute_declaration_repeat1,
  [255915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11632), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2630), 1,
      sym_template_function,
  [255928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11636), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11634), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [255939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(11638), 1,
      anon_sym_RPAREN,
    STATE(6907), 1,
      sym_gnu_asm_output_operand_list,
  [255952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7917), 1,
      anon_sym_RPAREN,
    STATE(7046), 1,
      aux_sym_argument_list_repeat1,
  [255965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11640), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6944), 1,
      aux_sym_attribute_declaration_repeat1,
  [255978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11642), 1,
      anon_sym_GT2,
    STATE(6911), 1,
      aux_sym_template_argument_list_repeat1,
  [255991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(8001), 1,
      anon_sym_RPAREN,
    STATE(6854), 1,
      aux_sym_argument_list_repeat1,
  [256004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8003), 1,
      anon_sym_COMMA,
    ACTIONS(8005), 1,
      anon_sym_RBRACE,
    STATE(6856), 1,
      aux_sym_initializer_list_repeat1,
  [256017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_COMMA,
    ACTIONS(11647), 1,
      anon_sym_LBRACE,
    STATE(6839), 1,
      aux_sym_field_initializer_list_repeat1,
  [256030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    STATE(629), 1,
      sym_declaration_list,
  [256043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(11649), 1,
      anon_sym_RPAREN,
    STATE(8198), 1,
      sym_gnu_asm_goto_list,
  [256056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(11651), 1,
      anon_sym_RPAREN,
    STATE(6871), 1,
      sym_gnu_asm_clobber_list,
  [256069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(11653), 1,
      anon_sym_RPAREN,
    STATE(6858), 1,
      sym_gnu_asm_output_operand_list,
  [256082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11655), 1,
      anon_sym_GT2,
    STATE(6862), 1,
      aux_sym_template_argument_list_repeat1,
  [256095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(11657), 1,
      anon_sym_RPAREN,
    STATE(7000), 1,
      sym_gnu_asm_output_operand_list,
  [256108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11659), 1,
      anon_sym_SEMI,
    STATE(6865), 1,
      aux_sym_declaration_repeat1,
  [256121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11661), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [256134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11663), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [256147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11665), 1,
      anon_sym_SEMI,
    STATE(6916), 1,
      aux_sym_declaration_repeat1,
  [256160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11667), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [256173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11311), 1,
      anon_sym_catch,
    STATE(365), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11669), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [256197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11351), 1,
      anon_sym_COMMA,
    ACTIONS(11671), 1,
      anon_sym_RPAREN,
    STATE(6921), 1,
      aux_sym_parameter_list_repeat1,
  [256210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7850), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [256223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11673), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2630), 1,
      sym_template_function,
  [256236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 1,
      anon_sym_RBRACE,
    ACTIONS(11675), 1,
      anon_sym_COMMA,
    STATE(6807), 1,
      aux_sym_initializer_list_repeat1,
  [256249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11533), 1,
      anon_sym_catch,
    STATE(221), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11677), 1,
      anon_sym_RPAREN,
    STATE(6874), 1,
      sym_gnu_asm_input_operand_list,
  [256273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(11679), 1,
      anon_sym_RPAREN,
    STATE(6875), 1,
      sym_gnu_asm_output_operand_list,
  [256286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11681), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [256299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11683), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [256312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11685), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [256325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    ACTIONS(11687), 1,
      anon_sym_constexpr,
    STATE(165), 1,
      sym_condition_clause,
  [256338] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(6549), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11689), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11691), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [256362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8148), 1,
      anon_sym_RBRACK,
    ACTIONS(11693), 1,
      anon_sym_COMMA,
    STATE(6866), 1,
      aux_sym_subscript_argument_list_repeat1,
  [256375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11311), 1,
      anon_sym_catch,
    STATE(377), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11696), 1,
      anon_sym_COMMA,
    ACTIONS(11699), 1,
      anon_sym_RBRACK,
    STATE(6868), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [256399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_COMMA,
    ACTIONS(7921), 1,
      anon_sym_RBRACE,
    STATE(6656), 1,
      aux_sym_initializer_list_repeat1,
  [256412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(11701), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [256425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(11703), 1,
      anon_sym_RPAREN,
    STATE(7417), 1,
      sym_gnu_asm_goto_list,
  [256438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11705), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [256447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11707), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [256456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(11709), 1,
      anon_sym_RPAREN,
    STATE(6876), 1,
      sym_gnu_asm_clobber_list,
  [256469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11711), 1,
      anon_sym_RPAREN,
    STATE(6877), 1,
      sym_gnu_asm_input_operand_list,
  [256482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(11713), 1,
      anon_sym_RPAREN,
    STATE(7401), 1,
      sym_gnu_asm_goto_list,
  [256495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(11715), 1,
      anon_sym_RPAREN,
    STATE(6880), 1,
      sym_gnu_asm_clobber_list,
  [256508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11717), 1,
      anon_sym_default,
    ACTIONS(11719), 1,
      anon_sym_delete,
    ACTIONS(11721), 1,
      anon_sym_0,
  [256521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7931), 1,
      anon_sym_COMMA,
    ACTIONS(7933), 1,
      anon_sym_RBRACK,
    STATE(6924), 1,
      aux_sym_subscript_argument_list_repeat1,
  [256534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(11723), 1,
      anon_sym_RPAREN,
    STATE(7404), 1,
      sym_gnu_asm_goto_list,
  [256547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7846), 1,
      anon_sym_COMMA,
    ACTIONS(11725), 1,
      anon_sym_RPAREN,
    STATE(6984), 1,
      aux_sym_generic_expression_repeat1,
  [256560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7931), 1,
      anon_sym_COMMA,
    ACTIONS(7937), 1,
      anon_sym_RBRACK,
    STATE(6893), 1,
      aux_sym_subscript_argument_list_repeat1,
  [256573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7846), 1,
      anon_sym_COMMA,
    ACTIONS(11727), 1,
      anon_sym_RPAREN,
    STATE(6984), 1,
      aux_sym_generic_expression_repeat1,
  [256586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11594), 1,
      anon_sym_catch,
    STATE(351), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11729), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11731), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [256608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11735), 1,
      anon_sym_RPAREN,
    ACTIONS(11733), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [256619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11575), 1,
      anon_sym_COMMA,
    ACTIONS(11737), 1,
      anon_sym_LBRACE,
    STATE(6839), 1,
      aux_sym_field_initializer_list_repeat1,
  [256632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11739), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11741), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [256643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3876), 1,
      anon_sym_RBRACE,
    ACTIONS(11743), 1,
      anon_sym_COMMA,
    STATE(6807), 1,
      aux_sym_initializer_list_repeat1,
  [256656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11594), 1,
      anon_sym_catch,
    STATE(528), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    ACTIONS(11745), 1,
      anon_sym_constexpr,
    STATE(164), 1,
      sym_condition_clause,
  [256680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(11747), 1,
      anon_sym_LBRACE,
    STATE(6997), 1,
      aux_sym_base_class_clause_repeat1,
  [256693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7931), 1,
      anon_sym_COMMA,
    ACTIONS(11749), 1,
      anon_sym_RBRACK,
    STATE(6866), 1,
      aux_sym_subscript_argument_list_repeat1,
  [256706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7915), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [256719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    STATE(281), 1,
      sym_declaration_list,
  [256732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 1,
      anon_sym_while,
    ACTIONS(11302), 1,
      anon_sym_else,
    STATE(415), 1,
      sym_else_clause,
  [256745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 1,
      anon_sym_RBRACE,
    ACTIONS(11751), 1,
      anon_sym_COMMA,
    STATE(6807), 1,
      aux_sym_initializer_list_repeat1,
  [256758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11753), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11755), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [256769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(11747), 1,
      anon_sym_LBRACE,
    STATE(6965), 1,
      aux_sym_base_class_clause_repeat1,
  [256782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    ACTIONS(11757), 1,
      anon_sym_constexpr,
    STATE(185), 1,
      sym_condition_clause,
  [256795] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(6402), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11759), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [256806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11761), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6830), 1,
      aux_sym_attribute_declaration_repeat1,
  [256819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11763), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [256828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11765), 1,
      anon_sym_GT2,
    STATE(6689), 1,
      aux_sym_template_argument_list_repeat1,
  [256841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11767), 1,
      anon_sym_default,
    ACTIONS(11769), 1,
      anon_sym_delete,
    ACTIONS(11771), 1,
      anon_sym_0,
  [256854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11773), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6927), 1,
      aux_sym_attribute_declaration_repeat1,
  [256867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11775), 1,
      anon_sym_RPAREN,
    STATE(6947), 1,
      sym_gnu_asm_input_operand_list,
  [256880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(11777), 1,
      anon_sym_RPAREN,
    STATE(6948), 1,
      sym_gnu_asm_output_operand_list,
  [256893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11779), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [256906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11781), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [256919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11783), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [256932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(11785), 1,
      anon_sym_RPAREN,
    STATE(6676), 1,
      sym_gnu_asm_output_operand_list,
  [256945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(11787), 1,
      anon_sym_RPAREN,
    STATE(7788), 1,
      sym_gnu_asm_goto_list,
  [256958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_catch,
    STATE(810), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [256969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11791), 1,
      anon_sym_GT2,
    STATE(6683), 1,
      aux_sym_template_argument_list_repeat1,
  [256982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11793), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [256995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9179), 1,
      anon_sym_RPAREN,
    ACTIONS(11795), 1,
      anon_sym_COMMA,
    STATE(6917), 1,
      aux_sym_preproc_argument_list_repeat1,
  [257008] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(6628), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11798), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11800), 1,
      anon_sym_SEMI,
    STATE(6939), 1,
      aux_sym_declaration_repeat1,
  [257032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11802), 1,
      anon_sym_COMMA,
    ACTIONS(11805), 1,
      anon_sym_RPAREN,
    STATE(6920), 1,
      aux_sym_throw_specifier_repeat1,
  [257045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11351), 1,
      anon_sym_COMMA,
    ACTIONS(11807), 1,
      anon_sym_RPAREN,
    STATE(6826), 1,
      aux_sym_parameter_list_repeat1,
  [257058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11533), 1,
      anon_sym_catch,
    STATE(222), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(2630), 1,
      sym_template_function,
  [257082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7931), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_RBRACK,
    STATE(6866), 1,
      aux_sym_subscript_argument_list_repeat1,
  [257095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11813), 1,
      anon_sym_default,
    ACTIONS(11815), 1,
      anon_sym_delete,
    ACTIONS(11817), 1,
      anon_sym_0,
  [257108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11819), 1,
      anon_sym_COMMA,
    ACTIONS(11822), 1,
      anon_sym_RPAREN,
    STATE(6926), 1,
      aux_sym_preproc_params_repeat1,
  [257121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11824), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6944), 1,
      aux_sym_attribute_declaration_repeat1,
  [257134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11380), 1,
      anon_sym_COMMA,
    ACTIONS(11826), 1,
      anon_sym_GT2,
    STATE(6704), 1,
      aux_sym_template_parameter_list_repeat1,
  [257147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(8021), 1,
      anon_sym_RPAREN,
    STATE(6950), 1,
      aux_sym_argument_list_repeat1,
  [257160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8023), 1,
      anon_sym_COMMA,
    ACTIONS(8025), 1,
      anon_sym_RBRACE,
    STATE(6953), 1,
      aux_sym_initializer_list_repeat1,
  [257173] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(6519), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11828), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9049), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_RPAREN,
    STATE(6917), 1,
      aux_sym_preproc_argument_list_repeat1,
  [257197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11832), 1,
      anon_sym_default,
    ACTIONS(11834), 1,
      anon_sym_delete,
    ACTIONS(11836), 1,
      anon_sym_0,
  [257210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(11838), 1,
      anon_sym_RPAREN,
    STATE(6956), 1,
      sym_gnu_asm_output_operand_list,
  [257223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11840), 1,
      anon_sym_GT2,
    STATE(6963), 1,
      aux_sym_template_argument_list_repeat1,
  [257236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(11842), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [257249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11844), 1,
      anon_sym_SEMI,
    STATE(6968), 1,
      aux_sym_declaration_repeat1,
  [257262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11846), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [257275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11848), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [257288] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(6586), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11850), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11852), 1,
      anon_sym_catch,
    STATE(1609), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11854), 1,
      anon_sym_default,
    ACTIONS(11856), 1,
      anon_sym_delete,
    ACTIONS(11858), 1,
      anon_sym_0,
  [257323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11607), 1,
      anon_sym_COMMA,
    ACTIONS(11860), 1,
      anon_sym_RPAREN,
    STATE(6814), 1,
      aux_sym_requires_parameter_list_repeat1,
  [257336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11862), 1,
      anon_sym_COMMA,
    ACTIONS(11865), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6944), 1,
      aux_sym_attribute_declaration_repeat1,
  [257349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [257358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11867), 1,
      anon_sym_SEMI,
    STATE(6742), 1,
      aux_sym_declaration_repeat1,
  [257371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(11869), 1,
      anon_sym_RPAREN,
    STATE(6985), 1,
      sym_gnu_asm_clobber_list,
  [257384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11871), 1,
      anon_sym_RPAREN,
    STATE(6986), 1,
      sym_gnu_asm_input_operand_list,
  [257397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11873), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [257410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7840), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [257423] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(6577), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11875), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11877), 1,
      anon_sym_SEMI,
    STATE(6662), 1,
      aux_sym_declaration_repeat1,
  [257447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_RBRACE,
    ACTIONS(11879), 1,
      anon_sym_COMMA,
    STATE(6807), 1,
      aux_sym_initializer_list_repeat1,
  [257460] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(6526), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11881), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11883), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [257484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11885), 1,
      anon_sym_RPAREN,
    STATE(6978), 1,
      sym_gnu_asm_input_operand_list,
  [257497] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(6486), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11887), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257508] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(6608), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11889), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257519] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(6424), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11891), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [257530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(11893), 1,
      anon_sym_RPAREN,
    STATE(6979), 1,
      sym_gnu_asm_output_operand_list,
  [257543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11895), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [257556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11897), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [257569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(11899), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [257582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11901), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11903), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [257593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(11905), 1,
      anon_sym_LBRACE,
    STATE(6997), 1,
      aux_sym_base_class_clause_repeat1,
  [257606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7846), 1,
      anon_sym_COMMA,
    ACTIONS(11907), 1,
      anon_sym_RPAREN,
    STATE(6984), 1,
      aux_sym_generic_expression_repeat1,
  [257619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7993), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [257632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11909), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [257645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11911), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [257654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(11016), 1,
      anon_sym_LBRACE,
    STATE(6788), 1,
      aux_sym_base_class_clause_repeat1,
  [257667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11913), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [257676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11852), 1,
      anon_sym_catch,
    STATE(1602), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11351), 1,
      anon_sym_COMMA,
    ACTIONS(11915), 1,
      anon_sym_RPAREN,
    STATE(6746), 1,
      aux_sym_parameter_list_repeat1,
  [257700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(11016), 1,
      anon_sym_LBRACE,
    STATE(6997), 1,
      aux_sym_base_class_clause_repeat1,
  [257713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(11917), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [257726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11919), 1,
      anon_sym_COMMA,
    ACTIONS(11921), 1,
      anon_sym_RPAREN,
    STATE(6996), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [257739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11923), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [257752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(11925), 1,
      anon_sym_RPAREN,
    STATE(6980), 1,
      sym_gnu_asm_clobber_list,
  [257765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11927), 1,
      anon_sym_RPAREN,
    STATE(6981), 1,
      sym_gnu_asm_input_operand_list,
  [257778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(11929), 1,
      anon_sym_RPAREN,
    STATE(7803), 1,
      sym_gnu_asm_goto_list,
  [257791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(11931), 1,
      anon_sym_RPAREN,
    STATE(6982), 1,
      sym_gnu_asm_clobber_list,
  [257804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(11933), 1,
      anon_sym_RPAREN,
    STATE(7809), 1,
      sym_gnu_asm_goto_list,
  [257817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7846), 1,
      anon_sym_COMMA,
    ACTIONS(11935), 1,
      anon_sym_RPAREN,
    STATE(6984), 1,
      aux_sym_generic_expression_repeat1,
  [257830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11937), 1,
      anon_sym_COMMA,
    ACTIONS(11940), 1,
      anon_sym_RPAREN,
    STATE(6984), 1,
      aux_sym_generic_expression_repeat1,
  [257843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(11942), 1,
      anon_sym_RPAREN,
    STATE(7840), 1,
      sym_gnu_asm_goto_list,
  [257856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(11944), 1,
      anon_sym_RPAREN,
    STATE(6991), 1,
      sym_gnu_asm_clobber_list,
  [257869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11948), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [257880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11481), 1,
      anon_sym_catch,
    STATE(378), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [257891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11950), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [257904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11952), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [257913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(11954), 1,
      anon_sym_RPAREN,
    STATE(7852), 1,
      sym_gnu_asm_goto_list,
  [257926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7846), 1,
      anon_sym_COMMA,
    ACTIONS(11956), 1,
      anon_sym_RPAREN,
    STATE(6984), 1,
      aux_sym_generic_expression_repeat1,
  [257939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11958), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7011), 1,
      aux_sym_attribute_declaration_repeat1,
  [257952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10305), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [257961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11960), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [257970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11919), 1,
      anon_sym_COMMA,
    ACTIONS(11962), 1,
      anon_sym_RPAREN,
    STATE(7001), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [257983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_LBRACE,
    ACTIONS(11964), 1,
      anon_sym_COMMA,
    STATE(6997), 1,
      aux_sym_base_class_clause_repeat1,
  [257996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11852), 1,
      anon_sym_catch,
    STATE(1612), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7931), 1,
      anon_sym_COMMA,
    ACTIONS(7960), 1,
      anon_sym_RBRACK,
    STATE(6760), 1,
      aux_sym_subscript_argument_list_repeat1,
  [258020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(11967), 1,
      anon_sym_RPAREN,
    STATE(6685), 1,
      sym_gnu_asm_input_operand_list,
  [258033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11969), 1,
      anon_sym_COMMA,
    ACTIONS(11972), 1,
      anon_sym_RPAREN,
    STATE(7001), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [258046] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    STATE(6560), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11974), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [258057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11976), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [258066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(11978), 1,
      anon_sym_SEMI,
    STATE(7020), 1,
      aux_sym_declaration_repeat1,
  [258079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11980), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [258088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11984), 1,
      anon_sym_RPAREN,
    ACTIONS(11982), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [258099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11986), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
    STATE(5868), 1,
      sym_template_function,
  [258112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(11988), 1,
      anon_sym_RPAREN,
    STATE(6687), 1,
      sym_gnu_asm_output_operand_list,
  [258125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11990), 1,
      anon_sym_COMMA,
    ACTIONS(11992), 1,
      anon_sym_RPAREN,
    STATE(7043), 1,
      aux_sym_preproc_params_repeat1,
  [258138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11994), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7013), 1,
      aux_sym_attribute_declaration_repeat1,
  [258151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11996), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6944), 1,
      aux_sym_attribute_declaration_repeat1,
  [258164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7903), 1,
      anon_sym_RPAREN,
    STATE(7023), 1,
      aux_sym_argument_list_repeat1,
  [258177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11998), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6944), 1,
      aux_sym_attribute_declaration_repeat1,
  [258190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(12000), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [258203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_RBRACE,
    ACTIONS(8009), 1,
      anon_sym_COMMA,
    STATE(6889), 1,
      aux_sym_initializer_list_repeat1,
  [258216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(12002), 1,
      anon_sym_GT2,
    STATE(7029), 1,
      aux_sym_template_argument_list_repeat1,
  [258229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11380), 1,
      anon_sym_COMMA,
    ACTIONS(12004), 1,
      anon_sym_GT2,
    STATE(6761), 1,
      aux_sym_template_parameter_list_repeat1,
  [258242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(12006), 1,
      anon_sym_SEMI,
    STATE(7030), 1,
      aux_sym_declaration_repeat1,
  [258255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(12008), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [258268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(12010), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [258281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11300), 1,
      anon_sym_catch,
    STATE(1822), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(12012), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [258305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7911), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [258318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5799), 1,
      anon_sym_SEMI,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1613), 1,
      sym_template_argument_list,
  [258331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(12014), 1,
      anon_sym_RPAREN,
    STATE(7036), 1,
      sym_gnu_asm_input_operand_list,
  [258344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_COLON,
    ACTIONS(12016), 1,
      anon_sym_RPAREN,
    STATE(7037), 1,
      sym_gnu_asm_output_operand_list,
  [258357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(12018), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [258370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(12020), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [258383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7792), 1,
      anon_sym_COMMA,
    ACTIONS(12022), 1,
      anon_sym_GT2,
    STATE(6695), 1,
      aux_sym_template_argument_list_repeat1,
  [258396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(12024), 1,
      anon_sym_SEMI,
    STATE(6672), 1,
      aux_sym_declaration_repeat1,
  [258409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_COMMA,
    ACTIONS(12026), 1,
      anon_sym_SEMI,
    STATE(6989), 1,
      aux_sym_declaration_repeat1,
  [258422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11300), 1,
      anon_sym_catch,
    STATE(1823), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_COMMA,
    ACTIONS(10916), 1,
      anon_sym_LBRACE,
    STATE(6974), 1,
      aux_sym_base_class_clause_repeat1,
  [258446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(12028), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [258459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7854), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [258468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(12030), 1,
      anon_sym_RPAREN,
    STATE(7038), 1,
      sym_gnu_asm_clobber_list,
  [258481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      anon_sym_COLON,
    ACTIONS(12032), 1,
      anon_sym_RPAREN,
    STATE(7039), 1,
      sym_gnu_asm_input_operand_list,
  [258494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(12034), 1,
      anon_sym_RPAREN,
    STATE(8085), 1,
      sym_gnu_asm_goto_list,
  [258507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11337), 1,
      anon_sym_COLON,
    ACTIONS(12036), 1,
      anon_sym_RPAREN,
    STATE(7040), 1,
      sym_gnu_asm_clobber_list,
  [258520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11561), 1,
      anon_sym_COLON,
    ACTIONS(12038), 1,
      anon_sym_RPAREN,
    STATE(8087), 1,
      sym_gnu_asm_goto_list,
  [258533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11481), 1,
      anon_sym_catch,
    STATE(334), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [258544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9049), 1,
      anon_sym_COMMA,
    ACTIONS(12040), 1,
      anon_sym_RPAREN,
    STATE(6917), 1,
      aux_sym_preproc_argument_list_repeat1,
  [258557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11990), 1,
      anon_sym_COMMA,
    ACTIONS(12042), 1,
      anon_sym_RPAREN,
    STATE(6926), 1,
      aux_sym_preproc_params_repeat1,
  [258570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    ACTIONS(12044), 1,
      anon_sym_constexpr,
    STATE(184), 1,
      sym_condition_clause,
  [258583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(12046), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(6655), 1,
      aux_sym_attribute_declaration_repeat1,
  [258596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7836), 1,
      anon_sym_COMMA,
    ACTIONS(7999), 1,
      anon_sym_RPAREN,
    STATE(6723), 1,
      aux_sym_argument_list_repeat1,
  [258609] = 4,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11262), 1,
      anon_sym_LPAREN2,
    ACTIONS(12048), 1,
      aux_sym_preproc_include_token2,
    STATE(7391), 1,
      sym_preproc_argument_list,
  [258622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11636), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12050), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [258633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_RBRACE,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
  [258643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11178), 1,
      anon_sym_LBRACE,
    STATE(5443), 1,
      sym_requirement_seq,
  [258653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(7300), 1,
      sym_condition_clause,
  [258663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(181), 1,
      sym_condition_clause,
  [258673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(724), 1,
      sym_compound_statement,
  [258683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7041), 1,
      sym_compound_statement,
  [258693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_RBRACE,
  [258703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5967), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [258711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    STATE(1884), 1,
      sym_field_declaration_list,
  [258721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12056), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
  [258731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    STATE(1885), 1,
      sym_field_declaration_list,
  [258741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
    ACTIONS(12058), 1,
      anon_sym_RBRACE,
  [258751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_LPAREN2,
    STATE(7508), 1,
      sym_parenthesized_expression,
  [258761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(7119), 1,
      sym_parameter_list,
  [258771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12062), 1,
      anon_sym_LT,
    STATE(3340), 1,
      sym_template_argument_list,
  [258781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(135), 1,
      sym_condition_clause,
  [258791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12062), 1,
      anon_sym_LT,
    STATE(2510), 1,
      sym_template_argument_list,
  [258801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(2938), 1,
      sym_field_declaration_list,
  [258811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6922), 1,
      sym_compound_statement,
  [258821] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12064), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12066), 1,
      sym_preproc_arg,
  [258831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_LPAREN2,
    STATE(7184), 1,
      sym_parenthesized_expression,
  [258841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(273), 1,
      sym_compound_statement,
  [258851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    STATE(669), 1,
      sym_declaration_list,
  [258861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(7704), 1,
      sym_argument_list,
  [258871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6504), 1,
      sym_compound_statement,
  [258881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    STATE(4674), 1,
      sym_field_declaration_list,
  [258891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(2252), 1,
      sym_field_declaration_list,
  [258901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(2254), 1,
      sym_field_declaration_list,
  [258911] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12068), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12070), 1,
      sym_preproc_arg,
  [258921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_LBRACE,
    STATE(3283), 1,
      sym_initializer_list,
  [258931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    STATE(2749), 1,
      sym_field_declaration_list,
  [258941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(139), 1,
      sym_condition_clause,
  [258951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11755), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [258959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    STATE(2751), 1,
      sym_field_declaration_list,
  [258969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(236), 1,
      sym_compound_statement,
  [258979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_compound_statement,
  [258989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9880), 1,
      anon_sym_LBRACE,
    STATE(1892), 1,
      sym_compound_statement,
  [258999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    STATE(282), 1,
      sym_declaration_list,
  [259009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
    ACTIONS(12072), 1,
      anon_sym_RBRACE,
  [259019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    STATE(287), 1,
      sym_declaration_list,
  [259029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
    ACTIONS(12074), 1,
      anon_sym_RBRACE,
  [259039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_LBRACE,
    STATE(3425), 1,
      sym_initializer_list,
  [259049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12076), 1,
      sym_identifier,
    STATE(1650), 1,
      sym_template_type,
  [259059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
  [259069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8847), 1,
      anon_sym_LBRACE,
    STATE(4074), 1,
      sym_requirement_seq,
  [259079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12078), 1,
      sym_identifier,
    STATE(6667), 1,
      sym_attribute,
  [259089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8116), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [259097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11543), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [259105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(7150), 1,
      sym_condition_clause,
  [259115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(186), 1,
      sym_condition_clause,
  [259125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_LPAREN2,
    STATE(7454), 1,
      sym_parenthesized_expression,
  [259135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12080), 1,
      sym_identifier,
    STATE(2217), 1,
      sym_template_type,
  [259145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6674), 1,
      sym_compound_statement,
  [259155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8399), 1,
      anon_sym_LT,
    STATE(2435), 1,
      sym_template_argument_list,
  [259165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12082), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
  [259175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(7594), 1,
      sym_argument_list,
  [259185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6548), 1,
      sym_compound_statement,
  [259195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(137), 1,
      sym_condition_clause,
  [259205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12078), 1,
      sym_identifier,
    STATE(7010), 1,
      sym_attribute,
  [259215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    STATE(2626), 1,
      sym_field_declaration_list,
  [259225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    STATE(599), 1,
      sym_declaration_list,
  [259235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5883), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(150), 1,
      sym_condition_clause,
  [259253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7909), 1,
      anon_sym_LT,
    STATE(4308), 1,
      sym_template_argument_list,
  [259263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_LPAREN2,
    STATE(7894), 1,
      sym_parenthesized_expression,
  [259273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5905), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(7382), 1,
      sym_parameter_list,
  [259291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_compound_statement,
  [259301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9872), 1,
      anon_sym_LBRACE,
    STATE(1998), 1,
      sym_compound_statement,
  [259311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8834), 1,
      anon_sym_LBRACE,
    STATE(2367), 1,
      sym_requirement_seq,
  [259321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(225), 1,
      sym_compound_statement,
  [259331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    STATE(2953), 1,
      sym_field_declaration_list,
  [259341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12084), 1,
      sym_identifier,
    ACTIONS(12086), 1,
      anon_sym_RPAREN,
  [259351] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12088), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12090), 1,
      sym_preproc_arg,
  [259361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6783), 1,
      sym_compound_statement,
  [259371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12092), 1,
      anon_sym_SEMI,
  [259381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_LPAREN2,
    STATE(7083), 1,
      sym_parenthesized_expression,
  [259391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5887), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(152), 1,
      sym_condition_clause,
  [259409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12094), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [259417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [259425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(307), 1,
      sym_compound_statement,
  [259435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6505), 1,
      sym_compound_statement,
  [259445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11822), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [259453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12078), 1,
      sym_identifier,
    STATE(6821), 1,
      sym_attribute,
  [259463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(7230), 1,
      sym_condition_clause,
  [259473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8810), 1,
      anon_sym_LBRACE,
    STATE(3415), 1,
      sym_requirement_seq,
  [259483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    STATE(1886), 1,
      sym_field_declaration_list,
  [259493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6827), 1,
      sym_compound_statement,
  [259503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_compound_statement,
  [259513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5814), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11805), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [259529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9864), 1,
      anon_sym_LBRACE,
    STATE(1753), 1,
      sym_compound_statement,
  [259539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(7820), 1,
      sym_argument_list,
  [259549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6527), 1,
      sym_compound_statement,
  [259559] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12096), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12098), 1,
      sym_preproc_arg,
  [259569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12100), 1,
      sym_identifier,
    ACTIONS(12102), 1,
      anon_sym_LPAREN2,
  [259579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_LPAREN2,
    STATE(7505), 1,
      sym_parenthesized_expression,
  [259589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7981), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [259597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    STATE(692), 1,
      sym_declaration_list,
  [259607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(7319), 1,
      sym_parameter_list,
  [259617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    STATE(495), 1,
      sym_compound_statement,
  [259627] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12104), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12106), 1,
      sym_preproc_arg,
  [259637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_LT,
    STATE(1802), 1,
      sym_template_argument_list,
  [259647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(7771), 1,
      sym_argument_list,
  [259657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(2209), 1,
      sym_template_argument_list,
  [259667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_LPAREN2,
    STATE(8067), 1,
      sym_parenthesized_expression,
  [259677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      sym_identifier,
    ACTIONS(12112), 1,
      anon_sym_LPAREN2,
  [259687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(7333), 1,
      sym_parameter_list,
  [259697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12078), 1,
      sym_identifier,
    STATE(7225), 1,
      sym_attribute,
  [259707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8193), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [259715] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12114), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12116), 1,
      sym_preproc_arg,
  [259725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12118), 1,
      sym_identifier,
    STATE(1650), 1,
      sym_template_type,
  [259735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6867), 1,
      sym_compound_statement,
  [259745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_LPAREN2,
    STATE(7359), 1,
      sym_parenthesized_expression,
  [259755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(387), 1,
      sym_compound_statement,
  [259765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10004), 1,
      anon_sym_RBRACE,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
  [259775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12078), 1,
      sym_identifier,
    STATE(6906), 1,
      sym_attribute,
  [259785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6755), 1,
      sym_compound_statement,
  [259795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6914), 1,
      sym_compound_statement,
  [259805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4243), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [259813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8358), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
  [259823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(7588), 1,
      sym_argument_list,
  [259833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    STATE(2960), 1,
      sym_field_declaration_list,
  [259843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    STATE(2961), 1,
      sym_field_declaration_list,
  [259853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(2276), 1,
      sym_field_declaration_list,
  [259863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12120), 1,
      sym_identifier,
    STATE(4312), 1,
      sym_template_type,
  [259873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6884), 1,
      sym_compound_statement,
  [259883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_LT,
    STATE(2209), 1,
      sym_template_argument_list,
  [259893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5987), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [259901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(7228), 1,
      sym_parameter_list,
  [259911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12122), 1,
      sym_identifier,
    STATE(2489), 1,
      sym_template_type,
  [259921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6972), 1,
      sym_compound_statement,
  [259931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_LBRACE,
    STATE(3741), 1,
      sym_initializer_list,
  [259941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_LPAREN2,
    STATE(7245), 1,
      sym_parenthesized_expression,
  [259951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_compound_statement,
  [259961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(2273), 1,
      sym_template_argument_list,
  [259971] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12124), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12126), 1,
      sym_preproc_arg,
  [259981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6890), 1,
      sym_compound_statement,
  [259991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12078), 1,
      sym_identifier,
    STATE(6993), 1,
      sym_attribute,
  [260001] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12128), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12130), 1,
      sym_preproc_arg,
  [260011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6998), 1,
      sym_compound_statement,
  [260021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8019), 1,
      anon_sym_RBRACK,
    ACTIONS(12132), 1,
      anon_sym_COMMA,
  [260031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(7903), 1,
      sym_argument_list,
  [260041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11601), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [260049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12134), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [260057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_LPAREN2,
    STATE(7138), 1,
      sym_parenthesized_expression,
  [260067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(461), 1,
      sym_compound_statement,
  [260077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(7334), 1,
      sym_parameter_list,
  [260087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9864), 1,
      anon_sym_LBRACE,
    STATE(1774), 1,
      sym_compound_statement,
  [260097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12136), 1,
      anon_sym_LT,
    STATE(1795), 1,
      sym_template_argument_list,
  [260107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7032), 1,
      sym_compound_statement,
  [260117] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12138), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12140), 1,
      sym_preproc_arg,
  [260127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12142), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [260135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(2688), 1,
      sym_template_argument_list,
  [260145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12144), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_template_type,
  [260155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_LBRACE,
    STATE(3538), 1,
      sym_initializer_list,
  [260165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LBRACE,
    STATE(824), 1,
      sym_compound_statement,
  [260175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12078), 1,
      sym_identifier,
    STATE(7045), 1,
      sym_attribute,
  [260185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    STATE(3774), 1,
      sym_field_declaration_list,
  [260195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6670), 1,
      sym_compound_statement,
  [260205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8358), 1,
      anon_sym_LT,
    STATE(1795), 1,
      sym_template_argument_list,
  [260215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(7864), 1,
      sym_argument_list,
  [260225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12146), 1,
      sym_identifier,
    STATE(2451), 1,
      sym_template_type,
  [260235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(7085), 1,
      sym_parameter_list,
  [260245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
    ACTIONS(12148), 1,
      anon_sym_RBRACE,
  [260255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11624), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [260263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    STATE(557), 1,
      sym_declaration_list,
  [260273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(7567), 1,
      sym_argument_list,
  [260283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6109), 1,
      anon_sym_LBRACE,
    STATE(2979), 1,
      sym_field_declaration_list,
  [260293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    STATE(4657), 1,
      sym_field_declaration_list,
  [260303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9960), 1,
      anon_sym_RBRACE,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
  [260313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(7526), 1,
      sym_argument_list,
  [260323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12062), 1,
      anon_sym_LT,
    STATE(3348), 1,
      sym_template_argument_list,
  [260333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7949), 1,
      anon_sym_RPAREN,
    ACTIONS(7951), 1,
      anon_sym_SEMI,
  [260343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11475), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [260351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11865), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [260359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(2522), 1,
      sym_field_declaration_list,
  [260369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    STATE(335), 1,
      sym_declaration_list,
  [260379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LBRACE,
    STATE(815), 1,
      sym_compound_statement,
  [260389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11903), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LBRACE,
    STATE(843), 1,
      sym_compound_statement,
  [260407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12150), 1,
      anon_sym_SEMI,
  [260417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6163), 1,
      anon_sym_LT,
    STATE(2698), 1,
      sym_template_argument_list,
  [260427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_RBRACE,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
  [260437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [260445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6645), 1,
      sym_compound_statement,
  [260455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12154), 1,
      sym_identifier,
    STATE(1801), 1,
      sym_template_type,
  [260465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12156), 1,
      anon_sym_SEMI,
  [260475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8802), 1,
      anon_sym_LBRACE,
    STATE(3567), 1,
      sym_requirement_seq,
  [260485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    STATE(2687), 1,
      sym_field_declaration_list,
  [260495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    STATE(3764), 1,
      sym_field_declaration_list,
  [260505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    STATE(2614), 1,
      sym_field_declaration_list,
  [260515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12158), 1,
      anon_sym_LPAREN2,
    ACTIONS(12160), 1,
      sym_raw_string_delimiter,
  [260525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_compound_statement,
  [260535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    STATE(3778), 1,
      sym_field_declaration_list,
  [260545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_LBRACE,
    STATE(853), 1,
      sym_compound_statement,
  [260555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(8059), 1,
      sym_argument_list,
  [260565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6015), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [260573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(7196), 1,
      sym_condition_clause,
  [260583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12162), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [260591] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12164), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12166), 1,
      sym_preproc_arg,
  [260601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_LPAREN2,
    STATE(7116), 1,
      sym_parenthesized_expression,
  [260611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12168), 1,
      anon_sym_LT,
    STATE(2490), 1,
      sym_template_argument_list,
  [260621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(610), 1,
      sym_compound_statement,
  [260631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 1,
      anon_sym_LBRACE,
    STATE(2681), 1,
      sym_field_declaration_list,
  [260641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11634), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [260649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12170), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(2277), 1,
      sym_field_declaration_list,
  [260667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
    ACTIONS(12172), 1,
      anon_sym_RBRACE,
  [260677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_LT,
    STATE(2273), 1,
      sym_template_argument_list,
  [260687] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12174), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12176), 1,
      sym_preproc_arg,
  [260697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9872), 1,
      anon_sym_LBRACE,
    STATE(2174), 1,
      sym_compound_statement,
  [260707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6904), 1,
      anon_sym_LBRACE,
    STATE(3792), 1,
      sym_field_declaration_list,
  [260717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12178), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11647), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(156), 1,
      sym_condition_clause,
  [260743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10046), 1,
      anon_sym_RBRACE,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
  [260753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12180), 1,
      sym_identifier,
    STATE(2697), 1,
      sym_template_type,
  [260763] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12182), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12184), 1,
      sym_preproc_arg,
  [260773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10890), 1,
      anon_sym_LBRACE,
    STATE(5622), 1,
      sym_requirement_seq,
  [260783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5857), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [260791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12186), 1,
      anon_sym_LT,
    STATE(2520), 1,
      sym_template_argument_list,
  [260801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(2529), 1,
      sym_field_declaration_list,
  [260811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(2509), 1,
      sym_field_declaration_list,
  [260821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8826), 1,
      anon_sym_LBRACE,
    STATE(3271), 1,
      sym_requirement_seq,
  [260831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    STATE(4562), 1,
      sym_field_declaration_list,
  [260841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [260849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9950), 1,
      anon_sym_RBRACE,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
  [260859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12188), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [260867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9952), 1,
      anon_sym_RBRACE,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
  [260877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11040), 1,
      anon_sym_LBRACE,
    STATE(1559), 1,
      sym_requirement_seq,
  [260887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12190), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [260895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(240), 1,
      sym_compound_statement,
  [260905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12192), 1,
      sym_identifier,
    STATE(1650), 1,
      sym_template_type,
  [260915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_LBRACE,
    STATE(632), 1,
      sym_declaration_list,
  [260925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12050), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [260933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
  [260943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9880), 1,
      anon_sym_LBRACE,
    STATE(2110), 1,
      sym_compound_statement,
  [260953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(685), 1,
      sym_compound_statement,
  [260963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10920), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
  [260973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12194), 1,
      sym_identifier,
    STATE(3501), 1,
      sym_template_type,
  [260983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12196), 1,
      anon_sym_LT,
    STATE(2273), 1,
      sym_template_argument_list,
  [260993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(170), 1,
      sym_condition_clause,
  [261003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(4949), 1,
      sym_field_declaration_list,
  [261013] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12198), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12200), 1,
      sym_preproc_arg,
  [261023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(4955), 1,
      sym_field_declaration_list,
  [261033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(4956), 1,
      sym_field_declaration_list,
  [261043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2688), 1,
      sym_template_argument_list,
  [261053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 1,
      anon_sym_LBRACE,
    STATE(4959), 1,
      sym_field_declaration_list,
  [261063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    STATE(4669), 1,
      sym_field_declaration_list,
  [261073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_compound_statement,
  [261083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 1,
      anon_sym_LBRACE,
    STATE(262), 1,
      sym_compound_statement,
  [261093] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12202), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12204), 1,
      sym_preproc_arg,
  [261103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    STATE(653), 1,
      sym_declaration_list,
  [261113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(2923), 1,
      sym_field_declaration_list,
  [261123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_declaration_list,
  [261133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8201), 1,
      anon_sym_LBRACE,
    STATE(4672), 1,
      sym_field_declaration_list,
  [261143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_RBRACE,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
  [261153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_LT,
    STATE(1551), 1,
      sym_template_argument_list,
  [261163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4649), 1,
      anon_sym_LBRACE,
    STATE(639), 1,
      sym_declaration_list,
  [261173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    STATE(564), 1,
      sym_compound_statement,
  [261183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8148), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [261191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    STATE(4574), 1,
      sym_field_declaration_list,
  [261201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    STATE(4552), 1,
      sym_field_declaration_list,
  [261211] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12206), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12208), 1,
      sym_preproc_arg,
  [261221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8358), 1,
      anon_sym_LT,
    STATE(2520), 1,
      sym_template_argument_list,
  [261231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    STATE(407), 1,
      sym_compound_statement,
  [261241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12210), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [261249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_compound_statement,
  [261259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(401), 1,
      sym_compound_statement,
  [261269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(131), 1,
      sym_condition_clause,
  [261279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
    ACTIONS(12212), 1,
      anon_sym_RBRACE,
  [261289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12168), 1,
      anon_sym_LT,
    STATE(3334), 1,
      sym_template_argument_list,
  [261299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(2496), 1,
      sym_field_declaration_list,
  [261309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9880), 1,
      anon_sym_LBRACE,
    STATE(2146), 1,
      sym_compound_statement,
  [261319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9970), 1,
      anon_sym_RBRACE,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
  [261329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
    ACTIONS(12214), 1,
      anon_sym_RBRACE,
  [261339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
    ACTIONS(12216), 1,
      anon_sym_RBRACE,
  [261349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8195), 1,
      anon_sym_LBRACE,
    STATE(4570), 1,
      sym_field_declaration_list,
  [261359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_compound_statement,
  [261369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    STATE(1896), 1,
      sym_field_declaration_list,
  [261379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12168), 1,
      anon_sym_LT,
    STATE(3001), 1,
      sym_template_argument_list,
  [261389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
    ACTIONS(12218), 1,
      anon_sym_RBRACE,
  [261399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9872), 1,
      anon_sym_LBRACE,
    STATE(1908), 1,
      sym_compound_statement,
  [261409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9864), 1,
      anon_sym_LBRACE,
    STATE(1638), 1,
      sym_compound_statement,
  [261419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12078), 1,
      sym_identifier,
    STATE(6722), 1,
      sym_attribute,
  [261429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_LBRACE,
    STATE(2386), 1,
      sym_initializer_list,
  [261439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(7282), 1,
      sym_condition_clause,
  [261449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(166), 1,
      sym_condition_clause,
  [261459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12220), 1,
      anon_sym_LPAREN2,
    ACTIONS(12222), 1,
      sym_raw_string_delimiter,
  [261469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym_declaration_list,
  [261479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11699), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [261487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6784), 1,
      sym_compound_statement,
  [261497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    STATE(2757), 1,
      sym_field_declaration_list,
  [261507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(3725), 1,
      sym_field_declaration_list,
  [261517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5947), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [261525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12078), 1,
      sym_identifier,
    STATE(6902), 1,
      sym_attribute,
  [261535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8818), 1,
      anon_sym_LBRACE,
    STATE(3167), 1,
      sym_requirement_seq,
  [261545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(3728), 1,
      sym_field_declaration_list,
  [261555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(3729), 1,
      sym_field_declaration_list,
  [261565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(3731), 1,
      sym_field_declaration_list,
  [261575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12224), 1,
      sym_identifier,
    STATE(2180), 1,
      sym_template_type,
  [261585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(2895), 1,
      sym_field_declaration_list,
  [261595] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12226), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12228), 1,
      sym_preproc_arg,
  [261605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12230), 1,
      anon_sym_SEMI,
  [261615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12232), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [261623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12234), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [261631] = 3,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12236), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12238), 1,
      sym_preproc_arg,
  [261641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8856), 1,
      anon_sym_LPAREN2,
    STATE(7164), 1,
      sym_parameter_list,
  [261651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    STATE(413), 1,
      sym_compound_statement,
  [261661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_LBRACE,
    STATE(2896), 1,
      sym_field_declaration_list,
  [261671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9688), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [261679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12240), 1,
      sym_identifier,
    STATE(2647), 1,
      sym_template_type,
  [261689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12242), 1,
      anon_sym_LPAREN2,
    ACTIONS(12244), 1,
      sym_raw_string_delimiter,
  [261699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12246), 1,
      anon_sym_LPAREN2,
    ACTIONS(12248), 1,
      sym_raw_string_delimiter,
  [261709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12250), 1,
      anon_sym_LPAREN2,
    ACTIONS(12252), 1,
      sym_raw_string_delimiter,
  [261719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12254), 1,
      anon_sym_LPAREN2,
    ACTIONS(12256), 1,
      sym_raw_string_delimiter,
  [261729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7360), 1,
      anon_sym_LPAREN2,
    STATE(7683), 1,
      sym_argument_list,
  [261739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12258), 1,
      anon_sym_LPAREN2,
    ACTIONS(12260), 1,
      sym_raw_string_delimiter,
  [261749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7943), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [261757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12262), 1,
      anon_sym_LPAREN2,
    ACTIONS(12264), 1,
      sym_raw_string_delimiter,
  [261767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    STATE(4541), 1,
      sym_initializer_list,
  [261777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12266), 1,
      anon_sym_LPAREN2,
    ACTIONS(12268), 1,
      sym_raw_string_delimiter,
  [261787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12270), 1,
      anon_sym_LPAREN2,
    ACTIONS(12272), 1,
      sym_raw_string_delimiter,
  [261797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12274), 1,
      anon_sym_LPAREN2,
    ACTIONS(12276), 1,
      sym_raw_string_delimiter,
  [261807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12278), 1,
      anon_sym_LPAREN2,
    ACTIONS(12280), 1,
      sym_raw_string_delimiter,
  [261817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12282), 1,
      anon_sym_LPAREN2,
    ACTIONS(12284), 1,
      sym_raw_string_delimiter,
  [261827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12286), 1,
      anon_sym_LPAREN2,
    ACTIONS(12288), 1,
      sym_raw_string_delimiter,
  [261837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12290), 1,
      anon_sym_LPAREN2,
    ACTIONS(12292), 1,
      sym_raw_string_delimiter,
  [261847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12294), 1,
      anon_sym_LPAREN2,
    ACTIONS(12296), 1,
      sym_raw_string_delimiter,
  [261857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12298), 1,
      anon_sym_LPAREN2,
    ACTIONS(12300), 1,
      sym_raw_string_delimiter,
  [261867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(6610), 1,
      sym_compound_statement,
  [261877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LBRACE,
    STATE(404), 1,
      sym_compound_statement,
  [261887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LPAREN2,
    STATE(130), 1,
      sym_condition_clause,
  [261897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    STATE(2724), 1,
      sym_field_declaration_list,
  [261907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10034), 1,
      anon_sym_RBRACE,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
  [261917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_compound_statement,
  [261927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11982), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [261935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_not_eq,
  [261942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12304), 1,
      sym_raw_string_delimiter,
  [261949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12306), 1,
      anon_sym_RPAREN,
  [261956] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9155), 1,
      aux_sym_preproc_include_token2,
  [261963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12308), 1,
      anon_sym_SEMI,
  [261970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12310), 1,
      anon_sym_SEMI,
  [261977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8183), 1,
      anon_sym_SEMI,
  [261984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12312), 1,
      anon_sym_SEMI,
  [261991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12314), 1,
      anon_sym_RPAREN,
  [261998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12316), 1,
      anon_sym_SEMI,
  [262005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12318), 1,
      anon_sym_LPAREN2,
  [262012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12320), 1,
      anon_sym_DQUOTE,
  [262019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12322), 1,
      anon_sym_DQUOTE,
  [262026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12324), 1,
      anon_sym_RPAREN,
  [262033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12218), 1,
      anon_sym_RBRACE,
  [262040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12326), 1,
      sym_identifier,
  [262047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12328), 1,
      anon_sym_RPAREN,
  [262054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_SEMI,
  [262061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12332), 1,
      anon_sym_SEMI,
  [262068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12334), 1,
      anon_sym_SEMI,
  [262075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12336), 1,
      sym_identifier,
  [262082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12338), 1,
      anon_sym_STAR,
  [262089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12340), 1,
      anon_sym_SEMI,
  [262096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8087), 1,
      anon_sym_SEMI,
  [262103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12342), 1,
      anon_sym_RPAREN,
  [262110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12344), 1,
      anon_sym_RPAREN,
  [262117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12346), 1,
      sym_identifier,
  [262124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8173), 1,
      anon_sym_COLON,
  [262131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12348), 1,
      anon_sym_RPAREN,
  [262138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_RPAREN,
  [262145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10034), 1,
      anon_sym_RBRACE,
  [262152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12352), 1,
      anon_sym_STAR,
  [262159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12354), 1,
      sym_identifier,
  [262166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12356), 1,
      anon_sym_RPAREN,
  [262173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12358), 1,
      anon_sym_SEMI,
  [262180] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12360), 1,
      aux_sym_preproc_include_token2,
  [262187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12362), 1,
      aux_sym_preproc_if_token2,
  [262194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12364), 1,
      anon_sym_SEMI,
  [262201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12366), 1,
      anon_sym_SEMI,
  [262208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10457), 1,
      anon_sym_SEMI,
  [262215] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12368), 1,
      aux_sym_preproc_include_token2,
  [262222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8177), 1,
      anon_sym_COLON,
  [262229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_DOT_DOT_DOT,
  [262236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12373), 1,
      anon_sym_SEMI,
  [262243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8185), 1,
      anon_sym_COLON,
  [262250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12375), 1,
      aux_sym_preproc_if_token2,
  [262257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      anon_sym_DOT_DOT_DOT,
  [262264] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12379), 1,
      aux_sym_preproc_include_token2,
  [262271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12381), 1,
      anon_sym_COLON,
  [262278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12383), 1,
      anon_sym_RPAREN,
  [262285] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12385), 1,
      aux_sym_preproc_include_token2,
  [262292] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12387), 1,
      aux_sym_preproc_include_token2,
  [262299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      sym_identifier,
  [262306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12391), 1,
      anon_sym_SEMI,
  [262313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      aux_sym_preproc_if_token2,
  [262320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12395), 1,
      anon_sym_SEMI,
  [262327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12397), 1,
      aux_sym_preproc_if_token2,
  [262334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12399), 1,
      anon_sym_LPAREN2,
  [262341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12401), 1,
      aux_sym_preproc_if_token2,
  [262348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12403), 1,
      anon_sym_RPAREN,
  [262355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9972), 1,
      anon_sym_RPAREN,
  [262362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12405), 1,
      aux_sym_preproc_if_token2,
  [262369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12407), 1,
      sym_raw_string_delimiter,
  [262376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10756), 1,
      anon_sym_COLON,
  [262383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12409), 1,
      anon_sym_SEMI,
  [262390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12411), 1,
      anon_sym_DQUOTE,
  [262397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12413), 1,
      anon_sym_SEMI,
  [262404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12415), 1,
      anon_sym_COLON,
  [262411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11984), 1,
      anon_sym_RPAREN,
  [262418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12417), 1,
      anon_sym_RPAREN,
  [262425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8110), 1,
      anon_sym_RPAREN,
  [262432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12419), 1,
      anon_sym_DQUOTE,
  [262439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12421), 1,
      sym_identifier,
  [262446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12423), 1,
      anon_sym_DQUOTE,
  [262453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12425), 1,
      anon_sym_SEMI,
  [262460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12427), 1,
      anon_sym_RPAREN,
  [262467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8142), 1,
      anon_sym_RPAREN,
  [262474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12429), 1,
      anon_sym_LPAREN2,
  [262481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8346), 1,
      anon_sym_RPAREN,
  [262488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12431), 1,
      anon_sym_SEMI,
  [262495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_SEMI,
  [262502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8033), 1,
      anon_sym_RPAREN,
  [262509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12433), 1,
      sym_identifier,
  [262516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_RBRACE,
  [262523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12435), 1,
      anon_sym_SEMI,
  [262530] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11571), 1,
      aux_sym_preproc_include_token2,
  [262537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10515), 1,
      anon_sym_COMMA,
  [262544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12437), 1,
      sym_identifier,
  [262551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12439), 1,
      sym_identifier,
  [262558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12441), 1,
      sym_identifier,
  [262565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12443), 1,
      anon_sym_SEMI,
  [262572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12445), 1,
      anon_sym_SEMI,
  [262579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11252), 1,
      anon_sym_SEMI,
  [262586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12447), 1,
      anon_sym_SEMI,
  [262593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8112), 1,
      anon_sym_SEMI,
  [262600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12449), 1,
      anon_sym_RPAREN,
  [262607] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12451), 1,
      aux_sym_preproc_include_token2,
  [262614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_COLON,
  [262621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12455), 1,
      sym_identifier,
  [262628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12457), 1,
      anon_sym_RBRACK,
  [262635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12459), 1,
      sym_identifier,
  [262642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12461), 1,
      anon_sym_STAR,
  [262649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12463), 1,
      sym_identifier,
  [262656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8085), 1,
      anon_sym_RPAREN,
  [262663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12465), 1,
      anon_sym_RPAREN,
  [262670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12467), 1,
      anon_sym_STAR,
  [262677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12469), 1,
      anon_sym_RPAREN,
  [262684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12471), 1,
      anon_sym_RPAREN,
  [262691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8126), 1,
      anon_sym_SEMI,
  [262698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8348), 1,
      anon_sym_RPAREN,
  [262705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12473), 1,
      sym_identifier,
  [262712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12475), 1,
      anon_sym_RPAREN,
  [262719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12477), 1,
      sym_identifier,
  [262726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12072), 1,
      anon_sym_RBRACE,
  [262733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12479), 1,
      anon_sym_RPAREN,
  [262740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12481), 1,
      anon_sym_RPAREN,
  [262747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12483), 1,
      anon_sym_LPAREN2,
  [262754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12485), 1,
      anon_sym_SEMI,
  [262761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12487), 1,
      anon_sym_RPAREN,
  [262768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12489), 1,
      anon_sym_RPAREN,
  [262775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12491), 1,
      anon_sym_SEMI,
  [262782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12493), 1,
      sym_identifier,
  [262789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12495), 1,
      anon_sym_SEMI,
  [262796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12497), 1,
      anon_sym_RPAREN,
  [262803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5696), 1,
      sym_identifier,
  [262810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12499), 1,
      anon_sym_RPAREN,
  [262817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12501), 1,
      anon_sym_LPAREN2,
  [262824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12503), 1,
      anon_sym_RPAREN,
  [262831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12505), 1,
      anon_sym_RPAREN,
  [262838] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9313), 1,
      aux_sym_preproc_include_token2,
  [262845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12507), 1,
      anon_sym_RBRACK,
  [262852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7951), 1,
      anon_sym_SEMI,
  [262859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12509), 1,
      anon_sym_RPAREN,
  [262866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      sym_identifier,
  [262873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12513), 1,
      anon_sym_RPAREN,
  [262880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12515), 1,
      anon_sym_RPAREN,
  [262887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12517), 1,
      sym_identifier,
  [262894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12519), 1,
      anon_sym_RPAREN,
  [262901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12521), 1,
      anon_sym_RPAREN,
  [262908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12523), 1,
      anon_sym_SEMI,
  [262915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12525), 1,
      anon_sym_LPAREN2,
  [262922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 1,
      sym_identifier,
  [262929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12529), 1,
      anon_sym_RPAREN,
  [262936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12531), 1,
      anon_sym_RPAREN,
  [262943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12533), 1,
      anon_sym_DQUOTE,
  [262950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12535), 1,
      sym_identifier,
  [262957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_RBRACE,
  [262964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12537), 1,
      aux_sym_preproc_if_token2,
  [262971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12539), 1,
      anon_sym_RPAREN,
  [262978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12541), 1,
      anon_sym_RPAREN,
  [262985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12543), 1,
      anon_sym_LPAREN2,
  [262992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12545), 1,
      anon_sym_SEMI,
  [262999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_SEMI,
  [263006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12549), 1,
      anon_sym_SEMI,
  [263013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12551), 1,
      anon_sym_SEMI,
  [263020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12553), 1,
      sym_identifier,
  [263027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12555), 1,
      anon_sym_RPAREN,
  [263034] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12557), 1,
      aux_sym_preproc_include_token2,
  [263041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12559), 1,
      anon_sym_DQUOTE,
  [263048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      anon_sym_RPAREN,
  [263055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6996), 1,
      sym_identifier,
  [263062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12561), 1,
      sym_raw_string_delimiter,
  [263069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6440), 1,
      anon_sym_RPAREN,
  [263076] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12563), 1,
      aux_sym_preproc_include_token2,
  [263083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12565), 1,
      anon_sym_DQUOTE,
  [263090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10405), 1,
      anon_sym_SEMI,
  [263097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12567), 1,
      aux_sym_preproc_if_token2,
  [263104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12569), 1,
      anon_sym_DQUOTE,
  [263111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12571), 1,
      anon_sym_SEMI,
  [263118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12573), 1,
      sym_identifier,
  [263125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12575), 1,
      anon_sym_DQUOTE,
  [263132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym_SEMI,
  [263139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4435), 1,
      anon_sym_SEMI,
  [263146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12577), 1,
      anon_sym_SEMI,
  [263153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12579), 1,
      sym_identifier,
  [263160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12581), 1,
      anon_sym_RPAREN,
  [263167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12583), 1,
      sym_identifier,
  [263174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12585), 1,
      anon_sym_RPAREN,
  [263181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12587), 1,
      anon_sym_STAR,
  [263188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12589), 1,
      anon_sym_RPAREN,
  [263195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12591), 1,
      anon_sym_STAR,
  [263202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12593), 1,
      anon_sym_SEMI,
  [263209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12595), 1,
      sym_auto,
  [263216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12597), 1,
      anon_sym_LPAREN2,
  [263223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8095), 1,
      anon_sym_COLON,
  [263230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12599), 1,
      anon_sym_RPAREN,
  [263237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8181), 1,
      anon_sym_COLON,
  [263244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12601), 1,
      anon_sym_SEMI,
  [263251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9960), 1,
      anon_sym_RBRACE,
  [263258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12603), 1,
      anon_sym_SEMI,
  [263265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12605), 1,
      anon_sym_DQUOTE,
  [263272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12607), 1,
      sym_auto,
  [263279] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12609), 1,
      aux_sym_preproc_include_token2,
  [263286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12611), 1,
      anon_sym_LBRACE,
  [263293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12613), 1,
      anon_sym_RPAREN,
  [263300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_LPAREN2,
  [263307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12617), 1,
      sym_identifier,
  [263314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11596), 1,
      anon_sym_SEMI,
  [263321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12619), 1,
      anon_sym_SEMI,
  [263328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12621), 1,
      anon_sym_while,
  [263335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12623), 1,
      anon_sym_RPAREN,
  [263342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 1,
      sym_auto,
  [263349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      sym_identifier,
  [263356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12629), 1,
      anon_sym_RPAREN,
  [263363] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12631), 1,
      aux_sym_preproc_include_token2,
  [263370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12633), 1,
      anon_sym_COLON,
  [263377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_RPAREN,
  [263384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_SEMI,
  [263391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12639), 1,
      anon_sym_RPAREN,
  [263398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12641), 1,
      anon_sym_STAR,
  [263405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12643), 1,
      anon_sym_LPAREN2,
  [263412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12645), 1,
      anon_sym_SEMI,
  [263419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12647), 1,
      anon_sym_RBRACE,
  [263426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9952), 1,
      anon_sym_RBRACE,
  [263433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8163), 1,
      anon_sym_SEMI,
  [263440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8320), 1,
      anon_sym_RPAREN,
  [263447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_RBRACE,
  [263454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12649), 1,
      sym_identifier,
  [263461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12651), 1,
      aux_sym_preproc_if_token2,
  [263468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12653), 1,
      anon_sym_LPAREN2,
  [263475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9998), 1,
      anon_sym_RPAREN,
  [263482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12655), 1,
      sym_identifier,
  [263489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12657), 1,
      sym_raw_string_delimiter,
  [263496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12659), 1,
      aux_sym_preproc_if_token2,
  [263503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12661), 1,
      sym_identifier,
  [263510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10004), 1,
      anon_sym_RBRACE,
  [263517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9950), 1,
      anon_sym_RBRACE,
  [263524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12663), 1,
      sym_identifier,
  [263531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12665), 1,
      aux_sym_preproc_if_token2,
  [263538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 1,
      anon_sym_RPAREN,
  [263545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12667), 1,
      aux_sym_preproc_if_token2,
  [263552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12669), 1,
      anon_sym_STAR,
  [263559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12172), 1,
      anon_sym_RBRACE,
  [263566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12671), 1,
      aux_sym_preproc_if_token2,
  [263573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12673), 1,
      aux_sym_preproc_if_token2,
  [263580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_RPAREN,
  [263587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12675), 1,
      aux_sym_preproc_if_token2,
  [263594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8232), 1,
      anon_sym_RPAREN,
  [263601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12677), 1,
      anon_sym_LBRACE,
  [263608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12679), 1,
      anon_sym_DQUOTE,
  [263615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_RBRACE,
  [263622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12681), 1,
      anon_sym_RPAREN,
  [263629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12683), 1,
      anon_sym_RPAREN,
  [263636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12685), 1,
      anon_sym_DQUOTE,
  [263643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12687), 1,
      anon_sym_RPAREN,
  [263650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12689), 1,
      anon_sym_LPAREN2,
  [263657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12691), 1,
      aux_sym_preproc_if_token2,
  [263664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
  [263671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12693), 1,
      anon_sym_COLON,
  [263678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12695), 1,
      anon_sym_RPAREN,
  [263685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11060), 1,
      anon_sym_SEMI,
  [263692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12697), 1,
      sym_identifier,
  [263699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10473), 1,
      anon_sym_SEMI,
  [263706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10024), 1,
      anon_sym_RPAREN,
  [263713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12699), 1,
      anon_sym_LBRACE,
  [263720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12701), 1,
      aux_sym_preproc_if_token2,
  [263727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12703), 1,
      aux_sym_preproc_if_token2,
  [263734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12705), 1,
      anon_sym_RPAREN,
  [263741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10822), 1,
      anon_sym_SEMI,
  [263748] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12707), 1,
      aux_sym_preproc_include_token2,
  [263755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12709), 1,
      sym_raw_string_delimiter,
  [263762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7949), 1,
      anon_sym_RPAREN,
  [263769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12711), 1,
      anon_sym_SEMI,
  [263776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12713), 1,
      anon_sym_DQUOTE,
  [263783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12715), 1,
      anon_sym_RPAREN,
  [263790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12717), 1,
      anon_sym_RPAREN,
  [263797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12719), 1,
      sym_identifier,
  [263804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12721), 1,
      anon_sym_RPAREN,
  [263811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12723), 1,
      anon_sym_RPAREN,
  [263818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10002), 1,
      anon_sym_RPAREN,
  [263825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12725), 1,
      anon_sym_RPAREN,
  [263832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12727), 1,
      sym_raw_string_delimiter,
  [263839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12729), 1,
      aux_sym_preproc_if_token2,
  [263846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12731), 1,
      sym_identifier,
  [263853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12733), 1,
      anon_sym_RPAREN,
  [263860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12735), 1,
      anon_sym_RPAREN,
  [263867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12737), 1,
      anon_sym_RPAREN,
  [263874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12739), 1,
      anon_sym_DQUOTE,
  [263881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12741), 1,
      anon_sym_SEMI,
  [263888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_SEMI,
  [263895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12743), 1,
      anon_sym_SEMI,
  [263902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12745), 1,
      anon_sym_SEMI,
  [263909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12747), 1,
      anon_sym_LPAREN2,
  [263916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12749), 1,
      sym_auto,
  [263923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12751), 1,
      aux_sym_preproc_if_token2,
  [263930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8065), 1,
      anon_sym_COLON,
  [263937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12753), 1,
      aux_sym_preproc_if_token2,
  [263944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12755), 1,
      anon_sym_LPAREN2,
  [263951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12757), 1,
      anon_sym_LPAREN2,
  [263958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12759), 1,
      anon_sym_RPAREN,
  [263965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12761), 1,
      anon_sym_SEMI,
  [263972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12763), 1,
      aux_sym_preproc_if_token2,
  [263979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12765), 1,
      sym_identifier,
  [263986] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12767), 1,
      aux_sym_preproc_include_token2,
  [263993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12769), 1,
      anon_sym_RPAREN,
  [264000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12771), 1,
      anon_sym_RPAREN,
  [264007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12773), 1,
      anon_sym_RPAREN,
  [264014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12775), 1,
      anon_sym_RPAREN,
  [264021] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12777), 1,
      aux_sym_preproc_include_token2,
  [264028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12779), 1,
      aux_sym_preproc_if_token2,
  [264035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12781), 1,
      anon_sym_RPAREN,
  [264042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12783), 1,
      anon_sym_RPAREN,
  [264049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12785), 1,
      anon_sym_SEMI,
  [264056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12787), 1,
      anon_sym_RBRACE,
  [264063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12789), 1,
      sym_identifier,
  [264070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8189), 1,
      anon_sym_SEMI,
  [264077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10016), 1,
      anon_sym_RPAREN,
  [264084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8130), 1,
      anon_sym_SEMI,
  [264091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12791), 1,
      sym_raw_string_delimiter,
  [264098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12793), 1,
      anon_sym_RPAREN,
  [264105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12795), 1,
      anon_sym_RPAREN,
  [264112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12797), 1,
      aux_sym_preproc_if_token2,
  [264119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12799), 1,
      sym_identifier,
  [264126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      aux_sym_preproc_if_token2,
  [264133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12803), 1,
      anon_sym_SEMI,
  [264140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12805), 1,
      anon_sym_LPAREN2,
  [264147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12807), 1,
      anon_sym_RPAREN,
  [264154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12809), 1,
      anon_sym_DQUOTE,
  [264161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12811), 1,
      anon_sym_RPAREN,
  [264168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12813), 1,
      anon_sym_RPAREN,
  [264175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12148), 1,
      anon_sym_RBRACE,
  [264182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12815), 1,
      anon_sym_SEMI,
  [264189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12817), 1,
      sym_raw_string_delimiter,
  [264196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9638), 1,
      sym_identifier,
  [264203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_SEMI,
  [264210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12821), 1,
      anon_sym_SEMI,
  [264217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12823), 1,
      anon_sym_RPAREN,
  [264224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      anon_sym_LPAREN2,
  [264231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4234), 1,
      anon_sym_DOT_DOT_DOT,
  [264238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      anon_sym_RPAREN,
  [264245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12829), 1,
      anon_sym_RPAREN,
  [264252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8258), 1,
      anon_sym_RPAREN,
  [264259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      sym_raw_string_delimiter,
  [264266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8017), 1,
      anon_sym_RBRACE,
  [264273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8104), 1,
      anon_sym_SEMI,
  [264280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12833), 1,
      anon_sym_SEMI,
  [264287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_LPAREN2,
  [264294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12837), 1,
      anon_sym_RPAREN,
  [264301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12839), 1,
      sym_raw_string_delimiter,
  [264308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12841), 1,
      anon_sym_SEMI,
  [264315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_RPAREN,
  [264322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12845), 1,
      sym_raw_string_delimiter,
  [264329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_COMMA,
  [264336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12847), 1,
      anon_sym_RPAREN,
  [264343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12849), 1,
      sym_raw_string_delimiter,
  [264350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_RPAREN,
  [264357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12853), 1,
      sym_raw_string_delimiter,
  [264364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12855), 1,
      anon_sym_RPAREN,
  [264371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12857), 1,
      sym_raw_string_delimiter,
  [264378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12859), 1,
      anon_sym_RPAREN,
  [264385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12861), 1,
      sym_raw_string_delimiter,
  [264392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12863), 1,
      anon_sym_RPAREN,
  [264399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12865), 1,
      sym_raw_string_delimiter,
  [264406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12867), 1,
      anon_sym_RPAREN,
  [264413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12869), 1,
      sym_raw_string_delimiter,
  [264420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12871), 1,
      anon_sym_SEMI,
  [264427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12873), 1,
      anon_sym_RPAREN,
  [264434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9958), 1,
      anon_sym_RBRACE,
  [264441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12875), 1,
      anon_sym_LPAREN2,
  [264448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12877), 1,
      anon_sym_RPAREN,
  [264455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12879), 1,
      anon_sym_LPAREN2,
  [264462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12881), 1,
      anon_sym_LPAREN2,
  [264469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12883), 1,
      anon_sym_LPAREN2,
  [264476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 1,
      sym_identifier,
  [264483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12885), 1,
      anon_sym_DQUOTE,
  [264490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12887), 1,
      anon_sym_LPAREN2,
  [264497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_SEMI,
  [264504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_LPAREN2,
  [264511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12893), 1,
      sym_identifier,
  [264518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12895), 1,
      anon_sym_SEMI,
  [264525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12897), 1,
      anon_sym_SEMI,
  [264532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12899), 1,
      anon_sym_RPAREN,
  [264539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12901), 1,
      anon_sym_SEMI,
  [264546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12903), 1,
      anon_sym_RPAREN,
  [264553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12905), 1,
      anon_sym_DQUOTE,
  [264560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10401), 1,
      anon_sym_SEMI,
  [264567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12907), 1,
      aux_sym_preproc_if_token2,
  [264574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12909), 1,
      anon_sym_LPAREN2,
  [264581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12911), 1,
      ts_builtin_sym_end,
  [264588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12913), 1,
      anon_sym_COLON,
  [264595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12915), 1,
      anon_sym_RPAREN,
  [264602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      aux_sym_preproc_if_token2,
  [264609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12919), 1,
      anon_sym_while,
  [264616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12921), 1,
      anon_sym_RPAREN,
  [264623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12923), 1,
      anon_sym_LPAREN2,
  [264630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12925), 1,
      anon_sym_DQUOTE,
  [264637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12927), 1,
      anon_sym_RPAREN,
  [264644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12929), 1,
      anon_sym_RPAREN,
  [264651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12931), 1,
      sym_raw_string_content,
  [264658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12933), 1,
      anon_sym_LPAREN2,
  [264665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12935), 1,
      anon_sym_EQ,
  [264672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12937), 1,
      sym_raw_string_content,
  [264679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12939), 1,
      aux_sym_preproc_if_token2,
  [264686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12941), 1,
      anon_sym_RPAREN,
  [264693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12943), 1,
      anon_sym_STAR,
  [264700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12945), 1,
      anon_sym_STAR,
  [264707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8114), 1,
      anon_sym_SEMI,
  [264714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12947), 1,
      anon_sym_COMMA,
  [264721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12949), 1,
      anon_sym_RPAREN,
  [264728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12951), 1,
      anon_sym_RPAREN,
  [264735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12953), 1,
      anon_sym_RPAREN,
  [264742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10409), 1,
      anon_sym_SEMI,
  [264749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8091), 1,
      anon_sym_SEMI,
  [264756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12955), 1,
      anon_sym_SEMI,
  [264763] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12957), 1,
      aux_sym_preproc_include_token2,
  [264770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12959), 1,
      sym_identifier,
  [264777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12961), 1,
      anon_sym_RPAREN,
  [264784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12963), 1,
      anon_sym_COMMA,
  [264791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8284), 1,
      anon_sym_RPAREN,
  [264798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7844), 1,
      anon_sym_RBRACE,
  [264805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12965), 1,
      anon_sym_SEMI,
  [264812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12967), 1,
      anon_sym_DQUOTE,
  [264819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8089), 1,
      anon_sym_COLON,
  [264826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12969), 1,
      aux_sym_preproc_if_token2,
  [264833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12971), 1,
      aux_sym_preproc_if_token2,
  [264840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12973), 1,
      anon_sym_RPAREN,
  [264847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12975), 1,
      aux_sym_preproc_if_token2,
  [264854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12977), 1,
      aux_sym_preproc_if_token2,
  [264861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12979), 1,
      anon_sym_RPAREN,
  [264868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12981), 1,
      anon_sym_RPAREN,
  [264875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12983), 1,
      anon_sym_RPAREN,
  [264882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12985), 1,
      anon_sym_RPAREN,
  [264889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12987), 1,
      anon_sym_SEMI,
  [264896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12989), 1,
      anon_sym_SEMI,
  [264903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12991), 1,
      anon_sym_RPAREN,
  [264910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12993), 1,
      anon_sym_SEMI,
  [264917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12995), 1,
      anon_sym_SEMI,
  [264924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12997), 1,
      anon_sym_COLON,
  [264931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12999), 1,
      anon_sym_RPAREN,
  [264938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13001), 1,
      anon_sym_COLON,
  [264945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13003), 1,
      anon_sym_SEMI,
  [264952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13005), 1,
      anon_sym_SEMI,
  [264959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13007), 1,
      anon_sym_RPAREN,
  [264966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13009), 1,
      anon_sym_SEMI,
  [264973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13011), 1,
      sym_identifier,
  [264980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13013), 1,
      aux_sym_preproc_if_token2,
  [264987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13015), 1,
      anon_sym_LPAREN2,
  [264994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13017), 1,
      sym_auto,
  [265001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8165), 1,
      anon_sym_SEMI,
  [265008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13019), 1,
      anon_sym_SEMI,
  [265015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_DQUOTE,
  [265022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13023), 1,
      anon_sym_SEMI,
  [265029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13025), 1,
      aux_sym_preproc_if_token2,
  [265036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13027), 1,
      sym_auto,
  [265043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13029), 1,
      anon_sym_SEMI,
  [265050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      anon_sym_LPAREN2,
  [265057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13033), 1,
      sym_auto,
  [265064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13035), 1,
      anon_sym_SEMI,
  [265071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_DOT_DOT_DOT,
  [265078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13037), 1,
      anon_sym_SEMI,
  [265085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13039), 1,
      anon_sym_SEMI,
  [265092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_DOT_DOT_DOT,
  [265099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_RPAREN,
  [265106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13043), 1,
      anon_sym_RBRACE,
  [265113] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(13045), 1,
      aux_sym_preproc_include_token2,
  [265120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13047), 1,
      anon_sym_SEMI,
  [265127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13049), 1,
      anon_sym_RPAREN,
  [265134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13051), 1,
      anon_sym_RPAREN,
  [265141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13053), 1,
      anon_sym_RPAREN,
  [265148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13055), 1,
      anon_sym_RPAREN,
  [265155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13057), 1,
      anon_sym_RPAREN,
  [265162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13059), 1,
      anon_sym_SEMI,
  [265169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13061), 1,
      anon_sym_SEMI,
  [265176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8308), 1,
      anon_sym_RPAREN,
  [265183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13063), 1,
      anon_sym_RPAREN,
  [265190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_DOT_DOT_DOT,
  [265197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8005), 1,
      anon_sym_RBRACE,
  [265204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_DOT_DOT_DOT,
  [265211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10426), 1,
      anon_sym_SEMI,
  [265218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13065), 1,
      anon_sym_DQUOTE,
  [265225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 1,
      anon_sym_DOT_DOT_DOT,
  [265232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_DOT_DOT_DOT,
  [265239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13067), 1,
      sym_identifier,
  [265246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13069), 1,
      anon_sym_DQUOTE,
  [265253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4183), 1,
      anon_sym_DOT_DOT_DOT,
  [265260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10046), 1,
      anon_sym_RBRACE,
  [265267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13071), 1,
      anon_sym_RPAREN,
  [265274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12216), 1,
      anon_sym_RBRACE,
  [265281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4123), 1,
      anon_sym_DOT_DOT_DOT,
  [265288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DOT_DOT_DOT,
  [265295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_SEMI,
  [265302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13075), 1,
      anon_sym_RPAREN,
  [265309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13077), 1,
      anon_sym_SEMI,
  [265316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13079), 1,
      aux_sym_preproc_if_token2,
  [265323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 1,
      anon_sym_DOT_DOT_DOT,
  [265330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10442), 1,
      anon_sym_SEMI,
  [265337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13081), 1,
      anon_sym_SEMI,
  [265344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_DOT_DOT_DOT,
  [265351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_SEMI,
  [265358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12058), 1,
      anon_sym_RBRACE,
  [265365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13085), 1,
      aux_sym_preproc_if_token2,
  [265372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13087), 1,
      anon_sym_SEMI,
  [265379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13089), 1,
      aux_sym_preproc_if_token2,
  [265386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8075), 1,
      anon_sym_COLON,
  [265393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8077), 1,
      anon_sym_COLON,
  [265400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13091), 1,
      anon_sym_COLON,
  [265407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8134), 1,
      anon_sym_SEMI,
  [265414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13093), 1,
      anon_sym_RPAREN,
  [265421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13095), 1,
      anon_sym_RPAREN,
  [265428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13097), 1,
      sym_identifier,
  [265435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13099), 1,
      anon_sym_DQUOTE,
  [265442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10032), 1,
      anon_sym_RPAREN,
  [265449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10780), 1,
      anon_sym_SEMI,
  [265456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13101), 1,
      anon_sym_DQUOTE,
  [265463] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(13103), 1,
      aux_sym_preproc_include_token2,
  [265470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13105), 1,
      anon_sym_RPAREN,
  [265477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13107), 1,
      anon_sym_SEMI,
  [265484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13109), 1,
      anon_sym_SEMI,
  [265491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13111), 1,
      aux_sym_preproc_if_token2,
  [265498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13113), 1,
      anon_sym_SEMI,
  [265505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13115), 1,
      anon_sym_RPAREN,
  [265512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13117), 1,
      sym_identifier,
  [265519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10776), 1,
      anon_sym_SEMI,
  [265526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13119), 1,
      aux_sym_preproc_if_token2,
  [265533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13121), 1,
      anon_sym_RPAREN,
  [265540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13123), 1,
      anon_sym_RPAREN,
  [265547] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9281), 1,
      aux_sym_preproc_include_token2,
  [265554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13125), 1,
      anon_sym_DQUOTE,
  [265561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13127), 1,
      sym_identifier,
  [265568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13129), 1,
      aux_sym_preproc_if_token2,
  [265575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13131), 1,
      sym_identifier,
  [265582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13133), 1,
      sym_raw_string_content,
  [265589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13135), 1,
      anon_sym_RPAREN,
  [265596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13137), 1,
      sym_identifier,
  [265603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9970), 1,
      anon_sym_RBRACE,
  [265610] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(13139), 1,
      aux_sym_preproc_include_token2,
  [265617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13141), 1,
      anon_sym_EQ,
  [265624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13143), 1,
      anon_sym_RPAREN,
  [265631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13145), 1,
      anon_sym_RPAREN,
  [265638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13147), 1,
      anon_sym_LPAREN2,
  [265645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13149), 1,
      aux_sym_preproc_if_token2,
  [265652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10048), 1,
      anon_sym_RBRACE,
  [265659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13151), 1,
      anon_sym_SEMI,
  [265666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13153), 1,
      anon_sym_DQUOTE,
  [265673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11636), 1,
      anon_sym_COLON_COLON,
  [265680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13155), 1,
      anon_sym_SEMI,
  [265687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13157), 1,
      anon_sym_LPAREN2,
  [265694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13159), 1,
      anon_sym_LPAREN2,
  [265701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 1,
      anon_sym_LPAREN2,
  [265708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_LPAREN2,
  [265715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8120), 1,
      anon_sym_SEMI,
  [265722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13165), 1,
      anon_sym_LPAREN2,
  [265729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13167), 1,
      anon_sym_SEMI,
  [265736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      anon_sym_RPAREN,
  [265743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      anon_sym_SEMI,
  [265750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13173), 1,
      anon_sym_RPAREN,
  [265757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13175), 1,
      anon_sym_while,
  [265764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13177), 1,
      anon_sym_SEMI,
  [265771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13179), 1,
      anon_sym_LPAREN2,
  [265778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13181), 1,
      anon_sym_RBRACE,
  [265785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13183), 1,
      sym_identifier,
  [265792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13185), 1,
      sym_auto,
  [265799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13187), 1,
      anon_sym_EQ,
  [265806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13189), 1,
      sym_raw_string_content,
  [265813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13191), 1,
      anon_sym_STAR,
  [265820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13193), 1,
      anon_sym_RPAREN,
  [265827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13195), 1,
      anon_sym_RPAREN,
  [265834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13197), 1,
      anon_sym_COMMA,
  [265841] = 2,
    ACTIONS(4817), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9023), 1,
      sym_comment,
  [265848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13199), 1,
      sym_identifier,
  [265855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8187), 1,
      anon_sym_COLON,
  [265862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13201), 1,
      anon_sym_RPAREN,
  [265869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13203), 1,
      anon_sym_COLON,
  [265876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11242), 1,
      anon_sym_SEMI,
  [265883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13205), 1,
      anon_sym_SEMI,
  [265890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13207), 1,
      anon_sym_LPAREN2,
  [265897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13209), 1,
      anon_sym_LPAREN2,
  [265904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13211), 1,
      anon_sym_LPAREN2,
  [265911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13213), 1,
      anon_sym_RPAREN,
  [265918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13215), 1,
      anon_sym_LPAREN2,
  [265925] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(13217), 1,
      aux_sym_preproc_include_token2,
  [265932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13219), 1,
      sym_identifier,
  [265939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13221), 1,
      anon_sym_while,
  [265946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8224), 1,
      anon_sym_RPAREN,
  [265953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13223), 1,
      anon_sym_LPAREN2,
  [265960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13225), 1,
      anon_sym_SEMI,
  [265967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_RPAREN,
  [265974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13229), 1,
      anon_sym_EQ,
  [265981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13231), 1,
      sym_raw_string_content,
  [265988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13233), 1,
      anon_sym_COMMA,
  [265995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13235), 1,
      anon_sym_SEMI,
  [266002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4403), 1,
      anon_sym_SEMI,
  [266009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13237), 1,
      anon_sym_SEMI,
  [266016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_RPAREN,
  [266023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13241), 1,
      anon_sym_COLON,
  [266030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13243), 1,
      aux_sym_preproc_if_token2,
  [266037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13245), 1,
      anon_sym_LPAREN2,
  [266044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13247), 1,
      anon_sym_LPAREN2,
  [266051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13249), 1,
      anon_sym_LPAREN2,
  [266058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13251), 1,
      sym_auto,
  [266065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13253), 1,
      anon_sym_LPAREN2,
  [266072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13255), 1,
      sym_identifier,
  [266079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8136), 1,
      anon_sym_COLON,
  [266086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13257), 1,
      anon_sym_while,
  [266093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13259), 1,
      anon_sym_LPAREN2,
  [266100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13261), 1,
      aux_sym_preproc_if_token2,
  [266107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13263), 1,
      anon_sym_SEMI,
  [266114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13265), 1,
      anon_sym_EQ,
  [266121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13267), 1,
      sym_raw_string_content,
  [266128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13269), 1,
      anon_sym_COMMA,
  [266135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13271), 1,
      anon_sym_COLON,
  [266142] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(13273), 1,
      aux_sym_preproc_include_token2,
  [266149] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(13275), 1,
      aux_sym_preproc_include_token2,
  [266156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13277), 1,
      anon_sym_RPAREN,
  [266163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13279), 1,
      anon_sym_COLON,
  [266170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13281), 1,
      aux_sym_preproc_if_token2,
  [266177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13283), 1,
      anon_sym_LPAREN2,
  [266184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13285), 1,
      anon_sym_LPAREN2,
  [266191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13287), 1,
      anon_sym_LPAREN2,
  [266198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8175), 1,
      anon_sym_RPAREN,
  [266205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13289), 1,
      anon_sym_LPAREN2,
  [266212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13291), 1,
      sym_identifier,
  [266219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13293), 1,
      anon_sym_SEMI,
  [266226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13295), 1,
      anon_sym_LPAREN2,
  [266233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13297), 1,
      anon_sym_RBRACE,
  [266240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12214), 1,
      anon_sym_RBRACE,
  [266247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13299), 1,
      anon_sym_EQ,
  [266254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13301), 1,
      sym_raw_string_content,
  [266261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13303), 1,
      anon_sym_COMMA,
  [266268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13305), 1,
      anon_sym_SEMI,
  [266275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13307), 1,
      anon_sym_SEMI,
  [266282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13309), 1,
      anon_sym_SEMI,
  [266289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13311), 1,
      anon_sym_RPAREN,
  [266296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13313), 1,
      anon_sym_COLON,
  [266303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13315), 1,
      anon_sym_SEMI,
  [266310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13317), 1,
      anon_sym_LPAREN2,
  [266317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13319), 1,
      anon_sym_SEMI,
  [266324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13321), 1,
      anon_sym_LPAREN2,
  [266331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13323), 1,
      anon_sym_STAR,
  [266338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13325), 1,
      aux_sym_preproc_if_token2,
  [266345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13327), 1,
      anon_sym_DQUOTE,
  [266352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13329), 1,
      anon_sym_SEMI,
  [266359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13331), 1,
      anon_sym_EQ,
  [266366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13333), 1,
      sym_raw_string_content,
  [266373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13335), 1,
      anon_sym_SEMI,
  [266380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13337), 1,
      anon_sym_SEMI,
  [266387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13339), 1,
      anon_sym_SEMI,
  [266394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13341), 1,
      anon_sym_RPAREN,
  [266401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_LPAREN2,
  [266408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_LPAREN2,
  [266415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13347), 1,
      anon_sym_LPAREN2,
  [266422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_DQUOTE,
  [266429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13351), 1,
      sym_raw_string_content,
  [266436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13353), 1,
      sym_identifier,
  [266443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13355), 1,
      anon_sym_SEMI,
  [266450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13357), 1,
      anon_sym_RPAREN,
  [266457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12212), 1,
      anon_sym_RBRACE,
  [266464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13359), 1,
      anon_sym_LPAREN2,
  [266471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13361), 1,
      anon_sym_LPAREN2,
  [266478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13363), 1,
      anon_sym_SEMI,
  [266485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13365), 1,
      sym_raw_string_content,
  [266492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13367), 1,
      anon_sym_LPAREN2,
  [266499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13369), 1,
      anon_sym_RPAREN,
  [266506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13371), 1,
      anon_sym_LPAREN2,
  [266513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13373), 1,
      anon_sym_LPAREN2,
  [266520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13375), 1,
      sym_raw_string_content,
  [266527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13377), 1,
      anon_sym_RPAREN,
  [266534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13379), 1,
      sym_raw_string_content,
  [266541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13381), 1,
      anon_sym_RPAREN,
  [266548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13383), 1,
      sym_raw_string_content,
  [266555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13385), 1,
      anon_sym_RPAREN,
  [266562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13387), 1,
      sym_raw_string_content,
  [266569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13389), 1,
      anon_sym_RPAREN,
  [266576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13391), 1,
      sym_raw_string_content,
  [266583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13393), 1,
      anon_sym_RPAREN,
  [266590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13395), 1,
      sym_raw_string_content,
  [266597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13397), 1,
      anon_sym_RPAREN,
  [266604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13399), 1,
      sym_raw_string_content,
  [266611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13401), 1,
      anon_sym_RPAREN,
  [266618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13403), 1,
      sym_raw_string_content,
  [266625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13405), 1,
      anon_sym_RPAREN,
  [266632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13407), 1,
      anon_sym_STAR,
  [266639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_COMMA,
  [266646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13409), 1,
      anon_sym_LPAREN2,
  [266653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13411), 1,
      anon_sym_LPAREN2,
  [266660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13413), 1,
      sym_identifier,
  [266667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13415), 1,
      anon_sym_SEMI,
  [266674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13417), 1,
      anon_sym_SEMI,
  [266681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13419), 1,
      anon_sym_RPAREN,
  [266688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13421), 1,
      anon_sym_SEMI,
  [266695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13423), 1,
      anon_sym_RPAREN,
  [266702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13425), 1,
      sym_identifier,
  [266709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13427), 1,
      anon_sym_DQUOTE,
  [266716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_DASH,
  [266723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_PLUS,
  [266730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13429), 1,
      anon_sym_SEMI,
  [266737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13431), 1,
      anon_sym_RPAREN,
  [266744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13433), 1,
      anon_sym_RPAREN,
  [266751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13435), 1,
      anon_sym_STAR,
  [266758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13437), 1,
      anon_sym_SEMI,
  [266765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13439), 1,
      sym_identifier,
  [266772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13441), 1,
      sym_raw_string_content,
  [266779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13443), 1,
      sym_identifier,
  [266786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_STAR,
  [266793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13445), 1,
      anon_sym_SLASH,
  [266800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13447), 1,
      anon_sym_SEMI,
  [266807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13449), 1,
      anon_sym_DQUOTE,
  [266814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13451), 1,
      anon_sym_RPAREN,
  [266821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13453), 1,
      sym_identifier,
  [266828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13455), 1,
      anon_sym_RPAREN,
  [266835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13457), 1,
      anon_sym_SEMI,
  [266842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13459), 1,
      anon_sym_SEMI,
  [266849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6685), 1,
      sym_identifier,
  [266856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13461), 1,
      aux_sym_preproc_if_token2,
  [266863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8179), 1,
      anon_sym_RPAREN,
  [266870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13463), 1,
      sym_identifier,
  [266877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_PERCENT,
  [266884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_PIPE_PIPE,
  [266891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_AMP_AMP,
  [266898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_PIPE,
  [266905] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(9303), 1,
      aux_sym_preproc_include_token2,
  [266912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13465), 1,
      sym_auto,
  [266919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_CARET,
  [266926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13467), 1,
      anon_sym_SEMI,
  [266933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13469), 1,
      anon_sym_RPAREN,
  [266940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_AMP,
  [266947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_EQ_EQ,
  [266954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13471), 1,
      anon_sym_COLON,
  [266961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_BANG_EQ,
  [266968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_GT,
  [266975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_GT_EQ,
  [266982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8132), 1,
      anon_sym_COLON,
  [266989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13473), 1,
      anon_sym_DQUOTE,
  [266996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13475), 1,
      anon_sym_SEMI,
  [267003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_LT_EQ,
  [267010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13477), 1,
      anon_sym_SEMI,
  [267017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13479), 1,
      anon_sym_SEMI,
  [267024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13481), 1,
      anon_sym_SEMI,
  [267031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_LT,
  [267038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_LT_LT,
  [267045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_GT_GT,
  [267052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_EQ,
  [267059] = 2,
    ACTIONS(4813), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9023), 1,
      sym_comment,
  [267066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7921), 1,
      anon_sym_RBRACE,
  [267073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8366), 1,
      anon_sym_RPAREN,
  [267080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13483), 1,
      anon_sym_RBRACE,
  [267087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8191), 1,
      anon_sym_RPAREN,
  [267094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13485), 1,
      anon_sym_LPAREN2,
  [267101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_STAR_EQ,
  [267108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_SLASH_EQ,
  [267115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13487), 1,
      sym_identifier,
  [267122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_PERCENT_EQ,
  [267129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_PLUS_EQ,
  [267136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_DASH_EQ,
  [267143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_LT_LT_EQ,
  [267150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_GT_GT_EQ,
  [267157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_AMP_EQ,
  [267164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_CARET_EQ,
  [267171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_PIPE_EQ,
  [267178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13489), 1,
      sym_identifier,
  [267185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8167), 1,
      anon_sym_COLON,
  [267192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_or,
  [267199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_and,
  [267206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13491), 1,
      anon_sym_LPAREN2,
  [267213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13493), 1,
      anon_sym_LPAREN2,
  [267220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13495), 1,
      sym_identifier,
  [267227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13497), 1,
      anon_sym_RPAREN,
  [267234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_bitor,
  [267241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_xor,
  [267248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13499), 1,
      sym_identifier,
  [267255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13501), 1,
      sym_raw_string_content,
  [267262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_bitand,
  [267269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13503), 1,
      anon_sym_RPAREN,
  [267276] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(13505), 1,
      aux_sym_preproc_include_token2,
  [267283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13507), 1,
      anon_sym_LPAREN2,
  [267290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_LPAREN2,
  [267297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13511), 1,
      sym_identifier,
  [267304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13513), 1,
      aux_sym_preproc_if_token2,
  [267311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_DOT_STAR,
  [267318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13515), 1,
      sym_identifier,
  [267325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13517), 1,
      sym_raw_string_content,
  [267332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_DASH_GT_STAR,
  [267339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13519), 1,
      anon_sym_RPAREN,
  [267346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13521), 1,
      anon_sym_RPAREN,
  [267353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13523), 1,
      anon_sym_LPAREN2,
  [267360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      sym_identifier,
  [267367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13527), 1,
      anon_sym_RPAREN,
  [267374] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11260), 1,
      aux_sym_preproc_include_token2,
  [267381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13529), 1,
      sym_identifier,
  [267388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      sym_raw_string_content,
  [267395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13533), 1,
      anon_sym_RPAREN,
  [267402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13535), 1,
      anon_sym_RPAREN,
  [267409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13537), 1,
      anon_sym_LPAREN2,
  [267416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13539), 1,
      sym_identifier,
  [267423] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(11347), 1,
      aux_sym_preproc_include_token2,
  [267430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13541), 1,
      aux_sym_preproc_if_token2,
  [267437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13543), 1,
      sym_identifier,
  [267444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13545), 1,
      sym_raw_string_content,
  [267451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13547), 1,
      anon_sym_SEMI,
  [267458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13549), 1,
      sym_identifier,
  [267465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13551), 1,
      anon_sym_LPAREN2,
  [267472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13553), 1,
      sym_identifier,
  [267479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13555), 1,
      anon_sym_SEMI,
  [267486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13557), 1,
      sym_identifier,
  [267493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13559), 1,
      sym_raw_string_content,
  [267500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13561), 1,
      anon_sym_STAR,
  [267507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13563), 1,
      aux_sym_preproc_if_token2,
  [267514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13565), 1,
      sym_identifier,
  [267521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13567), 1,
      sym_raw_string_content,
  [267528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13569), 1,
      anon_sym_DQUOTE,
  [267535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13571), 1,
      anon_sym_STAR,
  [267542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      sym_raw_string_content,
  [267549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13575), 1,
      anon_sym_RPAREN,
  [267556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13577), 1,
      sym_raw_string_content,
  [267563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13579), 1,
      anon_sym_SEMI,
  [267570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13581), 1,
      sym_raw_string_content,
  [267577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13583), 1,
      anon_sym_SEMI,
  [267584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13585), 1,
      sym_raw_string_content,
  [267591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6696), 1,
      sym_identifier,
  [267598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13587), 1,
      sym_raw_string_content,
  [267605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13589), 1,
      anon_sym_RPAREN,
  [267612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13591), 1,
      sym_raw_string_content,
  [267619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13593), 1,
      anon_sym_DQUOTE,
  [267626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13595), 1,
      sym_raw_string_content,
  [267633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13597), 1,
      anon_sym_RPAREN,
  [267640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13599), 1,
      sym_raw_string_content,
  [267647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13601), 1,
      aux_sym_preproc_if_token2,
  [267654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13603), 1,
      sym_raw_string_content,
  [267661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13605), 1,
      anon_sym_LPAREN2,
  [267668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13607), 1,
      anon_sym_LPAREN2,
  [267675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12054), 1,
      anon_sym_RBRACE,
  [267682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13609), 1,
      anon_sym_LPAREN2,
  [267689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13611), 1,
      anon_sym_LPAREN2,
  [267696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13613), 1,
      aux_sym_preproc_if_token2,
  [267703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13615), 1,
      anon_sym_LPAREN2,
  [267710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13617), 1,
      anon_sym_LPAREN2,
  [267717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13619), 1,
      sym_identifier,
  [267724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13621), 1,
      anon_sym_LPAREN2,
  [267731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13623), 1,
      anon_sym_LPAREN2,
  [267738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13625), 1,
      sym_identifier,
  [267745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13627), 1,
      anon_sym_LPAREN2,
  [267752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13629), 1,
      anon_sym_LPAREN2,
  [267759] = 2,
    ACTIONS(9023), 1,
      sym_comment,
    ACTIONS(12048), 1,
      aux_sym_preproc_include_token2,
  [267766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13631), 1,
      anon_sym_LPAREN2,
  [267773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13633), 1,
      anon_sym_LPAREN2,
  [267780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13635), 1,
      anon_sym_LPAREN2,
  [267787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13637), 1,
      anon_sym_LPAREN2,
  [267794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13639), 1,
      anon_sym_LPAREN2,
  [267801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13641), 1,
      anon_sym_LPAREN2,
  [267808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13643), 1,
      anon_sym_LPAREN2,
  [267815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13645), 1,
      anon_sym_LPAREN2,
  [267822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13647), 1,
      anon_sym_LPAREN2,
  [267829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13649), 1,
      anon_sym_LPAREN2,
  [267836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13651), 1,
      anon_sym_LPAREN2,
  [267843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13653), 1,
      anon_sym_RPAREN,
  [267850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13655), 1,
      anon_sym_RPAREN,
  [267857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13657), 1,
      anon_sym_LPAREN2,
  [267864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13659), 1,
      sym_identifier,
  [267871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13661), 1,
      anon_sym_RPAREN,
  [267878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13663), 1,
      anon_sym_LPAREN2,
  [267885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13665), 1,
      anon_sym_LPAREN2,
  [267892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13667), 1,
      anon_sym_LPAREN2,
  [267899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13669), 1,
      anon_sym_LPAREN2,
  [267906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13671), 1,
      anon_sym_LPAREN2,
  [267913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13673), 1,
      aux_sym_preproc_if_token2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2179)] = 0,
  [SMALL_STATE(2180)] = 75,
  [SMALL_STATE(2181)] = 146,
  [SMALL_STATE(2182)] = 225,
  [SMALL_STATE(2183)] = 296,
  [SMALL_STATE(2184)] = 367,
  [SMALL_STATE(2185)] = 438,
  [SMALL_STATE(2186)] = 565,
  [SMALL_STATE(2187)] = 644,
  [SMALL_STATE(2188)] = 715,
  [SMALL_STATE(2189)] = 794,
  [SMALL_STATE(2190)] = 865,
  [SMALL_STATE(2191)] = 944,
  [SMALL_STATE(2192)] = 1015,
  [SMALL_STATE(2193)] = 1086,
  [SMALL_STATE(2194)] = 1161,
  [SMALL_STATE(2195)] = 1232,
  [SMALL_STATE(2196)] = 1307,
  [SMALL_STATE(2197)] = 1380,
  [SMALL_STATE(2198)] = 1453,
  [SMALL_STATE(2199)] = 1528,
  [SMALL_STATE(2200)] = 1599,
  [SMALL_STATE(2201)] = 1678,
  [SMALL_STATE(2202)] = 1753,
  [SMALL_STATE(2203)] = 1824,
  [SMALL_STATE(2204)] = 1899,
  [SMALL_STATE(2205)] = 1972,
  [SMALL_STATE(2206)] = 2045,
  [SMALL_STATE(2207)] = 2128,
  [SMALL_STATE(2208)] = 2211,
  [SMALL_STATE(2209)] = 2288,
  [SMALL_STATE(2210)] = 2361,
  [SMALL_STATE(2211)] = 2432,
  [SMALL_STATE(2212)] = 2507,
  [SMALL_STATE(2213)] = 2586,
  [SMALL_STATE(2214)] = 2663,
  [SMALL_STATE(2215)] = 2734,
  [SMALL_STATE(2216)] = 2813,
  [SMALL_STATE(2217)] = 2888,
  [SMALL_STATE(2218)] = 2959,
  [SMALL_STATE(2219)] = 3034,
  [SMALL_STATE(2220)] = 3107,
  [SMALL_STATE(2221)] = 3178,
  [SMALL_STATE(2222)] = 3251,
  [SMALL_STATE(2223)] = 3326,
  [SMALL_STATE(2224)] = 3397,
  [SMALL_STATE(2225)] = 3468,
  [SMALL_STATE(2226)] = 3541,
  [SMALL_STATE(2227)] = 3668,
  [SMALL_STATE(2228)] = 3743,
  [SMALL_STATE(2229)] = 3814,
  [SMALL_STATE(2230)] = 3885,
  [SMALL_STATE(2231)] = 3956,
  [SMALL_STATE(2232)] = 4035,
  [SMALL_STATE(2233)] = 4106,
  [SMALL_STATE(2234)] = 4178,
  [SMALL_STATE(2235)] = 4252,
  [SMALL_STATE(2236)] = 4326,
  [SMALL_STATE(2237)] = 4400,
  [SMALL_STATE(2238)] = 4484,
  [SMALL_STATE(2239)] = 4558,
  [SMALL_STATE(2240)] = 4628,
  [SMALL_STATE(2241)] = 4702,
  [SMALL_STATE(2242)] = 4788,
  [SMALL_STATE(2243)] = 4872,
  [SMALL_STATE(2244)] = 4942,
  [SMALL_STATE(2245)] = 5016,
  [SMALL_STATE(2246)] = 5090,
  [SMALL_STATE(2247)] = 5164,
  [SMALL_STATE(2248)] = 5248,
  [SMALL_STATE(2249)] = 5318,
  [SMALL_STATE(2250)] = 5404,
  [SMALL_STATE(2251)] = 5486,
  [SMALL_STATE(2252)] = 5556,
  [SMALL_STATE(2253)] = 5630,
  [SMALL_STATE(2254)] = 5706,
  [SMALL_STATE(2255)] = 5780,
  [SMALL_STATE(2256)] = 5850,
  [SMALL_STATE(2257)] = 5932,
  [SMALL_STATE(2258)] = 6002,
  [SMALL_STATE(2259)] = 6076,
  [SMALL_STATE(2260)] = 6150,
  [SMALL_STATE(2261)] = 6220,
  [SMALL_STATE(2262)] = 6298,
  [SMALL_STATE(2263)] = 6368,
  [SMALL_STATE(2264)] = 6442,
  [SMALL_STATE(2265)] = 6516,
  [SMALL_STATE(2266)] = 6586,
  [SMALL_STATE(2267)] = 6656,
  [SMALL_STATE(2268)] = 6726,
  [SMALL_STATE(2269)] = 6796,
  [SMALL_STATE(2270)] = 6866,
  [SMALL_STATE(2271)] = 6936,
  [SMALL_STATE(2272)] = 7006,
  [SMALL_STATE(2273)] = 7076,
  [SMALL_STATE(2274)] = 7146,
  [SMALL_STATE(2275)] = 7216,
  [SMALL_STATE(2276)] = 7286,
  [SMALL_STATE(2277)] = 7360,
  [SMALL_STATE(2278)] = 7434,
  [SMALL_STATE(2279)] = 7512,
  [SMALL_STATE(2280)] = 7586,
  [SMALL_STATE(2281)] = 7670,
  [SMALL_STATE(2282)] = 7740,
  [SMALL_STATE(2283)] = 7810,
  [SMALL_STATE(2284)] = 7880,
  [SMALL_STATE(2285)] = 7950,
  [SMALL_STATE(2286)] = 8020,
  [SMALL_STATE(2287)] = 8094,
  [SMALL_STATE(2288)] = 8178,
  [SMALL_STATE(2289)] = 8248,
  [SMALL_STATE(2290)] = 8322,
  [SMALL_STATE(2291)] = 8396,
  [SMALL_STATE(2292)] = 8470,
  [SMALL_STATE(2293)] = 8539,
  [SMALL_STATE(2294)] = 8608,
  [SMALL_STATE(2295)] = 8677,
  [SMALL_STATE(2296)] = 8746,
  [SMALL_STATE(2297)] = 8815,
  [SMALL_STATE(2298)] = 8884,
  [SMALL_STATE(2299)] = 8953,
  [SMALL_STATE(2300)] = 9022,
  [SMALL_STATE(2301)] = 9091,
  [SMALL_STATE(2302)] = 9160,
  [SMALL_STATE(2303)] = 9229,
  [SMALL_STATE(2304)] = 9298,
  [SMALL_STATE(2305)] = 9367,
  [SMALL_STATE(2306)] = 9436,
  [SMALL_STATE(2307)] = 9509,
  [SMALL_STATE(2308)] = 9578,
  [SMALL_STATE(2309)] = 9647,
  [SMALL_STATE(2310)] = 9716,
  [SMALL_STATE(2311)] = 9785,
  [SMALL_STATE(2312)] = 9854,
  [SMALL_STATE(2313)] = 9923,
  [SMALL_STATE(2314)] = 9992,
  [SMALL_STATE(2315)] = 10061,
  [SMALL_STATE(2316)] = 10138,
  [SMALL_STATE(2317)] = 10207,
  [SMALL_STATE(2318)] = 10276,
  [SMALL_STATE(2319)] = 10345,
  [SMALL_STATE(2320)] = 10414,
  [SMALL_STATE(2321)] = 10487,
  [SMALL_STATE(2322)] = 10556,
  [SMALL_STATE(2323)] = 10625,
  [SMALL_STATE(2324)] = 10694,
  [SMALL_STATE(2325)] = 10763,
  [SMALL_STATE(2326)] = 10832,
  [SMALL_STATE(2327)] = 10925,
  [SMALL_STATE(2328)] = 10994,
  [SMALL_STATE(2329)] = 11063,
  [SMALL_STATE(2330)] = 11142,
  [SMALL_STATE(2331)] = 11223,
  [SMALL_STATE(2332)] = 11296,
  [SMALL_STATE(2333)] = 11365,
  [SMALL_STATE(2334)] = 11434,
  [SMALL_STATE(2335)] = 11503,
  [SMALL_STATE(2336)] = 11572,
  [SMALL_STATE(2337)] = 11641,
  [SMALL_STATE(2338)] = 11718,
  [SMALL_STATE(2339)] = 11787,
  [SMALL_STATE(2340)] = 11856,
  [SMALL_STATE(2341)] = 11925,
  [SMALL_STATE(2342)] = 11994,
  [SMALL_STATE(2343)] = 12063,
  [SMALL_STATE(2344)] = 12132,
  [SMALL_STATE(2345)] = 12201,
  [SMALL_STATE(2346)] = 12270,
  [SMALL_STATE(2347)] = 12339,
  [SMALL_STATE(2348)] = 12420,
  [SMALL_STATE(2349)] = 12489,
  [SMALL_STATE(2350)] = 12558,
  [SMALL_STATE(2351)] = 12635,
  [SMALL_STATE(2352)] = 12704,
  [SMALL_STATE(2353)] = 12773,
  [SMALL_STATE(2354)] = 12842,
  [SMALL_STATE(2355)] = 12911,
  [SMALL_STATE(2356)] = 12980,
  [SMALL_STATE(2357)] = 13049,
  [SMALL_STATE(2358)] = 13126,
  [SMALL_STATE(2359)] = 13195,
  [SMALL_STATE(2360)] = 13264,
  [SMALL_STATE(2361)] = 13339,
  [SMALL_STATE(2362)] = 13408,
  [SMALL_STATE(2363)] = 13477,
  [SMALL_STATE(2364)] = 13546,
  [SMALL_STATE(2365)] = 13615,
  [SMALL_STATE(2366)] = 13684,
  [SMALL_STATE(2367)] = 13753,
  [SMALL_STATE(2368)] = 13822,
  [SMALL_STATE(2369)] = 13891,
  [SMALL_STATE(2370)] = 13976,
  [SMALL_STATE(2371)] = 14045,
  [SMALL_STATE(2372)] = 14114,
  [SMALL_STATE(2373)] = 14183,
  [SMALL_STATE(2374)] = 14252,
  [SMALL_STATE(2375)] = 14321,
  [SMALL_STATE(2376)] = 14414,
  [SMALL_STATE(2377)] = 14483,
  [SMALL_STATE(2378)] = 14560,
  [SMALL_STATE(2379)] = 14629,
  [SMALL_STATE(2380)] = 14698,
  [SMALL_STATE(2381)] = 14767,
  [SMALL_STATE(2382)] = 14836,
  [SMALL_STATE(2383)] = 14905,
  [SMALL_STATE(2384)] = 14974,
  [SMALL_STATE(2385)] = 15043,
  [SMALL_STATE(2386)] = 15112,
  [SMALL_STATE(2387)] = 15181,
  [SMALL_STATE(2388)] = 15250,
  [SMALL_STATE(2389)] = 15324,
  [SMALL_STATE(2390)] = 15392,
  [SMALL_STATE(2391)] = 15468,
  [SMALL_STATE(2392)] = 15552,
  [SMALL_STATE(2393)] = 15620,
  [SMALL_STATE(2394)] = 15692,
  [SMALL_STATE(2395)] = 15762,
  [SMALL_STATE(2396)] = 15834,
  [SMALL_STATE(2397)] = 15906,
  [SMALL_STATE(2398)] = 15978,
  [SMALL_STATE(2399)] = 16050,
  [SMALL_STATE(2400)] = 16124,
  [SMALL_STATE(2401)] = 16200,
  [SMALL_STATE(2402)] = 16268,
  [SMALL_STATE(2403)] = 16336,
  [SMALL_STATE(2404)] = 16410,
  [SMALL_STATE(2405)] = 16482,
  [SMALL_STATE(2406)] = 16560,
  [SMALL_STATE(2407)] = 16638,
  [SMALL_STATE(2408)] = 16714,
  [SMALL_STATE(2409)] = 16786,
  [SMALL_STATE(2410)] = 16854,
  [SMALL_STATE(2411)] = 16921,
  [SMALL_STATE(2412)] = 17000,
  [SMALL_STATE(2413)] = 17075,
  [SMALL_STATE(2414)] = 17142,
  [SMALL_STATE(2415)] = 17209,
  [SMALL_STATE(2416)] = 17276,
  [SMALL_STATE(2417)] = 17343,
  [SMALL_STATE(2418)] = 17414,
  [SMALL_STATE(2419)] = 17481,
  [SMALL_STATE(2420)] = 17548,
  [SMALL_STATE(2421)] = 17615,
  [SMALL_STATE(2422)] = 17682,
  [SMALL_STATE(2423)] = 17767,
  [SMALL_STATE(2424)] = 17842,
  [SMALL_STATE(2425)] = 17915,
  [SMALL_STATE(2426)] = 17982,
  [SMALL_STATE(2427)] = 18067,
  [SMALL_STATE(2428)] = 18134,
  [SMALL_STATE(2429)] = 18201,
  [SMALL_STATE(2430)] = 18268,
  [SMALL_STATE(2431)] = 18335,
  [SMALL_STATE(2432)] = 18402,
  [SMALL_STATE(2433)] = 18469,
  [SMALL_STATE(2434)] = 18536,
  [SMALL_STATE(2435)] = 18603,
  [SMALL_STATE(2436)] = 18670,
  [SMALL_STATE(2437)] = 18743,
  [SMALL_STATE(2438)] = 18818,
  [SMALL_STATE(2439)] = 18885,
  [SMALL_STATE(2440)] = 18960,
  [SMALL_STATE(2441)] = 19027,
  [SMALL_STATE(2442)] = 19094,
  [SMALL_STATE(2443)] = 19161,
  [SMALL_STATE(2444)] = 19232,
  [SMALL_STATE(2445)] = 19305,
  [SMALL_STATE(2446)] = 19372,
  [SMALL_STATE(2447)] = 19455,
  [SMALL_STATE(2448)] = 19524,
  [SMALL_STATE(2449)] = 19593,
  [SMALL_STATE(2450)] = 19664,
  [SMALL_STATE(2451)] = 19735,
  [SMALL_STATE(2452)] = 19802,
  [SMALL_STATE(2453)] = 19869,
  [SMALL_STATE(2454)] = 19940,
  [SMALL_STATE(2455)] = 20011,
  [SMALL_STATE(2456)] = 20082,
  [SMALL_STATE(2457)] = 20157,
  [SMALL_STATE(2458)] = 20236,
  [SMALL_STATE(2459)] = 20303,
  [SMALL_STATE(2460)] = 20370,
  [SMALL_STATE(2461)] = 20449,
  [SMALL_STATE(2462)] = 20516,
  [SMALL_STATE(2463)] = 20583,
  [SMALL_STATE(2464)] = 20650,
  [SMALL_STATE(2465)] = 20717,
  [SMALL_STATE(2466)] = 20784,
  [SMALL_STATE(2467)] = 20851,
  [SMALL_STATE(2468)] = 20918,
  [SMALL_STATE(2469)] = 20985,
  [SMALL_STATE(2470)] = 21052,
  [SMALL_STATE(2471)] = 21119,
  [SMALL_STATE(2472)] = 21186,
  [SMALL_STATE(2473)] = 21253,
  [SMALL_STATE(2474)] = 21320,
  [SMALL_STATE(2475)] = 21387,
  [SMALL_STATE(2476)] = 21454,
  [SMALL_STATE(2477)] = 21521,
  [SMALL_STATE(2478)] = 21588,
  [SMALL_STATE(2479)] = 21655,
  [SMALL_STATE(2480)] = 21722,
  [SMALL_STATE(2481)] = 21791,
  [SMALL_STATE(2482)] = 21858,
  [SMALL_STATE(2483)] = 21925,
  [SMALL_STATE(2484)] = 21992,
  [SMALL_STATE(2485)] = 22061,
  [SMALL_STATE(2486)] = 22132,
  [SMALL_STATE(2487)] = 22205,
  [SMALL_STATE(2488)] = 22274,
  [SMALL_STATE(2489)] = 22343,
  [SMALL_STATE(2490)] = 22410,
  [SMALL_STATE(2491)] = 22477,
  [SMALL_STATE(2492)] = 22562,
  [SMALL_STATE(2493)] = 22633,
  [SMALL_STATE(2494)] = 22703,
  [SMALL_STATE(2495)] = 22773,
  [SMALL_STATE(2496)] = 22843,
  [SMALL_STATE(2497)] = 22913,
  [SMALL_STATE(2498)] = 22995,
  [SMALL_STATE(2499)] = 23063,
  [SMALL_STATE(2500)] = 23133,
  [SMALL_STATE(2501)] = 23203,
  [SMALL_STATE(2502)] = 23273,
  [SMALL_STATE(2503)] = 23355,
  [SMALL_STATE(2504)] = 23423,
  [SMALL_STATE(2505)] = 23491,
  [SMALL_STATE(2506)] = 23567,
  [SMALL_STATE(2507)] = 23639,
  [SMALL_STATE(2508)] = 23709,
  [SMALL_STATE(2509)] = 23787,
  [SMALL_STATE(2510)] = 23857,
  [SMALL_STATE(2511)] = 23923,
  [SMALL_STATE(2512)] = 23989,
  [SMALL_STATE(2513)] = 24071,
  [SMALL_STATE(2514)] = 24149,
  [SMALL_STATE(2515)] = 24219,
  [SMALL_STATE(2516)] = 24289,
  [SMALL_STATE(2517)] = 24355,
  [SMALL_STATE(2518)] = 24425,
  [SMALL_STATE(2519)] = 24495,
  [SMALL_STATE(2520)] = 24565,
  [SMALL_STATE(2521)] = 24631,
  [SMALL_STATE(2522)] = 24713,
  [SMALL_STATE(2523)] = 24783,
  [SMALL_STATE(2524)] = 24853,
  [SMALL_STATE(2525)] = 24919,
  [SMALL_STATE(2526)] = 24989,
  [SMALL_STATE(2527)] = 25061,
  [SMALL_STATE(2528)] = 25131,
  [SMALL_STATE(2529)] = 25201,
  [SMALL_STATE(2530)] = 25271,
  [SMALL_STATE(2531)] = 25385,
  [SMALL_STATE(2532)] = 25499,
  [SMALL_STATE(2533)] = 25569,
  [SMALL_STATE(2534)] = 25634,
  [SMALL_STATE(2535)] = 25703,
  [SMALL_STATE(2536)] = 25772,
  [SMALL_STATE(2537)] = 25837,
  [SMALL_STATE(2538)] = 25918,
  [SMALL_STATE(2539)] = 25991,
  [SMALL_STATE(2540)] = 26058,
  [SMALL_STATE(2541)] = 26127,
  [SMALL_STATE(2542)] = 26196,
  [SMALL_STATE(2543)] = 26267,
  [SMALL_STATE(2544)] = 26332,
  [SMALL_STATE(2545)] = 26403,
  [SMALL_STATE(2546)] = 26472,
  [SMALL_STATE(2547)] = 26537,
  [SMALL_STATE(2548)] = 26646,
  [SMALL_STATE(2549)] = 26759,
  [SMALL_STATE(2550)] = 26864,
  [SMALL_STATE(2551)] = 26965,
  [SMALL_STATE(2552)] = 27064,
  [SMALL_STATE(2553)] = 27161,
  [SMALL_STATE(2554)] = 27256,
  [SMALL_STATE(2555)] = 27347,
  [SMALL_STATE(2556)] = 27434,
  [SMALL_STATE(2557)] = 27543,
  [SMALL_STATE(2558)] = 27656,
  [SMALL_STATE(2559)] = 27765,
  [SMALL_STATE(2560)] = 27878,
  [SMALL_STATE(2561)] = 27947,
  [SMALL_STATE(2562)] = 28012,
  [SMALL_STATE(2563)] = 28081,
  [SMALL_STATE(2564)] = 28150,
  [SMALL_STATE(2565)] = 28215,
  [SMALL_STATE(2566)] = 28324,
  [SMALL_STATE(2567)] = 28389,
  [SMALL_STATE(2568)] = 28454,
  [SMALL_STATE(2569)] = 28525,
  [SMALL_STATE(2570)] = 28590,
  [SMALL_STATE(2571)] = 28671,
  [SMALL_STATE(2572)] = 28736,
  [SMALL_STATE(2573)] = 28801,
  [SMALL_STATE(2574)] = 28870,
  [SMALL_STATE(2575)] = 28935,
  [SMALL_STATE(2576)] = 29000,
  [SMALL_STATE(2577)] = 29065,
  [SMALL_STATE(2578)] = 29146,
  [SMALL_STATE(2579)] = 29229,
  [SMALL_STATE(2580)] = 29314,
  [SMALL_STATE(2581)] = 29383,
  [SMALL_STATE(2582)] = 29456,
  [SMALL_STATE(2583)] = 29525,
  [SMALL_STATE(2584)] = 29590,
  [SMALL_STATE(2585)] = 29655,
  [SMALL_STATE(2586)] = 29720,
  [SMALL_STATE(2587)] = 29789,
  [SMALL_STATE(2588)] = 29854,
  [SMALL_STATE(2589)] = 29935,
  [SMALL_STATE(2590)] = 30016,
  [SMALL_STATE(2591)] = 30081,
  [SMALL_STATE(2592)] = 30146,
  [SMALL_STATE(2593)] = 30210,
  [SMALL_STATE(2594)] = 30274,
  [SMALL_STATE(2595)] = 30338,
  [SMALL_STATE(2596)] = 30402,
  [SMALL_STATE(2597)] = 30466,
  [SMALL_STATE(2598)] = 30530,
  [SMALL_STATE(2599)] = 30606,
  [SMALL_STATE(2600)] = 30670,
  [SMALL_STATE(2601)] = 30742,
  [SMALL_STATE(2602)] = 30806,
  [SMALL_STATE(2603)] = 30870,
  [SMALL_STATE(2604)] = 30934,
  [SMALL_STATE(2605)] = 30998,
  [SMALL_STATE(2606)] = 31062,
  [SMALL_STATE(2607)] = 31174,
  [SMALL_STATE(2608)] = 31238,
  [SMALL_STATE(2609)] = 31350,
  [SMALL_STATE(2610)] = 31416,
  [SMALL_STATE(2611)] = 31492,
  [SMALL_STATE(2612)] = 31558,
  [SMALL_STATE(2613)] = 31622,
  [SMALL_STATE(2614)] = 31688,
  [SMALL_STATE(2615)] = 31756,
  [SMALL_STATE(2616)] = 31820,
  [SMALL_STATE(2617)] = 31884,
  [SMALL_STATE(2618)] = 31948,
  [SMALL_STATE(2619)] = 32012,
  [SMALL_STATE(2620)] = 32076,
  [SMALL_STATE(2621)] = 32142,
  [SMALL_STATE(2622)] = 32254,
  [SMALL_STATE(2623)] = 32322,
  [SMALL_STATE(2624)] = 32386,
  [SMALL_STATE(2625)] = 32454,
  [SMALL_STATE(2626)] = 32526,
  [SMALL_STATE(2627)] = 32594,
  [SMALL_STATE(2628)] = 32658,
  [SMALL_STATE(2629)] = 32722,
  [SMALL_STATE(2630)] = 32812,
  [SMALL_STATE(2631)] = 32876,
  [SMALL_STATE(2632)] = 32940,
  [SMALL_STATE(2633)] = 33004,
  [SMALL_STATE(2634)] = 33094,
  [SMALL_STATE(2635)] = 33158,
  [SMALL_STATE(2636)] = 33222,
  [SMALL_STATE(2637)] = 33286,
  [SMALL_STATE(2638)] = 33350,
  [SMALL_STATE(2639)] = 33414,
  [SMALL_STATE(2640)] = 33478,
  [SMALL_STATE(2641)] = 33546,
  [SMALL_STATE(2642)] = 33612,
  [SMALL_STATE(2643)] = 33676,
  [SMALL_STATE(2644)] = 33740,
  [SMALL_STATE(2645)] = 33830,
  [SMALL_STATE(2646)] = 33894,
  [SMALL_STATE(2647)] = 33960,
  [SMALL_STATE(2648)] = 34024,
  [SMALL_STATE(2649)] = 34088,
  [SMALL_STATE(2650)] = 34156,
  [SMALL_STATE(2651)] = 34220,
  [SMALL_STATE(2652)] = 34288,
  [SMALL_STATE(2653)] = 34352,
  [SMALL_STATE(2654)] = 34442,
  [SMALL_STATE(2655)] = 34506,
  [SMALL_STATE(2656)] = 34570,
  [SMALL_STATE(2657)] = 34634,
  [SMALL_STATE(2658)] = 34724,
  [SMALL_STATE(2659)] = 34788,
  [SMALL_STATE(2660)] = 34852,
  [SMALL_STATE(2661)] = 34942,
  [SMALL_STATE(2662)] = 35008,
  [SMALL_STATE(2663)] = 35072,
  [SMALL_STATE(2664)] = 35136,
  [SMALL_STATE(2665)] = 35200,
  [SMALL_STATE(2666)] = 35264,
  [SMALL_STATE(2667)] = 35328,
  [SMALL_STATE(2668)] = 35392,
  [SMALL_STATE(2669)] = 35456,
  [SMALL_STATE(2670)] = 35520,
  [SMALL_STATE(2671)] = 35584,
  [SMALL_STATE(2672)] = 35648,
  [SMALL_STATE(2673)] = 35712,
  [SMALL_STATE(2674)] = 35776,
  [SMALL_STATE(2675)] = 35840,
  [SMALL_STATE(2676)] = 35904,
  [SMALL_STATE(2677)] = 35968,
  [SMALL_STATE(2678)] = 36036,
  [SMALL_STATE(2679)] = 36104,
  [SMALL_STATE(2680)] = 36168,
  [SMALL_STATE(2681)] = 36236,
  [SMALL_STATE(2682)] = 36304,
  [SMALL_STATE(2683)] = 36368,
  [SMALL_STATE(2684)] = 36432,
  [SMALL_STATE(2685)] = 36496,
  [SMALL_STATE(2686)] = 36560,
  [SMALL_STATE(2687)] = 36624,
  [SMALL_STATE(2688)] = 36692,
  [SMALL_STATE(2689)] = 36756,
  [SMALL_STATE(2690)] = 36820,
  [SMALL_STATE(2691)] = 36884,
  [SMALL_STATE(2692)] = 36948,
  [SMALL_STATE(2693)] = 37012,
  [SMALL_STATE(2694)] = 37102,
  [SMALL_STATE(2695)] = 37168,
  [SMALL_STATE(2696)] = 37234,
  [SMALL_STATE(2697)] = 37298,
  [SMALL_STATE(2698)] = 37362,
  [SMALL_STATE(2699)] = 37426,
  [SMALL_STATE(2700)] = 37490,
  [SMALL_STATE(2701)] = 37602,
  [SMALL_STATE(2702)] = 37670,
  [SMALL_STATE(2703)] = 37759,
  [SMALL_STATE(2704)] = 37826,
  [SMALL_STATE(2705)] = 37897,
  [SMALL_STATE(2706)] = 38058,
  [SMALL_STATE(2707)] = 38121,
  [SMALL_STATE(2708)] = 38184,
  [SMALL_STATE(2709)] = 38257,
  [SMALL_STATE(2710)] = 38370,
  [SMALL_STATE(2711)] = 38531,
  [SMALL_STATE(2712)] = 38604,
  [SMALL_STATE(2713)] = 38675,
  [SMALL_STATE(2714)] = 38742,
  [SMALL_STATE(2715)] = 38809,
  [SMALL_STATE(2716)] = 38874,
  [SMALL_STATE(2717)] = 38955,
  [SMALL_STATE(2718)] = 39066,
  [SMALL_STATE(2719)] = 39131,
  [SMALL_STATE(2720)] = 39242,
  [SMALL_STATE(2721)] = 39309,
  [SMALL_STATE(2722)] = 39374,
  [SMALL_STATE(2723)] = 39437,
  [SMALL_STATE(2724)] = 39504,
  [SMALL_STATE(2725)] = 39571,
  [SMALL_STATE(2726)] = 39634,
  [SMALL_STATE(2727)] = 39743,
  [SMALL_STATE(2728)] = 39852,
  [SMALL_STATE(2729)] = 39933,
  [SMALL_STATE(2730)] = 40002,
  [SMALL_STATE(2731)] = 40073,
  [SMALL_STATE(2732)] = 40152,
  [SMALL_STATE(2733)] = 40261,
  [SMALL_STATE(2734)] = 40334,
  [SMALL_STATE(2735)] = 40415,
  [SMALL_STATE(2736)] = 40576,
  [SMALL_STATE(2737)] = 40655,
  [SMALL_STATE(2738)] = 40736,
  [SMALL_STATE(2739)] = 40817,
  [SMALL_STATE(2740)] = 40880,
  [SMALL_STATE(2741)] = 40959,
  [SMALL_STATE(2742)] = 41038,
  [SMALL_STATE(2743)] = 41101,
  [SMALL_STATE(2744)] = 41168,
  [SMALL_STATE(2745)] = 41239,
  [SMALL_STATE(2746)] = 41348,
  [SMALL_STATE(2747)] = 41411,
  [SMALL_STATE(2748)] = 41478,
  [SMALL_STATE(2749)] = 41541,
  [SMALL_STATE(2750)] = 41608,
  [SMALL_STATE(2751)] = 41671,
  [SMALL_STATE(2752)] = 41738,
  [SMALL_STATE(2753)] = 41819,
  [SMALL_STATE(2754)] = 41886,
  [SMALL_STATE(2755)] = 41999,
  [SMALL_STATE(2756)] = 42072,
  [SMALL_STATE(2757)] = 42139,
  [SMALL_STATE(2758)] = 42206,
  [SMALL_STATE(2759)] = 42279,
  [SMALL_STATE(2760)] = 42358,
  [SMALL_STATE(2761)] = 42463,
  [SMALL_STATE(2762)] = 42564,
  [SMALL_STATE(2763)] = 42661,
  [SMALL_STATE(2764)] = 42756,
  [SMALL_STATE(2765)] = 42847,
  [SMALL_STATE(2766)] = 42960,
  [SMALL_STATE(2767)] = 43045,
  [SMALL_STATE(2768)] = 43126,
  [SMALL_STATE(2769)] = 43209,
  [SMALL_STATE(2770)] = 43290,
  [SMALL_STATE(2771)] = 43352,
  [SMALL_STATE(2772)] = 43424,
  [SMALL_STATE(2773)] = 43532,
  [SMALL_STATE(2774)] = 43600,
  [SMALL_STATE(2775)] = 43662,
  [SMALL_STATE(2776)] = 43770,
  [SMALL_STATE(2777)] = 43832,
  [SMALL_STATE(2778)] = 43894,
  [SMALL_STATE(2779)] = 43956,
  [SMALL_STATE(2780)] = 44022,
  [SMALL_STATE(2781)] = 44088,
  [SMALL_STATE(2782)] = 44196,
  [SMALL_STATE(2783)] = 44264,
  [SMALL_STATE(2784)] = 44372,
  [SMALL_STATE(2785)] = 44480,
  [SMALL_STATE(2786)] = 44588,
  [SMALL_STATE(2787)] = 44700,
  [SMALL_STATE(2788)] = 44770,
  [SMALL_STATE(2789)] = 44832,
  [SMALL_STATE(2790)] = 44900,
  [SMALL_STATE(2791)] = 44962,
  [SMALL_STATE(2792)] = 45070,
  [SMALL_STATE(2793)] = 45136,
  [SMALL_STATE(2794)] = 45198,
  [SMALL_STATE(2795)] = 45260,
  [SMALL_STATE(2796)] = 45368,
  [SMALL_STATE(2797)] = 45430,
  [SMALL_STATE(2798)] = 45492,
  [SMALL_STATE(2799)] = 45554,
  [SMALL_STATE(2800)] = 45622,
  [SMALL_STATE(2801)] = 45684,
  [SMALL_STATE(2802)] = 45792,
  [SMALL_STATE(2803)] = 45900,
  [SMALL_STATE(2804)] = 45970,
  [SMALL_STATE(2805)] = 46082,
  [SMALL_STATE(2806)] = 46144,
  [SMALL_STATE(2807)] = 46210,
  [SMALL_STATE(2808)] = 46272,
  [SMALL_STATE(2809)] = 46344,
  [SMALL_STATE(2810)] = 46416,
  [SMALL_STATE(2811)] = 46478,
  [SMALL_STATE(2812)] = 46544,
  [SMALL_STATE(2813)] = 46606,
  [SMALL_STATE(2814)] = 46714,
  [SMALL_STATE(2815)] = 46776,
  [SMALL_STATE(2816)] = 46838,
  [SMALL_STATE(2817)] = 46900,
  [SMALL_STATE(2818)] = 46974,
  [SMALL_STATE(2819)] = 47082,
  [SMALL_STATE(2820)] = 47190,
  [SMALL_STATE(2821)] = 47298,
  [SMALL_STATE(2822)] = 47368,
  [SMALL_STATE(2823)] = 47430,
  [SMALL_STATE(2824)] = 47492,
  [SMALL_STATE(2825)] = 47554,
  [SMALL_STATE(2826)] = 47620,
  [SMALL_STATE(2827)] = 47692,
  [SMALL_STATE(2828)] = 47754,
  [SMALL_STATE(2829)] = 47826,
  [SMALL_STATE(2830)] = 47934,
  [SMALL_STATE(2831)] = 47996,
  [SMALL_STATE(2832)] = 48104,
  [SMALL_STATE(2833)] = 48166,
  [SMALL_STATE(2834)] = 48228,
  [SMALL_STATE(2835)] = 48296,
  [SMALL_STATE(2836)] = 48404,
  [SMALL_STATE(2837)] = 48466,
  [SMALL_STATE(2838)] = 48574,
  [SMALL_STATE(2839)] = 48646,
  [SMALL_STATE(2840)] = 48754,
  [SMALL_STATE(2841)] = 48862,
  [SMALL_STATE(2842)] = 48924,
  [SMALL_STATE(2843)] = 48986,
  [SMALL_STATE(2844)] = 49048,
  [SMALL_STATE(2845)] = 49110,
  [SMALL_STATE(2846)] = 49174,
  [SMALL_STATE(2847)] = 49236,
  [SMALL_STATE(2848)] = 49298,
  [SMALL_STATE(2849)] = 49360,
  [SMALL_STATE(2850)] = 49422,
  [SMALL_STATE(2851)] = 49492,
  [SMALL_STATE(2852)] = 49554,
  [SMALL_STATE(2853)] = 49662,
  [SMALL_STATE(2854)] = 49724,
  [SMALL_STATE(2855)] = 49794,
  [SMALL_STATE(2856)] = 49866,
  [SMALL_STATE(2857)] = 49930,
  [SMALL_STATE(2858)] = 50038,
  [SMALL_STATE(2859)] = 50146,
  [SMALL_STATE(2860)] = 50208,
  [SMALL_STATE(2861)] = 50274,
  [SMALL_STATE(2862)] = 50382,
  [SMALL_STATE(2863)] = 50448,
  [SMALL_STATE(2864)] = 50510,
  [SMALL_STATE(2865)] = 50580,
  [SMALL_STATE(2866)] = 50656,
  [SMALL_STATE(2867)] = 50718,
  [SMALL_STATE(2868)] = 50779,
  [SMALL_STATE(2869)] = 50890,
  [SMALL_STATE(2870)] = 50955,
  [SMALL_STATE(2871)] = 51062,
  [SMALL_STATE(2872)] = 51123,
  [SMALL_STATE(2873)] = 51184,
  [SMALL_STATE(2874)] = 51295,
  [SMALL_STATE(2875)] = 51356,
  [SMALL_STATE(2876)] = 51417,
  [SMALL_STATE(2877)] = 51478,
  [SMALL_STATE(2878)] = 51539,
  [SMALL_STATE(2879)] = 51608,
  [SMALL_STATE(2880)] = 51675,
  [SMALL_STATE(2881)] = 51786,
  [SMALL_STATE(2882)] = 51851,
  [SMALL_STATE(2883)] = 51962,
  [SMALL_STATE(2884)] = 52023,
  [SMALL_STATE(2885)] = 52130,
  [SMALL_STATE(2886)] = 52191,
  [SMALL_STATE(2887)] = 52266,
  [SMALL_STATE(2888)] = 52331,
  [SMALL_STATE(2889)] = 52396,
  [SMALL_STATE(2890)] = 52457,
  [SMALL_STATE(2891)] = 52522,
  [SMALL_STATE(2892)] = 52585,
  [SMALL_STATE(2893)] = 52646,
  [SMALL_STATE(2894)] = 52711,
  [SMALL_STATE(2895)] = 52776,
  [SMALL_STATE(2896)] = 52841,
  [SMALL_STATE(2897)] = 52906,
  [SMALL_STATE(2898)] = 52971,
  [SMALL_STATE(2899)] = 53082,
  [SMALL_STATE(2900)] = 53147,
  [SMALL_STATE(2901)] = 53254,
  [SMALL_STATE(2902)] = 53331,
  [SMALL_STATE(2903)] = 53410,
  [SMALL_STATE(2904)] = 53491,
  [SMALL_STATE(2905)] = 53558,
  [SMALL_STATE(2906)] = 53619,
  [SMALL_STATE(2907)] = 53680,
  [SMALL_STATE(2908)] = 53741,
  [SMALL_STATE(2909)] = 53802,
  [SMALL_STATE(2910)] = 53863,
  [SMALL_STATE(2911)] = 53928,
  [SMALL_STATE(2912)] = 54039,
  [SMALL_STATE(2913)] = 54104,
  [SMALL_STATE(2914)] = 54171,
  [SMALL_STATE(2915)] = 54278,
  [SMALL_STATE(2916)] = 54347,
  [SMALL_STATE(2917)] = 54414,
  [SMALL_STATE(2918)] = 54487,
  [SMALL_STATE(2919)] = 54562,
  [SMALL_STATE(2920)] = 54629,
  [SMALL_STATE(2921)] = 54694,
  [SMALL_STATE(2922)] = 54761,
  [SMALL_STATE(2923)] = 54826,
  [SMALL_STATE(2924)] = 54891,
  [SMALL_STATE(2925)] = 54998,
  [SMALL_STATE(2926)] = 55059,
  [SMALL_STATE(2927)] = 55120,
  [SMALL_STATE(2928)] = 55181,
  [SMALL_STATE(2929)] = 55246,
  [SMALL_STATE(2930)] = 55307,
  [SMALL_STATE(2931)] = 55368,
  [SMALL_STATE(2932)] = 55475,
  [SMALL_STATE(2933)] = 55540,
  [SMALL_STATE(2934)] = 55601,
  [SMALL_STATE(2935)] = 55666,
  [SMALL_STATE(2936)] = 55727,
  [SMALL_STATE(2937)] = 55838,
  [SMALL_STATE(2938)] = 55901,
  [SMALL_STATE(2939)] = 55966,
  [SMALL_STATE(2940)] = 56041,
  [SMALL_STATE(2941)] = 56144,
  [SMALL_STATE(2942)] = 56243,
  [SMALL_STATE(2943)] = 56318,
  [SMALL_STATE(2944)] = 56379,
  [SMALL_STATE(2945)] = 56474,
  [SMALL_STATE(2946)] = 56567,
  [SMALL_STATE(2947)] = 56656,
  [SMALL_STATE(2948)] = 56743,
  [SMALL_STATE(2949)] = 56826,
  [SMALL_STATE(2950)] = 56933,
  [SMALL_STATE(2951)] = 56998,
  [SMALL_STATE(2952)] = 57063,
  [SMALL_STATE(2953)] = 57128,
  [SMALL_STATE(2954)] = 57193,
  [SMALL_STATE(2955)] = 57258,
  [SMALL_STATE(2956)] = 57331,
  [SMALL_STATE(2957)] = 57392,
  [SMALL_STATE(2958)] = 57453,
  [SMALL_STATE(2959)] = 57518,
  [SMALL_STATE(2960)] = 57583,
  [SMALL_STATE(2961)] = 57648,
  [SMALL_STATE(2962)] = 57713,
  [SMALL_STATE(2963)] = 57774,
  [SMALL_STATE(2964)] = 57835,
  [SMALL_STATE(2965)] = 57896,
  [SMALL_STATE(2966)] = 57965,
  [SMALL_STATE(2967)] = 58026,
  [SMALL_STATE(2968)] = 58093,
  [SMALL_STATE(2969)] = 58162,
  [SMALL_STATE(2970)] = 58223,
  [SMALL_STATE(2971)] = 58284,
  [SMALL_STATE(2972)] = 58361,
  [SMALL_STATE(2973)] = 58436,
  [SMALL_STATE(2974)] = 58539,
  [SMALL_STATE(2975)] = 58600,
  [SMALL_STATE(2976)] = 58707,
  [SMALL_STATE(2977)] = 58806,
  [SMALL_STATE(2978)] = 58871,
  [SMALL_STATE(2979)] = 58966,
  [SMALL_STATE(2980)] = 59031,
  [SMALL_STATE(2981)] = 59124,
  [SMALL_STATE(2982)] = 59213,
  [SMALL_STATE(2983)] = 59300,
  [SMALL_STATE(2984)] = 59383,
  [SMALL_STATE(2985)] = 59444,
  [SMALL_STATE(2986)] = 59507,
  [SMALL_STATE(2987)] = 59618,
  [SMALL_STATE(2988)] = 59697,
  [SMALL_STATE(2989)] = 59766,
  [SMALL_STATE(2990)] = 59847,
  [SMALL_STATE(2991)] = 59914,
  [SMALL_STATE(2992)] = 59981,
  [SMALL_STATE(2993)] = 60077,
  [SMALL_STATE(2994)] = 60139,
  [SMALL_STATE(2995)] = 60249,
  [SMALL_STATE(2996)] = 60309,
  [SMALL_STATE(2997)] = 60369,
  [SMALL_STATE(2998)] = 60479,
  [SMALL_STATE(2999)] = 60545,
  [SMALL_STATE(3000)] = 60609,
  [SMALL_STATE(3001)] = 60669,
  [SMALL_STATE(3002)] = 60731,
  [SMALL_STATE(3003)] = 60799,
  [SMALL_STATE(3004)] = 60859,
  [SMALL_STATE(3005)] = 60919,
  [SMALL_STATE(3006)] = 60979,
  [SMALL_STATE(3007)] = 61039,
  [SMALL_STATE(3008)] = 61099,
  [SMALL_STATE(3009)] = 61159,
  [SMALL_STATE(3010)] = 61269,
  [SMALL_STATE(3011)] = 61341,
  [SMALL_STATE(3012)] = 61449,
  [SMALL_STATE(3013)] = 61509,
  [SMALL_STATE(3014)] = 61577,
  [SMALL_STATE(3015)] = 61637,
  [SMALL_STATE(3016)] = 61697,
  [SMALL_STATE(3017)] = 61759,
  [SMALL_STATE(3018)] = 61819,
  [SMALL_STATE(3019)] = 61885,
  [SMALL_STATE(3020)] = 61949,
  [SMALL_STATE(3021)] = 62017,
  [SMALL_STATE(3022)] = 62083,
  [SMALL_STATE(3023)] = 62145,
  [SMALL_STATE(3024)] = 62211,
  [SMALL_STATE(3025)] = 62273,
  [SMALL_STATE(3026)] = 62429,
  [SMALL_STATE(3027)] = 62489,
  [SMALL_STATE(3028)] = 62561,
  [SMALL_STATE(3029)] = 62623,
  [SMALL_STATE(3030)] = 62683,
  [SMALL_STATE(3031)] = 62755,
  [SMALL_STATE(3032)] = 62817,
  [SMALL_STATE(3033)] = 62879,
  [SMALL_STATE(3034)] = 62939,
  [SMALL_STATE(3035)] = 63009,
  [SMALL_STATE(3036)] = 63073,
  [SMALL_STATE(3037)] = 63137,
  [SMALL_STATE(3038)] = 63197,
  [SMALL_STATE(3039)] = 63271,
  [SMALL_STATE(3040)] = 63331,
  [SMALL_STATE(3041)] = 63407,
  [SMALL_STATE(3042)] = 63511,
  [SMALL_STATE(3043)] = 63573,
  [SMALL_STATE(3044)] = 63647,
  [SMALL_STATE(3045)] = 63707,
  [SMALL_STATE(3046)] = 63863,
  [SMALL_STATE(3047)] = 63971,
  [SMALL_STATE(3048)] = 64031,
  [SMALL_STATE(3049)] = 64097,
  [SMALL_STATE(3050)] = 64157,
  [SMALL_STATE(3051)] = 64257,
  [SMALL_STATE(3052)] = 64317,
  [SMALL_STATE(3053)] = 64379,
  [SMALL_STATE(3054)] = 64489,
  [SMALL_STATE(3055)] = 64581,
  [SMALL_STATE(3056)] = 64671,
  [SMALL_STATE(3057)] = 64827,
  [SMALL_STATE(3058)] = 64887,
  [SMALL_STATE(3059)] = 64973,
  [SMALL_STATE(3060)] = 65057,
  [SMALL_STATE(3061)] = 65117,
  [SMALL_STATE(3062)] = 65199,
  [SMALL_STATE(3063)] = 65277,
  [SMALL_STATE(3064)] = 65337,
  [SMALL_STATE(3065)] = 65445,
  [SMALL_STATE(3066)] = 65601,
  [SMALL_STATE(3067)] = 65681,
  [SMALL_STATE(3068)] = 65741,
  [SMALL_STATE(3069)] = 65897,
  [SMALL_STATE(3070)] = 65957,
  [SMALL_STATE(3071)] = 66113,
  [SMALL_STATE(3072)] = 66177,
  [SMALL_STATE(3073)] = 66239,
  [SMALL_STATE(3074)] = 66299,
  [SMALL_STATE(3075)] = 66413,
  [SMALL_STATE(3076)] = 66517,
  [SMALL_STATE(3077)] = 66577,
  [SMALL_STATE(3078)] = 66637,
  [SMALL_STATE(3079)] = 66697,
  [SMALL_STATE(3080)] = 66807,
  [SMALL_STATE(3081)] = 66917,
  [SMALL_STATE(3082)] = 67073,
  [SMALL_STATE(3083)] = 67133,
  [SMALL_STATE(3084)] = 67199,
  [SMALL_STATE(3085)] = 67261,
  [SMALL_STATE(3086)] = 67371,
  [SMALL_STATE(3087)] = 67447,
  [SMALL_STATE(3088)] = 67515,
  [SMALL_STATE(3089)] = 67577,
  [SMALL_STATE(3090)] = 67637,
  [SMALL_STATE(3091)] = 67697,
  [SMALL_STATE(3092)] = 67757,
  [SMALL_STATE(3093)] = 67817,
  [SMALL_STATE(3094)] = 67877,
  [SMALL_STATE(3095)] = 67987,
  [SMALL_STATE(3096)] = 68047,
  [SMALL_STATE(3097)] = 68107,
  [SMALL_STATE(3098)] = 68179,
  [SMALL_STATE(3099)] = 68253,
  [SMALL_STATE(3100)] = 68327,
  [SMALL_STATE(3101)] = 68433,
  [SMALL_STATE(3102)] = 68505,
  [SMALL_STATE(3103)] = 68611,
  [SMALL_STATE(3104)] = 68721,
  [SMALL_STATE(3105)] = 68797,
  [SMALL_STATE(3106)] = 68871,
  [SMALL_STATE(3107)] = 68973,
  [SMALL_STATE(3108)] = 69071,
  [SMALL_STATE(3109)] = 69165,
  [SMALL_STATE(3110)] = 69257,
  [SMALL_STATE(3111)] = 69345,
  [SMALL_STATE(3112)] = 69431,
  [SMALL_STATE(3113)] = 69513,
  [SMALL_STATE(3114)] = 69591,
  [SMALL_STATE(3115)] = 69671,
  [SMALL_STATE(3116)] = 69745,
  [SMALL_STATE(3117)] = 69851,
  [SMALL_STATE(3118)] = 69961,
  [SMALL_STATE(3119)] = 70067,
  [SMALL_STATE(3120)] = 70177,
  [SMALL_STATE(3121)] = 70241,
  [SMALL_STATE(3122)] = 70301,
  [SMALL_STATE(3123)] = 70373,
  [SMALL_STATE(3124)] = 70435,
  [SMALL_STATE(3125)] = 70509,
  [SMALL_STATE(3126)] = 70571,
  [SMALL_STATE(3127)] = 70645,
  [SMALL_STATE(3128)] = 70719,
  [SMALL_STATE(3129)] = 70793,
  [SMALL_STATE(3130)] = 70853,
  [SMALL_STATE(3131)] = 70913,
  [SMALL_STATE(3132)] = 71017,
  [SMALL_STATE(3133)] = 71089,
  [SMALL_STATE(3134)] = 71159,
  [SMALL_STATE(3135)] = 71315,
  [SMALL_STATE(3136)] = 71379,
  [SMALL_STATE(3137)] = 71445,
  [SMALL_STATE(3138)] = 71505,
  [SMALL_STATE(3139)] = 71609,
  [SMALL_STATE(3140)] = 71671,
  [SMALL_STATE(3141)] = 71733,
  [SMALL_STATE(3142)] = 71795,
  [SMALL_STATE(3143)] = 71857,
  [SMALL_STATE(3144)] = 71919,
  [SMALL_STATE(3145)] = 72075,
  [SMALL_STATE(3146)] = 72134,
  [SMALL_STATE(3147)] = 72193,
  [SMALL_STATE(3148)] = 72252,
  [SMALL_STATE(3149)] = 72311,
  [SMALL_STATE(3150)] = 72370,
  [SMALL_STATE(3151)] = 72429,
  [SMALL_STATE(3152)] = 72488,
  [SMALL_STATE(3153)] = 72547,
  [SMALL_STATE(3154)] = 72606,
  [SMALL_STATE(3155)] = 72665,
  [SMALL_STATE(3156)] = 72774,
  [SMALL_STATE(3157)] = 72847,
  [SMALL_STATE(3158)] = 72906,
  [SMALL_STATE(3159)] = 72969,
  [SMALL_STATE(3160)] = 73028,
  [SMALL_STATE(3161)] = 73087,
  [SMALL_STATE(3162)] = 73146,
  [SMALL_STATE(3163)] = 73205,
  [SMALL_STATE(3164)] = 73268,
  [SMALL_STATE(3165)] = 73327,
  [SMALL_STATE(3166)] = 73386,
  [SMALL_STATE(3167)] = 73445,
  [SMALL_STATE(3168)] = 73504,
  [SMALL_STATE(3169)] = 73563,
  [SMALL_STATE(3170)] = 73622,
  [SMALL_STATE(3171)] = 73681,
  [SMALL_STATE(3172)] = 73740,
  [SMALL_STATE(3173)] = 73799,
  [SMALL_STATE(3174)] = 73858,
  [SMALL_STATE(3175)] = 73917,
  [SMALL_STATE(3176)] = 73976,
  [SMALL_STATE(3177)] = 74035,
  [SMALL_STATE(3178)] = 74094,
  [SMALL_STATE(3179)] = 74153,
  [SMALL_STATE(3180)] = 74212,
  [SMALL_STATE(3181)] = 74271,
  [SMALL_STATE(3182)] = 74330,
  [SMALL_STATE(3183)] = 74389,
  [SMALL_STATE(3184)] = 74448,
  [SMALL_STATE(3185)] = 74511,
  [SMALL_STATE(3186)] = 74578,
  [SMALL_STATE(3187)] = 74645,
  [SMALL_STATE(3188)] = 74754,
  [SMALL_STATE(3189)] = 74813,
  [SMALL_STATE(3190)] = 74872,
  [SMALL_STATE(3191)] = 74931,
  [SMALL_STATE(3192)] = 74990,
  [SMALL_STATE(3193)] = 75049,
  [SMALL_STATE(3194)] = 75114,
  [SMALL_STATE(3195)] = 75173,
  [SMALL_STATE(3196)] = 75232,
  [SMALL_STATE(3197)] = 75291,
  [SMALL_STATE(3198)] = 75350,
  [SMALL_STATE(3199)] = 75409,
  [SMALL_STATE(3200)] = 75468,
  [SMALL_STATE(3201)] = 75527,
  [SMALL_STATE(3202)] = 75586,
  [SMALL_STATE(3203)] = 75645,
  [SMALL_STATE(3204)] = 75710,
  [SMALL_STATE(3205)] = 75769,
  [SMALL_STATE(3206)] = 75828,
  [SMALL_STATE(3207)] = 75887,
  [SMALL_STATE(3208)] = 75946,
  [SMALL_STATE(3209)] = 76009,
  [SMALL_STATE(3210)] = 76068,
  [SMALL_STATE(3211)] = 76133,
  [SMALL_STATE(3212)] = 76200,
  [SMALL_STATE(3213)] = 76259,
  [SMALL_STATE(3214)] = 76318,
  [SMALL_STATE(3215)] = 76377,
  [SMALL_STATE(3216)] = 76440,
  [SMALL_STATE(3217)] = 76499,
  [SMALL_STATE(3218)] = 76558,
  [SMALL_STATE(3219)] = 76617,
  [SMALL_STATE(3220)] = 76676,
  [SMALL_STATE(3221)] = 76735,
  [SMALL_STATE(3222)] = 76794,
  [SMALL_STATE(3223)] = 76853,
  [SMALL_STATE(3224)] = 76914,
  [SMALL_STATE(3225)] = 76973,
  [SMALL_STATE(3226)] = 77032,
  [SMALL_STATE(3227)] = 77099,
  [SMALL_STATE(3228)] = 77158,
  [SMALL_STATE(3229)] = 77223,
  [SMALL_STATE(3230)] = 77282,
  [SMALL_STATE(3231)] = 77347,
  [SMALL_STATE(3232)] = 77406,
  [SMALL_STATE(3233)] = 77465,
  [SMALL_STATE(3234)] = 77524,
  [SMALL_STATE(3235)] = 77583,
  [SMALL_STATE(3236)] = 77642,
  [SMALL_STATE(3237)] = 77701,
  [SMALL_STATE(3238)] = 77760,
  [SMALL_STATE(3239)] = 77819,
  [SMALL_STATE(3240)] = 77878,
  [SMALL_STATE(3241)] = 77937,
  [SMALL_STATE(3242)] = 77996,
  [SMALL_STATE(3243)] = 78055,
  [SMALL_STATE(3244)] = 78114,
  [SMALL_STATE(3245)] = 78173,
  [SMALL_STATE(3246)] = 78232,
  [SMALL_STATE(3247)] = 78291,
  [SMALL_STATE(3248)] = 78400,
  [SMALL_STATE(3249)] = 78463,
  [SMALL_STATE(3250)] = 78522,
  [SMALL_STATE(3251)] = 78585,
  [SMALL_STATE(3252)] = 78650,
  [SMALL_STATE(3253)] = 78709,
  [SMALL_STATE(3254)] = 78768,
  [SMALL_STATE(3255)] = 78837,
  [SMALL_STATE(3256)] = 78896,
  [SMALL_STATE(3257)] = 78955,
  [SMALL_STATE(3258)] = 79018,
  [SMALL_STATE(3259)] = 79077,
  [SMALL_STATE(3260)] = 79136,
  [SMALL_STATE(3261)] = 79195,
  [SMALL_STATE(3262)] = 79254,
  [SMALL_STATE(3263)] = 79313,
  [SMALL_STATE(3264)] = 79372,
  [SMALL_STATE(3265)] = 79431,
  [SMALL_STATE(3266)] = 79490,
  [SMALL_STATE(3267)] = 79549,
  [SMALL_STATE(3268)] = 79608,
  [SMALL_STATE(3269)] = 79667,
  [SMALL_STATE(3270)] = 79726,
  [SMALL_STATE(3271)] = 79793,
  [SMALL_STATE(3272)] = 79852,
  [SMALL_STATE(3273)] = 79911,
  [SMALL_STATE(3274)] = 79980,
  [SMALL_STATE(3275)] = 80039,
  [SMALL_STATE(3276)] = 80098,
  [SMALL_STATE(3277)] = 80157,
  [SMALL_STATE(3278)] = 80216,
  [SMALL_STATE(3279)] = 80275,
  [SMALL_STATE(3280)] = 80334,
  [SMALL_STATE(3281)] = 80399,
  [SMALL_STATE(3282)] = 80458,
  [SMALL_STATE(3283)] = 80521,
  [SMALL_STATE(3284)] = 80580,
  [SMALL_STATE(3285)] = 80639,
  [SMALL_STATE(3286)] = 80698,
  [SMALL_STATE(3287)] = 80757,
  [SMALL_STATE(3288)] = 80816,
  [SMALL_STATE(3289)] = 80875,
  [SMALL_STATE(3290)] = 80934,
  [SMALL_STATE(3291)] = 81043,
  [SMALL_STATE(3292)] = 81102,
  [SMALL_STATE(3293)] = 81161,
  [SMALL_STATE(3294)] = 81226,
  [SMALL_STATE(3295)] = 81285,
  [SMALL_STATE(3296)] = 81344,
  [SMALL_STATE(3297)] = 81405,
  [SMALL_STATE(3298)] = 81464,
  [SMALL_STATE(3299)] = 81539,
  [SMALL_STATE(3300)] = 81598,
  [SMALL_STATE(3301)] = 81657,
  [SMALL_STATE(3302)] = 81716,
  [SMALL_STATE(3303)] = 81775,
  [SMALL_STATE(3304)] = 81834,
  [SMALL_STATE(3305)] = 81893,
  [SMALL_STATE(3306)] = 81952,
  [SMALL_STATE(3307)] = 82013,
  [SMALL_STATE(3308)] = 82076,
  [SMALL_STATE(3309)] = 82135,
  [SMALL_STATE(3310)] = 82196,
  [SMALL_STATE(3311)] = 82269,
  [SMALL_STATE(3312)] = 82328,
  [SMALL_STATE(3313)] = 82387,
  [SMALL_STATE(3314)] = 82446,
  [SMALL_STATE(3315)] = 82505,
  [SMALL_STATE(3316)] = 82564,
  [SMALL_STATE(3317)] = 82623,
  [SMALL_STATE(3318)] = 82682,
  [SMALL_STATE(3319)] = 82745,
  [SMALL_STATE(3320)] = 82812,
  [SMALL_STATE(3321)] = 82871,
  [SMALL_STATE(3322)] = 82934,
  [SMALL_STATE(3323)] = 82993,
  [SMALL_STATE(3324)] = 83052,
  [SMALL_STATE(3325)] = 83111,
  [SMALL_STATE(3326)] = 83170,
  [SMALL_STATE(3327)] = 83229,
  [SMALL_STATE(3328)] = 83288,
  [SMALL_STATE(3329)] = 83347,
  [SMALL_STATE(3330)] = 83406,
  [SMALL_STATE(3331)] = 83465,
  [SMALL_STATE(3332)] = 83524,
  [SMALL_STATE(3333)] = 83583,
  [SMALL_STATE(3334)] = 83642,
  [SMALL_STATE(3335)] = 83701,
  [SMALL_STATE(3336)] = 83760,
  [SMALL_STATE(3337)] = 83819,
  [SMALL_STATE(3338)] = 83878,
  [SMALL_STATE(3339)] = 83937,
  [SMALL_STATE(3340)] = 83996,
  [SMALL_STATE(3341)] = 84057,
  [SMALL_STATE(3342)] = 84116,
  [SMALL_STATE(3343)] = 84179,
  [SMALL_STATE(3344)] = 84237,
  [SMALL_STATE(3345)] = 84299,
  [SMALL_STATE(3346)] = 84401,
  [SMALL_STATE(3347)] = 84459,
  [SMALL_STATE(3348)] = 84521,
  [SMALL_STATE(3349)] = 84579,
  [SMALL_STATE(3350)] = 84653,
  [SMALL_STATE(3351)] = 84725,
  [SMALL_STATE(3352)] = 84825,
  [SMALL_STATE(3353)] = 84923,
  [SMALL_STATE(3354)] = 85017,
  [SMALL_STATE(3355)] = 85107,
  [SMALL_STATE(3356)] = 85193,
  [SMALL_STATE(3357)] = 85277,
  [SMALL_STATE(3358)] = 85357,
  [SMALL_STATE(3359)] = 85433,
  [SMALL_STATE(3360)] = 85511,
  [SMALL_STATE(3361)] = 85589,
  [SMALL_STATE(3362)] = 85647,
  [SMALL_STATE(3363)] = 85705,
  [SMALL_STATE(3364)] = 85763,
  [SMALL_STATE(3365)] = 85821,
  [SMALL_STATE(3366)] = 85887,
  [SMALL_STATE(3367)] = 85945,
  [SMALL_STATE(3368)] = 86011,
  [SMALL_STATE(3369)] = 86069,
  [SMALL_STATE(3370)] = 86141,
  [SMALL_STATE(3371)] = 86199,
  [SMALL_STATE(3372)] = 86257,
  [SMALL_STATE(3373)] = 86319,
  [SMALL_STATE(3374)] = 86381,
  [SMALL_STATE(3375)] = 86439,
  [SMALL_STATE(3376)] = 86501,
  [SMALL_STATE(3377)] = 86559,
  [SMALL_STATE(3378)] = 86661,
  [SMALL_STATE(3379)] = 86767,
  [SMALL_STATE(3380)] = 86829,
  [SMALL_STATE(3381)] = 86887,
  [SMALL_STATE(3382)] = 86963,
  [SMALL_STATE(3383)] = 87021,
  [SMALL_STATE(3384)] = 87083,
  [SMALL_STATE(3385)] = 87153,
  [SMALL_STATE(3386)] = 87211,
  [SMALL_STATE(3387)] = 87281,
  [SMALL_STATE(3388)] = 87339,
  [SMALL_STATE(3389)] = 87397,
  [SMALL_STATE(3390)] = 87469,
  [SMALL_STATE(3391)] = 87541,
  [SMALL_STATE(3392)] = 87599,
  [SMALL_STATE(3393)] = 87657,
  [SMALL_STATE(3394)] = 87715,
  [SMALL_STATE(3395)] = 87773,
  [SMALL_STATE(3396)] = 87831,
  [SMALL_STATE(3397)] = 87889,
  [SMALL_STATE(3398)] = 87947,
  [SMALL_STATE(3399)] = 88005,
  [SMALL_STATE(3400)] = 88063,
  [SMALL_STATE(3401)] = 88121,
  [SMALL_STATE(3402)] = 88185,
  [SMALL_STATE(3403)] = 88287,
  [SMALL_STATE(3404)] = 88345,
  [SMALL_STATE(3405)] = 88403,
  [SMALL_STATE(3406)] = 88461,
  [SMALL_STATE(3407)] = 88531,
  [SMALL_STATE(3408)] = 88589,
  [SMALL_STATE(3409)] = 88647,
  [SMALL_STATE(3410)] = 88705,
  [SMALL_STATE(3411)] = 88763,
  [SMALL_STATE(3412)] = 88821,
  [SMALL_STATE(3413)] = 88879,
  [SMALL_STATE(3414)] = 88937,
  [SMALL_STATE(3415)] = 88995,
  [SMALL_STATE(3416)] = 89053,
  [SMALL_STATE(3417)] = 89117,
  [SMALL_STATE(3418)] = 89187,
  [SMALL_STATE(3419)] = 89245,
  [SMALL_STATE(3420)] = 89303,
  [SMALL_STATE(3421)] = 89373,
  [SMALL_STATE(3422)] = 89431,
  [SMALL_STATE(3423)] = 89489,
  [SMALL_STATE(3424)] = 89551,
  [SMALL_STATE(3425)] = 89615,
  [SMALL_STATE(3426)] = 89673,
  [SMALL_STATE(3427)] = 89731,
  [SMALL_STATE(3428)] = 89795,
  [SMALL_STATE(3429)] = 89853,
  [SMALL_STATE(3430)] = 89961,
  [SMALL_STATE(3431)] = 90019,
  [SMALL_STATE(3432)] = 90081,
  [SMALL_STATE(3433)] = 90139,
  [SMALL_STATE(3434)] = 90247,
  [SMALL_STATE(3435)] = 90305,
  [SMALL_STATE(3436)] = 90363,
  [SMALL_STATE(3437)] = 90421,
  [SMALL_STATE(3438)] = 90483,
  [SMALL_STATE(3439)] = 90541,
  [SMALL_STATE(3440)] = 90647,
  [SMALL_STATE(3441)] = 90713,
  [SMALL_STATE(3442)] = 90775,
  [SMALL_STATE(3443)] = 90833,
  [SMALL_STATE(3444)] = 90891,
  [SMALL_STATE(3445)] = 90949,
  [SMALL_STATE(3446)] = 91007,
  [SMALL_STATE(3447)] = 91065,
  [SMALL_STATE(3448)] = 91123,
  [SMALL_STATE(3449)] = 91181,
  [SMALL_STATE(3450)] = 91239,
  [SMALL_STATE(3451)] = 91297,
  [SMALL_STATE(3452)] = 91355,
  [SMALL_STATE(3453)] = 91413,
  [SMALL_STATE(3454)] = 91471,
  [SMALL_STATE(3455)] = 91529,
  [SMALL_STATE(3456)] = 91587,
  [SMALL_STATE(3457)] = 91647,
  [SMALL_STATE(3458)] = 91705,
  [SMALL_STATE(3459)] = 91763,
  [SMALL_STATE(3460)] = 91821,
  [SMALL_STATE(3461)] = 91883,
  [SMALL_STATE(3462)] = 91941,
  [SMALL_STATE(3463)] = 91999,
  [SMALL_STATE(3464)] = 92061,
  [SMALL_STATE(3465)] = 92119,
  [SMALL_STATE(3466)] = 92177,
  [SMALL_STATE(3467)] = 92239,
  [SMALL_STATE(3468)] = 92297,
  [SMALL_STATE(3469)] = 92355,
  [SMALL_STATE(3470)] = 92413,
  [SMALL_STATE(3471)] = 92471,
  [SMALL_STATE(3472)] = 92529,
  [SMALL_STATE(3473)] = 92597,
  [SMALL_STATE(3474)] = 92655,
  [SMALL_STATE(3475)] = 92713,
  [SMALL_STATE(3476)] = 92771,
  [SMALL_STATE(3477)] = 92877,
  [SMALL_STATE(3478)] = 92935,
  [SMALL_STATE(3479)] = 92993,
  [SMALL_STATE(3480)] = 93051,
  [SMALL_STATE(3481)] = 93109,
  [SMALL_STATE(3482)] = 93167,
  [SMALL_STATE(3483)] = 93225,
  [SMALL_STATE(3484)] = 93327,
  [SMALL_STATE(3485)] = 93420,
  [SMALL_STATE(3486)] = 93487,
  [SMALL_STATE(3487)] = 93580,
  [SMALL_STATE(3488)] = 93673,
  [SMALL_STATE(3489)] = 93732,
  [SMALL_STATE(3490)] = 93789,
  [SMALL_STATE(3491)] = 93846,
  [SMALL_STATE(3492)] = 93903,
  [SMALL_STATE(3493)] = 93960,
  [SMALL_STATE(3494)] = 94017,
  [SMALL_STATE(3495)] = 94074,
  [SMALL_STATE(3496)] = 94131,
  [SMALL_STATE(3497)] = 94188,
  [SMALL_STATE(3498)] = 94245,
  [SMALL_STATE(3499)] = 94304,
  [SMALL_STATE(3500)] = 94363,
  [SMALL_STATE(3501)] = 94424,
  [SMALL_STATE(3502)] = 94481,
  [SMALL_STATE(3503)] = 94538,
  [SMALL_STATE(3504)] = 94595,
  [SMALL_STATE(3505)] = 94652,
  [SMALL_STATE(3506)] = 94709,
  [SMALL_STATE(3507)] = 94768,
  [SMALL_STATE(3508)] = 94829,
  [SMALL_STATE(3509)] = 94896,
  [SMALL_STATE(3510)] = 94953,
  [SMALL_STATE(3511)] = 95016,
  [SMALL_STATE(3512)] = 95081,
  [SMALL_STATE(3513)] = 95146,
  [SMALL_STATE(3514)] = 95205,
  [SMALL_STATE(3515)] = 95274,
  [SMALL_STATE(3516)] = 95339,
  [SMALL_STATE(3517)] = 95432,
  [SMALL_STATE(3518)] = 95501,
  [SMALL_STATE(3519)] = 95594,
  [SMALL_STATE(3520)] = 95699,
  [SMALL_STATE(3521)] = 95792,
  [SMALL_STATE(3522)] = 95849,
  [SMALL_STATE(3523)] = 95908,
  [SMALL_STATE(3524)] = 95978,
  [SMALL_STATE(3525)] = 96080,
  [SMALL_STATE(3526)] = 96152,
  [SMALL_STATE(3527)] = 96224,
  [SMALL_STATE(3528)] = 96286,
  [SMALL_STATE(3529)] = 96342,
  [SMALL_STATE(3530)] = 96398,
  [SMALL_STATE(3531)] = 96454,
  [SMALL_STATE(3532)] = 96546,
  [SMALL_STATE(3533)] = 96602,
  [SMALL_STATE(3534)] = 96658,
  [SMALL_STATE(3535)] = 96760,
  [SMALL_STATE(3536)] = 96852,
  [SMALL_STATE(3537)] = 96954,
  [SMALL_STATE(3538)] = 97024,
  [SMALL_STATE(3539)] = 97080,
  [SMALL_STATE(3540)] = 97182,
  [SMALL_STATE(3541)] = 97238,
  [SMALL_STATE(3542)] = 97308,
  [SMALL_STATE(3543)] = 97410,
  [SMALL_STATE(3544)] = 97466,
  [SMALL_STATE(3545)] = 97522,
  [SMALL_STATE(3546)] = 97624,
  [SMALL_STATE(3547)] = 97680,
  [SMALL_STATE(3548)] = 97736,
  [SMALL_STATE(3549)] = 97838,
  [SMALL_STATE(3550)] = 97906,
  [SMALL_STATE(3551)] = 97962,
  [SMALL_STATE(3552)] = 98018,
  [SMALL_STATE(3553)] = 98074,
  [SMALL_STATE(3554)] = 98132,
  [SMALL_STATE(3555)] = 98188,
  [SMALL_STATE(3556)] = 98290,
  [SMALL_STATE(3557)] = 98346,
  [SMALL_STATE(3558)] = 98402,
  [SMALL_STATE(3559)] = 98504,
  [SMALL_STATE(3560)] = 98606,
  [SMALL_STATE(3561)] = 98662,
  [SMALL_STATE(3562)] = 98732,
  [SMALL_STATE(3563)] = 98834,
  [SMALL_STATE(3564)] = 98890,
  [SMALL_STATE(3565)] = 98946,
  [SMALL_STATE(3566)] = 99002,
  [SMALL_STATE(3567)] = 99058,
  [SMALL_STATE(3568)] = 99114,
  [SMALL_STATE(3569)] = 99216,
  [SMALL_STATE(3570)] = 99272,
  [SMALL_STATE(3571)] = 99328,
  [SMALL_STATE(3572)] = 99384,
  [SMALL_STATE(3573)] = 99440,
  [SMALL_STATE(3574)] = 99496,
  [SMALL_STATE(3575)] = 99552,
  [SMALL_STATE(3576)] = 99654,
  [SMALL_STATE(3577)] = 99710,
  [SMALL_STATE(3578)] = 99772,
  [SMALL_STATE(3579)] = 99828,
  [SMALL_STATE(3580)] = 99884,
  [SMALL_STATE(3581)] = 99986,
  [SMALL_STATE(3582)] = 100088,
  [SMALL_STATE(3583)] = 100144,
  [SMALL_STATE(3584)] = 100200,
  [SMALL_STATE(3585)] = 100302,
  [SMALL_STATE(3586)] = 100358,
  [SMALL_STATE(3587)] = 100460,
  [SMALL_STATE(3588)] = 100566,
  [SMALL_STATE(3589)] = 100622,
  [SMALL_STATE(3590)] = 100678,
  [SMALL_STATE(3591)] = 100780,
  [SMALL_STATE(3592)] = 100836,
  [SMALL_STATE(3593)] = 100892,
  [SMALL_STATE(3594)] = 100994,
  [SMALL_STATE(3595)] = 101096,
  [SMALL_STATE(3596)] = 101198,
  [SMALL_STATE(3597)] = 101254,
  [SMALL_STATE(3598)] = 101310,
  [SMALL_STATE(3599)] = 101412,
  [SMALL_STATE(3600)] = 101468,
  [SMALL_STATE(3601)] = 101570,
  [SMALL_STATE(3602)] = 101672,
  [SMALL_STATE(3603)] = 101774,
  [SMALL_STATE(3604)] = 101830,
  [SMALL_STATE(3605)] = 101932,
  [SMALL_STATE(3606)] = 102034,
  [SMALL_STATE(3607)] = 102136,
  [SMALL_STATE(3608)] = 102238,
  [SMALL_STATE(3609)] = 102340,
  [SMALL_STATE(3610)] = 102396,
  [SMALL_STATE(3611)] = 102452,
  [SMALL_STATE(3612)] = 102508,
  [SMALL_STATE(3613)] = 102610,
  [SMALL_STATE(3614)] = 102712,
  [SMALL_STATE(3615)] = 102814,
  [SMALL_STATE(3616)] = 102870,
  [SMALL_STATE(3617)] = 102926,
  [SMALL_STATE(3618)] = 103028,
  [SMALL_STATE(3619)] = 103130,
  [SMALL_STATE(3620)] = 103186,
  [SMALL_STATE(3621)] = 103288,
  [SMALL_STATE(3622)] = 103344,
  [SMALL_STATE(3623)] = 103446,
  [SMALL_STATE(3624)] = 103502,
  [SMALL_STATE(3625)] = 103558,
  [SMALL_STATE(3626)] = 103660,
  [SMALL_STATE(3627)] = 103762,
  [SMALL_STATE(3628)] = 103834,
  [SMALL_STATE(3629)] = 103936,
  [SMALL_STATE(3630)] = 104038,
  [SMALL_STATE(3631)] = 104140,
  [SMALL_STATE(3632)] = 104196,
  [SMALL_STATE(3633)] = 104252,
  [SMALL_STATE(3634)] = 104354,
  [SMALL_STATE(3635)] = 104410,
  [SMALL_STATE(3636)] = 104516,
  [SMALL_STATE(3637)] = 104572,
  [SMALL_STATE(3638)] = 104628,
  [SMALL_STATE(3639)] = 104730,
  [SMALL_STATE(3640)] = 104786,
  [SMALL_STATE(3641)] = 104842,
  [SMALL_STATE(3642)] = 104898,
  [SMALL_STATE(3643)] = 104954,
  [SMALL_STATE(3644)] = 105060,
  [SMALL_STATE(3645)] = 105116,
  [SMALL_STATE(3646)] = 105180,
  [SMALL_STATE(3647)] = 105244,
  [SMALL_STATE(3648)] = 105300,
  [SMALL_STATE(3649)] = 105356,
  [SMALL_STATE(3650)] = 105462,
  [SMALL_STATE(3651)] = 105518,
  [SMALL_STATE(3652)] = 105620,
  [SMALL_STATE(3653)] = 105722,
  [SMALL_STATE(3654)] = 105824,
  [SMALL_STATE(3655)] = 105926,
  [SMALL_STATE(3656)] = 105992,
  [SMALL_STATE(3657)] = 106094,
  [SMALL_STATE(3658)] = 106150,
  [SMALL_STATE(3659)] = 106252,
  [SMALL_STATE(3660)] = 106308,
  [SMALL_STATE(3661)] = 106410,
  [SMALL_STATE(3662)] = 106512,
  [SMALL_STATE(3663)] = 106614,
  [SMALL_STATE(3664)] = 106716,
  [SMALL_STATE(3665)] = 106818,
  [SMALL_STATE(3666)] = 106920,
  [SMALL_STATE(3667)] = 107022,
  [SMALL_STATE(3668)] = 107124,
  [SMALL_STATE(3669)] = 107226,
  [SMALL_STATE(3670)] = 107328,
  [SMALL_STATE(3671)] = 107430,
  [SMALL_STATE(3672)] = 107486,
  [SMALL_STATE(3673)] = 107546,
  [SMALL_STATE(3674)] = 107618,
  [SMALL_STATE(3675)] = 107686,
  [SMALL_STATE(3676)] = 107758,
  [SMALL_STATE(3677)] = 107860,
  [SMALL_STATE(3678)] = 107962,
  [SMALL_STATE(3679)] = 108064,
  [SMALL_STATE(3680)] = 108166,
  [SMALL_STATE(3681)] = 108268,
  [SMALL_STATE(3682)] = 108370,
  [SMALL_STATE(3683)] = 108472,
  [SMALL_STATE(3684)] = 108528,
  [SMALL_STATE(3685)] = 108587,
  [SMALL_STATE(3686)] = 108678,
  [SMALL_STATE(3687)] = 108733,
  [SMALL_STATE(3688)] = 108832,
  [SMALL_STATE(3689)] = 108887,
  [SMALL_STATE(3690)] = 108986,
  [SMALL_STATE(3691)] = 109041,
  [SMALL_STATE(3692)] = 109096,
  [SMALL_STATE(3693)] = 109151,
  [SMALL_STATE(3694)] = 109214,
  [SMALL_STATE(3695)] = 109313,
  [SMALL_STATE(3696)] = 109368,
  [SMALL_STATE(3697)] = 109467,
  [SMALL_STATE(3698)] = 109522,
  [SMALL_STATE(3699)] = 109621,
  [SMALL_STATE(3700)] = 109684,
  [SMALL_STATE(3701)] = 109739,
  [SMALL_STATE(3702)] = 109794,
  [SMALL_STATE(3703)] = 109849,
  [SMALL_STATE(3704)] = 109904,
  [SMALL_STATE(3705)] = 110003,
  [SMALL_STATE(3706)] = 110062,
  [SMALL_STATE(3707)] = 110117,
  [SMALL_STATE(3708)] = 110172,
  [SMALL_STATE(3709)] = 110235,
  [SMALL_STATE(3710)] = 110334,
  [SMALL_STATE(3711)] = 110433,
  [SMALL_STATE(3712)] = 110488,
  [SMALL_STATE(3713)] = 110543,
  [SMALL_STATE(3714)] = 110642,
  [SMALL_STATE(3715)] = 110697,
  [SMALL_STATE(3716)] = 110752,
  [SMALL_STATE(3717)] = 110811,
  [SMALL_STATE(3718)] = 110866,
  [SMALL_STATE(3719)] = 110925,
  [SMALL_STATE(3720)] = 110980,
  [SMALL_STATE(3721)] = 111079,
  [SMALL_STATE(3722)] = 111134,
  [SMALL_STATE(3723)] = 111193,
  [SMALL_STATE(3724)] = 111260,
  [SMALL_STATE(3725)] = 111327,
  [SMALL_STATE(3726)] = 111386,
  [SMALL_STATE(3727)] = 111445,
  [SMALL_STATE(3728)] = 111504,
  [SMALL_STATE(3729)] = 111563,
  [SMALL_STATE(3730)] = 111622,
  [SMALL_STATE(3731)] = 111681,
  [SMALL_STATE(3732)] = 111740,
  [SMALL_STATE(3733)] = 111799,
  [SMALL_STATE(3734)] = 111856,
  [SMALL_STATE(3735)] = 111947,
  [SMALL_STATE(3736)] = 112002,
  [SMALL_STATE(3737)] = 112057,
  [SMALL_STATE(3738)] = 112112,
  [SMALL_STATE(3739)] = 112203,
  [SMALL_STATE(3740)] = 112258,
  [SMALL_STATE(3741)] = 112313,
  [SMALL_STATE(3742)] = 112368,
  [SMALL_STATE(3743)] = 112467,
  [SMALL_STATE(3744)] = 112566,
  [SMALL_STATE(3745)] = 112621,
  [SMALL_STATE(3746)] = 112676,
  [SMALL_STATE(3747)] = 112731,
  [SMALL_STATE(3748)] = 112830,
  [SMALL_STATE(3749)] = 112885,
  [SMALL_STATE(3750)] = 112976,
  [SMALL_STATE(3751)] = 113031,
  [SMALL_STATE(3752)] = 113086,
  [SMALL_STATE(3753)] = 113141,
  [SMALL_STATE(3754)] = 113240,
  [SMALL_STATE(3755)] = 113295,
  [SMALL_STATE(3756)] = 113350,
  [SMALL_STATE(3757)] = 113449,
  [SMALL_STATE(3758)] = 113508,
  [SMALL_STATE(3759)] = 113578,
  [SMALL_STATE(3760)] = 113648,
  [SMALL_STATE(3761)] = 113706,
  [SMALL_STATE(3762)] = 113770,
  [SMALL_STATE(3763)] = 113862,
  [SMALL_STATE(3764)] = 113920,
  [SMALL_STATE(3765)] = 113978,
  [SMALL_STATE(3766)] = 114068,
  [SMALL_STATE(3767)] = 114126,
  [SMALL_STATE(3768)] = 114186,
  [SMALL_STATE(3769)] = 114250,
  [SMALL_STATE(3770)] = 114318,
  [SMALL_STATE(3771)] = 114410,
  [SMALL_STATE(3772)] = 114464,
  [SMALL_STATE(3773)] = 114556,
  [SMALL_STATE(3774)] = 114614,
  [SMALL_STATE(3775)] = 114672,
  [SMALL_STATE(3776)] = 114730,
  [SMALL_STATE(3777)] = 114822,
  [SMALL_STATE(3778)] = 114914,
  [SMALL_STATE(3779)] = 114972,
  [SMALL_STATE(3780)] = 115030,
  [SMALL_STATE(3781)] = 115122,
  [SMALL_STATE(3782)] = 115180,
  [SMALL_STATE(3783)] = 115272,
  [SMALL_STATE(3784)] = 115364,
  [SMALL_STATE(3785)] = 115424,
  [SMALL_STATE(3786)] = 115516,
  [SMALL_STATE(3787)] = 115608,
  [SMALL_STATE(3788)] = 115668,
  [SMALL_STATE(3789)] = 115722,
  [SMALL_STATE(3790)] = 115814,
  [SMALL_STATE(3791)] = 115906,
  [SMALL_STATE(3792)] = 115998,
  [SMALL_STATE(3793)] = 116056,
  [SMALL_STATE(3794)] = 116148,
  [SMALL_STATE(3795)] = 116208,
  [SMALL_STATE(3796)] = 116300,
  [SMALL_STATE(3797)] = 116370,
  [SMALL_STATE(3798)] = 116428,
  [SMALL_STATE(3799)] = 116520,
  [SMALL_STATE(3800)] = 116610,
  [SMALL_STATE(3801)] = 116702,
  [SMALL_STATE(3802)] = 116794,
  [SMALL_STATE(3803)] = 116864,
  [SMALL_STATE(3804)] = 116929,
  [SMALL_STATE(3805)] = 116982,
  [SMALL_STATE(3806)] = 117035,
  [SMALL_STATE(3807)] = 117124,
  [SMALL_STATE(3808)] = 117179,
  [SMALL_STATE(3809)] = 117232,
  [SMALL_STATE(3810)] = 117297,
  [SMALL_STATE(3811)] = 117350,
  [SMALL_STATE(3812)] = 117403,
  [SMALL_STATE(3813)] = 117492,
  [SMALL_STATE(3814)] = 117561,
  [SMALL_STATE(3815)] = 117622,
  [SMALL_STATE(3816)] = 117681,
  [SMALL_STATE(3817)] = 117734,
  [SMALL_STATE(3818)] = 117793,
  [SMALL_STATE(3819)] = 117852,
  [SMALL_STATE(3820)] = 117911,
  [SMALL_STATE(3821)] = 117964,
  [SMALL_STATE(3822)] = 118016,
  [SMALL_STATE(3823)] = 118104,
  [SMALL_STATE(3824)] = 118156,
  [SMALL_STATE(3825)] = 118208,
  [SMALL_STATE(3826)] = 118292,
  [SMALL_STATE(3827)] = 118344,
  [SMALL_STATE(3828)] = 118396,
  [SMALL_STATE(3829)] = 118448,
  [SMALL_STATE(3830)] = 118500,
  [SMALL_STATE(3831)] = 118588,
  [SMALL_STATE(3832)] = 118640,
  [SMALL_STATE(3833)] = 118692,
  [SMALL_STATE(3834)] = 118760,
  [SMALL_STATE(3835)] = 118848,
  [SMALL_STATE(3836)] = 118936,
  [SMALL_STATE(3837)] = 118988,
  [SMALL_STATE(3838)] = 119040,
  [SMALL_STATE(3839)] = 119092,
  [SMALL_STATE(3840)] = 119144,
  [SMALL_STATE(3841)] = 119212,
  [SMALL_STATE(3842)] = 119264,
  [SMALL_STATE(3843)] = 119316,
  [SMALL_STATE(3844)] = 119368,
  [SMALL_STATE(3845)] = 119456,
  [SMALL_STATE(3846)] = 119544,
  [SMALL_STATE(3847)] = 119632,
  [SMALL_STATE(3848)] = 119700,
  [SMALL_STATE(3849)] = 119752,
  [SMALL_STATE(3850)] = 119840,
  [SMALL_STATE(3851)] = 119928,
  [SMALL_STATE(3852)] = 119980,
  [SMALL_STATE(3853)] = 120064,
  [SMALL_STATE(3854)] = 120152,
  [SMALL_STATE(3855)] = 120240,
  [SMALL_STATE(3856)] = 120324,
  [SMALL_STATE(3857)] = 120376,
  [SMALL_STATE(3858)] = 120428,
  [SMALL_STATE(3859)] = 120492,
  [SMALL_STATE(3860)] = 120580,
  [SMALL_STATE(3861)] = 120632,
  [SMALL_STATE(3862)] = 120684,
  [SMALL_STATE(3863)] = 120772,
  [SMALL_STATE(3864)] = 120824,
  [SMALL_STATE(3865)] = 120908,
  [SMALL_STATE(3866)] = 120992,
  [SMALL_STATE(3867)] = 121080,
  [SMALL_STATE(3868)] = 121148,
  [SMALL_STATE(3869)] = 121236,
  [SMALL_STATE(3870)] = 121288,
  [SMALL_STATE(3871)] = 121372,
  [SMALL_STATE(3872)] = 121460,
  [SMALL_STATE(3873)] = 121548,
  [SMALL_STATE(3874)] = 121636,
  [SMALL_STATE(3875)] = 121724,
  [SMALL_STATE(3876)] = 121776,
  [SMALL_STATE(3877)] = 121828,
  [SMALL_STATE(3878)] = 121916,
  [SMALL_STATE(3879)] = 121968,
  [SMALL_STATE(3880)] = 122020,
  [SMALL_STATE(3881)] = 122108,
  [SMALL_STATE(3882)] = 122196,
  [SMALL_STATE(3883)] = 122284,
  [SMALL_STATE(3884)] = 122336,
  [SMALL_STATE(3885)] = 122400,
  [SMALL_STATE(3886)] = 122488,
  [SMALL_STATE(3887)] = 122576,
  [SMALL_STATE(3888)] = 122664,
  [SMALL_STATE(3889)] = 122716,
  [SMALL_STATE(3890)] = 122804,
  [SMALL_STATE(3891)] = 122892,
  [SMALL_STATE(3892)] = 122944,
  [SMALL_STATE(3893)] = 123032,
  [SMALL_STATE(3894)] = 123120,
  [SMALL_STATE(3895)] = 123171,
  [SMALL_STATE(3896)] = 123274,
  [SMALL_STATE(3897)] = 123353,
  [SMALL_STATE(3898)] = 123404,
  [SMALL_STATE(3899)] = 123507,
  [SMALL_STATE(3900)] = 123574,
  [SMALL_STATE(3901)] = 123649,
  [SMALL_STATE(3902)] = 123720,
  [SMALL_STATE(3903)] = 123819,
  [SMALL_STATE(3904)] = 123882,
  [SMALL_STATE(3905)] = 123949,
  [SMALL_STATE(3906)] = 124048,
  [SMALL_STATE(3907)] = 124151,
  [SMALL_STATE(3908)] = 124216,
  [SMALL_STATE(3909)] = 124289,
  [SMALL_STATE(3910)] = 124368,
  [SMALL_STATE(3911)] = 124435,
  [SMALL_STATE(3912)] = 124536,
  [SMALL_STATE(3913)] = 124605,
  [SMALL_STATE(3914)] = 124684,
  [SMALL_STATE(3915)] = 124779,
  [SMALL_STATE(3916)] = 124870,
  [SMALL_STATE(3917)] = 124937,
  [SMALL_STATE(3918)] = 125026,
  [SMALL_STATE(3919)] = 125127,
  [SMALL_STATE(3920)] = 125214,
  [SMALL_STATE(3921)] = 125301,
  [SMALL_STATE(3922)] = 125352,
  [SMALL_STATE(3923)] = 125403,
  [SMALL_STATE(3924)] = 125498,
  [SMALL_STATE(3925)] = 125583,
  [SMALL_STATE(3926)] = 125666,
  [SMALL_STATE(3927)] = 125765,
  [SMALL_STATE(3928)] = 125864,
  [SMALL_STATE(3929)] = 125917,
  [SMALL_STATE(3930)] = 126000,
  [SMALL_STATE(3931)] = 126053,
  [SMALL_STATE(3932)] = 126156,
  [SMALL_STATE(3933)] = 126239,
  [SMALL_STATE(3934)] = 126323,
  [SMALL_STATE(3935)] = 126383,
  [SMALL_STATE(3936)] = 126465,
  [SMALL_STATE(3937)] = 126549,
  [SMALL_STATE(3938)] = 126601,
  [SMALL_STATE(3939)] = 126657,
  [SMALL_STATE(3940)] = 126741,
  [SMALL_STATE(3941)] = 126791,
  [SMALL_STATE(3942)] = 126875,
  [SMALL_STATE(3943)] = 126959,
  [SMALL_STATE(3944)] = 127009,
  [SMALL_STATE(3945)] = 127095,
  [SMALL_STATE(3946)] = 127181,
  [SMALL_STATE(3947)] = 127267,
  [SMALL_STATE(3948)] = 127323,
  [SMALL_STATE(3949)] = 127407,
  [SMALL_STATE(3950)] = 127457,
  [SMALL_STATE(3951)] = 127507,
  [SMALL_STATE(3952)] = 127591,
  [SMALL_STATE(3953)] = 127673,
  [SMALL_STATE(3954)] = 127755,
  [SMALL_STATE(3955)] = 127805,
  [SMALL_STATE(3956)] = 127891,
  [SMALL_STATE(3957)] = 127941,
  [SMALL_STATE(3958)] = 127991,
  [SMALL_STATE(3959)] = 128051,
  [SMALL_STATE(3960)] = 128107,
  [SMALL_STATE(3961)] = 128169,
  [SMALL_STATE(3962)] = 128225,
  [SMALL_STATE(3963)] = 128281,
  [SMALL_STATE(3964)] = 128363,
  [SMALL_STATE(3965)] = 128423,
  [SMALL_STATE(3966)] = 128507,
  [SMALL_STATE(3967)] = 128559,
  [SMALL_STATE(3968)] = 128609,
  [SMALL_STATE(3969)] = 128665,
  [SMALL_STATE(3970)] = 128715,
  [SMALL_STATE(3971)] = 128777,
  [SMALL_STATE(3972)] = 128827,
  [SMALL_STATE(3973)] = 128930,
  [SMALL_STATE(3974)] = 128993,
  [SMALL_STATE(3975)] = 129078,
  [SMALL_STATE(3976)] = 129153,
  [SMALL_STATE(3977)] = 129206,
  [SMALL_STATE(3978)] = 129295,
  [SMALL_STATE(3979)] = 129398,
  [SMALL_STATE(3980)] = 129473,
  [SMALL_STATE(3981)] = 129530,
  [SMALL_STATE(3982)] = 129605,
  [SMALL_STATE(3983)] = 129680,
  [SMALL_STATE(3984)] = 129755,
  [SMALL_STATE(3985)] = 129808,
  [SMALL_STATE(3986)] = 129883,
  [SMALL_STATE(3987)] = 129934,
  [SMALL_STATE(3988)] = 129983,
  [SMALL_STATE(3989)] = 130068,
  [SMALL_STATE(3990)] = 130171,
  [SMALL_STATE(3991)] = 130256,
  [SMALL_STATE(3992)] = 130309,
  [SMALL_STATE(3993)] = 130384,
  [SMALL_STATE(3994)] = 130439,
  [SMALL_STATE(3995)] = 130514,
  [SMALL_STATE(3996)] = 130595,
  [SMALL_STATE(3997)] = 130670,
  [SMALL_STATE(3998)] = 130721,
  [SMALL_STATE(3999)] = 130796,
  [SMALL_STATE(4000)] = 130853,
  [SMALL_STATE(4001)] = 130934,
  [SMALL_STATE(4002)] = 131009,
  [SMALL_STATE(4003)] = 131084,
  [SMALL_STATE(4004)] = 131143,
  [SMALL_STATE(4005)] = 131194,
  [SMALL_STATE(4006)] = 131279,
  [SMALL_STATE(4007)] = 131353,
  [SMALL_STATE(4008)] = 131423,
  [SMALL_STATE(4009)] = 131473,
  [SMALL_STATE(4010)] = 131523,
  [SMALL_STATE(4011)] = 131593,
  [SMALL_STATE(4012)] = 131683,
  [SMALL_STATE(4013)] = 131755,
  [SMALL_STATE(4014)] = 131849,
  [SMALL_STATE(4015)] = 131923,
  [SMALL_STATE(4016)] = 131993,
  [SMALL_STATE(4017)] = 132069,
  [SMALL_STATE(4018)] = 132155,
  [SMALL_STATE(4019)] = 132225,
  [SMALL_STATE(4020)] = 132283,
  [SMALL_STATE(4021)] = 132373,
  [SMALL_STATE(4022)] = 132451,
  [SMALL_STATE(4023)] = 132517,
  [SMALL_STATE(4024)] = 132585,
  [SMALL_STATE(4025)] = 132685,
  [SMALL_STATE(4026)] = 132775,
  [SMALL_STATE(4027)] = 132863,
  [SMALL_STATE(4028)] = 132943,
  [SMALL_STATE(4029)] = 133001,
  [SMALL_STATE(4030)] = 133075,
  [SMALL_STATE(4031)] = 133169,
  [SMALL_STATE(4032)] = 133253,
  [SMALL_STATE(4033)] = 133335,
  [SMALL_STATE(4034)] = 133429,
  [SMALL_STATE(4035)] = 133477,
  [SMALL_STATE(4036)] = 133567,
  [SMALL_STATE(4037)] = 133647,
  [SMALL_STATE(4038)] = 133721,
  [SMALL_STATE(4039)] = 133808,
  [SMALL_STATE(4040)] = 133865,
  [SMALL_STATE(4041)] = 133962,
  [SMALL_STATE(4042)] = 134045,
  [SMALL_STATE(4043)] = 134142,
  [SMALL_STATE(4044)] = 134239,
  [SMALL_STATE(4045)] = 134336,
  [SMALL_STATE(4046)] = 134383,
  [SMALL_STATE(4047)] = 134480,
  [SMALL_STATE(4048)] = 134577,
  [SMALL_STATE(4049)] = 134674,
  [SMALL_STATE(4050)] = 134769,
  [SMALL_STATE(4051)] = 134828,
  [SMALL_STATE(4052)] = 134887,
  [SMALL_STATE(4053)] = 134984,
  [SMALL_STATE(4054)] = 135035,
  [SMALL_STATE(4055)] = 135088,
  [SMALL_STATE(4056)] = 135139,
  [SMALL_STATE(4057)] = 135236,
  [SMALL_STATE(4058)] = 135333,
  [SMALL_STATE(4059)] = 135430,
  [SMALL_STATE(4060)] = 135527,
  [SMALL_STATE(4061)] = 135578,
  [SMALL_STATE(4062)] = 135635,
  [SMALL_STATE(4063)] = 135732,
  [SMALL_STATE(4064)] = 135821,
  [SMALL_STATE(4065)] = 135918,
  [SMALL_STATE(4066)] = 136015,
  [SMALL_STATE(4067)] = 136062,
  [SMALL_STATE(4068)] = 136159,
  [SMALL_STATE(4069)] = 136256,
  [SMALL_STATE(4070)] = 136343,
  [SMALL_STATE(4071)] = 136396,
  [SMALL_STATE(4072)] = 136449,
  [SMALL_STATE(4073)] = 136546,
  [SMALL_STATE(4074)] = 136593,
  [SMALL_STATE(4075)] = 136640,
  [SMALL_STATE(4076)] = 136737,
  [SMALL_STATE(4077)] = 136834,
  [SMALL_STATE(4078)] = 136927,
  [SMALL_STATE(4079)] = 136974,
  [SMALL_STATE(4080)] = 137071,
  [SMALL_STATE(4081)] = 137168,
  [SMALL_STATE(4082)] = 137241,
  [SMALL_STATE(4083)] = 137338,
  [SMALL_STATE(4084)] = 137435,
  [SMALL_STATE(4085)] = 137532,
  [SMALL_STATE(4086)] = 137627,
  [SMALL_STATE(4087)] = 137692,
  [SMALL_STATE(4088)] = 137745,
  [SMALL_STATE(4089)] = 137798,
  [SMALL_STATE(4090)] = 137883,
  [SMALL_STATE(4091)] = 137956,
  [SMALL_STATE(4092)] = 138007,
  [SMALL_STATE(4093)] = 138096,
  [SMALL_STATE(4094)] = 138179,
  [SMALL_STATE(4095)] = 138230,
  [SMALL_STATE(4096)] = 138311,
  [SMALL_STATE(4097)] = 138390,
  [SMALL_STATE(4098)] = 138467,
  [SMALL_STATE(4099)] = 138564,
  [SMALL_STATE(4100)] = 138637,
  [SMALL_STATE(4101)] = 138712,
  [SMALL_STATE(4102)] = 138809,
  [SMALL_STATE(4103)] = 138882,
  [SMALL_STATE(4104)] = 138955,
  [SMALL_STATE(4105)] = 139052,
  [SMALL_STATE(4106)] = 139125,
  [SMALL_STATE(4107)] = 139222,
  [SMALL_STATE(4108)] = 139293,
  [SMALL_STATE(4109)] = 139360,
  [SMALL_STATE(4110)] = 139457,
  [SMALL_STATE(4111)] = 139554,
  [SMALL_STATE(4112)] = 139601,
  [SMALL_STATE(4113)] = 139698,
  [SMALL_STATE(4114)] = 139791,
  [SMALL_STATE(4115)] = 139870,
  [SMALL_STATE(4116)] = 139939,
  [SMALL_STATE(4117)] = 140036,
  [SMALL_STATE(4118)] = 140093,
  [SMALL_STATE(4119)] = 140190,
  [SMALL_STATE(4120)] = 140237,
  [SMALL_STATE(4121)] = 140334,
  [SMALL_STATE(4122)] = 140431,
  [SMALL_STATE(4123)] = 140528,
  [SMALL_STATE(4124)] = 140625,
  [SMALL_STATE(4125)] = 140722,
  [SMALL_STATE(4126)] = 140777,
  [SMALL_STATE(4127)] = 140824,
  [SMALL_STATE(4128)] = 140921,
  [SMALL_STATE(4129)] = 141008,
  [SMALL_STATE(4130)] = 141061,
  [SMALL_STATE(4131)] = 141114,
  [SMALL_STATE(4132)] = 141161,
  [SMALL_STATE(4133)] = 141208,
  [SMALL_STATE(4134)] = 141255,
  [SMALL_STATE(4135)] = 141306,
  [SMALL_STATE(4136)] = 141403,
  [SMALL_STATE(4137)] = 141452,
  [SMALL_STATE(4138)] = 141549,
  [SMALL_STATE(4139)] = 141600,
  [SMALL_STATE(4140)] = 141697,
  [SMALL_STATE(4141)] = 141794,
  [SMALL_STATE(4142)] = 141845,
  [SMALL_STATE(4143)] = 141942,
  [SMALL_STATE(4144)] = 141989,
  [SMALL_STATE(4145)] = 142036,
  [SMALL_STATE(4146)] = 142129,
  [SMALL_STATE(4147)] = 142212,
  [SMALL_STATE(4148)] = 142259,
  [SMALL_STATE(4149)] = 142356,
  [SMALL_STATE(4150)] = 142445,
  [SMALL_STATE(4151)] = 142496,
  [SMALL_STATE(4152)] = 142543,
  [SMALL_STATE(4153)] = 142640,
  [SMALL_STATE(4154)] = 142729,
  [SMALL_STATE(4155)] = 142802,
  [SMALL_STATE(4156)] = 142899,
  [SMALL_STATE(4157)] = 142946,
  [SMALL_STATE(4158)] = 143043,
  [SMALL_STATE(4159)] = 143136,
  [SMALL_STATE(4160)] = 143233,
  [SMALL_STATE(4161)] = 143306,
  [SMALL_STATE(4162)] = 143403,
  [SMALL_STATE(4163)] = 143450,
  [SMALL_STATE(4164)] = 143543,
  [SMALL_STATE(4165)] = 143640,
  [SMALL_STATE(4166)] = 143691,
  [SMALL_STATE(4167)] = 143779,
  [SMALL_STATE(4168)] = 143847,
  [SMALL_STATE(4169)] = 143941,
  [SMALL_STATE(4170)] = 143993,
  [SMALL_STATE(4171)] = 144087,
  [SMALL_STATE(4172)] = 144181,
  [SMALL_STATE(4173)] = 144269,
  [SMALL_STATE(4174)] = 144357,
  [SMALL_STATE(4175)] = 144449,
  [SMALL_STATE(4176)] = 144513,
  [SMALL_STATE(4177)] = 144599,
  [SMALL_STATE(4178)] = 144683,
  [SMALL_STATE(4179)] = 144765,
  [SMALL_STATE(4180)] = 144845,
  [SMALL_STATE(4181)] = 144921,
  [SMALL_STATE(4182)] = 144995,
  [SMALL_STATE(4183)] = 145065,
  [SMALL_STATE(4184)] = 145131,
  [SMALL_STATE(4185)] = 145199,
  [SMALL_STATE(4186)] = 145293,
  [SMALL_STATE(4187)] = 145381,
  [SMALL_STATE(4188)] = 145473,
  [SMALL_STATE(4189)] = 145561,
  [SMALL_STATE(4190)] = 145653,
  [SMALL_STATE(4191)] = 145699,
  [SMALL_STATE(4192)] = 145793,
  [SMALL_STATE(4193)] = 145887,
  [SMALL_STATE(4194)] = 145979,
  [SMALL_STATE(4195)] = 146071,
  [SMALL_STATE(4196)] = 146159,
  [SMALL_STATE(4197)] = 146253,
  [SMALL_STATE(4198)] = 146345,
  [SMALL_STATE(4199)] = 146439,
  [SMALL_STATE(4200)] = 146511,
  [SMALL_STATE(4201)] = 146571,
  [SMALL_STATE(4202)] = 146665,
  [SMALL_STATE(4203)] = 146725,
  [SMALL_STATE(4204)] = 146819,
  [SMALL_STATE(4205)] = 146911,
  [SMALL_STATE(4206)] = 147003,
  [SMALL_STATE(4207)] = 147067,
  [SMALL_STATE(4208)] = 147143,
  [SMALL_STATE(4209)] = 147231,
  [SMALL_STATE(4210)] = 147279,
  [SMALL_STATE(4211)] = 147373,
  [SMALL_STATE(4212)] = 147467,
  [SMALL_STATE(4213)] = 147527,
  [SMALL_STATE(4214)] = 147577,
  [SMALL_STATE(4215)] = 147651,
  [SMALL_STATE(4216)] = 147721,
  [SMALL_STATE(4217)] = 147815,
  [SMALL_STATE(4218)] = 147901,
  [SMALL_STATE(4219)] = 147993,
  [SMALL_STATE(4220)] = 148077,
  [SMALL_STATE(4221)] = 148149,
  [SMALL_STATE(4222)] = 148207,
  [SMALL_STATE(4223)] = 148279,
  [SMALL_STATE(4224)] = 148339,
  [SMALL_STATE(4225)] = 148431,
  [SMALL_STATE(4226)] = 148491,
  [SMALL_STATE(4227)] = 148583,
  [SMALL_STATE(4228)] = 148641,
  [SMALL_STATE(4229)] = 148735,
  [SMALL_STATE(4230)] = 148829,
  [SMALL_STATE(4231)] = 148921,
  [SMALL_STATE(4232)] = 149003,
  [SMALL_STATE(4233)] = 149067,
  [SMALL_STATE(4234)] = 149147,
  [SMALL_STATE(4235)] = 149235,
  [SMALL_STATE(4236)] = 149291,
  [SMALL_STATE(4237)] = 149367,
  [SMALL_STATE(4238)] = 149425,
  [SMALL_STATE(4239)] = 149519,
  [SMALL_STATE(4240)] = 149597,
  [SMALL_STATE(4241)] = 149689,
  [SMALL_STATE(4242)] = 149777,
  [SMALL_STATE(4243)] = 149869,
  [SMALL_STATE(4244)] = 149963,
  [SMALL_STATE(4245)] = 150057,
  [SMALL_STATE(4246)] = 150149,
  [SMALL_STATE(4247)] = 150243,
  [SMALL_STATE(4248)] = 150329,
  [SMALL_STATE(4249)] = 150421,
  [SMALL_STATE(4250)] = 150513,
  [SMALL_STATE(4251)] = 150607,
  [SMALL_STATE(4252)] = 150699,
  [SMALL_STATE(4253)] = 150773,
  [SMALL_STATE(4254)] = 150867,
  [SMALL_STATE(4255)] = 150959,
  [SMALL_STATE(4256)] = 151053,
  [SMALL_STATE(4257)] = 151147,
  [SMALL_STATE(4258)] = 151239,
  [SMALL_STATE(4259)] = 151311,
  [SMALL_STATE(4260)] = 151405,
  [SMALL_STATE(4261)] = 151465,
  [SMALL_STATE(4262)] = 151557,
  [SMALL_STATE(4263)] = 151617,
  [SMALL_STATE(4264)] = 151683,
  [SMALL_STATE(4265)] = 151741,
  [SMALL_STATE(4266)] = 151835,
  [SMALL_STATE(4267)] = 151901,
  [SMALL_STATE(4268)] = 151951,
  [SMALL_STATE(4269)] = 152021,
  [SMALL_STATE(4270)] = 152115,
  [SMALL_STATE(4271)] = 152163,
  [SMALL_STATE(4272)] = 152257,
  [SMALL_STATE(4273)] = 152349,
  [SMALL_STATE(4274)] = 152433,
  [SMALL_STATE(4275)] = 152527,
  [SMALL_STATE(4276)] = 152607,
  [SMALL_STATE(4277)] = 152663,
  [SMALL_STATE(4278)] = 152757,
  [SMALL_STATE(4279)] = 152851,
  [SMALL_STATE(4280)] = 152945,
  [SMALL_STATE(4281)] = 153039,
  [SMALL_STATE(4282)] = 153087,
  [SMALL_STATE(4283)] = 153181,
  [SMALL_STATE(4284)] = 153253,
  [SMALL_STATE(4285)] = 153347,
  [SMALL_STATE(4286)] = 153441,
  [SMALL_STATE(4287)] = 153535,
  [SMALL_STATE(4288)] = 153621,
  [SMALL_STATE(4289)] = 153715,
  [SMALL_STATE(4290)] = 153807,
  [SMALL_STATE(4291)] = 153899,
  [SMALL_STATE(4292)] = 153993,
  [SMALL_STATE(4293)] = 154085,
  [SMALL_STATE(4294)] = 154145,
  [SMALL_STATE(4295)] = 154239,
  [SMALL_STATE(4296)] = 154333,
  [SMALL_STATE(4297)] = 154427,
  [SMALL_STATE(4298)] = 154509,
  [SMALL_STATE(4299)] = 154597,
  [SMALL_STATE(4300)] = 154691,
  [SMALL_STATE(4301)] = 154779,
  [SMALL_STATE(4302)] = 154873,
  [SMALL_STATE(4303)] = 154965,
  [SMALL_STATE(4304)] = 155027,
  [SMALL_STATE(4305)] = 155115,
  [SMALL_STATE(4306)] = 155193,
  [SMALL_STATE(4307)] = 155284,
  [SMALL_STATE(4308)] = 155345,
  [SMALL_STATE(4309)] = 155390,
  [SMALL_STATE(4310)] = 155437,
  [SMALL_STATE(4311)] = 155484,
  [SMALL_STATE(4312)] = 155531,
  [SMALL_STATE(4313)] = 155576,
  [SMALL_STATE(4314)] = 155629,
  [SMALL_STATE(4315)] = 155678,
  [SMALL_STATE(4316)] = 155727,
  [SMALL_STATE(4317)] = 155776,
  [SMALL_STATE(4318)] = 155825,
  [SMALL_STATE(4319)] = 155874,
  [SMALL_STATE(4320)] = 155923,
  [SMALL_STATE(4321)] = 155972,
  [SMALL_STATE(4322)] = 156017,
  [SMALL_STATE(4323)] = 156062,
  [SMALL_STATE(4324)] = 156107,
  [SMALL_STATE(4325)] = 156152,
  [SMALL_STATE(4326)] = 156197,
  [SMALL_STATE(4327)] = 156242,
  [SMALL_STATE(4328)] = 156287,
  [SMALL_STATE(4329)] = 156378,
  [SMALL_STATE(4330)] = 156423,
  [SMALL_STATE(4331)] = 156514,
  [SMALL_STATE(4332)] = 156605,
  [SMALL_STATE(4333)] = 156696,
  [SMALL_STATE(4334)] = 156787,
  [SMALL_STATE(4335)] = 156878,
  [SMALL_STATE(4336)] = 156969,
  [SMALL_STATE(4337)] = 157060,
  [SMALL_STATE(4338)] = 157151,
  [SMALL_STATE(4339)] = 157242,
  [SMALL_STATE(4340)] = 157287,
  [SMALL_STATE(4341)] = 157378,
  [SMALL_STATE(4342)] = 157469,
  [SMALL_STATE(4343)] = 157560,
  [SMALL_STATE(4344)] = 157651,
  [SMALL_STATE(4345)] = 157742,
  [SMALL_STATE(4346)] = 157787,
  [SMALL_STATE(4347)] = 157878,
  [SMALL_STATE(4348)] = 157969,
  [SMALL_STATE(4349)] = 158060,
  [SMALL_STATE(4350)] = 158151,
  [SMALL_STATE(4351)] = 158242,
  [SMALL_STATE(4352)] = 158333,
  [SMALL_STATE(4353)] = 158388,
  [SMALL_STATE(4354)] = 158479,
  [SMALL_STATE(4355)] = 158570,
  [SMALL_STATE(4356)] = 158651,
  [SMALL_STATE(4357)] = 158742,
  [SMALL_STATE(4358)] = 158833,
  [SMALL_STATE(4359)] = 158910,
  [SMALL_STATE(4360)] = 159001,
  [SMALL_STATE(4361)] = 159092,
  [SMALL_STATE(4362)] = 159183,
  [SMALL_STATE(4363)] = 159274,
  [SMALL_STATE(4364)] = 159365,
  [SMALL_STATE(4365)] = 159456,
  [SMALL_STATE(4366)] = 159547,
  [SMALL_STATE(4367)] = 159618,
  [SMALL_STATE(4368)] = 159709,
  [SMALL_STATE(4369)] = 159800,
  [SMALL_STATE(4370)] = 159891,
  [SMALL_STATE(4371)] = 159982,
  [SMALL_STATE(4372)] = 160053,
  [SMALL_STATE(4373)] = 160124,
  [SMALL_STATE(4374)] = 160215,
  [SMALL_STATE(4375)] = 160306,
  [SMALL_STATE(4376)] = 160377,
  [SMALL_STATE(4377)] = 160468,
  [SMALL_STATE(4378)] = 160559,
  [SMALL_STATE(4379)] = 160650,
  [SMALL_STATE(4380)] = 160741,
  [SMALL_STATE(4381)] = 160832,
  [SMALL_STATE(4382)] = 160923,
  [SMALL_STATE(4383)] = 161014,
  [SMALL_STATE(4384)] = 161105,
  [SMALL_STATE(4385)] = 161196,
  [SMALL_STATE(4386)] = 161287,
  [SMALL_STATE(4387)] = 161378,
  [SMALL_STATE(4388)] = 161469,
  [SMALL_STATE(4389)] = 161560,
  [SMALL_STATE(4390)] = 161651,
  [SMALL_STATE(4391)] = 161742,
  [SMALL_STATE(4392)] = 161833,
  [SMALL_STATE(4393)] = 161924,
  [SMALL_STATE(4394)] = 162015,
  [SMALL_STATE(4395)] = 162060,
  [SMALL_STATE(4396)] = 162105,
  [SMALL_STATE(4397)] = 162196,
  [SMALL_STATE(4398)] = 162287,
  [SMALL_STATE(4399)] = 162378,
  [SMALL_STATE(4400)] = 162469,
  [SMALL_STATE(4401)] = 162560,
  [SMALL_STATE(4402)] = 162651,
  [SMALL_STATE(4403)] = 162742,
  [SMALL_STATE(4404)] = 162833,
  [SMALL_STATE(4405)] = 162924,
  [SMALL_STATE(4406)] = 163015,
  [SMALL_STATE(4407)] = 163106,
  [SMALL_STATE(4408)] = 163197,
  [SMALL_STATE(4409)] = 163288,
  [SMALL_STATE(4410)] = 163379,
  [SMALL_STATE(4411)] = 163470,
  [SMALL_STATE(4412)] = 163561,
  [SMALL_STATE(4413)] = 163652,
  [SMALL_STATE(4414)] = 163743,
  [SMALL_STATE(4415)] = 163834,
  [SMALL_STATE(4416)] = 163925,
  [SMALL_STATE(4417)] = 164002,
  [SMALL_STATE(4418)] = 164093,
  [SMALL_STATE(4419)] = 164184,
  [SMALL_STATE(4420)] = 164275,
  [SMALL_STATE(4421)] = 164366,
  [SMALL_STATE(4422)] = 164457,
  [SMALL_STATE(4423)] = 164548,
  [SMALL_STATE(4424)] = 164593,
  [SMALL_STATE(4425)] = 164684,
  [SMALL_STATE(4426)] = 164775,
  [SMALL_STATE(4427)] = 164856,
  [SMALL_STATE(4428)] = 164901,
  [SMALL_STATE(4429)] = 164956,
  [SMALL_STATE(4430)] = 165047,
  [SMALL_STATE(4431)] = 165128,
  [SMALL_STATE(4432)] = 165219,
  [SMALL_STATE(4433)] = 165310,
  [SMALL_STATE(4434)] = 165391,
  [SMALL_STATE(4435)] = 165482,
  [SMALL_STATE(4436)] = 165573,
  [SMALL_STATE(4437)] = 165654,
  [SMALL_STATE(4438)] = 165735,
  [SMALL_STATE(4439)] = 165816,
  [SMALL_STATE(4440)] = 165907,
  [SMALL_STATE(4441)] = 165964,
  [SMALL_STATE(4442)] = 166055,
  [SMALL_STATE(4443)] = 166112,
  [SMALL_STATE(4444)] = 166159,
  [SMALL_STATE(4445)] = 166206,
  [SMALL_STATE(4446)] = 166261,
  [SMALL_STATE(4447)] = 166352,
  [SMALL_STATE(4448)] = 166397,
  [SMALL_STATE(4449)] = 166452,
  [SMALL_STATE(4450)] = 166543,
  [SMALL_STATE(4451)] = 166634,
  [SMALL_STATE(4452)] = 166725,
  [SMALL_STATE(4453)] = 166816,
  [SMALL_STATE(4454)] = 166907,
  [SMALL_STATE(4455)] = 166998,
  [SMALL_STATE(4456)] = 167089,
  [SMALL_STATE(4457)] = 167180,
  [SMALL_STATE(4458)] = 167263,
  [SMALL_STATE(4459)] = 167311,
  [SMALL_STATE(4460)] = 167361,
  [SMALL_STATE(4461)] = 167405,
  [SMALL_STATE(4462)] = 167453,
  [SMALL_STATE(4463)] = 167529,
  [SMALL_STATE(4464)] = 167573,
  [SMALL_STATE(4465)] = 167617,
  [SMALL_STATE(4466)] = 167705,
  [SMALL_STATE(4467)] = 167787,
  [SMALL_STATE(4468)] = 167831,
  [SMALL_STATE(4469)] = 167877,
  [SMALL_STATE(4470)] = 167929,
  [SMALL_STATE(4471)] = 168005,
  [SMALL_STATE(4472)] = 168061,
  [SMALL_STATE(4473)] = 168133,
  [SMALL_STATE(4474)] = 168205,
  [SMALL_STATE(4475)] = 168249,
  [SMALL_STATE(4476)] = 168293,
  [SMALL_STATE(4477)] = 168349,
  [SMALL_STATE(4478)] = 168431,
  [SMALL_STATE(4479)] = 168479,
  [SMALL_STATE(4480)] = 168551,
  [SMALL_STATE(4481)] = 168603,
  [SMALL_STATE(4482)] = 168647,
  [SMALL_STATE(4483)] = 168723,
  [SMALL_STATE(4484)] = 168767,
  [SMALL_STATE(4485)] = 168811,
  [SMALL_STATE(4486)] = 168863,
  [SMALL_STATE(4487)] = 168935,
  [SMALL_STATE(4488)] = 168979,
  [SMALL_STATE(4489)] = 169023,
  [SMALL_STATE(4490)] = 169073,
  [SMALL_STATE(4491)] = 169145,
  [SMALL_STATE(4492)] = 169217,
  [SMALL_STATE(4493)] = 169295,
  [SMALL_STATE(4494)] = 169339,
  [SMALL_STATE(4495)] = 169417,
  [SMALL_STATE(4496)] = 169495,
  [SMALL_STATE(4497)] = 169545,
  [SMALL_STATE(4498)] = 169589,
  [SMALL_STATE(4499)] = 169661,
  [SMALL_STATE(4500)] = 169733,
  [SMALL_STATE(4501)] = 169805,
  [SMALL_STATE(4502)] = 169877,
  [SMALL_STATE(4503)] = 169949,
  [SMALL_STATE(4504)] = 169993,
  [SMALL_STATE(4505)] = 170063,
  [SMALL_STATE(4506)] = 170133,
  [SMALL_STATE(4507)] = 170203,
  [SMALL_STATE(4508)] = 170273,
  [SMALL_STATE(4509)] = 170345,
  [SMALL_STATE(4510)] = 170389,
  [SMALL_STATE(4511)] = 170467,
  [SMALL_STATE(4512)] = 170511,
  [SMALL_STATE(4513)] = 170583,
  [SMALL_STATE(4514)] = 170655,
  [SMALL_STATE(4515)] = 170727,
  [SMALL_STATE(4516)] = 170777,
  [SMALL_STATE(4517)] = 170849,
  [SMALL_STATE(4518)] = 170925,
  [SMALL_STATE(4519)] = 170969,
  [SMALL_STATE(4520)] = 171047,
  [SMALL_STATE(4521)] = 171119,
  [SMALL_STATE(4522)] = 171163,
  [SMALL_STATE(4523)] = 171241,
  [SMALL_STATE(4524)] = 171313,
  [SMALL_STATE(4525)] = 171357,
  [SMALL_STATE(4526)] = 171401,
  [SMALL_STATE(4527)] = 171479,
  [SMALL_STATE(4528)] = 171523,
  [SMALL_STATE(4529)] = 171601,
  [SMALL_STATE(4530)] = 171645,
  [SMALL_STATE(4531)] = 171689,
  [SMALL_STATE(4532)] = 171761,
  [SMALL_STATE(4533)] = 171805,
  [SMALL_STATE(4534)] = 171849,
  [SMALL_STATE(4535)] = 171893,
  [SMALL_STATE(4536)] = 171953,
  [SMALL_STATE(4537)] = 172025,
  [SMALL_STATE(4538)] = 172069,
  [SMALL_STATE(4539)] = 172117,
  [SMALL_STATE(4540)] = 172161,
  [SMALL_STATE(4541)] = 172205,
  [SMALL_STATE(4542)] = 172249,
  [SMALL_STATE(4543)] = 172293,
  [SMALL_STATE(4544)] = 172337,
  [SMALL_STATE(4545)] = 172381,
  [SMALL_STATE(4546)] = 172425,
  [SMALL_STATE(4547)] = 172469,
  [SMALL_STATE(4548)] = 172513,
  [SMALL_STATE(4549)] = 172557,
  [SMALL_STATE(4550)] = 172601,
  [SMALL_STATE(4551)] = 172645,
  [SMALL_STATE(4552)] = 172717,
  [SMALL_STATE(4553)] = 172764,
  [SMALL_STATE(4554)] = 172845,
  [SMALL_STATE(4555)] = 172892,
  [SMALL_STATE(4556)] = 172935,
  [SMALL_STATE(4557)] = 172984,
  [SMALL_STATE(4558)] = 173031,
  [SMALL_STATE(4559)] = 173100,
  [SMALL_STATE(4560)] = 173169,
  [SMALL_STATE(4561)] = 173238,
  [SMALL_STATE(4562)] = 173307,
  [SMALL_STATE(4563)] = 173354,
  [SMALL_STATE(4564)] = 173401,
  [SMALL_STATE(4565)] = 173448,
  [SMALL_STATE(4566)] = 173497,
  [SMALL_STATE(4567)] = 173546,
  [SMALL_STATE(4568)] = 173593,
  [SMALL_STATE(4569)] = 173674,
  [SMALL_STATE(4570)] = 173721,
  [SMALL_STATE(4571)] = 173768,
  [SMALL_STATE(4572)] = 173815,
  [SMALL_STATE(4573)] = 173860,
  [SMALL_STATE(4574)] = 173907,
  [SMALL_STATE(4575)] = 173954,
  [SMALL_STATE(4576)] = 174007,
  [SMALL_STATE(4577)] = 174050,
  [SMALL_STATE(4578)] = 174118,
  [SMALL_STATE(4579)] = 174160,
  [SMALL_STATE(4580)] = 174240,
  [SMALL_STATE(4581)] = 174282,
  [SMALL_STATE(4582)] = 174324,
  [SMALL_STATE(4583)] = 174366,
  [SMALL_STATE(4584)] = 174408,
  [SMALL_STATE(4585)] = 174488,
  [SMALL_STATE(4586)] = 174530,
  [SMALL_STATE(4587)] = 174572,
  [SMALL_STATE(4588)] = 174640,
  [SMALL_STATE(4589)] = 174690,
  [SMALL_STATE(4590)] = 174732,
  [SMALL_STATE(4591)] = 174774,
  [SMALL_STATE(4592)] = 174842,
  [SMALL_STATE(4593)] = 174910,
  [SMALL_STATE(4594)] = 174952,
  [SMALL_STATE(4595)] = 175032,
  [SMALL_STATE(4596)] = 175106,
  [SMALL_STATE(4597)] = 175150,
  [SMALL_STATE(4598)] = 175192,
  [SMALL_STATE(4599)] = 175234,
  [SMALL_STATE(4600)] = 175314,
  [SMALL_STATE(4601)] = 175382,
  [SMALL_STATE(4602)] = 175424,
  [SMALL_STATE(4603)] = 175466,
  [SMALL_STATE(4604)] = 175508,
  [SMALL_STATE(4605)] = 175550,
  [SMALL_STATE(4606)] = 175618,
  [SMALL_STATE(4607)] = 175660,
  [SMALL_STATE(4608)] = 175702,
  [SMALL_STATE(4609)] = 175744,
  [SMALL_STATE(4610)] = 175812,
  [SMALL_STATE(4611)] = 175854,
  [SMALL_STATE(4612)] = 175896,
  [SMALL_STATE(4613)] = 175938,
  [SMALL_STATE(4614)] = 175980,
  [SMALL_STATE(4615)] = 176048,
  [SMALL_STATE(4616)] = 176090,
  [SMALL_STATE(4617)] = 176132,
  [SMALL_STATE(4618)] = 176174,
  [SMALL_STATE(4619)] = 176224,
  [SMALL_STATE(4620)] = 176292,
  [SMALL_STATE(4621)] = 176334,
  [SMALL_STATE(4622)] = 176402,
  [SMALL_STATE(4623)] = 176482,
  [SMALL_STATE(4624)] = 176562,
  [SMALL_STATE(4625)] = 176630,
  [SMALL_STATE(4626)] = 176672,
  [SMALL_STATE(4627)] = 176714,
  [SMALL_STATE(4628)] = 176756,
  [SMALL_STATE(4629)] = 176798,
  [SMALL_STATE(4630)] = 176850,
  [SMALL_STATE(4631)] = 176892,
  [SMALL_STATE(4632)] = 176934,
  [SMALL_STATE(4633)] = 177014,
  [SMALL_STATE(4634)] = 177088,
  [SMALL_STATE(4635)] = 177130,
  [SMALL_STATE(4636)] = 177210,
  [SMALL_STATE(4637)] = 177252,
  [SMALL_STATE(4638)] = 177294,
  [SMALL_STATE(4639)] = 177336,
  [SMALL_STATE(4640)] = 177426,
  [SMALL_STATE(4641)] = 177510,
  [SMALL_STATE(4642)] = 177578,
  [SMALL_STATE(4643)] = 177631,
  [SMALL_STATE(4644)] = 177704,
  [SMALL_STATE(4645)] = 177771,
  [SMALL_STATE(4646)] = 177844,
  [SMALL_STATE(4647)] = 177893,
  [SMALL_STATE(4648)] = 177972,
  [SMALL_STATE(4649)] = 178017,
  [SMALL_STATE(4650)] = 178070,
  [SMALL_STATE(4651)] = 178123,
  [SMALL_STATE(4652)] = 178176,
  [SMALL_STATE(4653)] = 178243,
  [SMALL_STATE(4654)] = 178288,
  [SMALL_STATE(4655)] = 178333,
  [SMALL_STATE(4656)] = 178382,
  [SMALL_STATE(4657)] = 178427,
  [SMALL_STATE(4658)] = 178472,
  [SMALL_STATE(4659)] = 178545,
  [SMALL_STATE(4660)] = 178612,
  [SMALL_STATE(4661)] = 178679,
  [SMALL_STATE(4662)] = 178752,
  [SMALL_STATE(4663)] = 178803,
  [SMALL_STATE(4664)] = 178870,
  [SMALL_STATE(4665)] = 178915,
  [SMALL_STATE(4666)] = 178968,
  [SMALL_STATE(4667)] = 179035,
  [SMALL_STATE(4668)] = 179080,
  [SMALL_STATE(4669)] = 179147,
  [SMALL_STATE(4670)] = 179192,
  [SMALL_STATE(4671)] = 179271,
  [SMALL_STATE(4672)] = 179324,
  [SMALL_STATE(4673)] = 179369,
  [SMALL_STATE(4674)] = 179414,
  [SMALL_STATE(4675)] = 179459,
  [SMALL_STATE(4676)] = 179526,
  [SMALL_STATE(4677)] = 179571,
  [SMALL_STATE(4678)] = 179650,
  [SMALL_STATE(4679)] = 179729,
  [SMALL_STATE(4680)] = 179809,
  [SMALL_STATE(4681)] = 179889,
  [SMALL_STATE(4682)] = 179969,
  [SMALL_STATE(4683)] = 180041,
  [SMALL_STATE(4684)] = 180081,
  [SMALL_STATE(4685)] = 180161,
  [SMALL_STATE(4686)] = 180201,
  [SMALL_STATE(4687)] = 180281,
  [SMALL_STATE(4688)] = 180321,
  [SMALL_STATE(4689)] = 180361,
  [SMALL_STATE(4690)] = 180433,
  [SMALL_STATE(4691)] = 180513,
  [SMALL_STATE(4692)] = 180591,
  [SMALL_STATE(4693)] = 180671,
  [SMALL_STATE(4694)] = 180749,
  [SMALL_STATE(4695)] = 180829,
  [SMALL_STATE(4696)] = 180875,
  [SMALL_STATE(4697)] = 180915,
  [SMALL_STATE(4698)] = 180995,
  [SMALL_STATE(4699)] = 181075,
  [SMALL_STATE(4700)] = 181155,
  [SMALL_STATE(4701)] = 181235,
  [SMALL_STATE(4702)] = 181307,
  [SMALL_STATE(4703)] = 181387,
  [SMALL_STATE(4704)] = 181467,
  [SMALL_STATE(4705)] = 181509,
  [SMALL_STATE(4706)] = 181581,
  [SMALL_STATE(4707)] = 181621,
  [SMALL_STATE(4708)] = 181701,
  [SMALL_STATE(4709)] = 181781,
  [SMALL_STATE(4710)] = 181833,
  [SMALL_STATE(4711)] = 181913,
  [SMALL_STATE(4712)] = 181953,
  [SMALL_STATE(4713)] = 182033,
  [SMALL_STATE(4714)] = 182072,
  [SMALL_STATE(4715)] = 182143,
  [SMALL_STATE(4716)] = 182214,
  [SMALL_STATE(4717)] = 182279,
  [SMALL_STATE(4718)] = 182350,
  [SMALL_STATE(4719)] = 182421,
  [SMALL_STATE(4720)] = 182460,
  [SMALL_STATE(4721)] = 182499,
  [SMALL_STATE(4722)] = 182538,
  [SMALL_STATE(4723)] = 182609,
  [SMALL_STATE(4724)] = 182680,
  [SMALL_STATE(4725)] = 182729,
  [SMALL_STATE(4726)] = 182768,
  [SMALL_STATE(4727)] = 182807,
  [SMALL_STATE(4728)] = 182846,
  [SMALL_STATE(4729)] = 182899,
  [SMALL_STATE(4730)] = 182970,
  [SMALL_STATE(4731)] = 183009,
  [SMALL_STATE(4732)] = 183048,
  [SMALL_STATE(4733)] = 183099,
  [SMALL_STATE(4734)] = 183150,
  [SMALL_STATE(4735)] = 183221,
  [SMALL_STATE(4736)] = 183260,
  [SMALL_STATE(4737)] = 183299,
  [SMALL_STATE(4738)] = 183338,
  [SMALL_STATE(4739)] = 183409,
  [SMALL_STATE(4740)] = 183448,
  [SMALL_STATE(4741)] = 183495,
  [SMALL_STATE(4742)] = 183534,
  [SMALL_STATE(4743)] = 183605,
  [SMALL_STATE(4744)] = 183652,
  [SMALL_STATE(4745)] = 183691,
  [SMALL_STATE(4746)] = 183740,
  [SMALL_STATE(4747)] = 183779,
  [SMALL_STATE(4748)] = 183850,
  [SMALL_STATE(4749)] = 183889,
  [SMALL_STATE(4750)] = 183960,
  [SMALL_STATE(4751)] = 183999,
  [SMALL_STATE(4752)] = 184038,
  [SMALL_STATE(4753)] = 184091,
  [SMALL_STATE(4754)] = 184130,
  [SMALL_STATE(4755)] = 184201,
  [SMALL_STATE(4756)] = 184272,
  [SMALL_STATE(4757)] = 184311,
  [SMALL_STATE(4758)] = 184350,
  [SMALL_STATE(4759)] = 184389,
  [SMALL_STATE(4760)] = 184428,
  [SMALL_STATE(4761)] = 184467,
  [SMALL_STATE(4762)] = 184506,
  [SMALL_STATE(4763)] = 184577,
  [SMALL_STATE(4764)] = 184642,
  [SMALL_STATE(4765)] = 184713,
  [SMALL_STATE(4766)] = 184752,
  [SMALL_STATE(4767)] = 184817,
  [SMALL_STATE(4768)] = 184882,
  [SMALL_STATE(4769)] = 184921,
  [SMALL_STATE(4770)] = 184960,
  [SMALL_STATE(4771)] = 184999,
  [SMALL_STATE(4772)] = 185038,
  [SMALL_STATE(4773)] = 185077,
  [SMALL_STATE(4774)] = 185116,
  [SMALL_STATE(4775)] = 185186,
  [SMALL_STATE(4776)] = 185260,
  [SMALL_STATE(4777)] = 185334,
  [SMALL_STATE(4778)] = 185414,
  [SMALL_STATE(4779)] = 185494,
  [SMALL_STATE(4780)] = 185574,
  [SMALL_STATE(4781)] = 185616,
  [SMALL_STATE(4782)] = 185658,
  [SMALL_STATE(4783)] = 185700,
  [SMALL_STATE(4784)] = 185776,
  [SMALL_STATE(4785)] = 185856,
  [SMALL_STATE(4786)] = 185930,
  [SMALL_STATE(4787)] = 186004,
  [SMALL_STATE(4788)] = 186078,
  [SMALL_STATE(4789)] = 186148,
  [SMALL_STATE(4790)] = 186228,
  [SMALL_STATE(4791)] = 186308,
  [SMALL_STATE(4792)] = 186388,
  [SMALL_STATE(4793)] = 186462,
  [SMALL_STATE(4794)] = 186536,
  [SMALL_STATE(4795)] = 186610,
  [SMALL_STATE(4796)] = 186684,
  [SMALL_STATE(4797)] = 186754,
  [SMALL_STATE(4798)] = 186830,
  [SMALL_STATE(4799)] = 186910,
  [SMALL_STATE(4800)] = 186990,
  [SMALL_STATE(4801)] = 187070,
  [SMALL_STATE(4802)] = 187150,
  [SMALL_STATE(4803)] = 187230,
  [SMALL_STATE(4804)] = 187310,
  [SMALL_STATE(4805)] = 187380,
  [SMALL_STATE(4806)] = 187454,
  [SMALL_STATE(4807)] = 187528,
  [SMALL_STATE(4808)] = 187602,
  [SMALL_STATE(4809)] = 187672,
  [SMALL_STATE(4810)] = 187752,
  [SMALL_STATE(4811)] = 187832,
  [SMALL_STATE(4812)] = 187912,
  [SMALL_STATE(4813)] = 187992,
  [SMALL_STATE(4814)] = 188072,
  [SMALL_STATE(4815)] = 188142,
  [SMALL_STATE(4816)] = 188222,
  [SMALL_STATE(4817)] = 188296,
  [SMALL_STATE(4818)] = 188370,
  [SMALL_STATE(4819)] = 188444,
  [SMALL_STATE(4820)] = 188514,
  [SMALL_STATE(4821)] = 188594,
  [SMALL_STATE(4822)] = 188674,
  [SMALL_STATE(4823)] = 188754,
  [SMALL_STATE(4824)] = 188834,
  [SMALL_STATE(4825)] = 188914,
  [SMALL_STATE(4826)] = 188994,
  [SMALL_STATE(4827)] = 189074,
  [SMALL_STATE(4828)] = 189154,
  [SMALL_STATE(4829)] = 189234,
  [SMALL_STATE(4830)] = 189314,
  [SMALL_STATE(4831)] = 189394,
  [SMALL_STATE(4832)] = 189474,
  [SMALL_STATE(4833)] = 189554,
  [SMALL_STATE(4834)] = 189634,
  [SMALL_STATE(4835)] = 189714,
  [SMALL_STATE(4836)] = 189794,
  [SMALL_STATE(4837)] = 189874,
  [SMALL_STATE(4838)] = 189954,
  [SMALL_STATE(4839)] = 190034,
  [SMALL_STATE(4840)] = 190108,
  [SMALL_STATE(4841)] = 190188,
  [SMALL_STATE(4842)] = 190268,
  [SMALL_STATE(4843)] = 190348,
  [SMALL_STATE(4844)] = 190428,
  [SMALL_STATE(4845)] = 190508,
  [SMALL_STATE(4846)] = 190588,
  [SMALL_STATE(4847)] = 190630,
  [SMALL_STATE(4848)] = 190672,
  [SMALL_STATE(4849)] = 190746,
  [SMALL_STATE(4850)] = 190826,
  [SMALL_STATE(4851)] = 190906,
  [SMALL_STATE(4852)] = 190986,
  [SMALL_STATE(4853)] = 191060,
  [SMALL_STATE(4854)] = 191140,
  [SMALL_STATE(4855)] = 191220,
  [SMALL_STATE(4856)] = 191300,
  [SMALL_STATE(4857)] = 191374,
  [SMALL_STATE(4858)] = 191444,
  [SMALL_STATE(4859)] = 191518,
  [SMALL_STATE(4860)] = 191592,
  [SMALL_STATE(4861)] = 191632,
  [SMALL_STATE(4862)] = 191706,
  [SMALL_STATE(4863)] = 191780,
  [SMALL_STATE(4864)] = 191856,
  [SMALL_STATE(4865)] = 191936,
  [SMALL_STATE(4866)] = 192016,
  [SMALL_STATE(4867)] = 192086,
  [SMALL_STATE(4868)] = 192156,
  [SMALL_STATE(4869)] = 192226,
  [SMALL_STATE(4870)] = 192300,
  [SMALL_STATE(4871)] = 192370,
  [SMALL_STATE(4872)] = 192444,
  [SMALL_STATE(4873)] = 192520,
  [SMALL_STATE(4874)] = 192566,
  [SMALL_STATE(4875)] = 192640,
  [SMALL_STATE(4876)] = 192714,
  [SMALL_STATE(4877)] = 192788,
  [SMALL_STATE(4878)] = 192868,
  [SMALL_STATE(4879)] = 192948,
  [SMALL_STATE(4880)] = 193028,
  [SMALL_STATE(4881)] = 193108,
  [SMALL_STATE(4882)] = 193182,
  [SMALL_STATE(4883)] = 193262,
  [SMALL_STATE(4884)] = 193342,
  [SMALL_STATE(4885)] = 193422,
  [SMALL_STATE(4886)] = 193502,
  [SMALL_STATE(4887)] = 193582,
  [SMALL_STATE(4888)] = 193662,
  [SMALL_STATE(4889)] = 193704,
  [SMALL_STATE(4890)] = 193774,
  [SMALL_STATE(4891)] = 193854,
  [SMALL_STATE(4892)] = 193934,
  [SMALL_STATE(4893)] = 194014,
  [SMALL_STATE(4894)] = 194094,
  [SMALL_STATE(4895)] = 194174,
  [SMALL_STATE(4896)] = 194254,
  [SMALL_STATE(4897)] = 194328,
  [SMALL_STATE(4898)] = 194408,
  [SMALL_STATE(4899)] = 194488,
  [SMALL_STATE(4900)] = 194568,
  [SMALL_STATE(4901)] = 194642,
  [SMALL_STATE(4902)] = 194716,
  [SMALL_STATE(4903)] = 194786,
  [SMALL_STATE(4904)] = 194860,
  [SMALL_STATE(4905)] = 194902,
  [SMALL_STATE(4906)] = 194976,
  [SMALL_STATE(4907)] = 195050,
  [SMALL_STATE(4908)] = 195100,
  [SMALL_STATE(4909)] = 195174,
  [SMALL_STATE(4910)] = 195244,
  [SMALL_STATE(4911)] = 195318,
  [SMALL_STATE(4912)] = 195392,
  [SMALL_STATE(4913)] = 195472,
  [SMALL_STATE(4914)] = 195552,
  [SMALL_STATE(4915)] = 195632,
  [SMALL_STATE(4916)] = 195702,
  [SMALL_STATE(4917)] = 195776,
  [SMALL_STATE(4918)] = 195826,
  [SMALL_STATE(4919)] = 195906,
  [SMALL_STATE(4920)] = 195947,
  [SMALL_STATE(4921)] = 196014,
  [SMALL_STATE(4922)] = 196081,
  [SMALL_STATE(4923)] = 196150,
  [SMALL_STATE(4924)] = 196219,
  [SMALL_STATE(4925)] = 196286,
  [SMALL_STATE(4926)] = 196353,
  [SMALL_STATE(4927)] = 196430,
  [SMALL_STATE(4928)] = 196507,
  [SMALL_STATE(4929)] = 196584,
  [SMALL_STATE(4930)] = 196651,
  [SMALL_STATE(4931)] = 196718,
  [SMALL_STATE(4932)] = 196785,
  [SMALL_STATE(4933)] = 196862,
  [SMALL_STATE(4934)] = 196929,
  [SMALL_STATE(4935)] = 196996,
  [SMALL_STATE(4936)] = 197063,
  [SMALL_STATE(4937)] = 197130,
  [SMALL_STATE(4938)] = 197199,
  [SMALL_STATE(4939)] = 197266,
  [SMALL_STATE(4940)] = 197335,
  [SMALL_STATE(4941)] = 197412,
  [SMALL_STATE(4942)] = 197489,
  [SMALL_STATE(4943)] = 197556,
  [SMALL_STATE(4944)] = 197597,
  [SMALL_STATE(4945)] = 197638,
  [SMALL_STATE(4946)] = 197715,
  [SMALL_STATE(4947)] = 197792,
  [SMALL_STATE(4948)] = 197869,
  [SMALL_STATE(4949)] = 197910,
  [SMALL_STATE(4950)] = 197951,
  [SMALL_STATE(4951)] = 198028,
  [SMALL_STATE(4952)] = 198095,
  [SMALL_STATE(4953)] = 198136,
  [SMALL_STATE(4954)] = 198213,
  [SMALL_STATE(4955)] = 198254,
  [SMALL_STATE(4956)] = 198295,
  [SMALL_STATE(4957)] = 198336,
  [SMALL_STATE(4958)] = 198403,
  [SMALL_STATE(4959)] = 198444,
  [SMALL_STATE(4960)] = 198485,
  [SMALL_STATE(4961)] = 198552,
  [SMALL_STATE(4962)] = 198619,
  [SMALL_STATE(4963)] = 198686,
  [SMALL_STATE(4964)] = 198753,
  [SMALL_STATE(4965)] = 198820,
  [SMALL_STATE(4966)] = 198897,
  [SMALL_STATE(4967)] = 198964,
  [SMALL_STATE(4968)] = 199041,
  [SMALL_STATE(4969)] = 199108,
  [SMALL_STATE(4970)] = 199185,
  [SMALL_STATE(4971)] = 199262,
  [SMALL_STATE(4972)] = 199339,
  [SMALL_STATE(4973)] = 199406,
  [SMALL_STATE(4974)] = 199473,
  [SMALL_STATE(4975)] = 199540,
  [SMALL_STATE(4976)] = 199607,
  [SMALL_STATE(4977)] = 199684,
  [SMALL_STATE(4978)] = 199751,
  [SMALL_STATE(4979)] = 199828,
  [SMALL_STATE(4980)] = 199869,
  [SMALL_STATE(4981)] = 199913,
  [SMALL_STATE(4982)] = 199975,
  [SMALL_STATE(4983)] = 200037,
  [SMALL_STATE(4984)] = 200099,
  [SMALL_STATE(4985)] = 200161,
  [SMALL_STATE(4986)] = 200197,
  [SMALL_STATE(4987)] = 200233,
  [SMALL_STATE(4988)] = 200277,
  [SMALL_STATE(4989)] = 200317,
  [SMALL_STATE(4990)] = 200357,
  [SMALL_STATE(4991)] = 200419,
  [SMALL_STATE(4992)] = 200481,
  [SMALL_STATE(4993)] = 200548,
  [SMALL_STATE(4994)] = 200615,
  [SMALL_STATE(4995)] = 200682,
  [SMALL_STATE(4996)] = 200743,
  [SMALL_STATE(4997)] = 200804,
  [SMALL_STATE(4998)] = 200871,
  [SMALL_STATE(4999)] = 200938,
  [SMALL_STATE(5000)] = 201005,
  [SMALL_STATE(5001)] = 201072,
  [SMALL_STATE(5002)] = 201139,
  [SMALL_STATE(5003)] = 201200,
  [SMALL_STATE(5004)] = 201239,
  [SMALL_STATE(5005)] = 201300,
  [SMALL_STATE(5006)] = 201361,
  [SMALL_STATE(5007)] = 201422,
  [SMALL_STATE(5008)] = 201466,
  [SMALL_STATE(5009)] = 201526,
  [SMALL_STATE(5010)] = 201586,
  [SMALL_STATE(5011)] = 201646,
  [SMALL_STATE(5012)] = 201706,
  [SMALL_STATE(5013)] = 201766,
  [SMALL_STATE(5014)] = 201826,
  [SMALL_STATE(5015)] = 201886,
  [SMALL_STATE(5016)] = 201944,
  [SMALL_STATE(5017)] = 202004,
  [SMALL_STATE(5018)] = 202064,
  [SMALL_STATE(5019)] = 202124,
  [SMALL_STATE(5020)] = 202184,
  [SMALL_STATE(5021)] = 202242,
  [SMALL_STATE(5022)] = 202300,
  [SMALL_STATE(5023)] = 202360,
  [SMALL_STATE(5024)] = 202420,
  [SMALL_STATE(5025)] = 202480,
  [SMALL_STATE(5026)] = 202540,
  [SMALL_STATE(5027)] = 202600,
  [SMALL_STATE(5028)] = 202660,
  [SMALL_STATE(5029)] = 202720,
  [SMALL_STATE(5030)] = 202756,
  [SMALL_STATE(5031)] = 202816,
  [SMALL_STATE(5032)] = 202874,
  [SMALL_STATE(5033)] = 202934,
  [SMALL_STATE(5034)] = 202994,
  [SMALL_STATE(5035)] = 203054,
  [SMALL_STATE(5036)] = 203114,
  [SMALL_STATE(5037)] = 203174,
  [SMALL_STATE(5038)] = 203233,
  [SMALL_STATE(5039)] = 203292,
  [SMALL_STATE(5040)] = 203351,
  [SMALL_STATE(5041)] = 203410,
  [SMALL_STATE(5042)] = 203469,
  [SMALL_STATE(5043)] = 203530,
  [SMALL_STATE(5044)] = 203591,
  [SMALL_STATE(5045)] = 203652,
  [SMALL_STATE(5046)] = 203711,
  [SMALL_STATE(5047)] = 203772,
  [SMALL_STATE(5048)] = 203831,
  [SMALL_STATE(5049)] = 203892,
  [SMALL_STATE(5050)] = 203951,
  [SMALL_STATE(5051)] = 204010,
  [SMALL_STATE(5052)] = 204069,
  [SMALL_STATE(5053)] = 204128,
  [SMALL_STATE(5054)] = 204189,
  [SMALL_STATE(5055)] = 204250,
  [SMALL_STATE(5056)] = 204309,
  [SMALL_STATE(5057)] = 204357,
  [SMALL_STATE(5058)] = 204415,
  [SMALL_STATE(5059)] = 204469,
  [SMALL_STATE(5060)] = 204527,
  [SMALL_STATE(5061)] = 204585,
  [SMALL_STATE(5062)] = 204643,
  [SMALL_STATE(5063)] = 204691,
  [SMALL_STATE(5064)] = 204749,
  [SMALL_STATE(5065)] = 204797,
  [SMALL_STATE(5066)] = 204855,
  [SMALL_STATE(5067)] = 204902,
  [SMALL_STATE(5068)] = 204933,
  [SMALL_STATE(5069)] = 205004,
  [SMALL_STATE(5070)] = 205035,
  [SMALL_STATE(5071)] = 205106,
  [SMALL_STATE(5072)] = 205177,
  [SMALL_STATE(5073)] = 205229,
  [SMALL_STATE(5074)] = 205285,
  [SMALL_STATE(5075)] = 205337,
  [SMALL_STATE(5076)] = 205389,
  [SMALL_STATE(5077)] = 205441,
  [SMALL_STATE(5078)] = 205493,
  [SMALL_STATE(5079)] = 205549,
  [SMALL_STATE(5080)] = 205601,
  [SMALL_STATE(5081)] = 205657,
  [SMALL_STATE(5082)] = 205713,
  [SMALL_STATE(5083)] = 205765,
  [SMALL_STATE(5084)] = 205817,
  [SMALL_STATE(5085)] = 205855,
  [SMALL_STATE(5086)] = 205911,
  [SMALL_STATE(5087)] = 205967,
  [SMALL_STATE(5088)] = 206005,
  [SMALL_STATE(5089)] = 206057,
  [SMALL_STATE(5090)] = 206109,
  [SMALL_STATE(5091)] = 206161,
  [SMALL_STATE(5092)] = 206213,
  [SMALL_STATE(5093)] = 206265,
  [SMALL_STATE(5094)] = 206317,
  [SMALL_STATE(5095)] = 206363,
  [SMALL_STATE(5096)] = 206415,
  [SMALL_STATE(5097)] = 206467,
  [SMALL_STATE(5098)] = 206513,
  [SMALL_STATE(5099)] = 206565,
  [SMALL_STATE(5100)] = 206617,
  [SMALL_STATE(5101)] = 206669,
  [SMALL_STATE(5102)] = 206721,
  [SMALL_STATE(5103)] = 206773,
  [SMALL_STATE(5104)] = 206825,
  [SMALL_STATE(5105)] = 206877,
  [SMALL_STATE(5106)] = 206929,
  [SMALL_STATE(5107)] = 206981,
  [SMALL_STATE(5108)] = 207015,
  [SMALL_STATE(5109)] = 207067,
  [SMALL_STATE(5110)] = 207137,
  [SMALL_STATE(5111)] = 207189,
  [SMALL_STATE(5112)] = 207241,
  [SMALL_STATE(5113)] = 207293,
  [SMALL_STATE(5114)] = 207345,
  [SMALL_STATE(5115)] = 207397,
  [SMALL_STATE(5116)] = 207453,
  [SMALL_STATE(5117)] = 207505,
  [SMALL_STATE(5118)] = 207561,
  [SMALL_STATE(5119)] = 207613,
  [SMALL_STATE(5120)] = 207665,
  [SMALL_STATE(5121)] = 207717,
  [SMALL_STATE(5122)] = 207769,
  [SMALL_STATE(5123)] = 207821,
  [SMALL_STATE(5124)] = 207873,
  [SMALL_STATE(5125)] = 207929,
  [SMALL_STATE(5126)] = 207981,
  [SMALL_STATE(5127)] = 208033,
  [SMALL_STATE(5128)] = 208089,
  [SMALL_STATE(5129)] = 208145,
  [SMALL_STATE(5130)] = 208215,
  [SMALL_STATE(5131)] = 208267,
  [SMALL_STATE(5132)] = 208323,
  [SMALL_STATE(5133)] = 208393,
  [SMALL_STATE(5134)] = 208452,
  [SMALL_STATE(5135)] = 208511,
  [SMALL_STATE(5136)] = 208570,
  [SMALL_STATE(5137)] = 208629,
  [SMALL_STATE(5138)] = 208688,
  [SMALL_STATE(5139)] = 208747,
  [SMALL_STATE(5140)] = 208780,
  [SMALL_STATE(5141)] = 208839,
  [SMALL_STATE(5142)] = 208898,
  [SMALL_STATE(5143)] = 208957,
  [SMALL_STATE(5144)] = 209016,
  [SMALL_STATE(5145)] = 209075,
  [SMALL_STATE(5146)] = 209134,
  [SMALL_STATE(5147)] = 209193,
  [SMALL_STATE(5148)] = 209252,
  [SMALL_STATE(5149)] = 209311,
  [SMALL_STATE(5150)] = 209370,
  [SMALL_STATE(5151)] = 209429,
  [SMALL_STATE(5152)] = 209488,
  [SMALL_STATE(5153)] = 209547,
  [SMALL_STATE(5154)] = 209606,
  [SMALL_STATE(5155)] = 209665,
  [SMALL_STATE(5156)] = 209724,
  [SMALL_STATE(5157)] = 209783,
  [SMALL_STATE(5158)] = 209842,
  [SMALL_STATE(5159)] = 209885,
  [SMALL_STATE(5160)] = 209944,
  [SMALL_STATE(5161)] = 210003,
  [SMALL_STATE(5162)] = 210062,
  [SMALL_STATE(5163)] = 210121,
  [SMALL_STATE(5164)] = 210180,
  [SMALL_STATE(5165)] = 210239,
  [SMALL_STATE(5166)] = 210298,
  [SMALL_STATE(5167)] = 210357,
  [SMALL_STATE(5168)] = 210416,
  [SMALL_STATE(5169)] = 210475,
  [SMALL_STATE(5170)] = 210534,
  [SMALL_STATE(5171)] = 210593,
  [SMALL_STATE(5172)] = 210652,
  [SMALL_STATE(5173)] = 210711,
  [SMALL_STATE(5174)] = 210770,
  [SMALL_STATE(5175)] = 210833,
  [SMALL_STATE(5176)] = 210892,
  [SMALL_STATE(5177)] = 210951,
  [SMALL_STATE(5178)] = 211010,
  [SMALL_STATE(5179)] = 211069,
  [SMALL_STATE(5180)] = 211112,
  [SMALL_STATE(5181)] = 211171,
  [SMALL_STATE(5182)] = 211230,
  [SMALL_STATE(5183)] = 211289,
  [SMALL_STATE(5184)] = 211348,
  [SMALL_STATE(5185)] = 211407,
  [SMALL_STATE(5186)] = 211466,
  [SMALL_STATE(5187)] = 211511,
  [SMALL_STATE(5188)] = 211570,
  [SMALL_STATE(5189)] = 211629,
  [SMALL_STATE(5190)] = 211688,
  [SMALL_STATE(5191)] = 211747,
  [SMALL_STATE(5192)] = 211806,
  [SMALL_STATE(5193)] = 211865,
  [SMALL_STATE(5194)] = 211924,
  [SMALL_STATE(5195)] = 211983,
  [SMALL_STATE(5196)] = 212038,
  [SMALL_STATE(5197)] = 212093,
  [SMALL_STATE(5198)] = 212152,
  [SMALL_STATE(5199)] = 212211,
  [SMALL_STATE(5200)] = 212270,
  [SMALL_STATE(5201)] = 212329,
  [SMALL_STATE(5202)] = 212388,
  [SMALL_STATE(5203)] = 212447,
  [SMALL_STATE(5204)] = 212506,
  [SMALL_STATE(5205)] = 212565,
  [SMALL_STATE(5206)] = 212624,
  [SMALL_STATE(5207)] = 212683,
  [SMALL_STATE(5208)] = 212742,
  [SMALL_STATE(5209)] = 212801,
  [SMALL_STATE(5210)] = 212860,
  [SMALL_STATE(5211)] = 212919,
  [SMALL_STATE(5212)] = 212978,
  [SMALL_STATE(5213)] = 213037,
  [SMALL_STATE(5214)] = 213096,
  [SMALL_STATE(5215)] = 213155,
  [SMALL_STATE(5216)] = 213198,
  [SMALL_STATE(5217)] = 213257,
  [SMALL_STATE(5218)] = 213316,
  [SMALL_STATE(5219)] = 213375,
  [SMALL_STATE(5220)] = 213434,
  [SMALL_STATE(5221)] = 213493,
  [SMALL_STATE(5222)] = 213552,
  [SMALL_STATE(5223)] = 213611,
  [SMALL_STATE(5224)] = 213666,
  [SMALL_STATE(5225)] = 213725,
  [SMALL_STATE(5226)] = 213784,
  [SMALL_STATE(5227)] = 213843,
  [SMALL_STATE(5228)] = 213902,
  [SMALL_STATE(5229)] = 213931,
  [SMALL_STATE(5230)] = 213990,
  [SMALL_STATE(5231)] = 214049,
  [SMALL_STATE(5232)] = 214108,
  [SMALL_STATE(5233)] = 214167,
  [SMALL_STATE(5234)] = 214207,
  [SMALL_STATE(5235)] = 214271,
  [SMALL_STATE(5236)] = 214323,
  [SMALL_STATE(5237)] = 214363,
  [SMALL_STATE(5238)] = 214391,
  [SMALL_STATE(5239)] = 214449,
  [SMALL_STATE(5240)] = 214477,
  [SMALL_STATE(5241)] = 214517,
  [SMALL_STATE(5242)] = 214567,
  [SMALL_STATE(5243)] = 214607,
  [SMALL_STATE(5244)] = 214647,
  [SMALL_STATE(5245)] = 214687,
  [SMALL_STATE(5246)] = 214727,
  [SMALL_STATE(5247)] = 214791,
  [SMALL_STATE(5248)] = 214819,
  [SMALL_STATE(5249)] = 214859,
  [SMALL_STATE(5250)] = 214917,
  [SMALL_STATE(5251)] = 214953,
  [SMALL_STATE(5252)] = 214993,
  [SMALL_STATE(5253)] = 215029,
  [SMALL_STATE(5254)] = 215069,
  [SMALL_STATE(5255)] = 215133,
  [SMALL_STATE(5256)] = 215183,
  [SMALL_STATE(5257)] = 215241,
  [SMALL_STATE(5258)] = 215269,
  [SMALL_STATE(5259)] = 215321,
  [SMALL_STATE(5260)] = 215385,
  [SMALL_STATE(5261)] = 215449,
  [SMALL_STATE(5262)] = 215489,
  [SMALL_STATE(5263)] = 215547,
  [SMALL_STATE(5264)] = 215587,
  [SMALL_STATE(5265)] = 215627,
  [SMALL_STATE(5266)] = 215667,
  [SMALL_STATE(5267)] = 215731,
  [SMALL_STATE(5268)] = 215759,
  [SMALL_STATE(5269)] = 215799,
  [SMALL_STATE(5270)] = 215839,
  [SMALL_STATE(5271)] = 215903,
  [SMALL_STATE(5272)] = 215961,
  [SMALL_STATE(5273)] = 216025,
  [SMALL_STATE(5274)] = 216089,
  [SMALL_STATE(5275)] = 216153,
  [SMALL_STATE(5276)] = 216217,
  [SMALL_STATE(5277)] = 216281,
  [SMALL_STATE(5278)] = 216321,
  [SMALL_STATE(5279)] = 216361,
  [SMALL_STATE(5280)] = 216425,
  [SMALL_STATE(5281)] = 216453,
  [SMALL_STATE(5282)] = 216493,
  [SMALL_STATE(5283)] = 216543,
  [SMALL_STATE(5284)] = 216593,
  [SMALL_STATE(5285)] = 216657,
  [SMALL_STATE(5286)] = 216691,
  [SMALL_STATE(5287)] = 216735,
  [SMALL_STATE(5288)] = 216775,
  [SMALL_STATE(5289)] = 216825,
  [SMALL_STATE(5290)] = 216865,
  [SMALL_STATE(5291)] = 216893,
  [SMALL_STATE(5292)] = 216943,
  [SMALL_STATE(5293)] = 216995,
  [SMALL_STATE(5294)] = 217045,
  [SMALL_STATE(5295)] = 217085,
  [SMALL_STATE(5296)] = 217125,
  [SMALL_STATE(5297)] = 217175,
  [SMALL_STATE(5298)] = 217225,
  [SMALL_STATE(5299)] = 217275,
  [SMALL_STATE(5300)] = 217325,
  [SMALL_STATE(5301)] = 217353,
  [SMALL_STATE(5302)] = 217403,
  [SMALL_STATE(5303)] = 217453,
  [SMALL_STATE(5304)] = 217503,
  [SMALL_STATE(5305)] = 217553,
  [SMALL_STATE(5306)] = 217603,
  [SMALL_STATE(5307)] = 217653,
  [SMALL_STATE(5308)] = 217693,
  [SMALL_STATE(5309)] = 217743,
  [SMALL_STATE(5310)] = 217793,
  [SMALL_STATE(5311)] = 217833,
  [SMALL_STATE(5312)] = 217873,
  [SMALL_STATE(5313)] = 217913,
  [SMALL_STATE(5314)] = 217953,
  [SMALL_STATE(5315)] = 217993,
  [SMALL_STATE(5316)] = 218033,
  [SMALL_STATE(5317)] = 218073,
  [SMALL_STATE(5318)] = 218113,
  [SMALL_STATE(5319)] = 218153,
  [SMALL_STATE(5320)] = 218211,
  [SMALL_STATE(5321)] = 218239,
  [SMALL_STATE(5322)] = 218279,
  [SMALL_STATE(5323)] = 218319,
  [SMALL_STATE(5324)] = 218351,
  [SMALL_STATE(5325)] = 218379,
  [SMALL_STATE(5326)] = 218419,
  [SMALL_STATE(5327)] = 218459,
  [SMALL_STATE(5328)] = 218499,
  [SMALL_STATE(5329)] = 218539,
  [SMALL_STATE(5330)] = 218587,
  [SMALL_STATE(5331)] = 218633,
  [SMALL_STATE(5332)] = 218679,
  [SMALL_STATE(5333)] = 218723,
  [SMALL_STATE(5334)] = 218765,
  [SMALL_STATE(5335)] = 218805,
  [SMALL_STATE(5336)] = 218841,
  [SMALL_STATE(5337)] = 218899,
  [SMALL_STATE(5338)] = 218926,
  [SMALL_STATE(5339)] = 218961,
  [SMALL_STATE(5340)] = 218996,
  [SMALL_STATE(5341)] = 219043,
  [SMALL_STATE(5342)] = 219088,
  [SMALL_STATE(5343)] = 219133,
  [SMALL_STATE(5344)] = 219168,
  [SMALL_STATE(5345)] = 219199,
  [SMALL_STATE(5346)] = 219226,
  [SMALL_STATE(5347)] = 219271,
  [SMALL_STATE(5348)] = 219306,
  [SMALL_STATE(5349)] = 219341,
  [SMALL_STATE(5350)] = 219368,
  [SMALL_STATE(5351)] = 219395,
  [SMALL_STATE(5352)] = 219430,
  [SMALL_STATE(5353)] = 219475,
  [SMALL_STATE(5354)] = 219520,
  [SMALL_STATE(5355)] = 219567,
  [SMALL_STATE(5356)] = 219594,
  [SMALL_STATE(5357)] = 219623,
  [SMALL_STATE(5358)] = 219680,
  [SMALL_STATE(5359)] = 219725,
  [SMALL_STATE(5360)] = 219782,
  [SMALL_STATE(5361)] = 219813,
  [SMALL_STATE(5362)] = 219848,
  [SMALL_STATE(5363)] = 219879,
  [SMALL_STATE(5364)] = 219926,
  [SMALL_STATE(5365)] = 219965,
  [SMALL_STATE(5366)] = 220012,
  [SMALL_STATE(5367)] = 220057,
  [SMALL_STATE(5368)] = 220114,
  [SMALL_STATE(5369)] = 220141,
  [SMALL_STATE(5370)] = 220180,
  [SMALL_STATE(5371)] = 220215,
  [SMALL_STATE(5372)] = 220250,
  [SMALL_STATE(5373)] = 220289,
  [SMALL_STATE(5374)] = 220328,
  [SMALL_STATE(5375)] = 220367,
  [SMALL_STATE(5376)] = 220406,
  [SMALL_STATE(5377)] = 220445,
  [SMALL_STATE(5378)] = 220484,
  [SMALL_STATE(5379)] = 220531,
  [SMALL_STATE(5380)] = 220570,
  [SMALL_STATE(5381)] = 220609,
  [SMALL_STATE(5382)] = 220648,
  [SMALL_STATE(5383)] = 220687,
  [SMALL_STATE(5384)] = 220726,
  [SMALL_STATE(5385)] = 220765,
  [SMALL_STATE(5386)] = 220804,
  [SMALL_STATE(5387)] = 220843,
  [SMALL_STATE(5388)] = 220870,
  [SMALL_STATE(5389)] = 220899,
  [SMALL_STATE(5390)] = 220946,
  [SMALL_STATE(5391)] = 220981,
  [SMALL_STATE(5392)] = 221038,
  [SMALL_STATE(5393)] = 221083,
  [SMALL_STATE(5394)] = 221130,
  [SMALL_STATE(5395)] = 221175,
  [SMALL_STATE(5396)] = 221206,
  [SMALL_STATE(5397)] = 221249,
  [SMALL_STATE(5398)] = 221276,
  [SMALL_STATE(5399)] = 221321,
  [SMALL_STATE(5400)] = 221378,
  [SMALL_STATE(5401)] = 221423,
  [SMALL_STATE(5402)] = 221470,
  [SMALL_STATE(5403)] = 221497,
  [SMALL_STATE(5404)] = 221526,
  [SMALL_STATE(5405)] = 221553,
  [SMALL_STATE(5406)] = 221592,
  [SMALL_STATE(5407)] = 221627,
  [SMALL_STATE(5408)] = 221674,
  [SMALL_STATE(5409)] = 221719,
  [SMALL_STATE(5410)] = 221768,
  [SMALL_STATE(5411)] = 221807,
  [SMALL_STATE(5412)] = 221842,
  [SMALL_STATE(5413)] = 221881,
  [SMALL_STATE(5414)] = 221916,
  [SMALL_STATE(5415)] = 221951,
  [SMALL_STATE(5416)] = 221990,
  [SMALL_STATE(5417)] = 222025,
  [SMALL_STATE(5418)] = 222064,
  [SMALL_STATE(5419)] = 222103,
  [SMALL_STATE(5420)] = 222142,
  [SMALL_STATE(5421)] = 222181,
  [SMALL_STATE(5422)] = 222228,
  [SMALL_STATE(5423)] = 222273,
  [SMALL_STATE(5424)] = 222320,
  [SMALL_STATE(5425)] = 222347,
  [SMALL_STATE(5426)] = 222374,
  [SMALL_STATE(5427)] = 222409,
  [SMALL_STATE(5428)] = 222436,
  [SMALL_STATE(5429)] = 222471,
  [SMALL_STATE(5430)] = 222498,
  [SMALL_STATE(5431)] = 222525,
  [SMALL_STATE(5432)] = 222572,
  [SMALL_STATE(5433)] = 222607,
  [SMALL_STATE(5434)] = 222664,
  [SMALL_STATE(5435)] = 222691,
  [SMALL_STATE(5436)] = 222718,
  [SMALL_STATE(5437)] = 222745,
  [SMALL_STATE(5438)] = 222772,
  [SMALL_STATE(5439)] = 222799,
  [SMALL_STATE(5440)] = 222834,
  [SMALL_STATE(5441)] = 222861,
  [SMALL_STATE(5442)] = 222888,
  [SMALL_STATE(5443)] = 222915,
  [SMALL_STATE(5444)] = 222942,
  [SMALL_STATE(5445)] = 222969,
  [SMALL_STATE(5446)] = 222996,
  [SMALL_STATE(5447)] = 223023,
  [SMALL_STATE(5448)] = 223050,
  [SMALL_STATE(5449)] = 223079,
  [SMALL_STATE(5450)] = 223106,
  [SMALL_STATE(5451)] = 223151,
  [SMALL_STATE(5452)] = 223178,
  [SMALL_STATE(5453)] = 223205,
  [SMALL_STATE(5454)] = 223248,
  [SMALL_STATE(5455)] = 223289,
  [SMALL_STATE(5456)] = 223328,
  [SMALL_STATE(5457)] = 223365,
  [SMALL_STATE(5458)] = 223400,
  [SMALL_STATE(5459)] = 223433,
  [SMALL_STATE(5460)] = 223464,
  [SMALL_STATE(5461)] = 223509,
  [SMALL_STATE(5462)] = 223536,
  [SMALL_STATE(5463)] = 223567,
  [SMALL_STATE(5464)] = 223598,
  [SMALL_STATE(5465)] = 223633,
  [SMALL_STATE(5466)] = 223682,
  [SMALL_STATE(5467)] = 223713,
  [SMALL_STATE(5468)] = 223765,
  [SMALL_STATE(5469)] = 223801,
  [SMALL_STATE(5470)] = 223837,
  [SMALL_STATE(5471)] = 223885,
  [SMALL_STATE(5472)] = 223915,
  [SMALL_STATE(5473)] = 223945,
  [SMALL_STATE(5474)] = 223975,
  [SMALL_STATE(5475)] = 224017,
  [SMALL_STATE(5476)] = 224065,
  [SMALL_STATE(5477)] = 224101,
  [SMALL_STATE(5478)] = 224131,
  [SMALL_STATE(5479)] = 224167,
  [SMALL_STATE(5480)] = 224215,
  [SMALL_STATE(5481)] = 224251,
  [SMALL_STATE(5482)] = 224287,
  [SMALL_STATE(5483)] = 224335,
  [SMALL_STATE(5484)] = 224371,
  [SMALL_STATE(5485)] = 224407,
  [SMALL_STATE(5486)] = 224456,
  [SMALL_STATE(5487)] = 224493,
  [SMALL_STATE(5488)] = 224518,
  [SMALL_STATE(5489)] = 224567,
  [SMALL_STATE(5490)] = 224592,
  [SMALL_STATE(5491)] = 224617,
  [SMALL_STATE(5492)] = 224660,
  [SMALL_STATE(5493)] = 224709,
  [SMALL_STATE(5494)] = 224734,
  [SMALL_STATE(5495)] = 224759,
  [SMALL_STATE(5496)] = 224808,
  [SMALL_STATE(5497)] = 224859,
  [SMALL_STATE(5498)] = 224902,
  [SMALL_STATE(5499)] = 224939,
  [SMALL_STATE(5500)] = 224988,
  [SMALL_STATE(5501)] = 225037,
  [SMALL_STATE(5502)] = 225062,
  [SMALL_STATE(5503)] = 225099,
  [SMALL_STATE(5504)] = 225148,
  [SMALL_STATE(5505)] = 225197,
  [SMALL_STATE(5506)] = 225234,
  [SMALL_STATE(5507)] = 225259,
  [SMALL_STATE(5508)] = 225308,
  [SMALL_STATE(5509)] = 225339,
  [SMALL_STATE(5510)] = 225364,
  [SMALL_STATE(5511)] = 225389,
  [SMALL_STATE(5512)] = 225414,
  [SMALL_STATE(5513)] = 225439,
  [SMALL_STATE(5514)] = 225476,
  [SMALL_STATE(5515)] = 225525,
  [SMALL_STATE(5516)] = 225550,
  [SMALL_STATE(5517)] = 225599,
  [SMALL_STATE(5518)] = 225648,
  [SMALL_STATE(5519)] = 225673,
  [SMALL_STATE(5520)] = 225710,
  [SMALL_STATE(5521)] = 225735,
  [SMALL_STATE(5522)] = 225784,
  [SMALL_STATE(5523)] = 225809,
  [SMALL_STATE(5524)] = 225858,
  [SMALL_STATE(5525)] = 225907,
  [SMALL_STATE(5526)] = 225932,
  [SMALL_STATE(5527)] = 225969,
  [SMALL_STATE(5528)] = 226006,
  [SMALL_STATE(5529)] = 226043,
  [SMALL_STATE(5530)] = 226068,
  [SMALL_STATE(5531)] = 226105,
  [SMALL_STATE(5532)] = 226136,
  [SMALL_STATE(5533)] = 226185,
  [SMALL_STATE(5534)] = 226234,
  [SMALL_STATE(5535)] = 226283,
  [SMALL_STATE(5536)] = 226320,
  [SMALL_STATE(5537)] = 226369,
  [SMALL_STATE(5538)] = 226406,
  [SMALL_STATE(5539)] = 226431,
  [SMALL_STATE(5540)] = 226456,
  [SMALL_STATE(5541)] = 226497,
  [SMALL_STATE(5542)] = 226528,
  [SMALL_STATE(5543)] = 226559,
  [SMALL_STATE(5544)] = 226584,
  [SMALL_STATE(5545)] = 226633,
  [SMALL_STATE(5546)] = 226682,
  [SMALL_STATE(5547)] = 226717,
  [SMALL_STATE(5548)] = 226748,
  [SMALL_STATE(5549)] = 226773,
  [SMALL_STATE(5550)] = 226810,
  [SMALL_STATE(5551)] = 226859,
  [SMALL_STATE(5552)] = 226902,
  [SMALL_STATE(5553)] = 226939,
  [SMALL_STATE(5554)] = 226980,
  [SMALL_STATE(5555)] = 227017,
  [SMALL_STATE(5556)] = 227066,
  [SMALL_STATE(5557)] = 227109,
  [SMALL_STATE(5558)] = 227158,
  [SMALL_STATE(5559)] = 227207,
  [SMALL_STATE(5560)] = 227244,
  [SMALL_STATE(5561)] = 227266,
  [SMALL_STATE(5562)] = 227292,
  [SMALL_STATE(5563)] = 227332,
  [SMALL_STATE(5564)] = 227368,
  [SMALL_STATE(5565)] = 227408,
  [SMALL_STATE(5566)] = 227448,
  [SMALL_STATE(5567)] = 227478,
  [SMALL_STATE(5568)] = 227502,
  [SMALL_STATE(5569)] = 227526,
  [SMALL_STATE(5570)] = 227556,
  [SMALL_STATE(5571)] = 227592,
  [SMALL_STATE(5572)] = 227622,
  [SMALL_STATE(5573)] = 227652,
  [SMALL_STATE(5574)] = 227688,
  [SMALL_STATE(5575)] = 227728,
  [SMALL_STATE(5576)] = 227764,
  [SMALL_STATE(5577)] = 227804,
  [SMALL_STATE(5578)] = 227834,
  [SMALL_STATE(5579)] = 227864,
  [SMALL_STATE(5580)] = 227904,
  [SMALL_STATE(5581)] = 227934,
  [SMALL_STATE(5582)] = 227970,
  [SMALL_STATE(5583)] = 227992,
  [SMALL_STATE(5584)] = 228032,
  [SMALL_STATE(5585)] = 228062,
  [SMALL_STATE(5586)] = 228092,
  [SMALL_STATE(5587)] = 228114,
  [SMALL_STATE(5588)] = 228154,
  [SMALL_STATE(5589)] = 228194,
  [SMALL_STATE(5590)] = 228230,
  [SMALL_STATE(5591)] = 228260,
  [SMALL_STATE(5592)] = 228286,
  [SMALL_STATE(5593)] = 228326,
  [SMALL_STATE(5594)] = 228370,
  [SMALL_STATE(5595)] = 228410,
  [SMALL_STATE(5596)] = 228450,
  [SMALL_STATE(5597)] = 228490,
  [SMALL_STATE(5598)] = 228514,
  [SMALL_STATE(5599)] = 228536,
  [SMALL_STATE(5600)] = 228576,
  [SMALL_STATE(5601)] = 228606,
  [SMALL_STATE(5602)] = 228628,
  [SMALL_STATE(5603)] = 228650,
  [SMALL_STATE(5604)] = 228672,
  [SMALL_STATE(5605)] = 228694,
  [SMALL_STATE(5606)] = 228730,
  [SMALL_STATE(5607)] = 228770,
  [SMALL_STATE(5608)] = 228810,
  [SMALL_STATE(5609)] = 228832,
  [SMALL_STATE(5610)] = 228872,
  [SMALL_STATE(5611)] = 228914,
  [SMALL_STATE(5612)] = 228940,
  [SMALL_STATE(5613)] = 228970,
  [SMALL_STATE(5614)] = 229006,
  [SMALL_STATE(5615)] = 229028,
  [SMALL_STATE(5616)] = 229054,
  [SMALL_STATE(5617)] = 229076,
  [SMALL_STATE(5618)] = 229098,
  [SMALL_STATE(5619)] = 229120,
  [SMALL_STATE(5620)] = 229160,
  [SMALL_STATE(5621)] = 229200,
  [SMALL_STATE(5622)] = 229222,
  [SMALL_STATE(5623)] = 229244,
  [SMALL_STATE(5624)] = 229284,
  [SMALL_STATE(5625)] = 229306,
  [SMALL_STATE(5626)] = 229328,
  [SMALL_STATE(5627)] = 229358,
  [SMALL_STATE(5628)] = 229387,
  [SMALL_STATE(5629)] = 229418,
  [SMALL_STATE(5630)] = 229447,
  [SMALL_STATE(5631)] = 229478,
  [SMALL_STATE(5632)] = 229509,
  [SMALL_STATE(5633)] = 229536,
  [SMALL_STATE(5634)] = 229579,
  [SMALL_STATE(5635)] = 229602,
  [SMALL_STATE(5636)] = 229635,
  [SMALL_STATE(5637)] = 229666,
  [SMALL_STATE(5638)] = 229695,
  [SMALL_STATE(5639)] = 229724,
  [SMALL_STATE(5640)] = 229753,
  [SMALL_STATE(5641)] = 229786,
  [SMALL_STATE(5642)] = 229817,
  [SMALL_STATE(5643)] = 229856,
  [SMALL_STATE(5644)] = 229883,
  [SMALL_STATE(5645)] = 229914,
  [SMALL_STATE(5646)] = 229945,
  [SMALL_STATE(5647)] = 229974,
  [SMALL_STATE(5648)] = 230003,
  [SMALL_STATE(5649)] = 230034,
  [SMALL_STATE(5650)] = 230065,
  [SMALL_STATE(5651)] = 230108,
  [SMALL_STATE(5652)] = 230139,
  [SMALL_STATE(5653)] = 230168,
  [SMALL_STATE(5654)] = 230197,
  [SMALL_STATE(5655)] = 230236,
  [SMALL_STATE(5656)] = 230267,
  [SMALL_STATE(5657)] = 230310,
  [SMALL_STATE(5658)] = 230333,
  [SMALL_STATE(5659)] = 230362,
  [SMALL_STATE(5660)] = 230391,
  [SMALL_STATE(5661)] = 230420,
  [SMALL_STATE(5662)] = 230451,
  [SMALL_STATE(5663)] = 230484,
  [SMALL_STATE(5664)] = 230513,
  [SMALL_STATE(5665)] = 230546,
  [SMALL_STATE(5666)] = 230589,
  [SMALL_STATE(5667)] = 230620,
  [SMALL_STATE(5668)] = 230649,
  [SMALL_STATE(5669)] = 230680,
  [SMALL_STATE(5670)] = 230713,
  [SMALL_STATE(5671)] = 230752,
  [SMALL_STATE(5672)] = 230791,
  [SMALL_STATE(5673)] = 230830,
  [SMALL_STATE(5674)] = 230873,
  [SMALL_STATE(5675)] = 230906,
  [SMALL_STATE(5676)] = 230945,
  [SMALL_STATE(5677)] = 230974,
  [SMALL_STATE(5678)] = 231017,
  [SMALL_STATE(5679)] = 231048,
  [SMALL_STATE(5680)] = 231091,
  [SMALL_STATE(5681)] = 231124,
  [SMALL_STATE(5682)] = 231155,
  [SMALL_STATE(5683)] = 231184,
  [SMALL_STATE(5684)] = 231215,
  [SMALL_STATE(5685)] = 231246,
  [SMALL_STATE(5686)] = 231289,
  [SMALL_STATE(5687)] = 231318,
  [SMALL_STATE(5688)] = 231347,
  [SMALL_STATE(5689)] = 231390,
  [SMALL_STATE(5690)] = 231419,
  [SMALL_STATE(5691)] = 231452,
  [SMALL_STATE(5692)] = 231481,
  [SMALL_STATE(5693)] = 231512,
  [SMALL_STATE(5694)] = 231543,
  [SMALL_STATE(5695)] = 231586,
  [SMALL_STATE(5696)] = 231615,
  [SMALL_STATE(5697)] = 231654,
  [SMALL_STATE(5698)] = 231683,
  [SMALL_STATE(5699)] = 231712,
  [SMALL_STATE(5700)] = 231741,
  [SMALL_STATE(5701)] = 231784,
  [SMALL_STATE(5702)] = 231811,
  [SMALL_STATE(5703)] = 231850,
  [SMALL_STATE(5704)] = 231882,
  [SMALL_STATE(5705)] = 231902,
  [SMALL_STATE(5706)] = 231930,
  [SMALL_STATE(5707)] = 231952,
  [SMALL_STATE(5708)] = 231984,
  [SMALL_STATE(5709)] = 232024,
  [SMALL_STATE(5710)] = 232052,
  [SMALL_STATE(5711)] = 232072,
  [SMALL_STATE(5712)] = 232112,
  [SMALL_STATE(5713)] = 232144,
  [SMALL_STATE(5714)] = 232164,
  [SMALL_STATE(5715)] = 232184,
  [SMALL_STATE(5716)] = 232204,
  [SMALL_STATE(5717)] = 232244,
  [SMALL_STATE(5718)] = 232282,
  [SMALL_STATE(5719)] = 232320,
  [SMALL_STATE(5720)] = 232348,
  [SMALL_STATE(5721)] = 232372,
  [SMALL_STATE(5722)] = 232412,
  [SMALL_STATE(5723)] = 232442,
  [SMALL_STATE(5724)] = 232482,
  [SMALL_STATE(5725)] = 232512,
  [SMALL_STATE(5726)] = 232542,
  [SMALL_STATE(5727)] = 232582,
  [SMALL_STATE(5728)] = 232622,
  [SMALL_STATE(5729)] = 232652,
  [SMALL_STATE(5730)] = 232682,
  [SMALL_STATE(5731)] = 232722,
  [SMALL_STATE(5732)] = 232748,
  [SMALL_STATE(5733)] = 232780,
  [SMALL_STATE(5734)] = 232820,
  [SMALL_STATE(5735)] = 232840,
  [SMALL_STATE(5736)] = 232880,
  [SMALL_STATE(5737)] = 232920,
  [SMALL_STATE(5738)] = 232942,
  [SMALL_STATE(5739)] = 232982,
  [SMALL_STATE(5740)] = 233022,
  [SMALL_STATE(5741)] = 233062,
  [SMALL_STATE(5742)] = 233102,
  [SMALL_STATE(5743)] = 233134,
  [SMALL_STATE(5744)] = 233166,
  [SMALL_STATE(5745)] = 233192,
  [SMALL_STATE(5746)] = 233230,
  [SMALL_STATE(5747)] = 233254,
  [SMALL_STATE(5748)] = 233280,
  [SMALL_STATE(5749)] = 233312,
  [SMALL_STATE(5750)] = 233344,
  [SMALL_STATE(5751)] = 233374,
  [SMALL_STATE(5752)] = 233404,
  [SMALL_STATE(5753)] = 233432,
  [SMALL_STATE(5754)] = 233454,
  [SMALL_STATE(5755)] = 233484,
  [SMALL_STATE(5756)] = 233504,
  [SMALL_STATE(5757)] = 233532,
  [SMALL_STATE(5758)] = 233562,
  [SMALL_STATE(5759)] = 233592,
  [SMALL_STATE(5760)] = 233612,
  [SMALL_STATE(5761)] = 233650,
  [SMALL_STATE(5762)] = 233682,
  [SMALL_STATE(5763)] = 233714,
  [SMALL_STATE(5764)] = 233746,
  [SMALL_STATE(5765)] = 233774,
  [SMALL_STATE(5766)] = 233802,
  [SMALL_STATE(5767)] = 233840,
  [SMALL_STATE(5768)] = 233878,
  [SMALL_STATE(5769)] = 233906,
  [SMALL_STATE(5770)] = 233938,
  [SMALL_STATE(5771)] = 233966,
  [SMALL_STATE(5772)] = 233998,
  [SMALL_STATE(5773)] = 234030,
  [SMALL_STATE(5774)] = 234062,
  [SMALL_STATE(5775)] = 234100,
  [SMALL_STATE(5776)] = 234128,
  [SMALL_STATE(5777)] = 234160,
  [SMALL_STATE(5778)] = 234188,
  [SMALL_STATE(5779)] = 234208,
  [SMALL_STATE(5780)] = 234236,
  [SMALL_STATE(5781)] = 234258,
  [SMALL_STATE(5782)] = 234298,
  [SMALL_STATE(5783)] = 234318,
  [SMALL_STATE(5784)] = 234338,
  [SMALL_STATE(5785)] = 234358,
  [SMALL_STATE(5786)] = 234390,
  [SMALL_STATE(5787)] = 234428,
  [SMALL_STATE(5788)] = 234450,
  [SMALL_STATE(5789)] = 234470,
  [SMALL_STATE(5790)] = 234498,
  [SMALL_STATE(5791)] = 234536,
  [SMALL_STATE(5792)] = 234568,
  [SMALL_STATE(5793)] = 234608,
  [SMALL_STATE(5794)] = 234628,
  [SMALL_STATE(5795)] = 234648,
  [SMALL_STATE(5796)] = 234680,
  [SMALL_STATE(5797)] = 234712,
  [SMALL_STATE(5798)] = 234732,
  [SMALL_STATE(5799)] = 234760,
  [SMALL_STATE(5800)] = 234788,
  [SMALL_STATE(5801)] = 234820,
  [SMALL_STATE(5802)] = 234858,
  [SMALL_STATE(5803)] = 234890,
  [SMALL_STATE(5804)] = 234910,
  [SMALL_STATE(5805)] = 234938,
  [SMALL_STATE(5806)] = 234958,
  [SMALL_STATE(5807)] = 234996,
  [SMALL_STATE(5808)] = 235034,
  [SMALL_STATE(5809)] = 235072,
  [SMALL_STATE(5810)] = 235110,
  [SMALL_STATE(5811)] = 235138,
  [SMALL_STATE(5812)] = 235176,
  [SMALL_STATE(5813)] = 235196,
  [SMALL_STATE(5814)] = 235224,
  [SMALL_STATE(5815)] = 235256,
  [SMALL_STATE(5816)] = 235296,
  [SMALL_STATE(5817)] = 235324,
  [SMALL_STATE(5818)] = 235362,
  [SMALL_STATE(5819)] = 235386,
  [SMALL_STATE(5820)] = 235406,
  [SMALL_STATE(5821)] = 235444,
  [SMALL_STATE(5822)] = 235472,
  [SMALL_STATE(5823)] = 235500,
  [SMALL_STATE(5824)] = 235528,
  [SMALL_STATE(5825)] = 235556,
  [SMALL_STATE(5826)] = 235584,
  [SMALL_STATE(5827)] = 235622,
  [SMALL_STATE(5828)] = 235642,
  [SMALL_STATE(5829)] = 235682,
  [SMALL_STATE(5830)] = 235720,
  [SMALL_STATE(5831)] = 235748,
  [SMALL_STATE(5832)] = 235775,
  [SMALL_STATE(5833)] = 235802,
  [SMALL_STATE(5834)] = 235837,
  [SMALL_STATE(5835)] = 235858,
  [SMALL_STATE(5836)] = 235879,
  [SMALL_STATE(5837)] = 235900,
  [SMALL_STATE(5838)] = 235921,
  [SMALL_STATE(5839)] = 235942,
  [SMALL_STATE(5840)] = 235975,
  [SMALL_STATE(5841)] = 236008,
  [SMALL_STATE(5842)] = 236041,
  [SMALL_STATE(5843)] = 236068,
  [SMALL_STATE(5844)] = 236101,
  [SMALL_STATE(5845)] = 236136,
  [SMALL_STATE(5846)] = 236163,
  [SMALL_STATE(5847)] = 236190,
  [SMALL_STATE(5848)] = 236217,
  [SMALL_STATE(5849)] = 236244,
  [SMALL_STATE(5850)] = 236271,
  [SMALL_STATE(5851)] = 236298,
  [SMALL_STATE(5852)] = 236325,
  [SMALL_STATE(5853)] = 236352,
  [SMALL_STATE(5854)] = 236381,
  [SMALL_STATE(5855)] = 236402,
  [SMALL_STATE(5856)] = 236437,
  [SMALL_STATE(5857)] = 236466,
  [SMALL_STATE(5858)] = 236495,
  [SMALL_STATE(5859)] = 236528,
  [SMALL_STATE(5860)] = 236561,
  [SMALL_STATE(5861)] = 236594,
  [SMALL_STATE(5862)] = 236615,
  [SMALL_STATE(5863)] = 236650,
  [SMALL_STATE(5864)] = 236671,
  [SMALL_STATE(5865)] = 236692,
  [SMALL_STATE(5866)] = 236725,
  [SMALL_STATE(5867)] = 236746,
  [SMALL_STATE(5868)] = 236779,
  [SMALL_STATE(5869)] = 236800,
  [SMALL_STATE(5870)] = 236835,
  [SMALL_STATE(5871)] = 236860,
  [SMALL_STATE(5872)] = 236899,
  [SMALL_STATE(5873)] = 236926,
  [SMALL_STATE(5874)] = 236959,
  [SMALL_STATE(5875)] = 236998,
  [SMALL_STATE(5876)] = 237033,
  [SMALL_STATE(5877)] = 237066,
  [SMALL_STATE(5878)] = 237099,
  [SMALL_STATE(5879)] = 237132,
  [SMALL_STATE(5880)] = 237157,
  [SMALL_STATE(5881)] = 237190,
  [SMALL_STATE(5882)] = 237223,
  [SMALL_STATE(5883)] = 237256,
  [SMALL_STATE(5884)] = 237289,
  [SMALL_STATE(5885)] = 237322,
  [SMALL_STATE(5886)] = 237343,
  [SMALL_STATE(5887)] = 237376,
  [SMALL_STATE(5888)] = 237413,
  [SMALL_STATE(5889)] = 237434,
  [SMALL_STATE(5890)] = 237459,
  [SMALL_STATE(5891)] = 237480,
  [SMALL_STATE(5892)] = 237501,
  [SMALL_STATE(5893)] = 237522,
  [SMALL_STATE(5894)] = 237561,
  [SMALL_STATE(5895)] = 237586,
  [SMALL_STATE(5896)] = 237619,
  [SMALL_STATE(5897)] = 237652,
  [SMALL_STATE(5898)] = 237673,
  [SMALL_STATE(5899)] = 237712,
  [SMALL_STATE(5900)] = 237737,
  [SMALL_STATE(5901)] = 237774,
  [SMALL_STATE(5902)] = 237795,
  [SMALL_STATE(5903)] = 237830,
  [SMALL_STATE(5904)] = 237857,
  [SMALL_STATE(5905)] = 237890,
  [SMALL_STATE(5906)] = 237917,
  [SMALL_STATE(5907)] = 237938,
  [SMALL_STATE(5908)] = 237965,
  [SMALL_STATE(5909)] = 238000,
  [SMALL_STATE(5910)] = 238021,
  [SMALL_STATE(5911)] = 238048,
  [SMALL_STATE(5912)] = 238083,
  [SMALL_STATE(5913)] = 238108,
  [SMALL_STATE(5914)] = 238143,
  [SMALL_STATE(5915)] = 238172,
  [SMALL_STATE(5916)] = 238211,
  [SMALL_STATE(5917)] = 238232,
  [SMALL_STATE(5918)] = 238261,
  [SMALL_STATE(5919)] = 238294,
  [SMALL_STATE(5920)] = 238319,
  [SMALL_STATE(5921)] = 238352,
  [SMALL_STATE(5922)] = 238385,
  [SMALL_STATE(5923)] = 238406,
  [SMALL_STATE(5924)] = 238427,
  [SMALL_STATE(5925)] = 238460,
  [SMALL_STATE(5926)] = 238481,
  [SMALL_STATE(5927)] = 238502,
  [SMALL_STATE(5928)] = 238523,
  [SMALL_STATE(5929)] = 238544,
  [SMALL_STATE(5930)] = 238565,
  [SMALL_STATE(5931)] = 238586,
  [SMALL_STATE(5932)] = 238621,
  [SMALL_STATE(5933)] = 238654,
  [SMALL_STATE(5934)] = 238687,
  [SMALL_STATE(5935)] = 238723,
  [SMALL_STATE(5936)] = 238749,
  [SMALL_STATE(5937)] = 238775,
  [SMALL_STATE(5938)] = 238797,
  [SMALL_STATE(5939)] = 238833,
  [SMALL_STATE(5940)] = 238863,
  [SMALL_STATE(5941)] = 238891,
  [SMALL_STATE(5942)] = 238921,
  [SMALL_STATE(5943)] = 238951,
  [SMALL_STATE(5944)] = 238981,
  [SMALL_STATE(5945)] = 239005,
  [SMALL_STATE(5946)] = 239031,
  [SMALL_STATE(5947)] = 239051,
  [SMALL_STATE(5948)] = 239081,
  [SMALL_STATE(5949)] = 239117,
  [SMALL_STATE(5950)] = 239141,
  [SMALL_STATE(5951)] = 239169,
  [SMALL_STATE(5952)] = 239199,
  [SMALL_STATE(5953)] = 239235,
  [SMALL_STATE(5954)] = 239271,
  [SMALL_STATE(5955)] = 239299,
  [SMALL_STATE(5956)] = 239323,
  [SMALL_STATE(5957)] = 239349,
  [SMALL_STATE(5958)] = 239375,
  [SMALL_STATE(5959)] = 239411,
  [SMALL_STATE(5960)] = 239439,
  [SMALL_STATE(5961)] = 239463,
  [SMALL_STATE(5962)] = 239489,
  [SMALL_STATE(5963)] = 239517,
  [SMALL_STATE(5964)] = 239537,
  [SMALL_STATE(5965)] = 239573,
  [SMALL_STATE(5966)] = 239609,
  [SMALL_STATE(5967)] = 239645,
  [SMALL_STATE(5968)] = 239671,
  [SMALL_STATE(5969)] = 239697,
  [SMALL_STATE(5970)] = 239733,
  [SMALL_STATE(5971)] = 239755,
  [SMALL_STATE(5972)] = 239781,
  [SMALL_STATE(5973)] = 239807,
  [SMALL_STATE(5974)] = 239833,
  [SMALL_STATE(5975)] = 239859,
  [SMALL_STATE(5976)] = 239889,
  [SMALL_STATE(5977)] = 239925,
  [SMALL_STATE(5978)] = 239955,
  [SMALL_STATE(5979)] = 239991,
  [SMALL_STATE(5980)] = 240017,
  [SMALL_STATE(5981)] = 240041,
  [SMALL_STATE(5982)] = 240071,
  [SMALL_STATE(5983)] = 240101,
  [SMALL_STATE(5984)] = 240131,
  [SMALL_STATE(5985)] = 240167,
  [SMALL_STATE(5986)] = 240203,
  [SMALL_STATE(5987)] = 240229,
  [SMALL_STATE(5988)] = 240255,
  [SMALL_STATE(5989)] = 240291,
  [SMALL_STATE(5990)] = 240317,
  [SMALL_STATE(5991)] = 240347,
  [SMALL_STATE(5992)] = 240383,
  [SMALL_STATE(5993)] = 240409,
  [SMALL_STATE(5994)] = 240445,
  [SMALL_STATE(5995)] = 240471,
  [SMALL_STATE(5996)] = 240501,
  [SMALL_STATE(5997)] = 240537,
  [SMALL_STATE(5998)] = 240573,
  [SMALL_STATE(5999)] = 240604,
  [SMALL_STATE(6000)] = 240623,
  [SMALL_STATE(6001)] = 240642,
  [SMALL_STATE(6002)] = 240661,
  [SMALL_STATE(6003)] = 240680,
  [SMALL_STATE(6004)] = 240715,
  [SMALL_STATE(6005)] = 240750,
  [SMALL_STATE(6006)] = 240781,
  [SMALL_STATE(6007)] = 240816,
  [SMALL_STATE(6008)] = 240841,
  [SMALL_STATE(6009)] = 240872,
  [SMALL_STATE(6010)] = 240907,
  [SMALL_STATE(6011)] = 240942,
  [SMALL_STATE(6012)] = 240977,
  [SMALL_STATE(6013)] = 241006,
  [SMALL_STATE(6014)] = 241037,
  [SMALL_STATE(6015)] = 241064,
  [SMALL_STATE(6016)] = 241091,
  [SMALL_STATE(6017)] = 241122,
  [SMALL_STATE(6018)] = 241147,
  [SMALL_STATE(6019)] = 241174,
  [SMALL_STATE(6020)] = 241201,
  [SMALL_STATE(6021)] = 241220,
  [SMALL_STATE(6022)] = 241243,
  [SMALL_STATE(6023)] = 241278,
  [SMALL_STATE(6024)] = 241303,
  [SMALL_STATE(6025)] = 241328,
  [SMALL_STATE(6026)] = 241359,
  [SMALL_STATE(6027)] = 241394,
  [SMALL_STATE(6028)] = 241425,
  [SMALL_STATE(6029)] = 241454,
  [SMALL_STATE(6030)] = 241481,
  [SMALL_STATE(6031)] = 241516,
  [SMALL_STATE(6032)] = 241545,
  [SMALL_STATE(6033)] = 241580,
  [SMALL_STATE(6034)] = 241611,
  [SMALL_STATE(6035)] = 241640,
  [SMALL_STATE(6036)] = 241665,
  [SMALL_STATE(6037)] = 241690,
  [SMALL_STATE(6038)] = 241723,
  [SMALL_STATE(6039)] = 241754,
  [SMALL_STATE(6040)] = 241789,
  [SMALL_STATE(6041)] = 241824,
  [SMALL_STATE(6042)] = 241843,
  [SMALL_STATE(6043)] = 241878,
  [SMALL_STATE(6044)] = 241903,
  [SMALL_STATE(6045)] = 241938,
  [SMALL_STATE(6046)] = 241973,
  [SMALL_STATE(6047)] = 241994,
  [SMALL_STATE(6048)] = 242013,
  [SMALL_STATE(6049)] = 242046,
  [SMALL_STATE(6050)] = 242077,
  [SMALL_STATE(6051)] = 242106,
  [SMALL_STATE(6052)] = 242133,
  [SMALL_STATE(6053)] = 242168,
  [SMALL_STATE(6054)] = 242195,
  [SMALL_STATE(6055)] = 242222,
  [SMALL_STATE(6056)] = 242249,
  [SMALL_STATE(6057)] = 242276,
  [SMALL_STATE(6058)] = 242311,
  [SMALL_STATE(6059)] = 242336,
  [SMALL_STATE(6060)] = 242361,
  [SMALL_STATE(6061)] = 242380,
  [SMALL_STATE(6062)] = 242415,
  [SMALL_STATE(6063)] = 242434,
  [SMALL_STATE(6064)] = 242459,
  [SMALL_STATE(6065)] = 242490,
  [SMALL_STATE(6066)] = 242521,
  [SMALL_STATE(6067)] = 242546,
  [SMALL_STATE(6068)] = 242575,
  [SMALL_STATE(6069)] = 242598,
  [SMALL_STATE(6070)] = 242617,
  [SMALL_STATE(6071)] = 242652,
  [SMALL_STATE(6072)] = 242677,
  [SMALL_STATE(6073)] = 242706,
  [SMALL_STATE(6074)] = 242739,
  [SMALL_STATE(6075)] = 242768,
  [SMALL_STATE(6076)] = 242797,
  [SMALL_STATE(6077)] = 242828,
  [SMALL_STATE(6078)] = 242857,
  [SMALL_STATE(6079)] = 242892,
  [SMALL_STATE(6080)] = 242923,
  [SMALL_STATE(6081)] = 242952,
  [SMALL_STATE(6082)] = 242985,
  [SMALL_STATE(6083)] = 243014,
  [SMALL_STATE(6084)] = 243045,
  [SMALL_STATE(6085)] = 243080,
  [SMALL_STATE(6086)] = 243104,
  [SMALL_STATE(6087)] = 243122,
  [SMALL_STATE(6088)] = 243152,
  [SMALL_STATE(6089)] = 243182,
  [SMALL_STATE(6090)] = 243204,
  [SMALL_STATE(6091)] = 243226,
  [SMALL_STATE(6092)] = 243250,
  [SMALL_STATE(6093)] = 243280,
  [SMALL_STATE(6094)] = 243302,
  [SMALL_STATE(6095)] = 243324,
  [SMALL_STATE(6096)] = 243346,
  [SMALL_STATE(6097)] = 243376,
  [SMALL_STATE(6098)] = 243398,
  [SMALL_STATE(6099)] = 243416,
  [SMALL_STATE(6100)] = 243434,
  [SMALL_STATE(6101)] = 243452,
  [SMALL_STATE(6102)] = 243470,
  [SMALL_STATE(6103)] = 243488,
  [SMALL_STATE(6104)] = 243518,
  [SMALL_STATE(6105)] = 243540,
  [SMALL_STATE(6106)] = 243562,
  [SMALL_STATE(6107)] = 243584,
  [SMALL_STATE(6108)] = 243614,
  [SMALL_STATE(6109)] = 243644,
  [SMALL_STATE(6110)] = 243666,
  [SMALL_STATE(6111)] = 243690,
  [SMALL_STATE(6112)] = 243714,
  [SMALL_STATE(6113)] = 243744,
  [SMALL_STATE(6114)] = 243768,
  [SMALL_STATE(6115)] = 243792,
  [SMALL_STATE(6116)] = 243816,
  [SMALL_STATE(6117)] = 243840,
  [SMALL_STATE(6118)] = 243864,
  [SMALL_STATE(6119)] = 243888,
  [SMALL_STATE(6120)] = 243910,
  [SMALL_STATE(6121)] = 243932,
  [SMALL_STATE(6122)] = 243954,
  [SMALL_STATE(6123)] = 243986,
  [SMALL_STATE(6124)] = 244004,
  [SMALL_STATE(6125)] = 244035,
  [SMALL_STATE(6126)] = 244066,
  [SMALL_STATE(6127)] = 244087,
  [SMALL_STATE(6128)] = 244108,
  [SMALL_STATE(6129)] = 244139,
  [SMALL_STATE(6130)] = 244166,
  [SMALL_STATE(6131)] = 244193,
  [SMALL_STATE(6132)] = 244216,
  [SMALL_STATE(6133)] = 244235,
  [SMALL_STATE(6134)] = 244258,
  [SMALL_STATE(6135)] = 244281,
  [SMALL_STATE(6136)] = 244304,
  [SMALL_STATE(6137)] = 244327,
  [SMALL_STATE(6138)] = 244358,
  [SMALL_STATE(6139)] = 244385,
  [SMALL_STATE(6140)] = 244408,
  [SMALL_STATE(6141)] = 244427,
  [SMALL_STATE(6142)] = 244450,
  [SMALL_STATE(6143)] = 244477,
  [SMALL_STATE(6144)] = 244500,
  [SMALL_STATE(6145)] = 244531,
  [SMALL_STATE(6146)] = 244554,
  [SMALL_STATE(6147)] = 244579,
  [SMALL_STATE(6148)] = 244600,
  [SMALL_STATE(6149)] = 244631,
  [SMALL_STATE(6150)] = 244654,
  [SMALL_STATE(6151)] = 244685,
  [SMALL_STATE(6152)] = 244712,
  [SMALL_STATE(6153)] = 244743,
  [SMALL_STATE(6154)] = 244774,
  [SMALL_STATE(6155)] = 244805,
  [SMALL_STATE(6156)] = 244836,
  [SMALL_STATE(6157)] = 244867,
  [SMALL_STATE(6158)] = 244898,
  [SMALL_STATE(6159)] = 244929,
  [SMALL_STATE(6160)] = 244960,
  [SMALL_STATE(6161)] = 244991,
  [SMALL_STATE(6162)] = 245022,
  [SMALL_STATE(6163)] = 245053,
  [SMALL_STATE(6164)] = 245084,
  [SMALL_STATE(6165)] = 245115,
  [SMALL_STATE(6166)] = 245146,
  [SMALL_STATE(6167)] = 245167,
  [SMALL_STATE(6168)] = 245198,
  [SMALL_STATE(6169)] = 245225,
  [SMALL_STATE(6170)] = 245256,
  [SMALL_STATE(6171)] = 245287,
  [SMALL_STATE(6172)] = 245308,
  [SMALL_STATE(6173)] = 245339,
  [SMALL_STATE(6174)] = 245370,
  [SMALL_STATE(6175)] = 245401,
  [SMALL_STATE(6176)] = 245432,
  [SMALL_STATE(6177)] = 245463,
  [SMALL_STATE(6178)] = 245490,
  [SMALL_STATE(6179)] = 245516,
  [SMALL_STATE(6180)] = 245542,
  [SMALL_STATE(6181)] = 245568,
  [SMALL_STATE(6182)] = 245594,
  [SMALL_STATE(6183)] = 245616,
  [SMALL_STATE(6184)] = 245642,
  [SMALL_STATE(6185)] = 245668,
  [SMALL_STATE(6186)] = 245690,
  [SMALL_STATE(6187)] = 245712,
  [SMALL_STATE(6188)] = 245738,
  [SMALL_STATE(6189)] = 245764,
  [SMALL_STATE(6190)] = 245786,
  [SMALL_STATE(6191)] = 245808,
  [SMALL_STATE(6192)] = 245834,
  [SMALL_STATE(6193)] = 245860,
  [SMALL_STATE(6194)] = 245882,
  [SMALL_STATE(6195)] = 245908,
  [SMALL_STATE(6196)] = 245934,
  [SMALL_STATE(6197)] = 245960,
  [SMALL_STATE(6198)] = 245986,
  [SMALL_STATE(6199)] = 246004,
  [SMALL_STATE(6200)] = 246030,
  [SMALL_STATE(6201)] = 246056,
  [SMALL_STATE(6202)] = 246082,
  [SMALL_STATE(6203)] = 246108,
  [SMALL_STATE(6204)] = 246128,
  [SMALL_STATE(6205)] = 246154,
  [SMALL_STATE(6206)] = 246174,
  [SMALL_STATE(6207)] = 246200,
  [SMALL_STATE(6208)] = 246220,
  [SMALL_STATE(6209)] = 246246,
  [SMALL_STATE(6210)] = 246272,
  [SMALL_STATE(6211)] = 246298,
  [SMALL_STATE(6212)] = 246320,
  [SMALL_STATE(6213)] = 246342,
  [SMALL_STATE(6214)] = 246362,
  [SMALL_STATE(6215)] = 246378,
  [SMALL_STATE(6216)] = 246400,
  [SMALL_STATE(6217)] = 246426,
  [SMALL_STATE(6218)] = 246452,
  [SMALL_STATE(6219)] = 246474,
  [SMALL_STATE(6220)] = 246496,
  [SMALL_STATE(6221)] = 246512,
  [SMALL_STATE(6222)] = 246538,
  [SMALL_STATE(6223)] = 246564,
  [SMALL_STATE(6224)] = 246590,
  [SMALL_STATE(6225)] = 246616,
  [SMALL_STATE(6226)] = 246642,
  [SMALL_STATE(6227)] = 246664,
  [SMALL_STATE(6228)] = 246687,
  [SMALL_STATE(6229)] = 246712,
  [SMALL_STATE(6230)] = 246737,
  [SMALL_STATE(6231)] = 246752,
  [SMALL_STATE(6232)] = 246767,
  [SMALL_STATE(6233)] = 246792,
  [SMALL_STATE(6234)] = 246815,
  [SMALL_STATE(6235)] = 246836,
  [SMALL_STATE(6236)] = 246857,
  [SMALL_STATE(6237)] = 246882,
  [SMALL_STATE(6238)] = 246905,
  [SMALL_STATE(6239)] = 246928,
  [SMALL_STATE(6240)] = 246949,
  [SMALL_STATE(6241)] = 246974,
  [SMALL_STATE(6242)] = 246995,
  [SMALL_STATE(6243)] = 247020,
  [SMALL_STATE(6244)] = 247043,
  [SMALL_STATE(6245)] = 247066,
  [SMALL_STATE(6246)] = 247085,
  [SMALL_STATE(6247)] = 247108,
  [SMALL_STATE(6248)] = 247123,
  [SMALL_STATE(6249)] = 247142,
  [SMALL_STATE(6250)] = 247165,
  [SMALL_STATE(6251)] = 247188,
  [SMALL_STATE(6252)] = 247209,
  [SMALL_STATE(6253)] = 247226,
  [SMALL_STATE(6254)] = 247241,
  [SMALL_STATE(6255)] = 247256,
  [SMALL_STATE(6256)] = 247277,
  [SMALL_STATE(6257)] = 247292,
  [SMALL_STATE(6258)] = 247313,
  [SMALL_STATE(6259)] = 247334,
  [SMALL_STATE(6260)] = 247357,
  [SMALL_STATE(6261)] = 247378,
  [SMALL_STATE(6262)] = 247399,
  [SMALL_STATE(6263)] = 247422,
  [SMALL_STATE(6264)] = 247443,
  [SMALL_STATE(6265)] = 247462,
  [SMALL_STATE(6266)] = 247483,
  [SMALL_STATE(6267)] = 247506,
  [SMALL_STATE(6268)] = 247527,
  [SMALL_STATE(6269)] = 247548,
  [SMALL_STATE(6270)] = 247569,
  [SMALL_STATE(6271)] = 247594,
  [SMALL_STATE(6272)] = 247619,
  [SMALL_STATE(6273)] = 247642,
  [SMALL_STATE(6274)] = 247665,
  [SMALL_STATE(6275)] = 247680,
  [SMALL_STATE(6276)] = 247695,
  [SMALL_STATE(6277)] = 247716,
  [SMALL_STATE(6278)] = 247739,
  [SMALL_STATE(6279)] = 247759,
  [SMALL_STATE(6280)] = 247777,
  [SMALL_STATE(6281)] = 247797,
  [SMALL_STATE(6282)] = 247813,
  [SMALL_STATE(6283)] = 247831,
  [SMALL_STATE(6284)] = 247845,
  [SMALL_STATE(6285)] = 247865,
  [SMALL_STATE(6286)] = 247885,
  [SMALL_STATE(6287)] = 247903,
  [SMALL_STATE(6288)] = 247923,
  [SMALL_STATE(6289)] = 247943,
  [SMALL_STATE(6290)] = 247961,
  [SMALL_STATE(6291)] = 247975,
  [SMALL_STATE(6292)] = 247991,
  [SMALL_STATE(6293)] = 248005,
  [SMALL_STATE(6294)] = 248021,
  [SMALL_STATE(6295)] = 248037,
  [SMALL_STATE(6296)] = 248057,
  [SMALL_STATE(6297)] = 248075,
  [SMALL_STATE(6298)] = 248091,
  [SMALL_STATE(6299)] = 248111,
  [SMALL_STATE(6300)] = 248127,
  [SMALL_STATE(6301)] = 248141,
  [SMALL_STATE(6302)] = 248157,
  [SMALL_STATE(6303)] = 248177,
  [SMALL_STATE(6304)] = 248193,
  [SMALL_STATE(6305)] = 248213,
  [SMALL_STATE(6306)] = 248227,
  [SMALL_STATE(6307)] = 248243,
  [SMALL_STATE(6308)] = 248259,
  [SMALL_STATE(6309)] = 248275,
  [SMALL_STATE(6310)] = 248289,
  [SMALL_STATE(6311)] = 248305,
  [SMALL_STATE(6312)] = 248321,
  [SMALL_STATE(6313)] = 248337,
  [SMALL_STATE(6314)] = 248357,
  [SMALL_STATE(6315)] = 248371,
  [SMALL_STATE(6316)] = 248389,
  [SMALL_STATE(6317)] = 248409,
  [SMALL_STATE(6318)] = 248427,
  [SMALL_STATE(6319)] = 248445,
  [SMALL_STATE(6320)] = 248465,
  [SMALL_STATE(6321)] = 248479,
  [SMALL_STATE(6322)] = 248493,
  [SMALL_STATE(6323)] = 248507,
  [SMALL_STATE(6324)] = 248527,
  [SMALL_STATE(6325)] = 248541,
  [SMALL_STATE(6326)] = 248561,
  [SMALL_STATE(6327)] = 248575,
  [SMALL_STATE(6328)] = 248595,
  [SMALL_STATE(6329)] = 248609,
  [SMALL_STATE(6330)] = 248623,
  [SMALL_STATE(6331)] = 248639,
  [SMALL_STATE(6332)] = 248658,
  [SMALL_STATE(6333)] = 248677,
  [SMALL_STATE(6334)] = 248694,
  [SMALL_STATE(6335)] = 248713,
  [SMALL_STATE(6336)] = 248732,
  [SMALL_STATE(6337)] = 248745,
  [SMALL_STATE(6338)] = 248764,
  [SMALL_STATE(6339)] = 248777,
  [SMALL_STATE(6340)] = 248796,
  [SMALL_STATE(6341)] = 248815,
  [SMALL_STATE(6342)] = 248834,
  [SMALL_STATE(6343)] = 248853,
  [SMALL_STATE(6344)] = 248872,
  [SMALL_STATE(6345)] = 248891,
  [SMALL_STATE(6346)] = 248908,
  [SMALL_STATE(6347)] = 248927,
  [SMALL_STATE(6348)] = 248946,
  [SMALL_STATE(6349)] = 248965,
  [SMALL_STATE(6350)] = 248984,
  [SMALL_STATE(6351)] = 249003,
  [SMALL_STATE(6352)] = 249022,
  [SMALL_STATE(6353)] = 249039,
  [SMALL_STATE(6354)] = 249058,
  [SMALL_STATE(6355)] = 249077,
  [SMALL_STATE(6356)] = 249096,
  [SMALL_STATE(6357)] = 249115,
  [SMALL_STATE(6358)] = 249134,
  [SMALL_STATE(6359)] = 249151,
  [SMALL_STATE(6360)] = 249170,
  [SMALL_STATE(6361)] = 249189,
  [SMALL_STATE(6362)] = 249208,
  [SMALL_STATE(6363)] = 249227,
  [SMALL_STATE(6364)] = 249246,
  [SMALL_STATE(6365)] = 249265,
  [SMALL_STATE(6366)] = 249284,
  [SMALL_STATE(6367)] = 249303,
  [SMALL_STATE(6368)] = 249322,
  [SMALL_STATE(6369)] = 249335,
  [SMALL_STATE(6370)] = 249354,
  [SMALL_STATE(6371)] = 249373,
  [SMALL_STATE(6372)] = 249392,
  [SMALL_STATE(6373)] = 249411,
  [SMALL_STATE(6374)] = 249430,
  [SMALL_STATE(6375)] = 249449,
  [SMALL_STATE(6376)] = 249466,
  [SMALL_STATE(6377)] = 249483,
  [SMALL_STATE(6378)] = 249502,
  [SMALL_STATE(6379)] = 249521,
  [SMALL_STATE(6380)] = 249540,
  [SMALL_STATE(6381)] = 249559,
  [SMALL_STATE(6382)] = 249578,
  [SMALL_STATE(6383)] = 249597,
  [SMALL_STATE(6384)] = 249616,
  [SMALL_STATE(6385)] = 249635,
  [SMALL_STATE(6386)] = 249654,
  [SMALL_STATE(6387)] = 249673,
  [SMALL_STATE(6388)] = 249690,
  [SMALL_STATE(6389)] = 249709,
  [SMALL_STATE(6390)] = 249722,
  [SMALL_STATE(6391)] = 249738,
  [SMALL_STATE(6392)] = 249754,
  [SMALL_STATE(6393)] = 249770,
  [SMALL_STATE(6394)] = 249784,
  [SMALL_STATE(6395)] = 249800,
  [SMALL_STATE(6396)] = 249816,
  [SMALL_STATE(6397)] = 249830,
  [SMALL_STATE(6398)] = 249846,
  [SMALL_STATE(6399)] = 249862,
  [SMALL_STATE(6400)] = 249878,
  [SMALL_STATE(6401)] = 249894,
  [SMALL_STATE(6402)] = 249910,
  [SMALL_STATE(6403)] = 249924,
  [SMALL_STATE(6404)] = 249938,
  [SMALL_STATE(6405)] = 249952,
  [SMALL_STATE(6406)] = 249968,
  [SMALL_STATE(6407)] = 249982,
  [SMALL_STATE(6408)] = 249996,
  [SMALL_STATE(6409)] = 250010,
  [SMALL_STATE(6410)] = 250026,
  [SMALL_STATE(6411)] = 250042,
  [SMALL_STATE(6412)] = 250058,
  [SMALL_STATE(6413)] = 250074,
  [SMALL_STATE(6414)] = 250088,
  [SMALL_STATE(6415)] = 250104,
  [SMALL_STATE(6416)] = 250118,
  [SMALL_STATE(6417)] = 250134,
  [SMALL_STATE(6418)] = 250150,
  [SMALL_STATE(6419)] = 250166,
  [SMALL_STATE(6420)] = 250182,
  [SMALL_STATE(6421)] = 250198,
  [SMALL_STATE(6422)] = 250212,
  [SMALL_STATE(6423)] = 250228,
  [SMALL_STATE(6424)] = 250244,
  [SMALL_STATE(6425)] = 250258,
  [SMALL_STATE(6426)] = 250272,
  [SMALL_STATE(6427)] = 250286,
  [SMALL_STATE(6428)] = 250302,
  [SMALL_STATE(6429)] = 250318,
  [SMALL_STATE(6430)] = 250332,
  [SMALL_STATE(6431)] = 250348,
  [SMALL_STATE(6432)] = 250362,
  [SMALL_STATE(6433)] = 250376,
  [SMALL_STATE(6434)] = 250390,
  [SMALL_STATE(6435)] = 250404,
  [SMALL_STATE(6436)] = 250418,
  [SMALL_STATE(6437)] = 250434,
  [SMALL_STATE(6438)] = 250450,
  [SMALL_STATE(6439)] = 250466,
  [SMALL_STATE(6440)] = 250480,
  [SMALL_STATE(6441)] = 250494,
  [SMALL_STATE(6442)] = 250508,
  [SMALL_STATE(6443)] = 250522,
  [SMALL_STATE(6444)] = 250536,
  [SMALL_STATE(6445)] = 250552,
  [SMALL_STATE(6446)] = 250568,
  [SMALL_STATE(6447)] = 250584,
  [SMALL_STATE(6448)] = 250600,
  [SMALL_STATE(6449)] = 250614,
  [SMALL_STATE(6450)] = 250630,
  [SMALL_STATE(6451)] = 250644,
  [SMALL_STATE(6452)] = 250660,
  [SMALL_STATE(6453)] = 250676,
  [SMALL_STATE(6454)] = 250690,
  [SMALL_STATE(6455)] = 250704,
  [SMALL_STATE(6456)] = 250718,
  [SMALL_STATE(6457)] = 250732,
  [SMALL_STATE(6458)] = 250746,
  [SMALL_STATE(6459)] = 250760,
  [SMALL_STATE(6460)] = 250774,
  [SMALL_STATE(6461)] = 250790,
  [SMALL_STATE(6462)] = 250806,
  [SMALL_STATE(6463)] = 250822,
  [SMALL_STATE(6464)] = 250838,
  [SMALL_STATE(6465)] = 250854,
  [SMALL_STATE(6466)] = 250870,
  [SMALL_STATE(6467)] = 250886,
  [SMALL_STATE(6468)] = 250902,
  [SMALL_STATE(6469)] = 250916,
  [SMALL_STATE(6470)] = 250930,
  [SMALL_STATE(6471)] = 250946,
  [SMALL_STATE(6472)] = 250962,
  [SMALL_STATE(6473)] = 250978,
  [SMALL_STATE(6474)] = 250992,
  [SMALL_STATE(6475)] = 251006,
  [SMALL_STATE(6476)] = 251020,
  [SMALL_STATE(6477)] = 251036,
  [SMALL_STATE(6478)] = 251050,
  [SMALL_STATE(6479)] = 251064,
  [SMALL_STATE(6480)] = 251080,
  [SMALL_STATE(6481)] = 251096,
  [SMALL_STATE(6482)] = 251112,
  [SMALL_STATE(6483)] = 251126,
  [SMALL_STATE(6484)] = 251140,
  [SMALL_STATE(6485)] = 251156,
  [SMALL_STATE(6486)] = 251172,
  [SMALL_STATE(6487)] = 251186,
  [SMALL_STATE(6488)] = 251202,
  [SMALL_STATE(6489)] = 251218,
  [SMALL_STATE(6490)] = 251232,
  [SMALL_STATE(6491)] = 251246,
  [SMALL_STATE(6492)] = 251262,
  [SMALL_STATE(6493)] = 251276,
  [SMALL_STATE(6494)] = 251292,
  [SMALL_STATE(6495)] = 251308,
  [SMALL_STATE(6496)] = 251322,
  [SMALL_STATE(6497)] = 251336,
  [SMALL_STATE(6498)] = 251350,
  [SMALL_STATE(6499)] = 251364,
  [SMALL_STATE(6500)] = 251378,
  [SMALL_STATE(6501)] = 251392,
  [SMALL_STATE(6502)] = 251406,
  [SMALL_STATE(6503)] = 251420,
  [SMALL_STATE(6504)] = 251436,
  [SMALL_STATE(6505)] = 251450,
  [SMALL_STATE(6506)] = 251464,
  [SMALL_STATE(6507)] = 251480,
  [SMALL_STATE(6508)] = 251496,
  [SMALL_STATE(6509)] = 251512,
  [SMALL_STATE(6510)] = 251528,
  [SMALL_STATE(6511)] = 251544,
  [SMALL_STATE(6512)] = 251558,
  [SMALL_STATE(6513)] = 251574,
  [SMALL_STATE(6514)] = 251588,
  [SMALL_STATE(6515)] = 251604,
  [SMALL_STATE(6516)] = 251618,
  [SMALL_STATE(6517)] = 251632,
  [SMALL_STATE(6518)] = 251648,
  [SMALL_STATE(6519)] = 251664,
  [SMALL_STATE(6520)] = 251678,
  [SMALL_STATE(6521)] = 251694,
  [SMALL_STATE(6522)] = 251710,
  [SMALL_STATE(6523)] = 251726,
  [SMALL_STATE(6524)] = 251742,
  [SMALL_STATE(6525)] = 251758,
  [SMALL_STATE(6526)] = 251774,
  [SMALL_STATE(6527)] = 251788,
  [SMALL_STATE(6528)] = 251802,
  [SMALL_STATE(6529)] = 251818,
  [SMALL_STATE(6530)] = 251834,
  [SMALL_STATE(6531)] = 251850,
  [SMALL_STATE(6532)] = 251866,
  [SMALL_STATE(6533)] = 251882,
  [SMALL_STATE(6534)] = 251896,
  [SMALL_STATE(6535)] = 251912,
  [SMALL_STATE(6536)] = 251928,
  [SMALL_STATE(6537)] = 251942,
  [SMALL_STATE(6538)] = 251956,
  [SMALL_STATE(6539)] = 251972,
  [SMALL_STATE(6540)] = 251986,
  [SMALL_STATE(6541)] = 252002,
  [SMALL_STATE(6542)] = 252018,
  [SMALL_STATE(6543)] = 252034,
  [SMALL_STATE(6544)] = 252048,
  [SMALL_STATE(6545)] = 252064,
  [SMALL_STATE(6546)] = 252080,
  [SMALL_STATE(6547)] = 252096,
  [SMALL_STATE(6548)] = 252112,
  [SMALL_STATE(6549)] = 252126,
  [SMALL_STATE(6550)] = 252140,
  [SMALL_STATE(6551)] = 252154,
  [SMALL_STATE(6552)] = 252168,
  [SMALL_STATE(6553)] = 252180,
  [SMALL_STATE(6554)] = 252196,
  [SMALL_STATE(6555)] = 252210,
  [SMALL_STATE(6556)] = 252226,
  [SMALL_STATE(6557)] = 252240,
  [SMALL_STATE(6558)] = 252254,
  [SMALL_STATE(6559)] = 252268,
  [SMALL_STATE(6560)] = 252284,
  [SMALL_STATE(6561)] = 252298,
  [SMALL_STATE(6562)] = 252312,
  [SMALL_STATE(6563)] = 252326,
  [SMALL_STATE(6564)] = 252342,
  [SMALL_STATE(6565)] = 252358,
  [SMALL_STATE(6566)] = 252374,
  [SMALL_STATE(6567)] = 252388,
  [SMALL_STATE(6568)] = 252398,
  [SMALL_STATE(6569)] = 252414,
  [SMALL_STATE(6570)] = 252430,
  [SMALL_STATE(6571)] = 252444,
  [SMALL_STATE(6572)] = 252458,
  [SMALL_STATE(6573)] = 252472,
  [SMALL_STATE(6574)] = 252488,
  [SMALL_STATE(6575)] = 252502,
  [SMALL_STATE(6576)] = 252516,
  [SMALL_STATE(6577)] = 252532,
  [SMALL_STATE(6578)] = 252546,
  [SMALL_STATE(6579)] = 252560,
  [SMALL_STATE(6580)] = 252574,
  [SMALL_STATE(6581)] = 252588,
  [SMALL_STATE(6582)] = 252602,
  [SMALL_STATE(6583)] = 252618,
  [SMALL_STATE(6584)] = 252632,
  [SMALL_STATE(6585)] = 252648,
  [SMALL_STATE(6586)] = 252664,
  [SMALL_STATE(6587)] = 252678,
  [SMALL_STATE(6588)] = 252692,
  [SMALL_STATE(6589)] = 252706,
  [SMALL_STATE(6590)] = 252720,
  [SMALL_STATE(6591)] = 252734,
  [SMALL_STATE(6592)] = 252750,
  [SMALL_STATE(6593)] = 252764,
  [SMALL_STATE(6594)] = 252778,
  [SMALL_STATE(6595)] = 252794,
  [SMALL_STATE(6596)] = 252808,
  [SMALL_STATE(6597)] = 252822,
  [SMALL_STATE(6598)] = 252836,
  [SMALL_STATE(6599)] = 252852,
  [SMALL_STATE(6600)] = 252868,
  [SMALL_STATE(6601)] = 252884,
  [SMALL_STATE(6602)] = 252900,
  [SMALL_STATE(6603)] = 252916,
  [SMALL_STATE(6604)] = 252932,
  [SMALL_STATE(6605)] = 252948,
  [SMALL_STATE(6606)] = 252962,
  [SMALL_STATE(6607)] = 252978,
  [SMALL_STATE(6608)] = 252994,
  [SMALL_STATE(6609)] = 253008,
  [SMALL_STATE(6610)] = 253024,
  [SMALL_STATE(6611)] = 253038,
  [SMALL_STATE(6612)] = 253052,
  [SMALL_STATE(6613)] = 253066,
  [SMALL_STATE(6614)] = 253080,
  [SMALL_STATE(6615)] = 253094,
  [SMALL_STATE(6616)] = 253110,
  [SMALL_STATE(6617)] = 253124,
  [SMALL_STATE(6618)] = 253140,
  [SMALL_STATE(6619)] = 253156,
  [SMALL_STATE(6620)] = 253172,
  [SMALL_STATE(6621)] = 253186,
  [SMALL_STATE(6622)] = 253202,
  [SMALL_STATE(6623)] = 253218,
  [SMALL_STATE(6624)] = 253234,
  [SMALL_STATE(6625)] = 253250,
  [SMALL_STATE(6626)] = 253264,
  [SMALL_STATE(6627)] = 253278,
  [SMALL_STATE(6628)] = 253294,
  [SMALL_STATE(6629)] = 253308,
  [SMALL_STATE(6630)] = 253324,
  [SMALL_STATE(6631)] = 253340,
  [SMALL_STATE(6632)] = 253354,
  [SMALL_STATE(6633)] = 253370,
  [SMALL_STATE(6634)] = 253386,
  [SMALL_STATE(6635)] = 253400,
  [SMALL_STATE(6636)] = 253416,
  [SMALL_STATE(6637)] = 253430,
  [SMALL_STATE(6638)] = 253446,
  [SMALL_STATE(6639)] = 253456,
  [SMALL_STATE(6640)] = 253472,
  [SMALL_STATE(6641)] = 253488,
  [SMALL_STATE(6642)] = 253504,
  [SMALL_STATE(6643)] = 253518,
  [SMALL_STATE(6644)] = 253534,
  [SMALL_STATE(6645)] = 253544,
  [SMALL_STATE(6646)] = 253558,
  [SMALL_STATE(6647)] = 253574,
  [SMALL_STATE(6648)] = 253590,
  [SMALL_STATE(6649)] = 253606,
  [SMALL_STATE(6650)] = 253622,
  [SMALL_STATE(6651)] = 253635,
  [SMALL_STATE(6652)] = 253648,
  [SMALL_STATE(6653)] = 253661,
  [SMALL_STATE(6654)] = 253674,
  [SMALL_STATE(6655)] = 253687,
  [SMALL_STATE(6656)] = 253700,
  [SMALL_STATE(6657)] = 253713,
  [SMALL_STATE(6658)] = 253724,
  [SMALL_STATE(6659)] = 253737,
  [SMALL_STATE(6660)] = 253750,
  [SMALL_STATE(6661)] = 253763,
  [SMALL_STATE(6662)] = 253776,
  [SMALL_STATE(6663)] = 253789,
  [SMALL_STATE(6664)] = 253802,
  [SMALL_STATE(6665)] = 253815,
  [SMALL_STATE(6666)] = 253828,
  [SMALL_STATE(6667)] = 253841,
  [SMALL_STATE(6668)] = 253854,
  [SMALL_STATE(6669)] = 253867,
  [SMALL_STATE(6670)] = 253876,
  [SMALL_STATE(6671)] = 253887,
  [SMALL_STATE(6672)] = 253900,
  [SMALL_STATE(6673)] = 253913,
  [SMALL_STATE(6674)] = 253926,
  [SMALL_STATE(6675)] = 253937,
  [SMALL_STATE(6676)] = 253950,
  [SMALL_STATE(6677)] = 253963,
  [SMALL_STATE(6678)] = 253976,
  [SMALL_STATE(6679)] = 253989,
  [SMALL_STATE(6680)] = 254002,
  [SMALL_STATE(6681)] = 254015,
  [SMALL_STATE(6682)] = 254028,
  [SMALL_STATE(6683)] = 254041,
  [SMALL_STATE(6684)] = 254054,
  [SMALL_STATE(6685)] = 254067,
  [SMALL_STATE(6686)] = 254080,
  [SMALL_STATE(6687)] = 254093,
  [SMALL_STATE(6688)] = 254106,
  [SMALL_STATE(6689)] = 254119,
  [SMALL_STATE(6690)] = 254132,
  [SMALL_STATE(6691)] = 254145,
  [SMALL_STATE(6692)] = 254158,
  [SMALL_STATE(6693)] = 254169,
  [SMALL_STATE(6694)] = 254178,
  [SMALL_STATE(6695)] = 254187,
  [SMALL_STATE(6696)] = 254200,
  [SMALL_STATE(6697)] = 254213,
  [SMALL_STATE(6698)] = 254226,
  [SMALL_STATE(6699)] = 254239,
  [SMALL_STATE(6700)] = 254252,
  [SMALL_STATE(6701)] = 254265,
  [SMALL_STATE(6702)] = 254278,
  [SMALL_STATE(6703)] = 254291,
  [SMALL_STATE(6704)] = 254304,
  [SMALL_STATE(6705)] = 254317,
  [SMALL_STATE(6706)] = 254330,
  [SMALL_STATE(6707)] = 254343,
  [SMALL_STATE(6708)] = 254356,
  [SMALL_STATE(6709)] = 254369,
  [SMALL_STATE(6710)] = 254382,
  [SMALL_STATE(6711)] = 254395,
  [SMALL_STATE(6712)] = 254408,
  [SMALL_STATE(6713)] = 254421,
  [SMALL_STATE(6714)] = 254430,
  [SMALL_STATE(6715)] = 254443,
  [SMALL_STATE(6716)] = 254456,
  [SMALL_STATE(6717)] = 254469,
  [SMALL_STATE(6718)] = 254482,
  [SMALL_STATE(6719)] = 254495,
  [SMALL_STATE(6720)] = 254508,
  [SMALL_STATE(6721)] = 254521,
  [SMALL_STATE(6722)] = 254534,
  [SMALL_STATE(6723)] = 254547,
  [SMALL_STATE(6724)] = 254560,
  [SMALL_STATE(6725)] = 254573,
  [SMALL_STATE(6726)] = 254586,
  [SMALL_STATE(6727)] = 254599,
  [SMALL_STATE(6728)] = 254612,
  [SMALL_STATE(6729)] = 254625,
  [SMALL_STATE(6730)] = 254634,
  [SMALL_STATE(6731)] = 254647,
  [SMALL_STATE(6732)] = 254660,
  [SMALL_STATE(6733)] = 254673,
  [SMALL_STATE(6734)] = 254686,
  [SMALL_STATE(6735)] = 254699,
  [SMALL_STATE(6736)] = 254708,
  [SMALL_STATE(6737)] = 254721,
  [SMALL_STATE(6738)] = 254734,
  [SMALL_STATE(6739)] = 254747,
  [SMALL_STATE(6740)] = 254760,
  [SMALL_STATE(6741)] = 254773,
  [SMALL_STATE(6742)] = 254786,
  [SMALL_STATE(6743)] = 254799,
  [SMALL_STATE(6744)] = 254810,
  [SMALL_STATE(6745)] = 254823,
  [SMALL_STATE(6746)] = 254836,
  [SMALL_STATE(6747)] = 254849,
  [SMALL_STATE(6748)] = 254862,
  [SMALL_STATE(6749)] = 254875,
  [SMALL_STATE(6750)] = 254888,
  [SMALL_STATE(6751)] = 254901,
  [SMALL_STATE(6752)] = 254914,
  [SMALL_STATE(6753)] = 254927,
  [SMALL_STATE(6754)] = 254940,
  [SMALL_STATE(6755)] = 254953,
  [SMALL_STATE(6756)] = 254964,
  [SMALL_STATE(6757)] = 254977,
  [SMALL_STATE(6758)] = 254990,
  [SMALL_STATE(6759)] = 255003,
  [SMALL_STATE(6760)] = 255016,
  [SMALL_STATE(6761)] = 255029,
  [SMALL_STATE(6762)] = 255042,
  [SMALL_STATE(6763)] = 255055,
  [SMALL_STATE(6764)] = 255068,
  [SMALL_STATE(6765)] = 255081,
  [SMALL_STATE(6766)] = 255094,
  [SMALL_STATE(6767)] = 255107,
  [SMALL_STATE(6768)] = 255120,
  [SMALL_STATE(6769)] = 255133,
  [SMALL_STATE(6770)] = 255146,
  [SMALL_STATE(6771)] = 255159,
  [SMALL_STATE(6772)] = 255172,
  [SMALL_STATE(6773)] = 255185,
  [SMALL_STATE(6774)] = 255198,
  [SMALL_STATE(6775)] = 255211,
  [SMALL_STATE(6776)] = 255224,
  [SMALL_STATE(6777)] = 255237,
  [SMALL_STATE(6778)] = 255250,
  [SMALL_STATE(6779)] = 255263,
  [SMALL_STATE(6780)] = 255274,
  [SMALL_STATE(6781)] = 255287,
  [SMALL_STATE(6782)] = 255300,
  [SMALL_STATE(6783)] = 255313,
  [SMALL_STATE(6784)] = 255324,
  [SMALL_STATE(6785)] = 255335,
  [SMALL_STATE(6786)] = 255346,
  [SMALL_STATE(6787)] = 255359,
  [SMALL_STATE(6788)] = 255372,
  [SMALL_STATE(6789)] = 255385,
  [SMALL_STATE(6790)] = 255398,
  [SMALL_STATE(6791)] = 255409,
  [SMALL_STATE(6792)] = 255422,
  [SMALL_STATE(6793)] = 255435,
  [SMALL_STATE(6794)] = 255448,
  [SMALL_STATE(6795)] = 255457,
  [SMALL_STATE(6796)] = 255470,
  [SMALL_STATE(6797)] = 255483,
  [SMALL_STATE(6798)] = 255496,
  [SMALL_STATE(6799)] = 255509,
  [SMALL_STATE(6800)] = 255522,
  [SMALL_STATE(6801)] = 255535,
  [SMALL_STATE(6802)] = 255548,
  [SMALL_STATE(6803)] = 255561,
  [SMALL_STATE(6804)] = 255574,
  [SMALL_STATE(6805)] = 255587,
  [SMALL_STATE(6806)] = 255600,
  [SMALL_STATE(6807)] = 255613,
  [SMALL_STATE(6808)] = 255626,
  [SMALL_STATE(6809)] = 255639,
  [SMALL_STATE(6810)] = 255652,
  [SMALL_STATE(6811)] = 255665,
  [SMALL_STATE(6812)] = 255676,
  [SMALL_STATE(6813)] = 255687,
  [SMALL_STATE(6814)] = 255700,
  [SMALL_STATE(6815)] = 255713,
  [SMALL_STATE(6816)] = 255726,
  [SMALL_STATE(6817)] = 255739,
  [SMALL_STATE(6818)] = 255752,
  [SMALL_STATE(6819)] = 255765,
  [SMALL_STATE(6820)] = 255778,
  [SMALL_STATE(6821)] = 255787,
  [SMALL_STATE(6822)] = 255800,
  [SMALL_STATE(6823)] = 255813,
  [SMALL_STATE(6824)] = 255826,
  [SMALL_STATE(6825)] = 255839,
  [SMALL_STATE(6826)] = 255852,
  [SMALL_STATE(6827)] = 255865,
  [SMALL_STATE(6828)] = 255876,
  [SMALL_STATE(6829)] = 255889,
  [SMALL_STATE(6830)] = 255902,
  [SMALL_STATE(6831)] = 255915,
  [SMALL_STATE(6832)] = 255928,
  [SMALL_STATE(6833)] = 255939,
  [SMALL_STATE(6834)] = 255952,
  [SMALL_STATE(6835)] = 255965,
  [SMALL_STATE(6836)] = 255978,
  [SMALL_STATE(6837)] = 255991,
  [SMALL_STATE(6838)] = 256004,
  [SMALL_STATE(6839)] = 256017,
  [SMALL_STATE(6840)] = 256030,
  [SMALL_STATE(6841)] = 256043,
  [SMALL_STATE(6842)] = 256056,
  [SMALL_STATE(6843)] = 256069,
  [SMALL_STATE(6844)] = 256082,
  [SMALL_STATE(6845)] = 256095,
  [SMALL_STATE(6846)] = 256108,
  [SMALL_STATE(6847)] = 256121,
  [SMALL_STATE(6848)] = 256134,
  [SMALL_STATE(6849)] = 256147,
  [SMALL_STATE(6850)] = 256160,
  [SMALL_STATE(6851)] = 256173,
  [SMALL_STATE(6852)] = 256184,
  [SMALL_STATE(6853)] = 256197,
  [SMALL_STATE(6854)] = 256210,
  [SMALL_STATE(6855)] = 256223,
  [SMALL_STATE(6856)] = 256236,
  [SMALL_STATE(6857)] = 256249,
  [SMALL_STATE(6858)] = 256260,
  [SMALL_STATE(6859)] = 256273,
  [SMALL_STATE(6860)] = 256286,
  [SMALL_STATE(6861)] = 256299,
  [SMALL_STATE(6862)] = 256312,
  [SMALL_STATE(6863)] = 256325,
  [SMALL_STATE(6864)] = 256338,
  [SMALL_STATE(6865)] = 256349,
  [SMALL_STATE(6866)] = 256362,
  [SMALL_STATE(6867)] = 256375,
  [SMALL_STATE(6868)] = 256386,
  [SMALL_STATE(6869)] = 256399,
  [SMALL_STATE(6870)] = 256412,
  [SMALL_STATE(6871)] = 256425,
  [SMALL_STATE(6872)] = 256438,
  [SMALL_STATE(6873)] = 256447,
  [SMALL_STATE(6874)] = 256456,
  [SMALL_STATE(6875)] = 256469,
  [SMALL_STATE(6876)] = 256482,
  [SMALL_STATE(6877)] = 256495,
  [SMALL_STATE(6878)] = 256508,
  [SMALL_STATE(6879)] = 256521,
  [SMALL_STATE(6880)] = 256534,
  [SMALL_STATE(6881)] = 256547,
  [SMALL_STATE(6882)] = 256560,
  [SMALL_STATE(6883)] = 256573,
  [SMALL_STATE(6884)] = 256586,
  [SMALL_STATE(6885)] = 256597,
  [SMALL_STATE(6886)] = 256608,
  [SMALL_STATE(6887)] = 256619,
  [SMALL_STATE(6888)] = 256632,
  [SMALL_STATE(6889)] = 256643,
  [SMALL_STATE(6890)] = 256656,
  [SMALL_STATE(6891)] = 256667,
  [SMALL_STATE(6892)] = 256680,
  [SMALL_STATE(6893)] = 256693,
  [SMALL_STATE(6894)] = 256706,
  [SMALL_STATE(6895)] = 256719,
  [SMALL_STATE(6896)] = 256732,
  [SMALL_STATE(6897)] = 256745,
  [SMALL_STATE(6898)] = 256758,
  [SMALL_STATE(6899)] = 256769,
  [SMALL_STATE(6900)] = 256782,
  [SMALL_STATE(6901)] = 256795,
  [SMALL_STATE(6902)] = 256806,
  [SMALL_STATE(6903)] = 256819,
  [SMALL_STATE(6904)] = 256828,
  [SMALL_STATE(6905)] = 256841,
  [SMALL_STATE(6906)] = 256854,
  [SMALL_STATE(6907)] = 256867,
  [SMALL_STATE(6908)] = 256880,
  [SMALL_STATE(6909)] = 256893,
  [SMALL_STATE(6910)] = 256906,
  [SMALL_STATE(6911)] = 256919,
  [SMALL_STATE(6912)] = 256932,
  [SMALL_STATE(6913)] = 256945,
  [SMALL_STATE(6914)] = 256958,
  [SMALL_STATE(6915)] = 256969,
  [SMALL_STATE(6916)] = 256982,
  [SMALL_STATE(6917)] = 256995,
  [SMALL_STATE(6918)] = 257008,
  [SMALL_STATE(6919)] = 257019,
  [SMALL_STATE(6920)] = 257032,
  [SMALL_STATE(6921)] = 257045,
  [SMALL_STATE(6922)] = 257058,
  [SMALL_STATE(6923)] = 257069,
  [SMALL_STATE(6924)] = 257082,
  [SMALL_STATE(6925)] = 257095,
  [SMALL_STATE(6926)] = 257108,
  [SMALL_STATE(6927)] = 257121,
  [SMALL_STATE(6928)] = 257134,
  [SMALL_STATE(6929)] = 257147,
  [SMALL_STATE(6930)] = 257160,
  [SMALL_STATE(6931)] = 257173,
  [SMALL_STATE(6932)] = 257184,
  [SMALL_STATE(6933)] = 257197,
  [SMALL_STATE(6934)] = 257210,
  [SMALL_STATE(6935)] = 257223,
  [SMALL_STATE(6936)] = 257236,
  [SMALL_STATE(6937)] = 257249,
  [SMALL_STATE(6938)] = 257262,
  [SMALL_STATE(6939)] = 257275,
  [SMALL_STATE(6940)] = 257288,
  [SMALL_STATE(6941)] = 257299,
  [SMALL_STATE(6942)] = 257310,
  [SMALL_STATE(6943)] = 257323,
  [SMALL_STATE(6944)] = 257336,
  [SMALL_STATE(6945)] = 257349,
  [SMALL_STATE(6946)] = 257358,
  [SMALL_STATE(6947)] = 257371,
  [SMALL_STATE(6948)] = 257384,
  [SMALL_STATE(6949)] = 257397,
  [SMALL_STATE(6950)] = 257410,
  [SMALL_STATE(6951)] = 257423,
  [SMALL_STATE(6952)] = 257434,
  [SMALL_STATE(6953)] = 257447,
  [SMALL_STATE(6954)] = 257460,
  [SMALL_STATE(6955)] = 257471,
  [SMALL_STATE(6956)] = 257484,
  [SMALL_STATE(6957)] = 257497,
  [SMALL_STATE(6958)] = 257508,
  [SMALL_STATE(6959)] = 257519,
  [SMALL_STATE(6960)] = 257530,
  [SMALL_STATE(6961)] = 257543,
  [SMALL_STATE(6962)] = 257556,
  [SMALL_STATE(6963)] = 257569,
  [SMALL_STATE(6964)] = 257582,
  [SMALL_STATE(6965)] = 257593,
  [SMALL_STATE(6966)] = 257606,
  [SMALL_STATE(6967)] = 257619,
  [SMALL_STATE(6968)] = 257632,
  [SMALL_STATE(6969)] = 257645,
  [SMALL_STATE(6970)] = 257654,
  [SMALL_STATE(6971)] = 257667,
  [SMALL_STATE(6972)] = 257676,
  [SMALL_STATE(6973)] = 257687,
  [SMALL_STATE(6974)] = 257700,
  [SMALL_STATE(6975)] = 257713,
  [SMALL_STATE(6976)] = 257726,
  [SMALL_STATE(6977)] = 257739,
  [SMALL_STATE(6978)] = 257752,
  [SMALL_STATE(6979)] = 257765,
  [SMALL_STATE(6980)] = 257778,
  [SMALL_STATE(6981)] = 257791,
  [SMALL_STATE(6982)] = 257804,
  [SMALL_STATE(6983)] = 257817,
  [SMALL_STATE(6984)] = 257830,
  [SMALL_STATE(6985)] = 257843,
  [SMALL_STATE(6986)] = 257856,
  [SMALL_STATE(6987)] = 257869,
  [SMALL_STATE(6988)] = 257880,
  [SMALL_STATE(6989)] = 257891,
  [SMALL_STATE(6990)] = 257904,
  [SMALL_STATE(6991)] = 257913,
  [SMALL_STATE(6992)] = 257926,
  [SMALL_STATE(6993)] = 257939,
  [SMALL_STATE(6994)] = 257952,
  [SMALL_STATE(6995)] = 257961,
  [SMALL_STATE(6996)] = 257970,
  [SMALL_STATE(6997)] = 257983,
  [SMALL_STATE(6998)] = 257996,
  [SMALL_STATE(6999)] = 258007,
  [SMALL_STATE(7000)] = 258020,
  [SMALL_STATE(7001)] = 258033,
  [SMALL_STATE(7002)] = 258046,
  [SMALL_STATE(7003)] = 258057,
  [SMALL_STATE(7004)] = 258066,
  [SMALL_STATE(7005)] = 258079,
  [SMALL_STATE(7006)] = 258088,
  [SMALL_STATE(7007)] = 258099,
  [SMALL_STATE(7008)] = 258112,
  [SMALL_STATE(7009)] = 258125,
  [SMALL_STATE(7010)] = 258138,
  [SMALL_STATE(7011)] = 258151,
  [SMALL_STATE(7012)] = 258164,
  [SMALL_STATE(7013)] = 258177,
  [SMALL_STATE(7014)] = 258190,
  [SMALL_STATE(7015)] = 258203,
  [SMALL_STATE(7016)] = 258216,
  [SMALL_STATE(7017)] = 258229,
  [SMALL_STATE(7018)] = 258242,
  [SMALL_STATE(7019)] = 258255,
  [SMALL_STATE(7020)] = 258268,
  [SMALL_STATE(7021)] = 258281,
  [SMALL_STATE(7022)] = 258292,
  [SMALL_STATE(7023)] = 258305,
  [SMALL_STATE(7024)] = 258318,
  [SMALL_STATE(7025)] = 258331,
  [SMALL_STATE(7026)] = 258344,
  [SMALL_STATE(7027)] = 258357,
  [SMALL_STATE(7028)] = 258370,
  [SMALL_STATE(7029)] = 258383,
  [SMALL_STATE(7030)] = 258396,
  [SMALL_STATE(7031)] = 258409,
  [SMALL_STATE(7032)] = 258422,
  [SMALL_STATE(7033)] = 258433,
  [SMALL_STATE(7034)] = 258446,
  [SMALL_STATE(7035)] = 258459,
  [SMALL_STATE(7036)] = 258468,
  [SMALL_STATE(7037)] = 258481,
  [SMALL_STATE(7038)] = 258494,
  [SMALL_STATE(7039)] = 258507,
  [SMALL_STATE(7040)] = 258520,
  [SMALL_STATE(7041)] = 258533,
  [SMALL_STATE(7042)] = 258544,
  [SMALL_STATE(7043)] = 258557,
  [SMALL_STATE(7044)] = 258570,
  [SMALL_STATE(7045)] = 258583,
  [SMALL_STATE(7046)] = 258596,
  [SMALL_STATE(7047)] = 258609,
  [SMALL_STATE(7048)] = 258622,
  [SMALL_STATE(7049)] = 258633,
  [SMALL_STATE(7050)] = 258643,
  [SMALL_STATE(7051)] = 258653,
  [SMALL_STATE(7052)] = 258663,
  [SMALL_STATE(7053)] = 258673,
  [SMALL_STATE(7054)] = 258683,
  [SMALL_STATE(7055)] = 258693,
  [SMALL_STATE(7056)] = 258703,
  [SMALL_STATE(7057)] = 258711,
  [SMALL_STATE(7058)] = 258721,
  [SMALL_STATE(7059)] = 258731,
  [SMALL_STATE(7060)] = 258741,
  [SMALL_STATE(7061)] = 258751,
  [SMALL_STATE(7062)] = 258761,
  [SMALL_STATE(7063)] = 258771,
  [SMALL_STATE(7064)] = 258781,
  [SMALL_STATE(7065)] = 258791,
  [SMALL_STATE(7066)] = 258801,
  [SMALL_STATE(7067)] = 258811,
  [SMALL_STATE(7068)] = 258821,
  [SMALL_STATE(7069)] = 258831,
  [SMALL_STATE(7070)] = 258841,
  [SMALL_STATE(7071)] = 258851,
  [SMALL_STATE(7072)] = 258861,
  [SMALL_STATE(7073)] = 258871,
  [SMALL_STATE(7074)] = 258881,
  [SMALL_STATE(7075)] = 258891,
  [SMALL_STATE(7076)] = 258901,
  [SMALL_STATE(7077)] = 258911,
  [SMALL_STATE(7078)] = 258921,
  [SMALL_STATE(7079)] = 258931,
  [SMALL_STATE(7080)] = 258941,
  [SMALL_STATE(7081)] = 258951,
  [SMALL_STATE(7082)] = 258959,
  [SMALL_STATE(7083)] = 258969,
  [SMALL_STATE(7084)] = 258979,
  [SMALL_STATE(7085)] = 258989,
  [SMALL_STATE(7086)] = 258999,
  [SMALL_STATE(7087)] = 259009,
  [SMALL_STATE(7088)] = 259019,
  [SMALL_STATE(7089)] = 259029,
  [SMALL_STATE(7090)] = 259039,
  [SMALL_STATE(7091)] = 259049,
  [SMALL_STATE(7092)] = 259059,
  [SMALL_STATE(7093)] = 259069,
  [SMALL_STATE(7094)] = 259079,
  [SMALL_STATE(7095)] = 259089,
  [SMALL_STATE(7096)] = 259097,
  [SMALL_STATE(7097)] = 259105,
  [SMALL_STATE(7098)] = 259115,
  [SMALL_STATE(7099)] = 259125,
  [SMALL_STATE(7100)] = 259135,
  [SMALL_STATE(7101)] = 259145,
  [SMALL_STATE(7102)] = 259155,
  [SMALL_STATE(7103)] = 259165,
  [SMALL_STATE(7104)] = 259175,
  [SMALL_STATE(7105)] = 259185,
  [SMALL_STATE(7106)] = 259195,
  [SMALL_STATE(7107)] = 259205,
  [SMALL_STATE(7108)] = 259215,
  [SMALL_STATE(7109)] = 259225,
  [SMALL_STATE(7110)] = 259235,
  [SMALL_STATE(7111)] = 259243,
  [SMALL_STATE(7112)] = 259253,
  [SMALL_STATE(7113)] = 259263,
  [SMALL_STATE(7114)] = 259273,
  [SMALL_STATE(7115)] = 259281,
  [SMALL_STATE(7116)] = 259291,
  [SMALL_STATE(7117)] = 259301,
  [SMALL_STATE(7118)] = 259311,
  [SMALL_STATE(7119)] = 259321,
  [SMALL_STATE(7120)] = 259331,
  [SMALL_STATE(7121)] = 259341,
  [SMALL_STATE(7122)] = 259351,
  [SMALL_STATE(7123)] = 259361,
  [SMALL_STATE(7124)] = 259371,
  [SMALL_STATE(7125)] = 259381,
  [SMALL_STATE(7126)] = 259391,
  [SMALL_STATE(7127)] = 259399,
  [SMALL_STATE(7128)] = 259409,
  [SMALL_STATE(7129)] = 259417,
  [SMALL_STATE(7130)] = 259425,
  [SMALL_STATE(7131)] = 259435,
  [SMALL_STATE(7132)] = 259445,
  [SMALL_STATE(7133)] = 259453,
  [SMALL_STATE(7134)] = 259463,
  [SMALL_STATE(7135)] = 259473,
  [SMALL_STATE(7136)] = 259483,
  [SMALL_STATE(7137)] = 259493,
  [SMALL_STATE(7138)] = 259503,
  [SMALL_STATE(7139)] = 259513,
  [SMALL_STATE(7140)] = 259521,
  [SMALL_STATE(7141)] = 259529,
  [SMALL_STATE(7142)] = 259539,
  [SMALL_STATE(7143)] = 259549,
  [SMALL_STATE(7144)] = 259559,
  [SMALL_STATE(7145)] = 259569,
  [SMALL_STATE(7146)] = 259579,
  [SMALL_STATE(7147)] = 259589,
  [SMALL_STATE(7148)] = 259597,
  [SMALL_STATE(7149)] = 259607,
  [SMALL_STATE(7150)] = 259617,
  [SMALL_STATE(7151)] = 259627,
  [SMALL_STATE(7152)] = 259637,
  [SMALL_STATE(7153)] = 259647,
  [SMALL_STATE(7154)] = 259657,
  [SMALL_STATE(7155)] = 259667,
  [SMALL_STATE(7156)] = 259677,
  [SMALL_STATE(7157)] = 259687,
  [SMALL_STATE(7158)] = 259697,
  [SMALL_STATE(7159)] = 259707,
  [SMALL_STATE(7160)] = 259715,
  [SMALL_STATE(7161)] = 259725,
  [SMALL_STATE(7162)] = 259735,
  [SMALL_STATE(7163)] = 259745,
  [SMALL_STATE(7164)] = 259755,
  [SMALL_STATE(7165)] = 259765,
  [SMALL_STATE(7166)] = 259775,
  [SMALL_STATE(7167)] = 259785,
  [SMALL_STATE(7168)] = 259795,
  [SMALL_STATE(7169)] = 259805,
  [SMALL_STATE(7170)] = 259813,
  [SMALL_STATE(7171)] = 259823,
  [SMALL_STATE(7172)] = 259833,
  [SMALL_STATE(7173)] = 259843,
  [SMALL_STATE(7174)] = 259853,
  [SMALL_STATE(7175)] = 259863,
  [SMALL_STATE(7176)] = 259873,
  [SMALL_STATE(7177)] = 259883,
  [SMALL_STATE(7178)] = 259893,
  [SMALL_STATE(7179)] = 259901,
  [SMALL_STATE(7180)] = 259911,
  [SMALL_STATE(7181)] = 259921,
  [SMALL_STATE(7182)] = 259931,
  [SMALL_STATE(7183)] = 259941,
  [SMALL_STATE(7184)] = 259951,
  [SMALL_STATE(7185)] = 259961,
  [SMALL_STATE(7186)] = 259971,
  [SMALL_STATE(7187)] = 259981,
  [SMALL_STATE(7188)] = 259991,
  [SMALL_STATE(7189)] = 260001,
  [SMALL_STATE(7190)] = 260011,
  [SMALL_STATE(7191)] = 260021,
  [SMALL_STATE(7192)] = 260031,
  [SMALL_STATE(7193)] = 260041,
  [SMALL_STATE(7194)] = 260049,
  [SMALL_STATE(7195)] = 260057,
  [SMALL_STATE(7196)] = 260067,
  [SMALL_STATE(7197)] = 260077,
  [SMALL_STATE(7198)] = 260087,
  [SMALL_STATE(7199)] = 260097,
  [SMALL_STATE(7200)] = 260107,
  [SMALL_STATE(7201)] = 260117,
  [SMALL_STATE(7202)] = 260127,
  [SMALL_STATE(7203)] = 260135,
  [SMALL_STATE(7204)] = 260145,
  [SMALL_STATE(7205)] = 260155,
  [SMALL_STATE(7206)] = 260165,
  [SMALL_STATE(7207)] = 260175,
  [SMALL_STATE(7208)] = 260185,
  [SMALL_STATE(7209)] = 260195,
  [SMALL_STATE(7210)] = 260205,
  [SMALL_STATE(7211)] = 260215,
  [SMALL_STATE(7212)] = 260225,
  [SMALL_STATE(7213)] = 260235,
  [SMALL_STATE(7214)] = 260245,
  [SMALL_STATE(7215)] = 260255,
  [SMALL_STATE(7216)] = 260263,
  [SMALL_STATE(7217)] = 260273,
  [SMALL_STATE(7218)] = 260283,
  [SMALL_STATE(7219)] = 260293,
  [SMALL_STATE(7220)] = 260303,
  [SMALL_STATE(7221)] = 260313,
  [SMALL_STATE(7222)] = 260323,
  [SMALL_STATE(7223)] = 260333,
  [SMALL_STATE(7224)] = 260343,
  [SMALL_STATE(7225)] = 260351,
  [SMALL_STATE(7226)] = 260359,
  [SMALL_STATE(7227)] = 260369,
  [SMALL_STATE(7228)] = 260379,
  [SMALL_STATE(7229)] = 260389,
  [SMALL_STATE(7230)] = 260397,
  [SMALL_STATE(7231)] = 260407,
  [SMALL_STATE(7232)] = 260417,
  [SMALL_STATE(7233)] = 260427,
  [SMALL_STATE(7234)] = 260437,
  [SMALL_STATE(7235)] = 260445,
  [SMALL_STATE(7236)] = 260455,
  [SMALL_STATE(7237)] = 260465,
  [SMALL_STATE(7238)] = 260475,
  [SMALL_STATE(7239)] = 260485,
  [SMALL_STATE(7240)] = 260495,
  [SMALL_STATE(7241)] = 260505,
  [SMALL_STATE(7242)] = 260515,
  [SMALL_STATE(7243)] = 260525,
  [SMALL_STATE(7244)] = 260535,
  [SMALL_STATE(7245)] = 260545,
  [SMALL_STATE(7246)] = 260555,
  [SMALL_STATE(7247)] = 260565,
  [SMALL_STATE(7248)] = 260573,
  [SMALL_STATE(7249)] = 260583,
  [SMALL_STATE(7250)] = 260591,
  [SMALL_STATE(7251)] = 260601,
  [SMALL_STATE(7252)] = 260611,
  [SMALL_STATE(7253)] = 260621,
  [SMALL_STATE(7254)] = 260631,
  [SMALL_STATE(7255)] = 260641,
  [SMALL_STATE(7256)] = 260649,
  [SMALL_STATE(7257)] = 260657,
  [SMALL_STATE(7258)] = 260667,
  [SMALL_STATE(7259)] = 260677,
  [SMALL_STATE(7260)] = 260687,
  [SMALL_STATE(7261)] = 260697,
  [SMALL_STATE(7262)] = 260707,
  [SMALL_STATE(7263)] = 260717,
  [SMALL_STATE(7264)] = 260725,
  [SMALL_STATE(7265)] = 260733,
  [SMALL_STATE(7266)] = 260743,
  [SMALL_STATE(7267)] = 260753,
  [SMALL_STATE(7268)] = 260763,
  [SMALL_STATE(7269)] = 260773,
  [SMALL_STATE(7270)] = 260783,
  [SMALL_STATE(7271)] = 260791,
  [SMALL_STATE(7272)] = 260801,
  [SMALL_STATE(7273)] = 260811,
  [SMALL_STATE(7274)] = 260821,
  [SMALL_STATE(7275)] = 260831,
  [SMALL_STATE(7276)] = 260841,
  [SMALL_STATE(7277)] = 260849,
  [SMALL_STATE(7278)] = 260859,
  [SMALL_STATE(7279)] = 260867,
  [SMALL_STATE(7280)] = 260877,
  [SMALL_STATE(7281)] = 260887,
  [SMALL_STATE(7282)] = 260895,
  [SMALL_STATE(7283)] = 260905,
  [SMALL_STATE(7284)] = 260915,
  [SMALL_STATE(7285)] = 260925,
  [SMALL_STATE(7286)] = 260933,
  [SMALL_STATE(7287)] = 260943,
  [SMALL_STATE(7288)] = 260953,
  [SMALL_STATE(7289)] = 260963,
  [SMALL_STATE(7290)] = 260973,
  [SMALL_STATE(7291)] = 260983,
  [SMALL_STATE(7292)] = 260993,
  [SMALL_STATE(7293)] = 261003,
  [SMALL_STATE(7294)] = 261013,
  [SMALL_STATE(7295)] = 261023,
  [SMALL_STATE(7296)] = 261033,
  [SMALL_STATE(7297)] = 261043,
  [SMALL_STATE(7298)] = 261053,
  [SMALL_STATE(7299)] = 261063,
  [SMALL_STATE(7300)] = 261073,
  [SMALL_STATE(7301)] = 261083,
  [SMALL_STATE(7302)] = 261093,
  [SMALL_STATE(7303)] = 261103,
  [SMALL_STATE(7304)] = 261113,
  [SMALL_STATE(7305)] = 261123,
  [SMALL_STATE(7306)] = 261133,
  [SMALL_STATE(7307)] = 261143,
  [SMALL_STATE(7308)] = 261153,
  [SMALL_STATE(7309)] = 261163,
  [SMALL_STATE(7310)] = 261173,
  [SMALL_STATE(7311)] = 261183,
  [SMALL_STATE(7312)] = 261191,
  [SMALL_STATE(7313)] = 261201,
  [SMALL_STATE(7314)] = 261211,
  [SMALL_STATE(7315)] = 261221,
  [SMALL_STATE(7316)] = 261231,
  [SMALL_STATE(7317)] = 261241,
  [SMALL_STATE(7318)] = 261249,
  [SMALL_STATE(7319)] = 261259,
  [SMALL_STATE(7320)] = 261269,
  [SMALL_STATE(7321)] = 261279,
  [SMALL_STATE(7322)] = 261289,
  [SMALL_STATE(7323)] = 261299,
  [SMALL_STATE(7324)] = 261309,
  [SMALL_STATE(7325)] = 261319,
  [SMALL_STATE(7326)] = 261329,
  [SMALL_STATE(7327)] = 261339,
  [SMALL_STATE(7328)] = 261349,
  [SMALL_STATE(7329)] = 261359,
  [SMALL_STATE(7330)] = 261369,
  [SMALL_STATE(7331)] = 261379,
  [SMALL_STATE(7332)] = 261389,
  [SMALL_STATE(7333)] = 261399,
  [SMALL_STATE(7334)] = 261409,
  [SMALL_STATE(7335)] = 261419,
  [SMALL_STATE(7336)] = 261429,
  [SMALL_STATE(7337)] = 261439,
  [SMALL_STATE(7338)] = 261449,
  [SMALL_STATE(7339)] = 261459,
  [SMALL_STATE(7340)] = 261469,
  [SMALL_STATE(7341)] = 261479,
  [SMALL_STATE(7342)] = 261487,
  [SMALL_STATE(7343)] = 261497,
  [SMALL_STATE(7344)] = 261507,
  [SMALL_STATE(7345)] = 261517,
  [SMALL_STATE(7346)] = 261525,
  [SMALL_STATE(7347)] = 261535,
  [SMALL_STATE(7348)] = 261545,
  [SMALL_STATE(7349)] = 261555,
  [SMALL_STATE(7350)] = 261565,
  [SMALL_STATE(7351)] = 261575,
  [SMALL_STATE(7352)] = 261585,
  [SMALL_STATE(7353)] = 261595,
  [SMALL_STATE(7354)] = 261605,
  [SMALL_STATE(7355)] = 261615,
  [SMALL_STATE(7356)] = 261623,
  [SMALL_STATE(7357)] = 261631,
  [SMALL_STATE(7358)] = 261641,
  [SMALL_STATE(7359)] = 261651,
  [SMALL_STATE(7360)] = 261661,
  [SMALL_STATE(7361)] = 261671,
  [SMALL_STATE(7362)] = 261679,
  [SMALL_STATE(7363)] = 261689,
  [SMALL_STATE(7364)] = 261699,
  [SMALL_STATE(7365)] = 261709,
  [SMALL_STATE(7366)] = 261719,
  [SMALL_STATE(7367)] = 261729,
  [SMALL_STATE(7368)] = 261739,
  [SMALL_STATE(7369)] = 261749,
  [SMALL_STATE(7370)] = 261757,
  [SMALL_STATE(7371)] = 261767,
  [SMALL_STATE(7372)] = 261777,
  [SMALL_STATE(7373)] = 261787,
  [SMALL_STATE(7374)] = 261797,
  [SMALL_STATE(7375)] = 261807,
  [SMALL_STATE(7376)] = 261817,
  [SMALL_STATE(7377)] = 261827,
  [SMALL_STATE(7378)] = 261837,
  [SMALL_STATE(7379)] = 261847,
  [SMALL_STATE(7380)] = 261857,
  [SMALL_STATE(7381)] = 261867,
  [SMALL_STATE(7382)] = 261877,
  [SMALL_STATE(7383)] = 261887,
  [SMALL_STATE(7384)] = 261897,
  [SMALL_STATE(7385)] = 261907,
  [SMALL_STATE(7386)] = 261917,
  [SMALL_STATE(7387)] = 261927,
  [SMALL_STATE(7388)] = 261935,
  [SMALL_STATE(7389)] = 261942,
  [SMALL_STATE(7390)] = 261949,
  [SMALL_STATE(7391)] = 261956,
  [SMALL_STATE(7392)] = 261963,
  [SMALL_STATE(7393)] = 261970,
  [SMALL_STATE(7394)] = 261977,
  [SMALL_STATE(7395)] = 261984,
  [SMALL_STATE(7396)] = 261991,
  [SMALL_STATE(7397)] = 261998,
  [SMALL_STATE(7398)] = 262005,
  [SMALL_STATE(7399)] = 262012,
  [SMALL_STATE(7400)] = 262019,
  [SMALL_STATE(7401)] = 262026,
  [SMALL_STATE(7402)] = 262033,
  [SMALL_STATE(7403)] = 262040,
  [SMALL_STATE(7404)] = 262047,
  [SMALL_STATE(7405)] = 262054,
  [SMALL_STATE(7406)] = 262061,
  [SMALL_STATE(7407)] = 262068,
  [SMALL_STATE(7408)] = 262075,
  [SMALL_STATE(7409)] = 262082,
  [SMALL_STATE(7410)] = 262089,
  [SMALL_STATE(7411)] = 262096,
  [SMALL_STATE(7412)] = 262103,
  [SMALL_STATE(7413)] = 262110,
  [SMALL_STATE(7414)] = 262117,
  [SMALL_STATE(7415)] = 262124,
  [SMALL_STATE(7416)] = 262131,
  [SMALL_STATE(7417)] = 262138,
  [SMALL_STATE(7418)] = 262145,
  [SMALL_STATE(7419)] = 262152,
  [SMALL_STATE(7420)] = 262159,
  [SMALL_STATE(7421)] = 262166,
  [SMALL_STATE(7422)] = 262173,
  [SMALL_STATE(7423)] = 262180,
  [SMALL_STATE(7424)] = 262187,
  [SMALL_STATE(7425)] = 262194,
  [SMALL_STATE(7426)] = 262201,
  [SMALL_STATE(7427)] = 262208,
  [SMALL_STATE(7428)] = 262215,
  [SMALL_STATE(7429)] = 262222,
  [SMALL_STATE(7430)] = 262229,
  [SMALL_STATE(7431)] = 262236,
  [SMALL_STATE(7432)] = 262243,
  [SMALL_STATE(7433)] = 262250,
  [SMALL_STATE(7434)] = 262257,
  [SMALL_STATE(7435)] = 262264,
  [SMALL_STATE(7436)] = 262271,
  [SMALL_STATE(7437)] = 262278,
  [SMALL_STATE(7438)] = 262285,
  [SMALL_STATE(7439)] = 262292,
  [SMALL_STATE(7440)] = 262299,
  [SMALL_STATE(7441)] = 262306,
  [SMALL_STATE(7442)] = 262313,
  [SMALL_STATE(7443)] = 262320,
  [SMALL_STATE(7444)] = 262327,
  [SMALL_STATE(7445)] = 262334,
  [SMALL_STATE(7446)] = 262341,
  [SMALL_STATE(7447)] = 262348,
  [SMALL_STATE(7448)] = 262355,
  [SMALL_STATE(7449)] = 262362,
  [SMALL_STATE(7450)] = 262369,
  [SMALL_STATE(7451)] = 262376,
  [SMALL_STATE(7452)] = 262383,
  [SMALL_STATE(7453)] = 262390,
  [SMALL_STATE(7454)] = 262397,
  [SMALL_STATE(7455)] = 262404,
  [SMALL_STATE(7456)] = 262411,
  [SMALL_STATE(7457)] = 262418,
  [SMALL_STATE(7458)] = 262425,
  [SMALL_STATE(7459)] = 262432,
  [SMALL_STATE(7460)] = 262439,
  [SMALL_STATE(7461)] = 262446,
  [SMALL_STATE(7462)] = 262453,
  [SMALL_STATE(7463)] = 262460,
  [SMALL_STATE(7464)] = 262467,
  [SMALL_STATE(7465)] = 262474,
  [SMALL_STATE(7466)] = 262481,
  [SMALL_STATE(7467)] = 262488,
  [SMALL_STATE(7468)] = 262495,
  [SMALL_STATE(7469)] = 262502,
  [SMALL_STATE(7470)] = 262509,
  [SMALL_STATE(7471)] = 262516,
  [SMALL_STATE(7472)] = 262523,
  [SMALL_STATE(7473)] = 262530,
  [SMALL_STATE(7474)] = 262537,
  [SMALL_STATE(7475)] = 262544,
  [SMALL_STATE(7476)] = 262551,
  [SMALL_STATE(7477)] = 262558,
  [SMALL_STATE(7478)] = 262565,
  [SMALL_STATE(7479)] = 262572,
  [SMALL_STATE(7480)] = 262579,
  [SMALL_STATE(7481)] = 262586,
  [SMALL_STATE(7482)] = 262593,
  [SMALL_STATE(7483)] = 262600,
  [SMALL_STATE(7484)] = 262607,
  [SMALL_STATE(7485)] = 262614,
  [SMALL_STATE(7486)] = 262621,
  [SMALL_STATE(7487)] = 262628,
  [SMALL_STATE(7488)] = 262635,
  [SMALL_STATE(7489)] = 262642,
  [SMALL_STATE(7490)] = 262649,
  [SMALL_STATE(7491)] = 262656,
  [SMALL_STATE(7492)] = 262663,
  [SMALL_STATE(7493)] = 262670,
  [SMALL_STATE(7494)] = 262677,
  [SMALL_STATE(7495)] = 262684,
  [SMALL_STATE(7496)] = 262691,
  [SMALL_STATE(7497)] = 262698,
  [SMALL_STATE(7498)] = 262705,
  [SMALL_STATE(7499)] = 262712,
  [SMALL_STATE(7500)] = 262719,
  [SMALL_STATE(7501)] = 262726,
  [SMALL_STATE(7502)] = 262733,
  [SMALL_STATE(7503)] = 262740,
  [SMALL_STATE(7504)] = 262747,
  [SMALL_STATE(7505)] = 262754,
  [SMALL_STATE(7506)] = 262761,
  [SMALL_STATE(7507)] = 262768,
  [SMALL_STATE(7508)] = 262775,
  [SMALL_STATE(7509)] = 262782,
  [SMALL_STATE(7510)] = 262789,
  [SMALL_STATE(7511)] = 262796,
  [SMALL_STATE(7512)] = 262803,
  [SMALL_STATE(7513)] = 262810,
  [SMALL_STATE(7514)] = 262817,
  [SMALL_STATE(7515)] = 262824,
  [SMALL_STATE(7516)] = 262831,
  [SMALL_STATE(7517)] = 262838,
  [SMALL_STATE(7518)] = 262845,
  [SMALL_STATE(7519)] = 262852,
  [SMALL_STATE(7520)] = 262859,
  [SMALL_STATE(7521)] = 262866,
  [SMALL_STATE(7522)] = 262873,
  [SMALL_STATE(7523)] = 262880,
  [SMALL_STATE(7524)] = 262887,
  [SMALL_STATE(7525)] = 262894,
  [SMALL_STATE(7526)] = 262901,
  [SMALL_STATE(7527)] = 262908,
  [SMALL_STATE(7528)] = 262915,
  [SMALL_STATE(7529)] = 262922,
  [SMALL_STATE(7530)] = 262929,
  [SMALL_STATE(7531)] = 262936,
  [SMALL_STATE(7532)] = 262943,
  [SMALL_STATE(7533)] = 262950,
  [SMALL_STATE(7534)] = 262957,
  [SMALL_STATE(7535)] = 262964,
  [SMALL_STATE(7536)] = 262971,
  [SMALL_STATE(7537)] = 262978,
  [SMALL_STATE(7538)] = 262985,
  [SMALL_STATE(7539)] = 262992,
  [SMALL_STATE(7540)] = 262999,
  [SMALL_STATE(7541)] = 263006,
  [SMALL_STATE(7542)] = 263013,
  [SMALL_STATE(7543)] = 263020,
  [SMALL_STATE(7544)] = 263027,
  [SMALL_STATE(7545)] = 263034,
  [SMALL_STATE(7546)] = 263041,
  [SMALL_STATE(7547)] = 263048,
  [SMALL_STATE(7548)] = 263055,
  [SMALL_STATE(7549)] = 263062,
  [SMALL_STATE(7550)] = 263069,
  [SMALL_STATE(7551)] = 263076,
  [SMALL_STATE(7552)] = 263083,
  [SMALL_STATE(7553)] = 263090,
  [SMALL_STATE(7554)] = 263097,
  [SMALL_STATE(7555)] = 263104,
  [SMALL_STATE(7556)] = 263111,
  [SMALL_STATE(7557)] = 263118,
  [SMALL_STATE(7558)] = 263125,
  [SMALL_STATE(7559)] = 263132,
  [SMALL_STATE(7560)] = 263139,
  [SMALL_STATE(7561)] = 263146,
  [SMALL_STATE(7562)] = 263153,
  [SMALL_STATE(7563)] = 263160,
  [SMALL_STATE(7564)] = 263167,
  [SMALL_STATE(7565)] = 263174,
  [SMALL_STATE(7566)] = 263181,
  [SMALL_STATE(7567)] = 263188,
  [SMALL_STATE(7568)] = 263195,
  [SMALL_STATE(7569)] = 263202,
  [SMALL_STATE(7570)] = 263209,
  [SMALL_STATE(7571)] = 263216,
  [SMALL_STATE(7572)] = 263223,
  [SMALL_STATE(7573)] = 263230,
  [SMALL_STATE(7574)] = 263237,
  [SMALL_STATE(7575)] = 263244,
  [SMALL_STATE(7576)] = 263251,
  [SMALL_STATE(7577)] = 263258,
  [SMALL_STATE(7578)] = 263265,
  [SMALL_STATE(7579)] = 263272,
  [SMALL_STATE(7580)] = 263279,
  [SMALL_STATE(7581)] = 263286,
  [SMALL_STATE(7582)] = 263293,
  [SMALL_STATE(7583)] = 263300,
  [SMALL_STATE(7584)] = 263307,
  [SMALL_STATE(7585)] = 263314,
  [SMALL_STATE(7586)] = 263321,
  [SMALL_STATE(7587)] = 263328,
  [SMALL_STATE(7588)] = 263335,
  [SMALL_STATE(7589)] = 263342,
  [SMALL_STATE(7590)] = 263349,
  [SMALL_STATE(7591)] = 263356,
  [SMALL_STATE(7592)] = 263363,
  [SMALL_STATE(7593)] = 263370,
  [SMALL_STATE(7594)] = 263377,
  [SMALL_STATE(7595)] = 263384,
  [SMALL_STATE(7596)] = 263391,
  [SMALL_STATE(7597)] = 263398,
  [SMALL_STATE(7598)] = 263405,
  [SMALL_STATE(7599)] = 263412,
  [SMALL_STATE(7600)] = 263419,
  [SMALL_STATE(7601)] = 263426,
  [SMALL_STATE(7602)] = 263433,
  [SMALL_STATE(7603)] = 263440,
  [SMALL_STATE(7604)] = 263447,
  [SMALL_STATE(7605)] = 263454,
  [SMALL_STATE(7606)] = 263461,
  [SMALL_STATE(7607)] = 263468,
  [SMALL_STATE(7608)] = 263475,
  [SMALL_STATE(7609)] = 263482,
  [SMALL_STATE(7610)] = 263489,
  [SMALL_STATE(7611)] = 263496,
  [SMALL_STATE(7612)] = 263503,
  [SMALL_STATE(7613)] = 263510,
  [SMALL_STATE(7614)] = 263517,
  [SMALL_STATE(7615)] = 263524,
  [SMALL_STATE(7616)] = 263531,
  [SMALL_STATE(7617)] = 263538,
  [SMALL_STATE(7618)] = 263545,
  [SMALL_STATE(7619)] = 263552,
  [SMALL_STATE(7620)] = 263559,
  [SMALL_STATE(7621)] = 263566,
  [SMALL_STATE(7622)] = 263573,
  [SMALL_STATE(7623)] = 263580,
  [SMALL_STATE(7624)] = 263587,
  [SMALL_STATE(7625)] = 263594,
  [SMALL_STATE(7626)] = 263601,
  [SMALL_STATE(7627)] = 263608,
  [SMALL_STATE(7628)] = 263615,
  [SMALL_STATE(7629)] = 263622,
  [SMALL_STATE(7630)] = 263629,
  [SMALL_STATE(7631)] = 263636,
  [SMALL_STATE(7632)] = 263643,
  [SMALL_STATE(7633)] = 263650,
  [SMALL_STATE(7634)] = 263657,
  [SMALL_STATE(7635)] = 263664,
  [SMALL_STATE(7636)] = 263671,
  [SMALL_STATE(7637)] = 263678,
  [SMALL_STATE(7638)] = 263685,
  [SMALL_STATE(7639)] = 263692,
  [SMALL_STATE(7640)] = 263699,
  [SMALL_STATE(7641)] = 263706,
  [SMALL_STATE(7642)] = 263713,
  [SMALL_STATE(7643)] = 263720,
  [SMALL_STATE(7644)] = 263727,
  [SMALL_STATE(7645)] = 263734,
  [SMALL_STATE(7646)] = 263741,
  [SMALL_STATE(7647)] = 263748,
  [SMALL_STATE(7648)] = 263755,
  [SMALL_STATE(7649)] = 263762,
  [SMALL_STATE(7650)] = 263769,
  [SMALL_STATE(7651)] = 263776,
  [SMALL_STATE(7652)] = 263783,
  [SMALL_STATE(7653)] = 263790,
  [SMALL_STATE(7654)] = 263797,
  [SMALL_STATE(7655)] = 263804,
  [SMALL_STATE(7656)] = 263811,
  [SMALL_STATE(7657)] = 263818,
  [SMALL_STATE(7658)] = 263825,
  [SMALL_STATE(7659)] = 263832,
  [SMALL_STATE(7660)] = 263839,
  [SMALL_STATE(7661)] = 263846,
  [SMALL_STATE(7662)] = 263853,
  [SMALL_STATE(7663)] = 263860,
  [SMALL_STATE(7664)] = 263867,
  [SMALL_STATE(7665)] = 263874,
  [SMALL_STATE(7666)] = 263881,
  [SMALL_STATE(7667)] = 263888,
  [SMALL_STATE(7668)] = 263895,
  [SMALL_STATE(7669)] = 263902,
  [SMALL_STATE(7670)] = 263909,
  [SMALL_STATE(7671)] = 263916,
  [SMALL_STATE(7672)] = 263923,
  [SMALL_STATE(7673)] = 263930,
  [SMALL_STATE(7674)] = 263937,
  [SMALL_STATE(7675)] = 263944,
  [SMALL_STATE(7676)] = 263951,
  [SMALL_STATE(7677)] = 263958,
  [SMALL_STATE(7678)] = 263965,
  [SMALL_STATE(7679)] = 263972,
  [SMALL_STATE(7680)] = 263979,
  [SMALL_STATE(7681)] = 263986,
  [SMALL_STATE(7682)] = 263993,
  [SMALL_STATE(7683)] = 264000,
  [SMALL_STATE(7684)] = 264007,
  [SMALL_STATE(7685)] = 264014,
  [SMALL_STATE(7686)] = 264021,
  [SMALL_STATE(7687)] = 264028,
  [SMALL_STATE(7688)] = 264035,
  [SMALL_STATE(7689)] = 264042,
  [SMALL_STATE(7690)] = 264049,
  [SMALL_STATE(7691)] = 264056,
  [SMALL_STATE(7692)] = 264063,
  [SMALL_STATE(7693)] = 264070,
  [SMALL_STATE(7694)] = 264077,
  [SMALL_STATE(7695)] = 264084,
  [SMALL_STATE(7696)] = 264091,
  [SMALL_STATE(7697)] = 264098,
  [SMALL_STATE(7698)] = 264105,
  [SMALL_STATE(7699)] = 264112,
  [SMALL_STATE(7700)] = 264119,
  [SMALL_STATE(7701)] = 264126,
  [SMALL_STATE(7702)] = 264133,
  [SMALL_STATE(7703)] = 264140,
  [SMALL_STATE(7704)] = 264147,
  [SMALL_STATE(7705)] = 264154,
  [SMALL_STATE(7706)] = 264161,
  [SMALL_STATE(7707)] = 264168,
  [SMALL_STATE(7708)] = 264175,
  [SMALL_STATE(7709)] = 264182,
  [SMALL_STATE(7710)] = 264189,
  [SMALL_STATE(7711)] = 264196,
  [SMALL_STATE(7712)] = 264203,
  [SMALL_STATE(7713)] = 264210,
  [SMALL_STATE(7714)] = 264217,
  [SMALL_STATE(7715)] = 264224,
  [SMALL_STATE(7716)] = 264231,
  [SMALL_STATE(7717)] = 264238,
  [SMALL_STATE(7718)] = 264245,
  [SMALL_STATE(7719)] = 264252,
  [SMALL_STATE(7720)] = 264259,
  [SMALL_STATE(7721)] = 264266,
  [SMALL_STATE(7722)] = 264273,
  [SMALL_STATE(7723)] = 264280,
  [SMALL_STATE(7724)] = 264287,
  [SMALL_STATE(7725)] = 264294,
  [SMALL_STATE(7726)] = 264301,
  [SMALL_STATE(7727)] = 264308,
  [SMALL_STATE(7728)] = 264315,
  [SMALL_STATE(7729)] = 264322,
  [SMALL_STATE(7730)] = 264329,
  [SMALL_STATE(7731)] = 264336,
  [SMALL_STATE(7732)] = 264343,
  [SMALL_STATE(7733)] = 264350,
  [SMALL_STATE(7734)] = 264357,
  [SMALL_STATE(7735)] = 264364,
  [SMALL_STATE(7736)] = 264371,
  [SMALL_STATE(7737)] = 264378,
  [SMALL_STATE(7738)] = 264385,
  [SMALL_STATE(7739)] = 264392,
  [SMALL_STATE(7740)] = 264399,
  [SMALL_STATE(7741)] = 264406,
  [SMALL_STATE(7742)] = 264413,
  [SMALL_STATE(7743)] = 264420,
  [SMALL_STATE(7744)] = 264427,
  [SMALL_STATE(7745)] = 264434,
  [SMALL_STATE(7746)] = 264441,
  [SMALL_STATE(7747)] = 264448,
  [SMALL_STATE(7748)] = 264455,
  [SMALL_STATE(7749)] = 264462,
  [SMALL_STATE(7750)] = 264469,
  [SMALL_STATE(7751)] = 264476,
  [SMALL_STATE(7752)] = 264483,
  [SMALL_STATE(7753)] = 264490,
  [SMALL_STATE(7754)] = 264497,
  [SMALL_STATE(7755)] = 264504,
  [SMALL_STATE(7756)] = 264511,
  [SMALL_STATE(7757)] = 264518,
  [SMALL_STATE(7758)] = 264525,
  [SMALL_STATE(7759)] = 264532,
  [SMALL_STATE(7760)] = 264539,
  [SMALL_STATE(7761)] = 264546,
  [SMALL_STATE(7762)] = 264553,
  [SMALL_STATE(7763)] = 264560,
  [SMALL_STATE(7764)] = 264567,
  [SMALL_STATE(7765)] = 264574,
  [SMALL_STATE(7766)] = 264581,
  [SMALL_STATE(7767)] = 264588,
  [SMALL_STATE(7768)] = 264595,
  [SMALL_STATE(7769)] = 264602,
  [SMALL_STATE(7770)] = 264609,
  [SMALL_STATE(7771)] = 264616,
  [SMALL_STATE(7772)] = 264623,
  [SMALL_STATE(7773)] = 264630,
  [SMALL_STATE(7774)] = 264637,
  [SMALL_STATE(7775)] = 264644,
  [SMALL_STATE(7776)] = 264651,
  [SMALL_STATE(7777)] = 264658,
  [SMALL_STATE(7778)] = 264665,
  [SMALL_STATE(7779)] = 264672,
  [SMALL_STATE(7780)] = 264679,
  [SMALL_STATE(7781)] = 264686,
  [SMALL_STATE(7782)] = 264693,
  [SMALL_STATE(7783)] = 264700,
  [SMALL_STATE(7784)] = 264707,
  [SMALL_STATE(7785)] = 264714,
  [SMALL_STATE(7786)] = 264721,
  [SMALL_STATE(7787)] = 264728,
  [SMALL_STATE(7788)] = 264735,
  [SMALL_STATE(7789)] = 264742,
  [SMALL_STATE(7790)] = 264749,
  [SMALL_STATE(7791)] = 264756,
  [SMALL_STATE(7792)] = 264763,
  [SMALL_STATE(7793)] = 264770,
  [SMALL_STATE(7794)] = 264777,
  [SMALL_STATE(7795)] = 264784,
  [SMALL_STATE(7796)] = 264791,
  [SMALL_STATE(7797)] = 264798,
  [SMALL_STATE(7798)] = 264805,
  [SMALL_STATE(7799)] = 264812,
  [SMALL_STATE(7800)] = 264819,
  [SMALL_STATE(7801)] = 264826,
  [SMALL_STATE(7802)] = 264833,
  [SMALL_STATE(7803)] = 264840,
  [SMALL_STATE(7804)] = 264847,
  [SMALL_STATE(7805)] = 264854,
  [SMALL_STATE(7806)] = 264861,
  [SMALL_STATE(7807)] = 264868,
  [SMALL_STATE(7808)] = 264875,
  [SMALL_STATE(7809)] = 264882,
  [SMALL_STATE(7810)] = 264889,
  [SMALL_STATE(7811)] = 264896,
  [SMALL_STATE(7812)] = 264903,
  [SMALL_STATE(7813)] = 264910,
  [SMALL_STATE(7814)] = 264917,
  [SMALL_STATE(7815)] = 264924,
  [SMALL_STATE(7816)] = 264931,
  [SMALL_STATE(7817)] = 264938,
  [SMALL_STATE(7818)] = 264945,
  [SMALL_STATE(7819)] = 264952,
  [SMALL_STATE(7820)] = 264959,
  [SMALL_STATE(7821)] = 264966,
  [SMALL_STATE(7822)] = 264973,
  [SMALL_STATE(7823)] = 264980,
  [SMALL_STATE(7824)] = 264987,
  [SMALL_STATE(7825)] = 264994,
  [SMALL_STATE(7826)] = 265001,
  [SMALL_STATE(7827)] = 265008,
  [SMALL_STATE(7828)] = 265015,
  [SMALL_STATE(7829)] = 265022,
  [SMALL_STATE(7830)] = 265029,
  [SMALL_STATE(7831)] = 265036,
  [SMALL_STATE(7832)] = 265043,
  [SMALL_STATE(7833)] = 265050,
  [SMALL_STATE(7834)] = 265057,
  [SMALL_STATE(7835)] = 265064,
  [SMALL_STATE(7836)] = 265071,
  [SMALL_STATE(7837)] = 265078,
  [SMALL_STATE(7838)] = 265085,
  [SMALL_STATE(7839)] = 265092,
  [SMALL_STATE(7840)] = 265099,
  [SMALL_STATE(7841)] = 265106,
  [SMALL_STATE(7842)] = 265113,
  [SMALL_STATE(7843)] = 265120,
  [SMALL_STATE(7844)] = 265127,
  [SMALL_STATE(7845)] = 265134,
  [SMALL_STATE(7846)] = 265141,
  [SMALL_STATE(7847)] = 265148,
  [SMALL_STATE(7848)] = 265155,
  [SMALL_STATE(7849)] = 265162,
  [SMALL_STATE(7850)] = 265169,
  [SMALL_STATE(7851)] = 265176,
  [SMALL_STATE(7852)] = 265183,
  [SMALL_STATE(7853)] = 265190,
  [SMALL_STATE(7854)] = 265197,
  [SMALL_STATE(7855)] = 265204,
  [SMALL_STATE(7856)] = 265211,
  [SMALL_STATE(7857)] = 265218,
  [SMALL_STATE(7858)] = 265225,
  [SMALL_STATE(7859)] = 265232,
  [SMALL_STATE(7860)] = 265239,
  [SMALL_STATE(7861)] = 265246,
  [SMALL_STATE(7862)] = 265253,
  [SMALL_STATE(7863)] = 265260,
  [SMALL_STATE(7864)] = 265267,
  [SMALL_STATE(7865)] = 265274,
  [SMALL_STATE(7866)] = 265281,
  [SMALL_STATE(7867)] = 265288,
  [SMALL_STATE(7868)] = 265295,
  [SMALL_STATE(7869)] = 265302,
  [SMALL_STATE(7870)] = 265309,
  [SMALL_STATE(7871)] = 265316,
  [SMALL_STATE(7872)] = 265323,
  [SMALL_STATE(7873)] = 265330,
  [SMALL_STATE(7874)] = 265337,
  [SMALL_STATE(7875)] = 265344,
  [SMALL_STATE(7876)] = 265351,
  [SMALL_STATE(7877)] = 265358,
  [SMALL_STATE(7878)] = 265365,
  [SMALL_STATE(7879)] = 265372,
  [SMALL_STATE(7880)] = 265379,
  [SMALL_STATE(7881)] = 265386,
  [SMALL_STATE(7882)] = 265393,
  [SMALL_STATE(7883)] = 265400,
  [SMALL_STATE(7884)] = 265407,
  [SMALL_STATE(7885)] = 265414,
  [SMALL_STATE(7886)] = 265421,
  [SMALL_STATE(7887)] = 265428,
  [SMALL_STATE(7888)] = 265435,
  [SMALL_STATE(7889)] = 265442,
  [SMALL_STATE(7890)] = 265449,
  [SMALL_STATE(7891)] = 265456,
  [SMALL_STATE(7892)] = 265463,
  [SMALL_STATE(7893)] = 265470,
  [SMALL_STATE(7894)] = 265477,
  [SMALL_STATE(7895)] = 265484,
  [SMALL_STATE(7896)] = 265491,
  [SMALL_STATE(7897)] = 265498,
  [SMALL_STATE(7898)] = 265505,
  [SMALL_STATE(7899)] = 265512,
  [SMALL_STATE(7900)] = 265519,
  [SMALL_STATE(7901)] = 265526,
  [SMALL_STATE(7902)] = 265533,
  [SMALL_STATE(7903)] = 265540,
  [SMALL_STATE(7904)] = 265547,
  [SMALL_STATE(7905)] = 265554,
  [SMALL_STATE(7906)] = 265561,
  [SMALL_STATE(7907)] = 265568,
  [SMALL_STATE(7908)] = 265575,
  [SMALL_STATE(7909)] = 265582,
  [SMALL_STATE(7910)] = 265589,
  [SMALL_STATE(7911)] = 265596,
  [SMALL_STATE(7912)] = 265603,
  [SMALL_STATE(7913)] = 265610,
  [SMALL_STATE(7914)] = 265617,
  [SMALL_STATE(7915)] = 265624,
  [SMALL_STATE(7916)] = 265631,
  [SMALL_STATE(7917)] = 265638,
  [SMALL_STATE(7918)] = 265645,
  [SMALL_STATE(7919)] = 265652,
  [SMALL_STATE(7920)] = 265659,
  [SMALL_STATE(7921)] = 265666,
  [SMALL_STATE(7922)] = 265673,
  [SMALL_STATE(7923)] = 265680,
  [SMALL_STATE(7924)] = 265687,
  [SMALL_STATE(7925)] = 265694,
  [SMALL_STATE(7926)] = 265701,
  [SMALL_STATE(7927)] = 265708,
  [SMALL_STATE(7928)] = 265715,
  [SMALL_STATE(7929)] = 265722,
  [SMALL_STATE(7930)] = 265729,
  [SMALL_STATE(7931)] = 265736,
  [SMALL_STATE(7932)] = 265743,
  [SMALL_STATE(7933)] = 265750,
  [SMALL_STATE(7934)] = 265757,
  [SMALL_STATE(7935)] = 265764,
  [SMALL_STATE(7936)] = 265771,
  [SMALL_STATE(7937)] = 265778,
  [SMALL_STATE(7938)] = 265785,
  [SMALL_STATE(7939)] = 265792,
  [SMALL_STATE(7940)] = 265799,
  [SMALL_STATE(7941)] = 265806,
  [SMALL_STATE(7942)] = 265813,
  [SMALL_STATE(7943)] = 265820,
  [SMALL_STATE(7944)] = 265827,
  [SMALL_STATE(7945)] = 265834,
  [SMALL_STATE(7946)] = 265841,
  [SMALL_STATE(7947)] = 265848,
  [SMALL_STATE(7948)] = 265855,
  [SMALL_STATE(7949)] = 265862,
  [SMALL_STATE(7950)] = 265869,
  [SMALL_STATE(7951)] = 265876,
  [SMALL_STATE(7952)] = 265883,
  [SMALL_STATE(7953)] = 265890,
  [SMALL_STATE(7954)] = 265897,
  [SMALL_STATE(7955)] = 265904,
  [SMALL_STATE(7956)] = 265911,
  [SMALL_STATE(7957)] = 265918,
  [SMALL_STATE(7958)] = 265925,
  [SMALL_STATE(7959)] = 265932,
  [SMALL_STATE(7960)] = 265939,
  [SMALL_STATE(7961)] = 265946,
  [SMALL_STATE(7962)] = 265953,
  [SMALL_STATE(7963)] = 265960,
  [SMALL_STATE(7964)] = 265967,
  [SMALL_STATE(7965)] = 265974,
  [SMALL_STATE(7966)] = 265981,
  [SMALL_STATE(7967)] = 265988,
  [SMALL_STATE(7968)] = 265995,
  [SMALL_STATE(7969)] = 266002,
  [SMALL_STATE(7970)] = 266009,
  [SMALL_STATE(7971)] = 266016,
  [SMALL_STATE(7972)] = 266023,
  [SMALL_STATE(7973)] = 266030,
  [SMALL_STATE(7974)] = 266037,
  [SMALL_STATE(7975)] = 266044,
  [SMALL_STATE(7976)] = 266051,
  [SMALL_STATE(7977)] = 266058,
  [SMALL_STATE(7978)] = 266065,
  [SMALL_STATE(7979)] = 266072,
  [SMALL_STATE(7980)] = 266079,
  [SMALL_STATE(7981)] = 266086,
  [SMALL_STATE(7982)] = 266093,
  [SMALL_STATE(7983)] = 266100,
  [SMALL_STATE(7984)] = 266107,
  [SMALL_STATE(7985)] = 266114,
  [SMALL_STATE(7986)] = 266121,
  [SMALL_STATE(7987)] = 266128,
  [SMALL_STATE(7988)] = 266135,
  [SMALL_STATE(7989)] = 266142,
  [SMALL_STATE(7990)] = 266149,
  [SMALL_STATE(7991)] = 266156,
  [SMALL_STATE(7992)] = 266163,
  [SMALL_STATE(7993)] = 266170,
  [SMALL_STATE(7994)] = 266177,
  [SMALL_STATE(7995)] = 266184,
  [SMALL_STATE(7996)] = 266191,
  [SMALL_STATE(7997)] = 266198,
  [SMALL_STATE(7998)] = 266205,
  [SMALL_STATE(7999)] = 266212,
  [SMALL_STATE(8000)] = 266219,
  [SMALL_STATE(8001)] = 266226,
  [SMALL_STATE(8002)] = 266233,
  [SMALL_STATE(8003)] = 266240,
  [SMALL_STATE(8004)] = 266247,
  [SMALL_STATE(8005)] = 266254,
  [SMALL_STATE(8006)] = 266261,
  [SMALL_STATE(8007)] = 266268,
  [SMALL_STATE(8008)] = 266275,
  [SMALL_STATE(8009)] = 266282,
  [SMALL_STATE(8010)] = 266289,
  [SMALL_STATE(8011)] = 266296,
  [SMALL_STATE(8012)] = 266303,
  [SMALL_STATE(8013)] = 266310,
  [SMALL_STATE(8014)] = 266317,
  [SMALL_STATE(8015)] = 266324,
  [SMALL_STATE(8016)] = 266331,
  [SMALL_STATE(8017)] = 266338,
  [SMALL_STATE(8018)] = 266345,
  [SMALL_STATE(8019)] = 266352,
  [SMALL_STATE(8020)] = 266359,
  [SMALL_STATE(8021)] = 266366,
  [SMALL_STATE(8022)] = 266373,
  [SMALL_STATE(8023)] = 266380,
  [SMALL_STATE(8024)] = 266387,
  [SMALL_STATE(8025)] = 266394,
  [SMALL_STATE(8026)] = 266401,
  [SMALL_STATE(8027)] = 266408,
  [SMALL_STATE(8028)] = 266415,
  [SMALL_STATE(8029)] = 266422,
  [SMALL_STATE(8030)] = 266429,
  [SMALL_STATE(8031)] = 266436,
  [SMALL_STATE(8032)] = 266443,
  [SMALL_STATE(8033)] = 266450,
  [SMALL_STATE(8034)] = 266457,
  [SMALL_STATE(8035)] = 266464,
  [SMALL_STATE(8036)] = 266471,
  [SMALL_STATE(8037)] = 266478,
  [SMALL_STATE(8038)] = 266485,
  [SMALL_STATE(8039)] = 266492,
  [SMALL_STATE(8040)] = 266499,
  [SMALL_STATE(8041)] = 266506,
  [SMALL_STATE(8042)] = 266513,
  [SMALL_STATE(8043)] = 266520,
  [SMALL_STATE(8044)] = 266527,
  [SMALL_STATE(8045)] = 266534,
  [SMALL_STATE(8046)] = 266541,
  [SMALL_STATE(8047)] = 266548,
  [SMALL_STATE(8048)] = 266555,
  [SMALL_STATE(8049)] = 266562,
  [SMALL_STATE(8050)] = 266569,
  [SMALL_STATE(8051)] = 266576,
  [SMALL_STATE(8052)] = 266583,
  [SMALL_STATE(8053)] = 266590,
  [SMALL_STATE(8054)] = 266597,
  [SMALL_STATE(8055)] = 266604,
  [SMALL_STATE(8056)] = 266611,
  [SMALL_STATE(8057)] = 266618,
  [SMALL_STATE(8058)] = 266625,
  [SMALL_STATE(8059)] = 266632,
  [SMALL_STATE(8060)] = 266639,
  [SMALL_STATE(8061)] = 266646,
  [SMALL_STATE(8062)] = 266653,
  [SMALL_STATE(8063)] = 266660,
  [SMALL_STATE(8064)] = 266667,
  [SMALL_STATE(8065)] = 266674,
  [SMALL_STATE(8066)] = 266681,
  [SMALL_STATE(8067)] = 266688,
  [SMALL_STATE(8068)] = 266695,
  [SMALL_STATE(8069)] = 266702,
  [SMALL_STATE(8070)] = 266709,
  [SMALL_STATE(8071)] = 266716,
  [SMALL_STATE(8072)] = 266723,
  [SMALL_STATE(8073)] = 266730,
  [SMALL_STATE(8074)] = 266737,
  [SMALL_STATE(8075)] = 266744,
  [SMALL_STATE(8076)] = 266751,
  [SMALL_STATE(8077)] = 266758,
  [SMALL_STATE(8078)] = 266765,
  [SMALL_STATE(8079)] = 266772,
  [SMALL_STATE(8080)] = 266779,
  [SMALL_STATE(8081)] = 266786,
  [SMALL_STATE(8082)] = 266793,
  [SMALL_STATE(8083)] = 266800,
  [SMALL_STATE(8084)] = 266807,
  [SMALL_STATE(8085)] = 266814,
  [SMALL_STATE(8086)] = 266821,
  [SMALL_STATE(8087)] = 266828,
  [SMALL_STATE(8088)] = 266835,
  [SMALL_STATE(8089)] = 266842,
  [SMALL_STATE(8090)] = 266849,
  [SMALL_STATE(8091)] = 266856,
  [SMALL_STATE(8092)] = 266863,
  [SMALL_STATE(8093)] = 266870,
  [SMALL_STATE(8094)] = 266877,
  [SMALL_STATE(8095)] = 266884,
  [SMALL_STATE(8096)] = 266891,
  [SMALL_STATE(8097)] = 266898,
  [SMALL_STATE(8098)] = 266905,
  [SMALL_STATE(8099)] = 266912,
  [SMALL_STATE(8100)] = 266919,
  [SMALL_STATE(8101)] = 266926,
  [SMALL_STATE(8102)] = 266933,
  [SMALL_STATE(8103)] = 266940,
  [SMALL_STATE(8104)] = 266947,
  [SMALL_STATE(8105)] = 266954,
  [SMALL_STATE(8106)] = 266961,
  [SMALL_STATE(8107)] = 266968,
  [SMALL_STATE(8108)] = 266975,
  [SMALL_STATE(8109)] = 266982,
  [SMALL_STATE(8110)] = 266989,
  [SMALL_STATE(8111)] = 266996,
  [SMALL_STATE(8112)] = 267003,
  [SMALL_STATE(8113)] = 267010,
  [SMALL_STATE(8114)] = 267017,
  [SMALL_STATE(8115)] = 267024,
  [SMALL_STATE(8116)] = 267031,
  [SMALL_STATE(8117)] = 267038,
  [SMALL_STATE(8118)] = 267045,
  [SMALL_STATE(8119)] = 267052,
  [SMALL_STATE(8120)] = 267059,
  [SMALL_STATE(8121)] = 267066,
  [SMALL_STATE(8122)] = 267073,
  [SMALL_STATE(8123)] = 267080,
  [SMALL_STATE(8124)] = 267087,
  [SMALL_STATE(8125)] = 267094,
  [SMALL_STATE(8126)] = 267101,
  [SMALL_STATE(8127)] = 267108,
  [SMALL_STATE(8128)] = 267115,
  [SMALL_STATE(8129)] = 267122,
  [SMALL_STATE(8130)] = 267129,
  [SMALL_STATE(8131)] = 267136,
  [SMALL_STATE(8132)] = 267143,
  [SMALL_STATE(8133)] = 267150,
  [SMALL_STATE(8134)] = 267157,
  [SMALL_STATE(8135)] = 267164,
  [SMALL_STATE(8136)] = 267171,
  [SMALL_STATE(8137)] = 267178,
  [SMALL_STATE(8138)] = 267185,
  [SMALL_STATE(8139)] = 267192,
  [SMALL_STATE(8140)] = 267199,
  [SMALL_STATE(8141)] = 267206,
  [SMALL_STATE(8142)] = 267213,
  [SMALL_STATE(8143)] = 267220,
  [SMALL_STATE(8144)] = 267227,
  [SMALL_STATE(8145)] = 267234,
  [SMALL_STATE(8146)] = 267241,
  [SMALL_STATE(8147)] = 267248,
  [SMALL_STATE(8148)] = 267255,
  [SMALL_STATE(8149)] = 267262,
  [SMALL_STATE(8150)] = 267269,
  [SMALL_STATE(8151)] = 267276,
  [SMALL_STATE(8152)] = 267283,
  [SMALL_STATE(8153)] = 267290,
  [SMALL_STATE(8154)] = 267297,
  [SMALL_STATE(8155)] = 267304,
  [SMALL_STATE(8156)] = 267311,
  [SMALL_STATE(8157)] = 267318,
  [SMALL_STATE(8158)] = 267325,
  [SMALL_STATE(8159)] = 267332,
  [SMALL_STATE(8160)] = 267339,
  [SMALL_STATE(8161)] = 267346,
  [SMALL_STATE(8162)] = 267353,
  [SMALL_STATE(8163)] = 267360,
  [SMALL_STATE(8164)] = 267367,
  [SMALL_STATE(8165)] = 267374,
  [SMALL_STATE(8166)] = 267381,
  [SMALL_STATE(8167)] = 267388,
  [SMALL_STATE(8168)] = 267395,
  [SMALL_STATE(8169)] = 267402,
  [SMALL_STATE(8170)] = 267409,
  [SMALL_STATE(8171)] = 267416,
  [SMALL_STATE(8172)] = 267423,
  [SMALL_STATE(8173)] = 267430,
  [SMALL_STATE(8174)] = 267437,
  [SMALL_STATE(8175)] = 267444,
  [SMALL_STATE(8176)] = 267451,
  [SMALL_STATE(8177)] = 267458,
  [SMALL_STATE(8178)] = 267465,
  [SMALL_STATE(8179)] = 267472,
  [SMALL_STATE(8180)] = 267479,
  [SMALL_STATE(8181)] = 267486,
  [SMALL_STATE(8182)] = 267493,
  [SMALL_STATE(8183)] = 267500,
  [SMALL_STATE(8184)] = 267507,
  [SMALL_STATE(8185)] = 267514,
  [SMALL_STATE(8186)] = 267521,
  [SMALL_STATE(8187)] = 267528,
  [SMALL_STATE(8188)] = 267535,
  [SMALL_STATE(8189)] = 267542,
  [SMALL_STATE(8190)] = 267549,
  [SMALL_STATE(8191)] = 267556,
  [SMALL_STATE(8192)] = 267563,
  [SMALL_STATE(8193)] = 267570,
  [SMALL_STATE(8194)] = 267577,
  [SMALL_STATE(8195)] = 267584,
  [SMALL_STATE(8196)] = 267591,
  [SMALL_STATE(8197)] = 267598,
  [SMALL_STATE(8198)] = 267605,
  [SMALL_STATE(8199)] = 267612,
  [SMALL_STATE(8200)] = 267619,
  [SMALL_STATE(8201)] = 267626,
  [SMALL_STATE(8202)] = 267633,
  [SMALL_STATE(8203)] = 267640,
  [SMALL_STATE(8204)] = 267647,
  [SMALL_STATE(8205)] = 267654,
  [SMALL_STATE(8206)] = 267661,
  [SMALL_STATE(8207)] = 267668,
  [SMALL_STATE(8208)] = 267675,
  [SMALL_STATE(8209)] = 267682,
  [SMALL_STATE(8210)] = 267689,
  [SMALL_STATE(8211)] = 267696,
  [SMALL_STATE(8212)] = 267703,
  [SMALL_STATE(8213)] = 267710,
  [SMALL_STATE(8214)] = 267717,
  [SMALL_STATE(8215)] = 267724,
  [SMALL_STATE(8216)] = 267731,
  [SMALL_STATE(8217)] = 267738,
  [SMALL_STATE(8218)] = 267745,
  [SMALL_STATE(8219)] = 267752,
  [SMALL_STATE(8220)] = 267759,
  [SMALL_STATE(8221)] = 267766,
  [SMALL_STATE(8222)] = 267773,
  [SMALL_STATE(8223)] = 267780,
  [SMALL_STATE(8224)] = 267787,
  [SMALL_STATE(8225)] = 267794,
  [SMALL_STATE(8226)] = 267801,
  [SMALL_STATE(8227)] = 267808,
  [SMALL_STATE(8228)] = 267815,
  [SMALL_STATE(8229)] = 267822,
  [SMALL_STATE(8230)] = 267829,
  [SMALL_STATE(8231)] = 267836,
  [SMALL_STATE(8232)] = 267843,
  [SMALL_STATE(8233)] = 267850,
  [SMALL_STATE(8234)] = 267857,
  [SMALL_STATE(8235)] = 267864,
  [SMALL_STATE(8236)] = 267871,
  [SMALL_STATE(8237)] = 267878,
  [SMALL_STATE(8238)] = 267885,
  [SMALL_STATE(8239)] = 267892,
  [SMALL_STATE(8240)] = 267899,
  [SMALL_STATE(8241)] = 267906,
  [SMALL_STATE(8242)] = 267913,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7999),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5233),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7490),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7268),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8039),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7246),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5738),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4784),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6891),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7248),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7988),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7320),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7504),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7713),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7895),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7947),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7670),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7675),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6291),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7598),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3293),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7176),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6049),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8125),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7911),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4703),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5046),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6127),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7906),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5310),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7908),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7314),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3633),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7044),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7051),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7636),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7111),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7750),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7395),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7712),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8031),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7131),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7539),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7887),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7054),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6150),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6013),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8063),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6171),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8080),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5326),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8086),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5325),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7899),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7122),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6778),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7337),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8105),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7052),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8061),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7963),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8022),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8137),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7381),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7407),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7342),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6128),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6083),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8142),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8143),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 10),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 78),
  [341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 10),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 78),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(809),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6171),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8080),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5326),
  [385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8086),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7122),
  [393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1218),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(383),
  [408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4964),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(850),
  [414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(245),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3140),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3652),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2580),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8039),
  [429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6090),
  [432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7107),
  [435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7528),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7246),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3712),
  [444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(962),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3322),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3084),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7917),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2411),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5738),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4784),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4809),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4877),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6778),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7337),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1409),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8105),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7052),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(188),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8061),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7963),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8022),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8137),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7381),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7407),
  [519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1440),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1088),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7607),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7670),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7675),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6291),
  [537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3997),
  [540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7002),
  [543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6528),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3714),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3686),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2461),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7598),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3293),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4008),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4876),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1502),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7342),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1105),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6128),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6083),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8142),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8143),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1106),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7242),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4703),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5046),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(808),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6166),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7557),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5328),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7477),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7189),
  [636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3142),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3663),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3088),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6863),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7097),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1418),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7593),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7338),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8141),
  [675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8111),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8113),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7486),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7105),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7743),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1505),
  [696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7101),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1111),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6124),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6016),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8162),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8154),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1112),
  [717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1410),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6166),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7557),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7477),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7189),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6863),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7593),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7338),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8141),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8111),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8113),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7486),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7105),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7743),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7101),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6124),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6016),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8162),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8154),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(807),
  [811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6127),
  [814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7906),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5310),
  [820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7908),
  [823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7314),
  [826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3125),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3633),
  [835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3072),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7044),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7051),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1377),
  [855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7636),
  [858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7111),
  [861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7750),
  [867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(916),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7395),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7712),
  [876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8031),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7131),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7539),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1501),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7054),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1095),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6150),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6013),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8062),
  [903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8063),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1096),
  [909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1378),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(812),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6126),
  [986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7999),
  [989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5233),
  [992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7490),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7268),
  [998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [1001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [1004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1218),
  [1007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [1010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(383),
  [1013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4964),
  [1016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(850),
  [1019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3139),
  [1022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3593),
  [1025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2540),
  [1028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8039),
  [1031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6090),
  [1034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7107),
  [1037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7528),
  [1040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7246),
  [1043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3712),
  [1046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(40),
  [1049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [1052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(962),
  [1055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3322),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3032),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7917),
  [1067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2411),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5738),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4784),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4809),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4877),
  [1082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6891),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7248),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1165),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7988),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7320),
  [1097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(175),
  [1100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7504),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [1106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7713),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7895),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7947),
  [1115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1440),
  [1118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1088),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7607),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7670),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7675),
  [1130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6291),
  [1133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4538),
  [1136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7002),
  [1139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6528),
  [1142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4572),
  [1145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3686),
  [1148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2461),
  [1151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7598),
  [1154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3293),
  [1157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4008),
  [1160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4876),
  [1163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1500),
  [1166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [1169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7176),
  [1172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [1175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1113),
  [1178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6156),
  [1181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6049),
  [1184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8125),
  [1187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7911),
  [1190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1080),
  [1193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [1196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7242),
  [1199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [1202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4703),
  [1205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5046),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7289),
  [1230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(862),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(191),
  [1238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [1241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [1244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [1252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(245),
  [1255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3140),
  [1258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3652),
  [1261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3322),
  [1264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8039),
  [1267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6090),
  [1270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7335),
  [1273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7528),
  [1276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [1279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [1282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(954),
  [1285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [1288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7917),
  [1291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2411),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5738),
  [1297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4784),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4809),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4877),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6778),
  [1309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7337),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7052),
  [1315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(188),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8061),
  [1321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7963),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8022),
  [1330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8137),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7381),
  [1336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7407),
  [1339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1440),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1088),
  [1345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7607),
  [1348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7670),
  [1351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7675),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6291),
  [1357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3997),
  [1360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7002),
  [1363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6528),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3714),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3686),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2461),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7598),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1895),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4876),
  [1384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7289),
  [1387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7342),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1105),
  [1396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1106),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [1402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7242),
  [1405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [1408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4703),
  [1411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5046),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7073),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7586),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [1439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3142),
  [1445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3663),
  [1448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(57),
  [1451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6863),
  [1454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7097),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7338),
  [1460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [1463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8141),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8111),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8113),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7486),
  [1478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7105),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7743),
  [1484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7101),
  [1487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1111),
  [1490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1112),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1410),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(864),
  [1501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [1504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3125),
  [1507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3633),
  [1510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [1513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7044),
  [1516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7051),
  [1519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7111),
  [1522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [1525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7750),
  [1528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(916),
  [1531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7395),
  [1534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7712),
  [1537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8031),
  [1540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7131),
  [1543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7539),
  [1546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7054),
  [1549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1095),
  [1552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1096),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1378),
  [1558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(867),
  [1561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(456),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3139),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3593),
  [1570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(40),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6891),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7248),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7320),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(175),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7504),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7713),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7895),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7947),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7073),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7586),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7176),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1113),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1080),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6900),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7134),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7098),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8152),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7599),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7562),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7143),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7690),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7168),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(866),
  [1661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(830),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3928),
  [1667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3658),
  [1670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(61),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6900),
  [1676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7134),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7098),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [1685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8152),
  [1688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(928),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7595),
  [1694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7599),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7562),
  [1700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7143),
  [1703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7690),
  [1706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7168),
  [1709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [1712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1121),
  [1715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1419),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8078),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8235),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5963),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5711),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8206),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8237),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6330),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7755),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4698),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5044),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5740),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4854),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7976),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8215),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8240),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6301),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6420),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7927),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8209),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6293),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8026),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5048),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4692),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [1962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1843),
  [1965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(191),
  [1968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1241),
  [1971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1241),
  [1974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1312),
  [1977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(245),
  [1980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6090),
  [1983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7335),
  [1986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(47),
  [1989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(954),
  [1992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6520),
  [1995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6778),
  [1998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7337),
  [2001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1409),
  [2004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8105),
  [2007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7052),
  [2010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(188),
  [2013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8061),
  [2016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(915),
  [2019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7963),
  [2022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8022),
  [2025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8137),
  [2028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7381),
  [2031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7407),
  [2034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1440),
  [2037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1088),
  [2040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7607),
  [2043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7670),
  [2046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7675),
  [2049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6291),
  [2052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3997),
  [2055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7002),
  [2058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6528),
  [2061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3714),
  [2064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(3686),
  [2067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8026),
  [2070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7289),
  [2073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7342),
  [2076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1278),
  [2079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1105),
  [2082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1106),
  [2085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1402),
  [2088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7242),
  [2091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1363),
  [2094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4703),
  [2097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5046),
  [2100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1839),
  [2103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(830),
  [2106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(61),
  [2109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6900),
  [2112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7134),
  [2115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1401),
  [2118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7883),
  [2121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7098),
  [2124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(155),
  [2127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8152),
  [2130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(928),
  [2133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7595),
  [2136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7599),
  [2139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7562),
  [2142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7143),
  [2145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7690),
  [2148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7168),
  [2151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1120),
  [2154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1121),
  [2157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1419),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7883),
  [2166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1841),
  [2169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(456),
  [2172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(40),
  [2175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6891),
  [2178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7248),
  [2181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1165),
  [2184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7988),
  [2187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7320),
  [2190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(175),
  [2193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7504),
  [2196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(918),
  [2199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7713),
  [2202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7895),
  [2205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7947),
  [2208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7073),
  [2211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7586),
  [2214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7176),
  [2217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1113),
  [2220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1080),
  [2223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1335),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6411),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6668),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7127),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7926),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7235),
  [2244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1866),
  [2247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(444),
  [2250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6668),
  [2253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7127),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7926),
  [2259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7235),
  [2262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7539),
  [2265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1810),
  [2268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(36),
  [2271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7044),
  [2274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7051),
  [2277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1377),
  [2280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7636),
  [2283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7111),
  [2286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(187),
  [2289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7750),
  [2292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(916),
  [2295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7395),
  [2298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7712),
  [2301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8031),
  [2304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7131),
  [2307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7054),
  [2310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1095),
  [2313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1096),
  [2316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1378),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1846),
  [2344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(426),
  [2347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(57),
  [2350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6863),
  [2353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7097),
  [2356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1418),
  [2359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7593),
  [2362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7338),
  [2365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(189),
  [2368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8141),
  [2371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(921),
  [2374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8111),
  [2377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8113),
  [2380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7486),
  [2383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7105),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7743),
  [2389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7101),
  [2392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1111),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1112),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1410),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7062),
  [2413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7062),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6428),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7996),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8241),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4697),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [2474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6401),
  [2488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [2494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 167),
  [2520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 167),
  [2522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 66),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 66),
  [2584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 113),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 113),
  [2608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 114),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 114),
  [2612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 146),
  [2640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [2646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [2648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [2650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [2652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [2656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [2660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [2664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [2668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [2672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [2674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [2676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [2678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [2680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [2682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [2684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [2688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [2692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [2704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [2706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [2708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [2712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [2714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [2716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [2724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [2728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [2732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [2736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [2740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [2752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7149),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 169),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 169),
  [2759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [2763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [2767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [2769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [2771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [2775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 67),
  [2779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [2783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [2787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7115),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [2805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7115),
  [2808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [2810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [2812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [2820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [2822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [2824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 116),
  [2826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 116),
  [2828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [2830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4709),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5716),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4821),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7955),
  [2862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8212),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8239),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6297),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4534),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4533),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7978),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4875),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5054),
  [2896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7358),
  [2899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [2901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [2903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [2905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [2919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [2941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [2945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7149),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [2959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [2983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [2987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [2991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7358),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [3001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [3003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [3005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 111),
  [3007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 111),
  [3009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [3019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [3021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(1811),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [3026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6090),
  [3029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(6520),
  [3032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(8026),
  [3035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7289),
  [3038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(1811),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [3043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6090),
  [3046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(6520),
  [3049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(8026),
  [3052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7289),
  [3055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(1811),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0),
  [3062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6090),
  [3065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0),
  [3067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(6520),
  [3070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(8026),
  [3073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7289),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7612),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7500),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [3088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7959),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7077),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3665),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8069),
  [3110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [3112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4811),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6466),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7451),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6025),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8170),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [3136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 10),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 78),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 10),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 78),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4447),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3949),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7749),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [3178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [3190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [3196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3769),
  [3199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7612),
  [3202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5315),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7500),
  [3210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7077),
  [3213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4492),
  [3216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8214),
  [3219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2840),
  [3222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4964),
  [3225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4964),
  [3228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3143),
  [3231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3665),
  [3234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3322),
  [3237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8039),
  [3240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5129),
  [3243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7094),
  [3246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7528),
  [3249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7246),
  [3252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [3255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8069),
  [3258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [3261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7917),
  [3264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2562),
  [3267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5708),
  [3270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4810),
  [3273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4811),
  [3276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4812),
  [3279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2461),
  [3282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7598),
  [3285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3293),
  [3288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4008),
  [3291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4805),
  [3294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6466),
  [3297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [3300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1553),
  [3303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7451),
  [3306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6025),
  [3309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8170),
  [3312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [3328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4710),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [3338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7661),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5327),
  [3352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7408),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7260),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6622),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8178),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7476),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5253),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7756),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7353),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6635),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6008),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8153),
  [3392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7476),
  [3395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5253),
  [3398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7756),
  [3401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7353),
  [3404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3141),
  [3407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3654),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6635),
  [3415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1558),
  [3418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6008),
  [3421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8153),
  [3424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [3460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7661),
  [3463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5327),
  [3466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7408),
  [3469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7260),
  [3472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2993),
  [3475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3667),
  [3478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6622),
  [3481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1556),
  [3484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6038),
  [3487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8178),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [3496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6493),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4712),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3342),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4882),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4916),
  [3584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5561),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8181),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8171),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5121),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8166),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8163),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6541),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8174),
  [3616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6591),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8147),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8185),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8179),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6476),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8157),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7793),
  [3642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7954),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [3744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [3754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [3766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [3768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [3770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [3772] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [3778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [3780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [3783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [3786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(317),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [3791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [3794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 1),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [3798] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [3808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [3814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7179),
  [3816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7179),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3156),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4287),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [3841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(339),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6108),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [3922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1811),
  [3925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(191),
  [3928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [3931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [3934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [3937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2652),
  [3940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6090),
  [3943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1277),
  [3946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0),
  [3948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(954),
  [3951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6520),
  [3954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1440),
  [3957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1088),
  [3960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7607),
  [3963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7670),
  [3966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7675),
  [3969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6291),
  [3972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3997),
  [3975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7002),
  [3978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6528),
  [3981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3714),
  [3984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3686),
  [3987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8026),
  [3990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6108),
  [3993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7289),
  [3996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [3999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7242),
  [4002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [4005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4703),
  [4008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5046),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7968),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4270),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7970),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7556),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7561),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7666),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7669),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [4099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [4123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8133),
  [4126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8134),
  [4129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8127),
  [4132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8135),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8129),
  [4140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8130),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [4149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8136),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [4172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8131),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [4183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8132),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8126),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8119),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 186),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [4228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 105),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [4234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8060),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [4243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1, 0, 0),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [4247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 0),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [4251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 105),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [4263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [4269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 78),
  [4271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 149),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8116),
  [4280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7656),
  [4282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8071),
  [4285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8072),
  [4288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8081),
  [4291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8082),
  [4294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8094),
  [4297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8095),
  [4300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8096),
  [4303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8097),
  [4306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8100),
  [4309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8103),
  [4312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8104),
  [4315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8106),
  [4318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8107),
  [4321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8108),
  [4324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8112),
  [4327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8117),
  [4330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8118),
  [4333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8139),
  [4336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8140),
  [4339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8145),
  [4342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8146),
  [4345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8149),
  [4348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(7388),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7936),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7565),
  [4453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7844),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7396),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7893),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7637),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7943),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7483),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7774),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7582),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [4491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [4499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [4510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [4513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(328),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [4534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [4538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [4542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [4546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [4550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [4554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16),
  [4580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, 0, 17),
  [4582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16),
  [4587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, 0, 17),
  [4589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5562),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [4612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(321),
  [4615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(321),
  [4618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [4626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(333),
  [4629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(338),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [4642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(324),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4865),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4890),
  [4667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [4671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4887),
  [4677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4893),
  [4679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [4681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4895),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4898),
  [4687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4878),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4880),
  [4695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [4697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4820),
  [4701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [4703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [4705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [4709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [4711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [4713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [4715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [4717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [4719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [4721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [4723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [4725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [4727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [4729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [4731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [4733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [4735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [4737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [4739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [4741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [4743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [4745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [4747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [4749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [4751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [4753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(336),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [4758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [4760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [4764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [4766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4639),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4640),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6619),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [4776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1578),
  [4779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [4781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [4783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6460),
  [4786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7366),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [4791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [4795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1584),
  [4798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [4800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [4802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [4806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7197),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7197),
  [4811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [4813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [4815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [4817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [4819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [4821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [4827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [4829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [4835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [4837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [4839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1661),
  [4842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1610),
  [4845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7954),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [4852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [4854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [4856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7994),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5539),
  [4866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(347),
  [4869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [4875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1620),
  [4878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(333),
  [4881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [4883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [4885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7445),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7746),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7748),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7925),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [4907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(342),
  [4910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [4912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [4916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4, 0, 0),
  [4918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4, 0, 0),
  [4920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [4924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 0),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 0),
  [4928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [4932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [4934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [4936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(336),
  [4939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [4941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [4943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [4945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [4947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [4949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [4953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [4955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [4957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [4959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [4961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [4963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [4965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [4967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [4969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [4971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [4973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [4975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [4977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [4979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [4981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [4983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [4985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [4987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [4989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [4991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [4993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [4995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [4997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [4999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 1),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [5021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [5043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [5045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 197),
  [5079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 197),
  [5081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [5083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [5085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [5087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [5089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(336),
  [5092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [5094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [5096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 197),
  [5106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 197),
  [5108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [5110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [5112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 20),
  [5132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 20),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [5140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7514),
  [5142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 90),
  [5196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 90),
  [5198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [5204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [5212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7213),
  [5239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7157),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_expression, 1, 0, 0),
  [5252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [5254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7157),
  [5260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(328),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7213),
  [5265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [5279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [5285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1831),
  [5288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6540),
  [5291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7365),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [5296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(5909),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [5303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [5309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [5313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(344),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [5318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [5326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [5336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5578),
  [5338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [5350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [5352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [5354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [5358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1854),
  [5361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6446),
  [5364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7380),
  [5367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [5371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(8093),
  [5374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [5380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [5382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [5386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [5398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [5400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [5410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [5420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [5426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [5430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [5432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [5438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [5456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [5462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [5466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [5470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1898),
  [5473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6569),
  [5476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7376),
  [5479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1991),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [5488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [5490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(342),
  [5501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1914),
  [5504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [5520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1950),
  [5523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [5525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [5527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [5529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7166),
  [5532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [5534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [5536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [5538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [5540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [5544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [5548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 62),
  [5550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 62),
  [5552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1997),
  [5555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [5557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [5559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 89),
  [5561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 89),
  [5563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 110),
  [5565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 110),
  [5567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [5573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [5575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 134),
  [5577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 134),
  [5579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [5581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [5589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [5591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [5593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [5595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [5597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [5599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [5601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [5603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [5605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [5607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [5609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [5611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [5613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [5615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [5623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [5625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [5633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5098),
  [5635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [5641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2200),
  [5644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6507),
  [5647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7375),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [5652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [5654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [5658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [5660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [5662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 1, 70),
  [5666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(336),
  [5669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 118),
  [5671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 118),
  [5673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [5675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119),
  [5677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119),
  [5679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(336),
  [5682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [5684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [5688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [5690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [5692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2, 0, 0),
  [5694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2, 0, 0),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [5700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [5702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [5708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5642),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [5716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [5718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [5720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [5722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [5728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [5730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [5736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [5738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [5740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [5742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [5744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2279),
  [5747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [5749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [5751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [5753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [5759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [5761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [5763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [5765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [5767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 17),
  [5769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 17),
  [5771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [5773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [5775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [5777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [5779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [5781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [5783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [5785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [5787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [5789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [5791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [5793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [5795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [5797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [5799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [5801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(336),
  [5804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [5806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [5808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [5812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [5814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [5816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 88),
  [5818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 88),
  [5820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [5822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [5824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [5826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [5828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 71),
  [5830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 71),
  [5832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [5834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [5836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [5838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [5840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2306),
  [5843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 7),
  [5845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 7),
  [5847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [5849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [5851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [5853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [5855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [5857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [5859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 108),
  [5861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 108),
  [5863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 109),
  [5865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 109),
  [5867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [5869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [5871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [5873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [5875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5130),
  [5877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 165),
  [5879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 165),
  [5881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [5883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [5885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [5887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [5889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [5891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [5893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [5895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [5897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [5899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7465),
  [5901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [5903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [5905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [5907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3, 0, 0),
  [5909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3, 0, 0),
  [5911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [5917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 29),
  [5919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 29),
  [5921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [5923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [5925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [5927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [5929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [5931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [5933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [5937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [5939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [5941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, 0, 176),
  [5943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, 0, 176),
  [5945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [5947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [5949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [5951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [5953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [5955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [5957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 132),
  [5959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 132),
  [5961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 133),
  [5963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 133),
  [5965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [5967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [5969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [5971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [5973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [5975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [5981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [5983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [5985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [5987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [5989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [5991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [5993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [5995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [5997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [5999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [6001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [6003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [6009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [6011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [6013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [6015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [6017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [6019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [6021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [6027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [6029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2390),
  [6040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6559),
  [6043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7364),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [6048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5479),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [6056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(333),
  [6059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [6067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [6069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(914),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [6074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2518),
  [6077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [6079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [6081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2417),
  [6084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [6092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [6094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [6096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(342),
  [6103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [6123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3026),
  [6130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3008),
  [6133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7746),
  [6136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7346),
  [6139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7748),
  [6142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7925),
  [6145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2491),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [6156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2499),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [6171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [6173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [6187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [6197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [6203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [6209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [6211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [6213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [6217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [6225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [6229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [6235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [6255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(344),
  [6262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [6270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [6292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [6298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [6304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, 0, 64),
  [6306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, 0, 64),
  [6308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [6310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [6312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [6316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [6328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [6344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [6356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [6358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [6360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [6392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [6394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [6406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [6416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [6424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [6432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [6434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [6472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [6486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [6496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [6514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [6518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5228),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [6524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [6532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5827),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [6539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5099),
  [6542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6182),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [6552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7188),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [6563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [6573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [6581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [6587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [6590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [6592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [6598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [6600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [6606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [6610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [6616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [6624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(321),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [6629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7924),
  [6632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7133),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4576),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [6641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5539),
  [6644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5079),
  [6647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [6649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [6655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [6657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [6659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [6663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [6667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [6669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [6671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [6679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(328),
  [6682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(333),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [6687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7207),
  [6690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [6692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [6694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [6700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(333),
  [6703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [6707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [6709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [6729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5671),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3668),
  [6735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7346),
  [6738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6307),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [6743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5114),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [6750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(333),
  [6753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5565),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [6765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [6767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [6769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3013),
  [6772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6438),
  [6775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7379),
  [6778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 1, 119), SHIFT(342),
  [6781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [6789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [6791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [6797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [6803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [6805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [6813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [6821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7836),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [6865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(911),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [6870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [6872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [6888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6144),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [6892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6170),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [6902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7953),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [6906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [6908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6164),
  [6910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5696),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [6914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [6916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [6922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [6924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [6930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [6934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [6940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [6948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, 1, 70), SHIFT(342),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [6961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [6963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [6965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [6973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(342),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [6978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5083),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [6984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5082),
  [6986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [6998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3226),
  [7001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6632),
  [7004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7374),
  [7007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5092),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [7012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [7014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3383),
  [7017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [7019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3379),
  [7021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [7023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5090),
  [7026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 107),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [7042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [7046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5126),
  [7048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [7050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [7056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [7058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [7060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [7064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [7068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [7076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3347),
  [7079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3026),
  [7086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3008),
  [7089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7746),
  [7092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7346),
  [7095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7748),
  [7098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7925),
  [7101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3360),
  [7104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4008),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [7109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [7111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [7113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [7115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [7118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3322),
  [7121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8039),
  [7124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7094),
  [7127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7528),
  [7130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7917),
  [7133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3381),
  [7136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [7138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5596),
  [7140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(347),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [7147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5077),
  [7150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [7158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5062),
  [7160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [7166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5064),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [7180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3771),
  [7187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3788),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [7194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5056),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [7208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3836),
  [7210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7724),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5066),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [7232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [7234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3934),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [7238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [7240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [7242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5727),
  [7244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [7246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [7248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [7250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4636),
  [7252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8015),
  [7254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4896),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [7258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(324),
  [7261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [7265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5733),
  [7267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [7269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [7271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [7273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [7277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(5076),
  [7280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [7284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [7288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5741),
  [7290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4871),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5735),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [7310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4842),
  [7314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4730),
  [7316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8036),
  [7318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [7320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5739),
  [7326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4849),
  [7328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [7330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [7332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [7348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [7358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [7370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [7372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [7374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [7376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [7390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5286),
  [7392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3956),
  [7395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3949),
  [7398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(338),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5837),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5431),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [7413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5835),
  [7415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [7417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5401),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [7435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3286),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5340),
  [7447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [7459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5389),
  [7461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [7465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [7475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5363),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [7481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5354),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [7489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [7495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5393),
  [7497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 139),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [7501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 139),
  [7503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [7507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [7513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [7517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [7521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [7531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [7533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [7535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [7537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [7543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [7545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [7555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 56),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [7559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [7571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [7573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [7575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [7581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [7583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6286),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [7591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [7595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5944),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [7601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5551),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [7607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5540),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [7611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [7617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [7625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5553),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [7631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [7635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [7641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [7645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [7649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [7669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5583),
  [7671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [7675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [7679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [7681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3993),
  [7683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [7685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [7693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3991),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [7698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5113),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [7702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [7706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [7708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [7711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3322),
  [7714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8039),
  [7717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7107),
  [7720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7528),
  [7723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7917),
  [7726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4010),
  [7729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [7733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [7739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [7743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [7747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [7761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [7763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [7765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [7768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1808),
  [7771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7917),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [7782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [7784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [7786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [7788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [7794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [7798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [7804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [7808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [7812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [7816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [7834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [7854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 81),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [7862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4138),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [7873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [7879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [7883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [7887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [7943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 112),
  [7945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, 0, 181),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [7953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137), SHIFT(1087),
  [7956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [7966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [7978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT(1087),
  [7981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [7985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4317),
  [7987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [7989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4316),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [7997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [8027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 174),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [8033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 185),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [8041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [8045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [8051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [8055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [8059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [8083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0),
  [8085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 1, 198),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [8093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, 0, 158),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [8097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [8101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8039),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [8106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3, 0, 0),
  [8108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, 0, 192),
  [8110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 182),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [8116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [8118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [8128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 1, 0),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [8142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 183),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [8148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [8154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4576),
  [8157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4576),
  [8160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7975),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [8175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 147),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [8179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 148),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [8193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 138),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [8203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7917),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [8346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, 0, 184),
  [8348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, 0, 199),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [8362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, 0, 54),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [8366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, 0, 54),
  [8368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, 0, 82),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [8382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [8390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5827),
  [8393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5099),
  [8396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(7924),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [8401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7924),
  [8404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7133),
  [8407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5539),
  [8410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5079),
  [8413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7346),
  [8416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5114),
  [8419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6307),
  [8422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [8425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3472),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [8429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, 0, 0),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [8433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [8437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [8439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [8441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5827),
  [8444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5099),
  [8447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4447),
  [8450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7749),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [8457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4447),
  [8460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7749),
  [8463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5090),
  [8466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5092),
  [8469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [8473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [8475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [8477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5792),
  [8479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [8481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4790),
  [8483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [8485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [8487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7929),
  [8489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [8491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [8495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [8497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [8499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5723),
  [8501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [8503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4828),
  [8505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [8507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [8509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7998),
  [8511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4839),
  [8513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [8517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [8519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [8521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4825),
  [8523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [8525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [8527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [8531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [8533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [8535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [8537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [8539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [8541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [8543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [8545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7957),
  [8547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [8549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [8551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [8553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [8555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [8557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [8559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5077),
  [8562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [8566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [8568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [8570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5730),
  [8572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [8574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [8576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [8578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [8580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8028),
  [8582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [8584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7924),
  [8587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7133),
  [8590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5539),
  [8593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5079),
  [8596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [8600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [8602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [8604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5736),
  [8606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [8608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [8610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4845),
  [8612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [8614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8042),
  [8616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [8618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [8622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [8626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [8628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [8630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [8632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(908),
  [8635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6307),
  [8638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7346),
  [8641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4985),
  [8644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4985),
  [8647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4986),
  [8650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [8652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [8654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5114),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [8659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [8661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [8663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [8665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [8667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20), SHIFT(4846),
  [8670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36), SHIFT(4847),
  [8673] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(1914),
  [8677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [8679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [8681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4565),
  [8683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [8687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4489),
  [8689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [8691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [8693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [8695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [8697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [8699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [8701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20), SHIFT(1914),
  [8704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36), SHIFT(1914),
  [8707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [8709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [8711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5090),
  [8714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(5076),
  [8717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4781),
  [8720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4782),
  [8723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4780),
  [8726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(1914),
  [8729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5092),
  [8732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18), SHIFT(1914),
  [8735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [8737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5077),
  [8740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [8742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [8744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [8746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [8748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5827),
  [8751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5099),
  [8754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [8756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [8758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7346),
  [8761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(4888),
  [8764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(5076),
  [8767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7924),
  [8770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7133),
  [8773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5539),
  [8776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5079),
  [8779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5069),
  [8782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5069),
  [8785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7995),
  [8788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7346),
  [8791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5114),
  [8794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6307),
  [8797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5090),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [8804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [8806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6547),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [8812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [8814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6491),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [8820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [8822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6472),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [8828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [8830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6422),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [8836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [8838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6447),
  [8840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5092),
  [8843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [8849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [8851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6436),
  [8853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5077),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [8862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [8888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5946),
  [8890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(5076),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [8895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [8897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5541),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [8901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5737),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [8905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [8907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6601),
  [8909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5970),
  [8911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [8915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [8917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [8919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [8921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [8923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [8925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [8927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6147),
  [8929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [8931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5746),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [8935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5608),
  [8937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6449),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [8941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5731),
  [8943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6534),
  [8945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5818),
  [8947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [8949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [8953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [8955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5615),
  [8957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [8961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [8963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5403),
  [8965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [8969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [8971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [8975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [8977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5404),
  [8979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [8981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6745),
  [8983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6046),
  [8985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4468),
  [8987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3976),
  [8989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [8991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5597),
  [8993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5388),
  [8995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [8997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [9001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3344),
  [9003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [9005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [9007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6714),
  [9009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [9011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [9017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6855),
  [9019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [9021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5158),
  [9023] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [9031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7145),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [9035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [9041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6149),
  [9043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6691),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [9057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5243),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [9063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [9067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5261),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [9071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [9085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [9089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [9093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7156),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [9097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [9103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [9105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6831),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [9111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [9123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [9131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [9145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [9151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6654),
  [9153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [9155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [9157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [9169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [9175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6673),
  [9177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [9179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [9187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [9191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6802),
  [9193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [9197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6697),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [9211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [9217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6707),
  [9219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [9221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [9229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [9233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6724),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [9239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [9245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6736),
  [9247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [9249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [9253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6754),
  [9255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [9259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6770),
  [9261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [9265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6771),
  [9267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [9269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6772),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [9275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [9279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6809),
  [9281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [9287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [9291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6800),
  [9293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [9295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [9303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [9313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [9343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [9365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4, 0, 0),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [9371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5307),
  [9373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5311),
  [9375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5312),
  [9377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5313),
  [9379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [9381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5316),
  [9383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5317),
  [9385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5318),
  [9387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5321),
  [9389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [9391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [9395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [9399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5539),
  [9402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5114),
  [9405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [9407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [9409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5539),
  [9412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5114),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [9419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [9423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1, 0, 0),
  [9425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5585),
  [9427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7007),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [9431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6414),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [9435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6923),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [9441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [9447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [9451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5079),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [9456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5079),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [9467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6185),
  [9469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6764),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [9479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [9483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3, 0, 0),
  [9487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [9493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [9497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [9501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5539),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [9510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5817),
  [9512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6389),
  [9514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7133),
  [9517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5806),
  [9519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [9521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5745),
  [9523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5827),
  [9526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5099),
  [9529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [9531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [9537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [9539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [9541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [9543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [9545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [9547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [9557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [9559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [9565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5508),
  [9568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6576),
  [9571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7372),
  [9574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [9576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [9578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [9580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [9582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [9588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [9590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [9592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [9596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [9598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [9602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [9604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [9608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5542),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [9616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [9618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [9620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [9622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [9624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5508),
  [9626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [9628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [9630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5937),
  [9632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [9634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [9636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [9640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [9642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [9644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [9646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [9648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [9650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7746),
  [9653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [9655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7925),
  [9658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4655),
  [9660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [9662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5092),
  [9665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [9667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [9669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [9671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [9673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [9675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [9677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [9679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [9681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(5827),
  [9684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [9686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [9688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 5),
  [9690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [9694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [9696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [9698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [9700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [9702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [9704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [9706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4320),
  [9708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [9710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8156),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [9715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6354),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [9719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [9721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [9725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [9727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5827),
  [9730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5099),
  [9733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 80),
  [9735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [9737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [9739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [9741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [9743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [9745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [9749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6360),
  [9751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(7107),
  [9754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [9756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [9760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 10),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [9764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5287),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [9768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 130),
  [9770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 84),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [9774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [9778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6374),
  [9780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 78),
  [9782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [9786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5090),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [9791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6355),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [9795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [9797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5969),
  [9801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 84),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5964),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [9815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5991),
  [9817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5966),
  [9819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [9821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5996),
  [9823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5092),
  [9826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5958),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [9832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [9834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [9836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [9838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [9842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5938),
  [9844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5997),
  [9846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5993),
  [9848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5948),
  [9850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [9852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [9856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [9858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [9886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5077),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [9891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5965),
  [9893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 84),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [9907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 168),
  [9909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5952),
  [9911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [9913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [9921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 168),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [9929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [9931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5090),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [9936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5953),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [9942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [9944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8128),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [9954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [9956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [9966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [9968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [9974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [9978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [9980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [9984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [9986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [9990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6273),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [9994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [9996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [10000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [10008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [10010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [10012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6345),
  [10014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6357),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [10020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [10026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [10038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [10042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [10050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(5076),
  [10053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [10057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [10059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5077),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [10064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [10070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [10076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5263),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [10080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [10086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [10088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [10090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [10092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [10094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [10098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [10100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [10102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [10104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6168),
  [10106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [10108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6177),
  [10110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [10112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6151),
  [10114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 78),
  [10116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6657),
  [10119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5289),
  [10122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7700),
  [10125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7268),
  [10128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(5076),
  [10133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 78),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [10137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5269),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [10141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 78),
  [10143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6112),
  [10145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6201),
  [10147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6129),
  [10149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [10151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [10155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6088),
  [10161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [10163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [10165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [10167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [10171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 10),
  [10173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 10),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [10177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6092),
  [10179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 10),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [10189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [10191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6209),
  [10193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6138),
  [10195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [10201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 26),
  [10203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [10207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [10209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4679),
  [10211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [10213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4707),
  [10215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [10219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [10221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4694),
  [10223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [10225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4708),
  [10227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [10229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 66),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [10233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [10235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4681),
  [10237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [10239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4700),
  [10241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [10243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4684),
  [10245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [10249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [10253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [10255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4699),
  [10257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [10259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [10261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [10263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [10267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6535),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [10271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7584),
  [10273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [10275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7180),
  [10277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6651),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [10283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6801),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [10287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6627),
  [10289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6641),
  [10291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6647),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [10295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7058),
  [10299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6397),
  [10301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [10303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [10305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [10307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6646),
  [10309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6840),
  [10311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [10315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4129),
  [10317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7175),
  [10319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6512),
  [10321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6416),
  [10323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4515),
  [10325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7283),
  [10327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [10329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7267),
  [10331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [10333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7290),
  [10335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6467),
  [10337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4496),
  [10339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7212),
  [10341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [10343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7161),
  [10345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [10347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7236),
  [10349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [10351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [10353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7362),
  [10355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5547),
  [10357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7091),
  [10359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6705),
  [10361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [10363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7103),
  [10365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7047),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [10369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [10371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7100),
  [10373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6544),
  [10375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [10377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6824),
  [10379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6688),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [10383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [10385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7351),
  [10387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [10389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6819),
  [10391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [10393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7204),
  [10395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6395),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [10417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, 0, 58),
  [10419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6657),
  [10422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [10424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [10436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [10438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [10450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(6198),
  [10453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [10455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [10461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [10463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [10469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [10471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [10483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6763),
  [10485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6652),
  [10487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [10489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [10491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6786),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [10499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1443),
  [10502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [10504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(7887),
  [10507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [10509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [10513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [10517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [10519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [10521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [10531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6895),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [10537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [10539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [10545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [10547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6644),
  [10550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [10552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [10566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [10568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [10574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [10576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [10594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [10596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [10616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [10618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [10634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [10636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [10638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [10640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [10654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [10656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [10658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [10664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7237),
  [10666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7124),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [10674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6669),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [10694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, 0, 191),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7331),
  [10700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7177),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7154),
  [10704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, 0, 157),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [10712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [10718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7231),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [10722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [10726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [10730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7063),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [10734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [10754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [10756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [10758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [10762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6405),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [10774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7435),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [10782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [10786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6630),
  [10788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [10790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6513),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [10796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3647),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [10800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6568),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [10804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 153),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [10808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [10812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [10816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6485),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [10826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [10830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6484),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [10836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [10840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6430),
  [10842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [10848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [10852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(6203),
  [10855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200),
  [10857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(6213),
  [10860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [10864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [10868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6444),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [10874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 208),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [10878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [10882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [10886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6451),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [10894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [10896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [10900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6488),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [10906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [10910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6640),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [10916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3, 0, 0),
  [10918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [10922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, 0, 19),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [10928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8120),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [10932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6615),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [10938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 188),
  [10940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 201),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [10944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [10946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [10948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [10950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [10952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [10956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [10960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6555),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [10964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 188),
  [10966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 153),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [10970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212), SHIFT_REPEAT(5693),
  [10973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [10979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2, 0, 0),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [10989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [10993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6514),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [10997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [10999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6513),
  [11002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [11012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4394),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [11016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4, 0, 0),
  [11018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [11020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [11026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [11030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6564),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [11050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7545),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [11054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [11058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6594),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [11062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [11068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [11074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1, 0, 0),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [11078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7892),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [11082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [11084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 87),
  [11086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180), SHIFT_REPEAT(5497),
  [11089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180),
  [11091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [11093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [11095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6522),
  [11097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [11099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [11103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [11105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [11107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, 0, 34),
  [11109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [11111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6568),
  [11114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(6568),
  [11117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [11119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [11121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6585),
  [11123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [11129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [11131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [11133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5706),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [11137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6609),
  [11139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [11141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5397),
  [11143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [11147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [11149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [11151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [11153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [11159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115), SHIFT_REPEAT(5421),
  [11162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [11166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [11176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7580),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [11182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5, 0, 0),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [11186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7792),
  [11188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [11190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5780),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [11198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7946),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [11202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [11206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6546),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [11210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [11214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7592),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [11218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [11222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5257),
  [11224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [11226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [11230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6465),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [11240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [11244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 91),
  [11246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [11262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5179),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [11304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115), SHIFT_REPEAT(4796),
  [11307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [11349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [11357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 3, 0),
  [11359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, 0, 59),
  [11361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 66),
  [11363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(364),
  [11366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [11370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [11396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2, 0, 0),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [11400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1450),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [11417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(932),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [11430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2, 0, 0),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [11472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1587),
  [11475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [11525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6578),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [11529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [11537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2, 0, 0),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [11543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3, 0, 0),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [11551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 95),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [11555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [11557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [11559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [11563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [11565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [11573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [11575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [11577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [11585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(907),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [11598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1628),
  [11601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0),
  [11603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [11615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 194),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [11619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [11621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1618),
  [11624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [11634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3, 0, 0),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [11644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5900),
  [11647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [11649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [11653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [11661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [11689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6549),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [11693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1039),
  [11696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8093),
  [11699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0),
  [11701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [11703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [11705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [11707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 195),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [11731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 100),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [11737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [11741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 0),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [11745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [11747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6, 0, 0),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [11755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4, 0, 0),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [11759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6402),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [11763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 153),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [11767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [11795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5277),
  [11798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6628),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [11802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3558),
  [11805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [11819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(7356),
  [11822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [11828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [11838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [11850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6586),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [11860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [11862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7158),
  [11865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [11875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6577),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [11881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [11887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6486),
  [11889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6608),
  [11891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6424),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [11903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5, 0, 0),
  [11905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7, 0, 0),
  [11907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [11911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 207),
  [11913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 153),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [11921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 209),
  [11923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [11925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [11927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [11937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3602),
  [11940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [11948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0),
  [11950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [11952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 207),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [11956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [11960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 201),
  [11962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 213),
  [11964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(5470),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [11969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215), SHIFT_REPEAT(7860),
  [11972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215),
  [11974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6560),
  [11976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 216),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [11980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 216),
  [11982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, 0, 68),
  [11984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, 0, 143),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [11988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [12012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [12032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [12050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2, 0, 0),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [12066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7913),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [12070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7484),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [12086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [12090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7423),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [12094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [12096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [12106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7686),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [12116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7958),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [12126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7681),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [12130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [12134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 2, 0),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [12140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7439),
  [12142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 166),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [12152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 91),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [12162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, 0, 156),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [12166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7989),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [12170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6, 0, 0),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [12176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7842),
  [12178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 100),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [12184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7438),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [12188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 0),
  [12190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 209),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [12200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7990),
  [12202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [12208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7551),
  [12210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, 0, 28),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [12228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8151),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [12232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, 0, 57),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [12236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [12370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8159),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [12427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [12611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4, 0, 0),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8110),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [12647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 175),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [12651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 127),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [12659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 127),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [12671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 128),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [12675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 127),
  [12677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2, 0, 0),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7937),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [12699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3, 0, 0),
  [12701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 128),
  [12703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 128),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [12711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [12729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 127),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [12733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [12753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 175),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [12763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 128),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [12785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [12787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 127),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [12911] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [12971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 175),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [12975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 175),
  [12977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 175),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [13043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 78),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [13089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 79),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [13111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 79),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [13181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 79),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [13297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 128),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [13407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [13445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [13483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 10),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [13513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 79),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [13519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, 0, 54),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [13613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 79),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_cpp_external_scanner_create(void);
void tree_sitter_cpp_external_scanner_destroy(void *);
bool tree_sitter_cpp_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_cpp_external_scanner_serialize(void *, char *);
void tree_sitter_cpp_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_cpp(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_cpp_external_scanner_create,
      tree_sitter_cpp_external_scanner_destroy,
      tree_sitter_cpp_external_scanner_scan,
      tree_sitter_cpp_external_scanner_serialize,
      tree_sitter_cpp_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
